--
-- PostgreSQL database dump
--

-- Dumped from database version 13.15
-- Dumped by pg_dump version 14.2

-- Started on 2024-08-14 20:27:17

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE sdsb4d;
--
-- TOC entry 3711 (class 1262 OID 16481)
-- Name: sdsb4d; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE sdsb4d WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE = 'en_US.UTF8';


\connect sdsb4d

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- TOC entry 3 (class 2615 OID 2200)
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- TOC entry 3712 (class 0 OID 0)
-- Dependencies: 3
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 216 (class 1259 OID 16556)
-- Name: tbl_admin; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_admin (
    username character varying(30) NOT NULL,
    password character varying(250) NOT NULL,
    idadmin character varying(30) NOT NULL,
    name character varying(50) NOT NULL,
    statuslogin character(1) NOT NULL,
    lastlogin timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    joindate date NOT NULL,
    ipaddress character varying(250) DEFAULT ''::character varying,
    timezone character varying(30) DEFAULT ''::character varying,
    createadmin character varying(30) NOT NULL,
    createdateadmin timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updateadmin character varying(30) DEFAULT 'SYSTEM'::character varying NOT NULL,
    updatedateadmin timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- TOC entry 215 (class 1259 OID 16548)
-- Name: tbl_admingroup; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_admingroup (
    idadmin character varying(30) NOT NULL,
    ruleadmingroup text DEFAULT ''::character varying NOT NULL
);


--
-- TOC entry 214 (class 1259 OID 16542)
-- Name: tbl_counter; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_counter (
    idcounter bigint NOT NULL,
    nmcounter character varying(70) NOT NULL,
    counter bigint NOT NULL
);


--
-- TOC entry 213 (class 1259 OID 16540)
-- Name: tbl_counter_idcounter_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.tbl_counter_idcounter_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3713 (class 0 OID 0)
-- Dependencies: 213
-- Name: tbl_counter_idcounter_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.tbl_counter_idcounter_seq OWNED BY public.tbl_counter.idcounter;


--
-- TOC entry 212 (class 1259 OID 16534)
-- Name: tbl_mst_version; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_mst_version (
    idversion bigint NOT NULL,
    version character varying(20) NOT NULL,
    updatedateversion date NOT NULL,
    updatedatetimeversion timestamp without time zone NOT NULL
);


--
-- TOC entry 211 (class 1259 OID 16532)
-- Name: tbl_mst_version_idversion_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.tbl_mst_version_idversion_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3714 (class 0 OID 0)
-- Dependencies: 211
-- Name: tbl_mst_version_idversion_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.tbl_mst_version_idversion_seq OWNED BY public.tbl_mst_version.idversion;


--
-- TOC entry 217 (class 1259 OID 30138)
-- Name: tbl_trx_japan_day; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_trx_japan_day (
    idjapan_japanday bigint NOT NULL,
    datejapan_japanday date NOT NULL,
    prize1_japanday character varying(4) DEFAULT ''::character varying,
    prize2_japanday character varying(4) DEFAULT ''::character varying,
    prize3_japanday character varying(4) DEFAULT ''::character varying,
    create_japanday character varying(70),
    createdate_japanday timestamp without time zone,
    update_japanday character varying(70) DEFAULT ''::character varying,
    updatedate_japanday timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- TOC entry 218 (class 1259 OID 30148)
-- Name: tbl_trx_japan_night; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_trx_japan_night (
    idjapan_japannight bigint NOT NULL,
    datejapan_japannight date NOT NULL,
    prize1_japannight character varying(4) DEFAULT ''::character varying,
    prize2_japannight character varying(4) DEFAULT ''::character varying,
    prize3_japannight character varying(4) DEFAULT ''::character varying,
    create_japannight character varying(70),
    createdate_japannight timestamp without time zone,
    update_japannight character varying(70) DEFAULT ''::character varying,
    updatedate_japannight timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- TOC entry 210 (class 1259 OID 16527)
-- Name: tbl_trx_sdsb4d_day; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_trx_sdsb4d_day (
    idsdsb4dday bigint NOT NULL,
    datesdsb4dday date NOT NULL,
    prize1_sdsb4dday character(4) DEFAULT ''::character varying NOT NULL,
    prize2_sdsb4dday character(4) DEFAULT ''::character varying NOT NULL,
    prize3_sdsb4dday character(4) DEFAULT ''::character varying NOT NULL,
    create_sdsb4dday character varying(70) NOT NULL,
    createdate_sdsb4dday timestamp without time zone,
    update_sdsb4dday character varying(70) DEFAULT ''::character varying NOT NULL,
    updatedate_sdsb4dday timestamp without time zone DEFAULT now()
);


--
-- TOC entry 209 (class 1259 OID 16522)
-- Name: tbl_trx_sdsb4d_night; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_trx_sdsb4d_night (
    id_sdsb4dnight bigint NOT NULL,
    date_sdsb4dnight date NOT NULL,
    prize1_sdsb4dnight character(4) DEFAULT ''::character varying NOT NULL,
    prize2_sdsb4dnight character(4) DEFAULT ''::character varying NOT NULL,
    prize3_sdsb4dnight character(4) DEFAULT ''::character varying NOT NULL,
    create_sdsb4dnight character varying(70) NOT NULL,
    createdate_sdsb4dnight timestamp without time zone NOT NULL,
    update_sdsb4dnight character varying(70) DEFAULT ''::character varying,
    updatedate_sdsb4dnight timestamp without time zone DEFAULT now()
);


--
-- TOC entry 219 (class 1259 OID 30158)
-- Name: tbl_trx_vietnam_night; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tbl_trx_vietnam_night (
    idvietnamnight bigint NOT NULL,
    datevietnamnight date NOT NULL,
    prize_1300 character varying(6) DEFAULT ''::character varying,
    prize_1700 character varying(6) DEFAULT ''::character varying,
    prize_2000 character varying(6) DEFAULT ''::character varying,
    prize_2200 character varying(6) DEFAULT ''::character varying,
    create_vietnamnight character varying(70),
    createdate_vietnamnight timestamp without time zone,
    update_vietnamnight character varying(70) DEFAULT ''::character varying,
    updatedate_vietnamnight timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    prize_1500 character varying(6) DEFAULT ''::character varying,
    prize_1100 character varying(6) DEFAULT ''::character varying,
    prize_0100 character varying(6) DEFAULT ''::character varying
);


--
-- TOC entry 3520 (class 2604 OID 16545)
-- Name: tbl_counter idcounter; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_counter ALTER COLUMN idcounter SET DEFAULT nextval('public.tbl_counter_idcounter_seq'::regclass);


--
-- TOC entry 3519 (class 2604 OID 16537)
-- Name: tbl_mst_version idversion; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_mst_version ALTER COLUMN idversion SET DEFAULT nextval('public.tbl_mst_version_idversion_seq'::regclass);


--
-- TOC entry 3702 (class 0 OID 16556)
-- Dependencies: 216
-- Data for Name: tbl_admin; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_admin VALUES ('jeson', 'e19d5cd5af0378da05f63f891c7467af', 'demo', 'Jeson', 'Y', '2021-11-07 00:22:54.028508', '2021-10-25', '', '', 'root', '2021-10-25 00:44:51', '', '2021-11-07 00:22:54.028508');
INSERT INTO public.tbl_admin VALUES ('ale', 'e19d5cd5af0378da05f63f891c7467af', 'demo', 'ale siagian', 'Y', '2021-11-07 00:22:54.028508', '2021-10-25', '', '', 'root', '2021-10-25 00:49:02', '', '2021-11-07 00:22:54.028508');
INSERT INTO public.tbl_admin VALUES ('sandi', 'e19d5cd5af0378da05f63f891c7467af', 'demo', 'Sandi', 'Y', '2021-11-07 00:22:54.028508', '2021-10-25', '', '', 'root', '2021-10-25 00:49:42', '', '2021-11-07 00:22:54.028508');
INSERT INTO public.tbl_admin VALUES ('shinta', 'e19d5cd5af0378da05f63f891c7467af', 'demo', 'Shinta Lagi', 'Y', '2021-11-07 00:22:54.028508', '2021-10-25', '', '', 'root', '2021-10-25 00:50:51', '', '2021-11-07 00:22:54.028508');
INSERT INTO public.tbl_admin VALUES ('wilkos', 'f33c068a23c7dd200f6231cbb0bc42b2', 'admin', 'WIlliam Kosari', 'Y', '2022-07-29 17:02:01', '2022-07-29', '36.70.148.121', 'Asia/Jakarta', 'root', '2022-07-29 16:27:58', 'wilkos', '2022-07-29 17:02:01');
INSERT INTO public.tbl_admin VALUES ('admintoto', 'e19d5cd5af0378da05f63f891c7467af', 'admin', 'Admin Toto', 'Y', '2024-08-14 13:21:49', '2023-04-10', '104.28.160.162', 'Asia/Singapore', 'root', '2023-04-10 13:26:21', 'admintoto', '2024-08-14 13:21:49');
INSERT INTO public.tbl_admin VALUES ('root', 'ed70044b95502c44911b4948d28dca68', 'root', 'Root', 'Y', '2024-08-14 19:21:49', '2014-09-28', '180.252.161.165', 'Asia/Jakarta', '', '2021-11-07 00:22:54.028508', 'root', '2024-08-14 19:21:49');


--
-- TOC entry 3701 (class 0 OID 16548)
-- Dependencies: 215
-- Data for Name: tbl_admingroup; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_admingroup VALUES ('root', 'DASHBOARD-VIEW,SDSB4DDAY-VIEW,SDSB4DNIGHT-VIEW,SDSB4DDAY-SAVE,SDSB4DNIGHT-SAVE,ADMIN-VIEW,ADMINRULE-VIEW,ADMIN-SAVE,ADMINRULE-SAVE');
INSERT INTO public.tbl_admingroup VALUES ('demo', 'DASHBOARD-VIEW,SDSB4DDAY-VIEW,SDSB4DNIGHT-VIEW');
INSERT INTO public.tbl_admingroup VALUES ('demo2', '');
INSERT INTO public.tbl_admingroup VALUES ('demo3', '');
INSERT INTO public.tbl_admingroup VALUES ('admin', 'DASHBOARD-VIEW,SDSB4DDAY-VIEW,SDSB4DNIGHT-VIEW,VIETNAMDAY-VIEW,VIETNAMNIGHT-VIEW,JAPANDAY-VIEW,JAPANNIGHT-VIEW,SDSB4DDAY-SAVE,SDSB4DNIGHT-SAVE,VIETNAMDAY-SAVE,VIETNAMNIGHT-SAVE,JAPANDAY-SAVE,JAPANNIGHT-SAVE,ADMIN-VIEW,ADMINRULE-VIEW');


--
-- TOC entry 3700 (class 0 OID 16542)
-- Dependencies: 214
-- Data for Name: tbl_counter; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_counter VALUES (3, 'tbl_trx_sdsb4d_day2022', 664);
INSERT INTO public.tbl_counter VALUES (4, 'tbl_trx_sdsb4d_night2022', 664);
INSERT INTO public.tbl_counter VALUES (7, 'tbl_trx_japan_day2023', 1906);
INSERT INTO public.tbl_counter VALUES (9, 'tbl_trx_vietnam_night2023', 1757);
INSERT INTO public.tbl_counter VALUES (5, 'tbl_trx_sdsb4d_day2023', 364);
INSERT INTO public.tbl_counter VALUES (8, 'tbl_trx_japan_night2023', 1843);
INSERT INTO public.tbl_counter VALUES (6, 'tbl_trx_sdsb4d_night2023', 365);
INSERT INTO public.tbl_counter VALUES (1, 'tbl_trx_sdsb4d_day2021', 1014);
INSERT INTO public.tbl_counter VALUES (2, 'tbl_trx_sdsb4d_night2021', 1308);
INSERT INTO public.tbl_counter VALUES (14, 'tbl_trx_sdsb4d_night2024', 224);
INSERT INTO public.tbl_counter VALUES (11, 'tbl_trx_vietnam_night2024', 227);
INSERT INTO public.tbl_counter VALUES (10, 'tbl_trx_japan_day2024', 228);
INSERT INTO public.tbl_counter VALUES (12, 'tbl_trx_sdsb4d_day2024', 225);
INSERT INTO public.tbl_counter VALUES (13, 'tbl_trx_japan_night2024', 225);


--
-- TOC entry 3698 (class 0 OID 16534)
-- Dependencies: 212
-- Data for Name: tbl_mst_version; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_mst_version VALUES (1, '1.0.0', '2017-09-28', '2017-09-28 00:00:00');


--
-- TOC entry 3703 (class 0 OID 30138)
-- Dependencies: 217
-- Data for Name: tbl_trx_japan_day; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_trx_japan_day VALUES (23811, '2021-01-01', '1826', '0170', '7648', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:39.954611');
INSERT INTO public.tbl_trx_japan_day VALUES (23812, '2021-01-02', '3120', '4635', '1350', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.078616');
INSERT INTO public.tbl_trx_japan_day VALUES (23813, '2021-01-03', '4252', '2309', '5067', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.208978');
INSERT INTO public.tbl_trx_japan_day VALUES (23814, '2021-01-04', '3809', '5204', '8679', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.339065');
INSERT INTO public.tbl_trx_japan_day VALUES (23815, '2021-01-05', '4140', '2715', '2032', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.469799');
INSERT INTO public.tbl_trx_japan_day VALUES (23816, '2021-01-06', '5369', '4606', '1769', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.60005');
INSERT INTO public.tbl_trx_japan_day VALUES (23817, '2021-01-07', '3112', '8153', '6933', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.763104');
INSERT INTO public.tbl_trx_japan_day VALUES (23818, '2021-01-08', '6076', '0072', '6975', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:40.974657');
INSERT INTO public.tbl_trx_japan_day VALUES (23819, '2021-01-09', '4794', '2068', '6491', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:41.134872');
INSERT INTO public.tbl_trx_japan_day VALUES (23820, '2021-01-10', '8641', '9116', '2430', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:41.35284');
INSERT INTO public.tbl_trx_japan_day VALUES (23821, '2021-01-11', '3149', '2844', '4874', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:41.516976');
INSERT INTO public.tbl_trx_japan_day VALUES (23822, '2021-01-12', '0459', '0472', '1520', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:41.722081');
INSERT INTO public.tbl_trx_japan_day VALUES (23823, '2021-01-13', '0763', '8220', '5972', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:41.882508');
INSERT INTO public.tbl_trx_japan_day VALUES (23824, '2021-01-14', '4682', '7537', '7582', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:42.093815');
INSERT INTO public.tbl_trx_japan_day VALUES (23825, '2021-01-15', '2168', '9794', '5523', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:42.254713');
INSERT INTO public.tbl_trx_japan_day VALUES (23826, '2021-01-16', '7230', '5928', '7629', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:42.464049');
INSERT INTO public.tbl_trx_japan_day VALUES (23827, '2021-01-17', '7247', '0335', '3315', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:42.62382');
INSERT INTO public.tbl_trx_japan_day VALUES (23828, '2021-01-18', '5845', '9370', '6103', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:42.817407');
INSERT INTO public.tbl_trx_japan_day VALUES (23829, '2021-01-19', '4986', '5808', '6578', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:43.024718');
INSERT INTO public.tbl_trx_japan_day VALUES (23830, '2021-01-20', '9678', '5383', '0212', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:43.184404');
INSERT INTO public.tbl_trx_japan_day VALUES (23831, '2021-01-21', '6146', '5202', '4769', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:43.394611');
INSERT INTO public.tbl_trx_japan_day VALUES (23832, '2021-01-22', '1460', '4350', '4162', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:43.554271');
INSERT INTO public.tbl_trx_japan_day VALUES (23833, '2021-01-23', '5435', '0278', '8328', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:43.764661');
INSERT INTO public.tbl_trx_japan_day VALUES (23834, '2021-01-24', '2451', '8555', '6627', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:43.924523');
INSERT INTO public.tbl_trx_japan_day VALUES (23835, '2021-01-25', '3568', '0888', '7951', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:44.119491');
INSERT INTO public.tbl_trx_japan_day VALUES (23836, '2021-01-26', '8513', '8536', '1015', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:44.328176');
INSERT INTO public.tbl_trx_japan_day VALUES (23837, '2021-01-27', '3260', '2807', '3185', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:44.48749');
INSERT INTO public.tbl_trx_japan_day VALUES (23838, '2021-01-28', '5045', '0276', '5837', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:44.657868');
INSERT INTO public.tbl_trx_japan_day VALUES (23839, '2021-01-29', '1600', '5598', '7410', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:44.847102');
INSERT INTO public.tbl_trx_japan_day VALUES (23840, '2021-01-30', '1250', '5701', '6959', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:45.036209');
INSERT INTO public.tbl_trx_japan_day VALUES (23841, '2021-01-31', '6744', '0093', '3610', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:45.225371');
INSERT INTO public.tbl_trx_japan_day VALUES (23842, '2021-02-01', '5819', '6382', '2997', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:45.414192');
INSERT INTO public.tbl_trx_japan_day VALUES (23843, '2021-02-02', '5693', '6494', '3261', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:45.60533');
INSERT INTO public.tbl_trx_japan_day VALUES (23844, '2021-02-03', '9650', '6220', '0871', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:45.795765');
INSERT INTO public.tbl_trx_japan_day VALUES (23845, '2021-02-04', '0368', '1803', '2086', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:45.985581');
INSERT INTO public.tbl_trx_japan_day VALUES (23846, '2021-02-05', '9178', '2066', '5357', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:46.174587');
INSERT INTO public.tbl_trx_japan_day VALUES (23847, '2021-02-06', '1225', '5145', '9558', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:46.364539');
INSERT INTO public.tbl_trx_japan_day VALUES (23848, '2021-02-07', '4986', '9346', '3832', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:46.554131');
INSERT INTO public.tbl_trx_japan_day VALUES (23849, '2021-02-08', '9534', '1587', '1590', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:46.744463');
INSERT INTO public.tbl_trx_japan_day VALUES (23850, '2021-02-09', '2359', '9876', '2517', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:46.935522');
INSERT INTO public.tbl_trx_japan_day VALUES (23851, '2021-02-10', '1584', '3218', '1698', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:47.124627');
INSERT INTO public.tbl_trx_japan_day VALUES (23852, '2021-02-11', '8742', '3646', '3079', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:47.313939');
INSERT INTO public.tbl_trx_japan_day VALUES (23853, '2021-02-12', '4426', '0834', '4584', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:47.502778');
INSERT INTO public.tbl_trx_japan_day VALUES (23854, '2021-02-13', '9408', '0918', '9320', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:47.691432');
INSERT INTO public.tbl_trx_japan_day VALUES (23855, '2021-02-14', '7321', '3311', '9207', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:47.881278');
INSERT INTO public.tbl_trx_japan_day VALUES (23856, '2021-02-15', '3498', '4961', '0548', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:48.071602');
INSERT INTO public.tbl_trx_japan_day VALUES (23857, '2021-02-16', '0461', '6089', '7575', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:48.262211');
INSERT INTO public.tbl_trx_japan_day VALUES (23858, '2021-02-17', '7607', '8803', '1433', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:48.451978');
INSERT INTO public.tbl_trx_japan_day VALUES (23859, '2021-02-18', '2831', '3296', '3821', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:48.626879');
INSERT INTO public.tbl_trx_japan_day VALUES (23860, '2021-02-19', '9163', '2050', '1780', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:48.786319');
INSERT INTO public.tbl_trx_japan_day VALUES (23861, '2021-02-20', '9538', '8366', '6433', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:48.966992');
INSERT INTO public.tbl_trx_japan_day VALUES (23862, '2021-02-21', '1785', '9162', '3904', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:49.148347');
INSERT INTO public.tbl_trx_japan_day VALUES (23863, '2021-02-22', '3444', '4359', '5356', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:49.329551');
INSERT INTO public.tbl_trx_japan_day VALUES (23864, '2021-02-23', '2631', '0892', '6336', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:49.51102');
INSERT INTO public.tbl_trx_japan_day VALUES (23865, '2021-02-24', '4511', '8398', '2672', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:49.692598');
INSERT INTO public.tbl_trx_japan_day VALUES (23866, '2021-02-25', '1500', '4326', '2141', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:49.873294');
INSERT INTO public.tbl_trx_japan_day VALUES (23867, '2021-02-26', '1367', '0547', '7484', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:50.055784');
INSERT INTO public.tbl_trx_japan_day VALUES (23868, '2021-02-27', '0187', '1042', '0634', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:50.237241');
INSERT INTO public.tbl_trx_japan_day VALUES (23869, '2021-02-28', '5181', '3533', '4714', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:50.418782');
INSERT INTO public.tbl_trx_japan_day VALUES (23870, '2021-03-01', '5078', '8190', '1787', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:50.602622');
INSERT INTO public.tbl_trx_japan_day VALUES (23871, '2021-03-02', '4940', '5140', '6214', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:50.77985');
INSERT INTO public.tbl_trx_japan_day VALUES (23872, '2021-03-03', '4707', '5504', '2933', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:50.953638');
INSERT INTO public.tbl_trx_japan_day VALUES (23873, '2021-03-04', '1339', '3545', '8524', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:51.134462');
INSERT INTO public.tbl_trx_japan_day VALUES (23874, '2021-03-05', '1468', '2979', '6124', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:51.316822');
INSERT INTO public.tbl_trx_japan_day VALUES (23875, '2021-03-06', '3401', '2294', '3609', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:51.49458');
INSERT INTO public.tbl_trx_japan_day VALUES (23876, '2021-03-07', '4099', '8916', '9829', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:51.683158');
INSERT INTO public.tbl_trx_japan_day VALUES (23877, '2021-03-08', '7361', '0340', '5556', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:51.855318');
INSERT INTO public.tbl_trx_japan_day VALUES (23878, '2021-03-09', '5083', '5760', '7940', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:52.036949');
INSERT INTO public.tbl_trx_japan_day VALUES (23879, '2021-03-10', '7878', '3277', '7998', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:52.217678');
INSERT INTO public.tbl_trx_japan_day VALUES (23880, '2021-03-11', '4763', '5575', '8905', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:52.399611');
INSERT INTO public.tbl_trx_japan_day VALUES (23881, '2021-03-12', '9051', '7068', '5839', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:52.591747');
INSERT INTO public.tbl_trx_japan_day VALUES (23882, '2021-03-13', '2684', '7631', '8579', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:52.779839');
INSERT INTO public.tbl_trx_japan_day VALUES (23883, '2021-03-14', '1136', '3173', '7995', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:52.960834');
INSERT INTO public.tbl_trx_japan_day VALUES (23884, '2021-03-15', '9479', '2880', '0109', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.114201');
INSERT INTO public.tbl_trx_japan_day VALUES (23885, '2021-03-16', '7871', '3185', '5549', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.262804');
INSERT INTO public.tbl_trx_japan_day VALUES (23886, '2021-03-17', '3427', '4427', '1399', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.472676');
INSERT INTO public.tbl_trx_japan_day VALUES (23887, '2021-03-18', '5162', '4090', '6240', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.593988');
INSERT INTO public.tbl_trx_japan_day VALUES (23888, '2021-03-19', '6161', '0557', '5224', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.718229');
INSERT INTO public.tbl_trx_japan_day VALUES (23889, '2021-03-20', '7109', '5379', '4551', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.846234');
INSERT INTO public.tbl_trx_japan_day VALUES (23890, '2021-03-21', '7108', '0139', '9750', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:53.976532');
INSERT INTO public.tbl_trx_japan_day VALUES (23891, '2021-03-22', '1098', '3845', '3502', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:54.123232');
INSERT INTO public.tbl_trx_japan_day VALUES (23892, '2021-03-23', '2633', '8012', '9815', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:54.265238');
INSERT INTO public.tbl_trx_japan_day VALUES (23893, '2021-03-24', '9753', '5136', '7481', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:54.419719');
INSERT INTO public.tbl_trx_japan_day VALUES (23894, '2021-03-25', '5560', '5117', '8742', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:54.638746');
INSERT INTO public.tbl_trx_japan_day VALUES (23895, '2021-03-26', '1476', '1742', '0235', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:54.873442');
INSERT INTO public.tbl_trx_japan_day VALUES (23896, '2021-03-27', '2472', '9728', '9219', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:55.037123');
INSERT INTO public.tbl_trx_japan_day VALUES (23897, '2021-03-28', '4322', '9744', '9532', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:55.243968');
INSERT INTO public.tbl_trx_japan_day VALUES (23898, '2021-03-29', '4930', '3347', '6974', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:55.486825');
INSERT INTO public.tbl_trx_japan_day VALUES (23899, '2021-03-30', '9539', '6800', '1437', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:55.695359');
INSERT INTO public.tbl_trx_japan_day VALUES (23900, '2021-03-31', '4899', '1482', '9165', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:55.909869');
INSERT INTO public.tbl_trx_japan_day VALUES (23901, '2021-04-01', '9215', '9331', '0588', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:56.159794');
INSERT INTO public.tbl_trx_japan_day VALUES (23902, '2021-04-02', '8347', '9426', '7806', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:56.372337');
INSERT INTO public.tbl_trx_japan_day VALUES (23903, '2021-04-03', '5529', '2958', '8145', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:56.621891');
INSERT INTO public.tbl_trx_japan_day VALUES (23904, '2021-04-04', '6791', '2649', '7192', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:56.852484');
INSERT INTO public.tbl_trx_japan_day VALUES (23905, '2021-04-05', '8225', '6812', '6184', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:57.079565');
INSERT INTO public.tbl_trx_japan_day VALUES (23906, '2021-04-06', '9167', '8276', '8929', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:57.284339');
INSERT INTO public.tbl_trx_japan_day VALUES (23907, '2021-04-07', '5950', '3611', '2002', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:57.464');
INSERT INTO public.tbl_trx_japan_day VALUES (23908, '2021-04-08', '3329', '8279', '5106', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:57.704915');
INSERT INTO public.tbl_trx_japan_day VALUES (23916, '2021-04-16', '6011', '9632', '0573', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:59.389431');
INSERT INTO public.tbl_trx_japan_day VALUES (23917, '2021-04-17', '4755', '4281', '8084', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:59.649824');
INSERT INTO public.tbl_trx_japan_day VALUES (23919, '2021-04-19', '2447', '0168', '8951', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:00.068846');
INSERT INTO public.tbl_trx_japan_day VALUES (23925, '2021-04-25', '1752', '6157', '1999', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:01.433936');
INSERT INTO public.tbl_trx_japan_day VALUES (23932, '2021-05-02', '9104', '3037', '5965', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:02.976063');
INSERT INTO public.tbl_trx_japan_day VALUES (23936, '2021-05-06', '7360', '2705', '7056', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:03.825097');
INSERT INTO public.tbl_trx_japan_day VALUES (23939, '2021-05-09', '0721', '6015', '3625', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:04.49318');
INSERT INTO public.tbl_trx_japan_day VALUES (23940, '2021-05-10', '4342', '7830', '2700', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:04.726217');
INSERT INTO public.tbl_trx_japan_day VALUES (23942, '2021-05-12', '7700', '8774', '4267', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:05.082207');
INSERT INTO public.tbl_trx_japan_day VALUES (23945, '2021-05-15', '8099', '2763', '8233', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:05.684433');
INSERT INTO public.tbl_trx_japan_day VALUES (23946, '2021-05-16', '0935', '0476', '6543', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:05.886371');
INSERT INTO public.tbl_trx_japan_day VALUES (23948, '2021-05-18', '4713', '8236', '3313', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:06.319277');
INSERT INTO public.tbl_trx_japan_day VALUES (23951, '2021-05-21', '5930', '6628', '9494', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:06.904171');
INSERT INTO public.tbl_trx_japan_day VALUES (23953, '2021-05-23', '1958', '2724', '5048', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:07.378392');
INSERT INTO public.tbl_trx_japan_day VALUES (23955, '2021-05-25', '6372', '9972', '5917', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:07.775824');
INSERT INTO public.tbl_trx_japan_day VALUES (23956, '2021-05-26', '3538', '7602', '2469', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:07.971827');
INSERT INTO public.tbl_trx_japan_day VALUES (23963, '2021-06-02', '7768', '7604', '1144', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:09.478115');
INSERT INTO public.tbl_trx_japan_day VALUES (23964, '2021-06-03', '9400', '8912', '6251', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:09.685329');
INSERT INTO public.tbl_trx_japan_day VALUES (23967, '2021-06-06', '0343', '8846', '0618', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:10.315822');
INSERT INTO public.tbl_trx_japan_day VALUES (23969, '2021-06-08', '9098', '1155', '7424', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:10.716183');
INSERT INTO public.tbl_trx_japan_day VALUES (23971, '2021-06-10', '8443', '6232', '4050', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:11.148824');
INSERT INTO public.tbl_trx_japan_day VALUES (23972, '2021-06-11', '5818', '0402', '5771', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:11.385604');
INSERT INTO public.tbl_trx_japan_day VALUES (23974, '2021-06-13', '5965', '0539', '6983', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:11.84061');
INSERT INTO public.tbl_trx_japan_day VALUES (23985, '2021-06-24', '5121', '8122', '4317', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:14.113078');
INSERT INTO public.tbl_trx_japan_day VALUES (23991, '2021-06-30', '1151', '0611', '4887', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:15.432085');
INSERT INTO public.tbl_trx_japan_day VALUES (23998, '2021-07-07', '3173', '5854', '7589', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:16.857135');
INSERT INTO public.tbl_trx_japan_day VALUES (231004, '2021-07-13', '9872', '5157', '2749', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:18.052302');
INSERT INTO public.tbl_trx_japan_day VALUES (231006, '2021-07-15', '5749', '6826', '4768', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:18.438274');
INSERT INTO public.tbl_trx_japan_day VALUES (231008, '2021-07-17', '2410', '8753', '2700', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:18.822796');
INSERT INTO public.tbl_trx_japan_day VALUES (231010, '2021-07-19', '3504', '7313', '0414', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:19.332784');
INSERT INTO public.tbl_trx_japan_day VALUES (231012, '2021-07-21', '2830', '2909', '5202', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:19.77049');
INSERT INTO public.tbl_trx_japan_day VALUES (231015, '2021-07-24', '7859', '3613', '4156', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:20.367102');
INSERT INTO public.tbl_trx_japan_day VALUES (231021, '2021-07-30', '3702', '6837', '1132', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:21.628472');
INSERT INTO public.tbl_trx_japan_day VALUES (231022, '2021-07-31', '8524', '3069', '4263', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:21.834743');
INSERT INTO public.tbl_trx_japan_day VALUES (231027, '2021-08-05', '4051', '9220', '3005', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:22.864434');
INSERT INTO public.tbl_trx_japan_day VALUES (231028, '2021-08-06', '9319', '6116', '0800', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:23.139054');
INSERT INTO public.tbl_trx_japan_day VALUES (231029, '2021-08-07', '9411', '9821', '7837', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:23.329719');
INSERT INTO public.tbl_trx_japan_day VALUES (231030, '2021-08-08', '2229', '1667', '4952', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:23.521326');
INSERT INTO public.tbl_trx_japan_day VALUES (231031, '2021-08-09', '9724', '8910', '9363', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:23.714696');
INSERT INTO public.tbl_trx_japan_day VALUES (231035, '2021-08-13', '0245', '2676', '3635', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:24.550311');
INSERT INTO public.tbl_trx_japan_day VALUES (231039, '2021-08-17', '5100', '2152', '8414', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:25.383698');
INSERT INTO public.tbl_trx_japan_day VALUES (231041, '2021-08-19', '2226', '8096', '7298', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:25.798208');
INSERT INTO public.tbl_trx_japan_day VALUES (231042, '2021-08-20', '9022', '2800', '1948', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:26.02124');
INSERT INTO public.tbl_trx_japan_day VALUES (231043, '2021-08-21', '2360', '4717', '5238', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:26.230843');
INSERT INTO public.tbl_trx_japan_day VALUES (231049, '2021-08-27', '0001', '5059', '8611', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:27.483862');
INSERT INTO public.tbl_trx_japan_day VALUES (231054, '2021-09-01', '0741', '0295', '6263', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:28.612439');
INSERT INTO public.tbl_trx_japan_day VALUES (24148, '2024-05-27', '2129', '7319', '9883', 'admintoto', '2024-05-27 10:27:11', 'admintoto', '2024-05-27 10:27:19');
INSERT INTO public.tbl_trx_japan_day VALUES (24159, '2024-06-07', '8900', '3382', '0283', 'admintoto', '2024-06-07 10:26:48', 'admintoto', '2024-06-07 10:27:00');
INSERT INTO public.tbl_trx_japan_day VALUES (24168, '2024-06-16', '5542', '9938', '6749', 'admintoto', '2024-06-16 10:00:23', 'admintoto', '2024-06-16 10:00:32');
INSERT INTO public.tbl_trx_japan_day VALUES (24176, '2024-06-24', '6765', '4361', '2382', 'admintoto', '2024-06-24 09:37:19', 'admintoto', '2024-06-24 10:00:14');
INSERT INTO public.tbl_trx_japan_day VALUES (24184, '2024-07-02', '9930', '6178', '3091', 'admintoto', '2024-07-02 10:05:41', 'admintoto', '2024-07-02 10:05:48');
INSERT INTO public.tbl_trx_japan_day VALUES (24196, '2024-07-14', '4604', '5327', '0201', 'admintoto', '2024-07-14 13:07:22', 'admintoto', '2024-07-14 13:07:30');
INSERT INTO public.tbl_trx_japan_day VALUES (24204, '2024-07-21', '8349', '9984', '7389', 'admintoto', '2024-07-21 10:59:50', 'admintoto', '2024-07-21 10:59:57');
INSERT INTO public.tbl_trx_japan_day VALUES (24212, '2024-07-29', '8152', '1907', '3905', 'admintoto', '2024-07-29 11:04:25', 'admintoto', '2024-07-29 11:04:34');
INSERT INTO public.tbl_trx_japan_day VALUES (24222, '2024-08-08', '8576', '3223', '2704', 'admintoto', '2024-08-08 10:21:28', 'admintoto', '2024-08-08 10:21:32');
INSERT INTO public.tbl_trx_japan_day VALUES (23909, '2021-04-09', '0843', '2505', '9922', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:57.913791');
INSERT INTO public.tbl_trx_japan_day VALUES (23912, '2021-04-12', '5826', '5261', '4800', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:58.541817');
INSERT INTO public.tbl_trx_japan_day VALUES (23921, '2021-04-21', '2582', '7742', '5351', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:00.55084');
INSERT INTO public.tbl_trx_japan_day VALUES (23922, '2021-04-22', '6923', '1010', '2863', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:00.768871');
INSERT INTO public.tbl_trx_japan_day VALUES (23928, '2021-04-28', '3107', '7219', '6777', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:02.088778');
INSERT INTO public.tbl_trx_japan_day VALUES (23929, '2021-04-29', '9544', '7236', '1052', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:02.338134');
INSERT INTO public.tbl_trx_japan_day VALUES (23930, '2021-04-30', '9589', '0245', '4274', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:02.559723');
INSERT INTO public.tbl_trx_japan_day VALUES (23931, '2021-05-01', '2966', '6419', '1346', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:02.767646');
INSERT INTO public.tbl_trx_japan_day VALUES (23933, '2021-05-03', '4379', '8655', '8961', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:03.187413');
INSERT INTO public.tbl_trx_japan_day VALUES (23943, '2021-05-13', '5404', '9834', '0980', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:05.301271');
INSERT INTO public.tbl_trx_japan_day VALUES (23944, '2021-05-14', '5722', '5446', '4372', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:05.477946');
INSERT INTO public.tbl_trx_japan_day VALUES (23949, '2021-05-19', '4162', '2664', '7192', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:06.483449');
INSERT INTO public.tbl_trx_japan_day VALUES (23952, '2021-05-22', '9824', '8595', '5935', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:07.174595');
INSERT INTO public.tbl_trx_japan_day VALUES (23957, '2021-05-27', '0389', '7921', '8186', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:08.18469');
INSERT INTO public.tbl_trx_japan_day VALUES (23959, '2021-05-29', '8662', '2983', '3283', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:08.554768');
INSERT INTO public.tbl_trx_japan_day VALUES (23960, '2021-05-30', '8914', '1354', '7837', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:08.791231');
INSERT INTO public.tbl_trx_japan_day VALUES (23961, '2021-05-31', '7544', '8015', '7295', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:09.037133');
INSERT INTO public.tbl_trx_japan_day VALUES (23962, '2021-06-01', '5688', '5350', '6005', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:09.257853');
INSERT INTO public.tbl_trx_japan_day VALUES (23965, '2021-06-04', '8255', '2259', '9564', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:09.850134');
INSERT INTO public.tbl_trx_japan_day VALUES (23966, '2021-06-05', '4551', '0409', '1138', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:10.096461');
INSERT INTO public.tbl_trx_japan_day VALUES (23968, '2021-06-07', '7877', '7218', '4662', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:10.521498');
INSERT INTO public.tbl_trx_japan_day VALUES (23976, '2021-06-15', '9359', '6512', '3201', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:12.226658');
INSERT INTO public.tbl_trx_japan_day VALUES (23977, '2021-06-16', '1548', '0840', '5140', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:12.419737');
INSERT INTO public.tbl_trx_japan_day VALUES (23978, '2021-06-17', '3512', '8900', '1797', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:12.65783');
INSERT INTO public.tbl_trx_japan_day VALUES (23979, '2021-06-18', '0750', '5265', '8238', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:12.873813');
INSERT INTO public.tbl_trx_japan_day VALUES (23980, '2021-06-19', '6980', '8018', '1034', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:13.103057');
INSERT INTO public.tbl_trx_japan_day VALUES (23981, '2021-06-20', '3508', '6869', '2421', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:13.291286');
INSERT INTO public.tbl_trx_japan_day VALUES (23982, '2021-06-21', '9423', '1310', '4926', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:13.495833');
INSERT INTO public.tbl_trx_japan_day VALUES (23984, '2021-06-23', '4787', '9765', '1272', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:13.92328');
INSERT INTO public.tbl_trx_japan_day VALUES (23995, '2021-07-04', '7986', '2583', '7761', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:16.268061');
INSERT INTO public.tbl_trx_japan_day VALUES (23999, '2021-07-08', '9677', '5192', '5069', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:17.050546');
INSERT INTO public.tbl_trx_japan_day VALUES (231000, '2021-07-09', '1017', '2942', '9953', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:17.269097');
INSERT INTO public.tbl_trx_japan_day VALUES (231001, '2021-07-10', '3875', '8512', '0156', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:17.449334');
INSERT INTO public.tbl_trx_japan_day VALUES (231002, '2021-07-11', '2077', '6339', '0821', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:17.668442');
INSERT INTO public.tbl_trx_japan_day VALUES (231003, '2021-07-12', '1887', '2522', '3311', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:17.861496');
INSERT INTO public.tbl_trx_japan_day VALUES (231005, '2021-07-14', '0127', '6023', '5174', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:18.259742');
INSERT INTO public.tbl_trx_japan_day VALUES (231009, '2021-07-18', '8736', '6211', '7446', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:19.041369');
INSERT INTO public.tbl_trx_japan_day VALUES (231014, '2021-07-23', '5148', '5391', '4890', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:20.158899');
INSERT INTO public.tbl_trx_japan_day VALUES (231020, '2021-07-29', '7291', '9209', '4746', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:21.437052');
INSERT INTO public.tbl_trx_japan_day VALUES (231024, '2021-08-02', '3208', '2945', '8064', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:22.285556');
INSERT INTO public.tbl_trx_japan_day VALUES (231026, '2021-08-04', '3515', '4773', '3293', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:22.646065');
INSERT INTO public.tbl_trx_japan_day VALUES (231032, '2021-08-10', '6722', '1795', '9375', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:23.930003');
INSERT INTO public.tbl_trx_japan_day VALUES (231047, '2021-08-25', '9978', '9315', '1121', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:27.060428');
INSERT INTO public.tbl_trx_japan_day VALUES (231050, '2021-08-28', '8191', '6667', '4282', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:27.705535');
INSERT INTO public.tbl_trx_japan_day VALUES (231053, '2021-08-31', '2415', '1762', '3063', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:28.320991');
INSERT INTO public.tbl_trx_japan_day VALUES (231055, '2021-09-02', '5115', '0983', '1571', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:28.801065');
INSERT INTO public.tbl_trx_japan_day VALUES (231056, '2021-09-03', '3094', '6387', '1824', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:29.004545');
INSERT INTO public.tbl_trx_japan_day VALUES (24149, '2024-05-28', '6006', '7337', '3302', 'admintoto', '2024-05-28 10:51:38', 'admintoto', '2024-05-28 10:51:45');
INSERT INTO public.tbl_trx_japan_day VALUES (24215, '2024-08-01', '4194', '3014', '2085', 'admintoto', '2024-08-01 09:44:19', 'admintoto', '2024-08-01 10:03:24');
INSERT INTO public.tbl_trx_japan_day VALUES (24160, '2024-06-08', '1268', '6939', '9879', 'admintoto', '2024-06-08 11:04:22', 'admintoto', '2024-06-08 11:04:28');
INSERT INTO public.tbl_trx_japan_day VALUES (24169, '2024-06-17', '9732', '4410', '3066', 'admintoto', '2024-06-17 10:28:40', 'admintoto', '2024-06-17 10:28:48');
INSERT INTO public.tbl_trx_japan_day VALUES (24223, '2024-08-09', '6074', '6787', '3809', 'admintoto', '2024-08-09 10:00:27', 'admintoto', '2024-08-09 10:00:37');
INSERT INTO public.tbl_trx_japan_day VALUES (24177, '2024-06-25', '9907', '1242', '2661', 'admintoto', '2024-06-25 09:54:24', 'admintoto', '2024-06-25 09:55:45');
INSERT INTO public.tbl_trx_japan_day VALUES (24185, '2024-07-03', '2831', '4265', '1672', 'admintoto', '2024-07-03 10:19:09', 'admintoto', '2024-07-03 10:19:17');
INSERT INTO public.tbl_trx_japan_day VALUES (24189, '2024-07-07', '0075', '5507', '4459', 'admintoto', '2024-07-07 09:41:34', 'admintoto', '2024-07-07 10:06:38');
INSERT INTO public.tbl_trx_japan_day VALUES (24197, '2024-07-15', '8807', '9406', '0173', 'admintoto', '2024-07-15 10:58:59', 'admintoto', '2024-07-15 10:59:09');
INSERT INTO public.tbl_trx_japan_day VALUES (24205, '2024-07-22', '2127', '4719', '5659', 'admintoto', '2024-07-22 08:29:27', 'admintoto', '2024-07-22 10:00:57');
INSERT INTO public.tbl_trx_japan_day VALUES (24213, '2024-07-30', '0892', '1084', '8377', 'admintoto', '2024-07-30 10:21:04', 'admintoto', '2024-07-30 10:21:20');
INSERT INTO public.tbl_trx_japan_day VALUES (23910, '2021-04-10', '0828', '1052', '3234', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:58.128574');
INSERT INTO public.tbl_trx_japan_day VALUES (23913, '2021-04-13', '4146', '8025', '4920', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:58.746088');
INSERT INTO public.tbl_trx_japan_day VALUES (23914, '2021-04-14', '3435', '5819', '6650', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:58.963163');
INSERT INTO public.tbl_trx_japan_day VALUES (23915, '2021-04-15', '1103', '2036', '9094', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:59.182715');
INSERT INTO public.tbl_trx_japan_day VALUES (23924, '2021-04-24', '5280', '3350', '6741', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:01.194148');
INSERT INTO public.tbl_trx_japan_day VALUES (23927, '2021-04-27', '8512', '5323', '6176', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:01.868959');
INSERT INTO public.tbl_trx_japan_day VALUES (23934, '2021-05-04', '8575', '4588', '9727', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:03.411585');
INSERT INTO public.tbl_trx_japan_day VALUES (23938, '2021-05-08', '7703', '7447', '4054', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:04.265048');
INSERT INTO public.tbl_trx_japan_day VALUES (23941, '2021-05-11', '9800', '1420', '2513', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:04.89049');
INSERT INTO public.tbl_trx_japan_day VALUES (23947, '2021-05-17', '4378', '5063', '9978', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:06.095781');
INSERT INTO public.tbl_trx_japan_day VALUES (23950, '2021-05-20', '2278', '3238', '7999', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:06.689941');
INSERT INTO public.tbl_trx_japan_day VALUES (23983, '2021-06-22', '6395', '6490', '6292', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:13.728778');
INSERT INTO public.tbl_trx_japan_day VALUES (23988, '2021-06-27', '6422', '6453', '2138', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:14.755074');
INSERT INTO public.tbl_trx_japan_day VALUES (23989, '2021-06-28', '8266', '5899', '4481', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:14.947333');
INSERT INTO public.tbl_trx_japan_day VALUES (23992, '2021-07-01', '0752', '9938', '4155', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:15.637589');
INSERT INTO public.tbl_trx_japan_day VALUES (23993, '2021-07-02', '6200', '6127', '3611', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:15.843241');
INSERT INTO public.tbl_trx_japan_day VALUES (23994, '2021-07-03', '2508', '4665', '2365', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:16.061572');
INSERT INTO public.tbl_trx_japan_day VALUES (23996, '2021-07-05', '2124', '8842', '6023', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:16.487256');
INSERT INTO public.tbl_trx_japan_day VALUES (231016, '2021-07-25', '2087', '8061', '8539', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:20.586833');
INSERT INTO public.tbl_trx_japan_day VALUES (231017, '2021-07-26', '5607', '3901', '1739', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:20.776822');
INSERT INTO public.tbl_trx_japan_day VALUES (231019, '2021-07-28', '4466', '2209', '8903', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:21.210776');
INSERT INTO public.tbl_trx_japan_day VALUES (231023, '2021-08-01', '4756', '4196', '7390', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:22.043389');
INSERT INTO public.tbl_trx_japan_day VALUES (231034, '2021-08-12', '2387', '3567', '2385', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:24.340818');
INSERT INTO public.tbl_trx_japan_day VALUES (231038, '2021-08-16', '7454', '4869', '4112', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:25.203337');
INSERT INTO public.tbl_trx_japan_day VALUES (231044, '2021-08-22', '6119', '5518', '6412', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:26.462785');
INSERT INTO public.tbl_trx_japan_day VALUES (231048, '2021-08-26', '1546', '2714', '1400', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:27.265254');
INSERT INTO public.tbl_trx_japan_day VALUES (231057, '2021-09-04', '4337', '8708', '3282', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:29.19368');
INSERT INTO public.tbl_trx_japan_day VALUES (231058, '2021-09-05', '9267', '6094', '2122', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:29.400269');
INSERT INTO public.tbl_trx_japan_day VALUES (231059, '2021-09-06', '1118', '8088', '6546', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:29.670889');
INSERT INTO public.tbl_trx_japan_day VALUES (24150, '2024-05-29', '5981', '2060', '1758', 'admintoto', '2024-05-29 10:03:04', 'admintoto', '2024-05-29 10:03:11');
INSERT INTO public.tbl_trx_japan_day VALUES (24161, '2024-06-09', '9250', '2982', '1928', 'admintoto', '2024-06-09 10:00:45', 'admintoto', '2024-06-09 10:00:56');
INSERT INTO public.tbl_trx_japan_day VALUES (24170, '2024-06-18', '7885', '5197', '4955', 'admintoto', '2024-06-18 10:00:33', 'admintoto', '2024-06-18 10:00:43');
INSERT INTO public.tbl_trx_japan_day VALUES (24178, '2024-06-26', '8708', '3956', '2328', 'admintoto', '2024-06-26 10:00:59', 'admintoto', '2024-06-26 10:01:07');
INSERT INTO public.tbl_trx_japan_day VALUES (24186, '2024-07-04', '5435', '9274', '3603', 'admintoto', '2024-07-04 10:21:32', 'admintoto', '2024-07-04 10:21:38');
INSERT INTO public.tbl_trx_japan_day VALUES (24190, '2024-07-08', '8274', '0825', '3303', 'admintoto', '2024-07-08 10:27:48', 'admintoto', '2024-07-08 10:27:53');
INSERT INTO public.tbl_trx_japan_day VALUES (24198, '2024-07-15', '', '', '', 'admintoto', '2024-07-15 10:58:59', '', '2024-07-15 03:58:59.617533');
INSERT INTO public.tbl_trx_japan_day VALUES (24206, '2024-07-23', '6523', '3013', '7564', 'admintoto', '2024-07-23 10:18:43', 'admintoto', '2024-07-23 10:18:53');
INSERT INTO public.tbl_trx_japan_day VALUES (24214, '2024-07-31', '8333', '7838', '9194', 'admintoto', '2024-07-31 11:11:19', 'admintoto', '2024-07-31 11:11:26');
INSERT INTO public.tbl_trx_japan_day VALUES (24216, '2024-08-02', '5917', '0915', '4554', 'admintoto', '2024-08-02 10:00:32', 'admintoto', '2024-08-02 10:00:51');
INSERT INTO public.tbl_trx_japan_day VALUES (24224, '2024-08-10', '7370', '5743', '4618', 'admintoto', '2024-08-10 11:55:56', 'admintoto', '2024-08-10 11:56:00');
INSERT INTO public.tbl_trx_japan_day VALUES (23911, '2021-04-11', '0937', '9136', '2631', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:58.348821');
INSERT INTO public.tbl_trx_japan_day VALUES (23918, '2021-04-18', '7819', '2026', '4472', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:47:59.851187');
INSERT INTO public.tbl_trx_japan_day VALUES (23920, '2021-04-20', '7826', '5490', '9978', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:00.317658');
INSERT INTO public.tbl_trx_japan_day VALUES (23923, '2021-04-23', '4802', '8957', '7233', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:01.003206');
INSERT INTO public.tbl_trx_japan_day VALUES (23926, '2021-04-26', '5375', '7619', '1057', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:01.649388');
INSERT INTO public.tbl_trx_japan_day VALUES (23935, '2021-05-05', '0260', '5701', '1913', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:03.61501');
INSERT INTO public.tbl_trx_japan_day VALUES (23937, '2021-05-07', '3010', '9503', '2366', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:04.055559');
INSERT INTO public.tbl_trx_japan_day VALUES (23954, '2021-05-24', '6309', '3217', '7494', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:07.585856');
INSERT INTO public.tbl_trx_japan_day VALUES (23958, '2021-05-28', '9671', '1455', '7537', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:08.391429');
INSERT INTO public.tbl_trx_japan_day VALUES (23970, '2021-06-09', '3749', '5293', '9825', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:10.928663');
INSERT INTO public.tbl_trx_japan_day VALUES (23973, '2021-06-12', '8722', '1550', '8287', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:11.619261');
INSERT INTO public.tbl_trx_japan_day VALUES (23975, '2021-06-14', '7862', '3597', '8786', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:12.024079');
INSERT INTO public.tbl_trx_japan_day VALUES (23986, '2021-06-25', '3287', '9271', '7014', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:14.306938');
INSERT INTO public.tbl_trx_japan_day VALUES (23987, '2021-06-26', '3760', '9579', '0078', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:14.511414');
INSERT INTO public.tbl_trx_japan_day VALUES (23990, '2021-06-29', '8206', '4121', '2930', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:15.200544');
INSERT INTO public.tbl_trx_japan_day VALUES (23997, '2021-07-06', '6031', '5384', '8415', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:16.665341');
INSERT INTO public.tbl_trx_japan_day VALUES (231007, '2021-07-16', '7826', '5865', '0838', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:18.628981');
INSERT INTO public.tbl_trx_japan_day VALUES (231011, '2021-07-20', '8030', '0753', '0001', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:19.562664');
INSERT INTO public.tbl_trx_japan_day VALUES (231013, '2021-07-22', '7183', '1790', '7983', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:19.965006');
INSERT INTO public.tbl_trx_japan_day VALUES (231018, '2021-07-27', '5090', '8766', '1065', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:20.998294');
INSERT INTO public.tbl_trx_japan_day VALUES (231025, '2021-08-03', '9944', '5502', '3352', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:22.454072');
INSERT INTO public.tbl_trx_japan_day VALUES (231033, '2021-08-11', '4652', '1895', '5025', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:24.160985');
INSERT INTO public.tbl_trx_japan_day VALUES (231036, '2021-08-14', '1489', '1309', '0590', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:24.764827');
INSERT INTO public.tbl_trx_japan_day VALUES (231037, '2021-08-15', '3081', '2307', '5849', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:24.98755');
INSERT INTO public.tbl_trx_japan_day VALUES (231040, '2021-08-18', '0853', '5776', '4299', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:25.61883');
INSERT INTO public.tbl_trx_japan_day VALUES (231045, '2021-08-23', '2305', '7076', '3274', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:26.656772');
INSERT INTO public.tbl_trx_japan_day VALUES (231046, '2021-08-24', '8565', '6473', '5209', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:26.867912');
INSERT INTO public.tbl_trx_japan_day VALUES (231051, '2021-08-29', '9504', '9911', '4178', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:27.909934');
INSERT INTO public.tbl_trx_japan_day VALUES (231052, '2021-08-30', '9157', '4059', '4198', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:28.103258');
INSERT INTO public.tbl_trx_japan_day VALUES (231060, '2021-09-07', '4293', '4436', '7324', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:29.889357');
INSERT INTO public.tbl_trx_japan_day VALUES (231061, '2021-09-08', '3744', '4176', '8375', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:30.108507');
INSERT INTO public.tbl_trx_japan_day VALUES (231062, '2021-09-09', '6766', '4625', '4725', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:30.38677');
INSERT INTO public.tbl_trx_japan_day VALUES (231063, '2021-09-10', '1367', '3860', '1225', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:30.620939');
INSERT INTO public.tbl_trx_japan_day VALUES (231064, '2021-09-11', '5199', '7376', '6400', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:30.849918');
INSERT INTO public.tbl_trx_japan_day VALUES (231065, '2021-09-12', '7951', '8220', '9064', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:31.044161');
INSERT INTO public.tbl_trx_japan_day VALUES (231066, '2021-09-13', '5522', '7779', '4119', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:31.279928');
INSERT INTO public.tbl_trx_japan_day VALUES (231067, '2021-09-14', '4619', '7831', '7979', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:31.543848');
INSERT INTO public.tbl_trx_japan_day VALUES (231068, '2021-09-15', '0873', '4820', '1800', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:31.786077');
INSERT INTO public.tbl_trx_japan_day VALUES (231069, '2021-09-16', '8472', '3349', '5653', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:31.964113');
INSERT INTO public.tbl_trx_japan_day VALUES (231070, '2021-09-17', '1307', '5238', '2350', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:32.145433');
INSERT INTO public.tbl_trx_japan_day VALUES (231071, '2021-09-18', '3377', '8611', '5365', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:32.35106');
INSERT INTO public.tbl_trx_japan_day VALUES (231072, '2021-09-19', '8280', '3943', '3749', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:32.556682');
INSERT INTO public.tbl_trx_japan_day VALUES (231073, '2021-09-20', '9510', '8799', '3969', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:32.78114');
INSERT INTO public.tbl_trx_japan_day VALUES (231074, '2021-09-21', '3184', '8957', '3197', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:32.996869');
INSERT INTO public.tbl_trx_japan_day VALUES (231075, '2021-09-22', '0355', '1168', '2847', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:33.163071');
INSERT INTO public.tbl_trx_japan_day VALUES (231076, '2021-09-23', '8648', '8132', '5522', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:33.357121');
INSERT INTO public.tbl_trx_japan_day VALUES (231077, '2021-09-24', '8277', '0473', '6160', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:33.571112');
INSERT INTO public.tbl_trx_japan_day VALUES (231078, '2021-09-25', '2213', '0874', '6944', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:33.776842');
INSERT INTO public.tbl_trx_japan_day VALUES (231079, '2021-09-26', '5526', '7454', '2232', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:33.950937');
INSERT INTO public.tbl_trx_japan_day VALUES (231080, '2021-09-27', '6472', '7668', '2571', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:34.162584');
INSERT INTO public.tbl_trx_japan_day VALUES (231081, '2021-09-28', '8654', '6022', '5715', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:34.353846');
INSERT INTO public.tbl_trx_japan_day VALUES (231082, '2021-09-29', '0429', '8004', '6416', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:34.544045');
INSERT INTO public.tbl_trx_japan_day VALUES (231083, '2021-09-30', '2898', '7581', '6480', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:34.738208');
INSERT INTO public.tbl_trx_japan_day VALUES (231084, '2021-10-01', '7784', '5029', '6204', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:34.957297');
INSERT INTO public.tbl_trx_japan_day VALUES (231085, '2021-10-02', '4215', '4020', '0976', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:35.177118');
INSERT INTO public.tbl_trx_japan_day VALUES (231086, '2021-10-03', '5518', '2991', '3288', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:35.381789');
INSERT INTO public.tbl_trx_japan_day VALUES (231087, '2021-10-04', '3635', '8010', '2424', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:35.677631');
INSERT INTO public.tbl_trx_japan_day VALUES (231088, '2021-10-05', '4332', '7883', '2288', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:35.908197');
INSERT INTO public.tbl_trx_japan_day VALUES (231089, '2021-10-06', '5916', '6282', '1662', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:36.090576');
INSERT INTO public.tbl_trx_japan_day VALUES (231090, '2021-10-07', '7060', '4226', '8555', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:36.284665');
INSERT INTO public.tbl_trx_japan_day VALUES (231091, '2021-10-08', '4873', '5146', '3470', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:36.476704');
INSERT INTO public.tbl_trx_japan_day VALUES (231092, '2021-10-09', '3879', '5671', '6245', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:36.703445');
INSERT INTO public.tbl_trx_japan_day VALUES (231093, '2021-10-10', '0960', '2419', '0973', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:36.934738');
INSERT INTO public.tbl_trx_japan_day VALUES (231094, '2021-10-11', '6765', '2661', '3783', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:37.129852');
INSERT INTO public.tbl_trx_japan_day VALUES (231095, '2021-10-12', '1245', '4036', '6309', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:37.336543');
INSERT INTO public.tbl_trx_japan_day VALUES (231096, '2021-10-13', '9325', '1459', '9820', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:37.605167');
INSERT INTO public.tbl_trx_japan_day VALUES (231097, '2021-10-14', '4838', '5588', '7915', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:37.811204');
INSERT INTO public.tbl_trx_japan_day VALUES (231098, '2021-10-15', '0393', '5629', '8088', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:38.037439');
INSERT INTO public.tbl_trx_japan_day VALUES (231099, '2021-10-16', '8073', '7065', '2670', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:38.2667');
INSERT INTO public.tbl_trx_japan_day VALUES (231100, '2021-10-17', '2047', '6730', '8809', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:38.478179');
INSERT INTO public.tbl_trx_japan_day VALUES (231101, '2021-10-18', '3179', '7659', '3735', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:38.68806');
INSERT INTO public.tbl_trx_japan_day VALUES (231102, '2021-10-19', '7515', '5371', '3620', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:38.904503');
INSERT INTO public.tbl_trx_japan_day VALUES (231103, '2021-10-20', '7021', '2154', '8828', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:39.115729');
INSERT INTO public.tbl_trx_japan_day VALUES (231104, '2021-10-21', '3181', '6418', '4961', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:39.346266');
INSERT INTO public.tbl_trx_japan_day VALUES (231105, '2021-10-22', '6963', '0341', '4671', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:39.568858');
INSERT INTO public.tbl_trx_japan_day VALUES (231106, '2021-10-23', '8971', '9953', '8076', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:39.761937');
INSERT INTO public.tbl_trx_japan_day VALUES (231107, '2021-10-24', '7427', '6000', '2359', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:39.984148');
INSERT INTO public.tbl_trx_japan_day VALUES (231108, '2021-10-25', '6170', '5607', '1328', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:40.200125');
INSERT INTO public.tbl_trx_japan_day VALUES (231109, '2021-10-26', '4097', '1424', '1989', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:40.424318');
INSERT INTO public.tbl_trx_japan_day VALUES (231110, '2021-10-27', '0441', '4494', '5163', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:40.647943');
INSERT INTO public.tbl_trx_japan_day VALUES (231111, '2021-10-28', '4199', '5634', '0669', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:40.911383');
INSERT INTO public.tbl_trx_japan_day VALUES (231112, '2021-10-29', '8115', '1417', '7274', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:41.108359');
INSERT INTO public.tbl_trx_japan_day VALUES (231113, '2021-10-30', '0179', '3045', '7817', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:41.334298');
INSERT INTO public.tbl_trx_japan_day VALUES (231114, '2021-10-31', '2733', '1379', '7519', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:41.587248');
INSERT INTO public.tbl_trx_japan_day VALUES (231115, '2021-11-01', '4033', '0235', '9671', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:41.813223');
INSERT INTO public.tbl_trx_japan_day VALUES (231116, '2021-11-02', '1229', '5360', '2895', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:42.062926');
INSERT INTO public.tbl_trx_japan_day VALUES (231117, '2021-11-03', '3128', '7843', '3092', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:42.287874');
INSERT INTO public.tbl_trx_japan_day VALUES (231118, '2021-11-04', '3244', '2909', '9759', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:42.513641');
INSERT INTO public.tbl_trx_japan_day VALUES (231119, '2021-11-05', '1049', '4348', '0134', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:42.723271');
INSERT INTO public.tbl_trx_japan_day VALUES (231120, '2021-11-06', '6761', '4462', '5509', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:42.974495');
INSERT INTO public.tbl_trx_japan_day VALUES (231121, '2021-11-07', '5924', '3336', '2013', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:43.221608');
INSERT INTO public.tbl_trx_japan_day VALUES (231122, '2021-11-08', '9878', '4920', '7559', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:43.451821');
INSERT INTO public.tbl_trx_japan_day VALUES (231123, '2021-11-09', '1838', '8994', '8817', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:43.676733');
INSERT INTO public.tbl_trx_japan_day VALUES (231124, '2021-11-10', '0975', '5823', '3042', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:43.95624');
INSERT INTO public.tbl_trx_japan_day VALUES (231125, '2021-11-11', '5388', '7796', '8670', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:44.223314');
INSERT INTO public.tbl_trx_japan_day VALUES (231126, '2021-11-12', '0483', '3465', '1493', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:44.450019');
INSERT INTO public.tbl_trx_japan_day VALUES (231127, '2021-11-13', '2604', '4308', '3527', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:44.675124');
INSERT INTO public.tbl_trx_japan_day VALUES (231128, '2021-11-14', '3789', '9725', '7175', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:44.857437');
INSERT INTO public.tbl_trx_japan_day VALUES (231131, '2021-11-17', '3651', '2260', '0462', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:45.42014');
INSERT INTO public.tbl_trx_japan_day VALUES (231137, '2021-11-23', '8570', '5808', '2027', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:46.623172');
INSERT INTO public.tbl_trx_japan_day VALUES (231140, '2021-11-26', '6090', '4052', '2086', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:47.268057');
INSERT INTO public.tbl_trx_japan_day VALUES (231147, '2021-12-03', '5480', '9777', '4337', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:48.817398');
INSERT INTO public.tbl_trx_japan_day VALUES (231150, '2021-12-06', '1139', '1506', '3763', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:49.43652');
INSERT INTO public.tbl_trx_japan_day VALUES (231155, '2021-12-11', '9484', '9037', '6982', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:50.413597');
INSERT INTO public.tbl_trx_japan_day VALUES (231173, '2021-12-29', '3657', '4664', '1139', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:54.146153');
INSERT INTO public.tbl_trx_japan_day VALUES (231174, '2021-12-30', '7425', '3538', '2828', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:54.338568');
INSERT INTO public.tbl_trx_japan_day VALUES (231179, '2022-01-04', '8018', '3000', '4599', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:55.311154');
INSERT INTO public.tbl_trx_japan_day VALUES (231180, '2022-01-05', '2761', '4864', '4009', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:55.501776');
INSERT INTO public.tbl_trx_japan_day VALUES (231182, '2022-01-07', '2268', '8615', '3369', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:56.003992');
INSERT INTO public.tbl_trx_japan_day VALUES (231183, '2022-01-08', '9979', '7196', '2687', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:56.220755');
INSERT INTO public.tbl_trx_japan_day VALUES (231196, '2022-01-21', '7849', '4261', '9711', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:58.891288');
INSERT INTO public.tbl_trx_japan_day VALUES (231200, '2022-01-25', '0891', '3814', '7066', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:59.738162');
INSERT INTO public.tbl_trx_japan_day VALUES (231206, '2022-01-31', '4421', '3265', '5526', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:01.112018');
INSERT INTO public.tbl_trx_japan_day VALUES (231210, '2022-02-04', '8265', '0006', '7212', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:01.912997');
INSERT INTO public.tbl_trx_japan_day VALUES (231212, '2022-02-06', '6809', '2939', '0141', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:02.335876');
INSERT INTO public.tbl_trx_japan_day VALUES (231219, '2022-02-13', '2368', '2588', '6742', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:03.760496');
INSERT INTO public.tbl_trx_japan_day VALUES (231222, '2022-02-16', '9479', '2677', '7545', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:04.379952');
INSERT INTO public.tbl_trx_japan_day VALUES (231224, '2022-02-18', '8817', '2768', '8900', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:04.751849');
INSERT INTO public.tbl_trx_japan_day VALUES (231225, '2022-02-19', '3210', '9795', '6558', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:04.982346');
INSERT INTO public.tbl_trx_japan_day VALUES (231230, '2022-02-24', '7776', '3501', '1111', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:06.14412');
INSERT INTO public.tbl_trx_japan_day VALUES (231242, '2022-03-08', '2627', '2875', '5220', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:08.618083');
INSERT INTO public.tbl_trx_japan_day VALUES (231243, '2022-03-09', '0036', '3975', '7896', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:08.853547');
INSERT INTO public.tbl_trx_japan_day VALUES (231247, '2022-03-13', '2037', '8460', '5886', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:09.76946');
INSERT INTO public.tbl_trx_japan_day VALUES (231249, '2022-03-15', '7158', '9230', '4333', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:10.20248');
INSERT INTO public.tbl_trx_japan_day VALUES (231250, '2022-03-16', '2058', '2349', '4082', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:10.407149');
INSERT INTO public.tbl_trx_japan_day VALUES (231263, '2022-03-29', '9620', '2475', '6017', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:13.337792');
INSERT INTO public.tbl_trx_japan_day VALUES (231266, '2022-04-01', '8469', '0610', '2675', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:14.021164');
INSERT INTO public.tbl_trx_japan_day VALUES (231273, '2022-04-08', '9349', '1223', '2365', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:15.558566');
INSERT INTO public.tbl_trx_japan_day VALUES (231282, '2022-04-17', '9173', '0489', '7576', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:17.501459');
INSERT INTO public.tbl_trx_japan_day VALUES (231286, '2022-04-21', '6192', '8725', '1651', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:18.422996');
INSERT INTO public.tbl_trx_japan_day VALUES (231300, '2022-05-05', '2246', '0311', '0125', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:21.443707');
INSERT INTO public.tbl_trx_japan_day VALUES (231305, '2022-05-10', '8229', '7639', '3452', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:22.567735');
INSERT INTO public.tbl_trx_japan_day VALUES (231307, '2022-05-12', '9816', '2452', '4215', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:23.014845');
INSERT INTO public.tbl_trx_japan_day VALUES (231308, '2022-05-13', '1489', '6533', '7977', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:23.217443');
INSERT INTO public.tbl_trx_japan_day VALUES (231310, '2022-05-15', '5918', '5458', '8966', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:23.601202');
INSERT INTO public.tbl_trx_japan_day VALUES (231314, '2022-05-19', '2265', '4304', '6520', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:24.454629');
INSERT INTO public.tbl_trx_japan_day VALUES (231315, '2022-05-20', '4223', '1855', '4737', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:24.660147');
INSERT INTO public.tbl_trx_japan_day VALUES (231316, '2022-05-21', '7317', '0143', '7643', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:24.898152');
INSERT INTO public.tbl_trx_japan_day VALUES (231319, '2022-05-24', '2353', '5384', '3197', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:25.543001');
INSERT INTO public.tbl_trx_japan_day VALUES (231325, '2022-05-30', '8466', '4714', '3098', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:26.771161');
INSERT INTO public.tbl_trx_japan_day VALUES (231329, '2022-06-03', '6943', '0828', '9747', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:27.553699');
INSERT INTO public.tbl_trx_japan_day VALUES (231339, '2022-06-13', '4450', '2189', '7055', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:29.706174');
INSERT INTO public.tbl_trx_japan_day VALUES (24225, '2024-08-11', '6404', '4856', '7924', 'admintoto', '2024-08-11 10:00:30', 'admintoto', '2024-08-11 10:00:40');
INSERT INTO public.tbl_trx_japan_day VALUES (24151, '2024-05-30', '3206', '9765', '6006', 'admintoto', '2024-05-30 10:01:55', 'admintoto', '2024-05-30 10:02:02');
INSERT INTO public.tbl_trx_japan_day VALUES (24162, '2024-06-10', '4321', '5895', '3872', 'admintoto', '2024-06-10 12:00:14', 'admintoto', '2024-06-10 12:00:26');
INSERT INTO public.tbl_trx_japan_day VALUES (24171, '2024-06-19', '8063', '0871', '6441', 'admintoto', '2024-06-19 10:00:17', 'admintoto', '2024-06-19 10:00:31');
INSERT INTO public.tbl_trx_japan_day VALUES (24179, '2024-06-27', '4463', '2734', '0135', 'admintoto', '2024-06-27 10:12:34', 'admintoto', '2024-06-27 10:12:39');
INSERT INTO public.tbl_trx_japan_day VALUES (24187, '2024-07-05', '8833', '1706', '9647', 'admintoto', '2024-07-05 10:55:42', 'admintoto', '2024-07-05 10:55:53');
INSERT INTO public.tbl_trx_japan_day VALUES (24191, '2024-07-09', '3675', '2805', '4301', 'admintoto', '2024-07-09 10:17:33', 'admintoto', '2024-07-09 10:17:48');
INSERT INTO public.tbl_trx_japan_day VALUES (24199, '2024-07-16', '6839', '2150', '5576', 'admintoto', '2024-07-16 10:00:57', 'admintoto', '2024-07-16 10:01:05');
INSERT INTO public.tbl_trx_japan_day VALUES (24207, '2024-07-24', '2145', '7723', '4116', 'admintoto', '2024-07-24 09:59:35', 'admintoto', '2024-07-24 09:59:43');
INSERT INTO public.tbl_trx_japan_day VALUES (24217, '2024-08-03', '4463', '6584', '0344', 'admintoto', '2024-08-03 12:11:44', 'admintoto', '2024-08-03 12:11:53');
INSERT INTO public.tbl_trx_japan_day VALUES (231129, '2021-11-15', '0184', '7444', '9230', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:45.046552');
INSERT INTO public.tbl_trx_japan_day VALUES (231136, '2021-11-22', '5921', '0488', '8935', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:46.420181');
INSERT INTO public.tbl_trx_japan_day VALUES (231138, '2021-11-24', '8693', '5395', '9446', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:46.790068');
INSERT INTO public.tbl_trx_japan_day VALUES (231139, '2021-11-25', '9154', '2285', '0501', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:47.01894');
INSERT INTO public.tbl_trx_japan_day VALUES (231141, '2021-11-27', '0189', '9784', '9994', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:47.520017');
INSERT INTO public.tbl_trx_japan_day VALUES (231143, '2021-11-29', '5026', '6054', '1788', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:47.956088');
INSERT INTO public.tbl_trx_japan_day VALUES (231144, '2021-11-30', '2229', '1484', '3370', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:48.15074');
INSERT INTO public.tbl_trx_japan_day VALUES (231148, '2021-12-04', '1583', '3305', '6403', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:48.980788');
INSERT INTO public.tbl_trx_japan_day VALUES (231157, '2021-12-13', '1455', '5646', '7571', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:50.796456');
INSERT INTO public.tbl_trx_japan_day VALUES (231158, '2021-12-14', '6741', '0284', '1165', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:51.015091');
INSERT INTO public.tbl_trx_japan_day VALUES (231160, '2021-12-16', '3067', '0707', '2413', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:51.459895');
INSERT INTO public.tbl_trx_japan_day VALUES (231164, '2021-12-20', '7605', '0535', '1993', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:52.300784');
INSERT INTO public.tbl_trx_japan_day VALUES (231166, '2021-12-22', '4292', '6010', '8755', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:52.751289');
INSERT INTO public.tbl_trx_japan_day VALUES (231167, '2021-12-23', '0997', '9656', '5577', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:52.929088');
INSERT INTO public.tbl_trx_japan_day VALUES (231168, '2021-12-24', '9709', '4907', '8085', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:53.12276');
INSERT INTO public.tbl_trx_japan_day VALUES (231171, '2021-12-27', '0357', '2946', '6485', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:53.771871');
INSERT INTO public.tbl_trx_japan_day VALUES (231186, '2022-01-11', '8923', '0468', '5817', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:56.806783');
INSERT INTO public.tbl_trx_japan_day VALUES (231187, '2022-01-12', '1810', '3638', '3501', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:56.998677');
INSERT INTO public.tbl_trx_japan_day VALUES (231188, '2022-01-13', '4553', '8893', '1483', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:57.216906');
INSERT INTO public.tbl_trx_japan_day VALUES (231191, '2022-01-16', '1564', '6731', '4356', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:57.894127');
INSERT INTO public.tbl_trx_japan_day VALUES (231193, '2022-01-18', '1990', '8220', '1334', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:58.252732');
INSERT INTO public.tbl_trx_japan_day VALUES (231195, '2022-01-20', '5369', '0142', '5293', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:58.67316');
INSERT INTO public.tbl_trx_japan_day VALUES (231198, '2022-01-23', '9878', '0564', '7948', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:59.285561');
INSERT INTO public.tbl_trx_japan_day VALUES (231201, '2022-01-26', '2857', '3757', '5593', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:59.976185');
INSERT INTO public.tbl_trx_japan_day VALUES (231203, '2022-01-28', '4323', '2260', '0971', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:00.457068');
INSERT INTO public.tbl_trx_japan_day VALUES (231205, '2022-01-30', '5699', '7461', '9567', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:00.892597');
INSERT INTO public.tbl_trx_japan_day VALUES (231207, '2022-02-01', '1444', '7569', '8525', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:01.30335');
INSERT INTO public.tbl_trx_japan_day VALUES (231209, '2022-02-03', '2103', '5613', '2687', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:01.693702');
INSERT INTO public.tbl_trx_japan_day VALUES (231211, '2022-02-05', '4691', '2021', '9846', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:02.115293');
INSERT INTO public.tbl_trx_japan_day VALUES (231216, '2022-02-10', '5009', '7147', '4912', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:03.175399');
INSERT INTO public.tbl_trx_japan_day VALUES (231217, '2022-02-11', '2497', '4942', '2425', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:03.403674');
INSERT INTO public.tbl_trx_japan_day VALUES (231221, '2022-02-15', '8816', '7305', '8593', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:04.201344');
INSERT INTO public.tbl_trx_japan_day VALUES (231223, '2022-02-17', '1145', '3167', '8641', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:04.572719');
INSERT INTO public.tbl_trx_japan_day VALUES (231227, '2022-02-21', '2426', '2347', '0104', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:05.419297');
INSERT INTO public.tbl_trx_japan_day VALUES (231232, '2022-02-26', '6136', '2951', '1363', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:06.560934');
INSERT INTO public.tbl_trx_japan_day VALUES (231235, '2022-03-01', '2266', '8058', '7408', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:07.233795');
INSERT INTO public.tbl_trx_japan_day VALUES (231236, '2022-03-02', '3075', '2598', '9957', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:07.425206');
INSERT INTO public.tbl_trx_japan_day VALUES (231240, '2022-03-06', '7495', '0026', '8550', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:08.233942');
INSERT INTO public.tbl_trx_japan_day VALUES (231246, '2022-03-12', '0427', '0328', '2385', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:09.526078');
INSERT INTO public.tbl_trx_japan_day VALUES (231252, '2022-03-18', '6781', '4968', '0631', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:10.85735');
INSERT INTO public.tbl_trx_japan_day VALUES (231257, '2022-03-23', '2314', '8628', '6561', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:12.010546');
INSERT INTO public.tbl_trx_japan_day VALUES (231260, '2022-03-26', '2408', '1417', '0774', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:12.66036');
INSERT INTO public.tbl_trx_japan_day VALUES (231261, '2022-03-27', '1154', '4519', '7944', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:12.895118');
INSERT INTO public.tbl_trx_japan_day VALUES (231262, '2022-03-28', '0075', '0081', '3445', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:13.116747');
INSERT INTO public.tbl_trx_japan_day VALUES (231264, '2022-03-30', '0158', '5611', '8841', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:13.5512');
INSERT INTO public.tbl_trx_japan_day VALUES (231265, '2022-03-31', '6486', '5831', '0573', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:13.758989');
INSERT INTO public.tbl_trx_japan_day VALUES (231272, '2022-04-07', '8166', '4762', '4658', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:15.338361');
INSERT INTO public.tbl_trx_japan_day VALUES (231276, '2022-04-11', '3377', '0853', '3490', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:16.25825');
INSERT INTO public.tbl_trx_japan_day VALUES (231277, '2022-04-12', '5309', '7833', '6618', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:16.463955');
INSERT INTO public.tbl_trx_japan_day VALUES (231281, '2022-04-16', '4853', '2850', '7239', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:17.304438');
INSERT INTO public.tbl_trx_japan_day VALUES (231284, '2022-04-19', '0135', '8197', '0069', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:17.967755');
INSERT INTO public.tbl_trx_japan_day VALUES (231285, '2022-04-20', '3159', '7276', '4347', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:18.186344');
INSERT INTO public.tbl_trx_japan_day VALUES (231294, '2022-04-29', '9990', '2290', '9722', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:20.164828');
INSERT INTO public.tbl_trx_japan_day VALUES (231295, '2022-04-30', '3603', '7317', '9053', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:20.386912');
INSERT INTO public.tbl_trx_japan_day VALUES (231297, '2022-05-02', '3200', '0673', '1818', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:20.81716');
INSERT INTO public.tbl_trx_japan_day VALUES (231298, '2022-05-03', '7093', '2397', '3981', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:21.026764');
INSERT INTO public.tbl_trx_japan_day VALUES (231299, '2022-05-04', '1220', '8739', '2660', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:21.232192');
INSERT INTO public.tbl_trx_japan_day VALUES (231318, '2022-05-23', '5675', '5268', '8795', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:25.337829');
INSERT INTO public.tbl_trx_japan_day VALUES (231332, '2022-06-06', '1765', '0101', '3957', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:28.132344');
INSERT INTO public.tbl_trx_japan_day VALUES (231334, '2022-06-08', '3809', '2285', '1479', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:28.551205');
INSERT INTO public.tbl_trx_japan_day VALUES (231337, '2022-06-11', '7690', '8561', '0452', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:29.246664');
INSERT INTO public.tbl_trx_japan_day VALUES (24152, '2024-05-31', '5337', '3657', '0489', 'admintoto', '2024-05-31 10:16:55', 'admintoto', '2024-05-31 10:17:05');
INSERT INTO public.tbl_trx_japan_day VALUES (24200, '2024-07-17', '1090', '6162', '4171', 'admintoto', '2024-07-17 10:07:01', 'admintoto', '2024-07-17 10:07:05');
INSERT INTO public.tbl_trx_japan_day VALUES (24163, '2024-06-11', '6237', '7705', '1448', 'admintoto', '2024-06-11 09:59:40', 'admintoto', '2024-06-11 09:59:51');
INSERT INTO public.tbl_trx_japan_day VALUES (24172, '2024-06-20', '9998', '1771', '8022', 'admintoto', '2024-06-20 10:45:25', 'admintoto', '2024-06-20 10:45:33');
INSERT INTO public.tbl_trx_japan_day VALUES (24208, '2024-07-25', '7025', '4948', '9980', 'admintoto', '2024-07-25 10:26:24', 'admintoto', '2024-07-25 10:26:30');
INSERT INTO public.tbl_trx_japan_day VALUES (24180, '2024-06-28', '6636', '0491', '4978', 'admintoto', '2024-06-28 10:28:27', 'admintoto', '2024-06-28 10:28:35');
INSERT INTO public.tbl_trx_japan_day VALUES (24188, '2024-07-06', '3813', '2972', '0488', 'admintoto', '2024-07-06 10:01:05', 'admintoto', '2024-07-06 10:01:15');
INSERT INTO public.tbl_trx_japan_day VALUES (24218, '2024-08-04', '8088', '1438', '9866', 'admintoto', '2024-08-04 10:40:09', 'admintoto', '2024-08-04 10:40:14');
INSERT INTO public.tbl_trx_japan_day VALUES (24192, '2024-07-10', '0266', '4977', '7440', 'admintoto', '2024-07-10 10:37:02', 'admintoto', '2024-07-10 10:37:18');
INSERT INTO public.tbl_trx_japan_day VALUES (24226, '2024-08-12', '4843', '6544', '8813', 'admintoto', '2024-08-12 10:48:24', 'admintoto', '2024-08-12 10:48:32');
INSERT INTO public.tbl_trx_japan_day VALUES (231130, '2021-11-16', '6253', '9613', '2511', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:45.254819');
INSERT INTO public.tbl_trx_japan_day VALUES (231132, '2021-11-18', '2067', '2358', '6129', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:45.633099');
INSERT INTO public.tbl_trx_japan_day VALUES (231142, '2021-11-28', '8515', '9437', '2164', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:47.736794');
INSERT INTO public.tbl_trx_japan_day VALUES (231146, '2021-12-02', '2691', '4050', '2956', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:48.580991');
INSERT INTO public.tbl_trx_japan_day VALUES (231149, '2021-12-05', '9279', '8139', '8698', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:49.229683');
INSERT INTO public.tbl_trx_japan_day VALUES (231151, '2021-12-07', '7547', '0895', '9927', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:49.656289');
INSERT INTO public.tbl_trx_japan_day VALUES (231153, '2021-12-09', '6752', '1501', '1325', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:50.02689');
INSERT INTO public.tbl_trx_japan_day VALUES (231162, '2021-12-18', '9457', '2748', '0675', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:51.901142');
INSERT INTO public.tbl_trx_japan_day VALUES (231163, '2021-12-19', '4093', '5541', '3951', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:52.107965');
INSERT INTO public.tbl_trx_japan_day VALUES (231165, '2021-12-21', '9807', '4731', '0227', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:52.543898');
INSERT INTO public.tbl_trx_japan_day VALUES (231170, '2021-12-26', '6389', '2520', '4351', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:53.489914');
INSERT INTO public.tbl_trx_japan_day VALUES (231172, '2021-12-28', '6222', '4924', '5314', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:53.951328');
INSERT INTO public.tbl_trx_japan_day VALUES (231175, '2021-12-31', '9112', '3287', '9941', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:54.546963');
INSERT INTO public.tbl_trx_japan_day VALUES (231177, '2022-01-02', '9114', '7174', '7271', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:54.899066');
INSERT INTO public.tbl_trx_japan_day VALUES (231178, '2022-01-03', '9841', '2571', '9666', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:55.13007');
INSERT INTO public.tbl_trx_japan_day VALUES (231181, '2022-01-06', '2149', '2608', '4008', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:55.715275');
INSERT INTO public.tbl_trx_japan_day VALUES (231184, '2022-01-09', '2630', '9119', '0826', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:56.384434');
INSERT INTO public.tbl_trx_japan_day VALUES (231185, '2022-01-10', '8467', '6470', '9051', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:56.590129');
INSERT INTO public.tbl_trx_japan_day VALUES (231194, '2022-01-19', '6838', '3063', '8756', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:58.474759');
INSERT INTO public.tbl_trx_japan_day VALUES (231199, '2022-01-24', '6641', '3156', '4350', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:59.516966');
INSERT INTO public.tbl_trx_japan_day VALUES (231204, '2022-01-29', '1332', '9068', '7192', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:00.663072');
INSERT INTO public.tbl_trx_japan_day VALUES (231208, '2022-02-02', '9277', '2525', '3799', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:01.513804');
INSERT INTO public.tbl_trx_japan_day VALUES (231213, '2022-02-07', '8214', '1646', '7155', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:02.564317');
INSERT INTO public.tbl_trx_japan_day VALUES (231214, '2022-02-08', '6737', '8700', '2886', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:02.75466');
INSERT INTO public.tbl_trx_japan_day VALUES (231215, '2022-02-09', '5067', '4487', '8731', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:02.958891');
INSERT INTO public.tbl_trx_japan_day VALUES (231218, '2022-02-12', '2483', '4002', '3467', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:03.580796');
INSERT INTO public.tbl_trx_japan_day VALUES (231220, '2022-02-14', '7121', '9210', '0876', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:03.980061');
INSERT INTO public.tbl_trx_japan_day VALUES (231226, '2022-02-20', '9095', '1932', '5120', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:05.203437');
INSERT INTO public.tbl_trx_japan_day VALUES (231228, '2022-02-22', '7176', '3043', '8030', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:05.721747');
INSERT INTO public.tbl_trx_japan_day VALUES (231233, '2022-02-27', '9400', '4530', '4442', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:06.803857');
INSERT INTO public.tbl_trx_japan_day VALUES (231237, '2022-03-03', '2740', '5106', '6666', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:07.59416');
INSERT INTO public.tbl_trx_japan_day VALUES (231241, '2022-03-07', '3426', '2193', '5048', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:08.424543');
INSERT INTO public.tbl_trx_japan_day VALUES (231244, '2022-03-10', '5315', '9819', '5594', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:09.070104');
INSERT INTO public.tbl_trx_japan_day VALUES (231251, '2022-03-17', '6916', '1608', '7217', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:10.62683');
INSERT INTO public.tbl_trx_japan_day VALUES (231253, '2022-03-19', '5094', '3596', '0135', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:11.064229');
INSERT INTO public.tbl_trx_japan_day VALUES (231254, '2022-03-20', '2433', '0723', '3014', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:11.34491');
INSERT INTO public.tbl_trx_japan_day VALUES (231255, '2022-03-21', '6040', '4658', '2417', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:11.578139');
INSERT INTO public.tbl_trx_japan_day VALUES (231259, '2022-03-25', '8772', '3521', '6235', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:12.444782');
INSERT INTO public.tbl_trx_japan_day VALUES (231268, '2022-04-03', '1155', '0542', '4860', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:14.441084');
INSERT INTO public.tbl_trx_japan_day VALUES (231269, '2022-04-04', '0612', '5279', '5307', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:14.688434');
INSERT INTO public.tbl_trx_japan_day VALUES (231271, '2022-04-06', '0106', '1054', '2995', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:15.098587');
INSERT INTO public.tbl_trx_japan_day VALUES (231274, '2022-04-09', '9653', '4373', '7653', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:15.802013');
INSERT INTO public.tbl_trx_japan_day VALUES (231275, '2022-04-10', '7603', '2058', '1339', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:16.0644');
INSERT INTO public.tbl_trx_japan_day VALUES (231283, '2022-04-18', '3567', '2897', '0510', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:17.721046');
INSERT INTO public.tbl_trx_japan_day VALUES (231287, '2022-04-22', '2830', '7913', '8515', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:18.627304');
INSERT INTO public.tbl_trx_japan_day VALUES (231288, '2022-04-23', '0480', '4361', '0711', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:18.849456');
INSERT INTO public.tbl_trx_japan_day VALUES (231290, '2022-04-25', '3037', '9795', '6278', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:19.259878');
INSERT INTO public.tbl_trx_japan_day VALUES (231291, '2022-04-26', '8781', '2433', '3188', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:19.504174');
INSERT INTO public.tbl_trx_japan_day VALUES (231293, '2022-04-28', '6252', '9857', '4298', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:19.918557');
INSERT INTO public.tbl_trx_japan_day VALUES (231296, '2022-05-01', '6201', '9401', '8308', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:20.62193');
INSERT INTO public.tbl_trx_japan_day VALUES (231311, '2022-05-16', '1225', '3645', '7823', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:23.791883');
INSERT INTO public.tbl_trx_japan_day VALUES (231312, '2022-05-17', '8917', '3698', '5563', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:24.013079');
INSERT INTO public.tbl_trx_japan_day VALUES (231320, '2022-05-25', '4178', '8561', '4308', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:25.759852');
INSERT INTO public.tbl_trx_japan_day VALUES (231326, '2022-05-31', '2418', '6048', '4522', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:26.963564');
INSERT INTO public.tbl_trx_japan_day VALUES (231330, '2022-06-04', '7302', '9555', '3534', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:27.744238');
INSERT INTO public.tbl_trx_japan_day VALUES (231335, '2022-06-09', '8507', '3443', '3595', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:28.739426');
INSERT INTO public.tbl_trx_japan_day VALUES (231336, '2022-06-10', '8313', '5543', '2909', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:28.966642');
INSERT INTO public.tbl_trx_japan_day VALUES (231338, '2022-06-12', '2612', '8814', '5041', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:29.474965');
INSERT INTO public.tbl_trx_japan_day VALUES (24209, '2024-07-26', '9163', '5341', '8865', 'admintoto', '2024-07-26 10:00:39', 'admintoto', '2024-07-26 10:00:47');
INSERT INTO public.tbl_trx_japan_day VALUES (24153, '2024-06-01', '4426', '8778', '6074', 'admintoto', '2024-06-01 10:21:18', 'admintoto', '2024-06-01 10:21:25');
INSERT INTO public.tbl_trx_japan_day VALUES (24164, '2024-06-12', '3907', '6885', '5459', 'admintoto', '2024-06-12 07:50:16', 'admintoto', '2024-06-12 10:32:46');
INSERT INTO public.tbl_trx_japan_day VALUES (24219, '2024-08-05', '6038', '2763', '5867', 'admintoto', '2024-08-05 11:02:24', 'admintoto', '2024-08-05 11:02:33');
INSERT INTO public.tbl_trx_japan_day VALUES (24173, '2024-06-21', '1985', '3532', '0526', 'admintoto', '2024-06-21 10:18:28', 'admintoto', '2024-06-21 10:18:37');
INSERT INTO public.tbl_trx_japan_day VALUES (24181, '2024-06-29', '4160', '7537', '9301', 'admintoto', '2024-06-29 10:09:21', 'admintoto', '2024-06-29 10:09:34');
INSERT INTO public.tbl_trx_japan_day VALUES (24193, '2024-07-11', '2459', '1948', '8453', 'admintoto', '2024-07-11 10:14:35', 'admintoto', '2024-07-11 10:14:46');
INSERT INTO public.tbl_trx_japan_day VALUES (24227, '2024-08-13', '8324', '0476', '5926', 'admintoto', '2024-08-13 10:33:03', 'admintoto', '2024-08-13 10:33:19');
INSERT INTO public.tbl_trx_japan_day VALUES (24201, '2024-07-18', '1789', '5987', '6738', 'admintoto', '2024-07-18 10:05:36', 'admintoto', '2024-07-18 10:05:42');
INSERT INTO public.tbl_trx_japan_day VALUES (231133, '2021-11-19', '2746', '3584', '3563', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:45.855541');
INSERT INTO public.tbl_trx_japan_day VALUES (231134, '2021-11-20', '4552', '7473', '0996', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:46.020292');
INSERT INTO public.tbl_trx_japan_day VALUES (231135, '2021-11-21', '9870', '8748', '8000', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:46.213715');
INSERT INTO public.tbl_trx_japan_day VALUES (231145, '2021-12-01', '4483', '4588', '6477', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:48.373168');
INSERT INTO public.tbl_trx_japan_day VALUES (231152, '2021-12-08', '1401', '3663', '1384', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:49.833951');
INSERT INTO public.tbl_trx_japan_day VALUES (231154, '2021-12-10', '7674', '7949', '7666', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:50.222408');
INSERT INTO public.tbl_trx_japan_day VALUES (231156, '2021-12-12', '5618', '0089', '6790', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:50.603804');
INSERT INTO public.tbl_trx_japan_day VALUES (231159, '2021-12-15', '4262', '7197', '9008', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:51.222821');
INSERT INTO public.tbl_trx_japan_day VALUES (231161, '2021-12-17', '2347', '6242', '6731', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:51.706327');
INSERT INTO public.tbl_trx_japan_day VALUES (231169, '2021-12-25', '6594', '2908', '9317', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:53.326');
INSERT INTO public.tbl_trx_japan_day VALUES (231176, '2022-01-01', '1046', '2704', '3528', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:54.723702');
INSERT INTO public.tbl_trx_japan_day VALUES (231189, '2022-01-14', '7026', '7714', '6377', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:57.394907');
INSERT INTO public.tbl_trx_japan_day VALUES (231190, '2022-01-15', '1360', '3208', '6356', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:57.597295');
INSERT INTO public.tbl_trx_japan_day VALUES (231192, '2022-01-17', '5554', '5614', '2114', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:58.071172');
INSERT INTO public.tbl_trx_japan_day VALUES (231197, '2022-01-22', '7479', '7877', '0080', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:48:59.0928');
INSERT INTO public.tbl_trx_japan_day VALUES (231202, '2022-01-27', '9780', '8455', '3922', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:00.249812');
INSERT INTO public.tbl_trx_japan_day VALUES (231229, '2022-02-23', '4727', '3870', '0153', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:05.912319');
INSERT INTO public.tbl_trx_japan_day VALUES (231231, '2022-02-25', '8752', '8559', '8482', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:06.365222');
INSERT INTO public.tbl_trx_japan_day VALUES (231234, '2022-02-28', '7308', '5861', '2511', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:07.031304');
INSERT INTO public.tbl_trx_japan_day VALUES (231238, '2022-03-04', '8171', '9836', '7876', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:07.812681');
INSERT INTO public.tbl_trx_japan_day VALUES (231239, '2022-03-05', '0799', '5400', '7415', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:08.02948');
INSERT INTO public.tbl_trx_japan_day VALUES (231245, '2022-03-11', '7917', '2227', '8227', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:09.288295');
INSERT INTO public.tbl_trx_japan_day VALUES (231248, '2022-03-14', '6650', '4710', '2901', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:09.984041');
INSERT INTO public.tbl_trx_japan_day VALUES (231256, '2022-03-22', '4405', '4520', '7397', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:11.755267');
INSERT INTO public.tbl_trx_japan_day VALUES (231258, '2022-03-24', '5067', '6700', '7952', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:12.227309');
INSERT INTO public.tbl_trx_japan_day VALUES (231267, '2022-04-02', '6936', '1196', '5436', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:14.249871');
INSERT INTO public.tbl_trx_japan_day VALUES (231270, '2022-04-05', '6760', '6926', '8760', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:14.903505');
INSERT INTO public.tbl_trx_japan_day VALUES (231278, '2022-04-13', '0658', '0354', '6508', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:16.686841');
INSERT INTO public.tbl_trx_japan_day VALUES (231279, '2022-04-14', '0001', '0063', '7438', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:16.850333');
INSERT INTO public.tbl_trx_japan_day VALUES (231280, '2022-04-15', '9435', '2105', '3487', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:17.044155');
INSERT INTO public.tbl_trx_japan_day VALUES (231289, '2022-04-24', '8913', '1629', '2480', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:19.044904');
INSERT INTO public.tbl_trx_japan_day VALUES (231292, '2022-04-27', '1690', '3039', '8633', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:19.700062');
INSERT INTO public.tbl_trx_japan_day VALUES (231301, '2022-05-06', '5465', '1557', '5605', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:21.662185');
INSERT INTO public.tbl_trx_japan_day VALUES (231302, '2022-05-07', '0132', '6643', '4100', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:21.851106');
INSERT INTO public.tbl_trx_japan_day VALUES (231303, '2022-05-08', '2595', '1430', '7062', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:22.102523');
INSERT INTO public.tbl_trx_japan_day VALUES (231304, '2022-05-09', '6603', '6252', '7053', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:22.279087');
INSERT INTO public.tbl_trx_japan_day VALUES (231306, '2022-05-11', '6152', '8709', '9582', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:22.795866');
INSERT INTO public.tbl_trx_japan_day VALUES (231309, '2022-05-14', '8880', '9519', '4745', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:23.414829');
INSERT INTO public.tbl_trx_japan_day VALUES (231313, '2022-05-18', '4509', '1284', '3664', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:24.249185');
INSERT INTO public.tbl_trx_japan_day VALUES (231317, '2022-05-22', '7781', '3018', '8866', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:25.112495');
INSERT INTO public.tbl_trx_japan_day VALUES (231321, '2022-05-26', '4667', '7810', '6146', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:25.983882');
INSERT INTO public.tbl_trx_japan_day VALUES (231322, '2022-05-27', '1291', '1960', '1882', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:26.206977');
INSERT INTO public.tbl_trx_japan_day VALUES (231323, '2022-05-28', '1527', '5786', '6809', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:26.400798');
INSERT INTO public.tbl_trx_japan_day VALUES (231324, '2022-05-29', '7413', '3593', '2804', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:26.565339');
INSERT INTO public.tbl_trx_japan_day VALUES (231327, '2022-06-01', '3811', '0181', '7254', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:27.170817');
INSERT INTO public.tbl_trx_japan_day VALUES (231328, '2022-06-02', '3699', '9877', '6967', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:27.365106');
INSERT INTO public.tbl_trx_japan_day VALUES (231331, '2022-06-05', '0051', '4502', '5760', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:27.955484');
INSERT INTO public.tbl_trx_japan_day VALUES (231333, '2022-06-07', '3173', '6098', '6849', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:28.357523');
INSERT INTO public.tbl_trx_japan_day VALUES (231340, '2022-06-14', '6236', '4472', '9596', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:29.940882');
INSERT INTO public.tbl_trx_japan_day VALUES (231341, '2022-06-15', '4733', '0418', '6986', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:30.171593');
INSERT INTO public.tbl_trx_japan_day VALUES (231342, '2022-06-16', '1125', '0625', '7320', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:30.335938');
INSERT INTO public.tbl_trx_japan_day VALUES (231343, '2022-06-17', '2746', '0705', '3239', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:30.529653');
INSERT INTO public.tbl_trx_japan_day VALUES (231344, '2022-06-18', '4114', '1433', '0017', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:30.736579');
INSERT INTO public.tbl_trx_japan_day VALUES (231345, '2022-06-19', '1316', '4484', '7769', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:30.93022');
INSERT INTO public.tbl_trx_japan_day VALUES (231346, '2022-06-20', '9050', '6489', '2249', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:31.204515');
INSERT INTO public.tbl_trx_japan_day VALUES (231347, '2022-06-21', '1677', '4722', '7161', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:31.437302');
INSERT INTO public.tbl_trx_japan_day VALUES (231348, '2022-06-22', '4091', '2769', '9987', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:31.662632');
INSERT INTO public.tbl_trx_japan_day VALUES (231349, '2022-06-23', '8396', '5001', '7716', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:31.827021');
INSERT INTO public.tbl_trx_japan_day VALUES (231350, '2022-06-24', '7782', '7666', '9068', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:32.071978');
INSERT INTO public.tbl_trx_japan_day VALUES (231351, '2022-06-25', '5443', '1527', '9738', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:32.333915');
INSERT INTO public.tbl_trx_japan_day VALUES (231352, '2022-06-26', '5153', '7381', '8493', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:32.551706');
INSERT INTO public.tbl_trx_japan_day VALUES (231353, '2022-06-27', '8274', '5560', '9874', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:32.762264');
INSERT INTO public.tbl_trx_japan_day VALUES (231354, '2022-06-28', '2302', '4890', '8138', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:32.989231');
INSERT INTO public.tbl_trx_japan_day VALUES (231355, '2022-06-29', '4166', '4153', '0776', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:33.201083');
INSERT INTO public.tbl_trx_japan_day VALUES (231356, '2022-06-30', '8585', '4665', '8940', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:33.365419');
INSERT INTO public.tbl_trx_japan_day VALUES (231357, '2022-07-01', '7453', '1525', '7600', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:33.5606');
INSERT INTO public.tbl_trx_japan_day VALUES (231358, '2022-07-02', '6138', '5189', '1408', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:33.73681');
INSERT INTO public.tbl_trx_japan_day VALUES (231359, '2022-07-03', '6827', '4372', '0655', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:33.95435');
INSERT INTO public.tbl_trx_japan_day VALUES (231360, '2022-07-04', '6969', '6696', '8644', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:34.143657');
INSERT INTO public.tbl_trx_japan_day VALUES (231361, '2022-07-05', '6628', '5158', '8233', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:34.349767');
INSERT INTO public.tbl_trx_japan_day VALUES (231362, '2022-07-06', '4354', '2634', '7586', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:34.572135');
INSERT INTO public.tbl_trx_japan_day VALUES (231363, '2022-07-07', '0073', '5960', '5693', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:34.736237');
INSERT INTO public.tbl_trx_japan_day VALUES (231364, '2022-07-08', '6388', '1525', '0779', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:34.985994');
INSERT INTO public.tbl_trx_japan_day VALUES (231365, '2022-07-09', '2474', '1763', '9370', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:35.192236');
INSERT INTO public.tbl_trx_japan_day VALUES (231366, '2022-07-10', '0116', '7151', '3608', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:35.400237');
INSERT INTO public.tbl_trx_japan_day VALUES (231367, '2022-07-11', '3846', '0070', '9401', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:35.644743');
INSERT INTO public.tbl_trx_japan_day VALUES (231368, '2022-07-12', '9321', '6234', '2745', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:35.874811');
INSERT INTO public.tbl_trx_japan_day VALUES (231369, '2022-07-13', '4111', '0630', '8262', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:36.108219');
INSERT INTO public.tbl_trx_japan_day VALUES (231370, '2022-07-14', '1945', '8616', '4206', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:36.340955');
INSERT INTO public.tbl_trx_japan_day VALUES (231371, '2022-07-15', '0470', '5912', '8031', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:36.584813');
INSERT INTO public.tbl_trx_japan_day VALUES (231372, '2022-07-16', '2198', '6819', '5318', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:36.764939');
INSERT INTO public.tbl_trx_japan_day VALUES (231373, '2022-07-17', '2522', '8623', '2302', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:37.039827');
INSERT INTO public.tbl_trx_japan_day VALUES (231374, '2022-07-18', '7430', '0604', '7427', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:37.221392');
INSERT INTO public.tbl_trx_japan_day VALUES (231375, '2022-07-19', '7803', '0192', '1833', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:37.42745');
INSERT INTO public.tbl_trx_japan_day VALUES (231376, '2022-07-20', '7422', '1996', '6407', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:37.63512');
INSERT INTO public.tbl_trx_japan_day VALUES (231377, '2022-07-21', '2323', '8256', '3451', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:37.840058');
INSERT INTO public.tbl_trx_japan_day VALUES (231378, '2022-07-22', '9277', '1695', '4236', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:38.065673');
INSERT INTO public.tbl_trx_japan_day VALUES (231379, '2022-07-23', '9795', '2749', '6840', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:38.230041');
INSERT INTO public.tbl_trx_japan_day VALUES (231380, '2022-07-24', '6932', '1979', '1883', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:38.448961');
INSERT INTO public.tbl_trx_japan_day VALUES (231381, '2022-07-25', '5873', '3903', '3893', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:38.628014');
INSERT INTO public.tbl_trx_japan_day VALUES (231382, '2022-07-26', '0991', '1279', '9118', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:38.835598');
INSERT INTO public.tbl_trx_japan_day VALUES (231383, '2022-07-27', '1605', '1974', '1036', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:39.056191');
INSERT INTO public.tbl_trx_japan_day VALUES (231384, '2022-07-28', '2346', '2504', '3956', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:39.264474');
INSERT INTO public.tbl_trx_japan_day VALUES (231385, '2022-07-29', '4739', '4909', '7210', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:39.43008');
INSERT INTO public.tbl_trx_japan_day VALUES (231386, '2022-07-30', '7661', '9240', '2314', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:39.649794');
INSERT INTO public.tbl_trx_japan_day VALUES (231387, '2022-07-31', '5335', '7183', '1782', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:39.90662');
INSERT INTO public.tbl_trx_japan_day VALUES (231388, '2022-08-01', '5547', '0480', '1387', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:40.092964');
INSERT INTO public.tbl_trx_japan_day VALUES (231389, '2022-08-02', '8447', '6786', '5282', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:40.35174');
INSERT INTO public.tbl_trx_japan_day VALUES (231391, '2022-08-04', '1921', '7624', '2134', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:40.779959');
INSERT INTO public.tbl_trx_japan_day VALUES (231394, '2022-08-07', '4340', '8611', '3600', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:41.429935');
INSERT INTO public.tbl_trx_japan_day VALUES (231395, '2022-08-08', '8947', '8172', '0649', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:41.624347');
INSERT INTO public.tbl_trx_japan_day VALUES (231396, '2022-08-09', '1820', '4511', '1462', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:41.841067');
INSERT INTO public.tbl_trx_japan_day VALUES (231398, '2022-08-11', '9691', '8468', '7863', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:42.309935');
INSERT INTO public.tbl_trx_japan_day VALUES (231399, '2022-08-12', '8451', '6453', '4866', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:42.512842');
INSERT INTO public.tbl_trx_japan_day VALUES (231401, '2022-08-14', '5599', '6775', '8244', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:42.93077');
INSERT INTO public.tbl_trx_japan_day VALUES (231402, '2022-08-15', '8454', '4955', '8362', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:43.147829');
INSERT INTO public.tbl_trx_japan_day VALUES (231403, '2022-08-16', '4669', '4096', '9442', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:43.352292');
INSERT INTO public.tbl_trx_japan_day VALUES (231404, '2022-08-17', '3621', '7959', '9468', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:43.56957');
INSERT INTO public.tbl_trx_japan_day VALUES (231407, '2022-08-20', '7011', '4403', '6486', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:44.232438');
INSERT INTO public.tbl_trx_japan_day VALUES (231408, '2022-08-21', '8726', '5717', '7651', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:44.437379');
INSERT INTO public.tbl_trx_japan_day VALUES (231410, '2022-08-23', '6022', '6934', '8854', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:44.824862');
INSERT INTO public.tbl_trx_japan_day VALUES (231421, '2022-09-03', '0953', '1912', '1986', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:47.235864');
INSERT INTO public.tbl_trx_japan_day VALUES (231425, '2022-09-07', '7991', '8311', '1869', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:48.00892');
INSERT INTO public.tbl_trx_japan_day VALUES (231426, '2022-09-08', '3470', '7711', '7274', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:48.234153');
INSERT INTO public.tbl_trx_japan_day VALUES (231430, '2022-09-12', '4265', '6145', '5610', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:49.125134');
INSERT INTO public.tbl_trx_japan_day VALUES (231432, '2022-09-14', '5429', '0299', '2578', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:49.586151');
INSERT INTO public.tbl_trx_japan_day VALUES (231436, '2022-09-18', '7140', '9463', '4904', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:50.41261');
INSERT INTO public.tbl_trx_japan_day VALUES (231459, '2022-10-11', '9264', '1914', '8630', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:55.425968');
INSERT INTO public.tbl_trx_japan_day VALUES (231461, '2022-10-13', '9732', '1992', '1879', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:55.827116');
INSERT INTO public.tbl_trx_japan_day VALUES (231465, '2022-10-17', '6248', '7244', '3482', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:56.788597');
INSERT INTO public.tbl_trx_japan_day VALUES (231466, '2022-10-18', '9103', '5494', '6865', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:56.993102');
INSERT INTO public.tbl_trx_japan_day VALUES (231467, '2022-10-19', '0387', '3736', '8658', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:57.189893');
INSERT INTO public.tbl_trx_japan_day VALUES (231469, '2022-10-21', '4542', '4636', '0665', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:57.60961');
INSERT INTO public.tbl_trx_japan_day VALUES (231471, '2022-10-23', '1649', '3881', '4827', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:58.088396');
INSERT INTO public.tbl_trx_japan_day VALUES (231476, '2022-10-28', '2079', '6346', '0306', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:59.259956');
INSERT INTO public.tbl_trx_japan_day VALUES (231480, '2022-11-01', '2778', '5433', '7195', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:00.054983');
INSERT INTO public.tbl_trx_japan_day VALUES (231482, '2022-11-03', '1502', '8728', '9781', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:00.466269');
INSERT INTO public.tbl_trx_japan_day VALUES (231488, '2022-11-09', '7936', '6809', '3891', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:01.771296');
INSERT INTO public.tbl_trx_japan_day VALUES (231492, '2022-11-13', '6095', '2341', '2378', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:02.49823');
INSERT INTO public.tbl_trx_japan_day VALUES (231497, '2022-11-18', '7030', '1649', '6365', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:03.557082');
INSERT INTO public.tbl_trx_japan_day VALUES (231500, '2022-11-21', '3798', '8070', '4900', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:04.164645');
INSERT INTO public.tbl_trx_japan_day VALUES (231501, '2022-11-22', '9390', '1172', '7768', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:04.368086');
INSERT INTO public.tbl_trx_japan_day VALUES (231502, '2022-11-23', '6627', '2904', '5117', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:04.560305');
INSERT INTO public.tbl_trx_japan_day VALUES (231508, '2022-11-29', '0725', '9219', '6516', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:05.855063');
INSERT INTO public.tbl_trx_japan_day VALUES (231509, '2022-11-30', '0203', '4149', '9968', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:06.05962');
INSERT INTO public.tbl_trx_japan_day VALUES (231510, '2022-12-01', '3676', '7269', '6133', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:06.261894');
INSERT INTO public.tbl_trx_japan_day VALUES (231511, '2022-12-02', '2388', '6393', '4476', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:06.45579');
INSERT INTO public.tbl_trx_japan_day VALUES (231523, '2022-12-14', '5811', '0129', '9870', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:08.958949');
INSERT INTO public.tbl_trx_japan_day VALUES (231525, '2022-12-16', '1090', '8269', '7150', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:09.358801');
INSERT INTO public.tbl_trx_japan_day VALUES (231529, '2022-12-20', '4421', '2597', '8013', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:10.212903');
INSERT INTO public.tbl_trx_japan_day VALUES (231530, '2022-12-21', '7961', '3523', '4796', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:10.4193');
INSERT INTO public.tbl_trx_japan_day VALUES (231531, '2022-12-22', '9734', '5964', '0901', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:10.652389');
INSERT INTO public.tbl_trx_japan_day VALUES (231532, '2022-12-23', '1777', '5351', '0671', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:10.870703');
INSERT INTO public.tbl_trx_japan_day VALUES (231533, '2022-12-24', '4590', '6133', '5166', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:11.073809');
INSERT INTO public.tbl_trx_japan_day VALUES (231549, '2023-01-09', '8734', '4676', '9327', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:14.374555');
INSERT INTO public.tbl_trx_japan_day VALUES (231551, '2023-01-11', '3595', '9574', '8158', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:14.798992');
INSERT INTO public.tbl_trx_japan_day VALUES (231553, '2023-01-13', '7955', '5526', '9637', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:15.256824');
INSERT INTO public.tbl_trx_japan_day VALUES (231561, '2023-01-21', '3232', '0175', '9042', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:17.073373');
INSERT INTO public.tbl_trx_japan_day VALUES (231562, '2023-01-22', '7437', '8438', '2998', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:17.320706');
INSERT INTO public.tbl_trx_japan_day VALUES (231566, '2023-01-26', '7453', '7153', '9341', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:18.232173');
INSERT INTO public.tbl_trx_japan_day VALUES (24220, '2024-08-06', '1315', '8769', '9387', 'admintoto', '2024-08-06 10:20:33', 'admintoto', '2024-08-06 10:20:38');
INSERT INTO public.tbl_trx_japan_day VALUES (24154, '2024-06-02', '3151', '8706', '2539', 'admintoto', '2024-06-02 10:03:47', 'admintoto', '2024-06-02 10:03:52');
INSERT INTO public.tbl_trx_japan_day VALUES (24165, '2024-06-13', '5787', '8621', '3723', 'admintoto', '2024-06-13 10:00:15', 'admintoto', '2024-06-13 10:00:25');
INSERT INTO public.tbl_trx_japan_day VALUES (24228, '2024-08-14', '7330', '9947', '1566', 'admintoto', '2024-08-14 09:58:00', 'admintoto', '2024-08-14 09:58:25');
INSERT INTO public.tbl_trx_japan_day VALUES (24174, '2024-06-22', '3247', '8776', '0170', 'admintoto', '2024-06-22 10:45:48', 'admintoto', '2024-06-22 10:45:54');
INSERT INTO public.tbl_trx_japan_day VALUES (24182, '2024-06-30', '3345', '8922', '1200', 'admintoto', '2024-06-30 10:34:05', 'admintoto', '2024-06-30 10:34:11');
INSERT INTO public.tbl_trx_japan_day VALUES (24194, '2024-07-12', '1047', '0434', '2030', 'admintoto', '2024-07-12 10:00:30', 'admintoto', '2024-07-12 10:00:43');
INSERT INTO public.tbl_trx_japan_day VALUES (24202, '2024-07-19', '0675', '7295', '8743', 'admintoto', '2024-07-19 10:32:46', 'admintoto', '2024-07-19 10:32:56');
INSERT INTO public.tbl_trx_japan_day VALUES (24210, '2024-07-27', '0240', '3900', '8974', 'admintoto', '2024-07-27 11:03:06', 'admintoto', '2024-07-27 11:03:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231390, '2022-08-03', '8564', '8325', '2289', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:40.57381');
INSERT INTO public.tbl_trx_japan_day VALUES (231393, '2022-08-06', '1702', '9744', '0777', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:41.184217');
INSERT INTO public.tbl_trx_japan_day VALUES (231405, '2022-08-18', '5524', '1049', '7016', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:43.784189');
INSERT INTO public.tbl_trx_japan_day VALUES (231412, '2022-08-25', '6290', '9396', '4485', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:45.244052');
INSERT INTO public.tbl_trx_japan_day VALUES (231413, '2022-08-26', '4049', '3025', '1386', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:45.447999');
INSERT INTO public.tbl_trx_japan_day VALUES (231415, '2022-08-28', '2029', '1690', '0713', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:45.942835');
INSERT INTO public.tbl_trx_japan_day VALUES (231422, '2022-09-04', '6257', '5571', '8752', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:47.415134');
INSERT INTO public.tbl_trx_japan_day VALUES (231423, '2022-09-05', '4476', '2682', '3488', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:47.620617');
INSERT INTO public.tbl_trx_japan_day VALUES (231427, '2022-09-09', '7062', '2996', '3938', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:48.454317');
INSERT INTO public.tbl_trx_japan_day VALUES (231438, '2022-09-20', '8940', '2790', '8929', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:50.847096');
INSERT INTO public.tbl_trx_japan_day VALUES (231439, '2022-09-21', '3513', '1381', '9902', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:51.024454');
INSERT INTO public.tbl_trx_japan_day VALUES (231443, '2022-09-25', '2238', '0299', '1559', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:51.983169');
INSERT INTO public.tbl_trx_japan_day VALUES (231447, '2022-09-29', '9435', '0861', '0660', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:52.852215');
INSERT INTO public.tbl_trx_japan_day VALUES (231448, '2022-09-30', '0905', '5610', '7976', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:53.111823');
INSERT INTO public.tbl_trx_japan_day VALUES (231449, '2022-10-01', '3133', '5969', '7534', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:53.344013');
INSERT INTO public.tbl_trx_japan_day VALUES (231453, '2022-10-05', '6754', '6917', '2781', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:54.155107');
INSERT INTO public.tbl_trx_japan_day VALUES (231456, '2022-10-08', '9842', '4385', '8585', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:54.882706');
INSERT INTO public.tbl_trx_japan_day VALUES (231458, '2022-10-10', '3178', '2745', '6233', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:55.266226');
INSERT INTO public.tbl_trx_japan_day VALUES (231468, '2022-10-20', '3163', '2586', '7881', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:57.403902');
INSERT INTO public.tbl_trx_japan_day VALUES (231472, '2022-10-24', '4179', '2549', '2147', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:58.312891');
INSERT INTO public.tbl_trx_japan_day VALUES (231479, '2022-10-31', '9243', '4432', '0162', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:59.852256');
INSERT INTO public.tbl_trx_japan_day VALUES (231494, '2022-11-15', '3276', '9455', '9867', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:02.92788');
INSERT INTO public.tbl_trx_japan_day VALUES (231499, '2022-11-20', '4379', '3494', '2773', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:03.963237');
INSERT INTO public.tbl_trx_japan_day VALUES (231503, '2022-11-24', '1395', '3671', '2521', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:04.770311');
INSERT INTO public.tbl_trx_japan_day VALUES (231506, '2022-11-27', '7168', '2852', '9888', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:05.400294');
INSERT INTO public.tbl_trx_japan_day VALUES (231516, '2022-12-07', '1141', '8512', '6197', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:07.506278');
INSERT INTO public.tbl_trx_japan_day VALUES (231517, '2022-12-08', '7174', '6866', '2296', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:07.753375');
INSERT INTO public.tbl_trx_japan_day VALUES (231520, '2022-12-11', '1361', '1914', '3299', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:08.363048');
INSERT INTO public.tbl_trx_japan_day VALUES (231521, '2022-12-12', '5279', '9019', '7946', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:08.560016');
INSERT INTO public.tbl_trx_japan_day VALUES (231535, '2022-12-26', '3003', '0618', '9569', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:11.487807');
INSERT INTO public.tbl_trx_japan_day VALUES (231541, '2023-01-01', '2509', '2218', '1506', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:12.748238');
INSERT INTO public.tbl_trx_japan_day VALUES (231543, '2023-01-03', '7983', '2290', '1491', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:13.136939');
INSERT INTO public.tbl_trx_japan_day VALUES (231545, '2023-01-05', '8380', '3201', '7156', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:13.526961');
INSERT INTO public.tbl_trx_japan_day VALUES (231548, '2023-01-08', '8241', '6619', '4659', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:14.164405');
INSERT INTO public.tbl_trx_japan_day VALUES (231552, '2023-01-12', '8632', '5125', '8154', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:15.045202');
INSERT INTO public.tbl_trx_japan_day VALUES (231555, '2023-01-15', '6414', '8361', '8083', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:15.714819');
INSERT INTO public.tbl_trx_japan_day VALUES (231558, '2023-01-18', '2034', '2288', '9928', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:16.330194');
INSERT INTO public.tbl_trx_japan_day VALUES (231559, '2023-01-19', '0496', '2884', '5277', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:16.553695');
INSERT INTO public.tbl_trx_japan_day VALUES (231560, '2023-01-20', '9140', '2825', '5642', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:16.813447');
INSERT INTO public.tbl_trx_japan_day VALUES (231569, '2023-01-29', '3562', '2010', '3341', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:18.818936');
INSERT INTO public.tbl_trx_japan_day VALUES (231570, '2023-01-30', '9235', '9515', '6187', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:18.997102');
INSERT INTO public.tbl_trx_japan_day VALUES (231573, '2023-02-02', '2920', '1285', '0799', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:19.664089');
INSERT INTO public.tbl_trx_japan_day VALUES (231576, '2023-02-05', '5672', '2062', '8428', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:20.335985');
INSERT INTO public.tbl_trx_japan_day VALUES (231577, '2023-02-06', '8344', '9516', '1332', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:20.511942');
INSERT INTO public.tbl_trx_japan_day VALUES (231578, '2023-02-07', '1248', '4776', '4436', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:20.687775');
INSERT INTO public.tbl_trx_japan_day VALUES (231579, '2023-02-08', '2837', '3259', '6517', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:20.863483');
INSERT INTO public.tbl_trx_japan_day VALUES (24155, '2024-06-03', '4065', '3367', '6260', 'admintoto', '2024-06-03 10:03:18', 'admintoto', '2024-06-03 10:03:25');
INSERT INTO public.tbl_trx_japan_day VALUES (24166, '2024-06-14', '3589', '5160', '5698', 'admintoto', '2024-06-14 10:23:23', 'admintoto', '2024-06-14 10:23:27');
INSERT INTO public.tbl_trx_japan_day VALUES (24175, '2024-06-23', '4732', '3160', '5922', 'admintoto', '2024-06-23 10:37:44', 'admintoto', '2024-06-23 10:37:52');
INSERT INTO public.tbl_trx_japan_day VALUES (24183, '2024-07-01', '2073', '0925', '3228', 'admintoto', '2024-07-01 10:09:17', 'admintoto', '2024-07-01 10:09:25');
INSERT INTO public.tbl_trx_japan_day VALUES (24195, '2024-07-13', '6114', '1378', '9455', 'admintoto', '2024-07-13 10:57:12', 'admintoto', '2024-07-13 10:57:19');
INSERT INTO public.tbl_trx_japan_day VALUES (24203, '2024-07-20', '2804', '3243', '0341', 'admintoto', '2024-07-20 10:46:29', 'admintoto', '2024-07-20 10:46:39');
INSERT INTO public.tbl_trx_japan_day VALUES (24211, '2024-07-28', '3274', '2120', '7648', 'admintoto', '2024-07-28 11:32:45', 'admintoto', '2024-07-28 11:32:51');
INSERT INTO public.tbl_trx_japan_day VALUES (24221, '2024-08-07', '7732', '0811', '0101', 'admintoto', '2024-08-07 10:42:43', 'admintoto', '2024-08-07 10:42:48');
INSERT INTO public.tbl_trx_japan_day VALUES (231392, '2022-08-05', '3030', '2381', '8960', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:40.960503');
INSERT INTO public.tbl_trx_japan_day VALUES (231397, '2022-08-10', '0744', '4209', '4852', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:42.059438');
INSERT INTO public.tbl_trx_japan_day VALUES (231400, '2022-08-13', '3878', '1343', '5491', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:42.719233');
INSERT INTO public.tbl_trx_japan_day VALUES (231406, '2022-08-19', '1882', '8164', '6574', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:43.993272');
INSERT INTO public.tbl_trx_japan_day VALUES (231409, '2022-08-22', '7831', '7358', '0318', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:44.646861');
INSERT INTO public.tbl_trx_japan_day VALUES (231414, '2022-08-27', '8210', '8927', '6205', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:45.657562');
INSERT INTO public.tbl_trx_japan_day VALUES (231420, '2022-09-02', '4658', '5539', '5203', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:47.056674');
INSERT INTO public.tbl_trx_japan_day VALUES (231428, '2022-09-10', '9108', '4605', '5928', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:48.646344');
INSERT INTO public.tbl_trx_japan_day VALUES (231433, '2022-09-15', '5984', '8320', '2855', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:49.793328');
INSERT INTO public.tbl_trx_japan_day VALUES (231434, '2022-09-16', '1760', '1635', '2069', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:50.014531');
INSERT INTO public.tbl_trx_japan_day VALUES (231437, '2022-09-19', '6411', '2811', '0836', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:50.631261');
INSERT INTO public.tbl_trx_japan_day VALUES (231441, '2022-09-23', '6452', '6488', '9583', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:51.47743');
INSERT INTO public.tbl_trx_japan_day VALUES (231444, '2022-09-26', '7842', '6611', '8630', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:52.212232');
INSERT INTO public.tbl_trx_japan_day VALUES (231445, '2022-09-27', '8984', '8633', '3355', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:52.447528');
INSERT INTO public.tbl_trx_japan_day VALUES (231450, '2022-10-02', '3686', '5903', '8658', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:53.549695');
INSERT INTO public.tbl_trx_japan_day VALUES (231452, '2022-10-04', '8727', '1504', '8848', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:53.930405');
INSERT INTO public.tbl_trx_japan_day VALUES (231454, '2022-10-06', '6490', '1138', '1866', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:54.419267');
INSERT INTO public.tbl_trx_japan_day VALUES (231455, '2022-10-07', '5305', '8193', '5186', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:54.654693');
INSERT INTO public.tbl_trx_japan_day VALUES (231457, '2022-10-09', '2104', '2238', '7658', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:55.061189');
INSERT INTO public.tbl_trx_japan_day VALUES (231460, '2022-10-12', '6025', '2506', '9546', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:55.66432');
INSERT INTO public.tbl_trx_japan_day VALUES (231462, '2022-10-14', '7269', '3724', '2238', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:56.118187');
INSERT INTO public.tbl_trx_japan_day VALUES (231463, '2022-10-15', '6465', '9129', '0270', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:56.333411');
INSERT INTO public.tbl_trx_japan_day VALUES (231473, '2022-10-25', '6878', '0567', '3796', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:58.560454');
INSERT INTO public.tbl_trx_japan_day VALUES (231475, '2022-10-27', '3673', '1916', '6624', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:58.998419');
INSERT INTO public.tbl_trx_japan_day VALUES (231478, '2022-10-30', '0134', '9559', '2817', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:59.656398');
INSERT INTO public.tbl_trx_japan_day VALUES (231481, '2022-11-02', '5635', '5008', '2459', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:00.234885');
INSERT INTO public.tbl_trx_japan_day VALUES (231483, '2022-11-04', '1990', '6667', '1591', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:00.662765');
INSERT INTO public.tbl_trx_japan_day VALUES (231484, '2022-11-05', '4972', '4671', '1939', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:00.889345');
INSERT INTO public.tbl_trx_japan_day VALUES (231485, '2022-11-06', '6391', '1658', '9132', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:01.11374');
INSERT INTO public.tbl_trx_japan_day VALUES (231487, '2022-11-08', '4353', '7033', '9757', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:01.569643');
INSERT INTO public.tbl_trx_japan_day VALUES (231489, '2022-11-10', '3247', '8949', '9261', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:01.948264');
INSERT INTO public.tbl_trx_japan_day VALUES (231490, '2022-11-11', '5826', '2236', '1741', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:02.139887');
INSERT INTO public.tbl_trx_japan_day VALUES (231491, '2022-11-12', '2068', '9276', '3173', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:02.306701');
INSERT INTO public.tbl_trx_japan_day VALUES (231493, '2022-11-14', '0144', '8403', '0772', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:02.707218');
INSERT INTO public.tbl_trx_japan_day VALUES (231495, '2022-11-16', '8212', '7572', '0738', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:03.150468');
INSERT INTO public.tbl_trx_japan_day VALUES (231496, '2022-11-17', '0636', '1548', '6759', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:03.347261');
INSERT INTO public.tbl_trx_japan_day VALUES (231498, '2022-11-19', '0950', '2523', '5415', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:03.75017');
INSERT INTO public.tbl_trx_japan_day VALUES (231507, '2022-11-28', '1234', '6088', '8837', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:05.62242');
INSERT INTO public.tbl_trx_japan_day VALUES (231512, '2022-12-03', '9339', '2005', '4367', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:06.67783');
INSERT INTO public.tbl_trx_japan_day VALUES (231515, '2022-12-06', '3284', '0987', '2653', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:07.289659');
INSERT INTO public.tbl_trx_japan_day VALUES (231518, '2022-12-09', '2845', '8480', '4206', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:07.958267');
INSERT INTO public.tbl_trx_japan_day VALUES (231524, '2022-12-15', '9063', '1751', '7384', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:09.19534');
INSERT INTO public.tbl_trx_japan_day VALUES (231527, '2022-12-18', '6705', '1379', '4565', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:09.799067');
INSERT INTO public.tbl_trx_japan_day VALUES (231528, '2022-12-19', '6347', '1086', '4107', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:09.992698');
INSERT INTO public.tbl_trx_japan_day VALUES (231534, '2022-12-25', '6538', '2933', '6696', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:11.294919');
INSERT INTO public.tbl_trx_japan_day VALUES (231536, '2022-12-27', '0674', '3251', '0047', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:11.679378');
INSERT INTO public.tbl_trx_japan_day VALUES (231537, '2022-12-28', '1360', '2120', '2955', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:11.881219');
INSERT INTO public.tbl_trx_japan_day VALUES (231540, '2022-12-31', '1347', '8947', '4579', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:12.526168');
INSERT INTO public.tbl_trx_japan_day VALUES (231550, '2023-01-10', '7006', '1171', '6627', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:14.57943');
INSERT INTO public.tbl_trx_japan_day VALUES (231554, '2023-01-14', '7939', '4894', '0921', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:15.476239');
INSERT INTO public.tbl_trx_japan_day VALUES (231563, '2023-01-23', '4205', '0515', '5137', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:17.564377');
INSERT INTO public.tbl_trx_japan_day VALUES (231564, '2023-01-24', '0237', '3505', '4722', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:17.782083');
INSERT INTO public.tbl_trx_japan_day VALUES (231567, '2023-01-27', '1877', '9900', '1883', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:18.419776');
INSERT INTO public.tbl_trx_japan_day VALUES (231580, '2023-02-09', '6559', '7232', '5298', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:21.03891');
INSERT INTO public.tbl_trx_japan_day VALUES (231581, '2023-02-10', '1475', '7511', '0716', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:21.238692');
INSERT INTO public.tbl_trx_japan_day VALUES (231582, '2023-02-11', '9562', '4487', '5027', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:21.432953');
INSERT INTO public.tbl_trx_japan_day VALUES (231583, '2023-02-12', '8671', '2063', '4477', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:21.621478');
INSERT INTO public.tbl_trx_japan_day VALUES (231584, '2023-02-13', '9987', '3702', '9691', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:21.80477');
INSERT INTO public.tbl_trx_japan_day VALUES (231585, '2023-02-14', '5040', '2453', '4525', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:21.992367');
INSERT INTO public.tbl_trx_japan_day VALUES (231586, '2023-02-15', '1854', '8686', '4262', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:22.181163');
INSERT INTO public.tbl_trx_japan_day VALUES (231587, '2023-02-16', '7682', '6186', '2389', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:22.364803');
INSERT INTO public.tbl_trx_japan_day VALUES (231588, '2023-02-17', '1916', '8037', '9449', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:22.548769');
INSERT INTO public.tbl_trx_japan_day VALUES (231589, '2023-02-18', '3162', '6730', '0277', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:22.733403');
INSERT INTO public.tbl_trx_japan_day VALUES (231590, '2023-02-19', '3549', '5181', '3774', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:22.919885');
INSERT INTO public.tbl_trx_japan_day VALUES (231591, '2023-02-20', '3738', '3856', '6971', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:23.114677');
INSERT INTO public.tbl_trx_japan_day VALUES (231592, '2023-02-21', '8100', '2251', '6009', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:23.305287');
INSERT INTO public.tbl_trx_japan_day VALUES (231593, '2023-02-22', '0891', '1482', '6912', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:23.4929');
INSERT INTO public.tbl_trx_japan_day VALUES (231594, '2023-02-23', '6764', '2066', '8504', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:23.675293');
INSERT INTO public.tbl_trx_japan_day VALUES (231595, '2023-02-24', '0462', '1325', '5180', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:23.856902');
INSERT INTO public.tbl_trx_japan_day VALUES (231596, '2023-02-25', '8834', '9128', '3472', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:24.039893');
INSERT INTO public.tbl_trx_japan_day VALUES (231597, '2023-02-26', '4171', '1858', '2800', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:24.223801');
INSERT INTO public.tbl_trx_japan_day VALUES (231598, '2023-02-27', '1236', '8556', '3302', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:24.409006');
INSERT INTO public.tbl_trx_japan_day VALUES (231599, '2023-02-28', '1625', '7816', '6767', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:24.593573');
INSERT INTO public.tbl_trx_japan_day VALUES (231600, '2023-03-01', '6538', '4809', '0040', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:24.775148');
INSERT INTO public.tbl_trx_japan_day VALUES (231601, '2023-03-02', '5667', '2325', '7749', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:24.963425');
INSERT INTO public.tbl_trx_japan_day VALUES (231602, '2023-03-03', '1944', '6986', '0331', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:25.152806');
INSERT INTO public.tbl_trx_japan_day VALUES (231603, '2023-03-04', '7995', '5248', '0635', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:25.340482');
INSERT INTO public.tbl_trx_japan_day VALUES (231604, '2023-03-05', '2473', '1509', '9973', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:25.524653');
INSERT INTO public.tbl_trx_japan_day VALUES (231605, '2023-03-06', '2689', '6156', '4032', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:25.711858');
INSERT INTO public.tbl_trx_japan_day VALUES (231606, '2023-03-07', '6181', '1199', '5274', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:25.898919');
INSERT INTO public.tbl_trx_japan_day VALUES (231607, '2023-03-08', '2020', '9796', '3452', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:26.08814');
INSERT INTO public.tbl_trx_japan_day VALUES (231608, '2023-03-09', '5274', '2066', '5587', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:26.277104');
INSERT INTO public.tbl_trx_japan_day VALUES (231609, '2023-03-10', '8469', '6779', '7653', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:26.460973');
INSERT INTO public.tbl_trx_japan_day VALUES (231610, '2023-03-11', '0856', '0931', '8958', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:26.642916');
INSERT INTO public.tbl_trx_japan_day VALUES (231611, '2023-03-12', '1011', '8092', '2953', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:26.829663');
INSERT INTO public.tbl_trx_japan_day VALUES (231612, '2023-03-13', '5098', '2495', '5638', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:27.016338');
INSERT INTO public.tbl_trx_japan_day VALUES (231613, '2023-03-14', '6214', '1342', '7155', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:27.204815');
INSERT INTO public.tbl_trx_japan_day VALUES (231614, '2023-03-15', '3910', '3143', '1870', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:27.392046');
INSERT INTO public.tbl_trx_japan_day VALUES (231615, '2023-03-16', '8143', '2585', '4475', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:27.580384');
INSERT INTO public.tbl_trx_japan_day VALUES (231616, '2023-03-17', '5977', '8992', '9787', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:27.770069');
INSERT INTO public.tbl_trx_japan_day VALUES (231617, '2023-03-18', '0831', '0393', '0703', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:27.952927');
INSERT INTO public.tbl_trx_japan_day VALUES (231618, '2023-03-19', '9551', '4012', '7251', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:28.138822');
INSERT INTO public.tbl_trx_japan_day VALUES (231619, '2023-03-20', '4124', '9158', '4291', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:28.331151');
INSERT INTO public.tbl_trx_japan_day VALUES (24156, '2024-06-04', '7482', '7293', '0421', 'admintoto', '2024-06-04 09:51:47', 'admintoto', '2024-06-04 09:59:48');
INSERT INTO public.tbl_trx_japan_day VALUES (24167, '2024-06-15', '2586', '0777', '1792', 'admintoto', '2024-06-15 10:48:43', 'admintoto', '2024-06-15 10:48:56');
INSERT INTO public.tbl_trx_japan_day VALUES (231411, '2022-08-24', '8026', '0609', '8757', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:45.033193');
INSERT INTO public.tbl_trx_japan_day VALUES (231416, '2022-08-29', '6136', '1696', '4585', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:46.137806');
INSERT INTO public.tbl_trx_japan_day VALUES (231417, '2022-08-30', '2985', '5199', '3267', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:46.370753');
INSERT INTO public.tbl_trx_japan_day VALUES (231418, '2022-08-31', '7034', '9087', '5225', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:46.601128');
INSERT INTO public.tbl_trx_japan_day VALUES (231419, '2022-09-01', '5358', '7802', '2504', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:46.802249');
INSERT INTO public.tbl_trx_japan_day VALUES (231424, '2022-09-06', '8667', '6752', '8129', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:47.84502');
INSERT INTO public.tbl_trx_japan_day VALUES (231429, '2022-09-11', '9567', '4328', '1700', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:48.86516');
INSERT INTO public.tbl_trx_japan_day VALUES (231431, '2022-09-13', '8177', '9589', '3874', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:49.301171');
INSERT INTO public.tbl_trx_japan_day VALUES (231435, '2022-09-17', '7913', '0956', '6141', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:50.20739');
INSERT INTO public.tbl_trx_japan_day VALUES (231440, '2022-09-22', '0474', '1937', '7111', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:51.246233');
INSERT INTO public.tbl_trx_japan_day VALUES (231442, '2022-09-24', '4001', '4058', '5954', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:51.699515');
INSERT INTO public.tbl_trx_japan_day VALUES (231446, '2022-09-28', '2428', '7755', '3554', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:52.635112');
INSERT INTO public.tbl_trx_japan_day VALUES (231451, '2022-10-03', '8945', '2157', '3741', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:53.732238');
INSERT INTO public.tbl_trx_japan_day VALUES (231464, '2022-10-16', '5730', '5614', '8168', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:56.551815');
INSERT INTO public.tbl_trx_japan_day VALUES (231470, '2022-10-22', '9161', '5009', '5024', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:57.816641');
INSERT INTO public.tbl_trx_japan_day VALUES (231474, '2022-10-26', '6539', '1807', '9900', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:58.806889');
INSERT INTO public.tbl_trx_japan_day VALUES (231477, '2022-10-29', '7892', '8404', '1329', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:49:59.478195');
INSERT INTO public.tbl_trx_japan_day VALUES (231486, '2022-11-07', '5983', '5730', '6231', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:01.354309');
INSERT INTO public.tbl_trx_japan_day VALUES (231504, '2022-11-25', '7203', '8265', '4529', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:04.986095');
INSERT INTO public.tbl_trx_japan_day VALUES (231505, '2022-11-26', '1769', '7091', '2239', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:05.18267');
INSERT INTO public.tbl_trx_japan_day VALUES (231513, '2022-12-04', '4801', '4717', '0540', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:06.900712');
INSERT INTO public.tbl_trx_japan_day VALUES (231514, '2022-12-05', '2599', '4758', '3747', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:07.10853');
INSERT INTO public.tbl_trx_japan_day VALUES (231519, '2022-12-10', '9354', '1256', '8436', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:08.138617');
INSERT INTO public.tbl_trx_japan_day VALUES (231522, '2022-12-13', '0005', '0268', '2183', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:08.751468');
INSERT INTO public.tbl_trx_japan_day VALUES (231526, '2022-12-17', '4818', '0003', '6757', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:09.557131');
INSERT INTO public.tbl_trx_japan_day VALUES (231538, '2022-12-29', '7797', '7101', '6375', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:12.075151');
INSERT INTO public.tbl_trx_japan_day VALUES (231539, '2022-12-30', '1263', '4675', '4519', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:12.253286');
INSERT INTO public.tbl_trx_japan_day VALUES (231542, '2023-01-02', '8445', '5217', '8213', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:12.970415');
INSERT INTO public.tbl_trx_japan_day VALUES (231544, '2023-01-04', '7044', '0581', '6085', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:13.345812');
INSERT INTO public.tbl_trx_japan_day VALUES (231546, '2023-01-06', '6827', '0380', '9110', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:13.731882');
INSERT INTO public.tbl_trx_japan_day VALUES (231547, '2023-01-07', '8299', '1552', '9956', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:13.944328');
INSERT INTO public.tbl_trx_japan_day VALUES (231556, '2023-01-16', '0425', '4901', '4316', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:15.932732');
INSERT INTO public.tbl_trx_japan_day VALUES (231557, '2023-01-17', '6617', '4222', '1160', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:16.124352');
INSERT INTO public.tbl_trx_japan_day VALUES (231565, '2023-01-25', '5080', '4871', '4524', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:18.001244');
INSERT INTO public.tbl_trx_japan_day VALUES (231568, '2023-01-28', '6413', '1518', '4246', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:18.613285');
INSERT INTO public.tbl_trx_japan_day VALUES (231571, '2023-01-31', '1130', '5736', '1777', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:19.227183');
INSERT INTO public.tbl_trx_japan_day VALUES (231572, '2023-02-01', '7048', '8163', '8212', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:19.448456');
INSERT INTO public.tbl_trx_japan_day VALUES (231574, '2023-02-03', '2712', '5648', '5341', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:19.881668');
INSERT INTO public.tbl_trx_japan_day VALUES (231575, '2023-02-04', '2527', '5023', '9043', 'root', '2023-03-31 18:47:39', '', '2023-03-31 11:50:20.128967');
INSERT INTO public.tbl_trx_japan_day VALUES (231632, '2023-04-02', '0896', '7074', '7043', 'root', '2023-04-02 20:31:29', 'root', '2023-04-02 20:31:36');
INSERT INTO public.tbl_trx_japan_day VALUES (231620, '2023-03-21', '6624', '7166', '6991', 'root', '2023-03-31 18:59:33', 'root', '2023-03-31 18:59:40');
INSERT INTO public.tbl_trx_japan_day VALUES (231657, '2023-04-26', '4851', '3247', '2091', 'admintoto', '2023-04-26 10:54:36', 'admintoto', '2023-04-26 10:54:44');
INSERT INTO public.tbl_trx_japan_day VALUES (231621, '2023-03-22', '6535', '0528', '9020', 'root', '2023-03-31 18:59:49', 'root', '2023-03-31 18:59:56');
INSERT INTO public.tbl_trx_japan_day VALUES (231633, '2023-04-03', '0167', '6663', '7136', 'root', '2023-04-03 15:03:48', 'root', '2023-04-03 15:03:56');
INSERT INTO public.tbl_trx_japan_day VALUES (231622, '2023-03-23', '5395', '3535', '2898', 'root', '2023-03-31 19:00:03', 'root', '2023-03-31 19:00:08');
INSERT INTO public.tbl_trx_japan_day VALUES (231652, '2023-04-21', '6958', '0393', '1825', 'admintoto', '2023-04-21 10:49:48', 'admintoto', '2023-04-21 10:49:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231642, '2023-04-12', '3224', '8559', '3129', 'admintoto', '2023-04-12 10:19:27', 'admintoto', '2023-04-12 10:19:51');
INSERT INTO public.tbl_trx_japan_day VALUES (231623, '2023-03-24', '4737', '0433', '8028', 'root', '2023-03-31 19:00:15', 'root', '2023-03-31 19:00:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231634, '2023-04-04', '4326', '7826', '1744', 'root', '2023-04-04 12:44:07', 'root', '2023-04-04 12:44:14');
INSERT INTO public.tbl_trx_japan_day VALUES (231624, '2023-03-25', '5002', '2318', '9701', 'root', '2023-03-31 19:00:37', 'root', '2023-03-31 19:00:42');
INSERT INTO public.tbl_trx_japan_day VALUES (231648, '2023-04-17', '9983', '9766', '8014', 'admintoto', '2023-04-17 10:24:26', 'admintoto', '2023-04-17 10:24:46');
INSERT INTO public.tbl_trx_japan_day VALUES (231625, '2023-03-26', '6194', '7724', '9203', 'root', '2023-03-31 19:00:53', 'root', '2023-03-31 19:01:02');
INSERT INTO public.tbl_trx_japan_day VALUES (231635, '2023-04-05', '1692', '5814', '8407', 'root', '2023-04-05 13:56:12', 'root', '2023-04-05 13:56:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231626, '2023-03-27', '4004', '3873', '2763', 'root', '2023-03-31 19:01:11', 'root', '2023-03-31 19:01:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231643, '2023-04-13', '8122', '6304', '2170', 'admintoto', '2023-04-13 10:58:28', 'admintoto', '2023-04-13 10:59:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231627, '2023-03-28', '7940', '0880', '9830', 'root', '2023-03-31 19:01:27', 'root', '2023-03-31 19:01:34');
INSERT INTO public.tbl_trx_japan_day VALUES (231636, '2023-04-06', '0971', '4923', '2829', 'root', '2023-04-06 13:44:23', 'root', '2023-04-06 13:44:38');
INSERT INTO public.tbl_trx_japan_day VALUES (231628, '2023-03-29', '7523', '3059', '5913', 'root', '2023-03-31 19:01:43', 'root', '2023-03-31 19:01:49');
INSERT INTO public.tbl_trx_japan_day VALUES (231629, '2023-03-30', '5113', '3679', '9801', 'root', '2023-03-31 19:01:58', 'root', '2023-03-31 19:02:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231637, '2023-04-07', '5628', '7536', '8216', 'root', '2023-04-07 12:13:11', 'root', '2023-04-07 12:13:19');
INSERT INTO public.tbl_trx_japan_day VALUES (231630, '2023-03-31', '9602', '6484', '4605', 'root', '2023-03-31 19:02:13', 'root', '2023-03-31 19:02:18');
INSERT INTO public.tbl_trx_japan_day VALUES (231655, '2023-04-24', '9162', '5115', '7469', 'admintoto', '2023-04-24 11:38:12', 'admintoto', '2023-04-24 11:38:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231644, '2023-04-14', '0566', '4727', '2718', 'admintoto', '2023-04-14 09:54:24', 'admintoto', '2023-04-15 10:14:13');
INSERT INTO public.tbl_trx_japan_day VALUES (231631, '2023-04-01', '7445', '4535', '8016', 'root', '2023-04-01 10:33:55', 'root', '2023-04-01 10:34:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231638, '2023-04-08', '8263', '5837', '6235', 'root', '2023-04-08 13:02:09', 'root', '2023-04-08 13:02:18');
INSERT INTO public.tbl_trx_japan_day VALUES (231649, '2023-04-18', '5347', '7106', '0157', 'admintoto', '2023-04-18 10:23:07', 'admintoto', '2023-04-18 10:23:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231639, '2023-04-09', '0379', '4477', '0480', 'root', '2023-04-09 11:07:28', 'root', '2023-04-09 11:07:40');
INSERT INTO public.tbl_trx_japan_day VALUES (231646, '2023-04-15', '1485', '8977', '5643', 'admintoto', '2023-04-15 16:14:52', 'admintoto', '2023-04-15 16:16:21');
INSERT INTO public.tbl_trx_japan_day VALUES (231640, '2023-04-10', '0275', '4758', '1571', 'root', '2023-04-10 13:37:15', 'root', '2023-04-10 13:37:24');
INSERT INTO public.tbl_trx_japan_day VALUES (231641, '2023-04-11', '2549', '1337', '9511', 'admintoto', '2023-04-11 10:23:51', 'admintoto', '2023-04-11 10:24:12');
INSERT INTO public.tbl_trx_japan_day VALUES (231653, '2023-04-22', '5278', '3646', '8405', 'admintoto', '2023-04-22 12:13:22', 'admintoto', '2023-04-22 12:13:41');
INSERT INTO public.tbl_trx_japan_day VALUES (231650, '2023-04-19', '9679', '3272', '6504', 'admintoto', '2023-04-19 10:35:01', 'admintoto', '2023-04-19 10:35:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231647, '2023-04-16', '5722', '9814', '9885', 'admintoto', '2023-04-16 11:01:21', 'admintoto', '2023-04-16 11:01:36');
INSERT INTO public.tbl_trx_japan_day VALUES (231651, '2023-04-20', '2494', '3476', '0796', 'admintoto', '2023-04-20 10:00:13', 'admintoto', '2023-04-20 10:00:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231656, '2023-04-25', '7281', '0377', '1478', 'admintoto', '2023-04-25 10:24:12', 'admintoto', '2023-04-25 10:24:25');
INSERT INTO public.tbl_trx_japan_day VALUES (231654, '2023-04-23', '0207', '8486', '0674', 'admintoto', '2023-04-23 10:38:10', 'admintoto', '2023-04-23 10:38:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231661, '2023-04-30', '8030', '1308', '1538', 'admintoto', '2023-04-30 10:48:51', 'admintoto', '2023-04-30 10:49:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231658, '2023-04-27', '6584', '2118', '9247', 'admintoto', '2023-04-27 10:19:58', 'admintoto', '2023-04-27 10:20:11');
INSERT INTO public.tbl_trx_japan_day VALUES (231659, '2023-04-28', '8238', '0340', '4551', 'admintoto', '2023-04-28 10:16:31', 'admintoto', '2023-04-28 10:16:42');
INSERT INTO public.tbl_trx_japan_day VALUES (231660, '2023-04-29', '4509', '7077', '5051', 'admintoto', '2023-04-29 10:07:32', 'admintoto', '2023-04-29 10:07:46');
INSERT INTO public.tbl_trx_japan_day VALUES (231662, '2023-05-01', '3228', '5963', '9144', 'admintoto', '2023-05-01 09:55:30', 'admintoto', '2023-05-01 09:55:44');
INSERT INTO public.tbl_trx_japan_day VALUES (231663, '2023-05-02', '1008', '8646', '0297', 'admintoto', '2023-05-02 10:03:47', 'admintoto', '2023-05-02 10:03:58');
INSERT INTO public.tbl_trx_japan_day VALUES (231664, '2023-05-03', '5702', '7105', '2234', 'admintoto', '2023-05-03 10:25:18', 'admintoto', '2023-05-03 10:25:29');
INSERT INTO public.tbl_trx_japan_day VALUES (231665, '2023-05-04', '8795', '0570', '0464', 'admintoto', '2023-05-04 10:19:39', 'admintoto', '2023-05-04 10:19:50');
INSERT INTO public.tbl_trx_japan_day VALUES (231666, '2023-05-05', '8790', '4733', '7046', 'admintoto', '2023-05-05 10:24:53', 'admintoto', '2023-05-05 10:25:10');
INSERT INTO public.tbl_trx_japan_day VALUES (231667, '2023-05-06', '4547', '4538', '7502', 'admintoto', '2023-05-06 12:44:07', 'admintoto', '2023-05-06 12:45:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231668, '2023-05-07', '9873', '5593', '2203', 'admintoto', '2023-05-07 11:52:16', 'admintoto', '2023-05-07 11:52:41');
INSERT INTO public.tbl_trx_japan_day VALUES (231669, '2023-05-08', '3487', '6051', '2430', 'admintoto', '2023-05-08 10:17:16', 'admintoto', '2023-05-08 10:17:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231670, '2023-05-09', '6196', '3566', '5129', 'admintoto', '2023-05-09 10:47:05', 'admintoto', '2023-05-09 10:47:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231726, '2023-07-04', '2319', '9171', '5580', 'admintoto', '2023-07-04 10:26:11', 'admintoto', '2023-07-04 10:26:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231671, '2023-05-10', '9335', '5908', '8406', 'admintoto', '2023-05-10 11:04:49', 'admintoto', '2023-05-10 11:04:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231690, '2023-05-29', '2141', '5382', '9102', 'admintoto', '2023-05-29 10:02:34', 'admintoto', '2023-05-29 10:02:45');
INSERT INTO public.tbl_trx_japan_day VALUES (231672, '2023-05-11', '0728', '3196', '7142', 'admintoto', '2023-05-11 10:05:51', 'admintoto', '2023-05-11 10:06:07');
INSERT INTO public.tbl_trx_japan_day VALUES (231704, '2023-06-12', '5561', '1195', '4398', 'admintoto', '2023-06-12 10:47:52', 'admintoto', '2023-06-12 10:48:02');
INSERT INTO public.tbl_trx_japan_day VALUES (231673, '2023-05-12', '0447', '9501', '7446', 'admintoto', '2023-05-12 10:09:06', 'admintoto', '2023-05-12 10:09:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231691, '2023-05-30', '9331', '0552', '3722', 'admintoto', '2023-05-30 10:26:12', 'admintoto', '2023-05-30 10:26:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231674, '2023-05-13', '9918', '2497', '3244', 'admintoto', '2023-05-13 10:30:21', 'admintoto', '2023-05-13 10:30:34');
INSERT INTO public.tbl_trx_japan_day VALUES (231721, '2023-06-29', '5000', '7438', '8154', 'admintoto', '2023-06-29 10:17:33', 'admintoto', '2023-06-29 10:17:40');
INSERT INTO public.tbl_trx_japan_day VALUES (231714, '2023-06-22', '2530', '7150', '9242', 'admintoto', '2023-06-22 10:42:47', 'admintoto', '2023-06-22 10:43:01');
INSERT INTO public.tbl_trx_japan_day VALUES (231675, '2023-05-14', '1781', '2522', '4800', 'admintoto', '2023-05-14 10:06:50', 'admintoto', '2023-05-14 10:07:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231692, '2023-05-31', '9826', '1821', '4821', 'admintoto', '2023-05-31 10:07:27', 'admintoto', '2023-05-31 10:07:43');
INSERT INTO public.tbl_trx_japan_day VALUES (231676, '2023-05-15', '7221', '0453', '2047', 'admintoto', '2023-05-15 10:11:44', 'admintoto', '2023-05-15 10:12:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231705, '2023-06-13', '3233', '2434', '0632', 'admintoto', '2023-06-13 11:01:43', 'admintoto', '2023-06-13 11:01:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231677, '2023-05-16', '7297', '4184', '1598', 'admintoto', '2023-05-16 10:22:49', 'admintoto', '2023-05-16 10:23:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231693, '2023-06-01', '4276', '9026', '3194', 'admintoto', '2023-06-01 09:58:59', 'admintoto', '2023-06-01 09:59:11');
INSERT INTO public.tbl_trx_japan_day VALUES (231678, '2023-05-17', '3585', '0144', '8108', 'admintoto', '2023-05-17 10:03:03', 'admintoto', '2023-05-17 10:03:18');
INSERT INTO public.tbl_trx_japan_day VALUES (231679, '2023-05-18', '1484', '7791', '2438', 'admintoto', '2023-05-18 11:18:26', 'admintoto', '2023-05-18 11:18:41');
INSERT INTO public.tbl_trx_japan_day VALUES (231694, '2023-06-02', '6652', '1593', '5499', 'admintoto', '2023-06-02 09:50:50', 'admintoto', '2023-06-02 11:12:19');
INSERT INTO public.tbl_trx_japan_day VALUES (231680, '2023-05-19', '7331', '8023', '8290', 'admintoto', '2023-05-19 10:23:06', 'admintoto', '2023-05-19 10:23:16');
INSERT INTO public.tbl_trx_japan_day VALUES (231706, '2023-06-14', '9264', '3234', '1720', 'admintoto', '2023-06-14 10:51:29', 'admintoto', '2023-06-14 10:51:40');
INSERT INTO public.tbl_trx_japan_day VALUES (231681, '2023-05-20', '8506', '5908', '7897', 'admintoto', '2023-05-20 09:26:22', 'admintoto', '2023-05-20 10:41:30');
INSERT INTO public.tbl_trx_japan_day VALUES (231695, '2023-06-03', '4217', '7716', '5192', 'admintoto', '2023-06-03 10:22:49', 'admintoto', '2023-06-03 10:22:57');
INSERT INTO public.tbl_trx_japan_day VALUES (231682, '2023-05-21', '5825', '4312', '9268', 'admintoto', '2023-05-21 10:03:35', 'admintoto', '2023-05-21 10:03:50');
INSERT INTO public.tbl_trx_japan_day VALUES (231715, '2023-06-23', '7589', '9288', '2826', 'admintoto', '2023-06-23 11:45:46', 'admintoto', '2023-06-23 11:45:58');
INSERT INTO public.tbl_trx_japan_day VALUES (231683, '2023-05-22', '9803', '1660', '1660', 'admintoto', '2023-05-22 10:19:17', 'admintoto', '2023-05-22 10:19:28');
INSERT INTO public.tbl_trx_japan_day VALUES (231696, '2023-06-04', '9284', '4268', '2135', 'admintoto', '2023-06-04 10:01:57', 'admintoto', '2023-06-04 10:02:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231684, '2023-05-23', '8579', '2618', '4429', 'admintoto', '2023-05-23 10:01:49', 'admintoto', '2023-05-23 10:02:01');
INSERT INTO public.tbl_trx_japan_day VALUES (231707, '2023-06-15', '8281', '5491', '3021', 'admintoto', '2023-06-15 10:35:01', 'admintoto', '2023-06-15 10:35:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231685, '2023-05-24', '9261', '3433', '2806', 'admintoto', '2023-05-24 10:21:02', 'admintoto', '2023-05-24 10:21:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231697, '2023-06-05', '1027', '8569', '4012', 'admintoto', '2023-06-05 10:31:54', 'admintoto', '2023-06-05 10:32:02');
INSERT INTO public.tbl_trx_japan_day VALUES (231686, '2023-05-25', '4374', '6688', '2951', 'admintoto', '2023-05-25 10:06:20', 'admintoto', '2023-05-25 10:06:36');
INSERT INTO public.tbl_trx_japan_day VALUES (231730, '2023-07-08', '7367', '0393', '3783', 'admintoto', '2023-07-08 10:14:57', 'admintoto', '2023-07-08 10:15:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231687, '2023-05-26', '2441', '1098', '3538', 'admintoto', '2023-05-26 10:14:47', 'admintoto', '2023-05-26 11:54:25');
INSERT INTO public.tbl_trx_japan_day VALUES (231698, '2023-06-06', '8300', '7451', '1303', 'admintoto', '2023-06-06 11:02:45', 'admintoto', '2023-06-06 11:02:55');
INSERT INTO public.tbl_trx_japan_day VALUES (231688, '2023-05-27', '9076', '0571', '1314', 'admintoto', '2023-05-27 09:58:57', 'admintoto', '2023-05-27 09:59:08');
INSERT INTO public.tbl_trx_japan_day VALUES (231708, '2023-06-16', '6301', '2222', '4184', 'admintoto', '2023-06-16 10:05:54', 'admintoto', '2023-06-16 10:06:10');
INSERT INTO public.tbl_trx_japan_day VALUES (231689, '2023-05-28', '4360', '2988', '9120', 'admintoto', '2023-05-28 10:32:33', 'admintoto', '2023-05-28 10:32:45');
INSERT INTO public.tbl_trx_japan_day VALUES (231699, '2023-06-07', '4387', '2001', '3921', 'admintoto', '2023-06-07 10:54:28', 'admintoto', '2023-06-07 10:54:38');
INSERT INTO public.tbl_trx_japan_day VALUES (231722, '2023-06-30', '9004', '1127', '7000', 'admintoto', '2023-06-30 10:12:36', 'admintoto', '2023-06-30 10:12:47');
INSERT INTO public.tbl_trx_japan_day VALUES (231716, '2023-06-24', '9902', '7592', '2796', 'admintoto', '2023-06-24 10:14:56', 'admintoto', '2023-06-24 10:15:05');
INSERT INTO public.tbl_trx_japan_day VALUES (231700, '2023-06-08', '1384', '8124', '3078', 'admintoto', '2023-06-08 10:07:13', 'admintoto', '2023-06-08 10:07:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231709, '2023-06-17', '9068', '0730', '3705', 'admintoto', '2023-06-17 10:48:00', 'admintoto', '2023-06-17 10:48:08');
INSERT INTO public.tbl_trx_japan_day VALUES (231701, '2023-06-09', '5406', '6986', '9889', 'admintoto', '2023-06-09 10:35:05', 'admintoto', '2023-06-09 10:35:17');
INSERT INTO public.tbl_trx_japan_day VALUES (231702, '2023-06-10', '3865', '3677', '6323', 'admintoto', '2023-06-10 09:47:40', 'admintoto', '2023-06-10 10:06:18');
INSERT INTO public.tbl_trx_japan_day VALUES (231710, '2023-06-18', '7063', '2505', '1960', 'admintoto', '2023-06-18 11:53:43', 'admintoto', '2023-06-18 11:54:00');
INSERT INTO public.tbl_trx_japan_day VALUES (231703, '2023-06-11', '6628', '1866', '3669', 'admintoto', '2023-06-11 11:03:02', 'admintoto', '2023-06-11 11:03:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231717, '2023-06-25', '9591', '4889', '6175', 'admintoto', '2023-06-25 10:02:10', 'admintoto', '2023-06-25 10:02:21');
INSERT INTO public.tbl_trx_japan_day VALUES (231711, '2023-06-19', '0670', '7857', '9976', 'admintoto', '2023-06-19 10:01:50', 'admintoto', '2023-06-19 10:02:07');
INSERT INTO public.tbl_trx_japan_day VALUES (231727, '2023-07-05', '1893', '1076', '2671', 'admintoto', '2023-07-05 10:32:29', 'admintoto', '2023-07-05 10:32:38');
INSERT INTO public.tbl_trx_japan_day VALUES (231723, '2023-07-01', '4253', '5975', '7160', 'admintoto', '2023-07-01 10:01:14', 'admintoto', '2023-07-01 10:01:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231712, '2023-06-20', '5427', '6317', '9332', 'admintoto', '2023-06-20 10:19:46', 'admintoto', '2023-06-20 10:20:05');
INSERT INTO public.tbl_trx_japan_day VALUES (231718, '2023-06-26', '5468', '3840', '0220', 'admintoto', '2023-06-26 10:46:20', 'admintoto', '2023-06-26 10:46:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231713, '2023-06-21', '4798', '8273', '5044', 'admintoto', '2023-06-21 10:42:05', 'admintoto', '2023-06-21 10:42:14');
INSERT INTO public.tbl_trx_japan_day VALUES (231719, '2023-06-27', '4879', '3318', '9640', 'admintoto', '2023-06-27 10:31:27', 'admintoto', '2023-06-27 10:31:36');
INSERT INTO public.tbl_trx_japan_day VALUES (231736, '2023-07-14', '4291', '7280', '8424', 'admintoto', '2023-07-14 10:18:33', 'admintoto', '2023-07-14 10:18:42');
INSERT INTO public.tbl_trx_japan_day VALUES (231724, '2023-07-02', '3064', '2949', '6188', 'admintoto', '2023-07-02 10:02:09', 'admintoto', '2023-07-02 10:03:40');
INSERT INTO public.tbl_trx_japan_day VALUES (231720, '2023-06-28', '4669', '7419', '1496', 'admintoto', '2023-06-28 10:01:42', 'admintoto', '2023-06-28 10:01:51');
INSERT INTO public.tbl_trx_japan_day VALUES (231728, '2023-07-06', '4847', '5157', '0005', 'admintoto', '2023-07-06 10:02:52', 'admintoto', '2023-07-06 10:03:01');
INSERT INTO public.tbl_trx_japan_day VALUES (231725, '2023-07-03', '0948', '2279', '6667', 'admintoto', '2023-07-03 09:47:41', 'admintoto', '2023-07-03 09:55:17');
INSERT INTO public.tbl_trx_japan_day VALUES (231733, '2023-07-11', '8227', '0007', '6952', 'admintoto', '2023-07-11 10:00:21', 'admintoto', '2023-07-11 10:00:29');
INSERT INTO public.tbl_trx_japan_day VALUES (231731, '2023-07-09', '6099', '4538', '9945', 'admintoto', '2023-07-09 10:38:15', 'admintoto', '2023-07-09 10:38:28');
INSERT INTO public.tbl_trx_japan_day VALUES (231729, '2023-07-07', '9623', '5733', '6995', 'admintoto', '2023-07-07 10:11:17', 'admintoto', '2023-07-07 10:11:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231735, '2023-07-13', '2794', '7614', '9662', 'admintoto', '2023-07-13 10:19:15', 'admintoto', '2023-07-13 10:19:41');
INSERT INTO public.tbl_trx_japan_day VALUES (231732, '2023-07-10', '7747', '4873', '9185', 'admintoto', '2023-07-10 09:35:29', 'admintoto', '2023-07-10 10:18:31');
INSERT INTO public.tbl_trx_japan_day VALUES (231734, '2023-07-12', '8633', '7161', '1501', 'admintoto', '2023-07-12 10:03:18', 'admintoto', '2023-07-12 10:03:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231738, '2023-07-16', '7171', '6341', '3442', 'admintoto', '2023-07-16 11:52:55', 'admintoto', '2023-07-16 11:53:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231739, '2023-07-17', '3936', '7516', '2343', 'admintoto', '2023-07-17 10:10:55', 'admintoto', '2023-07-17 10:11:08');
INSERT INTO public.tbl_trx_japan_day VALUES (231737, '2023-07-15', '4224', '3816', '5949', 'admintoto', '2023-07-15 10:56:12', 'admintoto', '2023-07-15 10:56:21');
INSERT INTO public.tbl_trx_japan_day VALUES (231740, '2023-07-18', '8603', '2797', '6441', 'admintoto', '2023-07-18 10:37:26', 'admintoto', '2023-07-18 10:37:35');
INSERT INTO public.tbl_trx_japan_day VALUES (231741, '2023-07-19', '2300', '6000', '7977', 'admintoto', '2023-07-19 10:06:23', 'admintoto', '2023-07-19 10:06:34');
INSERT INTO public.tbl_trx_japan_day VALUES (231742, '2023-07-20', '2652', '4345', '3257', 'admintoto', '2023-07-20 09:55:26', 'admintoto', '2023-07-20 09:56:01');
INSERT INTO public.tbl_trx_japan_day VALUES (231743, '2023-07-21', '1588', '5515', '3649', 'admintoto', '2023-07-21 10:37:26', 'admintoto', '2023-07-21 10:37:36');
INSERT INTO public.tbl_trx_japan_day VALUES (231744, '2023-07-22', '6617', '0417', '2960', 'admintoto', '2023-07-22 10:04:19', 'admintoto', '2023-07-22 10:04:25');
INSERT INTO public.tbl_trx_japan_day VALUES (231745, '2023-07-23', '5443', '9859', '7800', 'admintoto', '2023-07-23 10:07:54', 'admintoto', '2023-07-23 10:08:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231746, '2023-07-24', '6590', '9419', '0559', 'admintoto', '2023-07-24 09:53:52', 'admintoto', '2023-07-24 10:00:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231765, '2023-08-12', '3605', '4232', '8663', 'admintoto', '2023-08-12 13:26:34', 'admintoto', '2023-08-12 13:26:42');
INSERT INTO public.tbl_trx_japan_day VALUES (231747, '2023-07-25', '3151', '1112', '9102', 'admintoto', '2023-07-25 10:09:57', 'admintoto', '2023-07-25 10:10:12');
INSERT INTO public.tbl_trx_japan_day VALUES (231789, '2023-09-05', '8956', '5848', '9748', 'admintoto', '2023-09-05 13:20:22', 'admintoto', '2023-09-05 13:20:31');
INSERT INTO public.tbl_trx_japan_day VALUES (231748, '2023-07-26', '2559', '4713', '6885', 'admintoto', '2023-07-26 10:00:37', 'admintoto', '2023-07-26 10:01:00');
INSERT INTO public.tbl_trx_japan_day VALUES (231779, '2023-08-26', '5425', '3390', '0066', 'admintoto', '2023-08-26 10:19:47', 'admintoto', '2023-08-26 10:20:00');
INSERT INTO public.tbl_trx_japan_day VALUES (231766, '2023-08-13', '5558', '7313', '3955', 'admintoto', '2023-08-13 11:05:06', 'admintoto', '2023-08-13 11:05:17');
INSERT INTO public.tbl_trx_japan_day VALUES (231749, '2023-07-27', '0654', '2794', '4816', 'admintoto', '2023-07-27 09:52:24', 'admintoto', '2023-07-27 09:58:50');
INSERT INTO public.tbl_trx_japan_day VALUES (231750, '2023-07-28', '4547', '7801', '8159', 'admintoto', '2023-07-28 10:25:21', 'admintoto', '2023-07-28 10:25:30');
INSERT INTO public.tbl_trx_japan_day VALUES (231767, '2023-08-14', '5845', '2305', '1431', 'admintoto', '2023-08-14 10:16:34', 'admintoto', '2023-08-14 10:16:41');
INSERT INTO public.tbl_trx_japan_day VALUES (231751, '2023-07-29', '6423', '6126', '2906', 'admintoto', '2023-07-29 10:10:49', 'admintoto', '2023-07-29 10:11:07');
INSERT INTO public.tbl_trx_japan_day VALUES (231805, '2023-09-21', '5326', '1259', '0112', 'admintoto', '2023-09-21 10:15:39', 'admintoto', '2023-09-21 10:15:55');
INSERT INTO public.tbl_trx_japan_day VALUES (231752, '2023-07-30', '4848', '6035', '8052', 'admintoto', '2023-07-30 10:20:16', 'admintoto', '2023-07-30 10:20:28');
INSERT INTO public.tbl_trx_japan_day VALUES (231780, '2023-08-27', '8582', '5848', '4292', 'admintoto', '2023-08-27 10:22:27', 'admintoto', '2023-08-27 10:22:39');
INSERT INTO public.tbl_trx_japan_day VALUES (231768, '2023-08-15', '3162', '9778', '1378', 'admintoto', '2023-08-15 10:15:34', 'admintoto', '2023-08-15 10:15:47');
INSERT INTO public.tbl_trx_japan_day VALUES (231753, '2023-07-31', '1468', '6429', '4781', 'admintoto', '2023-07-31 10:22:57', 'admintoto', '2023-07-31 10:23:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231754, '2023-08-01', '7357', '8924', '0921', 'admintoto', '2023-08-01 10:24:56', 'admintoto', '2023-08-01 10:25:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231769, '2023-08-16', '2141', '1074', '6932', 'admintoto', '2023-08-16 10:41:28', 'admintoto', '2023-08-16 10:41:42');
INSERT INTO public.tbl_trx_japan_day VALUES (231755, '2023-08-02', '2753', '3697', '9098', 'admintoto', '2023-08-02 11:06:03', 'admintoto', '2023-08-02 11:06:13');
INSERT INTO public.tbl_trx_japan_day VALUES (231796, '2023-09-12', '3234', '2203', '4627', 'admintoto', '2023-09-12 10:03:45', 'admintoto', '2023-09-12 10:04:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231756, '2023-08-03', '7009', '2848', '8234', 'admintoto', '2023-08-03 10:29:26', 'admintoto', '2023-08-03 10:29:41');
INSERT INTO public.tbl_trx_japan_day VALUES (231781, '2023-08-28', '7988', '1443', '2312', 'admintoto', '2023-08-28 10:37:30', 'admintoto', '2023-08-28 10:37:38');
INSERT INTO public.tbl_trx_japan_day VALUES (231770, '2023-08-17', '5446', '3877', '6562', 'admintoto', '2023-08-17 10:19:26', 'admintoto', '2023-08-17 10:19:39');
INSERT INTO public.tbl_trx_japan_day VALUES (231757, '2023-08-04', '7251', '5984', '6943', 'admintoto', '2023-08-04 10:05:40', 'admintoto', '2023-08-04 10:05:52');
INSERT INTO public.tbl_trx_japan_day VALUES (231758, '2023-08-05', '4558', '3105', '1999', 'admintoto', '2023-08-05 11:24:45', 'admintoto', '2023-08-05 11:24:57');
INSERT INTO public.tbl_trx_japan_day VALUES (231790, '2023-09-06', '9042', '7020', '1443', 'admintoto', '2023-09-06 10:26:00', 'admintoto', '2023-09-06 10:26:09');
INSERT INTO public.tbl_trx_japan_day VALUES (231771, '2023-08-18', '3237', '8506', '5669', 'admintoto', '2023-08-18 10:22:58', 'admintoto', '2023-08-18 10:23:14');
INSERT INTO public.tbl_trx_japan_day VALUES (231759, '2023-08-06', '4818', '7953', '5047', 'admintoto', '2023-08-06 10:35:39', 'admintoto', '2023-08-06 10:35:54');
INSERT INTO public.tbl_trx_japan_day VALUES (231782, '2023-08-29', '1892', '2856', '4648', 'admintoto', '2023-08-29 10:32:46', 'admintoto', '2023-08-29 10:33:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231760, '2023-08-07', '7171', '3686', '3772', 'admintoto', '2023-08-07 10:55:29', 'admintoto', '2023-08-07 10:55:43');
INSERT INTO public.tbl_trx_japan_day VALUES (231772, '2023-08-19', '5669', '9191', '2804', 'admintoto', '2023-08-19 11:17:35', 'admintoto', '2023-08-19 11:17:48');
INSERT INTO public.tbl_trx_japan_day VALUES (231761, '2023-08-08', '3480', '5208', '9864', 'admintoto', '2023-08-08 10:14:38', 'admintoto', '2023-08-08 10:14:47');
INSERT INTO public.tbl_trx_japan_day VALUES (231801, '2023-09-17', '9266', '6161', '7501', 'admintoto', '2023-09-17 10:18:34', 'admintoto', '2023-09-17 10:18:48');
INSERT INTO public.tbl_trx_japan_day VALUES (231773, '2023-08-20', '1907', '0490', '4645', 'admintoto', '2023-08-20 10:06:57', 'admintoto', '2023-08-20 10:07:08');
INSERT INTO public.tbl_trx_japan_day VALUES (231783, '2023-08-30', '6648', '3579', '0634', 'admintoto', '2023-08-30 10:21:28', 'admintoto', '2023-08-30 10:21:36');
INSERT INTO public.tbl_trx_japan_day VALUES (231763, '2023-08-10', '1881', '1363', '7684', 'admintoto', '2023-08-10 10:38:48', 'admintoto', '2023-08-10 10:40:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231774, '2023-08-21', '1747', '7655', '5253', 'admintoto', '2023-08-21 10:18:21', 'admintoto', '2023-08-21 10:18:35');
INSERT INTO public.tbl_trx_japan_day VALUES (231764, '2023-08-11', '1279', '6467', '5009', 'admintoto', '2023-08-11 10:21:15', 'admintoto', '2023-08-11 10:21:24');
INSERT INTO public.tbl_trx_japan_day VALUES (231762, '2023-08-09', '2147', '5015', '0179', 'admintoto', '2023-08-09 10:23:35', 'admintoto', '2023-08-11 10:27:54');
INSERT INTO public.tbl_trx_japan_day VALUES (231791, '2023-09-07', '0148', '9180', '8188', 'admintoto', '2023-09-07 10:19:57', 'admintoto', '2023-09-07 10:20:06');
INSERT INTO public.tbl_trx_japan_day VALUES (231784, '2023-08-31', '4201', '5898', '5631', 'admintoto', '2023-08-31 10:22:51', 'admintoto', '2023-08-31 10:23:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231775, '2023-08-22', '4689', '0893', '2987', 'admintoto', '2023-08-22 10:00:54', 'admintoto', '2023-08-22 10:01:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231776, '2023-08-23', '4334', '3361', '8562', 'admintoto', '2023-08-23 10:26:30', 'admintoto', '2023-08-23 10:26:43');
INSERT INTO public.tbl_trx_japan_day VALUES (231808, '2023-09-24', '0378', '2804', '4045', 'admintoto', '2023-09-24 10:00:42', 'admintoto', '2023-09-24 10:00:51');
INSERT INTO public.tbl_trx_japan_day VALUES (231792, '2023-09-08', '4191', '7128', '9322', 'admintoto', '2023-09-08 10:27:22', 'admintoto', '2023-09-08 10:27:29');
INSERT INTO public.tbl_trx_japan_day VALUES (231777, '2023-08-24', '9254', '3874', '5113', 'admintoto', '2023-08-24 10:18:08', 'admintoto', '2023-08-24 10:18:18');
INSERT INTO public.tbl_trx_japan_day VALUES (231785, '2023-09-01', '8083', '3913', '6906', 'admintoto', '2023-09-01 10:37:51', 'admintoto', '2023-09-01 11:06:57');
INSERT INTO public.tbl_trx_japan_day VALUES (231778, '2023-08-25', '7952', '1773', '5254', 'admintoto', '2023-08-25 10:16:35', 'admintoto', '2023-08-25 10:16:53');
INSERT INTO public.tbl_trx_japan_day VALUES (231797, '2023-09-13', '9358', '3113', '2297', 'admintoto', '2023-09-13 13:18:03', 'admintoto', '2023-09-13 13:18:12');
INSERT INTO public.tbl_trx_japan_day VALUES (231786, '2023-09-02', '7269', '1787', '5996', 'admintoto', '2023-09-02 10:56:54', 'admintoto', '2023-09-02 10:57:07');
INSERT INTO public.tbl_trx_japan_day VALUES (231793, '2023-09-09', '6466', '2917', '8997', 'admintoto', '2023-09-09 10:01:19', 'admintoto', '2023-09-09 10:01:29');
INSERT INTO public.tbl_trx_japan_day VALUES (231787, '2023-09-03', '1346', '9576', '3582', 'admintoto', '2023-09-03 11:15:50', 'admintoto', '2023-09-03 11:16:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231802, '2023-09-18', '6356', '1030', '4972', 'admintoto', '2023-09-18 10:18:50', 'admintoto', '2023-09-18 10:19:00');
INSERT INTO public.tbl_trx_japan_day VALUES (231788, '2023-09-04', '5449', '4945', '2347', 'admintoto', '2023-09-04 10:03:35', 'admintoto', '2023-09-04 10:03:48');
INSERT INTO public.tbl_trx_japan_day VALUES (231798, '2023-09-14', '7765', '6068', '3318', 'admintoto', '2023-09-14 10:01:59', 'admintoto', '2023-09-14 10:02:10');
INSERT INTO public.tbl_trx_japan_day VALUES (231794, '2023-09-10', '5957', '4714', '1806', 'admintoto', '2023-09-10 10:04:39', 'admintoto', '2023-09-10 10:04:52');
INSERT INTO public.tbl_trx_japan_day VALUES (231806, '2023-09-22', '8565', '9944', '3089', 'admintoto', '2023-09-22 10:03:03', 'admintoto', '2023-09-22 10:03:28');
INSERT INTO public.tbl_trx_japan_day VALUES (231799, '2023-09-15', '4837', '0739', '8773', 'admintoto', '2023-09-15 09:56:12', 'admintoto', '2023-09-15 09:56:23');
INSERT INTO public.tbl_trx_japan_day VALUES (231795, '2023-09-11', '5397', '3024', '6095', 'admintoto', '2023-09-11 10:00:44', 'admintoto', '2023-09-11 10:00:54');
INSERT INTO public.tbl_trx_japan_day VALUES (231803, '2023-09-19', '0549', '3470', '7537', 'admintoto', '2023-09-19 10:00:40', 'admintoto', '2023-09-19 10:00:52');
INSERT INTO public.tbl_trx_japan_day VALUES (231812, '2023-09-28', '7436', '8028', '9685', 'admintoto', '2023-09-28 10:06:28', 'admintoto', '2023-09-28 10:07:29');
INSERT INTO public.tbl_trx_japan_day VALUES (231800, '2023-09-16', '4098', '5657', '1630', 'admintoto', '2023-09-16 11:43:59', 'admintoto', '2023-09-16 11:44:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231804, '2023-09-20', '2358', '5797', '7333', 'admintoto', '2023-09-20 10:00:14', 'admintoto', '2023-09-20 10:00:24');
INSERT INTO public.tbl_trx_japan_day VALUES (231809, '2023-09-25', '3790', '4985', '8224', 'admintoto', '2023-09-25 09:50:56', 'admintoto', '2023-09-25 09:55:23');
INSERT INTO public.tbl_trx_japan_day VALUES (231807, '2023-09-23', '4682', '5237', '2729', 'admintoto', '2023-09-23 10:02:38', 'admintoto', '2023-09-23 10:02:50');
INSERT INTO public.tbl_trx_japan_day VALUES (231811, '2023-09-27', '0561', '6818', '4985', 'admintoto', '2023-09-27 10:07:01', 'admintoto', '2023-09-27 10:07:11');
INSERT INTO public.tbl_trx_japan_day VALUES (231815, '2023-10-01', '1629', '6945', '0259', 'admintoto', '2023-10-01 10:00:27', 'admintoto', '2023-10-01 10:00:38');
INSERT INTO public.tbl_trx_japan_day VALUES (231810, '2023-09-26', '8346', '5526', '0228', 'admintoto', '2023-09-26 10:01:44', 'admintoto', '2023-09-26 10:03:30');
INSERT INTO public.tbl_trx_japan_day VALUES (231816, '2023-10-02', '9669', '1116', '3762', 'admintoto', '2023-10-02 10:01:20', 'admintoto', '2023-10-02 10:01:33');
INSERT INTO public.tbl_trx_japan_day VALUES (231814, '2023-09-30', '4101', '0358', '7385', 'admintoto', '2023-09-30 10:01:14', 'admintoto', '2023-09-30 10:01:28');
INSERT INTO public.tbl_trx_japan_day VALUES (231813, '2023-09-29', '4103', '9860', '7305', 'admintoto', '2023-09-29 10:01:05', 'admintoto', '2023-09-29 10:01:11');
INSERT INTO public.tbl_trx_japan_day VALUES (231817, '2023-10-03', '4333', '3784', '5765', 'admintoto', '2023-10-03 10:10:23', 'admintoto', '2023-10-03 10:10:33');
INSERT INTO public.tbl_trx_japan_day VALUES (231818, '2023-10-04', '2347', '0562', '5220', 'admintoto', '2023-10-04 10:16:49', 'admintoto', '2023-10-04 10:16:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231819, '2023-10-05', '6366', '1606', '4646', 'admintoto', '2023-10-05 10:00:50', 'admintoto', '2023-10-05 10:00:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231820, '2023-10-06', '7042', '9468', '5198', 'admintoto', '2023-10-06 10:01:13', 'admintoto', '2023-10-06 10:01:26');
INSERT INTO public.tbl_trx_japan_day VALUES (231821, '2023-10-07', '9192', '3840', '0757', 'admintoto', '2023-10-07 10:00:57', 'admintoto', '2023-10-07 10:01:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231822, '2023-10-08', '0514', '1626', '2336', 'admintoto', '2023-10-08 10:01:32', 'admintoto', '2023-10-08 10:02:43');
INSERT INTO public.tbl_trx_japan_day VALUES (231823, '2023-10-09', '4732', '2769', '0612', 'admintoto', '2023-10-09 10:16:51', 'admintoto', '2023-10-09 10:17:02');
INSERT INTO public.tbl_trx_japan_day VALUES (231857, '2023-11-12', '0392', '5687', '9590', 'admintoto', '2023-11-12 10:18:05', 'admintoto', '2023-11-12 10:18:24');
INSERT INTO public.tbl_trx_japan_day VALUES (231824, '2023-10-10', '1522', '4013', '5344', 'admintoto', '2023-10-10 10:14:04', 'admintoto', '2023-10-10 10:14:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231843, '2023-10-29', '8387', '0040', '8989', 'admintoto', '2023-10-29 10:05:55', 'admintoto', '2023-10-29 10:06:01');
INSERT INTO public.tbl_trx_japan_day VALUES (231825, '2023-10-11', '7524', '1318', '8781', 'admintoto', '2023-10-11 10:03:21', 'admintoto', '2023-10-11 10:03:34');
INSERT INTO public.tbl_trx_japan_day VALUES (231867, '2023-11-22', '1341', '4181', '2178', 'admintoto', '2023-11-22 10:33:01', 'admintoto', '2023-11-22 10:33:13');
INSERT INTO public.tbl_trx_japan_day VALUES (231826, '2023-10-12', '5174', '9317', '4003', 'admintoto', '2023-10-12 10:10:04', 'admintoto', '2023-10-12 10:10:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231844, '2023-10-30', '3331', '5842', '8356', 'admintoto', '2023-10-30 10:04:39', 'admintoto', '2023-10-30 10:04:50');
INSERT INTO public.tbl_trx_japan_day VALUES (231827, '2023-10-13', '1409', '5318', '0772', 'admintoto', '2023-10-13 09:42:38', 'admintoto', '2023-10-13 09:58:57');
INSERT INTO public.tbl_trx_japan_day VALUES (231858, '2023-11-13', '2777', '4750', '3803', 'admintoto', '2023-11-13 10:02:07', 'admintoto', '2023-11-13 10:02:24');
INSERT INTO public.tbl_trx_japan_day VALUES (231828, '2023-10-14', '4842', '7158', '8163', 'admintoto', '2023-10-14 10:03:42', 'admintoto', '2023-10-14 10:03:51');
INSERT INTO public.tbl_trx_japan_day VALUES (231845, '2023-10-31', '5866', '1537', '6991', 'admintoto', '2023-10-31 09:55:45', 'admintoto', '2023-10-31 09:56:13');
INSERT INTO public.tbl_trx_japan_day VALUES (231829, '2023-10-15', '1611', '2382', '0087', 'admintoto', '2023-10-15 10:20:37', 'admintoto', '2023-10-15 10:21:00');
INSERT INTO public.tbl_trx_japan_day VALUES (231890, '2023-12-15', '1874', '9810', '4590', 'admintoto', '2023-12-15 10:04:06', 'admintoto', '2023-12-15 12:41:05');
INSERT INTO public.tbl_trx_japan_day VALUES (231830, '2023-10-16', '0516', '8681', '2249', 'admintoto', '2023-10-16 10:04:39', 'admintoto', '2023-10-16 10:04:54');
INSERT INTO public.tbl_trx_japan_day VALUES (231846, '2023-11-01', '6965', '7223', '2406', 'admintoto', '2023-11-01 10:11:44', 'admintoto', '2023-11-01 10:12:14');
INSERT INTO public.tbl_trx_japan_day VALUES (231831, '2023-10-17', '3488', '2316', '1627', 'admintoto', '2023-10-17 10:11:24', 'admintoto', '2023-10-17 10:12:21');
INSERT INTO public.tbl_trx_japan_day VALUES (231880, '2023-12-05', '7116', '6562', '4354', 'admintoto', '2023-12-05 10:00:44', 'admintoto', '2023-12-05 10:00:52');
INSERT INTO public.tbl_trx_japan_day VALUES (231868, '2023-11-23', '2901', '9350', '1887', 'admintoto', '2023-11-23 10:06:57', 'admintoto', '2023-11-23 10:07:12');
INSERT INTO public.tbl_trx_japan_day VALUES (231847, '2023-11-02', '4247', '5180', '7975', 'admintoto', '2023-11-02 10:03:37', 'admintoto', '2023-11-02 10:03:54');
INSERT INTO public.tbl_trx_japan_day VALUES (231832, '2023-10-18', '4612', '6995', '5302', 'admintoto', '2023-10-18 10:10:47', 'admintoto', '2023-10-18 10:10:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231859, '2023-11-14', '3694', '3943', '9251', 'admintoto', '2023-11-14 10:09:23', 'admintoto', '2023-11-14 10:09:37');
INSERT INTO public.tbl_trx_japan_day VALUES (231833, '2023-10-19', '1799', '6698', '2089', 'admintoto', '2023-10-19 10:04:41', 'admintoto', '2023-10-19 10:04:51');
INSERT INTO public.tbl_trx_japan_day VALUES (231848, '2023-11-03', '9601', '7225', '2596', 'admintoto', '2023-11-03 10:07:24', 'admintoto', '2023-11-03 10:07:32');
INSERT INTO public.tbl_trx_japan_day VALUES (231834, '2023-10-20', '5466', '4554', '3400', 'admintoto', '2023-10-20 13:40:12', 'admintoto', '2023-10-20 13:40:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231875, '2023-11-30', '8850', '5416', '9148', 'admintoto', '2023-11-30 10:25:53', 'admintoto', '2023-11-30 10:26:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231835, '2023-10-21', '7591', '4606', '5711', 'admintoto', '2023-10-20 13:41:19', 'admintoto', '2023-10-21 09:56:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231849, '2023-11-04', '6503', '2949', '1483', 'admintoto', '2023-11-04 09:57:55', 'admintoto', '2023-11-04 09:58:11');
INSERT INTO public.tbl_trx_japan_day VALUES (231836, '2023-10-22', '2985', '0491', '8372', 'admintoto', '2023-10-22 10:06:16', 'admintoto', '2023-10-22 10:06:29');
INSERT INTO public.tbl_trx_japan_day VALUES (231860, '2023-11-15', '1143', '0584', '9005', 'admintoto', '2023-11-15 10:00:34', 'admintoto', '2023-11-15 10:00:46');
INSERT INTO public.tbl_trx_japan_day VALUES (231837, '2023-10-23', '0213', '6732', '7466', 'admintoto', '2023-10-23 10:12:12', 'admintoto', '2023-10-23 10:12:18');
INSERT INTO public.tbl_trx_japan_day VALUES (231850, '2023-11-05', '2517', '7654', '1023', 'admintoto', '2023-11-05 10:20:02', 'admintoto', '2023-11-05 10:20:14');
INSERT INTO public.tbl_trx_japan_day VALUES (231838, '2023-10-24', '9989', '5687', '7007', 'admintoto', '2023-10-24 10:01:06', 'admintoto', '2023-10-24 10:01:17');
INSERT INTO public.tbl_trx_japan_day VALUES (231869, '2023-11-24', '0453', '4944', '6882', 'admintoto', '2023-11-24 10:18:55', 'admintoto', '2023-11-24 10:19:09');
INSERT INTO public.tbl_trx_japan_day VALUES (231839, '2023-10-25', '7569', '0627', '8432', 'admintoto', '2023-10-25 10:15:10', 'admintoto', '2023-10-25 10:15:21');
INSERT INTO public.tbl_trx_japan_day VALUES (231851, '2023-11-06', '1502', '3477', '9505', 'admintoto', '2023-11-06 09:57:51', 'admintoto', '2023-11-06 09:58:05');
INSERT INTO public.tbl_trx_japan_day VALUES (231840, '2023-10-26', '6888', '3674', '4030', 'admintoto', '2023-10-26 10:03:24', 'admintoto', '2023-10-26 10:03:32');
INSERT INTO public.tbl_trx_japan_day VALUES (231861, '2023-11-16', '4925', '5427', '7712', 'admintoto', '2023-11-16 10:05:56', 'admintoto', '2023-11-16 10:06:10');
INSERT INTO public.tbl_trx_japan_day VALUES (231841, '2023-10-27', '5856', '1083', '1042', 'admintoto', '2023-10-27 10:13:15', 'admintoto', '2023-10-27 10:13:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231852, '2023-11-07', '0917', '9772', '3282', 'admintoto', '2023-11-07 09:58:44', 'admintoto', '2023-11-07 09:59:22');
INSERT INTO public.tbl_trx_japan_day VALUES (231842, '2023-10-28', '9043', '4666', '8171', 'admintoto', '2023-10-28 10:00:55', 'admintoto', '2023-10-28 10:01:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231862, '2023-11-17', '9044', '2747', '6476', 'admintoto', '2023-11-17 10:02:58', 'admintoto', '2023-11-17 10:03:19');
INSERT INTO public.tbl_trx_japan_day VALUES (231853, '2023-11-08', '9233', '7509', '1342', 'admintoto', '2023-11-08 10:26:41', 'admintoto', '2023-11-08 10:26:48');
INSERT INTO public.tbl_trx_japan_day VALUES (231884, '2023-12-09', '1054', '3573', '7042', 'admintoto', '2023-12-09 10:00:55', 'admintoto', '2023-12-09 10:01:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231854, '2023-11-09', '1790', '3460', '4843', 'admintoto', '2023-11-09 10:02:44', 'admintoto', '2023-11-09 10:02:55');
INSERT INTO public.tbl_trx_japan_day VALUES (231870, '2023-11-25', '8008', '6837', '1622', 'admintoto', '2023-11-25 10:00:31', 'admintoto', '2023-11-25 10:04:50');
INSERT INTO public.tbl_trx_japan_day VALUES (231863, '2023-11-18', '0502', '8075', '9006', 'admintoto', '2023-11-18 10:26:39', 'admintoto', '2023-11-18 10:26:48');
INSERT INTO public.tbl_trx_japan_day VALUES (231855, '2023-11-10', '4639', '0486', '9332', 'admintoto', '2023-11-10 10:36:30', 'admintoto', '2023-11-10 10:37:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231856, '2023-11-11', '5848', '7538', '0170', 'admintoto', '2023-11-11 10:01:35', 'admintoto', '2023-11-11 10:01:51');
INSERT INTO public.tbl_trx_japan_day VALUES (231876, '2023-12-01', '8674', '6630', '1066', 'admintoto', '2023-12-01 10:00:22', 'admintoto', '2023-12-01 10:00:32');
INSERT INTO public.tbl_trx_japan_day VALUES (231864, '2023-11-19', '3843', '5932', '2794', 'admintoto', '2023-11-19 09:22:14', 'admintoto', '2023-11-19 10:00:09');
INSERT INTO public.tbl_trx_japan_day VALUES (231871, '2023-11-26', '7635', '5274', '9647', 'admintoto', '2023-11-26 10:00:38', 'admintoto', '2023-11-26 10:00:47');
INSERT INTO public.tbl_trx_japan_day VALUES (231865, '2023-11-20', '2707', '6740', '2599', 'admintoto', '2023-11-20 10:00:00', 'admintoto', '2023-11-20 10:00:09');
INSERT INTO public.tbl_trx_japan_day VALUES (231881, '2023-12-06', '1475', '0722', '3201', 'admintoto', '2023-12-06 09:58:43', 'admintoto', '2023-12-06 09:58:52');
INSERT INTO public.tbl_trx_japan_day VALUES (231866, '2023-11-21', '5703', '7376', '7420', 'admintoto', '2023-11-21 10:09:32', 'admintoto', '2023-11-21 10:09:40');
INSERT INTO public.tbl_trx_japan_day VALUES (231872, '2023-11-27', '4417', '0703', '8158', 'admintoto', '2023-11-27 10:10:03', 'admintoto', '2023-11-27 10:10:11');
INSERT INTO public.tbl_trx_japan_day VALUES (231877, '2023-12-02', '9117', '3469', '4030', 'admintoto', '2023-12-02 11:20:15', 'admintoto', '2023-12-02 11:20:25');
INSERT INTO public.tbl_trx_japan_day VALUES (231873, '2023-11-28', '7287', '8168', '3094', 'admintoto', '2023-11-28 09:40:53', 'admintoto', '2023-11-28 10:00:28');
INSERT INTO public.tbl_trx_japan_day VALUES (231878, '2023-12-03', '3989', '8033', '8480', 'admintoto', '2023-12-03 09:49:57', 'admintoto', '2023-12-03 09:59:27');
INSERT INTO public.tbl_trx_japan_day VALUES (231874, '2023-11-29', '3516', '1771', '8661', 'admintoto', '2023-11-29 10:00:13', 'admintoto', '2023-11-29 10:00:24');
INSERT INTO public.tbl_trx_japan_day VALUES (231887, '2023-12-12', '9111', '5338', '2582', 'admintoto', '2023-12-12 09:54:34', 'admintoto', '2023-12-12 09:56:12');
INSERT INTO public.tbl_trx_japan_day VALUES (231882, '2023-12-07', '8637', '5058', '2499', 'admintoto', '2023-12-07 09:57:49', 'admintoto', '2023-12-07 09:57:59');
INSERT INTO public.tbl_trx_japan_day VALUES (231879, '2023-12-04', '5067', '1101', '8935', 'admintoto', '2023-12-04 10:28:53', 'admintoto', '2023-12-04 10:29:02');
INSERT INTO public.tbl_trx_japan_day VALUES (231885, '2023-12-10', '7648', '8104', '0275', 'admintoto', '2023-12-10 11:50:10', 'admintoto', '2023-12-10 11:50:19');
INSERT INTO public.tbl_trx_japan_day VALUES (231883, '2023-12-08', '6474', '1531', '8955', 'admintoto', '2023-12-08 10:09:00', 'admintoto', '2023-12-08 10:09:12');
INSERT INTO public.tbl_trx_japan_day VALUES (231889, '2023-12-14', '7112', '1633', '5097', 'admintoto', '2023-12-14 09:50:52', 'admintoto', '2023-12-14 10:00:10');
INSERT INTO public.tbl_trx_japan_day VALUES (231886, '2023-12-11', '3574', '0039', '9849', 'admintoto', '2023-12-11 10:01:06', 'admintoto', '2023-12-11 10:01:15');
INSERT INTO public.tbl_trx_japan_day VALUES (231888, '2023-12-13', '8279', '3483', '5965', 'admintoto', '2023-12-13 09:37:17', 'admintoto', '2023-12-13 10:18:26');
INSERT INTO public.tbl_trx_japan_day VALUES (231892, '2023-12-17', '5077', '9292', '3242', 'admintoto', '2023-12-17 11:14:58', 'admintoto', '2023-12-17 11:15:03');
INSERT INTO public.tbl_trx_japan_day VALUES (231893, '2023-12-18', '0656', '2356', '1180', 'admintoto', '2023-12-18 10:08:48', 'admintoto', '2023-12-18 10:08:56');
INSERT INTO public.tbl_trx_japan_day VALUES (231891, '2023-12-16', '4040', '5857', '7619', 'admintoto', '2023-12-16 10:13:15', 'admintoto', '2023-12-16 10:13:35');
INSERT INTO public.tbl_trx_japan_day VALUES (231894, '2023-12-19', '3178', '9064', '4792', 'admintoto', '2023-12-19 10:06:36', 'admintoto', '2023-12-19 10:06:47');
INSERT INTO public.tbl_trx_japan_day VALUES (231895, '2023-12-20', '9092', '5882', '2638', 'admintoto', '2023-12-20 09:55:54', 'admintoto', '2023-12-20 09:56:09');
INSERT INTO public.tbl_trx_japan_day VALUES (231896, '2023-12-21', '2735', '9779', '6204', 'admintoto', '2023-12-21 09:58:33', 'admintoto', '2023-12-21 09:58:45');
INSERT INTO public.tbl_trx_japan_day VALUES (231897, '2023-12-22', '5281', '0253', '2437', 'admintoto', '2023-12-22 09:54:18', 'admintoto', '2023-12-22 09:55:04');
INSERT INTO public.tbl_trx_japan_day VALUES (231898, '2023-12-23', '0298', '9363', '1765', 'admintoto', '2023-12-23 10:00:26', 'admintoto', '2023-12-23 10:00:37');
INSERT INTO public.tbl_trx_japan_day VALUES (231899, '2023-12-24', '8331', '9184', '6116', 'admintoto', '2023-12-24 10:06:06', 'admintoto', '2023-12-24 10:06:47');
INSERT INTO public.tbl_trx_japan_day VALUES (231900, '2023-12-25', '2651', '4696', '1053', 'admintoto', '2023-12-25 10:01:54', 'admintoto', '2023-12-25 10:02:11');
INSERT INTO public.tbl_trx_japan_day VALUES (24157, '2024-06-05', '1936', '2561', '9106', 'admintoto', '2024-06-05 10:00:33', 'admintoto', '2024-06-05 10:00:44');
INSERT INTO public.tbl_trx_japan_day VALUES (231901, '2023-12-26', '4030', '1067', '9592', 'admintoto', '2023-12-26 10:50:19', 'admintoto', '2023-12-26 10:50:30');
INSERT INTO public.tbl_trx_japan_day VALUES (231902, '2023-12-27', '5772', '7351', '9507', 'admintoto', '2023-12-27 10:43:19', 'admintoto', '2023-12-27 10:43:25');
INSERT INTO public.tbl_trx_japan_day VALUES (2415, '2024-01-15', '4689', '8149', '7794', 'admintoto', '2024-01-15 10:29:56', 'admintoto', '2024-01-15 11:51:20');
INSERT INTO public.tbl_trx_japan_day VALUES (231903, '2023-12-28', '8883', '2311', '5783', 'admintoto', '2023-12-28 10:10:19', 'admintoto', '2023-12-28 10:10:26');
INSERT INTO public.tbl_trx_japan_day VALUES (2446, '2024-02-15', '5617', '2423', '4016', 'admintoto', '2024-02-15 10:20:28', 'admintoto', '2024-02-15 10:20:35');
INSERT INTO public.tbl_trx_japan_day VALUES (2429, '2024-01-29', '8694', '0974', '9938', 'admintoto', '2024-01-29 10:00:12', 'admintoto', '2024-01-30 10:00:30');
INSERT INTO public.tbl_trx_japan_day VALUES (231904, '2023-12-29', '7201', '9540', '4611', 'admintoto', '2023-12-29 10:40:06', 'admintoto', '2023-12-29 10:40:15');
INSERT INTO public.tbl_trx_japan_day VALUES (2416, '2024-01-16', '6891', '1167', '0820', 'admintoto', '2024-01-16 08:52:16', 'admintoto', '2024-01-16 09:58:57');
INSERT INTO public.tbl_trx_japan_day VALUES (231905, '2023-12-30', '1292', '8498', '9953', 'admintoto', '2023-12-30 10:05:35', 'admintoto', '2023-12-30 10:05:52');
INSERT INTO public.tbl_trx_japan_day VALUES (2439, '2024-02-08', '5560', '7456', '9931', 'admintoto', '2024-02-08 10:49:43', 'admintoto', '2024-02-08 10:49:49');
INSERT INTO public.tbl_trx_japan_day VALUES (231906, '2023-12-31', '4506', '3539', '1029', 'admintoto', '2023-12-31 10:34:38', 'admintoto', '2023-12-31 10:35:45');
INSERT INTO public.tbl_trx_japan_day VALUES (2417, '2024-01-17', '2020', '3349', '7706', 'admintoto', '2024-01-17 10:00:20', 'admintoto', '2024-01-17 10:00:38');
INSERT INTO public.tbl_trx_japan_day VALUES (241, '2024-01-01', '3487', '2257', '7740', 'admintoto', '2024-01-01 10:22:46', 'admintoto', '2024-01-01 10:22:55');
INSERT INTO public.tbl_trx_japan_day VALUES (2430, '2024-01-30', '1347', '7251', '4324', 'admintoto', '2024-01-30 10:00:35', 'admintoto', '2024-01-30 10:00:41');
INSERT INTO public.tbl_trx_japan_day VALUES (242, '2024-01-02', '6774', '0239', '1544', 'admintoto', '2024-01-02 10:07:49', 'admintoto', '2024-01-02 10:07:57');
INSERT INTO public.tbl_trx_japan_day VALUES (2418, '2024-01-18', '0349', '6010', '7320', 'admintoto', '2024-01-18 09:49:47', 'admintoto', '2024-01-18 10:04:13');
INSERT INTO public.tbl_trx_japan_day VALUES (243, '2024-01-03', '7046', '6092', '8717', 'admintoto', '2024-01-03 10:08:48', 'admintoto', '2024-01-03 10:08:56');
INSERT INTO public.tbl_trx_japan_day VALUES (244, '2024-01-04', '6282', '1851', '6562', 'admintoto', '2024-01-04 10:01:11', 'admintoto', '2024-01-04 10:02:43');
INSERT INTO public.tbl_trx_japan_day VALUES (2419, '2024-01-19', '6549', '5395', '9901', 'admintoto', '2024-01-19 10:02:21', 'admintoto', '2024-01-19 10:02:29');
INSERT INTO public.tbl_trx_japan_day VALUES (245, '2024-01-05', '5065', '6456', '3185', 'admintoto', '2024-01-05 10:00:37', 'admintoto', '2024-01-05 10:00:48');
INSERT INTO public.tbl_trx_japan_day VALUES (2451, '2024-02-20', '6942', '8568', '2688', 'admintoto', '2024-02-20 10:00:10', 'admintoto', '2024-02-20 10:00:19');
INSERT INTO public.tbl_trx_japan_day VALUES (2431, '2024-01-31', '7345', '4653', '9170', 'admintoto', '2024-01-31 10:01:49', 'admintoto', '2024-01-31 10:01:57');
INSERT INTO public.tbl_trx_japan_day VALUES (246, '2024-01-06', '1429', '9542', '5198', 'admintoto', '2024-01-06 10:17:12', 'admintoto', '2024-01-06 10:34:35');
INSERT INTO public.tbl_trx_japan_day VALUES (2420, '2024-01-20', '8018', '3068', '1334', 'admintoto', '2024-01-20 10:00:58', 'admintoto', '2024-01-20 10:01:12');
INSERT INTO public.tbl_trx_japan_day VALUES (247, '2024-01-07', '9976', '4930', '0628', 'admintoto', '2024-01-07 10:10:20', 'admintoto', '2024-01-07 10:10:26');
INSERT INTO public.tbl_trx_japan_day VALUES (2440, '2024-02-09', '3747', '8840', '2439', 'admintoto', '2024-02-09 09:56:29', 'admintoto', '2024-02-09 09:56:40');
INSERT INTO public.tbl_trx_japan_day VALUES (248, '2024-01-08', '2274', '5982', '4668', 'admintoto', '2024-01-08 10:54:43', 'admintoto', '2024-01-08 10:54:48');
INSERT INTO public.tbl_trx_japan_day VALUES (2421, '2024-01-21', '4702', '8617', '0528', 'admintoto', '2024-01-21 11:00:32', 'admintoto', '2024-01-21 11:00:47');
INSERT INTO public.tbl_trx_japan_day VALUES (249, '2024-01-09', '4926', '7037', '8460', 'admintoto', '2024-01-09 10:00:32', 'admintoto', '2024-01-09 10:01:06');
INSERT INTO public.tbl_trx_japan_day VALUES (2410, '2024-01-10', '0599', '5024', '9106', 'admintoto', '2024-01-10 10:00:20', 'admintoto', '2024-01-10 10:00:33');
INSERT INTO public.tbl_trx_japan_day VALUES (2432, '2024-02-01', '2058', '0946', '5756', 'admintoto', '2024-01-31 21:57:52', 'admintoto', '2024-02-01 10:01:00');
INSERT INTO public.tbl_trx_japan_day VALUES (2422, '2024-01-22', '9164', '3511', '5665', 'admintoto', '2024-01-22 09:06:07', 'admintoto', '2024-01-22 11:51:26');
INSERT INTO public.tbl_trx_japan_day VALUES (2411, '2024-01-11', '3323', '4323', '6280', 'admintoto', '2024-01-11 09:51:25', 'admintoto', '2024-01-11 10:00:20');
INSERT INTO public.tbl_trx_japan_day VALUES (2412, '2024-01-12', '8261', '4618', '2656', 'admintoto', '2024-01-12 09:48:13', 'admintoto', '2024-01-12 10:00:11');
INSERT INTO public.tbl_trx_japan_day VALUES (2447, '2024-02-16', '2177', '0632', '1162', 'admintoto', '2024-02-16 10:09:43', 'admintoto', '2024-02-16 10:09:49');
INSERT INTO public.tbl_trx_japan_day VALUES (2423, '2024-01-23', '2743', '0830', '3466', 'admintoto', '2024-01-23 09:56:13', 'admintoto', '2024-01-23 09:56:23');
INSERT INTO public.tbl_trx_japan_day VALUES (2413, '2024-01-13', '7969', '8842', '8119', 'admintoto', '2024-01-13 10:53:43', 'admintoto', '2024-01-13 10:53:56');
INSERT INTO public.tbl_trx_japan_day VALUES (2441, '2024-02-10', '6991', '5681', '8203', 'admintoto', '2024-02-10 10:10:44', 'admintoto', '2024-02-10 10:10:53');
INSERT INTO public.tbl_trx_japan_day VALUES (2414, '2024-01-14', '3896', '1326', '4236', 'admintoto', '2024-01-14 11:44:58', 'admintoto', '2024-01-14 11:45:09');
INSERT INTO public.tbl_trx_japan_day VALUES (2433, '2024-02-02', '0995', '5753', '3915', 'admintoto', '2024-02-02 09:34:32', 'admintoto', '2024-02-02 10:00:12');
INSERT INTO public.tbl_trx_japan_day VALUES (2424, '2024-01-24', '7696', '5320', '2671', 'admintoto', '2024-01-24 10:00:53', 'admintoto', '2024-01-24 10:01:24');
INSERT INTO public.tbl_trx_japan_day VALUES (2425, '2024-01-25', '8396', '1749', '4170', 'admintoto', '2024-01-25 10:00:25', 'admintoto', '2024-01-25 10:00:37');
INSERT INTO public.tbl_trx_japan_day VALUES (2434, '2024-02-03', '8364', '6752', '7850', 'admintoto', '2024-02-03 10:10:34', 'admintoto', '2024-02-03 10:10:45');
INSERT INTO public.tbl_trx_japan_day VALUES (2426, '2024-01-26', '4301', '5156', '8516', 'admintoto', '2024-01-26 10:00:21', 'admintoto', '2024-01-26 10:00:32');
INSERT INTO public.tbl_trx_japan_day VALUES (2461, '2024-03-01', '1385', '5470', '2145', 'admintoto', '2024-03-01 09:49:02', 'admintoto', '2024-03-01 09:59:12');
INSERT INTO public.tbl_trx_japan_day VALUES (2427, '2024-01-27', '0506', '2500', '0392', 'admintoto', '2024-01-27 10:00:50', 'admintoto', '2024-01-27 10:00:57');
INSERT INTO public.tbl_trx_japan_day VALUES (2442, '2024-02-11', '6818', '1821', '5651', 'admintoto', '2024-02-10 13:09:18', 'admintoto', '2024-02-11 10:41:36');
INSERT INTO public.tbl_trx_japan_day VALUES (2435, '2024-02-04', '6462', '7349', '1374', 'admintoto', '2024-02-04 10:01:12', 'admintoto', '2024-02-04 10:01:20');
INSERT INTO public.tbl_trx_japan_day VALUES (2428, '2024-01-28', '4086', '3910', '6950', 'admintoto', '2024-01-28 10:00:37', 'admintoto', '2024-01-28 10:00:46');
INSERT INTO public.tbl_trx_japan_day VALUES (2436, '2024-02-05', '9019', '2908', '', 'admintoto', '2024-02-05 10:07:51', 'admintoto', '2024-02-05 10:08:00');
INSERT INTO public.tbl_trx_japan_day VALUES (2455, '2024-02-24', '2512', '0926', '5944', 'admintoto', '2024-02-24 10:07:21', 'admintoto', '2024-02-24 10:07:37');
INSERT INTO public.tbl_trx_japan_day VALUES (2448, '2024-02-17', '3714', '4104', '2637', 'admintoto', '2024-02-17 10:13:35', 'admintoto', '2024-02-17 10:13:42');
INSERT INTO public.tbl_trx_japan_day VALUES (2437, '2024-02-06', '7669', '4976', '1914', 'admintoto', '2024-02-06 10:01:01', 'admintoto', '2024-02-06 10:01:11');
INSERT INTO public.tbl_trx_japan_day VALUES (2443, '2024-02-12', '2275', '5442', '8347', 'admintoto', '2024-02-12 09:44:18', 'admintoto', '2024-02-12 10:00:16');
INSERT INTO public.tbl_trx_japan_day VALUES (2438, '2024-02-07', '3235', '6866', '5687', 'admintoto', '2024-02-07 09:51:31', 'admintoto', '2024-02-07 10:00:30');
INSERT INTO public.tbl_trx_japan_day VALUES (2452, '2024-02-21', '1581', '7160', '6677', 'admintoto', '2024-02-21 09:49:44', 'admintoto', '2024-02-21 09:55:49');
INSERT INTO public.tbl_trx_japan_day VALUES (2444, '2024-02-13', '9034', '8284', '6329', 'admintoto', '2024-02-13 09:26:55', 'admintoto', '2024-02-13 10:00:01');
INSERT INTO public.tbl_trx_japan_day VALUES (2449, '2024-02-18', '6631', '1708', '7099', 'admintoto', '2024-02-18 10:44:39', 'admintoto', '2024-02-18 10:44:50');
INSERT INTO public.tbl_trx_japan_day VALUES (2445, '2024-02-14', '2567', '1937', '8316', 'admintoto', '2024-02-14 10:11:19', 'admintoto', '2024-02-14 10:11:27');
INSERT INTO public.tbl_trx_japan_day VALUES (2453, '2024-02-22', '9857', '4552', '6508', 'admintoto', '2024-02-22 10:01:15', 'admintoto', '2024-02-22 10:01:31');
INSERT INTO public.tbl_trx_japan_day VALUES (2450, '2024-02-19', '5906', '9337', '1547', 'admintoto', '2024-02-19 09:58:22', 'admintoto', '2024-02-19 09:58:33');
INSERT INTO public.tbl_trx_japan_day VALUES (2458, '2024-02-27', '3497', '5684', '7475', 'admintoto', '2024-02-27 09:25:20', 'admintoto', '2024-02-27 10:00:09');
INSERT INTO public.tbl_trx_japan_day VALUES (2456, '2024-02-25', '1790', '2810', '7262', 'admintoto', '2024-02-25 10:00:25', 'admintoto', '2024-02-25 10:00:35');
INSERT INTO public.tbl_trx_japan_day VALUES (2454, '2024-02-23', '7053', '1763', '2873', 'admintoto', '2024-02-23 10:06:34', 'admintoto', '2024-02-24 10:07:16');
INSERT INTO public.tbl_trx_japan_day VALUES (2460, '2024-02-29', '2741', '1116', '9942', 'admintoto', '2024-02-29 09:17:32', 'admintoto', '2024-02-29 09:55:04');
INSERT INTO public.tbl_trx_japan_day VALUES (2457, '2024-02-26', '5225', '0198', '4933', 'admintoto', '2024-02-26 10:00:35', 'admintoto', '2024-02-26 10:00:53');
INSERT INTO public.tbl_trx_japan_day VALUES (2459, '2024-02-28', '6657', '9198', '5965', 'admintoto', '2024-02-28 09:42:48', 'admintoto', '2024-02-28 10:00:07');
INSERT INTO public.tbl_trx_japan_day VALUES (2463, '2024-03-03', '9000', '0862', '4034', 'admintoto', '2024-03-03 10:00:53', 'admintoto', '2024-03-03 10:00:59');
INSERT INTO public.tbl_trx_japan_day VALUES (2462, '2024-03-02', '6595', '4687', '7305', 'admintoto', '2024-03-02 10:01:24', 'admintoto', '2024-03-02 10:01:30');
INSERT INTO public.tbl_trx_japan_day VALUES (2465, '2024-03-05', '6122', '4513', '2706', 'admintoto', '2024-03-05 09:29:00', 'admintoto', '2024-03-05 10:00:33');
INSERT INTO public.tbl_trx_japan_day VALUES (2464, '2024-03-04', '2113', '4443', '6921', 'admintoto', '2024-03-04 09:42:14', 'admintoto', '2024-03-05 09:29:09');
INSERT INTO public.tbl_trx_japan_day VALUES (2466, '2024-03-06', '0400', '9698', '8108', 'admintoto', '2024-03-06 09:59:36', 'admintoto', '2024-03-06 09:59:44');
INSERT INTO public.tbl_trx_japan_day VALUES (2467, '2024-03-07', '2227', '6397', '5851', 'admintoto', '2024-03-07 10:50:35', 'admintoto', '2024-03-07 10:50:43');
INSERT INTO public.tbl_trx_japan_day VALUES (2468, '2024-03-08', '8324', '1681', '9268', 'admintoto', '2024-03-08 09:51:23', 'admintoto', '2024-03-08 09:56:32');
INSERT INTO public.tbl_trx_japan_day VALUES (2469, '2024-03-09', '0256', '5645', '7343', 'admintoto', '2024-03-09 09:56:29', 'admintoto', '2024-03-09 09:57:41');
INSERT INTO public.tbl_trx_japan_day VALUES (2470, '2024-03-10', '9168', '0926', '3752', 'admintoto', '2024-03-10 09:59:24', 'admintoto', '2024-03-10 09:59:29');
INSERT INTO public.tbl_trx_japan_day VALUES (2471, '2024-03-11', '4856', '2536', '3917', 'admintoto', '2024-03-11 10:24:30', 'admintoto', '2024-03-11 10:24:35');
INSERT INTO public.tbl_trx_japan_day VALUES (24105, '2024-04-14', '1687', '0281', '4567', 'admintoto', '2024-04-14 09:56:58', 'admintoto', '2024-04-14 09:57:21');
INSERT INTO public.tbl_trx_japan_day VALUES (2472, '2024-03-12', '2514', '6603', '1081', 'admintoto', '2024-03-12 10:29:14', 'admintoto', '2024-03-12 10:29:19');
INSERT INTO public.tbl_trx_japan_day VALUES (2491, '2024-03-31', '4609', '0995', '1599', 'admintoto', '2024-03-31 10:00:22', 'admintoto', '2024-03-31 10:00:29');
INSERT INTO public.tbl_trx_japan_day VALUES (2473, '2024-03-13', '3399', '2762', '6422', 'admintoto', '2024-03-13 10:12:46', 'admintoto', '2024-03-13 10:12:59');
INSERT INTO public.tbl_trx_japan_day VALUES (2474, '2024-03-14', '5932', '4272', '0263', 'admintoto', '2024-03-14 10:02:06', 'admintoto', '2024-03-14 10:02:12');
INSERT INTO public.tbl_trx_japan_day VALUES (2492, '2024-04-01', '5420', '4369', '9243', 'admintoto', '2024-04-01 09:57:55', 'admintoto', '2024-04-01 09:58:07');
INSERT INTO public.tbl_trx_japan_day VALUES (2475, '2024-03-15', '8015', '9709', '2663', 'admintoto', '2024-03-15 10:00:22', 'admintoto', '2024-03-15 10:00:31');
INSERT INTO public.tbl_trx_japan_day VALUES (24138, '2024-05-17', '5015', '9038', '6047', 'admintoto', '2024-05-17 10:27:08', 'admintoto', '2024-05-17 10:27:14');
INSERT INTO public.tbl_trx_japan_day VALUES (24106, '2024-04-15', '1621', '3162', '2237', 'admintoto', '2024-04-15 10:10:23', 'admintoto', '2024-04-15 10:10:27');
INSERT INTO public.tbl_trx_japan_day VALUES (2476, '2024-03-16', '9231', '3299', '5067', 'admintoto', '2024-03-16 10:39:43', 'admintoto', '2024-03-16 10:39:50');
INSERT INTO public.tbl_trx_japan_day VALUES (2493, '2024-04-02', '1183', '0436', '6683', 'admintoto', '2024-04-02 10:02:06', 'admintoto', '2024-04-02 10:02:24');
INSERT INTO public.tbl_trx_japan_day VALUES (2477, '2024-03-17', '4302', '0888', '7178', 'admintoto', '2024-03-17 10:05:30', 'admintoto', '2024-03-17 10:05:36');
INSERT INTO public.tbl_trx_japan_day VALUES (24128, '2024-05-07', '5688', '6200', '2808', 'admintoto', '2024-05-07 10:08:21', 'admintoto', '2024-05-07 10:08:26');
INSERT INTO public.tbl_trx_japan_day VALUES (2478, '2024-03-18', '2803', '8800', '3305', 'admintoto', '2024-03-18 10:01:36', 'admintoto', '2024-03-18 10:01:46');
INSERT INTO public.tbl_trx_japan_day VALUES (2494, '2024-04-03', '3265', '4879', '0120', 'admintoto', '2024-04-03 10:02:25', 'admintoto', '2024-04-03 10:02:31');
INSERT INTO public.tbl_trx_japan_day VALUES (2479, '2024-03-19', '5899', '8734', '4611', 'admintoto', '2024-03-19 10:00:14', 'admintoto', '2024-03-19 10:00:27');
INSERT INTO public.tbl_trx_japan_day VALUES (24116, '2024-04-25', '6571', '0639', '4086', 'admintoto', '2024-04-25 10:15:53', 'admintoto', '2024-04-25 10:15:59');
INSERT INTO public.tbl_trx_japan_day VALUES (24107, '2024-04-16', '4712', '5044', '0790', 'admintoto', '2024-04-16 09:53:01', 'admintoto', '2024-04-16 09:56:51');
INSERT INTO public.tbl_trx_japan_day VALUES (2480, '2024-03-20', '0174', '1369', '2680', 'admintoto', '2024-03-20 09:33:06', 'admintoto', '2024-03-20 09:57:45');
INSERT INTO public.tbl_trx_japan_day VALUES (2495, '2024-04-04', '9041', '1188', '8634', 'admintoto', '2024-04-04 11:24:05', 'admintoto', '2024-04-04 11:24:10');
INSERT INTO public.tbl_trx_japan_day VALUES (2481, '2024-03-21', '7095', '0325', '6211', 'admintoto', '2024-03-21 10:01:39', 'admintoto', '2024-03-21 10:01:48');
INSERT INTO public.tbl_trx_japan_day VALUES (2496, '2024-04-05', '7950', '4933', '9716', 'admintoto', '2024-04-05 09:59:29', 'admintoto', '2024-04-05 09:59:37');
INSERT INTO public.tbl_trx_japan_day VALUES (2482, '2024-03-22', '8315', '1304', '3311', 'admintoto', '2024-03-22 09:54:29', 'admintoto', '2024-03-22 09:56:49');
INSERT INTO public.tbl_trx_japan_day VALUES (24123, '2024-05-02', '9400', '7203', '8930', 'admintoto', '2024-05-02 09:49:36', 'admintoto', '2024-05-02 10:22:53');
INSERT INTO public.tbl_trx_japan_day VALUES (2483, '2024-03-23', '5346', '8605', '3523', 'admintoto', '2024-03-23 10:06:43', 'admintoto', '2024-03-23 10:06:50');
INSERT INTO public.tbl_trx_japan_day VALUES (24108, '2024-04-17', '7336', '2039', '1497', 'admintoto', '2024-04-17 10:00:26', 'admintoto', '2024-04-17 10:00:30');
INSERT INTO public.tbl_trx_japan_day VALUES (2497, '2024-04-06', '8898', '0146', '1371', 'admintoto', '2024-04-06 10:04:19', 'admintoto', '2024-04-06 10:04:26');
INSERT INTO public.tbl_trx_japan_day VALUES (2484, '2024-03-24', '6147', '1652', '7187', 'admintoto', '2024-03-24 10:07:29', 'admintoto', '2024-03-24 10:07:35');
INSERT INTO public.tbl_trx_japan_day VALUES (2485, '2024-03-25', '1734', '9746', '4123', 'admintoto', '2024-03-25 09:51:28', 'admintoto', '2024-03-25 10:00:08');
INSERT INTO public.tbl_trx_japan_day VALUES (2498, '2024-04-07', '8233', '9597', '7552', 'admintoto', '2024-04-07 10:07:03', 'admintoto', '2024-04-07 10:07:07');
INSERT INTO public.tbl_trx_japan_day VALUES (2486, '2024-03-26', '8299', '4109', '7664', 'admintoto', '2024-03-26 09:43:11', 'admintoto', '2024-03-26 09:57:51');
INSERT INTO public.tbl_trx_japan_day VALUES (24117, '2024-04-26', '7083', '9469', '1740', 'admintoto', '2024-04-26 09:41:30', 'admintoto', '2024-04-26 10:19:50');
INSERT INTO public.tbl_trx_japan_day VALUES (2487, '2024-03-27', '0430', '1401', '9569', 'admintoto', '2024-03-27 10:28:45', 'admintoto', '2024-03-27 10:28:50');
INSERT INTO public.tbl_trx_japan_day VALUES (24109, '2024-04-18', '0647', '4488', '5428', 'admintoto', '2024-04-18 10:05:37', 'admintoto', '2024-04-18 10:05:46');
INSERT INTO public.tbl_trx_japan_day VALUES (2499, '2024-04-08', '3460', '0645', '8699', 'admintoto', '2024-04-08 09:58:42', 'admintoto', '2024-04-08 09:58:49');
INSERT INTO public.tbl_trx_japan_day VALUES (2488, '2024-03-28', '2065', '7679', '9919', 'admintoto', '2024-03-28 10:04:55', 'admintoto', '2024-03-28 10:05:07');
INSERT INTO public.tbl_trx_japan_day VALUES (2489, '2024-03-29', '4480', '5074', '0164', 'admintoto', '2024-03-29 10:17:14', 'admintoto', '2024-03-29 10:17:24');
INSERT INTO public.tbl_trx_japan_day VALUES (24100, '2024-04-09', '7924', '4389', '1401', 'admintoto', '2024-04-09 09:06:30', 'admintoto', '2024-04-09 10:00:44');
INSERT INTO public.tbl_trx_japan_day VALUES (2490, '2024-03-30', '9655', '3074', '6098', 'admintoto', '2024-03-30 10:41:12', 'admintoto', '2024-03-30 10:41:19');
INSERT INTO public.tbl_trx_japan_day VALUES (24110, '2024-04-19', '3129', '0728', '2973', 'admintoto', '2024-04-19 10:20:50', 'admintoto', '2024-04-19 10:20:55');
INSERT INTO public.tbl_trx_japan_day VALUES (24101, '2024-04-10', '8974', '5550', '3124', 'admintoto', '2024-04-10 10:00:56', 'admintoto', '2024-04-10 10:01:04');
INSERT INTO public.tbl_trx_japan_day VALUES (24132, '2024-05-11', '1338', '0961', '3435', 'admintoto', '2024-05-11 10:06:07', 'admintoto', '2024-05-11 10:06:12');
INSERT INTO public.tbl_trx_japan_day VALUES (24118, '2024-04-27', '3335', '8451', '4429', 'admintoto', '2024-04-27 10:51:41', 'admintoto', '2024-04-27 10:51:47');
INSERT INTO public.tbl_trx_japan_day VALUES (24102, '2024-04-11', '0920', '5123', '2114', 'admintoto', '2024-04-11 10:00:59', 'admintoto', '2024-04-11 10:01:03');
INSERT INTO public.tbl_trx_japan_day VALUES (24111, '2024-04-20', '7430', '2352', '6044', 'admintoto', '2024-04-20 10:13:46', 'admintoto', '2024-04-20 10:13:51');
INSERT INTO public.tbl_trx_japan_day VALUES (24103, '2024-04-12', '8617', '0041', '1296', 'admintoto', '2024-04-12 10:33:01', 'admintoto', '2024-04-12 10:33:09');
INSERT INTO public.tbl_trx_japan_day VALUES (24124, '2024-05-03', '5612', '7469', '4803', 'admintoto', '2024-05-03 10:12:00', 'admintoto', '2024-05-03 10:12:11');
INSERT INTO public.tbl_trx_japan_day VALUES (24104, '2024-04-13', '7166', '4299', '3824', 'admintoto', '2024-04-13 10:38:33', 'admintoto', '2024-04-13 10:38:39');
INSERT INTO public.tbl_trx_japan_day VALUES (24112, '2024-04-21', '4079', '2634', '5368', 'admintoto', '2024-04-21 10:00:50', 'admintoto', '2024-04-21 10:00:57');
INSERT INTO public.tbl_trx_japan_day VALUES (24119, '2024-04-28', '2712', '7555', '3801', 'admintoto', '2024-04-28 10:01:48', 'admintoto', '2024-04-28 10:02:04');
INSERT INTO public.tbl_trx_japan_day VALUES (24113, '2024-04-22', '9303', '1686', '2230', 'admintoto', '2024-04-22 09:56:44', 'admintoto', '2024-04-22 09:56:49');
INSERT INTO public.tbl_trx_japan_day VALUES (24129, '2024-05-08', '4609', '0604', '9437', 'admintoto', '2024-05-08 11:16:52', 'admintoto', '2024-05-08 11:16:58');
INSERT INTO public.tbl_trx_japan_day VALUES (24114, '2024-04-23', '4762', '6494', '2611', 'admintoto', '2024-04-23 10:01:07', 'admintoto', '2024-04-23 10:01:19');
INSERT INTO public.tbl_trx_japan_day VALUES (24120, '2024-04-29', '6089', '0098', '2511', 'admintoto', '2024-04-29 10:38:00', 'admintoto', '2024-04-29 10:38:05');
INSERT INTO public.tbl_trx_japan_day VALUES (24115, '2024-04-24', '8408', '2788', '1309', 'admintoto', '2024-04-24 10:00:34', 'admintoto', '2024-04-24 10:00:40');
INSERT INTO public.tbl_trx_japan_day VALUES (24125, '2024-05-04', '9155', '8286', '6537', 'admintoto', '2024-05-04 10:30:34', 'admintoto', '2024-05-04 10:30:40');
INSERT INTO public.tbl_trx_japan_day VALUES (24121, '2024-04-30', '4257', '6475', '9266', 'admintoto', '2024-04-30 12:40:14', 'admintoto', '2024-04-30 12:41:16');
INSERT INTO public.tbl_trx_japan_day VALUES (24126, '2024-05-05', '1682', '4627', '3948', 'admintoto', '2024-05-05 10:01:07', 'admintoto', '2024-05-05 10:01:14');
INSERT INTO public.tbl_trx_japan_day VALUES (24122, '2024-05-01', '7944', '3366', '5748', 'admintoto', '2024-05-01 11:51:46', 'admintoto', '2024-05-01 11:51:51');
INSERT INTO public.tbl_trx_japan_day VALUES (24135, '2024-05-14', '3580', '5250', '8441', 'admintoto', '2024-05-14 10:05:06', 'admintoto', '2024-05-14 10:05:18');
INSERT INTO public.tbl_trx_japan_day VALUES (24130, '2024-05-09', '2990', '8885', '9535', 'admintoto', '2024-05-09 10:55:33', 'admintoto', '2024-05-09 10:55:40');
INSERT INTO public.tbl_trx_japan_day VALUES (24127, '2024-05-06', '4415', '8965', '1449', 'admintoto', '2024-05-06 09:00:23', 'admintoto', '2024-05-06 09:55:44');
INSERT INTO public.tbl_trx_japan_day VALUES (24133, '2024-05-12', '9442', '3415', '5126', 'admintoto', '2024-05-12 10:53:10', 'admintoto', '2024-05-12 10:53:14');
INSERT INTO public.tbl_trx_japan_day VALUES (24131, '2024-05-10', '7642', '1287', '5880', 'admintoto', '2024-05-10 11:04:58', 'admintoto', '2024-05-10 11:05:19');
INSERT INTO public.tbl_trx_japan_day VALUES (24137, '2024-05-16', '2549', '5919', '9570', 'admintoto', '2024-05-16 11:17:13', 'admintoto', '2024-05-16 11:17:26');
INSERT INTO public.tbl_trx_japan_day VALUES (24134, '2024-05-13', '4859', '2842', '3818', 'admintoto', '2024-05-13 10:31:50', 'admintoto', '2024-05-13 10:31:56');
INSERT INTO public.tbl_trx_japan_day VALUES (24136, '2024-05-15', '6327', '7575', '3653', 'admintoto', '2024-05-15 10:01:19', 'admintoto', '2024-05-15 10:01:26');
INSERT INTO public.tbl_trx_japan_day VALUES (24140, '2024-05-19', '0819', '1192', '2059', 'admintoto', '2024-05-19 10:09:15', 'admintoto', '2024-05-19 10:09:21');
INSERT INTO public.tbl_trx_japan_day VALUES (24141, '2024-05-20', '9049', '2704', '4837', 'admintoto', '2024-05-20 11:23:21', 'admintoto', '2024-05-20 11:23:34');
INSERT INTO public.tbl_trx_japan_day VALUES (24139, '2024-05-18', '4100', '2686', '9088', 'admintoto', '2024-05-18 10:52:02', 'admintoto', '2024-05-18 10:52:13');
INSERT INTO public.tbl_trx_japan_day VALUES (24142, '2024-05-21', '4342', '3297', '1293', 'admintoto', '2024-05-21 10:11:29', 'admintoto', '2024-05-21 10:11:33');
INSERT INTO public.tbl_trx_japan_day VALUES (24143, '2024-05-22', '6852', '7133', '8696', 'admintoto', '2024-05-22 10:41:56', 'admintoto', '2024-05-22 10:42:06');
INSERT INTO public.tbl_trx_japan_day VALUES (24144, '2024-05-23', '1944', '3161', '8361', 'admintoto', '2024-05-23 11:21:04', 'admintoto', '2024-05-23 11:21:09');
INSERT INTO public.tbl_trx_japan_day VALUES (24145, '2024-05-24', '5315', '9305', '4242', 'admintoto', '2024-05-24 10:51:29', 'admintoto', '2024-05-24 10:51:36');
INSERT INTO public.tbl_trx_japan_day VALUES (24146, '2024-05-25', '1752', '5488', '4780', 'admintoto', '2024-05-25 10:19:07', 'admintoto', '2024-05-25 10:19:14');
INSERT INTO public.tbl_trx_japan_day VALUES (24147, '2024-05-26', '3957', '8155', '6426', 'admintoto', '2024-05-26 10:26:30', 'admintoto', '2024-05-26 10:26:39');
INSERT INTO public.tbl_trx_japan_day VALUES (24158, '2024-06-06', '2866', '9612', '3038', 'admintoto', '2024-06-06 10:02:02', 'admintoto', '2024-06-06 10:02:12');


--
-- TOC entry 3704 (class 0 OID 30148)
-- Dependencies: 218
-- Data for Name: tbl_trx_japan_night; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_trx_japan_night VALUES (23748, '2021-01-01', '7830', '2133', '7186', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:53.156803');
INSERT INTO public.tbl_trx_japan_night VALUES (23749, '2021-01-02', '1379', '6851', '5853', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:53.30444');
INSERT INTO public.tbl_trx_japan_night VALUES (23750, '2021-01-03', '5190', '9205', '6858', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:53.473257');
INSERT INTO public.tbl_trx_japan_night VALUES (23751, '2021-01-04', '4510', '1052', '5584', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:53.63527');
INSERT INTO public.tbl_trx_japan_night VALUES (23752, '2021-01-05', '9101', '1734', '6524', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:53.789219');
INSERT INTO public.tbl_trx_japan_night VALUES (23753, '2021-01-06', '5125', '9592', '9754', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:53.919263');
INSERT INTO public.tbl_trx_japan_night VALUES (23754, '2021-01-07', '3572', '4163', '4333', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:54.049736');
INSERT INTO public.tbl_trx_japan_night VALUES (23755, '2021-01-08', '1375', '1439', '2050', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:54.194052');
INSERT INTO public.tbl_trx_japan_night VALUES (23756, '2021-01-09', '3350', '4947', '7210', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:54.349782');
INSERT INTO public.tbl_trx_japan_night VALUES (23757, '2021-01-10', '9785', '5856', '7970', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:54.559568');
INSERT INTO public.tbl_trx_japan_night VALUES (23758, '2021-01-11', '5638', '1630', '7529', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:54.777932');
INSERT INTO public.tbl_trx_japan_night VALUES (23759, '2021-01-12', '2446', '6771', '6812', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:54.9721');
INSERT INTO public.tbl_trx_japan_night VALUES (23760, '2021-01-13', '0622', '1903', '3524', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:55.201739');
INSERT INTO public.tbl_trx_japan_night VALUES (23761, '2021-01-14', '2590', '7046', '3591', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:55.392911');
INSERT INTO public.tbl_trx_japan_night VALUES (23762, '2021-01-15', '6177', '5113', '0588', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:55.613516');
INSERT INTO public.tbl_trx_japan_night VALUES (23763, '2021-01-16', '5700', '8926', '8932', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:55.830014');
INSERT INTO public.tbl_trx_japan_night VALUES (23764, '2021-01-17', '3393', '3487', '7998', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:56.051942');
INSERT INTO public.tbl_trx_japan_night VALUES (23765, '2021-01-18', '3100', '3485', '9176', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:56.343792');
INSERT INTO public.tbl_trx_japan_night VALUES (23766, '2021-01-19', '3327', '1169', '4367', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:56.54017');
INSERT INTO public.tbl_trx_japan_night VALUES (23767, '2021-01-20', '6338', '5526', '7122', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:56.784504');
INSERT INTO public.tbl_trx_japan_night VALUES (23768, '2021-01-21', '0848', '8072', '2198', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:57.000993');
INSERT INTO public.tbl_trx_japan_night VALUES (23769, '2021-01-22', '3847', '7068', '2738', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:57.216353');
INSERT INTO public.tbl_trx_japan_night VALUES (23770, '2021-01-23', '7321', '0275', '3065', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:57.409675');
INSERT INTO public.tbl_trx_japan_night VALUES (23771, '2021-01-24', '1473', '5020', '5540', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:57.633552');
INSERT INTO public.tbl_trx_japan_night VALUES (23772, '2021-01-25', '8672', '9031', '1960', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:57.829947');
INSERT INTO public.tbl_trx_japan_night VALUES (23773, '2021-01-26', '4759', '1805', '0449', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:58.0152');
INSERT INTO public.tbl_trx_japan_night VALUES (23774, '2021-01-27', '9136', '0784', '7188', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:58.208856');
INSERT INTO public.tbl_trx_japan_night VALUES (23775, '2021-01-28', '0736', '1099', '3516', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:58.371961');
INSERT INTO public.tbl_trx_japan_night VALUES (23776, '2021-01-29', '8807', '9923', '2748', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:58.622445');
INSERT INTO public.tbl_trx_japan_night VALUES (23777, '2021-01-30', '3741', '0734', '5871', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:58.814287');
INSERT INTO public.tbl_trx_japan_night VALUES (23778, '2021-01-31', '6404', '9782', '4188', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:59.006196');
INSERT INTO public.tbl_trx_japan_night VALUES (23779, '2021-02-01', '4169', '9841', '4998', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:59.182051');
INSERT INTO public.tbl_trx_japan_night VALUES (23780, '2021-02-02', '2425', '4126', '5664', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:59.402225');
INSERT INTO public.tbl_trx_japan_night VALUES (23781, '2021-02-03', '0122', '2698', '6920', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:59.568488');
INSERT INTO public.tbl_trx_japan_night VALUES (23782, '2021-02-04', '3374', '8983', '5954', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:59.768829');
INSERT INTO public.tbl_trx_japan_night VALUES (23783, '2021-02-05', '2975', '1531', '1440', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:47:59.972333');
INSERT INTO public.tbl_trx_japan_night VALUES (23784, '2021-02-06', '3840', '3387', '9045', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:00.180889');
INSERT INTO public.tbl_trx_japan_night VALUES (23785, '2021-02-07', '7049', '3288', '8138', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:00.369707');
INSERT INTO public.tbl_trx_japan_night VALUES (23786, '2021-02-08', '5077', '8075', '4668', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:00.643175');
INSERT INTO public.tbl_trx_japan_night VALUES (23787, '2021-02-09', '5281', '1766', '0531', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:00.837113');
INSERT INTO public.tbl_trx_japan_night VALUES (23788, '2021-02-10', '9797', '2633', '2492', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:01.053152');
INSERT INTO public.tbl_trx_japan_night VALUES (23789, '2021-02-11', '0733', '2750', '1464', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:01.320336');
INSERT INTO public.tbl_trx_japan_night VALUES (23790, '2021-02-12', '5318', '4611', '2226', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:01.510374');
INSERT INTO public.tbl_trx_japan_night VALUES (23791, '2021-02-13', '3372', '7324', '4666', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:01.733065');
INSERT INTO public.tbl_trx_japan_night VALUES (23792, '2021-02-14', '4172', '0113', '4597', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:01.964688');
INSERT INTO public.tbl_trx_japan_night VALUES (23793, '2021-02-15', '3131', '1253', '4090', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:02.213079');
INSERT INTO public.tbl_trx_japan_night VALUES (23794, '2021-02-16', '8376', '9828', '8120', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:02.419357');
INSERT INTO public.tbl_trx_japan_night VALUES (23795, '2021-02-17', '1959', '8844', '0527', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:02.628004');
INSERT INTO public.tbl_trx_japan_night VALUES (23796, '2021-02-18', '1760', '5443', '1136', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:02.837995');
INSERT INTO public.tbl_trx_japan_night VALUES (23797, '2021-02-19', '0247', '6898', '1198', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:03.046267');
INSERT INTO public.tbl_trx_japan_night VALUES (23798, '2021-02-20', '6723', '6003', '2227', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:03.269753');
INSERT INTO public.tbl_trx_japan_night VALUES (23799, '2021-02-21', '4049', '1774', '7129', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:03.489515');
INSERT INTO public.tbl_trx_japan_night VALUES (23800, '2021-02-22', '9883', '9496', '4520', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:03.698807');
INSERT INTO public.tbl_trx_japan_night VALUES (23801, '2021-02-23', '5590', '6354', '8354', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:03.904075');
INSERT INTO public.tbl_trx_japan_night VALUES (23802, '2021-02-24', '9291', '3574', '2364', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:04.183586');
INSERT INTO public.tbl_trx_japan_night VALUES (23803, '2021-02-25', '8314', '5461', '5455', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:04.413239');
INSERT INTO public.tbl_trx_japan_night VALUES (23804, '2021-02-26', '8045', '7752', '4360', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:04.643859');
INSERT INTO public.tbl_trx_japan_night VALUES (23805, '2021-02-27', '2985', '3373', '9316', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:04.851794');
INSERT INTO public.tbl_trx_japan_night VALUES (23806, '2021-02-28', '8364', '9511', '7263', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:05.068927');
INSERT INTO public.tbl_trx_japan_night VALUES (23807, '2021-03-01', '2373', '3688', '2147', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:05.315082');
INSERT INTO public.tbl_trx_japan_night VALUES (23808, '2021-03-02', '7698', '7308', '9260', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:05.520542');
INSERT INTO public.tbl_trx_japan_night VALUES (23809, '2021-03-03', '1291', '8252', '6105', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:05.709004');
INSERT INTO public.tbl_trx_japan_night VALUES (23810, '2021-03-04', '5119', '1849', '8052', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:05.889251');
INSERT INTO public.tbl_trx_japan_night VALUES (23811, '2021-03-05', '5004', '1784', '4008', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:06.097833');
INSERT INTO public.tbl_trx_japan_night VALUES (23812, '2021-03-06', '1239', '1853', '0646', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:06.318091');
INSERT INTO public.tbl_trx_japan_night VALUES (23813, '2021-03-07', '4469', '2819', '2872', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:06.565533');
INSERT INTO public.tbl_trx_japan_night VALUES (23814, '2021-03-08', '6706', '3814', '5038', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:06.782649');
INSERT INTO public.tbl_trx_japan_night VALUES (23815, '2021-03-09', '1603', '4507', '8366', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:07.025747');
INSERT INTO public.tbl_trx_japan_night VALUES (23816, '2021-03-10', '3972', '5101', '6560', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:07.242126');
INSERT INTO public.tbl_trx_japan_night VALUES (23817, '2021-03-11', '6356', '6998', '0578', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:07.444846');
INSERT INTO public.tbl_trx_japan_night VALUES (23818, '2021-03-12', '8622', '0196', '3395', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:07.653287');
INSERT INTO public.tbl_trx_japan_night VALUES (23819, '2021-03-13', '8575', '7016', '3111', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:07.886578');
INSERT INTO public.tbl_trx_japan_night VALUES (23820, '2021-03-14', '9641', '0765', '8002', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:08.103088');
INSERT INTO public.tbl_trx_japan_night VALUES (23821, '2021-03-15', '1357', '8392', '6470', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:08.311601');
INSERT INTO public.tbl_trx_japan_night VALUES (23822, '2021-03-16', '6915', '2339', '2523', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:08.52956');
INSERT INTO public.tbl_trx_japan_night VALUES (23823, '2021-03-17', '3619', '4427', '9629', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:08.70715');
INSERT INTO public.tbl_trx_japan_night VALUES (23824, '2021-03-18', '6585', '1554', '6581', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:08.913432');
INSERT INTO public.tbl_trx_japan_night VALUES (23825, '2021-03-19', '3309', '8622', '2167', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:09.117431');
INSERT INTO public.tbl_trx_japan_night VALUES (23826, '2021-03-20', '3983', '4398', '6549', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:09.337568');
INSERT INTO public.tbl_trx_japan_night VALUES (23827, '2021-03-21', '6061', '0769', '1466', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:09.573525');
INSERT INTO public.tbl_trx_japan_night VALUES (23828, '2021-03-22', '3109', '3996', '4488', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:09.782279');
INSERT INTO public.tbl_trx_japan_night VALUES (23829, '2021-03-23', '6664', '4072', '7626', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:09.972368');
INSERT INTO public.tbl_trx_japan_night VALUES (23830, '2021-03-24', '0595', '2729', '7546', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:10.177905');
INSERT INTO public.tbl_trx_japan_night VALUES (23831, '2021-03-25', '4257', '1021', '3065', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:10.369896');
INSERT INTO public.tbl_trx_japan_night VALUES (23832, '2021-03-26', '2521', '6148', '6954', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:10.591048');
INSERT INTO public.tbl_trx_japan_night VALUES (23833, '2021-03-27', '4866', '9397', '0517', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:10.806421');
INSERT INTO public.tbl_trx_japan_night VALUES (23834, '2021-03-28', '8364', '3969', '9815', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:11.024511');
INSERT INTO public.tbl_trx_japan_night VALUES (23835, '2021-03-29', '6325', '1143', '0061', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:11.24947');
INSERT INTO public.tbl_trx_japan_night VALUES (23836, '2021-03-30', '1427', '0498', '5725', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:11.451062');
INSERT INTO public.tbl_trx_japan_night VALUES (23837, '2021-03-31', '3303', '5280', '7796', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:11.645468');
INSERT INTO public.tbl_trx_japan_night VALUES (23838, '2021-04-01', '9781', '8736', '9718', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:11.872137');
INSERT INTO public.tbl_trx_japan_night VALUES (23839, '2021-04-02', '9556', '0386', '2017', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:12.048321');
INSERT INTO public.tbl_trx_japan_night VALUES (23840, '2021-04-03', '4362', '3418', '5750', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:12.240758');
INSERT INTO public.tbl_trx_japan_night VALUES (23841, '2021-04-04', '7718', '7639', '4857', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:12.419346');
INSERT INTO public.tbl_trx_japan_night VALUES (23842, '2021-04-05', '6009', '8899', '2186', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:12.587693');
INSERT INTO public.tbl_trx_japan_night VALUES (23843, '2021-04-06', '5410', '5591', '6128', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:12.779105');
INSERT INTO public.tbl_trx_japan_night VALUES (23844, '2021-04-07', '1191', '9265', '0163', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:12.996838');
INSERT INTO public.tbl_trx_japan_night VALUES (23845, '2021-04-08', '9138', '2318', '1847', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:13.170479');
INSERT INTO public.tbl_trx_japan_night VALUES (23851, '2021-04-14', '0520', '6085', '9457', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:14.52515');
INSERT INTO public.tbl_trx_japan_night VALUES (23852, '2021-04-15', '7881', '3569', '7006', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:14.702751');
INSERT INTO public.tbl_trx_japan_night VALUES (23865, '2021-04-28', '5146', '8058', '1649', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:17.600104');
INSERT INTO public.tbl_trx_japan_night VALUES (23870, '2021-05-03', '3201', '0089', '3744', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:18.629911');
INSERT INTO public.tbl_trx_japan_night VALUES (23875, '2021-05-08', '2199', '1704', '9480', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:19.686588');
INSERT INTO public.tbl_trx_japan_night VALUES (23878, '2021-05-11', '7587', '4930', '1894', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:20.294559');
INSERT INTO public.tbl_trx_japan_night VALUES (23882, '2021-05-15', '9584', '3463', '2973', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:21.021183');
INSERT INTO public.tbl_trx_japan_night VALUES (23888, '2021-05-21', '5030', '0097', '4334', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:22.421511');
INSERT INTO public.tbl_trx_japan_night VALUES (23894, '2021-05-27', '5370', '0381', '9184', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:23.701832');
INSERT INTO public.tbl_trx_japan_night VALUES (23900, '2021-06-02', '3150', '9058', '6212', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:25.079353');
INSERT INTO public.tbl_trx_japan_night VALUES (23906, '2021-06-08', '6029', '4098', '9270', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:26.310833');
INSERT INTO public.tbl_trx_japan_night VALUES (23914, '2021-06-16', '4395', '1385', '7640', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:28.103776');
INSERT INTO public.tbl_trx_japan_night VALUES (23922, '2021-06-24', '5693', '2783', '1203', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:29.795712');
INSERT INTO public.tbl_trx_japan_night VALUES (24152, '2024-06-01', '8444', '3709', '1832', 'admintoto', '2024-06-01 15:39:00', 'admintoto', '2024-06-01 16:28:03');
INSERT INTO public.tbl_trx_japan_night VALUES (24164, '2024-06-13', '7761', '5330', '4763', 'admintoto', '2024-06-13 16:19:15', 'admintoto', '2024-06-13 16:19:26');
INSERT INTO public.tbl_trx_japan_night VALUES (24174, '2024-06-24', '0258', '1131', '9637', 'admintoto', '2024-06-24 16:33:53', 'admintoto', '2024-06-24 16:34:17');
INSERT INTO public.tbl_trx_japan_night VALUES (24185, '2024-07-05', '4367', '2956', '9267', 'admintoto', '2024-07-05 16:11:13', 'admintoto', '2024-07-05 16:11:21');
INSERT INTO public.tbl_trx_japan_night VALUES (24187, '2024-07-07', '5969', '1241', '9060', 'admintoto', '2024-07-07 17:00:52', 'admintoto', '2024-07-07 17:01:01');
INSERT INTO public.tbl_trx_japan_night VALUES (24198, '2024-07-18', '5768', '9899', '8415', 'admintoto', '2024-07-18 17:30:30', 'admintoto', '2024-07-18 17:30:35');
INSERT INTO public.tbl_trx_japan_night VALUES (24209, '2024-07-29', '7632', '3577', '6505', 'admintoto', '2024-07-29 15:50:18', 'admintoto', '2024-07-29 16:12:47');
INSERT INTO public.tbl_trx_japan_night VALUES (24212, '2024-08-01', '6355', '4137', '8430', 'admintoto', '2024-08-01 16:10:32', 'admintoto', '2024-08-01 16:10:38');
INSERT INTO public.tbl_trx_japan_night VALUES (24223, '2024-08-12', '9008', '5032', '0979', 'admintoto', '2024-08-12 16:00:25', 'admintoto', '2024-08-12 16:00:38');
INSERT INTO public.tbl_trx_japan_night VALUES (23846, '2021-04-09', '5965', '4500', '0778', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:13.400837');
INSERT INTO public.tbl_trx_japan_night VALUES (23848, '2021-04-11', '1676', '7343', '9829', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:13.838614');
INSERT INTO public.tbl_trx_japan_night VALUES (23849, '2021-04-12', '0069', '6157', '4125', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:14.089345');
INSERT INTO public.tbl_trx_japan_night VALUES (23853, '2021-04-16', '5099', '4904', '2379', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:14.934923');
INSERT INTO public.tbl_trx_japan_night VALUES (23855, '2021-04-18', '5444', '3618', '5118', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:15.368186');
INSERT INTO public.tbl_trx_japan_night VALUES (23859, '2021-04-22', '8078', '2143', '7672', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:16.190918');
INSERT INTO public.tbl_trx_japan_night VALUES (23862, '2021-04-25', '5997', '8531', '4082', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:16.832544');
INSERT INTO public.tbl_trx_japan_night VALUES (23866, '2021-04-29', '9846', '4040', '0543', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:17.795195');
INSERT INTO public.tbl_trx_japan_night VALUES (23868, '2021-05-01', '7146', '8038', '8487', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:18.220711');
INSERT INTO public.tbl_trx_japan_night VALUES (23869, '2021-05-02', '2059', '5169', '1224', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:18.425141');
INSERT INTO public.tbl_trx_japan_night VALUES (23872, '2021-05-05', '9276', '3763', '4846', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:19.040699');
INSERT INTO public.tbl_trx_japan_night VALUES (23881, '2021-05-14', '0578', '5457', '8003', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:20.831636');
INSERT INTO public.tbl_trx_japan_night VALUES (23883, '2021-05-16', '0780', '7377', '0519', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:21.316129');
INSERT INTO public.tbl_trx_japan_night VALUES (23886, '2021-05-19', '6756', '2734', '4128', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:22.020688');
INSERT INTO public.tbl_trx_japan_night VALUES (23892, '2021-05-25', '3071', '6929', '0088', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:23.277282');
INSERT INTO public.tbl_trx_japan_night VALUES (23893, '2021-05-26', '9027', '1622', '7118', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:23.480685');
INSERT INTO public.tbl_trx_japan_night VALUES (23897, '2021-05-30', '1273', '9729', '2389', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:24.35743');
INSERT INTO public.tbl_trx_japan_night VALUES (23898, '2021-05-31', '8847', '9824', '7257', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:24.642279');
INSERT INTO public.tbl_trx_japan_night VALUES (23904, '2021-06-06', '5353', '9244', '8751', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:25.892879');
INSERT INTO public.tbl_trx_japan_night VALUES (23911, '2021-06-13', '1661', '0293', '4657', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:27.344057');
INSERT INTO public.tbl_trx_japan_night VALUES (23912, '2021-06-14', '2886', '9454', '0604', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:27.568215');
INSERT INTO public.tbl_trx_japan_night VALUES (23913, '2021-06-15', '4744', '7578', '5183', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:27.856171');
INSERT INTO public.tbl_trx_japan_night VALUES (23915, '2021-06-17', '0125', '5868', '9250', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:28.296854');
INSERT INTO public.tbl_trx_japan_night VALUES (23918, '2021-06-20', '8024', '2031', '4255', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:29.005482');
INSERT INTO public.tbl_trx_japan_night VALUES (23920, '2021-06-22', '1740', '1798', '7560', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:29.366773');
INSERT INTO public.tbl_trx_japan_night VALUES (24153, '2024-06-02', '0120', '9008', '6330', 'admintoto', '2024-06-02 16:13:46', 'admintoto', '2024-06-02 16:13:53');
INSERT INTO public.tbl_trx_japan_night VALUES (24165, '2024-06-14', '9591', '8301', '3850', 'admintoto', '2024-06-14 15:49:05', 'admintoto', '2024-06-15 16:03:35');
INSERT INTO public.tbl_trx_japan_night VALUES (24175, '2024-06-25', '9689', '8193', '5011', 'admintoto', '2024-06-25 16:00:33', 'admintoto', '2024-06-25 16:00:40');
INSERT INTO public.tbl_trx_japan_night VALUES (24186, '2024-07-06', '9666', '6762', '2156', 'admintoto', '2024-07-06 16:00:43', 'admintoto', '2024-07-06 16:00:58');
INSERT INTO public.tbl_trx_japan_night VALUES (24188, '2024-07-08', '8200', '6926', '2252', 'admintoto', '2024-07-08 16:51:29', 'admintoto', '2024-07-08 16:51:41');
INSERT INTO public.tbl_trx_japan_night VALUES (24199, '2024-07-19', '8881', '7152', '4371', 'admintoto', '2024-07-19 16:00:14', 'admintoto', '2024-07-19 16:00:21');
INSERT INTO public.tbl_trx_japan_night VALUES (24210, '2024-07-30', '1930', '0472', '2732', 'admintoto', '2024-07-30 15:54:45', 'admintoto', '2024-07-30 15:55:51');
INSERT INTO public.tbl_trx_japan_night VALUES (24213, '2024-08-02', '3052', '1166', '7367', 'admintoto', '2024-08-02 16:37:31', 'admintoto', '2024-08-02 16:37:41');
INSERT INTO public.tbl_trx_japan_night VALUES (24224, '2024-08-13', '0064', '8893', '8146', 'admintoto', '2024-08-13 16:00:51', 'admintoto', '2024-08-13 16:00:58');
INSERT INTO public.tbl_trx_japan_night VALUES (23847, '2021-04-10', '1732', '1307', '3499', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:13.617818');
INSERT INTO public.tbl_trx_japan_night VALUES (23854, '2021-04-17', '6387', '0764', '5119', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:15.116252');
INSERT INTO public.tbl_trx_japan_night VALUES (23856, '2021-04-19', '9985', '5460', '6559', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:15.566949');
INSERT INTO public.tbl_trx_japan_night VALUES (23857, '2021-04-20', '6688', '2101', '6778', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:15.775111');
INSERT INTO public.tbl_trx_japan_night VALUES (23858, '2021-04-21', '5885', '5452', '9748', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:15.972912');
INSERT INTO public.tbl_trx_japan_night VALUES (23863, '2021-04-26', '3028', '3984', '9835', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:17.028067');
INSERT INTO public.tbl_trx_japan_night VALUES (23864, '2021-04-27', '9383', '9512', '6180', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:17.353303');
INSERT INTO public.tbl_trx_japan_night VALUES (23867, '2021-04-30', '4721', '9100', '6131', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:18.000796');
INSERT INTO public.tbl_trx_japan_night VALUES (23873, '2021-05-06', '3689', '1280', '3345', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:19.235278');
INSERT INTO public.tbl_trx_japan_night VALUES (23874, '2021-05-07', '6130', '6250', '2384', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:19.4402');
INSERT INTO public.tbl_trx_japan_night VALUES (23877, '2021-05-10', '5794', '5353', '2413', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:20.092062');
INSERT INTO public.tbl_trx_japan_night VALUES (23884, '2021-05-17', '6615', '9820', '0331', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:21.545295');
INSERT INTO public.tbl_trx_japan_night VALUES (23885, '2021-05-18', '3822', '5845', '7353', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:21.777189');
INSERT INTO public.tbl_trx_japan_night VALUES (23887, '2021-05-20', '6061', '2290', '0037', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:22.217333');
INSERT INTO public.tbl_trx_japan_night VALUES (23889, '2021-05-22', '2355', '3885', '4408', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:22.646061');
INSERT INTO public.tbl_trx_japan_night VALUES (23895, '2021-05-28', '3749', '7652', '8108', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:23.962178');
INSERT INTO public.tbl_trx_japan_night VALUES (23903, '2021-06-05', '4216', '4542', '4732', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:25.676186');
INSERT INTO public.tbl_trx_japan_night VALUES (23921, '2021-06-23', '4372', '6286', '4547', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:29.57522');
INSERT INTO public.tbl_trx_japan_night VALUES (24154, '2024-06-03', '7170', '4731', '9456', 'admintoto', '2024-06-03 15:52:34', 'admintoto', '2024-06-03 16:00:30');
INSERT INTO public.tbl_trx_japan_night VALUES (24162, '2024-06-11', '7817', '4633', '8420', 'admintoto', '2024-06-11 16:08:26', 'admintoto', '2024-06-15 16:03:23');
INSERT INTO public.tbl_trx_japan_night VALUES (24176, '2024-06-26', '0738', '7410', '3936', 'admintoto', '2024-06-26 16:23:36', 'admintoto', '2024-06-26 16:23:45');
INSERT INTO public.tbl_trx_japan_night VALUES (24189, '2024-07-09', '4680', '5069', '6243', 'admintoto', '2024-07-09 15:57:12', 'admintoto', '2024-07-09 15:57:28');
INSERT INTO public.tbl_trx_japan_night VALUES (24200, '2024-07-20', '2934', '5046', '8704', 'admintoto', '2024-07-20 16:18:32', 'admintoto', '2024-07-20 16:18:40');
INSERT INTO public.tbl_trx_japan_night VALUES (24211, '2024-07-31', '6374', '9171', '4579', 'admintoto', '2024-07-31 16:01:57', 'admintoto', '2024-07-31 16:02:06');
INSERT INTO public.tbl_trx_japan_night VALUES (24214, '2024-08-03', '6258', '3939', '5284', 'admintoto', '2024-08-03 15:55:04', 'admintoto', '2024-08-03 15:55:13');
INSERT INTO public.tbl_trx_japan_night VALUES (24225, '2024-08-14', '7721', '9770', '2197', 'admintoto', '2024-08-14 16:03:39', 'admintoto', '2024-08-14 16:03:53');
INSERT INTO public.tbl_trx_japan_night VALUES (23850, '2021-04-13', '0748', '1370', '4436', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:14.304829');
INSERT INTO public.tbl_trx_japan_night VALUES (23860, '2021-04-23', '1332', '3278', '0466', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:16.407793');
INSERT INTO public.tbl_trx_japan_night VALUES (23861, '2021-04-24', '1677', '5216', '1488', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:16.614839');
INSERT INTO public.tbl_trx_japan_night VALUES (23871, '2021-05-04', '7658', '2197', '4537', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:18.847943');
INSERT INTO public.tbl_trx_japan_night VALUES (23876, '2021-05-09', '7821', '7143', '7396', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:19.89442');
INSERT INTO public.tbl_trx_japan_night VALUES (23879, '2021-05-12', '9681', '5171', '0929', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:20.478824');
INSERT INTO public.tbl_trx_japan_night VALUES (23880, '2021-05-13', '9982', '8539', '5417', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:20.653997');
INSERT INTO public.tbl_trx_japan_night VALUES (23890, '2021-05-23', '5536', '3648', '5480', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:22.810481');
INSERT INTO public.tbl_trx_japan_night VALUES (23891, '2021-05-24', '8401', '8217', '3971', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:23.055266');
INSERT INTO public.tbl_trx_japan_night VALUES (23896, '2021-05-29', '7824', '3414', '4943', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:24.139545');
INSERT INTO public.tbl_trx_japan_night VALUES (23899, '2021-06-01', '3655', '0577', '9892', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:24.848087');
INSERT INTO public.tbl_trx_japan_night VALUES (23901, '2021-06-03', '3395', '2537', '4243', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:25.287537');
INSERT INTO public.tbl_trx_japan_night VALUES (23902, '2021-06-04', '6583', '7528', '0947', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:25.479514');
INSERT INTO public.tbl_trx_japan_night VALUES (23905, '2021-06-07', '1471', '7910', '8470', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:26.0874');
INSERT INTO public.tbl_trx_japan_night VALUES (23907, '2021-06-09', '0560', '9238', '0017', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:26.529989');
INSERT INTO public.tbl_trx_japan_night VALUES (23908, '2021-06-10', '5801', '3604', '4368', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:26.746055');
INSERT INTO public.tbl_trx_japan_night VALUES (23909, '2021-06-11', '9094', '0387', '1180', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:26.937456');
INSERT INTO public.tbl_trx_japan_night VALUES (23910, '2021-06-12', '3460', '4800', '7656', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:27.129077');
INSERT INTO public.tbl_trx_japan_night VALUES (23916, '2021-06-18', '9891', '1315', '6088', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:28.516237');
INSERT INTO public.tbl_trx_japan_night VALUES (23917, '2021-06-19', '9745', '3524', '7760', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:28.732977');
INSERT INTO public.tbl_trx_japan_night VALUES (23919, '2021-06-21', '7347', '1414', '1384', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:29.193329');
INSERT INTO public.tbl_trx_japan_night VALUES (23923, '2021-06-25', '6926', '5066', '8781', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:29.998188');
INSERT INTO public.tbl_trx_japan_night VALUES (23924, '2021-06-26', '6253', '5617', '3720', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:30.238598');
INSERT INTO public.tbl_trx_japan_night VALUES (23925, '2021-06-27', '3718', '4626', '5724', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:30.441761');
INSERT INTO public.tbl_trx_japan_night VALUES (23926, '2021-06-28', '5984', '1760', '0661', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:30.673138');
INSERT INTO public.tbl_trx_japan_night VALUES (23927, '2021-06-29', '3696', '9124', '9374', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:30.851095');
INSERT INTO public.tbl_trx_japan_night VALUES (23928, '2021-06-30', '8522', '4559', '1495', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:31.045296');
INSERT INTO public.tbl_trx_japan_night VALUES (23929, '2021-07-01', '0342', '6618', '4259', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:31.239195');
INSERT INTO public.tbl_trx_japan_night VALUES (23930, '2021-07-02', '1445', '1303', '0333', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:31.41877');
INSERT INTO public.tbl_trx_japan_night VALUES (23931, '2021-07-03', '1661', '7997', '0707', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:31.636435');
INSERT INTO public.tbl_trx_japan_night VALUES (23932, '2021-07-04', '0762', '8271', '2782', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:31.85338');
INSERT INTO public.tbl_trx_japan_night VALUES (23933, '2021-07-05', '2873', '0685', '4717', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:32.075632');
INSERT INTO public.tbl_trx_japan_night VALUES (23934, '2021-07-06', '4246', '4288', '4202', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:32.281313');
INSERT INTO public.tbl_trx_japan_night VALUES (23935, '2021-07-07', '9511', '0153', '0072', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:32.4872');
INSERT INTO public.tbl_trx_japan_night VALUES (23936, '2021-07-08', '1365', '3852', '3254', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:32.699347');
INSERT INTO public.tbl_trx_japan_night VALUES (23937, '2021-07-09', '4571', '8168', '3540', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:32.916324');
INSERT INTO public.tbl_trx_japan_night VALUES (23938, '2021-07-10', '7450', '2591', '9925', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:33.142066');
INSERT INTO public.tbl_trx_japan_night VALUES (23939, '2021-07-11', '4045', '4447', '8550', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:33.381113');
INSERT INTO public.tbl_trx_japan_night VALUES (23940, '2021-07-12', '0842', '1259', '6423', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:33.599959');
INSERT INTO public.tbl_trx_japan_night VALUES (23941, '2021-07-13', '2636', '2911', '9862', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:33.872335');
INSERT INTO public.tbl_trx_japan_night VALUES (23942, '2021-07-14', '1098', '8366', '6654', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:34.094134');
INSERT INTO public.tbl_trx_japan_night VALUES (23943, '2021-07-15', '0560', '3643', '8284', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:34.299871');
INSERT INTO public.tbl_trx_japan_night VALUES (23944, '2021-07-16', '6049', '0473', '4194', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:34.521124');
INSERT INTO public.tbl_trx_japan_night VALUES (23945, '2021-07-17', '2991', '5267', '3809', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:34.738815');
INSERT INTO public.tbl_trx_japan_night VALUES (23946, '2021-07-18', '6794', '1682', '1894', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:34.930904');
INSERT INTO public.tbl_trx_japan_night VALUES (23947, '2021-07-19', '6437', '0418', '3282', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:35.147071');
INSERT INTO public.tbl_trx_japan_night VALUES (23948, '2021-07-20', '8113', '7616', '7959', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:35.38027');
INSERT INTO public.tbl_trx_japan_night VALUES (23949, '2021-07-21', '6214', '8980', '8557', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:35.578999');
INSERT INTO public.tbl_trx_japan_night VALUES (23950, '2021-07-22', '6662', '3124', '1133', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:35.788712');
INSERT INTO public.tbl_trx_japan_night VALUES (23951, '2021-07-23', '0138', '7956', '5613', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:36.060134');
INSERT INTO public.tbl_trx_japan_night VALUES (23952, '2021-07-24', '9415', '6463', '2812', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:36.286063');
INSERT INTO public.tbl_trx_japan_night VALUES (23953, '2021-07-25', '3570', '2628', '3073', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:36.476361');
INSERT INTO public.tbl_trx_japan_night VALUES (23954, '2021-07-26', '4606', '4254', '4890', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:36.676253');
INSERT INTO public.tbl_trx_japan_night VALUES (23955, '2021-07-27', '9506', '5426', '3648', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:36.934298');
INSERT INTO public.tbl_trx_japan_night VALUES (23956, '2021-07-28', '3963', '9847', '8206', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:37.227417');
INSERT INTO public.tbl_trx_japan_night VALUES (23957, '2021-07-29', '9699', '3275', '3904', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:37.463253');
INSERT INTO public.tbl_trx_japan_night VALUES (23958, '2021-07-30', '1441', '0430', '5819', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:37.702148');
INSERT INTO public.tbl_trx_japan_night VALUES (23959, '2021-07-31', '3461', '5477', '3886', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:37.893357');
INSERT INTO public.tbl_trx_japan_night VALUES (23960, '2021-08-01', '7583', '6919', '5792', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:38.122455');
INSERT INTO public.tbl_trx_japan_night VALUES (23961, '2021-08-02', '2115', '1996', '1944', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:38.288116');
INSERT INTO public.tbl_trx_japan_night VALUES (23962, '2021-08-03', '2517', '0022', '1292', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:38.546397');
INSERT INTO public.tbl_trx_japan_night VALUES (23963, '2021-08-04', '4011', '7255', '5730', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:38.758925');
INSERT INTO public.tbl_trx_japan_night VALUES (23964, '2021-08-05', '3964', '0099', '2533', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:38.975627');
INSERT INTO public.tbl_trx_japan_night VALUES (23965, '2021-08-06', '2634', '8185', '8788', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:39.199447');
INSERT INTO public.tbl_trx_japan_night VALUES (23966, '2021-08-07', '2720', '7379', '1962', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:39.369718');
INSERT INTO public.tbl_trx_japan_night VALUES (23967, '2021-08-08', '5388', '9934', '8761', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:39.651934');
INSERT INTO public.tbl_trx_japan_night VALUES (23968, '2021-08-09', '9093', '2288', '1638', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:39.913594');
INSERT INTO public.tbl_trx_japan_night VALUES (23969, '2021-08-10', '9689', '8886', '5043', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:40.129061');
INSERT INTO public.tbl_trx_japan_night VALUES (23970, '2021-08-11', '7597', '1099', '4515', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:40.341749');
INSERT INTO public.tbl_trx_japan_night VALUES (23971, '2021-08-12', '4854', '1046', '0171', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:40.56612');
INSERT INTO public.tbl_trx_japan_night VALUES (23972, '2021-08-13', '3753', '9907', '0427', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:40.78547');
INSERT INTO public.tbl_trx_japan_night VALUES (23973, '2021-08-14', '2879', '3256', '7136', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:41.037121');
INSERT INTO public.tbl_trx_japan_night VALUES (23974, '2021-08-15', '3155', '1484', '1896', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:41.233973');
INSERT INTO public.tbl_trx_japan_night VALUES (23975, '2021-08-16', '6955', '1492', '6884', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:41.432783');
INSERT INTO public.tbl_trx_japan_night VALUES (23976, '2021-08-17', '3893', '2693', '5160', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:41.667427');
INSERT INTO public.tbl_trx_japan_night VALUES (23977, '2021-08-18', '9927', '6476', '9398', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:41.864923');
INSERT INTO public.tbl_trx_japan_night VALUES (23978, '2021-08-19', '8093', '4390', '3632', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:42.062194');
INSERT INTO public.tbl_trx_japan_night VALUES (23979, '2021-08-20', '3839', '2534', '3415', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:42.285253');
INSERT INTO public.tbl_trx_japan_night VALUES (23980, '2021-08-21', '1728', '2068', '7771', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:42.513097');
INSERT INTO public.tbl_trx_japan_night VALUES (23981, '2021-08-22', '9843', '7119', '2432', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:42.691972');
INSERT INTO public.tbl_trx_japan_night VALUES (23982, '2021-08-23', '3771', '7725', '4805', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:42.905304');
INSERT INTO public.tbl_trx_japan_night VALUES (23983, '2021-08-24', '0331', '3017', '3771', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:43.138894');
INSERT INTO public.tbl_trx_japan_night VALUES (23984, '2021-08-25', '0130', '3943', '7513', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:43.367992');
INSERT INTO public.tbl_trx_japan_night VALUES (23985, '2021-08-26', '4155', '2297', '7796', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:43.621214');
INSERT INTO public.tbl_trx_japan_night VALUES (23986, '2021-08-27', '1166', '9300', '0640', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:43.8453');
INSERT INTO public.tbl_trx_japan_night VALUES (23987, '2021-08-28', '3751', '7295', '2383', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:44.082486');
INSERT INTO public.tbl_trx_japan_night VALUES (23988, '2021-08-29', '9983', '1205', '3002', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:44.307892');
INSERT INTO public.tbl_trx_japan_night VALUES (23989, '2021-08-30', '5995', '7593', '2884', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:44.475168');
INSERT INTO public.tbl_trx_japan_night VALUES (23990, '2021-08-31', '9695', '6299', '5272', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:44.641944');
INSERT INTO public.tbl_trx_japan_night VALUES (23991, '2021-09-01', '5584', '6241', '7945', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:44.870931');
INSERT INTO public.tbl_trx_japan_night VALUES (23992, '2021-09-02', '8346', '6342', '6698', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:45.130306');
INSERT INTO public.tbl_trx_japan_night VALUES (23993, '2021-09-03', '2407', '4577', '1408', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:45.339608');
INSERT INTO public.tbl_trx_japan_night VALUES (23994, '2021-09-04', '8584', '1838', '1820', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:45.562934');
INSERT INTO public.tbl_trx_japan_night VALUES (23995, '2021-09-05', '8059', '2422', '4053', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:45.774736');
INSERT INTO public.tbl_trx_japan_night VALUES (23996, '2021-09-06', '2319', '3541', '1283', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:45.995687');
INSERT INTO public.tbl_trx_japan_night VALUES (23997, '2021-09-07', '7466', '7093', '1531', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:46.210102');
INSERT INTO public.tbl_trx_japan_night VALUES (23998, '2021-09-08', '9791', '3940', '8231', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:46.418841');
INSERT INTO public.tbl_trx_japan_night VALUES (23999, '2021-09-09', '0776', '2557', '7241', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:46.596421');
INSERT INTO public.tbl_trx_japan_night VALUES (231006, '2021-09-16', '7736', '1708', '5464', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:47.956109');
INSERT INTO public.tbl_trx_japan_night VALUES (231007, '2021-09-17', '2887', '8854', '1139', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:48.1519');
INSERT INTO public.tbl_trx_japan_night VALUES (231009, '2021-09-19', '0395', '1814', '9695', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:48.59587');
INSERT INTO public.tbl_trx_japan_night VALUES (231028, '2021-10-08', '8081', '8521', '1789', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:52.438192');
INSERT INTO public.tbl_trx_japan_night VALUES (231033, '2021-10-13', '0784', '8726', '8179', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:53.491193');
INSERT INTO public.tbl_trx_japan_night VALUES (231034, '2021-10-14', '3169', '8380', '6982', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:53.705247');
INSERT INTO public.tbl_trx_japan_night VALUES (231043, '2021-10-23', '6844', '8721', '4090', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:55.823804');
INSERT INTO public.tbl_trx_japan_night VALUES (231046, '2021-10-26', '3861', '3300', '1216', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:56.4694');
INSERT INTO public.tbl_trx_japan_night VALUES (231047, '2021-10-27', '7655', '9601', '3916', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:56.712019');
INSERT INTO public.tbl_trx_japan_night VALUES (231048, '2021-10-28', '5879', '0362', '9172', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:56.928849');
INSERT INTO public.tbl_trx_japan_night VALUES (231051, '2021-10-31', '0612', '6423', '7593', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:57.540522');
INSERT INTO public.tbl_trx_japan_night VALUES (231057, '2021-11-06', '0042', '7711', '2939', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:58.797675');
INSERT INTO public.tbl_trx_japan_night VALUES (231065, '2021-11-14', '5857', '1076', '4214', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:00.524841');
INSERT INTO public.tbl_trx_japan_night VALUES (231073, '2021-11-22', '6956', '9016', '4456', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:02.254659');
INSERT INTO public.tbl_trx_japan_night VALUES (231077, '2021-11-26', '8421', '6310', '3430', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:03.151426');
INSERT INTO public.tbl_trx_japan_night VALUES (231079, '2021-11-28', '4204', '6884', '3055', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:03.580948');
INSERT INTO public.tbl_trx_japan_night VALUES (231084, '2021-12-03', '7317', '3174', '6468', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:04.771356');
INSERT INTO public.tbl_trx_japan_night VALUES (231085, '2021-12-04', '9248', '9792', '4130', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:04.95721');
INSERT INTO public.tbl_trx_japan_night VALUES (231087, '2021-12-06', '3184', '8564', '3895', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:05.396077');
INSERT INTO public.tbl_trx_japan_night VALUES (231088, '2021-12-07', '9441', '2447', '2168', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:05.6195');
INSERT INTO public.tbl_trx_japan_night VALUES (231089, '2021-12-08', '6380', '9594', '3541', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:05.789305');
INSERT INTO public.tbl_trx_japan_night VALUES (231094, '2021-12-13', '9342', '6442', '2904', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:06.836231');
INSERT INTO public.tbl_trx_japan_night VALUES (231097, '2021-12-16', '8821', '6343', '1730', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:07.453122');
INSERT INTO public.tbl_trx_japan_night VALUES (231100, '2021-12-19', '2860', '0367', '5501', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:08.154922');
INSERT INTO public.tbl_trx_japan_night VALUES (231101, '2021-12-20', '0291', '3668', '1077', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:08.386228');
INSERT INTO public.tbl_trx_japan_night VALUES (231108, '2021-12-27', '0970', '4142', '5580', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:09.793358');
INSERT INTO public.tbl_trx_japan_night VALUES (231114, '2022-01-02', '9753', '0188', '6193', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:11.03811');
INSERT INTO public.tbl_trx_japan_night VALUES (231116, '2022-01-04', '6746', '5619', '9083', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:11.483412');
INSERT INTO public.tbl_trx_japan_night VALUES (231121, '2022-01-09', '7730', '0660', '2296', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:12.580789');
INSERT INTO public.tbl_trx_japan_night VALUES (231123, '2022-01-11', '6317', '3497', '1146', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:12.975743');
INSERT INTO public.tbl_trx_japan_night VALUES (231125, '2022-01-13', '1715', '6619', '2534', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:13.415474');
INSERT INTO public.tbl_trx_japan_night VALUES (231128, '2022-01-16', '2138', '6529', '9524', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:14.114064');
INSERT INTO public.tbl_trx_japan_night VALUES (231129, '2022-01-17', '6576', '9649', '1562', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:14.372704');
INSERT INTO public.tbl_trx_japan_night VALUES (231131, '2022-01-19', '4052', '7925', '0731', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:14.757784');
INSERT INTO public.tbl_trx_japan_night VALUES (231132, '2022-01-20', '9179', '7792', '3811', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:14.960354');
INSERT INTO public.tbl_trx_japan_night VALUES (231133, '2022-01-21', '3913', '5237', '6308', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:15.212311');
INSERT INTO public.tbl_trx_japan_night VALUES (231138, '2022-01-26', '1795', '8923', '8300', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:16.254681');
INSERT INTO public.tbl_trx_japan_night VALUES (231142, '2022-01-30', '1013', '0452', '6082', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:17.113089');
INSERT INTO public.tbl_trx_japan_night VALUES (231145, '2022-02-02', '4145', '4260', '6617', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:17.722495');
INSERT INTO public.tbl_trx_japan_night VALUES (231146, '2022-02-03', '1405', '7111', '8905', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:17.886767');
INSERT INTO public.tbl_trx_japan_night VALUES (231153, '2022-02-10', '9457', '4873', '5417', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:19.41191');
INSERT INTO public.tbl_trx_japan_night VALUES (231156, '2022-02-13', '4084', '6956', '7757', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:20.058897');
INSERT INTO public.tbl_trx_japan_night VALUES (231162, '2022-02-19', '5136', '0654', '7139', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:21.301789');
INSERT INTO public.tbl_trx_japan_night VALUES (231168, '2022-02-25', '3354', '2319', '2141', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:22.484394');
INSERT INTO public.tbl_trx_japan_night VALUES (231174, '2022-03-03', '6208', '3597', '8375', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:23.696216');
INSERT INTO public.tbl_trx_japan_night VALUES (231178, '2022-03-07', '4204', '0393', '4149', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:24.534646');
INSERT INTO public.tbl_trx_japan_night VALUES (231180, '2022-03-09', '5090', '8415', '9426', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:24.9796');
INSERT INTO public.tbl_trx_japan_night VALUES (231192, '2022-03-21', '5841', '1521', '8574', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:27.649769');
INSERT INTO public.tbl_trx_japan_night VALUES (231194, '2022-03-23', '0839', '7622', '2952', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:28.134055');
INSERT INTO public.tbl_trx_japan_night VALUES (231196, '2022-03-25', '5585', '4964', '1968', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:28.523941');
INSERT INTO public.tbl_trx_japan_night VALUES (231198, '2022-03-27', '3239', '5583', '5219', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:28.914776');
INSERT INTO public.tbl_trx_japan_night VALUES (231200, '2022-03-29', '0503', '2517', '8535', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:29.381795');
INSERT INTO public.tbl_trx_japan_night VALUES (24155, '2024-06-04', '0935', '5984', '2565', 'admintoto', '2024-06-04 16:11:23', 'admintoto', '2024-06-04 16:11:33');
INSERT INTO public.tbl_trx_japan_night VALUES (24166, '2024-06-16', '4535', '9590', '1236', 'admintoto', '2024-06-16 16:11:32', 'admintoto', '2024-06-16 16:11:40');
INSERT INTO public.tbl_trx_japan_night VALUES (24177, '2024-06-27', '1484', '5421', '0963', 'admintoto', '2024-06-27 16:00:25', 'admintoto', '2024-06-27 16:00:35');
INSERT INTO public.tbl_trx_japan_night VALUES (24190, '2024-07-10', '0821', '3138', '6533', 'admintoto', '2024-07-10 16:02:27', 'admintoto', '2024-07-10 16:02:38');
INSERT INTO public.tbl_trx_japan_night VALUES (24201, '2024-07-21', '4739', '7444', '1159', 'admintoto', '2024-07-21 15:56:28', 'admintoto', '2024-07-21 15:56:41');
INSERT INTO public.tbl_trx_japan_night VALUES (24215, '2024-08-04', '1578', '3601', '0371', 'admintoto', '2024-08-04 17:37:15', 'admintoto', '2024-08-04 17:37:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231000, '2021-09-10', '0628', '2254', '9269', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:46.787899');
INSERT INTO public.tbl_trx_japan_night VALUES (231002, '2021-09-12', '8142', '7619', '4088', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:47.144232');
INSERT INTO public.tbl_trx_japan_night VALUES (231003, '2021-09-13', '0457', '7100', '4617', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:47.35148');
INSERT INTO public.tbl_trx_japan_night VALUES (231004, '2021-09-14', '4507', '5252', '4830', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:47.560276');
INSERT INTO public.tbl_trx_japan_night VALUES (231010, '2021-09-20', '7696', '5696', '8785', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:48.816515');
INSERT INTO public.tbl_trx_japan_night VALUES (231015, '2021-09-25', '8168', '8868', '5508', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:49.858064');
INSERT INTO public.tbl_trx_japan_night VALUES (231018, '2021-09-28', '8793', '1147', '7080', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:50.412342');
INSERT INTO public.tbl_trx_japan_night VALUES (231021, '2021-10-01', '1562', '1655', '2027', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:51.029608');
INSERT INTO public.tbl_trx_japan_night VALUES (231022, '2021-10-02', '8220', '9754', '3202', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:51.222359');
INSERT INTO public.tbl_trx_japan_night VALUES (231024, '2021-10-04', '2389', '8747', '5976', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:51.596872');
INSERT INTO public.tbl_trx_japan_night VALUES (231026, '2021-10-06', '2735', '2547', '9148', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:52.039722');
INSERT INTO public.tbl_trx_japan_night VALUES (231027, '2021-10-07', '3031', '4742', '2738', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:52.231362');
INSERT INTO public.tbl_trx_japan_night VALUES (231031, '2021-10-11', '5334', '1509', '1251', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:53.121421');
INSERT INTO public.tbl_trx_japan_night VALUES (231036, '2021-10-16', '1664', '2164', '8944', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:54.228313');
INSERT INTO public.tbl_trx_japan_night VALUES (231042, '2021-10-22', '5275', '3502', '2869', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:55.524358');
INSERT INTO public.tbl_trx_japan_night VALUES (231044, '2021-10-24', '2024', '0610', '9769', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:56.056097');
INSERT INTO public.tbl_trx_japan_night VALUES (231049, '2021-10-29', '7609', '8332', '4352', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:57.147472');
INSERT INTO public.tbl_trx_japan_night VALUES (231050, '2021-10-30', '3892', '5130', '4177', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:57.340411');
INSERT INTO public.tbl_trx_japan_night VALUES (231055, '2021-11-04', '8136', '6847', '9430', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:58.388132');
INSERT INTO public.tbl_trx_japan_night VALUES (231056, '2021-11-05', '1550', '0165', '8083', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:58.580754');
INSERT INTO public.tbl_trx_japan_night VALUES (231059, '2021-11-08', '2448', '0873', '9949', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:59.216613');
INSERT INTO public.tbl_trx_japan_night VALUES (231064, '2021-11-13', '2147', '1263', '7260', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:00.332067');
INSERT INTO public.tbl_trx_japan_night VALUES (231067, '2021-11-16', '4382', '4587', '1371', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:00.961648');
INSERT INTO public.tbl_trx_japan_night VALUES (231075, '2021-11-24', '0213', '5016', '7135', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:02.700414');
INSERT INTO public.tbl_trx_japan_night VALUES (231081, '2021-11-30', '7882', '2757', '0478', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:04.120514');
INSERT INTO public.tbl_trx_japan_night VALUES (231082, '2021-12-01', '9776', '6329', '0775', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:04.325054');
INSERT INTO public.tbl_trx_japan_night VALUES (231090, '2021-12-09', '1678', '7293', '6359', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:06.008086');
INSERT INTO public.tbl_trx_japan_night VALUES (231091, '2021-12-10', '2051', '0138', '8261', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:06.224581');
INSERT INTO public.tbl_trx_japan_night VALUES (231093, '2021-12-12', '8638', '2821', '4717', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:06.656984');
INSERT INTO public.tbl_trx_japan_night VALUES (231096, '2021-12-15', '7766', '0264', '4867', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:07.247688');
INSERT INTO public.tbl_trx_japan_night VALUES (231102, '2021-12-21', '6568', '4222', '5680', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:08.588452');
INSERT INTO public.tbl_trx_japan_night VALUES (231105, '2021-12-24', '2390', '9896', '8145', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:09.192963');
INSERT INTO public.tbl_trx_japan_night VALUES (231106, '2021-12-25', '8306', '2744', '9222', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:09.384105');
INSERT INTO public.tbl_trx_japan_night VALUES (231119, '2022-01-07', '8023', '2707', '3380', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:12.158534');
INSERT INTO public.tbl_trx_japan_night VALUES (231122, '2022-01-10', '1748', '1210', '1841', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:12.770083');
INSERT INTO public.tbl_trx_japan_night VALUES (231124, '2022-01-12', '4147', '3908', '6625', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:13.196233');
INSERT INTO public.tbl_trx_japan_night VALUES (231127, '2022-01-15', '1259', '0194', '8867', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:13.922804');
INSERT INTO public.tbl_trx_japan_night VALUES (231135, '2022-01-23', '9380', '1690', '9450', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:15.680639');
INSERT INTO public.tbl_trx_japan_night VALUES (231136, '2022-01-24', '4769', '5686', '5691', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:15.858164');
INSERT INTO public.tbl_trx_japan_night VALUES (231144, '2022-02-01', '2191', '6032', '2592', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:17.50114');
INSERT INTO public.tbl_trx_japan_night VALUES (231148, '2022-02-05', '2984', '4453', '1696', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:18.324741');
INSERT INTO public.tbl_trx_japan_night VALUES (231149, '2022-02-06', '7205', '6039', '6357', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:18.502384');
INSERT INTO public.tbl_trx_japan_night VALUES (231152, '2022-02-09', '3706', '3308', '3418', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:19.177212');
INSERT INTO public.tbl_trx_japan_night VALUES (231155, '2022-02-12', '7221', '5662', '6906', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:19.839206');
INSERT INTO public.tbl_trx_japan_night VALUES (231159, '2022-02-16', '9477', '8406', '2943', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:20.690944');
INSERT INTO public.tbl_trx_japan_night VALUES (231161, '2022-02-18', '7462', '6866', '2711', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:21.094618');
INSERT INTO public.tbl_trx_japan_night VALUES (231163, '2022-02-20', '4848', '5839', '8911', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:21.466771');
INSERT INTO public.tbl_trx_japan_night VALUES (231169, '2022-02-26', '2181', '1191', '0765', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:22.701003');
INSERT INTO public.tbl_trx_japan_night VALUES (231173, '2022-03-02', '3616', '0285', '3997', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:23.475913');
INSERT INTO public.tbl_trx_japan_night VALUES (231175, '2022-03-04', '4193', '3305', '1808', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:23.933259');
INSERT INTO public.tbl_trx_japan_night VALUES (231176, '2022-03-05', '2570', '5901', '0319', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:24.150332');
INSERT INTO public.tbl_trx_japan_night VALUES (231183, '2022-03-12', '9394', '0519', '9684', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:25.622963');
INSERT INTO public.tbl_trx_japan_night VALUES (231190, '2022-03-19', '0753', '2089', '0459', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:27.155455');
INSERT INTO public.tbl_trx_japan_night VALUES (24156, '2024-06-05', '1388', '9851', '3669', 'admintoto', '2024-06-05 15:57:33', 'admintoto', '2024-06-05 15:57:44');
INSERT INTO public.tbl_trx_japan_night VALUES (24167, '2024-06-17', '6882', '0099', '8150', 'admintoto', '2024-06-17 16:11:36', 'admintoto', '2024-06-17 16:11:43');
INSERT INTO public.tbl_trx_japan_night VALUES (24178, '2024-06-28', '5544', '3886', '6449', 'admintoto', '2024-06-28 16:00:21', 'admintoto', '2024-06-28 16:00:32');
INSERT INTO public.tbl_trx_japan_night VALUES (24191, '2024-07-11', '7228', '9286', '2779', 'admintoto', '2024-07-11 16:11:11', 'admintoto', '2024-07-11 16:11:25');
INSERT INTO public.tbl_trx_japan_night VALUES (24202, '2024-07-22', '6649', '1225', '2359', 'admintoto', '2024-07-22 17:49:58', 'admintoto', '2024-07-22 17:50:05');
INSERT INTO public.tbl_trx_japan_night VALUES (24216, '2024-08-05', '6795', '8936', '2049', 'admintoto', '2024-08-05 15:56:08', 'admintoto', '2024-08-05 15:56:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231001, '2021-09-11', '1331', '4455', '3624', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:46.965258');
INSERT INTO public.tbl_trx_japan_night VALUES (231005, '2021-09-15', '0983', '4696', '2485', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:47.73814');
INSERT INTO public.tbl_trx_japan_night VALUES (231008, '2021-09-18', '5092', '0615', '5351', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:48.373061');
INSERT INTO public.tbl_trx_japan_night VALUES (231011, '2021-09-21', '6659', '6757', '6596', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:49.025485');
INSERT INTO public.tbl_trx_japan_night VALUES (231013, '2021-09-23', '5385', '4756', '7301', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:49.421304');
INSERT INTO public.tbl_trx_japan_night VALUES (231019, '2021-09-29', '4530', '4905', '2272', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:50.629327');
INSERT INTO public.tbl_trx_japan_night VALUES (231020, '2021-09-30', '0424', '5503', '5354', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:50.837983');
INSERT INTO public.tbl_trx_japan_night VALUES (231023, '2021-10-03', '9525', '8783', '6620', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:51.419159');
INSERT INTO public.tbl_trx_japan_night VALUES (231030, '2021-10-10', '3589', '6968', '1851', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:52.873761');
INSERT INTO public.tbl_trx_japan_night VALUES (231037, '2021-10-17', '1869', '5373', '5030', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:54.43435');
INSERT INTO public.tbl_trx_japan_night VALUES (231038, '2021-10-18', '7368', '6232', '2103', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:54.631306');
INSERT INTO public.tbl_trx_japan_night VALUES (231041, '2021-10-21', '7888', '6824', '1150', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:55.346794');
INSERT INTO public.tbl_trx_japan_night VALUES (231045, '2021-10-25', '0896', '2438', '8190', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:56.219752');
INSERT INTO public.tbl_trx_japan_night VALUES (231054, '2021-11-03', '2645', '5870', '6987', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:58.182852');
INSERT INTO public.tbl_trx_japan_night VALUES (231061, '2021-11-10', '4648', '6219', '9772', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:59.627126');
INSERT INTO public.tbl_trx_japan_night VALUES (231068, '2021-11-17', '1406', '1572', '5312', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:01.180594');
INSERT INTO public.tbl_trx_japan_night VALUES (231070, '2021-11-19', '6706', '5573', '7334', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:01.624377');
INSERT INTO public.tbl_trx_japan_night VALUES (231071, '2021-11-20', '7479', '7653', '2484', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:01.832633');
INSERT INTO public.tbl_trx_japan_night VALUES (231086, '2021-12-05', '5053', '1579', '4439', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:05.201777');
INSERT INTO public.tbl_trx_japan_night VALUES (231098, '2021-12-17', '0546', '0744', '9326', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:07.689544');
INSERT INTO public.tbl_trx_japan_night VALUES (231107, '2021-12-26', '0340', '4169', '8032', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:09.605435');
INSERT INTO public.tbl_trx_japan_night VALUES (231109, '2021-12-28', '0274', '2507', '6541', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:09.984462');
INSERT INTO public.tbl_trx_japan_night VALUES (231110, '2021-12-29', '3629', '5420', '8823', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:10.190965');
INSERT INTO public.tbl_trx_japan_night VALUES (231111, '2021-12-30', '4664', '6537', '7055', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:10.407758');
INSERT INTO public.tbl_trx_japan_night VALUES (231113, '2022-01-01', '0999', '2123', '5654', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:10.807065');
INSERT INTO public.tbl_trx_japan_night VALUES (231117, '2022-01-05', '5387', '0929', '0504', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:11.728432');
INSERT INTO public.tbl_trx_japan_night VALUES (231130, '2022-01-18', '3437', '5518', '4369', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:14.564681');
INSERT INTO public.tbl_trx_japan_night VALUES (231134, '2022-01-22', '1766', '2173', '4615', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:15.418915');
INSERT INTO public.tbl_trx_japan_night VALUES (231137, '2022-01-25', '6600', '4228', '6418', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:16.063867');
INSERT INTO public.tbl_trx_japan_night VALUES (231140, '2022-01-28', '6482', '8339', '7940', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:16.685611');
INSERT INTO public.tbl_trx_japan_night VALUES (231141, '2022-01-29', '1372', '7003', '3340', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:16.922064');
INSERT INTO public.tbl_trx_japan_night VALUES (231151, '2022-02-08', '9447', '4202', '7594', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:18.930955');
INSERT INTO public.tbl_trx_japan_night VALUES (231160, '2022-02-17', '0993', '2275', '5038', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:20.886062');
INSERT INTO public.tbl_trx_japan_night VALUES (231166, '2022-02-23', '4475', '6572', '5835', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:22.061133');
INSERT INTO public.tbl_trx_japan_night VALUES (231167, '2022-02-24', '0053', '8089', '8393', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:22.279617');
INSERT INTO public.tbl_trx_japan_night VALUES (231171, '2022-02-28', '3410', '1307', '7277', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:23.068135');
INSERT INTO public.tbl_trx_japan_night VALUES (231172, '2022-03-01', '8769', '6086', '1952', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:23.246926');
INSERT INTO public.tbl_trx_japan_night VALUES (231177, '2022-03-06', '2421', '2400', '0425', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:24.357405');
INSERT INTO public.tbl_trx_japan_night VALUES (231184, '2022-03-13', '7818', '0047', '6916', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:25.861764');
INSERT INTO public.tbl_trx_japan_night VALUES (231186, '2022-03-15', '1788', '0852', '1456', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:26.319729');
INSERT INTO public.tbl_trx_japan_night VALUES (231188, '2022-03-17', '3670', '6037', '4546', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:26.741484');
INSERT INTO public.tbl_trx_japan_night VALUES (231189, '2022-03-18', '0973', '8437', '9216', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:26.964952');
INSERT INTO public.tbl_trx_japan_night VALUES (231191, '2022-03-20', '5683', '2149', '1898', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:27.429708');
INSERT INTO public.tbl_trx_japan_night VALUES (231193, '2022-03-22', '8673', '8838', '0427', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:27.887059');
INSERT INTO public.tbl_trx_japan_night VALUES (231195, '2022-03-24', '9610', '1271', '6567', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:28.327175');
INSERT INTO public.tbl_trx_japan_night VALUES (231197, '2022-03-26', '8846', '5117', '5352', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:28.72674');
INSERT INTO public.tbl_trx_japan_night VALUES (231201, '2022-03-30', '5823', '4450', '2992', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:29.636754');
INSERT INTO public.tbl_trx_japan_night VALUES (24157, '2024-06-06', '5586', '6801', '1406', 'admintoto', '2024-06-06 15:33:45', 'admintoto', '2024-06-06 16:00:13');
INSERT INTO public.tbl_trx_japan_night VALUES (24168, '2024-06-18', '9348', '3165', '4320', 'admintoto', '2024-06-18 10:00:16', 'admintoto', '2024-06-18 16:15:09');
INSERT INTO public.tbl_trx_japan_night VALUES (24179, '2024-06-29', '6796', '2158', '0592', 'admintoto', '2024-06-29 16:27:50', 'admintoto', '2024-06-29 16:30:27');
INSERT INTO public.tbl_trx_japan_night VALUES (24192, '2024-07-12', '2796', '9704', '7023', 'admintoto', '2024-07-12 16:00:35', 'admintoto', '2024-07-12 16:00:51');
INSERT INTO public.tbl_trx_japan_night VALUES (24203, '2024-07-23', '9682', '7224', '2471', 'admintoto', '2024-07-23 16:51:55', 'admintoto', '2024-07-23 16:52:00');
INSERT INTO public.tbl_trx_japan_night VALUES (24217, '2024-08-06', '3255', '7942', '8666', 'admintoto', '2024-08-06 16:05:52', 'admintoto', '2024-08-06 16:06:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231012, '2021-09-22', '1868', '9378', '0163', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:49.230231');
INSERT INTO public.tbl_trx_japan_night VALUES (231014, '2021-09-24', '7254', '7086', '1055', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:49.659163');
INSERT INTO public.tbl_trx_japan_night VALUES (231016, '2021-09-26', '4861', '4602', '4999', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:50.04231');
INSERT INTO public.tbl_trx_japan_night VALUES (231017, '2021-09-27', '0530', '5020', '3054', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:50.248885');
INSERT INTO public.tbl_trx_japan_night VALUES (231025, '2021-10-05', '4351', '4629', '6413', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:51.820057');
INSERT INTO public.tbl_trx_japan_night VALUES (231029, '2021-10-09', '3434', '2512', '6443', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:52.656185');
INSERT INTO public.tbl_trx_japan_night VALUES (231032, '2021-10-12', '0111', '8153', '2040', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:53.299875');
INSERT INTO public.tbl_trx_japan_night VALUES (231035, '2021-10-15', '4320', '5088', '3857', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:53.96707');
INSERT INTO public.tbl_trx_japan_night VALUES (231039, '2021-10-19', '8702', '2200', '1859', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:54.873134');
INSERT INTO public.tbl_trx_japan_night VALUES (231040, '2021-10-20', '9448', '4740', '3816', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:55.131211');
INSERT INTO public.tbl_trx_japan_night VALUES (231052, '2021-11-01', '5354', '7138', '9524', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:57.750696');
INSERT INTO public.tbl_trx_japan_night VALUES (231053, '2021-11-02', '7364', '0826', '0742', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:57.961047');
INSERT INTO public.tbl_trx_japan_night VALUES (231058, '2021-11-07', '2922', '3748', '0314', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:59.013195');
INSERT INTO public.tbl_trx_japan_night VALUES (231060, '2021-11-09', '3546', '4283', '8086', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:59.409731');
INSERT INTO public.tbl_trx_japan_night VALUES (231062, '2021-11-11', '2243', '9289', '3332', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:48:59.861347');
INSERT INTO public.tbl_trx_japan_night VALUES (231063, '2021-11-12', '4172', '5539', '4585', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:00.086532');
INSERT INTO public.tbl_trx_japan_night VALUES (231066, '2021-11-15', '5858', '9670', '3532', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:00.732372');
INSERT INTO public.tbl_trx_japan_night VALUES (231069, '2021-11-18', '6448', '1131', '5159', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:01.40078');
INSERT INTO public.tbl_trx_japan_night VALUES (231072, '2021-11-21', '1411', '3320', '3621', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:02.059134');
INSERT INTO public.tbl_trx_japan_night VALUES (231074, '2021-11-23', '0116', '8147', '4288', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:02.469149');
INSERT INTO public.tbl_trx_japan_night VALUES (231076, '2021-11-25', '5851', '1862', '8724', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:02.933174');
INSERT INTO public.tbl_trx_japan_night VALUES (231078, '2021-11-27', '9632', '6557', '9206', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:03.370331');
INSERT INTO public.tbl_trx_japan_night VALUES (231080, '2021-11-29', '5529', '3105', '6606', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:03.910203');
INSERT INTO public.tbl_trx_japan_night VALUES (231083, '2021-12-02', '6266', '6908', '3088', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:04.548442');
INSERT INTO public.tbl_trx_japan_night VALUES (231092, '2021-12-11', '4530', '9428', '8950', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:06.42454');
INSERT INTO public.tbl_trx_japan_night VALUES (231095, '2021-12-14', '1261', '0208', '7571', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:07.018061');
INSERT INTO public.tbl_trx_japan_night VALUES (231099, '2021-12-18', '5127', '1820', '7040', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:07.908497');
INSERT INTO public.tbl_trx_japan_night VALUES (231103, '2021-12-22', '0771', '8231', '8394', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:08.783322');
INSERT INTO public.tbl_trx_japan_night VALUES (231104, '2021-12-23', '8738', '1686', '0375', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:08.975304');
INSERT INTO public.tbl_trx_japan_night VALUES (231112, '2021-12-31', '2712', '0991', '3617', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:10.600716');
INSERT INTO public.tbl_trx_japan_night VALUES (231115, '2022-01-03', '6468', '2428', '7866', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:11.262753');
INSERT INTO public.tbl_trx_japan_night VALUES (231118, '2022-01-06', '7693', '5759', '1930', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:11.919797');
INSERT INTO public.tbl_trx_japan_night VALUES (231120, '2022-01-08', '5188', '4429', '6852', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:12.352777');
INSERT INTO public.tbl_trx_japan_night VALUES (231126, '2022-01-14', '2209', '7583', '7298', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:13.675277');
INSERT INTO public.tbl_trx_japan_night VALUES (231139, '2022-01-27', '2962', '7111', '9386', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:16.465091');
INSERT INTO public.tbl_trx_japan_night VALUES (231143, '2022-01-31', '2497', '2116', '2106', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:17.305248');
INSERT INTO public.tbl_trx_japan_night VALUES (231147, '2022-02-04', '7684', '8581', '4803', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:18.131083');
INSERT INTO public.tbl_trx_japan_night VALUES (231150, '2022-02-07', '7815', '3658', '5008', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:18.710706');
INSERT INTO public.tbl_trx_japan_night VALUES (231154, '2022-02-11', '5121', '0109', '7026', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:19.629181');
INSERT INTO public.tbl_trx_japan_night VALUES (231157, '2022-02-14', '2652', '2127', '2105', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:20.289392');
INSERT INTO public.tbl_trx_japan_night VALUES (231158, '2022-02-15', '0564', '3198', '4783', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:20.511499');
INSERT INTO public.tbl_trx_japan_night VALUES (231164, '2022-02-21', '8263', '0873', '6503', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:21.644626');
INSERT INTO public.tbl_trx_japan_night VALUES (231165, '2022-02-22', '7509', '9018', '1121', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:21.871386');
INSERT INTO public.tbl_trx_japan_night VALUES (231170, '2022-02-27', '2158', '7745', '7885', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:22.87431');
INSERT INTO public.tbl_trx_japan_night VALUES (231179, '2022-03-08', '3378', '2068', '2470', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:24.727454');
INSERT INTO public.tbl_trx_japan_night VALUES (231181, '2022-03-10', '1061', '4914', '3873', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:25.223712');
INSERT INTO public.tbl_trx_japan_night VALUES (231182, '2022-03-11', '3059', '5499', '0077', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:25.419402');
INSERT INTO public.tbl_trx_japan_night VALUES (231185, '2022-03-14', '9450', '9187', '1994', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:26.081218');
INSERT INTO public.tbl_trx_japan_night VALUES (231187, '2022-03-16', '0417', '7167', '5104', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:26.540233');
INSERT INTO public.tbl_trx_japan_night VALUES (231199, '2022-03-28', '8967', '3430', '1851', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:29.12974');
INSERT INTO public.tbl_trx_japan_night VALUES (231202, '2022-03-31', '3435', '0299', '5554', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:29.856855');
INSERT INTO public.tbl_trx_japan_night VALUES (231203, '2022-04-01', '0769', '0118', '0687', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:30.094155');
INSERT INTO public.tbl_trx_japan_night VALUES (231204, '2022-04-02', '4662', '7460', '2362', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:30.295196');
INSERT INTO public.tbl_trx_japan_night VALUES (231205, '2022-04-03', '4645', '2293', '1340', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:30.528782');
INSERT INTO public.tbl_trx_japan_night VALUES (231206, '2022-04-04', '4462', '6059', '0435', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:30.747925');
INSERT INTO public.tbl_trx_japan_night VALUES (231207, '2022-04-05', '6711', '3385', '1410', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:30.94395');
INSERT INTO public.tbl_trx_japan_night VALUES (231208, '2022-04-06', '6229', '4976', '0434', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:31.148066');
INSERT INTO public.tbl_trx_japan_night VALUES (231209, '2022-04-07', '7958', '5048', '0125', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:31.354744');
INSERT INTO public.tbl_trx_japan_night VALUES (231210, '2022-04-08', '5514', '2361', '2538', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:31.581097');
INSERT INTO public.tbl_trx_japan_night VALUES (231211, '2022-04-09', '6695', '6589', '8278', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:31.801308');
INSERT INTO public.tbl_trx_japan_night VALUES (231212, '2022-04-10', '0993', '7666', '5082', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:31.990615');
INSERT INTO public.tbl_trx_japan_night VALUES (231213, '2022-04-11', '9585', '7244', '4543', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:32.208909');
INSERT INTO public.tbl_trx_japan_night VALUES (231214, '2022-04-12', '1224', '6619', '0453', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:32.440918');
INSERT INTO public.tbl_trx_japan_night VALUES (231215, '2022-04-13', '2885', '1861', '8573', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:32.665755');
INSERT INTO public.tbl_trx_japan_night VALUES (231216, '2022-04-14', '3585', '3775', '5148', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:32.906767');
INSERT INTO public.tbl_trx_japan_night VALUES (231217, '2022-04-15', '2499', '5822', '4881', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:33.131206');
INSERT INTO public.tbl_trx_japan_night VALUES (231218, '2022-04-16', '4409', '8591', '9937', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:33.340429');
INSERT INTO public.tbl_trx_japan_night VALUES (231219, '2022-04-17', '3362', '6326', '6886', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:33.545791');
INSERT INTO public.tbl_trx_japan_night VALUES (231220, '2022-04-18', '4261', '5328', '1361', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:33.792899');
INSERT INTO public.tbl_trx_japan_night VALUES (231221, '2022-04-19', '5444', '5947', '8307', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:34.025076');
INSERT INTO public.tbl_trx_japan_night VALUES (231222, '2022-04-20', '1654', '6223', '1729', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:34.268973');
INSERT INTO public.tbl_trx_japan_night VALUES (231223, '2022-04-21', '6073', '4641', '3928', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:34.490302');
INSERT INTO public.tbl_trx_japan_night VALUES (231224, '2022-04-22', '5960', '4358', '0859', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:34.71223');
INSERT INTO public.tbl_trx_japan_night VALUES (231225, '2022-04-23', '2717', '5605', '5729', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:34.904562');
INSERT INTO public.tbl_trx_japan_night VALUES (231226, '2022-04-24', '0825', '9270', '5637', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:35.122063');
INSERT INTO public.tbl_trx_japan_night VALUES (231227, '2022-04-25', '1391', '9156', '5300', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:35.317923');
INSERT INTO public.tbl_trx_japan_night VALUES (231228, '2022-04-26', '8131', '6749', '0583', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:35.552273');
INSERT INTO public.tbl_trx_japan_night VALUES (231229, '2022-04-27', '4753', '7689', '8566', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:35.780348');
INSERT INTO public.tbl_trx_japan_night VALUES (231230, '2022-04-28', '0569', '1629', '4631', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:36.038063');
INSERT INTO public.tbl_trx_japan_night VALUES (231231, '2022-04-29', '5515', '7275', '9231', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:36.257829');
INSERT INTO public.tbl_trx_japan_night VALUES (231232, '2022-04-30', '8251', '4353', '5771', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:36.49334');
INSERT INTO public.tbl_trx_japan_night VALUES (231233, '2022-05-01', '8372', '1742', '2347', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:36.70811');
INSERT INTO public.tbl_trx_japan_night VALUES (231234, '2022-05-02', '0065', '8561', '6514', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:36.903221');
INSERT INTO public.tbl_trx_japan_night VALUES (231235, '2022-05-03', '4038', '5786', '0316', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:37.149894');
INSERT INTO public.tbl_trx_japan_night VALUES (231236, '2022-05-04', '1675', '3007', '2227', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:37.359157');
INSERT INTO public.tbl_trx_japan_night VALUES (231237, '2022-05-05', '8413', '1919', '3012', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:37.564954');
INSERT INTO public.tbl_trx_japan_night VALUES (231238, '2022-05-06', '4344', '2669', '1469', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:37.771088');
INSERT INTO public.tbl_trx_japan_night VALUES (231239, '2022-05-07', '8653', '7472', '9493', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:37.982679');
INSERT INTO public.tbl_trx_japan_night VALUES (231240, '2022-05-08', '6659', '3138', '5110', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:38.204737');
INSERT INTO public.tbl_trx_japan_night VALUES (231241, '2022-05-09', '1429', '5198', '6195', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:38.408769');
INSERT INTO public.tbl_trx_japan_night VALUES (231242, '2022-05-10', '7206', '4909', '2581', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:38.626525');
INSERT INTO public.tbl_trx_japan_night VALUES (231243, '2022-05-11', '1142', '3178', '3278', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:38.83417');
INSERT INTO public.tbl_trx_japan_night VALUES (231244, '2022-05-12', '7085', '5101', '2477', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:39.057313');
INSERT INTO public.tbl_trx_japan_night VALUES (231245, '2022-05-13', '8644', '3794', '2263', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:39.238569');
INSERT INTO public.tbl_trx_japan_night VALUES (231246, '2022-05-14', '3774', '8987', '3014', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:39.431173');
INSERT INTO public.tbl_trx_japan_night VALUES (231247, '2022-05-15', '9978', '5385', '7776', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:39.621533');
INSERT INTO public.tbl_trx_japan_night VALUES (231248, '2022-05-16', '1313', '5878', '8602', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:39.811074');
INSERT INTO public.tbl_trx_japan_night VALUES (231249, '2022-05-17', '4145', '4711', '3596', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:40.031079');
INSERT INTO public.tbl_trx_japan_night VALUES (231252, '2022-05-20', '8497', '9635', '5251', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:40.658254');
INSERT INTO public.tbl_trx_japan_night VALUES (231253, '2022-05-21', '1206', '2760', '4056', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:40.890775');
INSERT INTO public.tbl_trx_japan_night VALUES (231256, '2022-05-24', '3978', '3840', '0282', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:41.543142');
INSERT INTO public.tbl_trx_japan_night VALUES (231258, '2022-05-26', '5176', '1385', '9384', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:41.967817');
INSERT INTO public.tbl_trx_japan_night VALUES (231259, '2022-05-27', '2300', '0022', '2366', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:42.171169');
INSERT INTO public.tbl_trx_japan_night VALUES (231262, '2022-05-30', '4993', '1649', '5216', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:42.79053');
INSERT INTO public.tbl_trx_japan_night VALUES (231267, '2022-06-04', '3095', '5774', '9578', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:43.895875');
INSERT INTO public.tbl_trx_japan_night VALUES (231268, '2022-06-05', '8901', '1867', '7121', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:44.12024');
INSERT INTO public.tbl_trx_japan_night VALUES (231270, '2022-06-07', '5466', '4492', '5907', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:44.505672');
INSERT INTO public.tbl_trx_japan_night VALUES (231273, '2022-06-10', '9569', '9294', '6051', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:45.103916');
INSERT INTO public.tbl_trx_japan_night VALUES (231275, '2022-06-12', '5042', '6365', '4445', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:45.516201');
INSERT INTO public.tbl_trx_japan_night VALUES (231279, '2022-06-16', '8994', '2733', '1412', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:46.421613');
INSERT INTO public.tbl_trx_japan_night VALUES (231282, '2022-06-19', '5864', '5441', '9874', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:47.113877');
INSERT INTO public.tbl_trx_japan_night VALUES (231298, '2022-07-05', '0813', '6891', '5618', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:50.491053');
INSERT INTO public.tbl_trx_japan_night VALUES (231299, '2022-07-06', '2812', '3779', '7421', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:50.656323');
INSERT INTO public.tbl_trx_japan_night VALUES (231308, '2022-07-15', '3469', '3976', '2222', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:52.468839');
INSERT INTO public.tbl_trx_japan_night VALUES (231312, '2022-07-19', '0181', '7569', '6442', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:53.276667');
INSERT INTO public.tbl_trx_japan_night VALUES (231313, '2022-07-20', '6539', '0826', '4831', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:53.549763');
INSERT INTO public.tbl_trx_japan_night VALUES (231321, '2022-07-28', '3822', '4740', '3893', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:55.209763');
INSERT INTO public.tbl_trx_japan_night VALUES (231322, '2022-07-29', '3434', '7942', '3701', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:55.403132');
INSERT INTO public.tbl_trx_japan_night VALUES (231324, '2022-07-31', '0739', '4987', '1327', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:55.804');
INSERT INTO public.tbl_trx_japan_night VALUES (231337, '2022-08-13', '9044', '0833', '3398', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:58.452555');
INSERT INTO public.tbl_trx_japan_night VALUES (231338, '2022-08-14', '4356', '6317', '6282', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:58.642261');
INSERT INTO public.tbl_trx_japan_night VALUES (231341, '2022-08-17', '1362', '1102', '3842', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:59.232244');
INSERT INTO public.tbl_trx_japan_night VALUES (231343, '2022-08-19', '4341', '8365', '6739', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:59.631075');
INSERT INTO public.tbl_trx_japan_night VALUES (231346, '2022-08-22', '5628', '5152', '7494', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:00.255113');
INSERT INTO public.tbl_trx_japan_night VALUES (231353, '2022-08-29', '8918', '3468', '4511', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:01.719304');
INSERT INTO public.tbl_trx_japan_night VALUES (231355, '2022-08-31', '4783', '2813', '9712', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:02.114243');
INSERT INTO public.tbl_trx_japan_night VALUES (231359, '2022-09-04', '5645', '0207', '9320', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:03.023828');
INSERT INTO public.tbl_trx_japan_night VALUES (231363, '2022-09-08', '9934', '5482', '0219', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:03.884536');
INSERT INTO public.tbl_trx_japan_night VALUES (231367, '2022-09-12', '3548', '0156', '8950', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:04.768892');
INSERT INTO public.tbl_trx_japan_night VALUES (231373, '2022-09-18', '1817', '1358', '6201', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:06.128154');
INSERT INTO public.tbl_trx_japan_night VALUES (231380, '2022-09-25', '2093', '3428', '9046', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:07.658299');
INSERT INTO public.tbl_trx_japan_night VALUES (231381, '2022-09-26', '9409', '6670', '0778', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:07.879779');
INSERT INTO public.tbl_trx_japan_night VALUES (231386, '2022-10-01', '5304', '5786', '2940', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:08.974044');
INSERT INTO public.tbl_trx_japan_night VALUES (231389, '2022-10-04', '0886', '6994', '4431', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:09.664122');
INSERT INTO public.tbl_trx_japan_night VALUES (231390, '2022-10-05', '4622', '2880', '8689', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:09.869095');
INSERT INTO public.tbl_trx_japan_night VALUES (231392, '2022-10-07', '9824', '0848', '4691', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:10.269712');
INSERT INTO public.tbl_trx_japan_night VALUES (231393, '2022-10-08', '5680', '0065', '4143', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:10.489829');
INSERT INTO public.tbl_trx_japan_night VALUES (231395, '2022-10-10', '9990', '5121', '4061', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:10.939368');
INSERT INTO public.tbl_trx_japan_night VALUES (231396, '2022-10-11', '4141', '7645', '0067', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:11.146208');
INSERT INTO public.tbl_trx_japan_night VALUES (231397, '2022-10-12', '1402', '3618', '4182', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:11.418243');
INSERT INTO public.tbl_trx_japan_night VALUES (231398, '2022-10-13', '8922', '7882', '5813', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:11.692112');
INSERT INTO public.tbl_trx_japan_night VALUES (231399, '2022-10-14', '2840', '6184', '0859', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:11.907071');
INSERT INTO public.tbl_trx_japan_night VALUES (231400, '2022-10-15', '9178', '3535', '2069', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:12.146188');
INSERT INTO public.tbl_trx_japan_night VALUES (231402, '2022-10-17', '2957', '7266', '6246', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:12.568693');
INSERT INTO public.tbl_trx_japan_night VALUES (231403, '2022-10-18', '4414', '8320', '2331', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:12.762348');
INSERT INTO public.tbl_trx_japan_night VALUES (231410, '2022-10-25', '2269', '0995', '5055', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:14.305088');
INSERT INTO public.tbl_trx_japan_night VALUES (231414, '2022-10-29', '9298', '0736', '8587', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:15.157345');
INSERT INTO public.tbl_trx_japan_night VALUES (231415, '2022-10-30', '4059', '4666', '0564', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:15.379158');
INSERT INTO public.tbl_trx_japan_night VALUES (231416, '2022-10-31', '5780', '5613', '3461', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:15.602153');
INSERT INTO public.tbl_trx_japan_night VALUES (231417, '2022-11-01', '9597', '2234', '5394', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:15.795314');
INSERT INTO public.tbl_trx_japan_night VALUES (231426, '2022-11-10', '9322', '9378', '5094', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:17.588592');
INSERT INTO public.tbl_trx_japan_night VALUES (231427, '2022-11-11', '9886', '5065', '4123', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:17.781181');
INSERT INTO public.tbl_trx_japan_night VALUES (231429, '2022-11-13', '6973', '8048', '5256', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:18.177208');
INSERT INTO public.tbl_trx_japan_night VALUES (231430, '2022-11-14', '3753', '3442', '5042', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:18.395114');
INSERT INTO public.tbl_trx_japan_night VALUES (24158, '2024-06-07', '3201', '9576', '2722', 'admintoto', '2024-06-07 15:31:05', 'admintoto', '2024-06-07 16:00:08');
INSERT INTO public.tbl_trx_japan_night VALUES (24169, '2024-06-19', '4747', '5981', '9231', 'admintoto', '2024-06-19 16:00:31', 'admintoto', '2024-06-19 17:14:21');
INSERT INTO public.tbl_trx_japan_night VALUES (24180, '2024-06-30', '2966', '3566', '4005', 'admintoto', '2024-06-30 16:02:20', 'admintoto', '2024-06-30 16:02:31');
INSERT INTO public.tbl_trx_japan_night VALUES (24193, '2024-07-13', '4872', '9927', '1080', 'admintoto', '2024-07-13 15:40:37', 'admintoto', '2024-07-13 19:15:34');
INSERT INTO public.tbl_trx_japan_night VALUES (24204, '2024-07-24', '0353', '3824', '4135', 'admintoto', '2024-07-24 16:35:31', 'admintoto', '2024-07-24 16:35:36');
INSERT INTO public.tbl_trx_japan_night VALUES (24218, '2024-08-07', '7953', '6640', '0848', 'admintoto', '2024-08-07 16:44:18', 'admintoto', '2024-08-07 16:44:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231250, '2022-05-18', '7098', '4351', '9141', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:40.272292');
INSERT INTO public.tbl_trx_japan_night VALUES (231257, '2022-05-25', '5512', '8394', '3641', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:41.773053');
INSERT INTO public.tbl_trx_japan_night VALUES (231264, '2022-06-01', '5914', '6820', '7773', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:43.239859');
INSERT INTO public.tbl_trx_japan_night VALUES (231266, '2022-06-03', '9481', '6171', '6819', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:43.662726');
INSERT INTO public.tbl_trx_japan_night VALUES (231278, '2022-06-15', '7102', '2126', '7370', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:46.230328');
INSERT INTO public.tbl_trx_japan_night VALUES (231281, '2022-06-18', '2413', '1261', '0222', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:46.881189');
INSERT INTO public.tbl_trx_japan_night VALUES (231283, '2022-06-20', '7841', '4278', '5218', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:47.345215');
INSERT INTO public.tbl_trx_japan_night VALUES (231285, '2022-06-22', '5567', '8811', '2378', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:47.764283');
INSERT INTO public.tbl_trx_japan_night VALUES (231288, '2022-06-25', '5550', '5423', '8883', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:48.399682');
INSERT INTO public.tbl_trx_japan_night VALUES (231290, '2022-06-27', '6871', '4765', '7061', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:48.878285');
INSERT INTO public.tbl_trx_japan_night VALUES (231293, '2022-06-30', '5010', '2605', '8058', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:49.47655');
INSERT INTO public.tbl_trx_japan_night VALUES (231295, '2022-07-02', '3362', '7384', '1300', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:49.874371');
INSERT INTO public.tbl_trx_japan_night VALUES (231303, '2022-07-10', '8637', '6362', '4025', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:51.476972');
INSERT INTO public.tbl_trx_japan_night VALUES (231304, '2022-07-11', '1830', '9269', '2903', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:51.683205');
INSERT INTO public.tbl_trx_japan_night VALUES (231307, '2022-07-14', '0976', '9582', '2195', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:52.307198');
INSERT INTO public.tbl_trx_japan_night VALUES (231316, '2022-07-23', '4654', '6060', '2207', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:54.210532');
INSERT INTO public.tbl_trx_japan_night VALUES (231323, '2022-07-30', '7796', '3262', '7163', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:55.595186');
INSERT INTO public.tbl_trx_japan_night VALUES (231327, '2022-08-03', '3942', '7657', '9538', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:56.454346');
INSERT INTO public.tbl_trx_japan_night VALUES (231334, '2022-08-10', '3897', '9328', '0191', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:57.830416');
INSERT INTO public.tbl_trx_japan_night VALUES (231335, '2022-08-11', '6359', '7838', '4316', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:58.006752');
INSERT INTO public.tbl_trx_japan_night VALUES (231340, '2022-08-16', '5478', '0814', '1205', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:59.011252');
INSERT INTO public.tbl_trx_japan_night VALUES (231348, '2022-08-24', '8691', '1608', '8869', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:00.686149');
INSERT INTO public.tbl_trx_japan_night VALUES (231358, '2022-09-03', '2302', '8692', '8146', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:02.803329');
INSERT INTO public.tbl_trx_japan_night VALUES (231362, '2022-09-07', '9330', '5520', '0172', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:03.681481');
INSERT INTO public.tbl_trx_japan_night VALUES (231366, '2022-09-11', '7461', '3563', '4307', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:04.562371');
INSERT INTO public.tbl_trx_japan_night VALUES (231369, '2022-09-14', '6219', '4052', '8803', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:05.236952');
INSERT INTO public.tbl_trx_japan_night VALUES (231370, '2022-09-15', '1855', '3053', '8954', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:05.446137');
INSERT INTO public.tbl_trx_japan_night VALUES (231374, '2022-09-19', '5079', '6819', '7605', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:06.32947');
INSERT INTO public.tbl_trx_japan_night VALUES (231378, '2022-09-23', '7281', '8130', '5403', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:07.191195');
INSERT INTO public.tbl_trx_japan_night VALUES (231382, '2022-09-27', '2439', '3517', '2877', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:08.09436');
INSERT INTO public.tbl_trx_japan_night VALUES (231385, '2022-09-30', '2391', '9721', '9981', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:08.751825');
INSERT INTO public.tbl_trx_japan_night VALUES (231387, '2022-10-02', '9054', '2749', '2323', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:09.19419');
INSERT INTO public.tbl_trx_japan_night VALUES (231394, '2022-10-09', '7276', '5899', '0817', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:10.735077');
INSERT INTO public.tbl_trx_japan_night VALUES (231401, '2022-10-16', '5488', '3929', '9731', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:12.375105');
INSERT INTO public.tbl_trx_japan_night VALUES (231406, '2022-10-21', '7925', '3040', '9877', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:13.457648');
INSERT INTO public.tbl_trx_japan_night VALUES (231407, '2022-10-22', '6658', '2717', '5076', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:13.664044');
INSERT INTO public.tbl_trx_japan_night VALUES (231411, '2022-10-26', '2869', '9590', '7234', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:14.49929');
INSERT INTO public.tbl_trx_japan_night VALUES (231412, '2022-10-27', '7019', '2891', '7826', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:14.719702');
INSERT INTO public.tbl_trx_japan_night VALUES (231422, '2022-11-06', '0122', '2774', '1512', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:16.77106');
INSERT INTO public.tbl_trx_japan_night VALUES (231424, '2022-11-08', '3608', '0735', '0522', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:17.196817');
INSERT INTO public.tbl_trx_japan_night VALUES (231433, '2022-11-17', '2750', '9456', '2784', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:19.051962');
INSERT INTO public.tbl_trx_japan_night VALUES (231434, '2022-11-18', '6141', '1466', '4851', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:19.323019');
INSERT INTO public.tbl_trx_japan_night VALUES (231438, '2022-11-22', '0493', '8016', '8614', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:20.224823');
INSERT INTO public.tbl_trx_japan_night VALUES (231439, '2022-11-23', '0104', '8378', '8337', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:20.403108');
INSERT INTO public.tbl_trx_japan_night VALUES (231440, '2022-11-24', '1408', '4680', '3624', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:20.579395');
INSERT INTO public.tbl_trx_japan_night VALUES (231441, '2022-11-25', '3561', '7618', '7813', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:20.754779');
INSERT INTO public.tbl_trx_japan_night VALUES (231442, '2022-11-26', '5165', '4933', '0221', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:20.931077');
INSERT INTO public.tbl_trx_japan_night VALUES (231482, '2023-01-05', '0300', '2171', '9458', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:28.402147');
INSERT INTO public.tbl_trx_japan_night VALUES (231484, '2023-01-07', '2969', '5408', '4152', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:28.735833');
INSERT INTO public.tbl_trx_japan_night VALUES (231486, '2023-01-09', '8248', '7939', '6388', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:29.06556');
INSERT INTO public.tbl_trx_japan_night VALUES (231488, '2023-01-11', '1830', '8950', '1159', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:29.396107');
INSERT INTO public.tbl_trx_japan_night VALUES (231490, '2023-01-13', '6760', '3671', '5229', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:29.725247');
INSERT INTO public.tbl_trx_japan_night VALUES (24159, '2024-06-08', '1471', '5314', '7050', 'admintoto', '2024-06-08 16:02:17', 'admintoto', '2024-06-08 16:02:25');
INSERT INTO public.tbl_trx_japan_night VALUES (24170, '2024-06-20', '7173', '8700', '6141', 'admintoto', '2024-06-20 15:51:13', 'admintoto', '2024-06-20 16:06:15');
INSERT INTO public.tbl_trx_japan_night VALUES (24181, '2024-07-01', '1755', '2358', '8562', 'admintoto', '2024-07-01 15:42:41', 'admintoto', '2024-07-01 16:07:16');
INSERT INTO public.tbl_trx_japan_night VALUES (24194, '2024-07-14', '3509', '4480', '0068', 'admintoto', '2024-07-14 16:21:06', 'admintoto', '2024-07-14 16:21:19');
INSERT INTO public.tbl_trx_japan_night VALUES (24205, '2024-07-25', '4807', '3055', '6977', 'admintoto', '2024-07-25 15:54:57', 'admintoto', '2024-07-25 15:55:03');
INSERT INTO public.tbl_trx_japan_night VALUES (24219, '2024-08-08', '8091', '4990', '9423', 'admintoto', '2024-08-08 16:48:31', 'admintoto', '2024-08-08 16:48:41');
INSERT INTO public.tbl_trx_japan_night VALUES (231251, '2022-05-19', '3556', '4307', '3555', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:40.476717');
INSERT INTO public.tbl_trx_japan_night VALUES (231255, '2022-05-23', '2874', '8235', '5359', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:41.324649');
INSERT INTO public.tbl_trx_japan_night VALUES (231271, '2022-06-08', '3907', '3773', '7650', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:44.703825');
INSERT INTO public.tbl_trx_japan_night VALUES (231272, '2022-06-09', '0755', '4854', '5580', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:44.892148');
INSERT INTO public.tbl_trx_japan_night VALUES (231277, '2022-06-14', '9966', '3152', '5565', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:46.011507');
INSERT INTO public.tbl_trx_japan_night VALUES (231280, '2022-06-17', '5144', '6374', '8152', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:46.627486');
INSERT INTO public.tbl_trx_japan_night VALUES (231284, '2022-06-21', '7929', '5614', '0630', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:47.551087');
INSERT INTO public.tbl_trx_japan_night VALUES (231286, '2022-06-23', '9267', '9794', '9295', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:47.985639');
INSERT INTO public.tbl_trx_japan_night VALUES (231291, '2022-06-28', '9854', '6083', '4051', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:49.044949');
INSERT INTO public.tbl_trx_japan_night VALUES (231292, '2022-06-29', '6123', '8970', '7547', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:49.261302');
INSERT INTO public.tbl_trx_japan_night VALUES (231300, '2022-07-07', '9423', '8884', '5255', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:50.864341');
INSERT INTO public.tbl_trx_japan_night VALUES (231302, '2022-07-09', '5740', '3408', '1810', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:51.258869');
INSERT INTO public.tbl_trx_japan_night VALUES (231305, '2022-07-12', '6021', '5533', '7099', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:51.891788');
INSERT INTO public.tbl_trx_japan_night VALUES (231309, '2022-07-16', '2845', '1588', '3070', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:52.677829');
INSERT INTO public.tbl_trx_japan_night VALUES (231310, '2022-07-17', '1267', '1237', '5427', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:52.868908');
INSERT INTO public.tbl_trx_japan_night VALUES (231311, '2022-07-18', '8535', '9063', '0154', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:53.065684');
INSERT INTO public.tbl_trx_japan_night VALUES (231314, '2022-07-21', '1459', '7409', '6358', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:53.759854');
INSERT INTO public.tbl_trx_japan_night VALUES (231318, '2022-07-25', '2751', '1636', '9610', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:54.58477');
INSERT INTO public.tbl_trx_japan_night VALUES (231319, '2022-07-26', '7496', '6831', '8182', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:54.761285');
INSERT INTO public.tbl_trx_japan_night VALUES (231328, '2022-08-04', '0253', '5107', '6265', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:56.677966');
INSERT INTO public.tbl_trx_japan_night VALUES (231333, '2022-08-09', '6328', '3159', '7196', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:57.639992');
INSERT INTO public.tbl_trx_japan_night VALUES (231339, '2022-08-15', '3643', '6545', '6029', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:58.836738');
INSERT INTO public.tbl_trx_japan_night VALUES (231344, '2022-08-20', '6860', '4032', '0094', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:59.834439');
INSERT INTO public.tbl_trx_japan_night VALUES (231345, '2022-08-21', '5705', '1469', '0841', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:00.032097');
INSERT INTO public.tbl_trx_japan_night VALUES (231347, '2022-08-23', '0619', '2324', '7120', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:00.467467');
INSERT INTO public.tbl_trx_japan_night VALUES (231351, '2022-08-27', '8584', '0207', '5941', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:01.294786');
INSERT INTO public.tbl_trx_japan_night VALUES (231352, '2022-08-28', '3502', '2756', '2911', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:01.512754');
INSERT INTO public.tbl_trx_japan_night VALUES (231361, '2022-09-06', '9596', '9434', '4313', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:03.480229');
INSERT INTO public.tbl_trx_japan_night VALUES (231365, '2022-09-10', '1463', '3650', '5165', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:04.344302');
INSERT INTO public.tbl_trx_japan_night VALUES (231368, '2022-09-13', '4509', '0375', '4178', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:04.986201');
INSERT INTO public.tbl_trx_japan_night VALUES (231375, '2022-09-20', '6097', '7221', '9277', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:06.510014');
INSERT INTO public.tbl_trx_japan_night VALUES (231383, '2022-09-28', '6733', '6741', '2972', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:08.316076');
INSERT INTO public.tbl_trx_japan_night VALUES (231384, '2022-09-29', '0091', '1732', '2143', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:08.519354');
INSERT INTO public.tbl_trx_japan_night VALUES (231388, '2022-10-03', '9536', '3939', '2277', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:09.432462');
INSERT INTO public.tbl_trx_japan_night VALUES (231391, '2022-10-06', '0016', '6189', '9947', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:10.046442');
INSERT INTO public.tbl_trx_japan_night VALUES (231404, '2022-10-19', '9462', '2941', '1684', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:12.957378');
INSERT INTO public.tbl_trx_japan_night VALUES (231408, '2022-10-23', '1238', '7968', '1934', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:13.873222');
INSERT INTO public.tbl_trx_japan_night VALUES (231413, '2022-10-28', '3603', '2553', '4822', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:14.938834');
INSERT INTO public.tbl_trx_japan_night VALUES (231418, '2022-11-02', '4178', '6993', '8378', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:15.961697');
INSERT INTO public.tbl_trx_japan_night VALUES (231419, '2022-11-03', '7404', '3124', '9805', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:16.176417');
INSERT INTO public.tbl_trx_japan_night VALUES (231420, '2022-11-04', '5327', '1070', '2473', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:16.386425');
INSERT INTO public.tbl_trx_japan_night VALUES (231428, '2022-11-12', '9755', '0866', '2286', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:17.999305');
INSERT INTO public.tbl_trx_japan_night VALUES (231432, '2022-11-16', '7413', '9623', '9320', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:18.833898');
INSERT INTO public.tbl_trx_japan_night VALUES (231435, '2022-11-19', '1632', '4969', '3663', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:19.52685');
INSERT INTO public.tbl_trx_japan_night VALUES (231443, '2022-11-27', '5987', '6401', '6109', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:21.122406');
INSERT INTO public.tbl_trx_japan_night VALUES (231444, '2022-11-28', '5080', '2742', '8983', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:21.311931');
INSERT INTO public.tbl_trx_japan_night VALUES (231445, '2022-11-29', '9534', '0956', '6160', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:21.505232');
INSERT INTO public.tbl_trx_japan_night VALUES (231446, '2022-11-30', '7783', '1460', '1248', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:21.69288');
INSERT INTO public.tbl_trx_japan_night VALUES (231447, '2022-12-01', '1042', '4321', '8020', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:21.875758');
INSERT INTO public.tbl_trx_japan_night VALUES (231448, '2022-12-02', '6376', '2509', '3330', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:22.064971');
INSERT INTO public.tbl_trx_japan_night VALUES (231449, '2022-12-03', '4055', '6036', '4036', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:22.252331');
INSERT INTO public.tbl_trx_japan_night VALUES (231450, '2022-12-04', '8614', '5955', '4191', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:22.435266');
INSERT INTO public.tbl_trx_japan_night VALUES (231451, '2022-12-05', '9386', '2679', '5602', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:22.619737');
INSERT INTO public.tbl_trx_japan_night VALUES (231452, '2022-12-06', '9078', '6702', '3954', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:22.804054');
INSERT INTO public.tbl_trx_japan_night VALUES (231453, '2022-12-07', '8882', '9370', '7896', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:22.993574');
INSERT INTO public.tbl_trx_japan_night VALUES (231454, '2022-12-08', '5049', '8375', '0426', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:23.187121');
INSERT INTO public.tbl_trx_japan_night VALUES (231455, '2022-12-09', '4813', '8430', '3914', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:23.378398');
INSERT INTO public.tbl_trx_japan_night VALUES (231456, '2022-12-10', '5929', '8241', '6032', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:23.562759');
INSERT INTO public.tbl_trx_japan_night VALUES (231457, '2022-12-11', '5474', '5899', '5583', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:23.744968');
INSERT INTO public.tbl_trx_japan_night VALUES (231458, '2022-12-12', '2359', '5862', '2260', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:23.92707');
INSERT INTO public.tbl_trx_japan_night VALUES (231459, '2022-12-13', '5045', '4908', '4823', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:24.109754');
INSERT INTO public.tbl_trx_japan_night VALUES (231460, '2022-12-14', '8671', '3958', '9119', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:24.295055');
INSERT INTO public.tbl_trx_japan_night VALUES (231461, '2022-12-15', '5386', '7948', '4374', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:24.480298');
INSERT INTO public.tbl_trx_japan_night VALUES (231462, '2022-12-16', '2936', '3441', '8933', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:24.663423');
INSERT INTO public.tbl_trx_japan_night VALUES (231463, '2022-12-17', '4619', '5186', '7151', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:24.845539');
INSERT INTO public.tbl_trx_japan_night VALUES (231464, '2022-12-18', '3892', '8782', '7182', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:25.035757');
INSERT INTO public.tbl_trx_japan_night VALUES (231465, '2022-12-19', '4425', '2966', '9364', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:25.224585');
INSERT INTO public.tbl_trx_japan_night VALUES (231466, '2022-12-20', '5876', '6133', '5077', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:25.411551');
INSERT INTO public.tbl_trx_japan_night VALUES (231467, '2022-12-21', '9335', '9297', '4171', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:25.595904');
INSERT INTO public.tbl_trx_japan_night VALUES (231468, '2022-12-22', '4197', '3044', '0589', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:25.784356');
INSERT INTO public.tbl_trx_japan_night VALUES (231469, '2022-12-23', '2603', '6439', '9021', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:25.971283');
INSERT INTO public.tbl_trx_japan_night VALUES (231470, '2022-12-24', '8774', '8535', '6837', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:26.160751');
INSERT INTO public.tbl_trx_japan_night VALUES (231471, '2022-12-25', '7101', '4077', '4901', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:26.348697');
INSERT INTO public.tbl_trx_japan_night VALUES (231472, '2022-12-26', '1826', '4960', '4004', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:26.530834');
INSERT INTO public.tbl_trx_japan_night VALUES (231473, '2022-12-27', '6811', '7577', '4003', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:26.714137');
INSERT INTO public.tbl_trx_japan_night VALUES (231474, '2022-12-28', '9165', '5847', '8911', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:26.901472');
INSERT INTO public.tbl_trx_japan_night VALUES (231475, '2022-12-29', '3062', '9209', '6593', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:27.088901');
INSERT INTO public.tbl_trx_japan_night VALUES (231476, '2022-12-30', '7137', '5570', '0160', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:27.276794');
INSERT INTO public.tbl_trx_japan_night VALUES (231477, '2022-12-31', '7350', '8508', '9280', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:27.464753');
INSERT INTO public.tbl_trx_japan_night VALUES (231478, '2023-01-01', '2370', '4698', '9605', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:27.653398');
INSERT INTO public.tbl_trx_japan_night VALUES (231479, '2023-01-02', '1310', '2621', '5192', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:27.841012');
INSERT INTO public.tbl_trx_japan_night VALUES (231480, '2023-01-03', '3800', '4773', '4893', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:28.023089');
INSERT INTO public.tbl_trx_japan_night VALUES (231481, '2023-01-04', '5343', '2983', '7083', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:28.21428');
INSERT INTO public.tbl_trx_japan_night VALUES (24171, '2024-06-21', '8309', '2651', '9538', 'admintoto', '2024-06-21 16:00:59', 'admintoto', '2024-06-21 16:01:11');
INSERT INTO public.tbl_trx_japan_night VALUES (24160, '2024-06-09', '5332', '0792', '6355', 'admintoto', '2024-06-09 16:00:40', 'admintoto', '2024-06-09 16:00:48');
INSERT INTO public.tbl_trx_japan_night VALUES (24182, '2024-07-02', '9250', '4743', '9270', 'admintoto', '2024-07-02 16:47:39', 'admintoto', '2024-07-02 16:47:51');
INSERT INTO public.tbl_trx_japan_night VALUES (24195, '2024-07-15', '2653', '1794', '0994', 'admintoto', '2024-07-15 16:00:25', 'admintoto', '2024-07-15 16:00:35');
INSERT INTO public.tbl_trx_japan_night VALUES (24206, '2024-07-26', '8327', '5338', '0856', 'admintoto', '2024-07-26 16:20:59', 'admintoto', '2024-07-26 16:21:07');
INSERT INTO public.tbl_trx_japan_night VALUES (24220, '2024-08-09', '0082', '8292', '1575', 'admintoto', '2024-08-09 16:00:16', 'admintoto', '2024-08-09 16:00:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231254, '2022-05-22', '9864', '2934', '4685', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:41.099634');
INSERT INTO public.tbl_trx_japan_night VALUES (231260, '2022-05-28', '4617', '6293', '2955', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:42.390288');
INSERT INTO public.tbl_trx_japan_night VALUES (231261, '2022-05-29', '9814', '4814', '4104', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:42.581062');
INSERT INTO public.tbl_trx_japan_night VALUES (231263, '2022-05-31', '5630', '7361', '0227', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:43.011301');
INSERT INTO public.tbl_trx_japan_night VALUES (231265, '2022-06-02', '4728', '4858', '5882', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:43.473834');
INSERT INTO public.tbl_trx_japan_night VALUES (231269, '2022-06-06', '7896', '9327', '3768', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:44.302292');
INSERT INTO public.tbl_trx_japan_night VALUES (231274, '2022-06-11', '2454', '4075', '3866', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:45.323981');
INSERT INTO public.tbl_trx_japan_night VALUES (231276, '2022-06-13', '9643', '1994', '0269', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:45.780001');
INSERT INTO public.tbl_trx_japan_night VALUES (231287, '2022-06-24', '7288', '1257', '6151', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:48.178344');
INSERT INTO public.tbl_trx_japan_night VALUES (231289, '2022-06-26', '0501', '5830', '8365', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:48.633625');
INSERT INTO public.tbl_trx_japan_night VALUES (231294, '2022-07-01', '7737', '2807', '7910', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:49.657211');
INSERT INTO public.tbl_trx_japan_night VALUES (231296, '2022-07-03', '6084', '2612', '4752', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:50.083236');
INSERT INTO public.tbl_trx_japan_night VALUES (231297, '2022-07-04', '9028', '7370', '9230', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:50.288869');
INSERT INTO public.tbl_trx_japan_night VALUES (231301, '2022-07-08', '7964', '5624', '8246', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:51.064701');
INSERT INTO public.tbl_trx_japan_night VALUES (231306, '2022-07-13', '4850', '2380', '0462', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:52.101866');
INSERT INTO public.tbl_trx_japan_night VALUES (231315, '2022-07-22', '7957', '3931', '3782', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:53.991043');
INSERT INTO public.tbl_trx_japan_night VALUES (231317, '2022-07-24', '6719', '9101', '5539', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:54.389773');
INSERT INTO public.tbl_trx_japan_night VALUES (231320, '2022-07-27', '8404', '1474', '2610', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:55.033862');
INSERT INTO public.tbl_trx_japan_night VALUES (231325, '2022-08-01', '2384', '8796', '5514', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:56.017338');
INSERT INTO public.tbl_trx_japan_night VALUES (231326, '2022-08-02', '2117', '4169', '1556', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:56.237889');
INSERT INTO public.tbl_trx_japan_night VALUES (231329, '2022-08-05', '0150', '1213', '8080', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:56.873376');
INSERT INTO public.tbl_trx_japan_night VALUES (231330, '2022-08-06', '9916', '8237', '6495', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:57.082878');
INSERT INTO public.tbl_trx_japan_night VALUES (231331, '2022-08-07', '4435', '8915', '4380', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:57.284567');
INSERT INTO public.tbl_trx_japan_night VALUES (231332, '2022-08-08', '1867', '2546', '6936', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:57.471162');
INSERT INTO public.tbl_trx_japan_night VALUES (231336, '2022-08-12', '8763', '6768', '9839', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:58.232752');
INSERT INTO public.tbl_trx_japan_night VALUES (231342, '2022-08-18', '4050', '5881', '0339', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:49:59.435632');
INSERT INTO public.tbl_trx_japan_night VALUES (231349, '2022-08-25', '6986', '5998', '7809', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:00.875583');
INSERT INTO public.tbl_trx_japan_night VALUES (231350, '2022-08-26', '2016', '8725', '9871', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:01.054418');
INSERT INTO public.tbl_trx_japan_night VALUES (231354, '2022-08-30', '8033', '1367', '6073', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:01.932849');
INSERT INTO public.tbl_trx_japan_night VALUES (231356, '2022-09-01', '3530', '4799', '6046', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:02.306687');
INSERT INTO public.tbl_trx_japan_night VALUES (231357, '2022-09-02', '8432', '3136', '2277', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:02.579915');
INSERT INTO public.tbl_trx_japan_night VALUES (231360, '2022-09-05', '1805', '4508', '4526', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:03.262127');
INSERT INTO public.tbl_trx_japan_night VALUES (231364, '2022-09-09', '1800', '8332', '5913', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:04.109859');
INSERT INTO public.tbl_trx_japan_night VALUES (231371, '2022-09-16', '7168', '1538', '5060', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:05.705263');
INSERT INTO public.tbl_trx_japan_night VALUES (231372, '2022-09-17', '6896', '2641', '1504', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:05.924584');
INSERT INTO public.tbl_trx_japan_night VALUES (231376, '2022-09-21', '3954', '6905', '6559', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:06.703121');
INSERT INTO public.tbl_trx_japan_night VALUES (231377, '2022-09-22', '7716', '1269', '9205', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:06.933547');
INSERT INTO public.tbl_trx_japan_night VALUES (231379, '2022-09-24', '6895', '7802', '0746', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:07.423843');
INSERT INTO public.tbl_trx_japan_night VALUES (231405, '2022-10-20', '1723', '1224', '9385', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:13.218749');
INSERT INTO public.tbl_trx_japan_night VALUES (231409, '2022-10-24', '1573', '5533', '7833', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:14.084957');
INSERT INTO public.tbl_trx_japan_night VALUES (231421, '2022-11-05', '6557', '6903', '0475', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:16.576979');
INSERT INTO public.tbl_trx_japan_night VALUES (231423, '2022-11-07', '9610', '8266', '5677', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:16.989807');
INSERT INTO public.tbl_trx_japan_night VALUES (231425, '2022-11-09', '5263', '3668', '4202', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:17.400364');
INSERT INTO public.tbl_trx_japan_night VALUES (231431, '2022-11-15', '9217', '0603', '4490', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:18.609593');
INSERT INTO public.tbl_trx_japan_night VALUES (231436, '2022-11-20', '0518', '4404', '8051', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:19.811982');
INSERT INTO public.tbl_trx_japan_night VALUES (231437, '2022-11-21', '5409', '6010', '6139', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:20.02998');
INSERT INTO public.tbl_trx_japan_night VALUES (231483, '2023-01-06', '4774', '9746', '7757', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:28.570127');
INSERT INTO public.tbl_trx_japan_night VALUES (231485, '2023-01-08', '0159', '7936', '8305', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:28.901148');
INSERT INTO public.tbl_trx_japan_night VALUES (231487, '2023-01-10', '7807', '7821', '1362', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:29.231198');
INSERT INTO public.tbl_trx_japan_night VALUES (231489, '2023-01-12', '8918', '0151', '9089', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:29.561085');
INSERT INTO public.tbl_trx_japan_night VALUES (231491, '2023-01-14', '2553', '0128', '4854', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:29.891834');
INSERT INTO public.tbl_trx_japan_night VALUES (231492, '2023-01-15', '8662', '5166', '3094', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:30.061155');
INSERT INTO public.tbl_trx_japan_night VALUES (231493, '2023-01-16', '1056', '9393', '1143', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:30.227247');
INSERT INTO public.tbl_trx_japan_night VALUES (231494, '2023-01-17', '8285', '1638', '8338', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:30.391611');
INSERT INTO public.tbl_trx_japan_night VALUES (231495, '2023-01-18', '7563', '3291', '7409', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:30.556685');
INSERT INTO public.tbl_trx_japan_night VALUES (231496, '2023-01-19', '6104', '9030', '3693', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:30.723215');
INSERT INTO public.tbl_trx_japan_night VALUES (231497, '2023-01-20', '2185', '2464', '5580', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:30.889989');
INSERT INTO public.tbl_trx_japan_night VALUES (231498, '2023-01-21', '0814', '6451', '5076', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:31.056336');
INSERT INTO public.tbl_trx_japan_night VALUES (231499, '2023-01-22', '0384', '9423', '8787', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:31.226189');
INSERT INTO public.tbl_trx_japan_night VALUES (231500, '2023-01-23', '2454', '0066', '2255', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:31.394727');
INSERT INTO public.tbl_trx_japan_night VALUES (231501, '2023-01-24', '9664', '2118', '8965', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:31.562453');
INSERT INTO public.tbl_trx_japan_night VALUES (231502, '2023-01-25', '2019', '8072', '1261', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:31.727658');
INSERT INTO public.tbl_trx_japan_night VALUES (231503, '2023-01-26', '5552', '1337', '6569', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:31.89313');
INSERT INTO public.tbl_trx_japan_night VALUES (231504, '2023-01-27', '7653', '3613', '9542', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:32.059331');
INSERT INTO public.tbl_trx_japan_night VALUES (231505, '2023-01-28', '1482', '4698', '9648', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:32.224951');
INSERT INTO public.tbl_trx_japan_night VALUES (231506, '2023-01-29', '3330', '9756', '8192', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:32.390705');
INSERT INTO public.tbl_trx_japan_night VALUES (231507, '2023-01-30', '7177', '1532', '2050', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:32.556656');
INSERT INTO public.tbl_trx_japan_night VALUES (231508, '2023-01-31', '5052', '1620', '3747', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:32.72324');
INSERT INTO public.tbl_trx_japan_night VALUES (231509, '2023-02-01', '6458', '8322', '7808', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:32.891418');
INSERT INTO public.tbl_trx_japan_night VALUES (231510, '2023-02-02', '0304', '9471', '8383', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:33.056756');
INSERT INTO public.tbl_trx_japan_night VALUES (231511, '2023-02-03', '7755', '0149', '4978', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:33.221569');
INSERT INTO public.tbl_trx_japan_night VALUES (231512, '2023-02-04', '8915', '6179', '2288', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:33.386114');
INSERT INTO public.tbl_trx_japan_night VALUES (231513, '2023-02-05', '1573', '8669', '9682', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:33.552258');
INSERT INTO public.tbl_trx_japan_night VALUES (231514, '2023-02-06', '7682', '0369', '8659', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:33.718269');
INSERT INTO public.tbl_trx_japan_night VALUES (231515, '2023-02-07', '7181', '6125', '2540', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:33.883664');
INSERT INTO public.tbl_trx_japan_night VALUES (231516, '2023-02-08', '7636', '2073', '1320', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:34.050463');
INSERT INTO public.tbl_trx_japan_night VALUES (231517, '2023-02-09', '7398', '6762', '9835', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:34.216911');
INSERT INTO public.tbl_trx_japan_night VALUES (231518, '2023-02-10', '2600', '9665', '9097', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:34.382769');
INSERT INTO public.tbl_trx_japan_night VALUES (231519, '2023-02-11', '0352', '1403', '7861', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:34.547932');
INSERT INTO public.tbl_trx_japan_night VALUES (231520, '2023-02-12', '3524', '6245', '9116', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:34.713495');
INSERT INTO public.tbl_trx_japan_night VALUES (231521, '2023-02-13', '4972', '6221', '1256', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:34.878885');
INSERT INTO public.tbl_trx_japan_night VALUES (231522, '2023-02-14', '3047', '6847', '5267', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:35.044154');
INSERT INTO public.tbl_trx_japan_night VALUES (231523, '2023-02-15', '0868', '2117', '6330', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:35.209896');
INSERT INTO public.tbl_trx_japan_night VALUES (231524, '2023-02-16', '4843', '5845', '0980', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:35.375614');
INSERT INTO public.tbl_trx_japan_night VALUES (231525, '2023-02-17', '2921', '8242', '5327', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:35.54071');
INSERT INTO public.tbl_trx_japan_night VALUES (231526, '2023-02-18', '4359', '3999', '8359', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:35.705233');
INSERT INTO public.tbl_trx_japan_night VALUES (231527, '2023-02-19', '1088', '5311', '1688', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:35.871979');
INSERT INTO public.tbl_trx_japan_night VALUES (231528, '2023-02-20', '6195', '6630', '9315', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:36.037232');
INSERT INTO public.tbl_trx_japan_night VALUES (231529, '2023-02-21', '1303', '9029', '8370', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:36.201868');
INSERT INTO public.tbl_trx_japan_night VALUES (231530, '2023-02-22', '7973', '8729', '4449', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:36.366536');
INSERT INTO public.tbl_trx_japan_night VALUES (231531, '2023-02-23', '2354', '2272', '0400', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:36.531998');
INSERT INTO public.tbl_trx_japan_night VALUES (231532, '2023-02-24', '5238', '9456', '0776', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:36.696848');
INSERT INTO public.tbl_trx_japan_night VALUES (231533, '2023-02-25', '6154', '5014', '8302', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:36.861699');
INSERT INTO public.tbl_trx_japan_night VALUES (231534, '2023-02-26', '6317', '6168', '5017', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:37.026231');
INSERT INTO public.tbl_trx_japan_night VALUES (231535, '2023-02-27', '6223', '4411', '3629', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:37.191262');
INSERT INTO public.tbl_trx_japan_night VALUES (231536, '2023-02-28', '0403', '6882', '8721', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:37.356162');
INSERT INTO public.tbl_trx_japan_night VALUES (231537, '2023-03-01', '5276', '9611', '3007', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:37.521072');
INSERT INTO public.tbl_trx_japan_night VALUES (231538, '2023-03-02', '7161', '9778', '6425', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:37.685989');
INSERT INTO public.tbl_trx_japan_night VALUES (231540, '2023-03-04', '2241', '3660', '3985', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:38.017938');
INSERT INTO public.tbl_trx_japan_night VALUES (231542, '2023-03-06', '2274', '0635', '0984', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:38.348267');
INSERT INTO public.tbl_trx_japan_night VALUES (231544, '2023-03-08', '3532', '7087', '5036', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:38.678049');
INSERT INTO public.tbl_trx_japan_night VALUES (231546, '2023-03-10', '1948', '2266', '4161', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.008061');
INSERT INTO public.tbl_trx_japan_night VALUES (231548, '2023-03-12', '3707', '1283', '4297', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.338665');
INSERT INTO public.tbl_trx_japan_night VALUES (231550, '2023-03-14', '6485', '1707', '2462', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.6684');
INSERT INTO public.tbl_trx_japan_night VALUES (231552, '2023-03-16', '3293', '0377', '3065', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.997861');
INSERT INTO public.tbl_trx_japan_night VALUES (231554, '2023-03-18', '5677', '6878', '3553', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:40.326918');
INSERT INTO public.tbl_trx_japan_night VALUES (231556, '2023-03-20', '9070', '1916', '4421', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:40.658957');
INSERT INTO public.tbl_trx_japan_night VALUES (231558, '2023-03-22', '1651', '4723', '2594', 'root', '2023-03-31 19:03:47', 'root', '2023-03-31 19:03:54');
INSERT INTO public.tbl_trx_japan_night VALUES (24161, '2024-06-10', '2399', '9765', '3611', 'admintoto', '2024-06-10 16:10:10', 'admintoto', '2024-06-10 16:10:18');
INSERT INTO public.tbl_trx_japan_night VALUES (231566, '2023-03-30', '0832', '3554', '4832', 'root', '2023-03-31 19:05:57', 'root', '2023-03-31 19:06:04');
INSERT INTO public.tbl_trx_japan_night VALUES (24172, '2024-06-22', '5826', '2815', '6283', 'admintoto', '2024-06-22 10:45:32', 'admintoto', '2024-06-22 16:24:55');
INSERT INTO public.tbl_trx_japan_night VALUES (24183, '2024-07-03', '2055', '1460', '8483', 'admintoto', '2024-07-03 17:00:30', 'admintoto', '2024-07-03 17:00:39');
INSERT INTO public.tbl_trx_japan_night VALUES (24196, '2024-07-16', '7047', '2384', '8738', 'admintoto', '2024-07-16 17:20:16', 'admintoto', '2024-07-16 17:20:27');
INSERT INTO public.tbl_trx_japan_night VALUES (24207, '2024-07-27', '0286', '7192', '2298', 'admintoto', '2024-07-27 16:22:06', 'admintoto', '2024-07-27 16:22:14');
INSERT INTO public.tbl_trx_japan_night VALUES (24221, '2024-08-10', '1310', '9966', '5188', 'admintoto', '2024-08-10 16:02:35', 'admintoto', '2024-08-10 16:02:43');
INSERT INTO public.tbl_trx_japan_night VALUES (231539, '2023-03-03', '2065', '2163', '2431', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:37.850779');
INSERT INTO public.tbl_trx_japan_night VALUES (231541, '2023-03-05', '2544', '4459', '1333', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:38.182937');
INSERT INTO public.tbl_trx_japan_night VALUES (231543, '2023-03-07', '3297', '3456', '1053', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:38.51288');
INSERT INTO public.tbl_trx_japan_night VALUES (231545, '2023-03-09', '1847', '8937', '7664', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:38.842716');
INSERT INTO public.tbl_trx_japan_night VALUES (231547, '2023-03-11', '2362', '1361', '9762', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.17366');
INSERT INTO public.tbl_trx_japan_night VALUES (231549, '2023-03-13', '1893', '4553', '1166', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.503632');
INSERT INTO public.tbl_trx_japan_night VALUES (231551, '2023-03-15', '6690', '3961', '9872', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:39.833674');
INSERT INTO public.tbl_trx_japan_night VALUES (231553, '2023-03-17', '0882', '4878', '4034', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:40.162426');
INSERT INTO public.tbl_trx_japan_night VALUES (231555, '2023-03-19', '1931', '3715', '5630', 'root', '2023-03-31 18:47:53', '', '2023-03-31 11:50:40.492853');
INSERT INTO public.tbl_trx_japan_night VALUES (231579, '2023-04-12', '6042', '2463', '6333', 'admintoto', '2023-04-12 16:10:21', 'admintoto', '2023-04-12 16:10:36');
INSERT INTO public.tbl_trx_japan_night VALUES (231557, '2023-03-21', '4592', '5632', '3330', 'root', '2023-03-31 19:02:49', 'root', '2023-03-31 19:02:55');
INSERT INTO public.tbl_trx_japan_night VALUES (231607, '2023-05-10', '8906', '1414', '0705', 'admintoto', '2023-05-10 16:11:10', 'admintoto', '2023-05-10 16:11:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231559, '2023-03-23', '2789', '9768', '7235', 'root', '2023-03-31 19:04:02', 'root', '2023-03-31 19:04:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231580, '2023-04-13', '8952', '6985', '1511', 'admintoto', '2023-04-13 15:53:59', 'admintoto', '2023-04-13 16:11:34');
INSERT INTO public.tbl_trx_japan_night VALUES (231560, '2023-03-24', '2847', '7399', '0007', 'root', '2023-03-31 19:04:16', 'root', '2023-03-31 19:04:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231592, '2023-04-25', '6964', '4003', '2460', 'admintoto', '2023-04-25 16:13:18', 'admintoto', '2023-04-25 16:13:28');
INSERT INTO public.tbl_trx_japan_night VALUES (231561, '2023-03-25', '9163', '5218', '7346', 'root', '2023-03-31 19:04:31', 'root', '2023-03-31 19:04:38');
INSERT INTO public.tbl_trx_japan_night VALUES (231581, '2023-04-14', '5457', '7529', '9324', 'admintoto', '2023-04-14 16:11:17', 'admintoto', '2023-04-14 16:12:27');
INSERT INTO public.tbl_trx_japan_night VALUES (231562, '2023-03-26', '0878', '0342', '6015', 'root', '2023-03-31 19:04:58', 'root', '2023-03-31 19:05:03');
INSERT INTO public.tbl_trx_japan_night VALUES (231601, '2023-05-04', '2074', '4644', '7076', 'admintoto', '2023-05-04 16:43:25', 'admintoto', '2023-05-04 16:43:34');
INSERT INTO public.tbl_trx_japan_night VALUES (231563, '2023-03-27', '6037', '3872', '3892', 'root', '2023-03-31 19:05:12', 'root', '2023-03-31 19:05:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231582, '2023-04-15', '2719', '0763', '3709', 'admintoto', '2023-04-15 16:12:12', 'admintoto', '2023-04-15 16:12:23');
INSERT INTO public.tbl_trx_japan_night VALUES (231564, '2023-03-28', '1205', '9147', '2314', 'root', '2023-03-31 19:05:27', 'root', '2023-03-31 19:05:32');
INSERT INTO public.tbl_trx_japan_night VALUES (231593, '2023-04-26', '9576', '8113', '4108', 'admintoto', '2023-04-26 16:38:14', 'admintoto', '2023-04-26 16:38:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231565, '2023-03-29', '8953', '6411', '7622', 'root', '2023-03-31 19:05:43', 'root', '2023-03-31 19:05:49');
INSERT INTO public.tbl_trx_japan_night VALUES (231583, '2023-04-16', '5293', '7186', '2725', 'admintoto', '2023-04-16 16:06:49', 'admintoto', '2023-04-16 16:07:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231567, '2023-03-31', '6106', '5167', '8746', 'root', '2023-03-31 19:06:20', 'root', '2023-03-31 19:06:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231612, '2023-05-15', '5126', '6455', '2554', 'admintoto', '2023-05-15 16:24:25', 'admintoto', '2023-05-15 16:24:39');
INSERT INTO public.tbl_trx_japan_night VALUES (231568, '2023-04-01', '7281', '3990', '9548', 'root', '2023-04-01 16:50:20', 'root', '2023-04-01 21:15:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231584, '2023-04-17', '8990', '1425', '7173', 'admintoto', '2023-04-17 16:11:22', 'admintoto', '2023-04-17 16:11:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231569, '2023-04-02', '9647', '5091', '0757', 'root', '2023-04-02 20:31:45', 'root', '2023-04-02 20:31:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231594, '2023-04-27', '3644', '6203', '2185', 'admintoto', '2023-04-27 16:06:16', 'admintoto', '2023-04-27 16:06:29');
INSERT INTO public.tbl_trx_japan_night VALUES (231570, '2023-04-03', '7325', '7678', '0521', 'root', '2023-04-03 20:27:33', 'root', '2023-04-03 20:27:42');
INSERT INTO public.tbl_trx_japan_night VALUES (231585, '2023-04-18', '8965', '9656', '8827', 'admintoto', '2023-04-18 16:08:19', 'admintoto', '2023-04-18 16:08:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231571, '2023-04-04', '9033', '9547', '3780', 'root', '2023-04-05 13:56:33', 'root', '2023-04-05 13:56:39');
INSERT INTO public.tbl_trx_japan_night VALUES (231602, '2023-05-05', '3097', '6062', '5158', 'admintoto', '2023-05-05 15:54:56', 'admintoto', '2023-05-05 15:55:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231572, '2023-04-05', '5721', '0913', '8820', 'root', '2023-04-05 20:51:09', 'root', '2023-04-05 20:51:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231586, '2023-04-19', '1380', '2897', '3462', 'admintoto', '2023-04-19 16:10:50', 'admintoto', '2023-04-19 16:11:04');
INSERT INTO public.tbl_trx_japan_night VALUES (231573, '2023-04-06', '0849', '0895', '5964', 'root', '2023-04-06 17:29:35', 'root', '2023-04-06 17:29:44');
INSERT INTO public.tbl_trx_japan_night VALUES (231595, '2023-04-28', '4390', '9753', '5517', 'admintoto', '2023-04-28 16:03:50', 'admintoto', '2023-04-28 16:04:00');
INSERT INTO public.tbl_trx_japan_night VALUES (231574, '2023-04-07', '8127', '5620', '4783', 'root', '2023-04-07 18:16:53', 'root', '2023-04-07 18:16:59');
INSERT INTO public.tbl_trx_japan_night VALUES (231587, '2023-04-20', '8589', '9695', '8926', 'admintoto', '2023-04-20 16:07:10', 'admintoto', '2023-04-20 16:07:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231575, '2023-04-08', '6850', '7103', '9837', 'root', '2023-04-08 16:19:07', 'root', '2023-04-08 16:19:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231608, '2023-05-11', '7829', '6211', '4482', 'admintoto', '2023-05-11 16:03:29', 'admintoto', '2023-05-11 16:03:39');
INSERT INTO public.tbl_trx_japan_night VALUES (231576, '2023-04-09', '3944', '7087', '4980', 'root', '2023-04-09 16:45:18', 'root', '2023-04-09 16:45:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231596, '2023-04-29', '4612', '3572', '2766', 'admintoto', '2023-04-29 16:09:41', 'admintoto', '2023-04-29 16:09:58');
INSERT INTO public.tbl_trx_japan_night VALUES (231577, '2023-04-10', '6618', '8219', '2107', 'root', '2023-04-10 13:43:11', 'admintoto', '2023-04-10 16:09:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231588, '2023-04-21', '2943', '5390', '3070', 'admintoto', '2023-04-21 16:08:18', 'admintoto', '2023-04-21 16:08:32');
INSERT INTO public.tbl_trx_japan_night VALUES (231578, '2023-04-11', '8294', '7970', '4101', 'admintoto', '2023-04-11 15:50:18', 'admintoto', '2023-04-11 16:03:25');
INSERT INTO public.tbl_trx_japan_night VALUES (231603, '2023-05-06', '8941', '2182', '6652', 'admintoto', '2023-05-06 16:09:14', 'admintoto', '2023-05-06 16:09:34');
INSERT INTO public.tbl_trx_japan_night VALUES (231589, '2023-04-22', '3193', '4224', '3810', 'admintoto', '2023-04-22 16:14:53', 'admintoto', '2023-04-22 16:15:03');
INSERT INTO public.tbl_trx_japan_night VALUES (231597, '2023-04-30', '5717', '2146', '9273', 'admintoto', '2023-04-30 16:12:57', 'admintoto', '2023-04-30 16:13:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231590, '2023-04-23', '1260', '8650', '0865', 'admintoto', '2023-04-23 15:41:42', 'admintoto', '2023-04-23 17:31:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231618, '2023-05-21', '0004', '1120', '0097', 'admintoto', '2023-05-21 15:52:40', 'admintoto', '2023-05-21 15:56:33');
INSERT INTO public.tbl_trx_japan_night VALUES (231591, '2023-04-24', '7365', '3146', '1318', 'admintoto', '2023-04-24 16:08:41', 'admintoto', '2023-04-24 16:08:58');
INSERT INTO public.tbl_trx_japan_night VALUES (231598, '2023-05-01', '1141', '7263', '9630', 'admintoto', '2023-05-01 16:11:33', 'admintoto', '2023-05-01 16:11:47');
INSERT INTO public.tbl_trx_japan_night VALUES (231604, '2023-05-07', '0688', '2416', '3694', 'admintoto', '2023-05-07 16:12:34', 'admintoto', '2023-05-07 16:12:46');
INSERT INTO public.tbl_trx_japan_night VALUES (231599, '2023-05-02', '5637', '5563', '4831', 'admintoto', '2023-05-02 16:12:53', 'admintoto', '2023-05-02 16:13:04');
INSERT INTO public.tbl_trx_japan_night VALUES (231609, '2023-05-12', '3806', '6682', '4196', 'admintoto', '2023-05-12 16:10:19', 'admintoto', '2023-05-12 16:11:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231600, '2023-05-03', '8845', '7757', '4442', 'admintoto', '2023-05-03 16:08:12', 'admintoto', '2023-05-03 16:08:23');
INSERT INTO public.tbl_trx_japan_night VALUES (231605, '2023-05-08', '6242', '7632', '1903', 'admintoto', '2023-05-08 15:56:23', 'admintoto', '2023-05-08 15:56:32');
INSERT INTO public.tbl_trx_japan_night VALUES (231613, '2023-05-16', '4476', '7427', '0773', 'admintoto', '2023-05-16 16:11:24', 'admintoto', '2023-05-16 16:11:34');
INSERT INTO public.tbl_trx_japan_night VALUES (231606, '2023-05-09', '0229', '7120', '6197', 'admintoto', '2023-05-09 15:36:02', 'admintoto', '2023-05-09 20:42:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231610, '2023-05-13', '5204', '4812', '0603', 'admintoto', '2023-05-13 16:02:26', 'admintoto', '2023-05-13 16:02:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231616, '2023-05-19', '0680', '9336', '2716', 'admintoto', '2023-05-19 15:38:35', 'admintoto', '2023-05-19 16:14:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231614, '2023-05-17', '5474', '8669', '3613', 'admintoto', '2023-05-17 16:45:05', 'admintoto', '2023-05-17 16:45:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231611, '2023-05-14', '9624', '8943', '8249', 'admintoto', '2023-05-14 16:06:54', 'admintoto', '2023-05-14 16:07:09');
INSERT INTO public.tbl_trx_japan_night VALUES (231621, '2023-05-24', '2872', '3002', '4318', 'admintoto', '2023-05-24 15:50:38', 'admintoto', '2023-05-24 16:03:28');
INSERT INTO public.tbl_trx_japan_night VALUES (231620, '2023-05-23', '0936', '8811', '6838', 'admintoto', '2023-05-23 16:01:52', 'admintoto', '2023-05-23 16:02:10');
INSERT INTO public.tbl_trx_japan_night VALUES (231617, '2023-05-20', '4489', '3742', '0189', 'admintoto', '2023-05-20 16:32:13', 'admintoto', '2023-05-20 16:32:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231615, '2023-05-18', '7526', '2236', '5602', 'admintoto', '2023-05-18 15:50:06', 'admintoto', '2023-05-18 16:11:04');
INSERT INTO public.tbl_trx_japan_night VALUES (231619, '2023-05-22', '1380', '7897', '4342', 'admintoto', '2023-05-22 16:12:07', 'admintoto', '2023-05-22 16:12:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231622, '2023-05-25', '5331', '7174', '3046', 'admintoto', '2023-05-25 15:54:45', 'admintoto', '2023-05-25 16:11:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231623, '2023-05-26', '1243', '6907', '9968', 'admintoto', '2023-05-26 15:48:04', 'admintoto', '2023-05-26 16:11:40');
INSERT INTO public.tbl_trx_japan_night VALUES (231624, '2023-05-27', '3073', '2033', '4357', 'admintoto', '2023-05-27 15:33:56', 'admintoto', '2023-05-27 16:36:04');
INSERT INTO public.tbl_trx_japan_night VALUES (231625, '2023-05-28', '7037', '6211', '8874', 'admintoto', '2023-05-28 16:42:03', 'admintoto', '2023-05-28 16:42:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231626, '2023-05-29', '7304', '4640', '2929', 'admintoto', '2023-05-29 15:50:40', 'admintoto', '2023-05-29 15:57:59');
INSERT INTO public.tbl_trx_japan_night VALUES (231627, '2023-05-30', '8165', '1203', '5001', 'admintoto', '2023-05-30 15:41:39', 'admintoto', '2023-05-30 16:05:50');
INSERT INTO public.tbl_trx_japan_night VALUES (231628, '2023-05-31', '5384', '8900', '0455', 'admintoto', '2023-05-31 15:49:44', 'admintoto', '2023-05-31 15:56:45');
INSERT INTO public.tbl_trx_japan_night VALUES (231629, '2023-06-01', '3124', '5395', '2402', 'admintoto', '2023-06-01 15:50:47', 'admintoto', '2023-06-01 15:59:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231630, '2023-06-02', '7968', '1687', '5196', 'admintoto', '2023-06-02 16:00:36', 'admintoto', '2023-06-02 16:00:48');
INSERT INTO public.tbl_trx_japan_night VALUES (231631, '2023-06-03', '6531', '7519', '9873', 'admintoto', '2023-06-03 15:58:06', 'admintoto', '2023-06-03 15:58:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231632, '2023-06-04', '0358', '7686', '3655', 'admintoto', '2023-06-04 16:06:36', 'admintoto', '2023-06-04 16:07:00');
INSERT INTO public.tbl_trx_japan_night VALUES (231688, '2023-07-30', '2144', '4652', '8547', 'admintoto', '2023-07-30 16:11:33', 'admintoto', '2023-07-30 16:11:40');
INSERT INTO public.tbl_trx_japan_night VALUES (231683, '2023-07-25', '3267', '0285', '3146', 'admintoto', '2023-07-25 15:42:57', 'admintoto', '2023-07-25 16:09:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231633, '2023-06-05', '0349', '7162', '4492', 'admintoto', '2023-06-05 15:58:21', 'admintoto', '2023-06-05 15:58:33');
INSERT INTO public.tbl_trx_japan_night VALUES (231652, '2023-06-24', '2173', '3307', '1340', 'admintoto', '2023-06-24 16:37:11', 'admintoto', '2023-06-24 16:37:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231634, '2023-06-06', '3505', '0619', '5899', 'admintoto', '2023-06-06 18:17:30', 'admintoto', '2023-06-06 18:17:48');
INSERT INTO public.tbl_trx_japan_night VALUES (231666, '2023-07-08', '6109', '9220', '0462', 'admintoto', '2023-07-08 16:08:28', 'admintoto', '2023-07-08 16:27:57');
INSERT INTO public.tbl_trx_japan_night VALUES (231635, '2023-06-07', '4536', '7359', '5617', 'admintoto', '2023-06-07 16:02:37', 'admintoto', '2023-06-07 16:02:54');
INSERT INTO public.tbl_trx_japan_night VALUES (231653, '2023-06-25', '3629', '9065', '7550', 'admintoto', '2023-06-25 15:49:11', 'admintoto', '2023-06-25 15:56:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231636, '2023-06-08', '6686', '9071', '5233', 'admintoto', '2023-06-08 16:02:43', 'admintoto', '2023-06-08 16:02:54');
INSERT INTO public.tbl_trx_japan_night VALUES (231676, '2023-07-18', '1989', '5242', '3624', 'admintoto', '2023-07-18 15:40:30', 'admintoto', '2023-07-18 15:55:23');
INSERT INTO public.tbl_trx_japan_night VALUES (231637, '2023-06-09', '8598', '1164', '2171', 'admintoto', '2023-06-09 15:52:06', 'admintoto', '2023-06-09 15:55:13');
INSERT INTO public.tbl_trx_japan_night VALUES (231654, '2023-06-26', '6993', '4529', '1195', 'admintoto', '2023-06-26 15:56:41', 'admintoto', '2023-06-26 15:56:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231638, '2023-06-10', '4167', '0794', '3314', 'admintoto', '2023-06-10 15:55:20', 'admintoto', '2023-06-10 15:55:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231667, '2023-07-09', '5824', '4008', '7198', 'admintoto', '2023-07-09 17:22:48', 'admintoto', '2023-07-09 17:22:56');
INSERT INTO public.tbl_trx_japan_night VALUES (231639, '2023-06-11', '7746', '1038', '8662', 'admintoto', '2023-06-11 16:01:39', 'admintoto', '2023-06-11 16:02:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231655, '2023-06-27', '1434', '2118', '7664', 'admintoto', '2023-06-27 16:13:15', 'admintoto', '2023-06-27 16:13:25');
INSERT INTO public.tbl_trx_japan_night VALUES (231640, '2023-06-12', '9229', '8661', '5085', 'admintoto', '2023-06-12 16:12:09', 'admintoto', '2023-06-12 16:12:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231641, '2023-06-13', '4592', '0757', '2504', 'admintoto', '2023-06-13 16:11:30', 'admintoto', '2023-06-13 16:11:45');
INSERT INTO public.tbl_trx_japan_night VALUES (231656, '2023-06-28', '9324', '4758', '7279', 'admintoto', '2023-06-28 15:41:31', 'admintoto', '2023-06-28 16:06:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231642, '2023-06-14', '1424', '3378', '4407', 'admintoto', '2023-06-14 16:31:30', 'admintoto', '2023-06-14 16:31:57');
INSERT INTO public.tbl_trx_japan_night VALUES (231668, '2023-07-10', '7636', '3300', '3014', 'admintoto', '2023-07-10 16:17:32', 'admintoto', '2023-07-10 16:17:45');
INSERT INTO public.tbl_trx_japan_night VALUES (231643, '2023-06-15', '0951', '7704', '6199', 'admintoto', '2023-06-15 16:11:30', 'admintoto', '2023-06-15 16:11:54');
INSERT INTO public.tbl_trx_japan_night VALUES (231657, '2023-06-29', '9350', '3456', '5210', 'admintoto', '2023-06-29 15:36:49', 'admintoto', '2023-06-29 16:06:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231644, '2023-06-16', '4636', '1004', '7402', 'admintoto', '2023-06-16 15:59:18', 'admintoto', '2023-06-16 15:59:31');
INSERT INTO public.tbl_trx_japan_night VALUES (231677, '2023-07-19', '2836', '8192', '2709', 'admintoto', '2023-07-19 16:12:08', 'admintoto', '2023-07-19 16:12:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231645, '2023-06-17', '7864', '8547', '2729', 'admintoto', '2023-06-17 16:21:53', 'admintoto', '2023-06-17 16:22:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231658, '2023-06-30', '2235', '8141', '2847', 'admintoto', '2023-06-30 15:48:21', 'admintoto', '2023-06-30 15:55:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231646, '2023-06-18', '3342', '4028', '2460', 'admintoto', '2023-06-18 16:06:05', 'admintoto', '2023-06-18 16:06:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231669, '2023-07-11', '8872', '5395', '2437', 'admintoto', '2023-07-11 15:56:06', 'admintoto', '2023-07-11 15:56:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231647, '2023-06-19', '0769', '7394', '2770', 'admintoto', '2023-06-19 16:18:22', 'admintoto', '2023-06-19 16:18:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231659, '2023-07-01', '4084', '0291', '1291', 'admintoto', '2023-07-01 16:24:39', 'admintoto', '2023-07-01 16:24:53');
INSERT INTO public.tbl_trx_japan_night VALUES (231648, '2023-06-20', '5121', '0270', '8484', 'admintoto', '2023-06-20 16:03:44', 'admintoto', '2023-06-20 16:03:57');
INSERT INTO public.tbl_trx_japan_night VALUES (231684, '2023-07-26', '6386', '9225', '4638', 'admintoto', '2023-07-26 16:11:13', 'admintoto', '2023-07-26 16:11:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231649, '2023-06-21', '5248', '7714', '4774', 'admintoto', '2023-06-21 15:32:21', 'admintoto', '2023-06-21 16:21:53');
INSERT INTO public.tbl_trx_japan_night VALUES (231660, '2023-07-02', '6982', '2089', '9969', 'admintoto', '2023-07-02 16:12:48', 'admintoto', '2023-07-02 16:13:00');
INSERT INTO public.tbl_trx_japan_night VALUES (231650, '2023-06-22', '2192', '1721', '0192', 'admintoto', '2023-06-22 16:15:59', 'admintoto', '2023-06-22 16:16:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231670, '2023-07-12', '1306', '9692', '0946', 'admintoto', '2023-07-12 16:11:23', 'admintoto', '2023-07-12 16:11:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231651, '2023-06-23', '1469', '9607', '9167', 'admintoto', '2023-06-23 16:11:20', 'admintoto', '2023-06-23 16:11:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231661, '2023-07-03', '6064', '3081', '4674', 'admintoto', '2023-07-03 16:05:00', 'admintoto', '2023-07-03 16:05:10');
INSERT INTO public.tbl_trx_japan_night VALUES (231678, '2023-07-20', '3543', '8847', '0948', 'admintoto', '2023-07-20 15:58:56', 'admintoto', '2023-07-20 15:59:06');
INSERT INTO public.tbl_trx_japan_night VALUES (231662, '2023-07-04', '2622', '1121', '0892', 'admintoto', '2023-07-04 15:46:05', 'admintoto', '2023-07-04 16:00:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231671, '2023-07-13', '1926', '5829', '8920', 'admintoto', '2023-07-13 16:05:58', 'admintoto', '2023-07-13 16:06:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231663, '2023-07-05', '6958', '2618', '0176', 'admintoto', '2023-07-05 15:56:42', 'admintoto', '2023-07-05 15:56:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231692, '2023-08-03', '3620', '5883', '0335', 'admintoto', '2023-08-03 14:58:58', 'admintoto', '2023-08-03 15:56:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231664, '2023-07-06', '2483', '9804', '4674', 'admintoto', '2023-07-06 15:55:59', 'admintoto', '2023-07-06 15:56:13');
INSERT INTO public.tbl_trx_japan_night VALUES (231672, '2023-07-14', '5122', '7009', '3077', 'admintoto', '2023-07-14 15:53:52', 'admintoto', '2023-07-14 16:02:00');
INSERT INTO public.tbl_trx_japan_night VALUES (231665, '2023-07-07', '8362', '4618', '7711', 'admintoto', '2023-07-07 16:14:31', 'admintoto', '2023-07-07 16:14:41');
INSERT INTO public.tbl_trx_japan_night VALUES (231679, '2023-07-21', '0984', '9278', '3401', 'admintoto', '2023-07-21 16:09:07', 'admintoto', '2023-07-21 16:09:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231673, '2023-07-15', '9081', '0596', '5131', 'admintoto', '2023-07-15 16:05:11', 'admintoto', '2023-07-15 16:05:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231689, '2023-07-31', '8402', '7125', '3148', 'admintoto', '2023-07-31 15:33:29', 'admintoto', '2023-07-31 16:12:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231685, '2023-07-27', '5627', '5313', '0010', 'admintoto', '2023-07-27 16:13:37', 'admintoto', '2023-07-27 16:13:50');
INSERT INTO public.tbl_trx_japan_night VALUES (231674, '2023-07-16', '1338', '0809', '9609', 'admintoto', '2023-07-16 15:32:08', 'admintoto', '2023-07-16 16:11:10');
INSERT INTO public.tbl_trx_japan_night VALUES (231680, '2023-07-22', '3617', '4032', '6723', 'admintoto', '2023-07-22 15:47:07', 'admintoto', '2023-07-22 16:22:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231675, '2023-07-17', '8683', '8931', '6128', 'admintoto', '2023-07-17 15:54:49', 'admintoto', '2023-07-17 15:55:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231681, '2023-07-23', '6885', '7598', '8631', 'admintoto', '2023-07-23 15:37:48', 'admintoto', '2023-07-23 16:39:33');
INSERT INTO public.tbl_trx_japan_night VALUES (231686, '2023-07-28', '4369', '1206', '6626', 'admintoto', '2023-07-28 15:32:00', 'admintoto', '2023-07-28 16:00:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231682, '2023-07-24', '2304', '5495', '4927', 'admintoto', '2023-07-24 15:32:10', 'admintoto', '2023-07-24 16:08:39');
INSERT INTO public.tbl_trx_japan_night VALUES (231698, '2023-08-09', '7813', '4488', '6772', 'admintoto', '2023-08-09 16:40:43', 'admintoto', '2023-08-09 16:40:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231690, '2023-08-01', '2201', '6471', '9435', 'admintoto', '2023-08-01 15:41:57', 'admintoto', '2023-08-01 16:13:23');
INSERT INTO public.tbl_trx_japan_night VALUES (231687, '2023-07-29', '7066', '6415', '3384', 'admintoto', '2023-07-29 15:32:30', 'admintoto', '2023-07-29 15:56:05');
INSERT INTO public.tbl_trx_japan_night VALUES (231693, '2023-08-04', '1602', '2130', '6768', 'admintoto', '2023-08-04 15:23:29', 'admintoto', '2023-08-04 15:57:20');
INSERT INTO public.tbl_trx_japan_night VALUES (231695, '2023-08-06', '3973', '0877', '4250', 'admintoto', '2023-08-06 10:35:16', 'admintoto', '2023-08-06 16:06:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231691, '2023-08-02', '6455', '5230', '1655', 'admintoto', '2023-08-02 15:47:13', 'admintoto', '2023-08-02 15:59:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231697, '2023-08-08', '8804', '9551', '6828', 'admintoto', '2023-08-08 15:52:01', 'admintoto', '2023-08-08 15:55:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231694, '2023-08-05', '9109', '1483', '3348', 'admintoto', '2023-08-05 16:01:07', 'admintoto', '2023-08-05 16:01:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231696, '2023-08-07', '0046', '0701', '2180', 'admintoto', '2023-08-07 15:56:41', 'admintoto', '2023-08-07 15:56:49');
INSERT INTO public.tbl_trx_japan_night VALUES (231700, '2023-08-11', '3867', '9005', '1328', 'admintoto', '2023-08-11 15:25:04', 'admintoto', '2023-08-11 16:06:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231701, '2023-08-12', '9325', '6039', '4155', 'admintoto', '2023-08-12 16:08:34', 'admintoto', '2023-08-12 16:08:44');
INSERT INTO public.tbl_trx_japan_night VALUES (231699, '2023-08-10', '6063', '2797', '5453', 'admintoto', '2023-08-10 16:03:15', 'admintoto', '2023-08-10 16:03:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231702, '2023-08-13', '4951', '0564', '3324', 'admintoto', '2023-08-13 16:19:47', 'admintoto', '2023-08-13 16:19:57');
INSERT INTO public.tbl_trx_japan_night VALUES (231703, '2023-08-14', '8459', '3053', '5507', 'admintoto', '2023-08-14 15:10:39', 'admintoto', '2023-08-14 16:06:46');
INSERT INTO public.tbl_trx_japan_night VALUES (231704, '2023-08-15', '2171', '1720', '7609', 'admintoto', '2023-08-15 15:57:15', 'admintoto', '2023-08-15 15:57:25');
INSERT INTO public.tbl_trx_japan_night VALUES (231705, '2023-08-16', '8466', '6940', '0663', 'admintoto', '2023-08-16 16:35:23', 'admintoto', '2023-08-16 16:35:34');
INSERT INTO public.tbl_trx_japan_night VALUES (231706, '2023-08-17', '7981', '8084', '9912', 'admintoto', '2023-08-17 16:08:14', 'admintoto', '2023-08-17 16:08:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231707, '2023-08-18', '3255', '4902', '2145', 'admintoto', '2023-08-18 16:13:04', 'admintoto', '2023-08-18 16:13:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231708, '2023-08-19', '7259', '2027', '3374', 'admintoto', '2023-08-19 17:21:36', 'admintoto', '2023-08-19 17:21:54');
INSERT INTO public.tbl_trx_japan_night VALUES (231709, '2023-08-20', '8780', '4133', '6359', 'admintoto', '2023-08-20 15:55:46', 'admintoto', '2023-08-20 15:56:02');
INSERT INTO public.tbl_trx_japan_night VALUES (231750, '2023-09-30', '2306', '5656', '1793', 'admintoto', '2023-09-30 16:06:41', 'admintoto', '2023-09-30 16:06:50');
INSERT INTO public.tbl_trx_japan_night VALUES (231710, '2023-08-21', '4112', '9390', '2121', 'admintoto', '2023-08-21 16:13:08', 'admintoto', '2023-08-21 16:13:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231728, '2023-09-08', '5228', '6649', '4707', 'admintoto', '2023-09-08 15:59:19', 'admintoto', '2023-09-08 15:59:38');
INSERT INTO public.tbl_trx_japan_night VALUES (231711, '2023-08-22', '6894', '1124', '1455', 'admintoto', '2023-08-22 15:48:14', 'admintoto', '2023-08-22 15:57:45');
INSERT INTO public.tbl_trx_japan_night VALUES (231740, '2023-09-20', '3311', '9060', '1837', 'admintoto', '2023-09-20 15:59:07', 'admintoto', '2023-09-20 16:44:53');
INSERT INTO public.tbl_trx_japan_night VALUES (231712, '2023-08-23', '2892', '5467', '6479', 'admintoto', '2023-08-23 15:59:09', 'admintoto', '2023-08-23 15:59:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231729, '2023-09-09', '7726', '6788', '7424', 'admintoto', '2023-09-09 16:46:45', 'admintoto', '2023-09-09 16:46:55');
INSERT INTO public.tbl_trx_japan_night VALUES (231713, '2023-08-24', '0386', '5225', '6729', 'admintoto', '2023-08-24 15:32:17', 'admintoto', '2023-08-24 15:57:04');
INSERT INTO public.tbl_trx_japan_night VALUES (231764, '2023-10-13', '7030', '2580', '7828', 'admintoto', '2023-10-13 10:11:12', 'admintoto', '2023-10-13 16:02:08');
INSERT INTO public.tbl_trx_japan_night VALUES (231714, '2023-08-25', '2254', '0358', '5265', 'admintoto', '2023-08-25 15:52:01', 'admintoto', '2023-08-25 16:13:39');
INSERT INTO public.tbl_trx_japan_night VALUES (231741, '2023-09-21', '4572', '0850', '8474', 'admintoto', '2023-09-21 16:11:29', 'admintoto', '2023-09-21 16:11:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231730, '2023-09-10', '6398', '3156', '8621', 'admintoto', '2023-09-10 15:52:06', 'admintoto', '2023-09-10 16:00:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231715, '2023-08-26', '5751', '9334', '1413', 'admintoto', '2023-08-26 15:58:06', 'admintoto', '2023-08-26 15:58:41');
INSERT INTO public.tbl_trx_japan_night VALUES (231716, '2023-08-27', '1984', '2316', '6428', 'admintoto', '2023-08-27 10:22:07', 'admintoto', '2023-08-27 16:01:18');
INSERT INTO public.tbl_trx_japan_night VALUES (231717, '2023-08-28', '0138', '3426', '9300', 'admintoto', '2023-08-28 15:32:03', 'admintoto', '2023-08-28 15:55:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231731, '2023-09-11', '5968', '6621', '2723', 'admintoto', '2023-09-11 15:37:38', 'admintoto', '2023-09-11 15:55:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231742, '2023-09-22', '0334', '2418', '6238', 'admintoto', '2023-09-22 15:51:01', 'admintoto', '2023-09-22 16:05:05');
INSERT INTO public.tbl_trx_japan_night VALUES (231718, '2023-08-29', '5998', '7286', '8766', 'admintoto', '2023-08-29 15:10:00', 'admintoto', '2023-08-29 15:56:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231732, '2023-09-12', '7648', '5169', '0926', 'admintoto', '2023-09-12 16:00:29', 'admintoto', '2023-09-12 16:00:40');
INSERT INTO public.tbl_trx_japan_night VALUES (231719, '2023-08-30', '4231', '2449', '1863', 'admintoto', '2023-08-30 15:23:52', 'admintoto', '2023-08-30 16:07:31');
INSERT INTO public.tbl_trx_japan_night VALUES (231752, '2023-10-01', '0271', '4421', '9909', 'admintoto', '2023-10-01 11:58:02', 'admintoto', '2023-10-01 16:54:30');
INSERT INTO public.tbl_trx_japan_night VALUES (231720, '2023-08-31', '0216', '7505', '2647', 'admintoto', '2023-08-31 15:49:27', 'admintoto', '2023-08-31 15:56:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231743, '2023-09-23', '2988', '9885', '5470', 'admintoto', '2023-09-23 16:10:55', 'admintoto', '2023-09-23 16:11:05');
INSERT INTO public.tbl_trx_japan_night VALUES (231721, '2023-09-01', '6951', '2113', '8401', 'admintoto', '2023-09-01 16:17:12', 'admintoto', '2023-09-01 16:17:22');
INSERT INTO public.tbl_trx_japan_night VALUES (231759, '2023-10-08', '2071', '3529', '4177', 'admintoto', '2023-10-08 15:58:31', 'admintoto', '2023-10-08 15:58:41');
INSERT INTO public.tbl_trx_japan_night VALUES (231722, '2023-09-02', '3438', '4919', '6687', 'admintoto', '2023-09-02 16:30:45', 'admintoto', '2023-09-02 16:30:52');
INSERT INTO public.tbl_trx_japan_night VALUES (231733, '2023-09-13', '8100', '7153', '5689', 'admintoto', '2023-09-13 15:35:46', 'admintoto', '2023-09-13 16:18:28');
INSERT INTO public.tbl_trx_japan_night VALUES (231723, '2023-09-03', '7235', '4816', '5123', 'admintoto', '2023-09-03 17:53:11', 'admintoto', '2023-09-03 17:53:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231753, '2023-10-02', '6010', '9567', '2555', 'admintoto', '2023-10-02 10:00:50', 'admintoto', '2023-10-02 16:02:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231744, '2023-09-24', '9243', '1202', '5436', 'admintoto', '2023-09-24 16:09:59', 'admintoto', '2023-09-24 16:10:10');
INSERT INTO public.tbl_trx_japan_night VALUES (231724, '2023-09-04', '8343', '6445', '1094', 'admintoto', '2023-09-04 16:09:53', 'admintoto', '2023-09-04 16:10:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231734, '2023-09-14', '3475', '5656', '8317', 'admintoto', '2023-09-14 16:02:16', 'admintoto', '2023-09-14 16:02:31');
INSERT INTO public.tbl_trx_japan_night VALUES (231725, '2023-09-05', '7521', '2998', '7350', 'admintoto', '2023-09-05 15:44:05', 'admintoto', '2023-09-05 16:11:36');
INSERT INTO public.tbl_trx_japan_night VALUES (231735, '2023-09-15', '3644', '2797', '7610', 'admintoto', '2023-09-15 15:53:08', 'admintoto', '2023-09-15 15:58:43');
INSERT INTO public.tbl_trx_japan_night VALUES (231726, '2023-09-06', '3044', '6860', '0168', 'admintoto', '2023-09-06 16:05:40', 'admintoto', '2023-09-06 16:05:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231778, '2023-10-27', '1560', '6259', '2430', 'admintoto', '2023-10-27 15:35:19', 'admintoto', '2023-10-27 15:57:43');
INSERT INTO public.tbl_trx_japan_night VALUES (231727, '2023-09-07', '2020', '3004', '6830', 'admintoto', '2023-09-07 16:03:13', 'admintoto', '2023-09-07 16:09:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231745, '2023-09-25', '8136', '1762', '5251', 'admintoto', '2023-09-25 15:12:53', 'admintoto', '2023-09-25 15:58:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231736, '2023-09-16', '1168', '8072', '0612', 'admintoto', '2023-09-16 16:03:57', 'admintoto', '2023-09-16 16:04:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231765, '2023-10-14', '8323', '0820', '1631', 'admintoto', '2023-10-14 16:03:54', 'admintoto', '2023-10-14 16:04:29');
INSERT INTO public.tbl_trx_japan_night VALUES (231737, '2023-09-17', '6967', '0571', '5056', 'admintoto', '2023-09-17 16:11:17', 'admintoto', '2023-09-17 16:11:34');
INSERT INTO public.tbl_trx_japan_night VALUES (231754, '2023-10-03', '0003', '7242', '5235', 'admintoto', '2023-10-03 15:57:40', 'admintoto', '2023-10-03 15:58:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231746, '2023-09-26', '5360', '7064', '6753', 'admintoto', '2023-09-26 16:09:20', 'admintoto', '2023-09-26 16:09:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231738, '2023-09-18', '0746', '3581', '5174', 'admintoto', '2023-09-18 15:15:38', 'admintoto', '2023-09-18 16:11:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231760, '2023-10-09', '0941', '3707', '2774', 'admintoto', '2023-10-09 15:03:52', 'admintoto', '2023-10-09 15:55:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231739, '2023-09-19', '1724', '2101', '7705', 'admintoto', '2023-09-19 16:11:04', 'admintoto', '2023-09-19 16:11:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231747, '2023-09-27', '7428', '0939', '7008', 'admintoto', '2023-09-27 16:00:48', 'admintoto', '2023-09-27 16:01:03');
INSERT INTO public.tbl_trx_japan_night VALUES (231755, '2023-10-04', '5343', '1344', '3985', 'admintoto', '2023-10-04 15:58:40', 'admintoto', '2023-10-04 15:58:53');
INSERT INTO public.tbl_trx_japan_night VALUES (231748, '2023-09-28', '5656', '8883', '4557', 'admintoto', '2023-09-28 15:59:30', 'admintoto', '2023-09-28 15:59:41');
INSERT INTO public.tbl_trx_japan_night VALUES (231769, '2023-10-18', '3751', '4965', '3186', 'admintoto', '2023-10-18 15:31:49', 'admintoto', '2023-10-18 16:00:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231749, '2023-09-29', '5894', '7654', '6437', 'admintoto', '2023-09-29 15:57:03', 'admintoto', '2023-09-29 15:57:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231756, '2023-10-05', '1015', '5473', '9506', 'admintoto', '2023-10-05 16:01:00', 'admintoto', '2023-10-05 16:01:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231761, '2023-10-10', '7559', '9469', '5746', 'admintoto', '2023-10-10 16:04:22', 'admintoto', '2023-10-10 16:04:32');
INSERT INTO public.tbl_trx_japan_night VALUES (231757, '2023-10-06', '1968', '3322', '3516', 'admintoto', '2023-10-06 16:01:09', 'admintoto', '2023-10-06 16:01:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231766, '2023-10-15', '6406', '9295', '8266', 'admintoto', '2023-10-15 16:07:05', 'admintoto', '2023-10-15 16:07:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231762, '2023-10-11', '1336', '0964', '7093', 'admintoto', '2023-10-11 15:38:35', 'admintoto', '2023-10-11 15:56:32');
INSERT INTO public.tbl_trx_japan_night VALUES (231758, '2023-10-07', '3435', '7039', '1683', 'admintoto', '2023-10-07 15:48:13', 'admintoto', '2023-10-07 16:00:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231774, '2023-10-23', '1800', '2827', '2287', 'admintoto', '2023-10-23 15:40:51', 'admintoto', '2023-10-23 15:55:13');
INSERT INTO public.tbl_trx_japan_night VALUES (231763, '2023-10-12', '9757', '8411', '5505', 'admintoto', '2023-10-12 15:46:42', 'admintoto', '2023-10-12 15:57:13');
INSERT INTO public.tbl_trx_japan_night VALUES (231772, '2023-10-21', '3207', '1691', '0192', 'admintoto', '2023-10-21 15:59:31', 'admintoto', '2023-10-21 15:59:44');
INSERT INTO public.tbl_trx_japan_night VALUES (231770, '2023-10-19', '2793', '9515', '6444', 'admintoto', '2023-10-19 15:45:02', 'admintoto', '2023-10-19 15:59:43');
INSERT INTO public.tbl_trx_japan_night VALUES (231767, '2023-10-16', '5582', '9403', '4353', 'admintoto', '2023-10-16 15:31:53', 'admintoto', '2023-10-16 16:00:18');
INSERT INTO public.tbl_trx_japan_night VALUES (231768, '2023-10-17', '8988', '8375', '9242', 'admintoto', '2023-10-17 16:06:45', 'admintoto', '2023-10-17 16:06:53');
INSERT INTO public.tbl_trx_japan_night VALUES (231771, '2023-10-20', '4304', '2533', '7696', 'admintoto', '2023-10-20 15:56:07', 'admintoto', '2023-10-20 15:56:23');
INSERT INTO public.tbl_trx_japan_night VALUES (231777, '2023-10-26', '7189', '6491', '0557', 'admintoto', '2023-10-26 16:00:31', 'admintoto', '2023-10-26 16:00:43');
INSERT INTO public.tbl_trx_japan_night VALUES (231773, '2023-10-22', '4887', '3525', '9867', 'admintoto', '2023-10-22 16:04:13', 'admintoto', '2023-10-22 16:04:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231776, '2023-10-25', '6740', '7661', '9494', 'admintoto', '2023-10-25 15:52:47', 'admintoto', '2023-10-25 15:55:46');
INSERT INTO public.tbl_trx_japan_night VALUES (231775, '2023-10-24', '3695', '6310', '8479', 'admintoto', '2023-10-24 16:07:24', 'admintoto', '2023-10-24 16:08:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231779, '2023-10-28', '1396', '9658', '5221', 'admintoto', '2023-10-28 16:11:45', 'admintoto', '2023-10-28 16:13:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231780, '2023-10-29', '9367', '2066', '3932', 'admintoto', '2023-10-29 15:55:41', 'admintoto', '2023-10-29 15:56:22');
INSERT INTO public.tbl_trx_japan_night VALUES (231781, '2023-10-30', '4183', '0061', '6483', 'admintoto', '2023-10-30 11:17:50', 'admintoto', '2023-10-30 16:00:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231782, '2023-10-31', '6853', '0161', '1365', 'admintoto', '2023-10-31 15:05:07', 'admintoto', '2023-10-31 16:01:47');
INSERT INTO public.tbl_trx_japan_night VALUES (231783, '2023-11-01', '3106', '4150', '2049', 'admintoto', '2023-11-01 15:47:15', 'admintoto', '2023-11-01 16:11:51');
INSERT INTO public.tbl_trx_japan_night VALUES (231784, '2023-11-02', '8506', '5130', '4950', 'admintoto', '2023-11-02 15:57:48', 'admintoto', '2023-11-02 15:57:56');
INSERT INTO public.tbl_trx_japan_night VALUES (231785, '2023-11-03', '3428', '1219', '0315', 'admintoto', '2023-11-03 15:49:20', 'admintoto', '2023-11-03 15:55:32');
INSERT INTO public.tbl_trx_japan_night VALUES (231786, '2023-11-04', '7712', '4599', '5658', 'admintoto', '2023-11-04 16:20:15', 'admintoto', '2023-11-04 16:21:08');
INSERT INTO public.tbl_trx_japan_night VALUES (231819, '2023-12-07', '1162', '2951', '3260', 'admintoto', '2023-12-07 15:57:26', 'admintoto', '2023-12-07 15:58:02');
INSERT INTO public.tbl_trx_japan_night VALUES (231787, '2023-11-05', '4300', '6714', '5007', 'admintoto', '2023-11-05 15:50:58', 'admintoto', '2023-11-05 16:01:36');
INSERT INTO public.tbl_trx_japan_night VALUES (231806, '2023-11-24', '0287', '8570', '1415', 'admintoto', '2023-11-24 15:51:15', 'admintoto', '2023-11-24 15:55:42');
INSERT INTO public.tbl_trx_japan_night VALUES (231788, '2023-11-06', '1633', '8108', '2853', 'admintoto', '2023-11-06 15:57:57', 'admintoto', '2023-11-06 15:58:13');
INSERT INTO public.tbl_trx_japan_night VALUES (231789, '2023-11-07', '9720', '0330', '6252', 'admintoto', '2023-11-07 16:02:00', 'admintoto', '2023-11-07 16:05:03');
INSERT INTO public.tbl_trx_japan_night VALUES (231807, '2023-11-25', '5667', '1840', '6527', 'admintoto', '2023-11-25 16:01:15', 'admintoto', '2023-11-25 16:01:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231790, '2023-11-08', '6064', '2438', '3903', 'admintoto', '2023-11-08 16:11:23', 'admintoto', '2023-11-08 16:11:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231820, '2023-12-08', '4541', '4657', '1668', 'admintoto', '2023-12-08 15:47:01', 'admintoto', '2023-12-08 15:56:49');
INSERT INTO public.tbl_trx_japan_night VALUES (231791, '2023-11-09', '0236', '3396', '4611', 'admintoto', '2023-11-09 16:14:13', 'admintoto', '2023-11-09 16:14:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231808, '2023-11-26', '1999', '8008', '5207', 'admintoto', '2023-11-26 16:11:21', 'admintoto', '2023-11-26 16:11:29');
INSERT INTO public.tbl_trx_japan_night VALUES (231792, '2023-11-10', '1989', '4202', '9497', 'admintoto', '2023-11-10 16:04:35', 'admintoto', '2023-11-10 16:05:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231837, '2023-12-25', '6780', '7723', '6424', 'admintoto', '2023-12-25 15:32:15', 'admintoto', '2023-12-25 15:59:55');
INSERT INTO public.tbl_trx_japan_night VALUES (231793, '2023-11-11', '4621', '3949', '0633', 'admintoto', '2023-11-11 15:33:20', 'admintoto', '2023-11-11 16:11:35');
INSERT INTO public.tbl_trx_japan_night VALUES (231809, '2023-11-27', '9627', '4681', '9430', 'admintoto', '2023-11-27 15:32:39', 'admintoto', '2023-11-27 15:59:10');
INSERT INTO public.tbl_trx_japan_night VALUES (231794, '2023-11-12', '5114', '7186', '2672', 'admintoto', '2023-11-12 16:13:36', 'admintoto', '2023-11-12 16:14:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231830, '2023-12-18', '4200', '1978', '7213', 'admintoto', '2023-12-18 15:47:26', 'admintoto', '2023-12-18 16:00:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231821, '2023-12-09', '0311', '0469', '5345', 'admintoto', '2023-12-09 16:12:16', 'admintoto', '2023-12-09 16:12:23');
INSERT INTO public.tbl_trx_japan_night VALUES (231795, '2023-11-13', '6548', '3756', '7070', 'admintoto', '2023-11-13 15:50:52', 'admintoto', '2023-11-13 15:55:08');
INSERT INTO public.tbl_trx_japan_night VALUES (231810, '2023-11-28', '3921', '0655', '7849', 'admintoto', '2023-11-28 15:07:32', 'admintoto', '2023-11-28 16:00:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231796, '2023-11-14', '2070', '7170', '9317', 'admintoto', '2023-11-14 16:13:56', 'admintoto', '2023-11-14 16:14:08');
INSERT INTO public.tbl_trx_japan_night VALUES (231797, '2023-11-15', '3878', '8208', '6332', 'admintoto', '2023-11-15 15:58:17', 'admintoto', '2023-11-15 15:58:41');
INSERT INTO public.tbl_trx_japan_night VALUES (231811, '2023-11-29', '8083', '2216', '7077', 'admintoto', '2023-11-29 16:11:49', 'admintoto', '2023-11-29 16:11:57');
INSERT INTO public.tbl_trx_japan_night VALUES (231798, '2023-11-16', '9987', '5177', '3538', 'admintoto', '2023-11-16 16:00:25', 'admintoto', '2023-11-16 16:00:37');
INSERT INTO public.tbl_trx_japan_night VALUES (231822, '2023-12-10', '3657', '5792', '1891', 'admintoto', '2023-12-10 15:45:50', 'admintoto', '2023-12-10 16:00:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231799, '2023-11-17', '2977', '6448', '9678', 'admintoto', '2023-11-17 10:02:36', 'admintoto', '2023-11-17 16:00:18');
INSERT INTO public.tbl_trx_japan_night VALUES (231812, '2023-11-30', '6016', '4722', '3939', 'admintoto', '2023-11-30 15:31:38', 'admintoto', '2023-11-30 16:00:07');
INSERT INTO public.tbl_trx_japan_night VALUES (231800, '2023-11-18', '0056', '5854', '6828', 'admintoto', '2023-11-18 15:31:35', 'admintoto', '2023-11-18 16:00:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231831, '2023-12-19', '1749', '5184', '5141', 'admintoto', '2023-12-19 16:00:28', 'admintoto', '2023-12-19 16:00:49');
INSERT INTO public.tbl_trx_japan_night VALUES (231813, '2023-12-01', '7342', '8222', '9981', 'admintoto', '2023-12-01 15:00:47', 'admintoto', '2023-12-01 15:57:19');
INSERT INTO public.tbl_trx_japan_night VALUES (231801, '2023-11-19', '5503', '0790', '1725', 'admintoto', '2023-11-19 16:11:15', 'admintoto', '2023-11-19 16:11:28');
INSERT INTO public.tbl_trx_japan_night VALUES (231823, '2023-12-11', '0122', '5092', '7015', 'admintoto', '2023-12-11 14:59:11', 'admintoto', '2023-12-11 16:00:15');
INSERT INTO public.tbl_trx_japan_night VALUES (231802, '2023-11-20', '6367', '3838', '4616', 'admintoto', '2023-11-20 16:06:13', 'admintoto', '2023-11-20 16:06:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231814, '2023-12-02', '2479', '9887', '7016', 'admintoto', '2023-12-02 15:40:19', 'admintoto', '2023-12-02 15:55:25');
INSERT INTO public.tbl_trx_japan_night VALUES (231803, '2023-11-21', '1575', '4086', '6877', 'admintoto', '2023-11-21 15:57:05', 'admintoto', '2023-11-21 15:57:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231804, '2023-11-22', '4176', '9265', '3162', 'admintoto', '2023-11-22 16:05:02', 'admintoto', '2023-11-22 16:05:11');
INSERT INTO public.tbl_trx_japan_night VALUES (2410, '2024-01-10', '5326', '7282', '3296', 'admintoto', '2024-01-10 15:58:25', 'admintoto', '2024-01-10 15:58:39');
INSERT INTO public.tbl_trx_japan_night VALUES (231815, '2023-12-03', '3391', '4250', '8138', 'admintoto', '2023-12-03 16:42:03', 'admintoto', '2023-12-03 16:42:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231805, '2023-11-23', '1387', '3764', '2991', 'admintoto', '2023-11-23 15:01:35', 'admintoto', '2023-11-23 16:13:46');
INSERT INTO public.tbl_trx_japan_night VALUES (231824, '2023-12-12', '9477', '3408', '6767', 'admintoto', '2023-12-12 15:01:54', 'admintoto', '2023-12-12 16:11:10');
INSERT INTO public.tbl_trx_japan_night VALUES (231838, '2023-12-26', '3288', '4902', '5232', 'admintoto', '2023-12-26 16:02:08', 'admintoto', '2023-12-26 16:02:16');
INSERT INTO public.tbl_trx_japan_night VALUES (231816, '2023-12-04', '5341', '0534', '2660', 'admintoto', '2023-12-04 15:38:34', 'admintoto', '2023-12-04 16:09:40');
INSERT INTO public.tbl_trx_japan_night VALUES (231832, '2023-12-20', '3795', '0614', '8274', 'admintoto', '2023-12-20 15:31:40', 'admintoto', '2023-12-20 15:57:18');
INSERT INTO public.tbl_trx_japan_night VALUES (231825, '2023-12-13', '1789', '4515', '5872', 'admintoto', '2023-12-13 15:32:34', 'admintoto', '2023-12-13 16:09:46');
INSERT INTO public.tbl_trx_japan_night VALUES (231817, '2023-12-05', '9042', '1690', '8036', 'admintoto', '2023-12-05 15:55:36', 'admintoto', '2023-12-05 15:56:14');
INSERT INTO public.tbl_trx_japan_night VALUES (231843, '2023-12-31', '3685', '1046', '2544', 'admintoto', '2023-12-31 15:48:47', 'admintoto', '2023-12-31 17:54:28');
INSERT INTO public.tbl_trx_japan_night VALUES (231818, '2023-12-06', '0094', '3119', '7088', 'admintoto', '2023-12-06 16:13:01', 'admintoto', '2023-12-06 16:13:11');
INSERT INTO public.tbl_trx_japan_night VALUES (231826, '2023-12-14', '0028', '3937', '8118', 'admintoto', '2023-12-14 12:24:28', 'admintoto', '2023-12-14 16:01:24');
INSERT INTO public.tbl_trx_japan_night VALUES (231833, '2023-12-21', '9191', '1174', '7363', 'admintoto', '2023-12-21 12:22:16', 'admintoto', '2023-12-21 16:00:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231827, '2023-12-15', '7628', '3821', '6724', 'admintoto', '2023-12-15 15:36:11', 'admintoto', '2023-12-15 16:00:26');
INSERT INTO public.tbl_trx_japan_night VALUES (231839, '2023-12-27', '5398', '6288', '2219', 'admintoto', '2023-12-27 16:29:47', 'admintoto', '2023-12-27 16:30:01');
INSERT INTO public.tbl_trx_japan_night VALUES (231828, '2023-12-16', '9365', '0524', '0439', 'admintoto', '2023-12-16 17:22:51', 'admintoto', '2023-12-16 17:22:57');
INSERT INTO public.tbl_trx_japan_night VALUES (231834, '2023-12-22', '5997', '2825', '7294', 'admintoto', '2023-12-22 15:10:41', 'admintoto', '2023-12-22 15:55:55');
INSERT INTO public.tbl_trx_japan_night VALUES (231829, '2023-12-17', '5157', '8897', '1153', 'admintoto', '2023-12-17 14:51:26', 'admintoto', '2023-12-17 16:00:10');
INSERT INTO public.tbl_trx_japan_night VALUES (244, '2024-01-04', '7639', '1596', '4966', 'admintoto', '2024-01-04 16:01:48', 'admintoto', '2024-01-04 16:02:17');
INSERT INTO public.tbl_trx_japan_night VALUES (231835, '2023-12-23', '1308', '0626', '6161', 'admintoto', '2023-12-23 16:20:26', 'admintoto', '2023-12-23 16:20:59');
INSERT INTO public.tbl_trx_japan_night VALUES (231840, '2023-12-28', '3436', '2116', '8310', 'admintoto', '2023-12-28 16:02:34', 'admintoto', '2023-12-28 16:02:47');
INSERT INTO public.tbl_trx_japan_night VALUES (231836, '2023-12-24', '2663', '5401', '1437', 'admintoto', '2023-12-24 17:01:13', 'admintoto', '2023-12-24 17:03:13');
INSERT INTO public.tbl_trx_japan_night VALUES (241, '2024-01-01', '0663', '2962', '9602', 'admintoto', '2024-01-01 15:35:20', 'admintoto', '2024-01-01 16:04:12');
INSERT INTO public.tbl_trx_japan_night VALUES (231841, '2023-12-29', '9358', '4875', '5758', 'admintoto', '2023-12-29 16:00:39', 'admintoto', '2023-12-29 16:00:49');
INSERT INTO public.tbl_trx_japan_night VALUES (247, '2024-01-07', '7722', '1109', '7484', 'admintoto', '2024-01-07 16:04:55', 'admintoto', '2024-01-07 16:05:00');
INSERT INTO public.tbl_trx_japan_night VALUES (242, '2024-01-02', '8696', '9857', '4685', 'admintoto', '2024-01-02 16:34:37', 'admintoto', '2024-01-02 16:35:21');
INSERT INTO public.tbl_trx_japan_night VALUES (231842, '2023-12-30', '4004', '7135', '3630', 'admintoto', '2023-12-30 17:00:20', 'admintoto', '2023-12-30 17:00:32');
INSERT INTO public.tbl_trx_japan_night VALUES (245, '2024-01-05', '8223', '5020', '7579', 'admintoto', '2024-01-05 15:35:33', 'admintoto', '2024-01-05 16:00:57');
INSERT INTO public.tbl_trx_japan_night VALUES (243, '2024-01-03', '9897', '4730', '2884', 'admintoto', '2024-01-03 15:36:34', 'admintoto', '2024-01-03 16:06:00');
INSERT INTO public.tbl_trx_japan_night VALUES (249, '2024-01-09', '0692', '8805', '1832', 'admintoto', '2024-01-09 16:08:14', 'admintoto', '2024-01-09 16:08:30');
INSERT INTO public.tbl_trx_japan_night VALUES (246, '2024-01-06', '6867', '3865', '6700', 'admintoto', '2024-01-06 16:15:31', 'admintoto', '2024-01-06 16:15:46');
INSERT INTO public.tbl_trx_japan_night VALUES (248, '2024-01-08', '8642', '3744', '1651', 'admintoto', '2024-01-08 15:40:29', 'admintoto', '2024-01-08 16:01:12');
INSERT INTO public.tbl_trx_japan_night VALUES (2412, '2024-01-12', '4722', '6807', '1905', 'admintoto', '2024-01-12 16:00:19', 'admintoto', '2024-01-12 16:00:32');
INSERT INTO public.tbl_trx_japan_night VALUES (2413, '2024-01-13', '9776', '3001', '4876', 'admintoto', '2024-01-13 16:02:22', 'admintoto', '2024-01-13 16:02:29');
INSERT INTO public.tbl_trx_japan_night VALUES (2411, '2024-01-11', '3557', '9367', '1258', 'admintoto', '2024-01-11 16:04:50', 'admintoto', '2024-01-11 16:04:57');
INSERT INTO public.tbl_trx_japan_night VALUES (2414, '2024-01-14', '3557', '5434', '6389', 'admintoto', '2024-01-14 15:56:44', 'admintoto', '2024-01-14 15:56:53');
INSERT INTO public.tbl_trx_japan_night VALUES (2415, '2024-01-15', '4620', '7242', '1319', 'admintoto', '2024-01-15 15:38:01', 'admintoto', '2024-01-15 16:00:33');
INSERT INTO public.tbl_trx_japan_night VALUES (2416, '2024-01-16', '6342', '5145', '8442', 'admintoto', '2024-01-16 15:55:48', 'admintoto', '2024-01-16 15:56:08');
INSERT INTO public.tbl_trx_japan_night VALUES (2417, '2024-01-17', '5161', '3929', '6528', 'admintoto', '2024-01-17 15:31:33', 'admintoto', '2024-01-17 16:00:08');
INSERT INTO public.tbl_trx_japan_night VALUES (2418, '2024-01-18', '6946', '3667', '7923', 'admintoto', '2024-01-18 15:31:45', 'admintoto', '2024-01-18 16:00:14');
INSERT INTO public.tbl_trx_japan_night VALUES (2419, '2024-01-19', '8723', '9361', '5342', 'admintoto', '2024-01-19 16:11:26', 'admintoto', '2024-01-19 16:11:35');
INSERT INTO public.tbl_trx_japan_night VALUES (2420, '2024-01-20', '1902', '2897', '9905', 'admintoto', '2024-01-20 15:59:26', 'admintoto', '2024-01-20 15:59:31');
INSERT INTO public.tbl_trx_japan_night VALUES (2421, '2024-01-21', '7105', '8269', '1814', 'admintoto', '2024-01-21 15:51:10', 'admintoto', '2024-01-21 16:00:20');
INSERT INTO public.tbl_trx_japan_night VALUES (2453, '2024-02-22', '8043', '9918', '1144', 'admintoto', '2024-02-22 16:07:34', 'admintoto', '2024-02-22 16:08:00');
INSERT INTO public.tbl_trx_japan_night VALUES (2422, '2024-01-22', '3006', '0711', '8061', 'admintoto', '2024-01-22 14:57:17', 'admintoto', '2024-01-22 15:57:03');
INSERT INTO public.tbl_trx_japan_night VALUES (2441, '2024-02-10', '0432', '1188', '9557', 'admintoto', '2024-02-10 15:38:04', 'admintoto', '2024-02-10 16:11:50');
INSERT INTO public.tbl_trx_japan_night VALUES (2423, '2024-01-23', '0443', '9921', '5273', 'admintoto', '2024-01-23 16:03:20', 'admintoto', '2024-01-23 16:03:27');
INSERT INTO public.tbl_trx_japan_night VALUES (2471, '2024-03-11', '3932', '1540', '8783', 'admintoto', '2024-03-11 15:59:08', 'admintoto', '2024-03-11 15:59:13');
INSERT INTO public.tbl_trx_japan_night VALUES (2424, '2024-01-24', '6711', '0017', '7179', 'admintoto', '2024-01-24 15:41:45', 'admintoto', '2024-01-24 16:00:15');
INSERT INTO public.tbl_trx_japan_night VALUES (2454, '2024-02-23', '7803', '0598', '8570', 'admintoto', '2024-02-23 15:43:52', 'admintoto', '2024-02-23 16:00:07');
INSERT INTO public.tbl_trx_japan_night VALUES (2442, '2024-02-11', '5935', '1001', '0129', 'admintoto', '2024-02-11 15:47:16', 'admintoto', '2024-02-11 16:00:00');
INSERT INTO public.tbl_trx_japan_night VALUES (2425, '2024-01-25', '5796', '3469', '9194', 'admintoto', '2024-01-25 15:46:22', 'admintoto', '2024-01-25 16:00:14');
INSERT INTO public.tbl_trx_japan_night VALUES (2426, '2024-01-26', '9299', '7603', '8347', 'admintoto', '2024-01-26 10:00:12', 'admintoto', '2024-01-26 16:00:23');
INSERT INTO public.tbl_trx_japan_night VALUES (2464, '2024-03-04', '2679', '3102', '1893', 'admintoto', '2024-03-04 16:03:35', 'admintoto', '2024-03-04 16:03:44');
INSERT INTO public.tbl_trx_japan_night VALUES (2443, '2024-02-12', '9972', '5131', '8660', 'admintoto', '2024-02-12 15:58:02', 'admintoto', '2024-02-12 15:58:11');
INSERT INTO public.tbl_trx_japan_night VALUES (2427, '2024-01-27', '0332', '2816', '9763', 'admintoto', '2024-01-27 16:06:12', 'admintoto', '2024-01-27 16:06:17');
INSERT INTO public.tbl_trx_japan_night VALUES (2428, '2024-01-28', '4005', '0728', '8940', 'admintoto', '2024-01-28 16:01:20', 'admintoto', '2024-01-28 16:01:26');
INSERT INTO public.tbl_trx_japan_night VALUES (2455, '2024-02-24', '5453', '0891', '1531', 'admintoto', '2024-02-24 16:18:13', 'admintoto', '2024-02-24 16:18:18');
INSERT INTO public.tbl_trx_japan_night VALUES (2444, '2024-02-13', '5099', '8103', '0263', 'admintoto', '2024-02-13 15:57:57', 'admintoto', '2024-02-13 15:58:02');
INSERT INTO public.tbl_trx_japan_night VALUES (2429, '2024-01-29', '2777', '9022', '3670', 'admintoto', '2024-01-29 16:00:17', 'admintoto', '2024-01-29 16:00:24');
INSERT INTO public.tbl_trx_japan_night VALUES (2430, '2024-01-30', '8328', '7692', '1331', 'admintoto', '2024-01-30 16:01:33', 'admintoto', '2024-01-30 16:01:50');
INSERT INTO public.tbl_trx_japan_night VALUES (2431, '2024-01-31', '4964', '2788', '0005', 'admintoto', '2024-01-31 16:07:04', 'admintoto', '2024-01-31 16:07:14');
INSERT INTO public.tbl_trx_japan_night VALUES (2456, '2024-02-25', '3278', '6667', '6263', 'admintoto', '2024-02-25 15:35:27', 'admintoto', '2024-02-25 16:18:32');
INSERT INTO public.tbl_trx_japan_night VALUES (2432, '2024-02-01', '0400', '1230', '5720', 'admintoto', '2024-02-01 15:58:48', 'admintoto', '2024-02-01 15:58:55');
INSERT INTO public.tbl_trx_japan_night VALUES (2445, '2024-02-14', '8973', '6217', '9903', 'admintoto', '2024-02-14 15:32:22', 'admintoto', '2024-02-14 16:58:09');
INSERT INTO public.tbl_trx_japan_night VALUES (2433, '2024-02-02', '5767', '4488', '6842', 'admintoto', '2024-02-02 15:17:20', 'admintoto', '2024-02-02 15:55:04');
INSERT INTO public.tbl_trx_japan_night VALUES (2465, '2024-03-05', '7081', '9783', '6362', 'admintoto', '2024-03-05 15:39:01', 'admintoto', '2024-03-05 15:55:32');
INSERT INTO public.tbl_trx_japan_night VALUES (2434, '2024-02-03', '0950', '6220', '3535', 'admintoto', '2024-02-03 15:59:20', 'admintoto', '2024-02-03 15:59:40');
INSERT INTO public.tbl_trx_japan_night VALUES (2446, '2024-02-15', '4318', '0846', '5949', 'admintoto', '2024-02-15 15:50:06', 'admintoto', '2024-02-15 16:00:19');
INSERT INTO public.tbl_trx_japan_night VALUES (2435, '2024-02-04', '4640', '5959', '8723', 'admintoto', '2024-02-04 15:46:05', 'admintoto', '2024-02-04 16:08:47');
INSERT INTO public.tbl_trx_japan_night VALUES (2457, '2024-02-26', '9696', '6581', '7857', 'admintoto', '2024-02-26 15:55:44', 'admintoto', '2024-02-26 15:55:53');
INSERT INTO public.tbl_trx_japan_night VALUES (2436, '2024-02-05', '7275', '0937', '9099', 'admintoto', '2024-02-05 15:31:51', 'admintoto', '2024-02-05 17:00:46');
INSERT INTO public.tbl_trx_japan_night VALUES (2447, '2024-02-16', '2897', '8682', '3049', 'admintoto', '2024-02-16 15:52:42', 'admintoto', '2024-02-16 15:56:09');
INSERT INTO public.tbl_trx_japan_night VALUES (2437, '2024-02-06', '8500', '5469', '6540', 'admintoto', '2024-02-06 16:07:56', 'admintoto', '2024-02-06 16:08:03');
INSERT INTO public.tbl_trx_japan_night VALUES (2472, '2024-03-12', '9547', '5036', '4500', 'admintoto', '2024-03-12 17:31:40', 'admintoto', '2024-03-12 17:31:47');
INSERT INTO public.tbl_trx_japan_night VALUES (2438, '2024-02-07', '4651', '7365', '3515', 'admintoto', '2024-02-07 16:17:28', 'admintoto', '2024-02-07 16:17:35');
INSERT INTO public.tbl_trx_japan_night VALUES (2448, '2024-02-17', '5006', '8359', '9721', 'admintoto', '2024-02-17 15:43:44', 'admintoto', '2024-02-17 16:09:13');
INSERT INTO public.tbl_trx_japan_night VALUES (2439, '2024-02-08', '6600', '7568', '4416', 'admintoto', '2024-02-08 16:13:48', 'admintoto', '2024-02-08 16:13:54');
INSERT INTO public.tbl_trx_japan_night VALUES (2458, '2024-02-27', '6894', '4504', '3699', 'admintoto', '2024-02-27 15:48:14', 'admintoto', '2024-02-27 15:55:16');
INSERT INTO public.tbl_trx_japan_night VALUES (2440, '2024-02-09', '8470', '3170', '2307', 'admintoto', '2024-02-09 16:10:46', 'admintoto', '2024-02-09 16:10:56');
INSERT INTO public.tbl_trx_japan_night VALUES (2449, '2024-02-18', '8811', '4556', '9465', 'admintoto', '2024-02-18 15:32:33', 'admintoto', '2024-02-18 16:31:40');
INSERT INTO public.tbl_trx_japan_night VALUES (2466, '2024-03-06', '3934', '1729', '8436', 'admintoto', '2024-03-06 16:05:50', 'admintoto', '2024-03-06 16:05:56');
INSERT INTO public.tbl_trx_japan_night VALUES (2459, '2024-02-28', '6947', '8703', '2152', 'admintoto', '2024-02-28 15:55:03', 'admintoto', '2024-02-28 15:55:13');
INSERT INTO public.tbl_trx_japan_night VALUES (2450, '2024-02-19', '4500', '7268', '5144', 'admintoto', '2024-02-19 13:34:47', 'admintoto', '2024-02-19 16:00:17');
INSERT INTO public.tbl_trx_japan_night VALUES (2477, '2024-03-17', '1460', '0875', '2239', 'admintoto', '2024-03-17 16:01:30', 'admintoto', '2024-03-17 16:01:36');
INSERT INTO public.tbl_trx_japan_night VALUES (2451, '2024-02-20', '8470', '1775', '0938', 'admintoto', '2024-02-20 15:51:24', 'admintoto', '2024-02-20 15:55:40');
INSERT INTO public.tbl_trx_japan_night VALUES (2460, '2024-02-29', '0761', '1758', '9943', 'admintoto', '2024-02-29 15:38:43', 'admintoto', '2024-02-29 15:57:17');
INSERT INTO public.tbl_trx_japan_night VALUES (2452, '2024-02-21', '9734', '7622', '4776', 'admintoto', '2024-02-21 16:10:25', 'admintoto', '2024-02-22 16:07:31');
INSERT INTO public.tbl_trx_japan_night VALUES (2467, '2024-03-07', '0408', '2093', '5361', 'admintoto', '2024-03-07 16:11:16', 'admintoto', '2024-03-07 16:11:25');
INSERT INTO public.tbl_trx_japan_night VALUES (2473, '2024-03-13', '8017', '0393', '6029', 'admintoto', '2024-03-13 15:55:23', 'admintoto', '2024-03-13 15:55:31');
INSERT INTO public.tbl_trx_japan_night VALUES (2461, '2024-03-01', '5023', '6169', '8889', 'admintoto', '2024-03-01 15:56:06', 'admintoto', '2024-03-01 15:56:14');
INSERT INTO public.tbl_trx_japan_night VALUES (2468, '2024-03-08', '3815', '4677', '7104', 'admintoto', '2024-03-08 15:28:56', 'admintoto', '2024-03-08 15:56:50');
INSERT INTO public.tbl_trx_japan_night VALUES (2462, '2024-03-02', '0742', '5613', '6212', 'admintoto', '2024-03-02 16:00:10', 'admintoto', '2024-03-02 16:00:17');
INSERT INTO public.tbl_trx_japan_night VALUES (2481, '2024-03-21', '9522', '8436', '7363', 'admintoto', '2024-03-21 15:42:55', 'admintoto', '2024-03-21 16:11:23');
INSERT INTO public.tbl_trx_japan_night VALUES (2463, '2024-03-03', '4633', '6086', '5998', 'admintoto', '2024-03-03 16:05:30', 'admintoto', '2024-03-03 16:05:35');
INSERT INTO public.tbl_trx_japan_night VALUES (2469, '2024-03-09', '3662', '5423', '6707', 'admintoto', '2024-03-09 16:35:14', 'admintoto', '2024-03-09 16:35:19');
INSERT INTO public.tbl_trx_japan_night VALUES (2474, '2024-03-14', '7214', '6459', '8996', 'admintoto', '2024-03-14 16:00:35', 'admintoto', '2024-03-14 16:00:44');
INSERT INTO public.tbl_trx_japan_night VALUES (2470, '2024-03-10', '2917', '9539', '7579', 'admintoto', '2024-03-10 16:00:47', 'admintoto', '2024-03-10 16:00:54');
INSERT INTO public.tbl_trx_japan_night VALUES (2478, '2024-03-18', '2037', '5709', '6826', 'admintoto', '2024-03-18 16:00:39', 'admintoto', '2024-03-18 16:00:48');
INSERT INTO public.tbl_trx_japan_night VALUES (2488, '2024-03-28', '2355', '5185', '1204', 'admintoto', '2024-03-28 15:52:06', 'admintoto', '2024-03-28 15:59:58');
INSERT INTO public.tbl_trx_japan_night VALUES (2475, '2024-03-15', '9763', '2275', '8655', 'admintoto', '2024-03-15 15:33:26', 'admintoto', '2024-03-15 15:55:55');
INSERT INTO public.tbl_trx_japan_night VALUES (2484, '2024-03-24', '9225', '6716', '5200', 'admintoto', '2024-03-24 15:13:55', 'admintoto', '2024-03-24 16:00:30');
INSERT INTO public.tbl_trx_japan_night VALUES (2479, '2024-03-19', '0901', '3306', '7953', 'admintoto', '2024-03-19 15:49:00', 'admintoto', '2024-03-19 15:56:48');
INSERT INTO public.tbl_trx_japan_night VALUES (2476, '2024-03-16', '4830', '5076', '6722', 'admintoto', '2024-03-16 16:05:10', 'admintoto', '2024-03-16 16:05:16');
INSERT INTO public.tbl_trx_japan_night VALUES (2482, '2024-03-22', '2664', '8059', '2783', 'admintoto', '2024-03-22 15:56:23', 'admintoto', '2024-03-22 15:56:35');
INSERT INTO public.tbl_trx_japan_night VALUES (2480, '2024-03-20', '9939', '4573', '1261', 'admintoto', '2024-03-20 15:32:51', 'admintoto', '2024-03-20 16:16:27');
INSERT INTO public.tbl_trx_japan_night VALUES (2487, '2024-03-27', '8532', '9904', '7151', 'admintoto', '2024-03-27 16:00:17', 'admintoto', '2024-03-27 16:00:25');
INSERT INTO public.tbl_trx_japan_night VALUES (2483, '2024-03-23', '6012', '1487', '0328', 'admintoto', '2024-03-23 16:31:24', 'admintoto', '2024-03-23 16:31:34');
INSERT INTO public.tbl_trx_japan_night VALUES (2486, '2024-03-26', '6611', '0880', '9825', 'admintoto', '2024-03-26 15:55:04', 'admintoto', '2024-03-26 15:55:19');
INSERT INTO public.tbl_trx_japan_night VALUES (2485, '2024-03-25', '4088', '9477', '2516', 'admintoto', '2024-03-25 15:50:50', 'admintoto', '2024-03-25 15:55:16');
INSERT INTO public.tbl_trx_japan_night VALUES (2490, '2024-03-30', '5074', '9705', '8134', 'admintoto', '2024-03-30 15:47:30', 'admintoto', '2024-03-30 16:05:29');
INSERT INTO public.tbl_trx_japan_night VALUES (2489, '2024-03-29', '4381', '2370', '7793', 'admintoto', '2024-03-29 16:12:03', 'admintoto', '2024-03-29 16:12:19');
INSERT INTO public.tbl_trx_japan_night VALUES (2491, '2024-03-31', '9970', '8885', '1480', 'admintoto', '2024-03-31 15:43:02', 'admintoto', '2024-03-31 16:02:55');
INSERT INTO public.tbl_trx_japan_night VALUES (2492, '2024-04-01', '1759', '6515', '4142', 'admintoto', '2024-04-01 15:31:49', 'admintoto', '2024-04-01 15:56:27');
INSERT INTO public.tbl_trx_japan_night VALUES (2493, '2024-04-02', '6251', '7170', '6632', 'admintoto', '2024-04-02 15:40:40', 'admintoto', '2024-04-02 16:00:37');
INSERT INTO public.tbl_trx_japan_night VALUES (2494, '2024-04-03', '3039', '1683', '0282', 'admintoto', '2024-04-03 16:01:30', 'admintoto', '2024-04-03 16:01:44');
INSERT INTO public.tbl_trx_japan_night VALUES (2495, '2024-04-04', '4497', '0465', '5500', 'admintoto', '2024-04-04 11:23:51', 'admintoto', '2024-04-04 16:51:06');
INSERT INTO public.tbl_trx_japan_night VALUES (2496, '2024-04-05', '7504', '9313', '5036', 'admintoto', '2024-04-05 15:52:40', 'admintoto', '2024-04-05 16:31:40');
INSERT INTO public.tbl_trx_japan_night VALUES (2497, '2024-04-06', '8897', '0362', '9302', 'admintoto', '2024-04-06 16:11:00', 'admintoto', '2024-04-06 16:11:10');
INSERT INTO public.tbl_trx_japan_night VALUES (2498, '2024-04-07', '9787', '2219', '6795', 'admintoto', '2024-04-07 15:49:15', 'admintoto', '2024-04-07 16:07:31');
INSERT INTO public.tbl_trx_japan_night VALUES (24141, '2024-05-21', '1597', '0960', '6659', 'admintoto', '2024-05-21 16:27:31', 'admintoto', '2024-05-21 16:27:37');
INSERT INTO public.tbl_trx_japan_night VALUES (2499, '2024-04-08', '2772', '5816', '1107', 'admintoto', '2024-04-08 15:38:42', 'admintoto', '2024-04-08 16:05:13');
INSERT INTO public.tbl_trx_japan_night VALUES (24118, '2024-04-27', '4691', '5858', '1754', 'admintoto', '2024-04-27 16:31:15', 'admintoto', '2024-04-27 16:31:22');
INSERT INTO public.tbl_trx_japan_night VALUES (24100, '2024-04-09', '1571', '2104', '8345', 'admintoto', '2024-04-09 16:00:49', 'admintoto', '2024-04-09 16:00:57');
INSERT INTO public.tbl_trx_japan_night VALUES (24131, '2024-05-10', '2469', '5804', '0581', 'admintoto', '2024-05-10 15:54:26', 'admintoto', '2024-05-10 15:55:10');
INSERT INTO public.tbl_trx_japan_night VALUES (24101, '2024-04-10', '8948', '2793', '7283', 'admintoto', '2024-04-10 16:01:35', 'admintoto', '2024-04-10 16:01:45');
INSERT INTO public.tbl_trx_japan_night VALUES (24119, '2024-04-28', '1627', '0890', '4889', 'admintoto', '2024-04-28 16:40:29', 'admintoto', '2024-04-28 16:40:35');
INSERT INTO public.tbl_trx_japan_night VALUES (24102, '2024-04-11', '7708', '6609', '0982', 'admintoto', '2024-04-11 16:22:26', 'admintoto', '2024-04-11 16:22:32');
INSERT INTO public.tbl_trx_japan_night VALUES (24103, '2024-04-12', '2191', '5528', '3593', 'admintoto', '2024-04-12 15:54:40', 'admintoto', '2024-04-12 16:12:22');
INSERT INTO public.tbl_trx_japan_night VALUES (24120, '2024-04-29', '0420', '3024', '9705', 'admintoto', '2024-04-29 15:43:01', 'admintoto', '2024-04-29 16:00:26');
INSERT INTO public.tbl_trx_japan_night VALUES (24104, '2024-04-13', '3150', '1224', '0504', 'admintoto', '2024-04-13 16:28:56', 'admintoto', '2024-04-13 16:29:03');
INSERT INTO public.tbl_trx_japan_night VALUES (24132, '2024-05-11', '0867', '4753', '5679', 'admintoto', '2024-05-11 16:40:25', 'admintoto', '2024-05-11 16:40:33');
INSERT INTO public.tbl_trx_japan_night VALUES (24105, '2024-04-14', '6624', '9073', '2670', 'admintoto', '2024-04-14 15:52:54', 'admintoto', '2024-04-14 16:02:43');
INSERT INTO public.tbl_trx_japan_night VALUES (24121, '2024-04-30', '7884', '4451', '5889', 'admintoto', '2024-04-30 15:58:14', 'admintoto', '2024-04-30 15:58:21');
INSERT INTO public.tbl_trx_japan_night VALUES (24106, '2024-04-15', '5067', '6387', '0247', 'admintoto', '2024-04-15 17:01:33', 'admintoto', '2024-04-15 17:01:41');
INSERT INTO public.tbl_trx_japan_night VALUES (24163, '2024-06-12', '0822', '5743', '2460', 'admintoto', '2024-06-12 16:00:02', 'admintoto', '2024-06-12 16:00:33');
INSERT INTO public.tbl_trx_japan_night VALUES (24142, '2024-05-22', '3681', '1856', '5627', 'admintoto', '2024-05-22 15:43:35', 'admintoto', '2024-05-22 15:55:26');
INSERT INTO public.tbl_trx_japan_night VALUES (24107, '2024-04-16', '2708', '0564', '6496', 'admintoto', '2024-04-16 15:02:36', 'admintoto', '2024-04-16 16:15:17');
INSERT INTO public.tbl_trx_japan_night VALUES (24133, '2024-05-13', '1687', '6606', '3482', 'admintoto', '2024-05-13 16:01:01', 'admintoto', '2024-05-13 16:01:23');
INSERT INTO public.tbl_trx_japan_night VALUES (24122, '2024-05-01', '5928', '9822', '6349', 'admintoto', '2024-05-01 17:27:06', 'admintoto', '2024-05-01 17:30:01');
INSERT INTO public.tbl_trx_japan_night VALUES (24108, '2024-04-17', '9127', '1648', '2115', 'admintoto', '2024-04-17 15:13:44', 'admintoto', '2024-04-17 15:56:25');
INSERT INTO public.tbl_trx_japan_night VALUES (24109, '2024-04-18', '4058', '6211', '5436', 'admintoto', '2024-04-18 15:59:18', 'admintoto', '2024-04-18 15:59:30');
INSERT INTO public.tbl_trx_japan_night VALUES (24123, '2024-05-02', '0321', '9050', '3233', 'admintoto', '2024-05-02 17:00:24', 'admintoto', '2024-05-02 17:00:31');
INSERT INTO public.tbl_trx_japan_night VALUES (24110, '2024-04-19', '5778', '9905', '4241', 'admintoto', '2024-04-19 16:02:46', 'admintoto', '2024-04-19 16:02:56');
INSERT INTO public.tbl_trx_japan_night VALUES (24149, '2024-05-29', '2238', '0618', '8075', 'admintoto', '2024-05-29 15:32:51', 'admintoto', '2024-05-29 15:57:51');
INSERT INTO public.tbl_trx_japan_night VALUES (24111, '2024-04-20', '2348', '7080', '3890', 'admintoto', '2024-04-20 16:00:03', 'admintoto', '2024-04-20 16:00:08');
INSERT INTO public.tbl_trx_japan_night VALUES (24134, '2024-05-14', '0048', '3104', '9944', 'admintoto', '2024-05-14 10:04:52', 'admintoto', '2024-05-14 17:11:32');
INSERT INTO public.tbl_trx_japan_night VALUES (24124, '2024-05-03', '7578', '2499', '8695', 'admintoto', '2024-05-03 17:00:39', 'admintoto', '2024-05-03 17:00:46');
INSERT INTO public.tbl_trx_japan_night VALUES (24112, '2024-04-21', '9423', '3961', '8850', 'admintoto', '2024-04-21 16:01:11', 'admintoto', '2024-04-21 16:01:22');
INSERT INTO public.tbl_trx_japan_night VALUES (24113, '2024-04-22', '3873', '5843', '2554', 'admintoto', '2024-04-22 16:00:57', 'admintoto', '2024-04-22 16:01:06');
INSERT INTO public.tbl_trx_japan_night VALUES (24125, '2024-05-04', '2073', '4944', '5546', 'admintoto', '2024-05-04 16:07:11', 'admintoto', '2024-05-04 16:07:21');
INSERT INTO public.tbl_trx_japan_night VALUES (24114, '2024-04-23', '0547', '1918', '3259', 'admintoto', '2024-04-23 15:41:41', 'admintoto', '2024-04-23 15:55:52');
INSERT INTO public.tbl_trx_japan_night VALUES (24143, '2024-05-23', '6263', '5332', '9816', 'admintoto', '2024-05-23 16:06:28', 'admintoto', '2024-05-23 16:07:03');
INSERT INTO public.tbl_trx_japan_night VALUES (24115, '2024-04-24', '1764', '7471', '2906', 'admintoto', '2024-04-24 15:46:20', 'admintoto', '2024-04-24 16:12:28');
INSERT INTO public.tbl_trx_japan_night VALUES (24135, '2024-05-15', '6318', '0217', '5130', 'admintoto', '2024-05-15 15:55:20', 'admintoto', '2024-05-15 15:55:27');
INSERT INTO public.tbl_trx_japan_night VALUES (24126, '2024-05-05', '8127', '4395', '3572', 'admintoto', '2024-05-05 16:22:31', 'admintoto', '2024-05-05 16:22:36');
INSERT INTO public.tbl_trx_japan_night VALUES (24116, '2024-04-25', '6464', '3313', '5570', 'admintoto', '2024-04-25 15:32:16', 'admintoto', '2024-04-25 16:00:16');
INSERT INTO public.tbl_trx_japan_night VALUES (24117, '2024-04-26', '7922', '9771', '4489', 'root', '2024-04-26 16:06:57', 'admintoto', '2024-04-26 16:16:13');
INSERT INTO public.tbl_trx_japan_night VALUES (24127, '2024-05-06', '9916', '1845', '6496', 'admintoto', '2024-05-06 16:47:07', 'admintoto', '2024-05-06 16:47:18');
INSERT INTO public.tbl_trx_japan_night VALUES (24136, '2024-05-16', '0005', '1994', '4264', 'admintoto', '2024-05-16 15:57:22', 'admintoto', '2024-05-16 15:57:46');
INSERT INTO public.tbl_trx_japan_night VALUES (24128, '2024-05-07', '6826', '3402', '9282', 'admintoto', '2024-05-07 16:20:22', 'admintoto', '2024-05-07 16:20:28');
INSERT INTO public.tbl_trx_japan_night VALUES (24129, '2024-05-08', '2762', '6681', '0977', 'admintoto', '2024-05-08 16:09:00', 'admintoto', '2024-05-08 16:09:10');
INSERT INTO public.tbl_trx_japan_night VALUES (24144, '2024-05-24', '4022', '7003', '8836', 'admintoto', '2024-05-24 16:16:23', 'admintoto', '2024-05-24 16:16:30');
INSERT INTO public.tbl_trx_japan_night VALUES (24137, '2024-05-17', '8449', '7974', '5172', 'admintoto', '2024-05-17 16:20:27', 'admintoto', '2024-05-17 16:20:33');
INSERT INTO public.tbl_trx_japan_night VALUES (24130, '2024-05-09', '8813', '7508', '9633', 'admintoto', '2024-05-09 14:43:43', 'admintoto', '2024-05-09 16:51:57');
INSERT INTO public.tbl_trx_japan_night VALUES (24150, '2024-05-30', '9531', '7868', '1380', 'admintoto', '2024-05-30 16:03:49', 'admintoto', '2024-05-30 16:03:59');
INSERT INTO public.tbl_trx_japan_night VALUES (24138, '2024-05-18', '6126', '4608', '8479', 'admintoto', '2024-05-18 16:52:00', 'admintoto', '2024-05-18 16:52:09');
INSERT INTO public.tbl_trx_japan_night VALUES (24145, '2024-05-25', '7477', '4051', '1737', 'admintoto', '2024-05-25 15:05:45', 'admintoto', '2024-05-25 16:31:51');
INSERT INTO public.tbl_trx_japan_night VALUES (24139, '2024-05-19', '6679', '1703', '0822', 'admintoto', '2024-05-19 16:17:36', 'admintoto', '2024-05-19 16:17:42');
INSERT INTO public.tbl_trx_japan_night VALUES (24173, '2024-06-23', '2379', '9316', '6314', 'admintoto', '2024-06-23 16:18:37', 'admintoto', '2024-06-23 16:18:56');
INSERT INTO public.tbl_trx_japan_night VALUES (24140, '2024-05-20', '3306', '6396', '8368', 'admintoto', '2024-05-20 16:20:27', 'admintoto', '2024-05-20 16:20:34');
INSERT INTO public.tbl_trx_japan_night VALUES (24222, '2024-08-11', '4834', '1940', '3176', 'admintoto', '2024-08-11 16:00:26', 'admintoto', '2024-08-11 16:00:33');
INSERT INTO public.tbl_trx_japan_night VALUES (24146, '2024-05-26', '4055', '3912', '0424', 'admintoto', '2024-05-26 15:52:42', 'admintoto', '2024-05-26 16:50:15');
INSERT INTO public.tbl_trx_japan_night VALUES (24151, '2024-05-31', '3112', '9865', '8125', 'admintoto', '2024-05-31 16:02:50', 'admintoto', '2024-05-31 16:03:23');
INSERT INTO public.tbl_trx_japan_night VALUES (24147, '2024-05-27', '0406', '9504', '6796', 'admintoto', '2024-05-27 15:01:02', 'admintoto', '2024-05-27 16:43:25');
INSERT INTO public.tbl_trx_japan_night VALUES (24184, '2024-07-04', '7332', '8777', '5926', 'admintoto', '2024-07-04 16:31:31', 'admintoto', '2024-07-04 16:31:41');
INSERT INTO public.tbl_trx_japan_night VALUES (24148, '2024-05-28', '8721', '1334', '2607', 'admintoto', '2024-05-28 16:38:46', 'admintoto', '2024-05-28 16:38:52');
INSERT INTO public.tbl_trx_japan_night VALUES (24197, '2024-07-17', '6207', '7250', '0482', 'admintoto', '2024-07-17 16:26:07', 'admintoto', '2024-07-17 16:26:17');
INSERT INTO public.tbl_trx_japan_night VALUES (24208, '2024-07-28', '9175', '0438', '3187', 'admintoto', '2024-07-28 17:07:43', 'admintoto', '2024-07-28 17:07:49');


--
-- TOC entry 3696 (class 0 OID 16527)
-- Dependencies: 210
-- Data for Name: tbl_trx_sdsb4d_day; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211, '2020-01-01', '7613', '2645', '5422', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (212, '2020-01-02', '1279', '6313', '0621', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (213, '2020-01-03', '5221', '8980', '3078', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (214, '2020-01-04', '8103', '2898', '2751', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (215, '2020-01-05', '6411', '8396', '7521', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (216, '2020-01-06', '2078', '3070', '0740', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (217, '2020-01-07', '3725', '9226', '0411', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (218, '2020-01-08', '5230', '5130', '2227', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (219, '2020-01-09', '5595', '0550', '7305', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2110, '2020-01-10', '3736', '5080', '9920', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2111, '2020-01-11', '9748', '7569', '2414', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2112, '2020-01-12', '1031', '5562', '7636', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2113, '2020-01-13', '2669', '1640', '1922', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2114, '2020-01-14', '6467', '9483', '0584', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2115, '2020-01-15', '1446', '6213', '4280', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2116, '2020-01-16', '5776', '5253', '2015', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2117, '2020-01-17', '2160', '1319', '7005', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2118, '2020-01-18', '6032', '0370', '7799', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2119, '2020-01-19', '9268', '1383', '6853', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2120, '2020-01-20', '0972', '5595', '5566', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2121, '2020-01-21', '6878', '2640', '7060', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2122, '2020-01-22', '2798', '0015', '9118', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2123, '2020-01-23', '7364', '3911', '1474', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2124, '2020-01-24', '6861', '0428', '9653', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2125, '2020-01-25', '2365', '4171', '1775', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2126, '2020-01-26', '8074', '1386', '6962', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2127, '2020-01-27', '1987', '2858', '3999', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2128, '2020-01-28', '6895', '5904', '8597', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2129, '2020-01-29', '2898', '6547', '7207', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2130, '2020-01-30', '3289', '9307', '2563', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2131, '2020-01-31', '6107', '3611', '3855', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2132, '2020-02-01', '9327', '8524', '0291', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2133, '2020-02-02', '0753', '1687', '6083', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2134, '2020-02-03', '0186', '9282', '4013', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2135, '2020-02-04', '1061', '3875', '8237', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2136, '2020-02-05', '0627', '4709', '8543', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2137, '2020-02-06', '5968', '3560', '3798', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2138, '2020-02-07', '5876', '1409', '9044', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2139, '2020-02-08', '4167', '7943', '7176', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2140, '2020-02-09', '2791', '6563', '5252', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2141, '2020-02-10', '9329', '9827', '0913', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2142, '2020-02-11', '6239', '8043', '1661', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2143, '2020-02-12', '7266', '8223', '2516', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2144, '2020-02-13', '9060', '7331', '5841', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2145, '2020-02-14', '3413', '7228', '7625', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2146, '2020-02-15', '1243', '2904', '3342', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2147, '2020-02-16', '1422', '9417', '8259', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2148, '2020-02-17', '5651', '6709', '2927', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2149, '2020-02-18', '1754', '6141', '4724', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2150, '2020-02-19', '4861', '7044', '4769', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2151, '2020-02-20', '1342', '7583', '9423', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2152, '2020-02-21', '5072', '6035', '5026', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2153, '2020-02-22', '7529', '2693', '3620', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2154, '2020-02-23', '9059', '4401', '8812', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2155, '2020-02-24', '3041', '7365', '5459', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2156, '2020-02-25', '3280', '3204', '7823', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2157, '2020-02-26', '0751', '1829', '6966', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2158, '2020-02-27', '7341', '1348', '4789', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2159, '2020-02-28', '0520', '2567', '4981', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2160, '2020-02-29', '1523', '6364', '9667', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2161, '2020-03-01', '9652', '4967', '1111', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2162, '2020-03-02', '5255', '4239', '1909', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2163, '2020-03-03', '3489', '0423', '1644', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2164, '2020-03-04', '4527', '1432', '0988', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2165, '2020-03-05', '2292', '4860', '1992', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2166, '2020-03-06', '9153', '3788', '4355', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2167, '2020-03-07', '8759', '5450', '5063', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2168, '2020-03-08', '2436', '3112', '5114', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2169, '2020-03-09', '9861', '0713', '6343', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2170, '2020-03-10', '2997', '5103', '1057', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2171, '2020-03-11', '0129', '9258', '8677', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2172, '2020-03-12', '8667', '0184', '6567', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2173, '2020-03-13', '5350', '6794', '5278', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2174, '2020-03-14', '3482', '5592', '4323', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2175, '2020-03-15', '5972', '7962', '7180', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2176, '2020-03-16', '5475', '3018', '3979', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2177, '2020-03-17', '6705', '5284', '6065', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2178, '2020-03-18', '2305', '4262', '2285', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2179, '2020-03-19', '6361', '4203', '8003', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2180, '2020-03-20', '1343', '5584', '2004', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2181, '2020-03-21', '3085', '8832', '6287', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2182, '2020-03-22', '0069', '6632', '7935', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2183, '2020-03-23', '7374', '5477', '7669', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2184, '2020-03-24', '1029', '6699', '9103', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2185, '2020-03-25', '3569', '4700', '2408', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2186, '2020-03-26', '5908', '2429', '2979', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2187, '2020-03-27', '5802', '5588', '4254', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2188, '2020-03-28', '8294', '5094', '0565', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2189, '2020-03-29', '7221', '2511', '0275', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2190, '2020-03-30', '4443', '3800', '5684', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2191, '2020-03-31', '5495', '1721', '3620', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2192, '2020-04-01', '1708', '1352', '3765', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2193, '2020-04-02', '1106', '2305', '9433', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2194, '2020-04-03', '2406', '6459', '1958', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2195, '2020-04-04', '7618', '4619', '9524', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2196, '2020-04-05', '6746', '6955', '1423', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2197, '2020-04-06', '5068', '4796', '1837', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2198, '2020-04-07', '7395', '9459', '3277', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2199, '2020-04-08', '7344', '8027', '5893', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21100, '2020-04-09', '7923', '2449', '8039', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21101, '2020-04-10', '1636', '5538', '1689', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21102, '2020-04-11', '6190', '8229', '1860', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21103, '2020-04-12', '9237', '1857', '6452', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21104, '2020-04-13', '6227', '9751', '6220', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21105, '2020-04-14', '4971', '1047', '2591', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21106, '2020-04-15', '9375', '0529', '7588', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21107, '2020-04-16', '6195', '9630', '2284', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21108, '2020-04-17', '1951', '7150', '4817', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21109, '2020-04-18', '3472', '9108', '6507', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21110, '2020-04-19', '5240', '9595', '7314', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21111, '2020-04-20', '1125', '0339', '6897', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21112, '2020-04-21', '4543', '5958', '6888', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21113, '2020-04-22', '9369', '9430', '4281', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21114, '2020-04-23', '0500', '6277', '5123', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21115, '2020-04-24', '4484', '2522', '5323', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21116, '2020-04-25', '6942', '9975', '9368', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21117, '2020-04-26', '5013', '4098', '6315', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21118, '2020-04-27', '4281', '9173', '1452', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21119, '2020-04-28', '3974', '7856', '7322', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21120, '2020-04-29', '7263', '2171', '4425', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21121, '2020-04-30', '2218', '4010', '2687', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21122, '2020-05-01', '4774', '3958', '8317', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21123, '2020-05-02', '1765', '5635', '5691', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21124, '2020-05-03', '6389', '3596', '6133', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21125, '2020-05-04', '5286', '2015', '8205', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21126, '2020-05-05', '9609', '0957', '5006', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21127, '2020-05-06', '0763', '0805', '1433', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21128, '2020-05-07', '7351', '8909', '1673', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21129, '2020-05-08', '8668', '0240', '7774', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21130, '2020-05-09', '6511', '0126', '7642', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21131, '2020-05-10', '9744', '8940', '3241', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21132, '2020-05-11', '4718', '1254', '4680', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21133, '2020-05-12', '0069', '7066', '2031', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21134, '2020-05-13', '9381', '6744', '9915', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21135, '2020-05-14', '6342', '6036', '8481', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21136, '2020-05-15', '4554', '8869', '4135', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21137, '2020-05-16', '7096', '1121', '1766', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21138, '2020-05-17', '2934', '9812', '5620', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21139, '2020-05-18', '4222', '8684', '6022', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21140, '2020-05-19', '8920', '8256', '0453', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21141, '2020-05-20', '2773', '8693', '6515', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21142, '2020-05-21', '4770', '2656', '5149', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21143, '2020-05-22', '3537', '2049', '1459', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21144, '2020-05-23', '9210', '0279', '3481', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21145, '2020-05-24', '5668', '6407', '7490', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21146, '2020-05-25', '3457', '9997', '5578', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21147, '2020-05-26', '6077', '1934', '5457', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21148, '2020-05-27', '8738', '7694', '9406', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21149, '2020-05-28', '2860', '2014', '7594', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21150, '2020-05-29', '6770', '0068', '9217', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21151, '2020-05-30', '6769', '9014', '3171', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21152, '2020-05-31', '6295', '4849', '8024', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21153, '2020-06-01', '1424', '9027', '9809', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21154, '2020-06-02', '1209', '8733', '8887', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21155, '2020-06-03', '7980', '9491', '6578', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21156, '2020-06-04', '5306', '3674', '2347', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21157, '2020-06-05', '5153', '0815', '4684', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21158, '2020-06-06', '6014', '0594', '0360', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21159, '2020-06-07', '9509', '9604', '5035', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21160, '2020-06-08', '0876', '8185', '4942', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21161, '2020-06-09', '3867', '1655', '1458', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21162, '2020-06-10', '6801', '7150', '7810', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21163, '2020-06-11', '7177', '3982', '2325', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21164, '2020-06-12', '3606', '0275', '2702', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21165, '2020-06-13', '8511', '8543', '0748', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21166, '2020-06-14', '3807', '3447', '1982', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21167, '2020-06-15', '1684', '1808', '0159', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21168, '2020-06-16', '8403', '4306', '4509', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21169, '2020-06-17', '5073', '0428', '1548', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21170, '2020-06-18', '8346', '3256', '7518', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21171, '2020-06-19', '4640', '2251', '2851', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21172, '2020-06-20', '7572', '2193', '3926', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21173, '2020-06-21', '9964', '5102', '4646', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21174, '2020-06-22', '7516', '4575', '6219', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21175, '2020-06-23', '4462', '3596', '5059', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21176, '2020-06-24', '9348', '5912', '7189', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21177, '2020-06-25', '6122', '7981', '1857', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21178, '2020-06-26', '0032', '5529', '0409', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21179, '2020-06-27', '5079', '5774', '4886', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21180, '2020-06-28', '6227', '7432', '7130', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21181, '2020-06-29', '2125', '1724', '7604', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21182, '2020-06-30', '5454', '3593', '0450', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21183, '2020-07-01', '4089', '2872', '0777', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21184, '2020-07-02', '3770', '3949', '0334', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21185, '2020-07-03', '7689', '3407', '4496', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21186, '2020-07-04', '9521', '2091', '9687', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21187, '2020-07-05', '8150', '8636', '7238', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21188, '2020-07-06', '1649', '8298', '7247', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21189, '2020-07-07', '6895', '6334', '7174', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21190, '2020-07-08', '4019', '7359', '2581', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21191, '2020-07-09', '4229', '4450', '9375', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21192, '2020-07-10', '7253', '5019', '5616', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21193, '2020-07-11', '8388', '6236', '2768', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21194, '2020-07-12', '9458', '2205', '9982', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21195, '2020-07-13', '6896', '8762', '9422', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21196, '2020-07-14', '0471', '1780', '3126', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21197, '2020-07-15', '5824', '7199', '3423', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21198, '2020-07-16', '2542', '6193', '4975', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21199, '2020-07-17', '5347', '9416', '9889', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21200, '2020-07-18', '4866', '6295', '4549', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21201, '2020-07-19', '6948', '5568', '4792', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21202, '2020-07-20', '8307', '6532', '5964', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21203, '2020-07-21', '4581', '5085', '7104', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21204, '2020-07-22', '2441', '8659', '1922', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21205, '2020-07-23', '2981', '9551', '1406', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21206, '2020-07-24', '5100', '6206', '6453', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21207, '2020-07-25', '3088', '7213', '5274', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21208, '2020-07-26', '8846', '1552', '4704', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21209, '2020-07-27', '6006', '5092', '4432', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21210, '2020-07-28', '0373', '8346', '0639', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21211, '2020-07-29', '8856', '1573', '9391', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21212, '2020-07-30', '5884', '3577', '7996', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21213, '2020-07-31', '3187', '5264', '6593', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21214, '2020-08-01', '2197', '3817', '2991', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21215, '2020-08-02', '4707', '8185', '2779', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21216, '2020-08-03', '8587', '1850', '4161', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21217, '2020-08-04', '9744', '4579', '9421', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21218, '2020-08-05', '2355', '3421', '8329', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21219, '2020-08-06', '0729', '9371', '1887', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21220, '2020-08-07', '9221', '3063', '4824', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21221, '2020-08-08', '2003', '0968', '2086', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21222, '2020-08-09', '1695', '5885', '0576', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21223, '2020-08-10', '7262', '4817', '1709', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21224, '2020-08-11', '6607', '2473', '6672', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21225, '2020-08-12', '4895', '7613', '2731', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21226, '2020-08-13', '1612', '2671', '1618', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21227, '2020-08-14', '5314', '0569', '5045', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21228, '2020-08-15', '1582', '8367', '4252', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21229, '2020-08-16', '7821', '8842', '9957', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21230, '2020-08-17', '1414', '7170', '0419', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21231, '2020-08-18', '2831', '1911', '7537', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21232, '2020-08-19', '5623', '3503', '2611', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21233, '2020-08-20', '7678', '7366', '3246', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21234, '2020-08-21', '6865', '1323', '9671', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21235, '2020-08-22', '5034', '5574', '7187', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21236, '2020-08-23', '5998', '8448', '7218', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21237, '2020-08-24', '5985', '4465', '6058', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21238, '2020-08-25', '9579', '1203', '4995', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21239, '2020-08-26', '7055', '9941', '5404', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21240, '2020-08-27', '0755', '0472', '1830', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21241, '2020-08-28', '2640', '1585', '5841', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21242, '2020-08-29', '5745', '0247', '9176', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21243, '2020-08-30', '9844', '1215', '9844', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21244, '2020-08-31', '8509', '3119', '8960', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21245, '2020-09-01', '6812', '0127', '6573', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21246, '2020-09-02', '4492', '7333', '6553', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21247, '2020-09-03', '3629', '2457', '0289', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21248, '2020-09-04', '8783', '5947', '9230', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21249, '2020-09-05', '7212', '0712', '6557', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21250, '2020-09-06', '5361', '8970', '1158', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21251, '2020-09-07', '1282', '5235', '0183', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21252, '2020-09-08', '4906', '3355', '4532', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21253, '2020-09-09', '6771', '9035', '1475', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21254, '2020-09-10', '6892', '9809', '7055', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21255, '2020-09-11', '3819', '1379', '5448', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21256, '2020-09-12', '4558', '0343', '0115', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21257, '2020-09-13', '8430', '4113', '9708', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21258, '2020-09-14', '6305', '0257', '2970', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21259, '2020-09-15', '8679', '6346', '3922', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21260, '2020-09-16', '5622', '9489', '5493', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21261, '2020-09-17', '5138', '0284', '4885', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21262, '2020-09-18', '7194', '3787', '9193', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21263, '2020-09-19', '0793', '9177', '4430', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21264, '2020-09-20', '8080', '0462', '1439', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21265, '2020-09-21', '2877', '4717', '8433', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21266, '2020-09-22', '1934', '9567', '7676', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21267, '2020-09-23', '7288', '6468', '6927', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21268, '2020-09-24', '5382', '3220', '5732', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21269, '2020-09-25', '9302', '3974', '8300', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21270, '2020-09-26', '1785', '2399', '6762', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21271, '2020-09-27', '1031', '6378', '3688', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21272, '2020-09-28', '5276', '5565', '2709', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21273, '2020-09-29', '9477', '1826', '7401', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21274, '2020-09-30', '6685', '5622', '4905', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21275, '2020-10-01', '2622', '9953', '2887', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21276, '2020-10-02', '6352', '8215', '4562', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21277, '2020-10-03', '9416', '1107', '2330', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21278, '2020-10-04', '0962', '6116', '7991', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21279, '2020-10-05', '2648', '8852', '5095', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21280, '2020-10-06', '0101', '4618', '7758', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21281, '2020-10-07', '1068', '8821', '0374', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21282, '2020-10-08', '5070', '3622', '9003', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21283, '2020-10-09', '1198', '8267', '9159', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21284, '2020-10-10', '8440', '8752', '0855', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21285, '2020-10-11', '1304', '6404', '7287', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21286, '2020-10-12', '7221', '7064', '7876', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21287, '2020-10-13', '4789', '0198', '8844', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21288, '2020-10-14', '9407', '1228', '7865', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21289, '2020-10-15', '0424', '2780', '1198', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21290, '2020-10-16', '7058', '0914', '3231', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21291, '2020-10-17', '9108', '9233', '2787', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21292, '2020-10-18', '7063', '3450', '0379', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21293, '2020-10-19', '6554', '6044', '6974', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21294, '2020-10-20', '5690', '5874', '8731', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21295, '2020-10-21', '9780', '4050', '5381', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21296, '2020-10-22', '1358', '6853', '3758', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21297, '2020-10-23', '6880', '0566', '6983', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21298, '2020-10-24', '8609', '7221', '0118', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21299, '2020-10-25', '8848', '4920', '2393', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21300, '2020-10-26', '6141', '1777', '2568', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21301, '2020-10-27', '6803', '1112', '5534', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21302, '2020-10-28', '2553', '4209', '0172', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21303, '2020-10-29', '8972', '8135', '0352', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21304, '2020-10-30', '7815', '7274', '9432', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21305, '2020-10-31', '8937', '6282', '1080', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21306, '2020-11-01', '3257', '0428', '8621', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21307, '2020-11-02', '1624', '5716', '1358', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21308, '2020-11-03', '3558', '9026', '4262', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21309, '2020-11-04', '7716', '0957', '0386', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21310, '2020-11-05', '2867', '7109', '3699', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21311, '2020-11-06', '4417', '9033', '3179', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21312, '2020-11-07', '7688', '7379', '7436', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21313, '2020-11-08', '7832', '4911', '1729', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21314, '2020-11-09', '4813', '5665', '7842', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21315, '2020-11-10', '9292', '6880', '7846', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21316, '2020-11-11', '5393', '9141', '7302', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21317, '2020-11-12', '0752', '2357', '7144', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21318, '2020-11-13', '7730', '1809', '0369', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21319, '2020-11-14', '7888', '6732', '8814', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21320, '2020-11-15', '5001', '7791', '6689', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21321, '2020-11-16', '3104', '4633', '9298', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21322, '2020-11-17', '6150', '1448', '8636', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21323, '2020-11-18', '6638', '3965', '1956', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21324, '2020-11-19', '4298', '2088', '7580', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21325, '2020-11-20', '9937', '8403', '8540', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21326, '2020-11-21', '8217', '7274', '0549', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21327, '2020-11-22', '5805', '4702', '8141', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21328, '2020-11-23', '5710', '5462', '7458', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21329, '2020-11-24', '5711', '4115', '5417', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21330, '2020-11-25', '3057', '3833', '5024', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21331, '2020-11-26', '2089', '1974', '5056', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21332, '2020-11-27', '1469', '8984', '0222', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21333, '2020-11-28', '0524', '3889', '5508', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21334, '2020-11-29', '5562', '9186', '3059', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21335, '2020-11-30', '8209', '0503', '1136', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21336, '2020-12-01', '8443', '1505', '8039', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21337, '2020-12-02', '9547', '0407', '2038', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21338, '2020-12-03', '8264', '2512', '5630', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21339, '2020-12-04', '7559', '5367', '0765', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21340, '2020-12-05', '9394', '5977', '2472', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21341, '2020-12-06', '5703', '0420', '9545', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21342, '2020-12-07', '6476', '2624', '9178', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21343, '2020-12-08', '3698', '7722', '7003', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21344, '2020-12-09', '6928', '8879', '0438', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21345, '2020-12-10', '5337', '5025', '6136', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21346, '2020-12-11', '2517', '3332', '4587', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21347, '2020-12-12', '9016', '7145', '9863', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21348, '2020-12-13', '0028', '2809', '0463', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21349, '2020-12-14', '2842', '0901', '5358', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21350, '2020-12-15', '5467', '4060', '0454', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21351, '2020-12-16', '2046', '7329', '8559', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21352, '2020-12-17', '3178', '8579', '2423', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21353, '2020-12-18', '4906', '4854', '0842', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21354, '2020-12-19', '4330', '1386', '5694', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21355, '2020-12-20', '6543', '3638', '0000', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21356, '2020-12-21', '7215', '5752', '4368', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21357, '2020-12-22', '2307', '1361', '1936', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21358, '2020-12-23', '1924', '9438', '8374', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21359, '2020-12-24', '6230', '6052', '5035', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21360, '2020-12-25', '7675', '6791', '1149', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21361, '2020-12-26', '6176', '5965', '4821', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21362, '2020-12-27', '6603', '1870', '8750', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21363, '2020-12-28', '7997', '8247', '9924', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21364, '2020-12-29', '0538', '1688', '1392', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21365, '2020-12-30', '9025', '4216', '2532', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21366, '2020-12-31', '6294', '0515', '3026', 'root', '2021-10-27 06:20:14', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21367, '2021-01-01', '3632', '2364', '1944', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21368, '2021-01-02', '8967', '7543', '8605', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21369, '2021-01-03', '5639', '2327', '2867', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21370, '2021-01-04', '0964', '5229', '0474', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21371, '2021-01-05', '2391', '6557', '9893', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21372, '2021-01-06', '5427', '1084', '1011', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21373, '2021-01-07', '8121', '4529', '0468', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21374, '2021-01-08', '0864', '0104', '2611', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21375, '2021-01-09', '6293', '9247', '0661', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21376, '2021-01-10', '2556', '0710', '4576', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21377, '2021-01-11', '5126', '0457', '7407', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21378, '2021-01-12', '6200', '1906', '8521', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21379, '2021-01-13', '0056', '6840', '1399', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21380, '2021-01-14', '3184', '3343', '0340', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21381, '2021-01-15', '0560', '8994', '7646', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21382, '2021-01-16', '1715', '0579', '1353', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21383, '2021-01-17', '7848', '9690', '3552', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21384, '2021-01-18', '0472', '6979', '9468', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21385, '2021-01-19', '0930', '0509', '7983', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21386, '2021-01-20', '3310', '9594', '0333', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21387, '2021-01-21', '4880', '6363', '8442', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21388, '2021-01-22', '6789', '5635', '2539', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21389, '2021-01-23', '7466', '8059', '6447', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21390, '2021-01-24', '6506', '2191', '6735', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21391, '2021-01-25', '2288', '3783', '2615', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21392, '2021-01-26', '5270', '0141', '5971', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21393, '2021-01-27', '4596', '7028', '9429', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21394, '2021-01-28', '7354', '1315', '1695', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21395, '2021-01-29', '9579', '1172', '2146', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21396, '2021-01-30', '8019', '7559', '2510', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21397, '2021-01-31', '6353', '1716', '5887', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21398, '2021-02-01', '5000', '4858', '0873', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21399, '2021-02-02', '1501', '8702', '1731', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21400, '2021-02-03', '6395', '8054', '3581', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21401, '2021-02-04', '2260', '0264', '0139', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21402, '2021-02-05', '8827', '6892', '7284', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21403, '2021-02-06', '0288', '3771', '0336', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21404, '2021-02-07', '8796', '3756', '3114', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21405, '2021-02-08', '8844', '7146', '4187', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21406, '2021-02-09', '9192', '5329', '8840', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21407, '2021-02-10', '4877', '3652', '9756', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21408, '2021-02-11', '7545', '7670', '9820', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21409, '2021-02-12', '3461', '9683', '7717', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21410, '2021-02-13', '2210', '1273', '0285', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21411, '2021-02-14', '5232', '6907', '4839', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21412, '2021-02-15', '5974', '5234', '9683', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21413, '2021-02-16', '9982', '2474', '4025', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21414, '2021-02-17', '1231', '2152', '7347', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21415, '2021-02-18', '8640', '1891', '0805', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21416, '2021-02-19', '9875', '8258', '3261', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21417, '2021-02-20', '2789', '5873', '4989', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21418, '2021-02-21', '9659', '8782', '8427', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21419, '2021-02-22', '2055', '5008', '4159', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21420, '2021-02-23', '2574', '1854', '7132', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21421, '2021-02-24', '9560', '7640', '0351', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21422, '2021-02-25', '9853', '7486', '9661', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21423, '2021-02-26', '4995', '1426', '7647', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21424, '2021-02-27', '0647', '5500', '3563', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21425, '2021-02-28', '8464', '8291', '1443', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21426, '2021-03-01', '1127', '1969', '6950', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21427, '2021-03-02', '6936', '8236', '4243', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21428, '2021-03-03', '1362', '1091', '6837', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21429, '2021-03-04', '1718', '6669', '4954', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21430, '2021-03-05', '5734', '4172', '4176', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21431, '2021-03-06', '7352', '1674', '9341', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21432, '2021-03-07', '6122', '6033', '6251', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21433, '2021-03-08', '1672', '0533', '3836', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21434, '2021-03-09', '3985', '9623', '1062', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21435, '2021-03-10', '0075', '9466', '1875', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21436, '2021-03-11', '2195', '5394', '0386', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21437, '2021-03-12', '5289', '4796', '6977', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21438, '2021-03-13', '3513', '2083', '5277', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21439, '2021-03-14', '2833', '2122', '9976', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21440, '2021-03-15', '2274', '4679', '7237', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21441, '2021-03-16', '7721', '8177', '5189', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21442, '2021-03-17', '4483', '7569', '2096', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21443, '2021-03-18', '8451', '4741', '3801', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21444, '2021-03-19', '7476', '5731', '3929', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21445, '2021-03-20', '5000', '7702', '9138', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21446, '2021-03-21', '7377', '7494', '4770', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21447, '2021-03-22', '3469', '4267', '9716', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21448, '2021-03-23', '8722', '4047', '5761', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21449, '2021-03-24', '7447', '6261', '3355', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21450, '2021-03-25', '7922', '8966', '2967', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21451, '2021-03-26', '4877', '3757', '2871', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21452, '2021-03-27', '3190', '3076', '5077', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21453, '2021-03-28', '4325', '7229', '8684', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21454, '2021-03-29', '4997', '1256', '8749', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21455, '2021-03-30', '4090', '0135', '9823', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21456, '2021-03-31', '3745', '2253', '4507', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21457, '2021-04-01', '0639', '4665', '6503', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21458, '2021-04-02', '3671', '2846', '3490', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21459, '2021-04-03', '4778', '0913', '2863', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21460, '2021-04-04', '4854', '7426', '2874', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21461, '2021-04-05', '3647', '0224', '9552', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21462, '2021-04-06', '8708', '2730', '0473', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21463, '2021-04-07', '1568', '5468', '2145', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21464, '2021-04-08', '9514', '8556', '2975', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21465, '2021-04-09', '5700', '6006', '5847', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21466, '2021-04-10', '5090', '8667', '5584', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21467, '2021-04-11', '4987', '2382', '1105', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21468, '2021-04-12', '8051', '1004', '7998', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21469, '2021-04-13', '2989', '5267', '3100', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21470, '2021-04-14', '9582', '3419', '4457', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21471, '2021-04-15', '3576', '4303', '6259', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21472, '2021-04-16', '8876', '5113', '6006', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21473, '2021-04-17', '9737', '5976', '4509', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21474, '2021-04-18', '3422', '9145', '3390', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21475, '2021-04-19', '5199', '8143', '7016', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21476, '2021-04-20', '2772', '7969', '7804', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21477, '2021-04-21', '8359', '1895', '3482', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21478, '2021-04-22', '3607', '6726', '1918', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21479, '2021-04-23', '2995', '3546', '3012', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21480, '2021-04-24', '1946', '5267', '3592', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21481, '2021-04-25', '5752', '9858', '6678', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21482, '2021-04-26', '0982', '6139', '9846', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21483, '2021-04-27', '0297', '5323', '5674', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21484, '2021-04-28', '5475', '0605', '6524', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21485, '2021-04-29', '9641', '5201', '4729', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21486, '2021-04-30', '2073', '0751', '9243', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21487, '2021-05-01', '7868', '2061', '0362', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21488, '2021-05-02', '5274', '8372', '1453', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21489, '2021-05-03', '9312', '5417', '0894', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21490, '2021-05-04', '3133', '7454', '6740', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21491, '2021-05-05', '2477', '2030', '1066', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21492, '2021-05-06', '6112', '4473', '5920', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21493, '2021-05-07', '2648', '3987', '3093', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21494, '2021-05-08', '0405', '9351', '9320', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21495, '2021-05-09', '3766', '8863', '1426', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21496, '2021-05-10', '4776', '3246', '7692', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21497, '2021-05-11', '1030', '3454', '1698', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21498, '2021-05-12', '5132', '7226', '4837', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21499, '2021-05-13', '2036', '1091', '6573', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21500, '2021-05-14', '2966', '3216', '7449', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21501, '2021-05-15', '8033', '7732', '0516', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21502, '2021-05-16', '2123', '7587', '2432', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21503, '2021-05-17', '7298', '1168', '0560', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21504, '2021-05-18', '5564', '6726', '1424', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21505, '2021-05-19', '9054', '2245', '9438', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21506, '2021-05-20', '5243', '1126', '7883', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21507, '2021-05-21', '2146', '8509', '3737', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21508, '2021-05-22', '2437', '8777', '1021', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21509, '2021-05-23', '3735', '9960', '3551', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21510, '2021-05-24', '6215', '7353', '3325', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21511, '2021-05-25', '2781', '5180', '0763', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21512, '2021-05-26', '9822', '3311', '0470', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21513, '2021-05-27', '2290', '6346', '6432', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21514, '2021-05-28', '4436', '9837', '7927', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21515, '2021-05-29', '4353', '9255', '2910', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21516, '2021-05-30', '5367', '0377', '8168', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21517, '2021-05-31', '8245', '5338', '9076', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21518, '2021-06-01', '5710', '8303', '1397', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21519, '2021-06-02', '8710', '8806', '9656', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21520, '2021-06-03', '7737', '3099', '0404', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21521, '2021-06-04', '3361', '5201', '9412', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21522, '2021-06-05', '0467', '4201', '2523', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21523, '2021-06-06', '7671', '6691', '5402', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21524, '2021-06-07', '9048', '9438', '2698', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21525, '2021-06-08', '1088', '4312', '7343', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21526, '2021-06-09', '1443', '1832', '7923', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21527, '2021-06-10', '2017', '9633', '7986', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21528, '2021-06-11', '8137', '4209', '1949', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21529, '2021-06-12', '6546', '2450', '3289', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21530, '2021-06-13', '6407', '9004', '4269', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21531, '2021-06-14', '9391', '1452', '5477', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21532, '2021-06-15', '3312', '1125', '3058', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21533, '2021-06-16', '3957', '6115', '1276', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21534, '2021-06-17', '5137', '6981', '5189', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21535, '2021-06-18', '0749', '5106', '2706', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21536, '2021-06-19', '9051', '7621', '9976', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21537, '2021-06-20', '0592', '1773', '7627', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21538, '2021-06-21', '4554', '5335', '4716', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21539, '2021-06-22', '1782', '8916', '2764', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21540, '2021-06-23', '1437', '1726', '2085', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21541, '2021-06-24', '8689', '9983', '9740', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21542, '2021-06-25', '5808', '9896', '8789', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21543, '2021-06-26', '7579', '0371', '1521', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21544, '2021-06-27', '3906', '5067', '8285', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21545, '2021-06-28', '2331', '1203', '5816', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21546, '2021-06-29', '2766', '1501', '7101', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21547, '2021-06-30', '0260', '8328', '1942', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21548, '2021-07-01', '3072', '1233', '0144', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21549, '2021-07-02', '5737', '0946', '5606', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21550, '2021-07-03', '1009', '1105', '3181', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21551, '2021-07-04', '2267', '9096', '5842', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21552, '2021-07-05', '0324', '6644', '1925', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21553, '2021-07-06', '1093', '2346', '5425', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21554, '2021-07-07', '8569', '7937', '1593', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21555, '2021-07-08', '5503', '7159', '6867', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21556, '2021-07-09', '2165', '0478', '1928', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21557, '2021-07-10', '0635', '5010', '5796', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21558, '2021-07-11', '5938', '6630', '4570', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21559, '2021-07-12', '8573', '5788', '0904', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21560, '2021-07-13', '9018', '0819', '6401', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21561, '2021-07-14', '1155', '8794', '0577', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21562, '2021-07-15', '9569', '8430', '4866', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21563, '2021-07-16', '1498', '2804', '4128', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21564, '2021-07-17', '9526', '3423', '3630', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21565, '2021-07-18', '2159', '2306', '6575', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21566, '2021-07-19', '3253', '4372', '5564', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21567, '2021-07-20', '5447', '0697', '3254', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21568, '2021-07-21', '2264', '3354', '4244', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21569, '2021-07-22', '5228', '5115', '0897', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21570, '2021-07-23', '3174', '2150', '3002', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21571, '2021-07-24', '1051', '9724', '9405', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21572, '2021-07-25', '9149', '2400', '7756', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21573, '2021-07-26', '8492', '5932', '4457', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21574, '2021-07-27', '2732', '9202', '6425', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21575, '2021-07-28', '8842', '0401', '3475', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21576, '2021-07-29', '4873', '3205', '6687', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21577, '2021-07-30', '2032', '9679', '0457', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21578, '2021-07-31', '3165', '3662', '3900', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21579, '2021-08-01', '9689', '2286', '7215', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21580, '2021-08-02', '8143', '5544', '3281', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21581, '2021-08-03', '2440', '9621', '6652', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21582, '2021-08-04', '5023', '9833', '6865', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21583, '2021-08-05', '3626', '1969', '2686', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21584, '2021-08-06', '1998', '3573', '3432', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21585, '2021-08-07', '4594', '9583', '2927', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21586, '2021-08-08', '5778', '6007', '8248', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21587, '2021-08-09', '5383', '4054', '6395', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21588, '2021-08-10', '8201', '8835', '0499', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21589, '2021-08-11', '8600', '9979', '7699', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21590, '2021-08-12', '3288', '8676', '0395', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21591, '2021-08-13', '6461', '8722', '5787', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21592, '2021-08-14', '6615', '6657', '4534', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21593, '2021-08-15', '0403', '2608', '7995', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21594, '2021-08-16', '4071', '7140', '8715', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21595, '2021-08-17', '4458', '8044', '0914', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21596, '2021-08-18', '1932', '0562', '3802', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21597, '2021-08-19', '6940', '6191', '5743', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21598, '2021-08-20', '4758', '7465', '3870', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21599, '2021-08-21', '2675', '3357', '6216', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21600, '2021-08-22', '3715', '9078', '9057', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21601, '2021-08-23', '3331', '2456', '0943', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21602, '2021-08-24', '6899', '2455', '7785', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21603, '2021-08-25', '7381', '3803', '3754', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21604, '2021-08-26', '9593', '4543', '4214', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21605, '2021-08-27', '4332', '0382', '4946', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21606, '2021-08-28', '3616', '6096', '8710', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21607, '2021-08-29', '1538', '6536', '9342', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21608, '2021-08-30', '5295', '0114', '4175', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21609, '2021-08-31', '0164', '1475', '5923', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21610, '2021-09-01', '3220', '4299', '4213', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21611, '2021-09-02', '8761', '2605', '8807', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21612, '2021-09-03', '1253', '5121', '0145', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21613, '2021-09-04', '2615', '0530', '0490', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21614, '2021-09-05', '5093', '5595', '0959', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21615, '2021-09-06', '1215', '4806', '4915', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21616, '2021-09-07', '1508', '9759', '9549', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21617, '2021-09-08', '5228', '0667', '3330', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21618, '2021-09-09', '4925', '1177', '2396', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21619, '2021-09-10', '1057', '3818', '6834', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21620, '2021-09-11', '4302', '0481', '8278', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21621, '2021-09-12', '5408', '1708', '8805', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21622, '2021-09-13', '6637', '7897', '1753', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21623, '2021-09-14', '2657', '4779', '8664', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21624, '2021-09-15', '9256', '7247', '1019', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21625, '2021-09-16', '3232', '4679', '9813', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21626, '2021-09-17', '6892', '4665', '3663', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21627, '2021-09-18', '2686', '1344', '4808', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21628, '2021-09-19', '3163', '8023', '5775', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21629, '2021-09-20', '9049', '6172', '8138', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21630, '2021-09-21', '8095', '4939', '2210', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21631, '2021-09-22', '9496', '0364', '5163', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21632, '2021-09-23', '3951', '7886', '6177', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21633, '2021-09-24', '2930', '1831', '8753', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21634, '2021-09-25', '0117', '6560', '2191', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21635, '2021-09-26', '0424', '8277', '6650', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21636, '2021-09-27', '3621', '0305', '2888', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21637, '2021-09-28', '9397', '3351', '7758', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21638, '2021-09-29', '4815', '6843', '3895', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21639, '2021-09-30', '7364', '7385', '3881', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21640, '2021-10-01', '8607', '6285', '9423', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21641, '2021-10-02', '0562', '7447', '7537', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21642, '2021-10-03', '3355', '9423', '4959', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21643, '2021-10-04', '3491', '4191', '6943', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21644, '2021-10-05', '1902', '1070', '5193', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21645, '2021-10-06', '9338', '6363', '4218', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21646, '2021-10-07', '1876', '4540', '1686', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21647, '2021-10-08', '5856', '0849', '9372', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21648, '2021-10-09', '9837', '9560', '7150', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21649, '2021-10-10', '1630', '3724', '4077', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21650, '2021-10-11', '7303', '5031', '4925', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21651, '2021-10-12', '5689', '1099', '7916', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21652, '2021-10-13', '5874', '1316', '2719', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21653, '2021-10-14', '6622', '5705', '0568', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21654, '2021-10-15', '1714', '2291', '9039', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21655, '2021-10-16', '7250', '7556', '3290', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21656, '2021-10-17', '0636', '8640', '3202', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21657, '2021-10-18', '8872', '9989', '1792', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21658, '2021-10-19', '9662', '6456', '3955', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21659, '2021-10-20', '4890', '8211', '1202', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21660, '2021-10-21', '3758', '2378', '3304', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21661, '2021-10-22', '1299', '7433', '4993', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21662, '2021-10-23', '4629', '7909', '9422', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21663, '2021-10-24', '5271', '4252', '8764', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21664, '2021-10-25', '0176', '8587', '8206', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21665, '2021-10-26', '2634', '5488', '4864', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21666, '2021-10-27', '4019', '6690', '7988', 'root', '2021-10-27 15:06:21', '', '2021-12-10 14:58:04.256026');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21671, '2021-10-28', '7989', '0397', '7052', 'root', '2021-10-28 01:11:43', 'root', '2021-10-28 01:16:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21672, '2021-10-29', '1690', '8266', '7874', 'root', '2021-10-29 21:17:31', 'root', '2021-10-29 21:17:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21673, '2021-10-30', '1074', '8399', '3190', 'root', '2021-10-30 09:04:37', 'root', '2021-10-30 09:05:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21674, '2021-10-31', '7060', '8018', '1043', 'root', '2021-10-31 08:57:51', 'root', '2021-10-31 08:58:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21675, '2021-11-01', '4276', '0275', '6843', 'root', '2021-11-01 08:18:00', 'root', '2021-11-01 08:18:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21676, '2021-11-02', '2939', '6146', '2912', 'root', '2021-11-02 07:18:35', 'root', '2021-11-02 07:18:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21677, '2021-11-03', '3668', '3689', '2725', 'root', '2021-11-03 09:45:56', 'root', '2021-11-03 09:46:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21678, '2021-11-04', '7058', '0926', '5819', 'root', '2021-11-04 09:04:42', 'root', '2021-11-04 09:04:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21679, '2021-11-05', '5163', '0105', '7922', 'root', '2021-11-05 07:59:57', 'root', '2021-11-05 08:00:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21680, '2021-11-06', '4523', '6569', '4277', 'root', '2021-11-06 08:01:07', 'root', '2021-11-06 08:01:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21681, '2021-11-07', '8932', '8864', '3033', 'root', '2021-11-07 08:11:19', 'root', '2021-11-07 08:11:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21682, '2021-11-08', '0436', '7255', '6558', 'root', '2021-11-08 09:31:00', 'root', '2021-11-08 09:31:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21684, '2021-11-09', '2988', '0141', '6805', 'root', '2021-11-09 09:00:39', 'root', '2021-11-09 09:00:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21685, '2021-11-11', '6348', '3286', '9347', 'root', '2021-11-11 09:00:42', 'root', '2021-11-11 09:00:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21686, '2021-11-12', '3541', '8065', '1960', 'root', '2021-11-12 19:23:28', 'root', '2021-11-12 19:23:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21687, '2021-11-13', '1117', '9180', '2397', 'root', '2021-11-13 08:18:42', 'root', '2021-11-13 08:18:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21688, '2021-11-14', '9332', '7339', '2876', 'root', '2021-11-14 08:43:31', 'root', '2021-11-14 08:43:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21689, '2021-11-15', '8135', '4537', '9440', 'root', '2021-11-15 15:20:41', 'root', '2021-11-15 15:20:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21690, '2021-11-16', '1406', '4592', '3949', 'root', '2021-11-16 08:01:26', 'root', '2021-11-16 08:01:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21691, '2021-11-17', '3482', '5537', '7935', 'root', '2021-11-17 08:37:08', 'root', '2021-11-17 08:37:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21692, '2021-11-18', '4441', '9132', '4121', 'root', '2021-11-18 08:39:39', 'root', '2021-11-18 08:39:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21693, '2021-11-19', '8333', '5045', '1536', 'root', '2021-11-19 09:01:03', 'root', '2021-11-19 09:01:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21694, '2021-11-20', '7812', '6487', '6674', 'root', '2021-11-20 10:14:06', 'root', '2021-11-20 10:14:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21695, '2021-11-21', '1741', '0662', '3531', 'root', '2021-11-21 09:46:18', 'root', '2021-11-21 09:46:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21696, '2021-11-22', '7962', '3202', '2002', 'root', '2021-11-22 13:29:09', 'root', '2021-11-22 13:29:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21697, '2021-11-23', '2795', '5504', '5693', 'root', '2021-11-23 15:37:46', 'root', '2021-11-23 15:37:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21698, '2021-11-24', '4145', '3985', '2391', 'root', '2021-11-24 09:17:23', 'root', '2021-11-24 09:17:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21699, '2021-11-25', '0222', '8833', '5775', 'root', '2021-11-25 15:20:58', 'root', '2021-11-25 15:21:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21700, '2021-11-26', '2766', '7773', '5992', 'root', '2021-11-26 15:22:25', 'root', '2021-11-26 15:22:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21701, '2021-11-27', '4856', '9976', '8650', 'root', '2021-11-27 10:19:07', 'root', '2021-11-27 10:19:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21702, '2021-11-28', '2605', '1601', '2943', 'root', '2021-11-28 16:44:12', 'root', '2021-11-28 16:44:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21703, '2021-11-29', '1408', '1656', '5982', 'root', '2021-11-29 10:53:23', 'root', '2021-11-29 10:53:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21704, '2021-11-30', '4922', '1822', '6467', 'root', '2021-11-30 09:37:16', 'root', '2021-11-30 09:37:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21705, '2021-12-01', '4936', '0612', '6257', 'root', '2021-12-01 09:41:40', 'root', '2021-12-01 09:41:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21706, '2021-12-02', '6972', '0388', '3804', 'root', '2021-12-02 07:54:45', 'root', '2021-12-02 07:54:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21707, '2021-12-03', '0231', '0734', '5637', 'root', '2021-12-03 12:16:21', 'root', '2021-12-03 12:16:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21708, '2021-12-04', '8496', '3274', '5378', 'root', '2021-12-04 08:14:18', 'root', '2021-12-04 08:14:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21709, '2021-12-05', '0392', '6604', '8283', 'root', '2021-12-05 08:20:34', 'root', '2021-12-05 08:20:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21710, '2021-12-06', '1171', '2948', '4843', 'root', '2021-12-06 10:00:01', 'root', '2021-12-06 10:00:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21711, '2021-12-07', '2260', '4090', '4610', 'root', '2021-12-07 09:32:51', 'root', '2021-12-07 09:32:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21712, '2021-12-08', '2282', '4827', '0236', 'root', '2021-12-08 08:32:29', 'root', '2021-12-08 08:32:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21713, '2021-12-09', '0023', '0209', '6211', 'root', '2021-12-09 07:44:19', 'root', '2021-12-09 07:44:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2216, '2022-01-16', '6127', '3994', '4517', 'root', '2022-01-16 15:37:24', 'root', '2022-01-16 15:37:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (222, '2022-01-02', '4839', '3086', '4609', 'root', '2022-01-03 00:11:26', 'root', '2022-01-03 00:11:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211005, '2021-12-22', '5169', '3102', '9080', 'root', '2021-12-22 16:40:56', 'root', '2021-12-22 16:41:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2210, '2022-01-10', '0463', '0956', '0692', 'root', '2022-01-10 15:16:03', 'root', '2022-01-10 15:16:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211006, '2021-12-23', '2002', '9229', '3070', 'root', '2021-12-23 19:44:23', 'root', '2021-12-23 19:44:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (223, '2022-01-03', '7065', '5679', '5758', 'root', '2022-01-03 15:09:30', 'root', '2022-01-03 15:09:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211007, '2021-12-24', '3412', '2270', '9864', 'root', '2021-12-24 22:19:21', 'root', '2021-12-24 22:19:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21993, '2021-12-10', '3787', '1481', '3806', 'root', '2021-12-10 18:08:02', 'root', '2021-12-10 18:29:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21994, '2021-12-11', '2826', '4723', '8199', 'root', '2021-12-11 15:40:00', 'root', '2021-12-11 15:40:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211008, '2021-12-25', '9328', '5034', '4077', 'root', '2021-12-26 12:11:25', 'root', '2021-12-26 12:11:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21995, '2021-12-12', '1394', '6616', '1976', 'root', '2021-12-13 01:43:33', 'root', '2021-12-13 01:43:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21996, '2021-12-13', '6101', '0853', '0157', 'root', '2021-12-13 15:01:07', 'root', '2021-12-13 15:01:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2211, '2022-01-11', '4993', '3110', '5583', 'root', '2022-01-11 16:53:28', 'root', '2022-01-11 16:53:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211009, '2021-12-26', '1647', '4749', '5654', 'root', '2021-12-26 16:47:40', 'root', '2021-12-26 16:47:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21997, '2021-12-14', '4116', '6849', '7722', 'root', '2021-12-14 19:00:03', 'root', '2021-12-14 19:00:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (224, '2022-01-04', '7292', '5930', '5009', 'root', '2022-01-04 15:42:13', 'root', '2022-01-04 23:26:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21998, '2021-12-15', '9234', '8743', '6023', 'root', '2021-12-15 15:45:00', 'root', '2021-12-15 15:45:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211010, '2021-12-27', '4137', '4722', '8247', 'root', '2021-12-27 15:00:31', 'root', '2021-12-27 15:00:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (21999, '2021-12-16', '1114', '8620', '3914', 'root', '2021-12-16 15:27:14', 'root', '2021-12-16 15:27:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211000, '2021-12-17', '0238', '8315', '8976', 'root', '2021-12-17 14:58:14', 'root', '2021-12-17 14:58:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2221, '2022-01-21', '5789', '7768', '3351', 'root', '2022-01-21 16:51:44', 'root', '2022-01-21 16:51:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211011, '2021-12-28', '4205', '7890', '0281', 'root', '2021-12-28 16:10:27', 'root', '2021-12-28 16:10:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211001, '2021-12-18', '6335', '5365', '7327', 'root', '2021-12-18 16:11:16', 'root', '2021-12-18 16:11:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (225, '2022-01-05', '3148', '2790', '6446', 'root', '2022-01-06 08:55:29', 'root', '2022-01-06 08:55:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211002, '2021-12-19', '0382', '8413', '0761', 'root', '2021-12-19 18:31:24', 'root', '2021-12-19 18:31:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211012, '2021-12-29', '6404', '7741', '7925', 'root', '2021-12-29 14:59:46', 'root', '2021-12-29 15:00:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211003, '2021-12-20', '1977', '1417', '3923', 'root', '2021-12-20 14:55:36', 'root', '2021-12-20 14:55:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2217, '2022-01-17', '5431', '5403', '2890', 'root', '2022-01-17 15:38:08', 'root', '2022-01-17 15:38:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211004, '2021-12-21', '4327', '6927', '0395', 'root', '2021-12-21 16:12:19', 'root', '2021-12-21 16:12:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2212, '2022-01-12', '2366', '6649', '8776', 'root', '2022-01-12 16:29:14', 'root', '2022-01-12 16:29:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211013, '2021-12-30', '0022', '4764', '2769', 'root', '2021-12-30 17:45:30', 'root', '2021-12-30 17:45:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (226, '2022-01-06', '9551', '9345', '2854', 'root', '2022-01-06 15:22:53', 'root', '2022-01-06 15:23:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (211014, '2021-12-31', '5835', '1577', '7564', 'root', '2021-12-31 20:20:27', 'root', '2021-12-31 20:20:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (221, '2022-01-01', '9177', '1590', '8770', 'root', '2022-01-01 14:59:50', 'root', '2022-01-01 15:00:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (227, '2022-01-07', '8939', '7374', '1675', 'root', '2022-01-07 15:20:21', 'root', '2022-01-07 15:20:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2213, '2022-01-13', '7419', '6633', '2761', 'root', '2022-01-13 15:19:27', 'root', '2022-01-13 15:19:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (228, '2022-01-08', '1166', '1844', '1375', 'root', '2022-01-08 17:38:51', 'root', '2022-01-08 17:39:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2227, '2022-01-27', '0267', '2564', '4870', 'root', '2022-01-27 22:20:25', 'root', '2022-01-27 22:20:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2218, '2022-01-18', '6134', '8306', '5444', 'root', '2022-01-18 16:24:17', 'root', '2022-01-18 16:24:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2214, '2022-01-14', '7209', '2240', '0844', 'root', '2022-01-14 20:38:36', 'root', '2022-01-14 20:38:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (229, '2022-01-09', '7822', '7875', '2003', 'root', '2022-01-09 15:05:40', 'root', '2022-01-10 15:15:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2222, '2022-01-22', '5690', '5507', '0567', 'root', '2022-01-22 20:45:12', 'root', '2022-01-22 20:45:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2215, '2022-01-15', '1704', '2779', '5884', 'root', '2022-01-15 20:07:41', 'root', '2022-01-15 20:07:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2219, '2022-01-19', '7560', '0403', '7925', 'root', '2022-01-19 21:59:00', 'root', '2022-01-19 21:59:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2225, '2022-01-25', '3867', '1898', '6431', 'root', '2022-01-25 16:05:09', 'root', '2022-01-25 16:05:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2220, '2022-01-20', '4970', '5873', '5974', 'root', '2022-01-20 15:02:01', 'root', '2022-01-20 15:02:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2229, '2022-01-29', '3756', '3641', '8435', 'root', '2022-01-29 12:35:27', 'root', '2022-01-29 12:35:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2223, '2022-01-23', '8427', '5232', '3708', 'root', '2022-01-23 23:34:06', 'root', '2022-01-23 23:34:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2226, '2022-01-26', '0928', '9019', '6466', 'root', '2022-01-27 21:42:52', 'root', '2022-01-27 21:43:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2224, '2022-01-24', '0451', '3479', '6264', 'root', '2022-01-25 11:44:46', 'root', '2022-01-25 11:44:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2228, '2022-01-28', '1644', '7604', '0826', 'root', '2022-01-29 12:34:05', 'root', '2022-01-29 12:34:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2231, '2022-02-02', '3490', '6152', '3959', 'root', '2022-02-02 14:46:04', '', '2022-02-02 07:46:04.564779');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22331, '2022-01-31', '7596', '2247', '4373', 'root', '2022-02-03 13:58:22', 'root', '2022-02-03 13:58:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22332, '2022-02-01', '4442', '4661', '4708', 'root', '2022-02-03 13:59:25', 'root', '2022-02-03 13:59:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2230, '2022-01-30', '5020', '5920', '3499', 'root', '2022-01-31 14:07:32', 'root', '2022-01-31 14:07:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22333, '2022-02-03', '6086', '2586', '9271', 'root', '2022-02-03 14:59:34', 'root', '2022-02-03 14:59:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22334, '2022-02-04', '2560', '7995', '2881', 'root', '2022-02-04 16:46:22', 'root', '2022-02-08 02:32:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22335, '2022-02-05', '1167', '0184', '4569', 'root', '2022-02-08 02:32:13', 'root', '2022-02-08 02:32:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22336, '2022-02-06', '4916', '5638', '8689', 'root', '2022-02-08 02:32:45', 'root', '2022-02-08 02:32:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22337, '2022-02-07', '8325', '4177', '6736', 'root', '2022-02-08 02:33:02', 'root', '2022-02-08 02:33:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22338, '2022-02-08', '5412', '1750', '4369', 'root', '2022-02-08 16:44:44', 'root', '2022-02-08 16:44:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22339, '2022-02-09', '7650', '9716', '2287', 'root', '2022-02-09 15:50:49', 'root', '2022-02-09 15:51:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22340, '2022-02-17', '2541', '3318', '4165', 'root', '2022-02-17 11:02:43', 'root', '2022-02-17 16:48:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22341, '2022-02-18', '2366', '0493', '7005', 'root', '2022-02-21 03:25:52', 'root', '2022-02-21 03:26:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22379, '2022-03-21', '3786', '3674', '1480', 'root', '2022-03-22 04:12:54', 'root', '2022-03-22 04:13:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22342, '2022-02-19', '5863', '5555', '0291', 'root', '2022-02-21 03:26:13', 'root', '2022-02-21 03:26:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22364, '2022-03-06', '8821', '1862', '8340', 'root', '2022-03-08 09:17:03', 'root', '2022-03-08 09:20:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22343, '2022-02-20', '0773', '4724', '2177', 'root', '2022-02-21 03:26:34', 'root', '2022-02-21 03:26:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22344, '2022-02-21', '9001', '7366', '3011', 'root', '2022-02-22 03:34:09', 'root', '2022-02-22 03:34:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22391, '2022-04-02', '0042', '7785', '8612', 'root', '2022-04-03 17:39:06', 'root', '2022-04-03 17:39:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22365, '2022-03-07', '4046', '0539', '6761', 'root', '2022-03-08 09:20:31', 'root', '2022-03-08 09:23:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22345, '2022-02-22', '2760', '1346', '0643', 'root', '2022-02-23 17:37:17', 'root', '2022-02-23 17:37:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22380, '2022-03-22', '6900', '0524', '0438', 'root', '2022-03-23 05:46:15', 'root', '2022-03-23 05:46:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22346, '2022-02-23', '5485', '1130', '8611', 'root', '2022-02-23 17:37:40', 'root', '2022-02-23 17:37:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22347, '2022-02-16', '6223', '2118', '4916', 'root', '2022-02-23 18:10:13', 'root', '2022-02-23 18:10:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22366, '2022-03-08', '7055', '4192', '1437', 'root', '2022-03-08 18:05:20', 'root', '2022-03-08 18:09:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22348, '2022-02-15', '6809', '0253', '0510', 'root', '2022-02-23 18:10:46', 'root', '2022-02-23 18:11:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22400, '2022-04-11', '0281', '9798', '9240', 'root', '2022-04-11 15:56:16', 'root', '2022-04-11 15:56:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22349, '2022-02-10', '7464', '3657', '6091', 'root', '2022-02-23 18:11:11', 'root', '2022-02-23 18:11:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22367, '2022-03-09', '1678', '9912', '1937', 'root', '2022-03-14 15:34:02', 'root', '2022-03-14 15:34:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22350, '2022-02-11', '2755', '1761', '1857', 'root', '2022-02-23 18:11:37', 'root', '2022-02-23 18:11:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22381, '2022-03-23', '8097', '9440', '3453', 'root', '2022-03-23 22:43:53', 'root', '2022-03-23 22:44:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22351, '2022-02-12', '5358', '6346', '5648', 'root', '2022-02-23 18:30:35', 'root', '2022-02-23 18:30:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22392, '2022-04-03', '4514', '5744', '4854', 'root', '2022-04-03 17:39:45', 'root', '2022-04-03 17:39:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22368, '2022-03-10', '3311', '0819', '0889', 'root', '2022-03-14 15:34:29', 'root', '2022-03-14 15:34:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22352, '2022-02-14', '7699', '8706', '7054', 'root', '2022-02-23 18:31:36', 'root', '2022-02-23 18:31:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22353, '2022-02-13', '9576', '5741', '0935', 'root', '2022-02-23 18:32:04', 'root', '2022-02-23 18:32:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22382, '2022-03-24', '3163', '4603', '5555', 'root', '2022-03-25 02:18:46', 'root', '2022-03-25 02:19:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22369, '2022-03-11', '4595', '1069', '7161', 'root', '2022-03-14 15:34:58', 'root', '2022-03-14 15:35:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22354, '2022-02-24', '9536', '0426', '0638', 'root', '2022-02-24 14:55:30', 'root', '2022-02-24 14:55:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22355, '2022-02-25', '7238', '2905', '9579', 'root', '2022-02-25 15:02:18', 'root', '2022-02-25 15:02:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22370, '2022-03-12', '2804', '2269', '6794', 'root', '2022-03-14 15:35:32', 'root', '2022-03-14 15:35:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22356, '2022-02-26', '5265', '7465', '0911', 'root', '2022-02-28 14:35:51', 'root', '2022-02-28 14:36:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22415, '2022-04-26', '5021', '2029', '3334', 'root', '2022-04-26 17:25:09', 'root', '2022-04-26 17:25:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22357, '2022-02-27', '0751', '4157', '6924', 'root', '2022-02-28 14:36:21', 'root', '2022-02-28 14:36:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22383, '2022-03-25', '1775', '4231', '5393', 'root', '2022-03-25 15:57:09', 'root', '2022-03-25 15:57:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22371, '2022-03-13', '1319', '1726', '0617', 'root', '2022-03-14 15:44:33', 'root', '2022-03-14 15:44:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22358, '2022-02-28', '0209', '7602', '7216', 'root', '2022-03-02 14:37:27', 'root', '2022-03-02 14:37:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22359, '2022-03-01', '7813', '8696', '1791', 'root', '2022-03-02 14:37:58', 'root', '2022-03-02 14:38:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22393, '2022-04-04', '2412', '2353', '4011', 'root', '2022-04-04 15:10:10', 'root', '2022-04-04 15:10:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22372, '2022-03-14', '1857', '9442', '4521', 'root', '2022-03-14 15:44:53', 'root', '2022-03-14 15:45:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22360, '2022-03-02', '2625', '5387', '4500', 'root', '2022-03-02 15:29:25', 'root', '2022-03-02 15:29:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22361, '2022-03-03', '3231', '3790', '7787', 'root', '2022-03-08 09:14:08', 'root', '2022-03-08 09:14:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22384, '2022-03-26', '4733', '3445', '6300', 'root', '2022-03-26 22:38:38', 'root', '2022-03-26 22:38:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22373, '2022-03-15', '1869', '4715', '9253', 'root', '2022-03-15 16:44:30', 'root', '2022-03-15 16:44:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22362, '2022-03-04', '7861', '3634', '4447', 'root', '2022-03-08 09:14:32', 'root', '2022-03-08 09:14:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22363, '2022-03-05', '2909', '2841', '3954', 'root', '2022-03-08 09:15:08', 'root', '2022-03-08 09:15:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22401, '2022-04-12', '5524', '3201', '4866', 'root', '2022-04-12 22:59:10', 'root', '2022-04-12 22:59:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22374, '2022-03-16', '3633', '7302', '9437', 'root', '2022-03-17 03:22:33', 'root', '2022-03-17 03:22:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22385, '2022-03-27', '9627', '7466', '9170', 'root', '2022-03-27 15:37:48', 'root', '2022-03-27 15:38:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22375, '2022-03-17', '5366', '8465', '3594', 'root', '2022-03-17 15:37:12', 'root', '2022-03-17 15:37:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22394, '2022-04-05', '2965', '4317', '6530', 'root', '2022-04-05 16:19:06', 'root', '2022-04-05 16:19:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22376, '2022-03-18', '1061', '6062', '5453', 'root', '2022-03-18 16:27:38', 'root', '2022-03-18 16:27:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22386, '2022-03-28', '4518', '2455', '5825', 'root', '2022-03-28 15:00:26', 'root', '2022-03-28 15:00:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22377, '2022-03-19', '3755', '4630', '5896', 'root', '2022-03-19 18:54:42', 'root', '2022-03-19 18:54:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22407, '2022-04-18', '2648', '3692', '0691', 'root', '2022-04-18 20:53:48', 'root', '2022-04-18 20:54:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22378, '2022-03-20', '8312', '2996', '2936', 'root', '2022-03-20 15:29:24', 'root', '2022-03-20 15:29:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22395, '2022-04-06', '5777', '9439', '1636', 'root', '2022-04-06 22:26:48', 'root', '2022-04-06 22:27:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22387, '2022-03-29', '4029', '5406', '4189', 'root', '2022-03-29 16:18:56', 'root', '2022-03-29 16:19:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22402, '2022-04-13', '8396', '9930', '4815', 'root', '2022-04-15 04:25:14', 'root', '2022-04-15 04:25:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22388, '2022-03-30', '2176', '9117', '1651', 'root', '2022-03-30 15:05:45', 'root', '2022-03-30 15:05:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22396, '2022-04-07', '6674', '7130', '0860', 'root', '2022-04-07 16:08:16', 'root', '2022-04-07 16:08:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22389, '2022-03-31', '3744', '4749', '3402', 'root', '2022-04-01 15:22:22', 'root', '2022-04-01 15:22:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22390, '2022-04-01', '7009', '7492', '4572', 'root', '2022-04-01 15:29:44', 'root', '2022-04-01 15:30:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22412, '2022-04-23', '2777', '3400', '3650', 'root', '2022-04-24 01:21:41', 'root', '2022-04-24 01:21:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22403, '2022-04-14', '6002', '0698', '9746', 'root', '2022-04-15 04:25:48', 'root', '2022-04-15 04:26:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22397, '2022-04-08', '8355', '5869', '2772', 'root', '2022-04-08 17:15:47', 'root', '2022-04-08 17:16:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22408, '2022-04-19', '3197', '3176', '3728', 'root', '2022-04-19 21:58:53', 'root', '2022-04-19 21:59:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22398, '2022-04-09', '0384', '1018', '0404', 'root', '2022-04-09 18:28:15', 'root', '2022-04-09 18:28:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22404, '2022-04-15', '1987', '2852', '4892', 'root', '2022-04-16 03:03:41', 'root', '2022-04-16 03:03:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22399, '2022-04-10', '4213', '8132', '4702', 'root', '2022-04-11 01:51:09', 'root', '2022-04-11 01:51:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22409, '2022-04-20', '5381', '9649', '9342', 'root', '2022-04-21 04:50:36', 'root', '2022-04-21 04:50:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22405, '2022-04-16', '7696', '7377', '8092', 'root', '2022-04-17 23:10:43', 'root', '2022-04-17 23:11:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22423, '2022-05-04', '3627', '2573', '5279', 'root', '2022-05-04 21:13:01', 'root', '2022-05-04 21:13:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22406, '2022-04-17', '0726', '7246', '0305', 'root', '2022-04-17 23:11:16', 'root', '2022-04-17 23:11:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22413, '2022-04-24', '3815', '9377', '3633', 'root', '2022-04-25 13:54:55', 'root', '2022-04-25 13:55:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22410, '2022-04-21', '8904', '8472', '8802', 'root', '2022-04-21 18:13:32', 'root', '2022-04-21 18:13:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22416, '2022-04-27', '7878', '9705', '9839', 'root', '2022-04-28 03:03:53', 'root', '2022-04-28 03:04:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22411, '2022-04-22', '5862', '1207', '5333', 'root', '2022-04-22 23:54:55', 'root', '2022-04-22 23:55:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22414, '2022-04-25', '1432', '1572', '6132', 'root', '2022-04-26 05:03:01', 'root', '2022-04-26 05:03:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22418, '2022-04-29', '5142', '0818', '7130', 'root', '2022-04-30 02:56:01', 'root', '2022-04-30 02:56:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22421, '2022-05-02', '1140', '1338', '6113', 'root', '2022-05-02 16:37:17', 'root', '2022-05-02 16:37:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22417, '2022-04-28', '3304', '8178', '0294', 'root', '2022-04-29 03:54:46', 'root', '2022-04-29 03:54:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22420, '2022-05-01', '1605', '2389', '2030', 'root', '2022-05-01 19:46:07', 'root', '2022-05-01 19:46:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22419, '2022-04-30', '2869', '2419', '1606', 'root', '2022-04-30 20:09:51', 'root', '2022-04-30 20:10:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22422, '2022-05-03', '0519', '1303', '9307', 'root', '2022-05-03 16:40:42', 'root', '2022-05-03 16:40:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22424, '2022-05-05', '9088', '6060', '6795', 'root', '2022-05-05 15:43:29', 'root', '2022-05-05 15:43:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22425, '2022-05-06', '6223', '5805', '6542', 'root', '2022-05-06 21:34:23', 'root', '2022-05-06 21:34:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22426, '2022-05-07', '7356', '2670', '5747', 'root', '2022-05-07 15:46:11', 'root', '2022-05-07 15:46:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22427, '2022-05-08', '7708', '9999', '0179', 'root', '2022-05-09 00:05:36', 'root', '2022-05-09 00:05:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22428, '2022-05-09', '1152', '3279', '1856', 'root', '2022-05-09 15:31:31', 'root', '2022-05-09 15:31:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22429, '2022-05-10', '6010', '8138', '7407', 'root', '2022-05-10 18:24:01', 'root', '2022-05-10 18:24:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22430, '2022-05-11', '5298', '0357', '7313', 'root', '2022-05-12 13:40:56', 'root', '2022-05-12 13:41:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22431, '2022-05-12', '2932', '7538', '7598', 'root', '2022-05-13 05:54:17', 'root', '2022-05-13 05:54:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22432, '2022-05-13', '1355', '2623', '3504', 'root', '2022-05-13 19:33:07', 'root', '2022-05-13 19:33:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22433, '2022-05-14', '9901', '1447', '4275', 'root', '2022-05-15 02:04:15', 'root', '2022-05-15 02:04:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22455, '2022-06-05', '2968', '5329', '4886', 'root', '2022-06-06 23:46:52', 'root', '2022-06-06 23:47:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22434, '2022-05-15', '9585', '7959', '6586', 'root', '2022-05-16 00:35:42', 'root', '2022-05-16 00:35:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22471, '2022-06-21', '5319', '8746', '7741', 'root', '2022-06-21 18:10:02', 'root', '2022-06-21 18:10:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22435, '2022-05-16', '4182', '7480', '5505', 'root', '2022-05-16 22:26:54', 'root', '2022-05-16 22:27:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22456, '2022-06-06', '4998', '0777', '6043', 'root', '2022-06-06 23:47:31', 'root', '2022-06-06 23:47:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22436, '2022-05-17', '6420', '4155', '9030', 'root', '2022-05-17 15:50:11', 'root', '2022-05-17 15:50:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22506, '2022-07-26', '5098', '5567', '0389', 'root', '2022-07-26 15:04:23', 'root', '2022-07-26 15:04:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22437, '2022-05-18', '5812', '4980', '2502', 'root', '2022-05-19 12:29:38', 'root', '2022-05-19 12:29:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22483, '2022-07-03', '3128', '2972', '6336', 'root', '2022-07-03 15:04:54', 'root', '2022-07-03 15:05:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22457, '2022-06-07', '7993', '3300', '9311', 'root', '2022-06-07 16:28:44', 'root', '2022-06-07 16:28:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22438, '2022-05-19', '7028', '9207', '7653', 'root', '2022-05-19 20:45:02', 'root', '2022-05-19 20:45:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22472, '2022-06-22', '0373', '5168', '4532', 'root', '2022-06-22 15:06:43', 'root', '2022-06-22 15:06:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22439, '2022-05-20', '3547', '0191', '0170', 'root', '2022-05-20 23:46:48', 'root', '2022-05-20 23:47:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22458, '2022-06-08', '7858', '5621', '7242', 'root', '2022-06-09 14:26:56', 'root', '2022-06-09 14:27:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22440, '2022-05-21', '4915', '8218', '3721', 'root', '2022-05-21 16:06:16', 'root', '2022-05-21 16:06:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22441, '2022-05-22', '3504', '6200', '1290', 'root', '2022-05-22 17:18:43', 'root', '2022-05-22 17:18:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22498, '2022-07-18', '4446', '8631', '3442', 'root', '2022-07-18 14:18:29', 'root', '2022-07-18 14:19:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22459, '2022-06-09', '1071', '1369', '4087', 'root', '2022-06-09 21:01:59', 'root', '2022-06-09 21:02:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22442, '2022-05-23', '9105', '5724', '9334', 'root', '2022-05-24 14:37:54', 'root', '2022-05-24 14:38:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22473, '2022-06-23', '7962', '6522', '6297', 'root', '2022-06-23 15:00:25', 'root', '2022-06-23 15:00:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22443, '2022-05-24', '0586', '4520', '7053', 'root', '2022-05-24 16:28:02', 'root', '2022-05-24 16:28:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22460, '2022-06-10', '7159', '0859', '2840', 'root', '2022-06-12 00:17:12', 'root', '2022-06-12 00:17:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22444, '2022-05-25', '3915', '2569', '0344', 'root', '2022-05-25 19:18:01', 'root', '2022-05-25 19:18:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22492, '2022-07-12', '6001', '5720', '1806', 'root', '2022-07-12 15:45:37', 'root', '2022-07-12 15:45:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22445, '2022-05-26', '8040', '0130', '0975', 'root', '2022-05-26 23:26:25', 'root', '2022-05-26 23:26:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22484, '2022-07-04', '0567', '2908', '6342', 'root', '2022-07-04 15:07:28', 'root', '2022-07-04 15:07:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22461, '2022-06-11', '3037', '7733', '9795', 'root', '2022-06-12 00:17:46', 'root', '2022-06-12 00:18:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22446, '2022-05-27', '2305', '1813', '3692', 'root', '2022-05-30 15:03:38', 'root', '2022-05-30 15:03:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22474, '2022-06-24', '4673', '6031', '1480', 'root', '2022-06-24 15:42:18', 'root', '2022-06-24 15:42:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22447, '2022-05-28', '0771', '8614', '8014', 'root', '2022-05-30 15:04:09', 'root', '2022-05-30 15:04:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22462, '2022-06-12', '1439', '2276', '3920', 'root', '2022-06-13 05:31:47', 'root', '2022-06-13 05:32:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22448, '2022-05-29', '7521', '0828', '7675', 'root', '2022-05-30 15:04:53', 'root', '2022-05-30 15:05:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22449, '2022-05-30', '2545', '3634', '3785', 'root', '2022-05-30 15:05:27', 'root', '2022-05-30 15:05:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22463, '2022-06-13', '6035', '9217', '9097', 'root', '2022-06-14 09:09:10', 'root', '2022-06-14 09:09:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22450, '2022-05-31', '5982', '2466', '8770', 'root', '2022-05-31 14:49:31', 'root', '2022-05-31 14:49:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22475, '2022-06-25', '4233', '0161', '7275', 'root', '2022-06-25 15:08:37', 'root', '2022-06-25 15:08:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22451, '2022-06-01', '2486', '4924', '0456', 'root', '2022-06-02 07:00:49', 'root', '2022-06-02 07:01:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22464, '2022-06-14', '3991', '8226', '8512', 'root', '2022-06-14 15:42:12', 'root', '2022-06-14 15:42:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22452, '2022-06-02', '4405', '4199', '8465', 'root', '2022-06-02 21:41:46', 'root', '2022-06-02 21:42:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22453, '2022-06-03', '8929', '0706', '3415', 'root', '2022-06-03 15:50:38', 'root', '2022-06-03 15:50:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22485, '2022-07-05', '8296', '2854', '2307', 'root', '2022-07-05 16:41:03', 'root', '2022-07-05 16:41:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22465, '2022-06-15', '2072', '2239', '3487', 'root', '2022-06-15 16:17:36', 'root', '2022-06-15 16:17:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22454, '2022-06-04', '3155', '8258', '9737', 'root', '2022-06-06 23:46:15', 'root', '2022-06-06 23:46:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22476, '2022-06-26', '2508', '2275', '4578', 'root', '2022-06-26 16:58:00', 'root', '2022-06-26 16:58:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22466, '2022-06-16', '0614', '8322', '1198', 'root', '2022-06-17 02:26:20', 'root', '2022-06-17 02:26:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22467, '2022-06-17', '3539', '8950', '1715', 'root', '2022-06-17 15:36:22', 'root', '2022-06-17 15:36:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22477, '2022-06-27', '8517', '9839', '5148', 'root', '2022-06-27 16:55:07', 'root', '2022-06-27 16:55:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22468, '2022-06-18', '1081', '8419', '5278', 'root', '2022-06-18 15:49:49', 'root', '2022-06-18 15:50:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22493, '2022-07-13', '7121', '1050', '5772', 'root', '2022-07-13 15:21:23', 'root', '2022-07-13 15:21:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22486, '2022-07-06', '0725', '9837', '1225', 'root', '2022-07-06 15:34:34', 'root', '2022-07-06 15:34:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22469, '2022-06-19', '1928', '7819', '4841', 'root', '2022-06-20 17:35:50', 'root', '2022-06-20 17:36:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22478, '2022-06-28', '0596', '1068', '4411', 'root', '2022-06-28 17:44:19', 'root', '2022-06-28 17:44:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22470, '2022-06-20', '5877', '1439', '1296', 'root', '2022-06-20 17:37:22', 'root', '2022-06-20 17:37:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22479, '2022-06-29', '0225', '9729', '8293', 'root', '2022-06-29 15:21:42', 'root', '2022-06-29 15:21:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22503, '2022-07-23', '8740', '7078', '7647', 'root', '2022-07-23 14:55:31', 'root', '2022-07-23 14:55:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22487, '2022-07-07', '1955', '1050', '4932', 'root', '2022-07-07 15:13:36', 'root', '2022-07-07 15:13:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22480, '2022-06-30', '3453', '1590', '6238', 'root', '2022-06-30 18:00:11', 'root', '2022-06-30 18:00:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22499, '2022-07-19', '3526', '1473', '1135', 'root', '2022-07-19 15:31:50', 'root', '2022-07-19 15:32:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22481, '2022-07-01', '7132', '8960', '5478', 'root', '2022-07-01 17:03:46', 'root', '2022-07-01 17:04:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22494, '2022-07-14', '1929', '5073', '7606', 'root', '2022-07-14 15:01:56', 'root', '2022-07-14 15:02:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22488, '2022-07-08', '0061', '8536', '8218', 'root', '2022-07-08 15:01:35', 'root', '2022-07-08 15:02:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22482, '2022-07-02', '8096', '5809', '4484', 'root', '2022-07-02 15:12:03', 'root', '2022-07-02 15:12:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22489, '2022-07-09', '3119', '9734', '7512', 'root', '2022-07-09 17:02:44', 'root', '2022-07-09 17:02:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22495, '2022-07-15', '0500', '3895', '8592', 'root', '2022-07-15 15:23:30', 'root', '2022-07-15 15:23:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22490, '2022-07-10', '9965', '0557', '5805', 'root', '2022-07-10 15:44:55', 'root', '2022-07-10 15:45:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22491, '2022-07-11', '6024', '9481', '5411', 'root', '2022-07-11 17:52:02', 'root', '2022-07-11 17:52:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22500, '2022-07-20', '9268', '7708', '5477', 'root', '2022-07-20 15:35:19', 'root', '2022-07-20 15:35:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22496, '2022-07-16', '6995', '0750', '4769', 'root', '2022-07-16 15:36:50', 'root', '2022-07-16 15:37:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22514, '2022-08-03', '1981', '8397', '9954', 'root', '2022-08-03 14:54:30', 'root', '2022-08-03 14:59:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22497, '2022-07-17', '1934', '7990', '3678', 'root', '2022-07-17 15:18:09', 'root', '2022-07-17 15:18:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22504, '2022-07-24', '8447', '3941', '1224', 'root', '2022-07-24 15:02:05', 'root', '2022-07-24 15:02:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22501, '2022-07-21', '5261', '2556', '2132', 'root', '2022-07-21 14:43:11', 'root', '2022-07-21 14:43:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22507, '2022-07-27', '7211', '6069', '7422', 'root', '2022-07-27 15:03:08', 'root', '2022-07-27 15:03:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22502, '2022-07-22', '4925', '8951', '3949', 'root', '2022-07-22 15:13:29', 'root', '2022-07-22 15:14:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22505, '2022-07-25', '0321', '5112', '7969', 'root', '2022-07-25 15:28:08', 'root', '2022-07-25 15:28:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22509, '2022-07-29', '0334', '1919', '7694', 'root', '2022-07-29 15:12:28', 'root', '2022-07-29 15:12:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22512, '2022-08-01', '3649', '1205', '0236', 'root', '2022-08-01 14:57:08', 'root', '2022-08-01 15:00:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22508, '2022-07-28', '3309', '8069', '3229', 'root', '2022-07-28 14:58:33', 'root', '2022-07-28 14:58:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22511, '2022-07-31', '7115', '4817', '1838', 'root', '2022-07-31 14:56:10', 'root', '2022-07-31 14:56:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22510, '2022-07-30', '8938', '3749', '2608', 'root', '2022-07-30 17:18:34', 'root', '2022-07-30 17:18:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22513, '2022-08-02', '5772', '1675', '7581', 'root', '2022-08-02 14:54:31', 'root', '2022-08-02 15:03:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22515, '2022-08-04', '1976', '0954', '7094', 'root', '2022-08-04 14:50:55', 'root', '2022-08-04 15:00:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22516, '2022-08-05', '7235', '7101', '7097', 'root', '2022-08-05 14:58:36', 'root', '2022-08-05 15:02:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22517, '2022-08-06', '2788', '8363', '2751', 'root', '2022-08-06 14:56:41', 'root', '2022-08-06 14:59:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22518, '2022-08-07', '6900', '0058', '7676', 'root', '2022-08-07 15:07:51', 'root', '2022-08-07 15:08:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22519, '2022-08-08', '8879', '8039', '1924', 'root', '2022-08-08 18:40:42', 'root', '2022-08-08 18:40:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22520, '2022-08-09', '6741', '1922', '1501', 'root', '2022-08-09 15:02:57', 'root', '2022-08-09 15:03:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22521, '2022-08-10', '5943', '8744', '5043', 'root', '2022-08-10 15:02:31', 'root', '2022-08-10 15:03:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22522, '2022-08-11', '0708', '6091', '4683', 'root', '2022-08-11 14:59:22', 'root', '2022-08-11 14:59:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22523, '2022-08-12', '3738', '6552', '1595', 'root', '2022-08-12 15:01:14', 'root', '2022-08-12 15:01:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22524, '2022-08-13', '3270', '0583', '7520', 'root', '2022-08-13 15:08:40', 'root', '2022-08-13 15:08:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22546, '2022-09-04', '2059', '7973', '3448', 'root', '2022-09-04 14:54:32', 'root', '2022-09-04 14:58:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22525, '2022-08-14', '4047', '6563', '5906', 'root', '2022-08-14 15:09:59', 'root', '2022-08-14 15:10:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22562, '2022-09-20', '7879', '4240', '2248', 'root', '2022-09-20 15:09:02', 'root', '2022-09-20 15:12:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22526, '2022-08-15', '2358', '3148', '2669', 'root', '2022-08-15 15:01:50', 'root', '2022-08-15 15:03:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22547, '2022-09-05', '8348', '1021', '4079', 'root', '2022-09-05 15:06:43', 'root', '2022-09-05 15:07:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22527, '2022-08-16', '5584', '7961', '0879', 'root', '2022-08-17 13:56:39', 'root', '2022-08-17 13:58:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22588, '2022-10-16', '7567', '6732', '1219', 'root', '2022-10-16 17:50:23', 'root', '2022-10-16 17:50:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22528, '2022-08-17', '9835', '4839', '9311', 'root', '2022-08-17 14:55:54', 'root', '2022-08-17 14:59:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22574, '2022-10-02', '4927', '4989', '8732', 'root', '2022-10-02 20:24:29', 'root', '2022-10-02 20:24:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22548, '2022-09-06', '2397', '6062', '6148', 'root', '2022-09-06 15:04:39', 'root', '2022-09-06 15:04:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22529, '2022-08-18', '1492', '3200', '1573', 'root', '2022-08-18 15:04:45', 'root', '2022-08-18 15:05:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22563, '2022-09-21', '5041', '7164', '5360', 'root', '2022-09-21 15:15:13', 'root', '2022-09-21 15:15:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22530, '2022-08-19', '5600', '4003', '3431', 'root', '2022-08-19 15:03:17', 'root', '2022-08-19 15:03:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22549, '2022-09-07', '2688', '2354', '1108', 'root', '2022-09-07 15:12:28', 'root', '2022-09-07 15:12:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22531, '2022-08-20', '8204', '6131', '7200', 'root', '2022-08-20 14:55:25', 'root', '2022-08-20 14:59:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22532, '2022-08-21', '0340', '1187', '7331', 'root', '2022-08-21 14:55:54', 'root', '2022-08-21 14:59:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22550, '2022-09-08', '2581', '7506', '4768', 'root', '2022-09-08 15:02:50', 'root', '2022-09-08 15:03:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22533, '2022-08-22', '0290', '6723', '4871', 'root', '2022-08-22 15:01:41', 'root', '2022-08-22 15:02:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22564, '2022-09-22', '3274', '7995', '4258', 'root', '2022-09-22 16:19:04', 'root', '2022-09-22 16:19:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22534, '2022-08-23', '7745', '4695', '9149', 'root', '2022-08-23 14:57:39', 'root', '2022-08-23 14:59:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22551, '2022-09-09', '3603', '8612', '5351', 'root', '2022-09-09 15:09:38', 'root', '2022-09-09 15:09:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22535, '2022-08-24', '5500', '4639', '7317', 'root', '2022-08-24 15:04:49', 'root', '2022-08-24 15:05:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22583, '2022-10-11', '0497', '3948', '3318', 'root', '2022-10-11 15:10:01', 'root', '2022-10-11 15:10:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22536, '2022-08-25', '0236', '8670', '0819', 'root', '2022-08-25 14:58:00', 'root', '2022-08-25 15:00:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22575, '2022-10-03', '0174', '5998', '3558', 'root', '2022-10-03 17:37:08', 'root', '2022-10-03 17:37:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22552, '2022-09-10', '8064', '0604', '6093', 'root', '2022-09-10 15:10:10', 'root', '2022-09-10 15:11:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22537, '2022-08-26', '7080', '5241', '4045', 'root', '2022-08-26 15:04:04', 'root', '2022-08-26 15:04:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22565, '2022-09-23', '5421', '0747', '1425', 'root', '2022-09-23 15:36:36', 'root', '2022-09-23 15:36:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22538, '2022-08-27', '4856', '6554', '8193', 'root', '2022-08-27 15:43:25', 'root', '2022-08-27 15:43:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22553, '2022-09-11', '8064', '8140', '2941', 'root', '2022-09-12 15:17:24', 'root', '2022-09-12 15:18:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22539, '2022-08-28', '0555', '5983', '4796', 'root', '2022-08-28 14:59:23', 'root', '2022-08-28 14:59:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22540, '2022-08-29', '6056', '9813', '9954', 'root', '2022-08-29 14:48:32', 'root', '2022-08-29 15:14:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22554, '2022-09-12', '6229', '9042', '3255', 'root', '2022-09-12 15:18:18', 'root', '2022-09-12 15:20:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22541, '2022-08-30', '7399', '9162', '2158', 'root', '2022-08-30 15:08:20', 'root', '2022-08-30 15:08:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22566, '2022-09-24', '2010', '7605', '3197', 'root', '2022-09-24 15:02:04', 'root', '2022-09-24 15:03:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22542, '2022-08-31', '9437', '5498', '5356', 'root', '2022-08-31 14:56:35', 'root', '2022-08-31 15:01:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22555, '2022-09-13', '7999', '5438', '3317', 'root', '2022-09-13 15:01:28', 'root', '2022-09-13 15:02:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22543, '2022-09-01', '3383', '6200', '4754', 'root', '2022-09-01 15:26:35', 'root', '2022-09-01 15:27:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22593, '2022-10-21', '2288', '3691', '3208', 'root', '2022-10-21 14:52:32', 'root', '2022-10-21 15:00:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22544, '2022-09-02', '4464', '5486', '2826', 'root', '2022-09-02 14:58:03', 'root', '2022-09-02 14:59:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22576, '2022-10-04', '8376', '3258', '2675', 'root', '2022-10-04 15:02:58', 'root', '2022-10-04 15:03:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22556, '2022-09-14', '7730', '1924', '2222', 'root', '2022-09-14 14:57:46', 'root', '2022-09-14 14:59:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22545, '2022-09-03', '0208', '5314', '8835', 'root', '2022-09-03 15:04:32', 'root', '2022-09-03 15:04:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22567, '2022-09-25', '0368', '1164', '4988', 'root', '2022-09-25 15:04:38', 'root', '2022-09-25 15:06:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22557, '2022-09-15', '6807', '6687', '3475', 'root', '2022-09-15 14:58:39', 'root', '2022-09-15 15:00:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22558, '2022-09-16', '0320', '7997', '4626', 'root', '2022-09-16 15:24:01', 'root', '2022-09-16 15:24:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22568, '2022-09-26', '3002', '0691', '2913', 'root', '2022-09-26 15:00:13', 'root', '2022-09-26 15:00:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22559, '2022-09-17', '1275', '3023', '1602', 'root', '2022-09-17 15:20:17', 'root', '2022-09-17 15:20:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22584, '2022-10-12', '3019', '6850', '3594', 'root', '2022-10-12 15:02:10', 'root', '2022-10-12 15:02:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22577, '2022-10-05', '9942', '3442', '4192', 'root', '2022-10-05 15:01:28', 'root', '2022-10-05 15:02:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22560, '2022-09-18', '5470', '1297', '6984', 'root', '2022-09-18 15:00:39', 'root', '2022-09-18 15:01:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22569, '2022-09-27', '0248', '2608', '4748', 'root', '2022-09-27 15:07:43', 'root', '2022-09-27 15:08:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22561, '2022-09-19', '2627', '8125', '8053', 'root', '2022-09-19 15:29:59', 'root', '2022-09-19 15:30:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22570, '2022-09-28', '2470', '3875', '8622', 'root', '2022-09-28 15:08:57', 'root', '2022-09-28 15:09:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22589, '2022-10-17', '5908', '6662', '7014', 'root', '2022-10-17 15:01:12', 'root', '2022-10-17 15:01:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22578, '2022-10-06', '6147', '2459', '2286', 'root', '2022-10-06 15:01:09', 'root', '2022-10-06 15:02:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22571, '2022-09-29', '3352', '2346', '3194', 'root', '2022-09-29 15:02:30', 'root', '2022-09-29 15:03:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22572, '2022-09-30', '3280', '3076', '9808', 'root', '2022-09-30 15:13:12', 'root', '2022-09-30 15:13:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22585, '2022-10-13', '4606', '7025', '2334', 'root', '2022-10-13 15:03:45', 'root', '2022-10-13 15:04:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22579, '2022-10-07', '5282', '1105', '0994', 'root', '2022-10-07 15:02:19', 'root', '2022-10-07 15:02:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22573, '2022-10-01', '6731', '2056', '2552', 'root', '2022-10-01 15:44:45', 'root', '2022-10-01 15:45:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22580, '2022-10-08', '3923', '9517', '1414', 'root', '2022-10-08 16:56:36', 'root', '2022-10-08 16:57:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22597, '2022-10-25', '2011', '9490', '9907', 'root', '2022-10-25 15:13:44', 'root', '2022-10-25 15:13:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22590, '2022-10-18', '8177', '4850', '9521', 'root', '2022-10-18 22:00:59', 'root', '2022-10-18 22:01:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22581, '2022-10-09', '0301', '1167', '4391', 'root', '2022-10-09 14:59:09', 'root', '2022-10-09 15:00:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22594, '2022-10-22', '3472', '8885', '3199', 'root', '2022-10-22 18:30:03', 'root', '2022-10-22 18:30:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22582, '2022-10-10', '1512', '6300', '0666', 'root', '2022-10-10 14:59:54', 'root', '2022-10-10 15:00:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22586, '2022-10-14', '1271', '7344', '0155', 'root', '2022-10-14 15:02:47', 'root', '2022-10-14 15:03:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22591, '2022-10-19', '0237', '1861', '6596', 'root', '2022-10-19 15:52:16', 'root', '2022-10-19 15:53:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22587, '2022-10-15', '9905', '2784', '6506', 'root', '2022-10-15 18:03:29', 'root', '2022-10-15 18:03:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22595, '2022-10-23', '9979', '7882', '0837', 'root', '2022-10-23 15:02:04', 'root', '2022-10-23 15:02:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22592, '2022-10-20', '7467', '2878', '5823', 'root', '2022-10-20 16:02:39', 'root', '2022-10-20 16:02:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22605, '2022-11-02', '5695', '7689', '3773', 'root', '2022-11-02 17:34:33', 'root', '2022-11-02 17:35:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22598, '2022-10-26', '0221', '9949', '4745', 'root', '2022-10-26 14:56:51', 'root', '2022-10-26 14:59:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22596, '2022-10-24', '6835', '2502', '4433', 'root', '2022-10-24 15:03:30', 'root', '2022-10-24 15:05:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22600, '2022-10-28', '0038', '2533', '5004', 'root', '2022-10-28 15:05:18', 'root', '2022-10-28 15:06:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22603, '2022-10-31', '2514', '1883', '4527', 'root', '2022-10-31 14:58:47', 'root', '2022-10-31 15:00:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22599, '2022-10-27', '2234', '3646', '2099', 'root', '2022-10-27 14:55:39', 'root', '2022-10-27 14:57:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22602, '2022-10-30', '9978', '5930', '8510', 'root', '2022-10-30 14:55:15', 'root', '2022-10-30 15:00:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22601, '2022-10-29', '7804', '0413', '8427', 'root', '2022-10-29 15:02:30', 'root', '2022-10-29 15:04:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22604, '2022-11-01', '8923', '6538', '0551', 'root', '2022-11-01 15:02:52', 'root', '2022-11-01 15:03:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22606, '2022-11-03', '7978', '3537', '1021', 'root', '2022-11-03 15:00:58', 'root', '2022-11-03 15:03:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22607, '2022-11-04', '8738', '1443', '2860', 'root', '2022-11-04 14:54:55', 'root', '2022-11-04 15:00:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22608, '2022-11-05', '8716', '6581', '9691', 'root', '2022-11-05 14:55:09', 'root', '2022-11-05 14:59:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22609, '2022-11-06', '4122', '6589', '9569', 'root', '2022-11-06 14:59:46', 'root', '2022-11-06 15:00:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22610, '2022-11-07', '0365', '3816', '4370', 'root', '2022-11-07 14:56:15', 'root', '2022-11-07 15:00:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22611, '2022-11-08', '4583', '9823', '1548', 'root', '2022-11-08 14:58:36', 'root', '2022-11-08 14:59:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22612, '2022-11-09', '6058', '8152', '3953', 'root', '2022-11-09 15:00:33', 'root', '2022-11-09 15:01:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22613, '2022-11-10', '3028', '5785', '1810', 'root', '2022-11-10 14:56:21', 'root', '2022-11-10 15:02:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22614, '2022-11-11', '8170', '3380', '9575', 'root', '2022-11-11 15:12:40', 'root', '2022-11-11 15:15:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22615, '2022-11-12', '5212', '4636', '8841', 'root', '2022-11-12 14:55:05', 'root', '2022-11-12 14:59:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (239, '2023-01-09', '2384', '1151', '8472', 'root', '2023-01-09 15:44:47', 'root', '2023-01-09 15:45:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22637, '2022-12-04', '2593', '0863', '3863', 'root', '2022-12-04 15:11:54', 'root', '2022-12-04 15:12:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22616, '2022-11-13', '2849', '3347', '1765', 'root', '2022-11-13 15:03:31', 'root', '2022-11-13 15:03:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22653, '2022-12-20', '2971', '0362', '1778', 'root', '2022-12-20 15:47:32', 'root', '2022-12-20 15:49:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22617, '2022-11-14', '7906', '3148', '6921', 'root', '2022-11-14 14:56:40', 'root', '2022-11-14 14:59:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22638, '2022-12-05', '3867', '4650', '7235', 'root', '2022-12-05 15:04:21', 'root', '2022-12-05 15:04:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22618, '2022-11-15', '5049', '2873', '9479', 'root', '2022-11-15 15:03:03', 'root', '2022-11-15 15:03:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22619, '2022-11-16', '3545', '9791', '5562', 'root', '2022-11-16 14:58:37', 'root', '2022-11-16 15:00:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (231, '2023-01-01', '3289', '2907', '0072', 'root', '2023-01-01 15:03:17', 'root', '2023-01-01 15:05:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22639, '2022-12-06', '4920', '1681', '2380', 'root', '2022-12-06 15:00:35', 'root', '2022-12-06 15:00:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22620, '2022-11-17', '0264', '7363', '3038', 'root', '2022-11-17 15:27:30', 'root', '2022-11-17 15:29:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22654, '2022-12-21', '4999', '9253', '0067', 'root', '2022-12-21 17:33:29', 'root', '2022-12-21 17:34:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22621, '2022-11-18', '8153', '0145', '4459', 'root', '2022-11-18 15:00:59', 'root', '2022-11-18 15:01:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22640, '2022-12-07', '1890', '2293', '4725', 'root', '2022-12-07 14:56:11', 'root', '2022-12-07 14:58:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22622, '2022-11-19', '1377', '2775', '5021', 'root', '2022-11-19 14:56:10', 'root', '2022-11-19 14:59:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22623, '2022-11-20', '9226', '8629', '9898', 'root', '2022-11-20 17:00:37', 'root', '2022-11-20 17:01:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22641, '2022-12-08', '1509', '0796', '9245', 'root', '2022-12-08 15:56:26', 'root', '2022-12-08 15:57:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22624, '2022-11-21', '3000', '7787', '5461', 'root', '2022-11-21 15:16:17', 'root', '2022-11-21 15:16:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22655, '2022-12-22', '0082', '3719', '6285', 'root', '2022-12-22 15:02:20', 'root', '2022-12-22 15:04:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22625, '2022-11-22', '1654', '8899', '3345', 'root', '2022-11-22 16:13:55', 'root', '2022-11-22 16:14:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22642, '2022-12-09', '2813', '2252', '7137', 'root', '2022-12-09 15:25:25', 'root', '2022-12-09 15:26:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22626, '2022-11-23', '0554', '9108', '4264', 'root', '2022-11-23 15:09:51', 'root', '2022-11-23 15:10:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22627, '2022-11-24', '4139', '0576', '3544', 'root', '2022-11-24 15:08:25', 'root', '2022-11-24 15:10:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (232, '2023-01-02', '4397', '4269', '1139', 'root', '2023-01-02 15:16:02', 'root', '2023-01-02 15:17:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22643, '2022-12-10', '9210', '8759', '9384', 'root', '2022-12-10 15:00:03', 'root', '2022-12-10 15:35:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22628, '2022-11-25', '4409', '8505', '9697', 'root', '2022-11-25 15:01:52', 'root', '2022-11-25 15:03:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22656, '2022-12-23', '0853', '1619', '5640', 'root', '2022-12-23 15:04:23', 'root', '2022-12-23 15:05:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22629, '2022-11-26', '4659', '5007', '8923', 'root', '2022-11-26 15:04:39', 'root', '2022-11-26 15:05:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22644, '2022-12-11', '8930', '6755', '7015', 'root', '2022-12-11 14:56:33', 'root', '2022-12-11 14:58:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22630, '2022-11-27', '6979', '9881', '9913', 'root', '2022-11-27 18:54:21', 'root', '2022-11-27 18:55:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22631, '2022-11-28', '7047', '6592', '0843', 'root', '2022-11-28 14:55:51', 'root', '2022-11-28 14:59:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2310, '2023-01-10', '8914', '5708', '5833', 'root', '2023-01-10 15:16:49', 'root', '2023-01-10 15:17:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22645, '2022-12-12', '7533', '4836', '1737', 'root', '2022-12-12 15:40:40', 'root', '2022-12-12 15:40:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22632, '2022-11-29', '6621', '4473', '2061', 'root', '2022-11-29 15:00:12', 'root', '2022-11-29 15:01:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22657, '2022-12-24', '4244', '2526', '0574', 'root', '2022-12-24 15:14:07', 'root', '2022-12-24 15:16:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22633, '2022-11-30', '2932', '1165', '0161', 'root', '2022-11-30 15:17:06', 'root', '2022-11-30 15:17:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22646, '2022-12-13', '7499', '7655', '0065', 'root', '2022-12-13 15:10:23', 'root', '2022-12-13 15:11:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22634, '2022-12-01', '5342', '4868', '7004', 'root', '2022-12-01 15:39:26', 'root', '2022-12-01 15:40:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22635, '2022-12-02', '9983', '6441', '2813', 'root', '2022-12-02 15:26:16', 'root', '2022-12-02 15:26:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (233, '2023-01-03', '9923', '3162', '6308', 'root', '2023-01-03 15:03:24', 'root', '2023-01-03 15:04:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22647, '2022-12-14', '2321', '3827', '6318', 'root', '2022-12-14 15:08:18', 'root', '2022-12-14 15:09:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22636, '2022-12-03', '1369', '0791', '5309', 'root', '2022-12-03 14:56:30', 'root', '2022-12-03 14:58:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22658, '2022-12-25', '1299', '4314', '8927', 'root', '2022-12-25 15:55:05', 'root', '2022-12-25 15:56:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22648, '2022-12-15', '1681', '4063', '6227', 'root', '2022-12-15 15:36:21', 'root', '2022-12-15 15:36:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2324, '2023-01-24', '2856', '1954', '1354', 'root', '2023-01-24 14:58:00', 'root', '2023-01-24 14:59:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22649, '2022-12-16', '7536', '2652', '1919', 'root', '2022-12-16 14:56:12', 'root', '2022-12-16 14:58:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22659, '2022-12-26', '1668', '3005', '3789', 'root', '2022-12-26 15:08:06', 'root', '2022-12-26 15:10:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22650, '2022-12-17', '8239', '9049', '0208', 'root', '2022-12-17 15:16:59', 'root', '2022-12-17 15:19:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2316, '2023-01-16', '2950', '4669', '5684', 'root', '2023-01-16 15:19:37', 'root', '2023-01-16 15:20:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (234, '2023-01-04', '0201', '0056', '5614', 'root', '2023-01-04 15:43:45', 'root', '2023-01-04 15:44:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22651, '2022-12-18', '9415', '1229', '0598', 'root', '2022-12-18 14:56:08', 'root', '2022-12-18 14:58:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22660, '2022-12-27', '8733', '8612', '0720', 'root', '2022-12-27 15:11:38', 'root', '2022-12-27 15:13:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22652, '2022-12-19', '3531', '7579', '5450', 'root', '2022-12-19 15:22:12', 'root', '2022-12-19 15:23:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2311, '2023-01-11', '6890', '5574', '3819', 'root', '2023-01-11 15:50:23', 'root', '2023-01-11 15:51:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22661, '2022-12-28', '7432', '2378', '7302', 'root', '2022-12-28 15:57:01', 'root', '2022-12-28 15:57:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22662, '2022-12-29', '0569', '9461', '4883', 'root', '2022-12-29 15:05:13', 'root', '2022-12-29 15:07:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (235, '2023-01-05', '1883', '9917', '6155', 'root', '2023-01-05 15:18:25', 'root', '2023-01-05 15:19:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22663, '2022-12-30', '1812', '4459', '4218', 'root', '2022-12-30 17:22:35', 'root', '2022-12-30 17:23:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2312, '2023-01-12', '1324', '8774', '4172', 'root', '2023-01-12 15:14:19', 'root', '2023-01-12 15:15:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (22664, '2022-12-31', '7135', '2821', '1958', 'root', '2022-12-31 14:58:04', 'root', '2022-12-31 14:59:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (236, '2023-01-06', '2588', '3365', '9197', 'root', '2023-01-06 15:08:04', 'root', '2023-01-06 15:08:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2321, '2023-01-21', '5650', '8012', '4060', 'root', '2023-01-21 14:53:30', 'root', '2023-01-21 14:59:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (237, '2023-01-07', '7615', '2637', '8168', 'root', '2023-01-07 15:24:43', 'root', '2023-01-07 15:25:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2317, '2023-01-17', '8473', '3885', '4654', 'root', '2023-01-17 15:21:21', 'root', '2023-01-17 15:22:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2313, '2023-01-13', '4424', '7046', '7307', 'root', '2023-01-13 15:08:02', 'root', '2023-01-13 15:09:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (238, '2023-01-08', '4491', '7340', '5622', 'root', '2023-01-08 15:18:58', 'root', '2023-01-08 15:20:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2314, '2023-01-14', '7247', '8548', '4444', 'root', '2023-01-14 15:05:28', 'root', '2023-01-14 15:06:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2318, '2023-01-18', '5769', '5889', '9564', 'root', '2023-01-18 14:57:17', 'root', '2023-01-18 14:59:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2332, '2023-02-01', '5928', '4489', '3099', 'root', '2023-02-01 15:00:39', 'root', '2023-02-01 15:02:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2315, '2023-01-15', '0143', '5888', '8477', 'root', '2023-01-15 14:56:05', 'root', '2023-01-15 15:00:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2322, '2023-01-22', '8145', '8522', '2920', 'root', '2023-01-22 15:03:52', 'root', '2023-01-22 15:04:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2319, '2023-01-19', '7808', '8089', '6338', 'root', '2023-01-19 15:47:52', 'root', '2023-01-19 15:48:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2325, '2023-01-25', '6406', '1641', '6277', 'root', '2023-01-25 14:19:35', 'root', '2023-01-25 15:00:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2320, '2023-01-20', '0012', '4024', '9901', 'root', '2023-01-20 15:09:18', 'root', '2023-01-20 15:11:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2323, '2023-01-23', '5544', '8328', '6907', 'root', '2023-01-23 15:33:25', 'root', '2023-01-23 15:33:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2327, '2023-01-27', '2134', '8957', '3817', 'root', '2023-01-27 14:58:09', 'root', '2023-01-27 14:59:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2330, '2023-01-30', '8889', '5559', '3271', 'root', '2023-01-30 15:07:09', 'root', '2023-01-30 15:07:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2326, '2023-01-26', '1739', '3707', '7796', 'root', '2023-01-26 15:00:57', 'root', '2023-01-26 15:01:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2329, '2023-01-29', '2723', '6868', '5146', 'root', '2023-01-29 15:02:35', 'root', '2023-01-29 15:03:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2328, '2023-01-28', '0349', '7827', '8572', 'root', '2023-01-28 17:25:09', 'root', '2023-01-28 17:25:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2331, '2023-01-31', '6356', '3461', '3359', 'root', '2023-01-31 15:22:19', 'root', '2023-01-31 15:23:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2333, '2023-02-02', '4256', '3785', '6854', 'root', '2023-02-02 15:02:50', 'root', '2023-02-02 15:03:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2334, '2023-02-03', '5536', '4372', '0681', 'root', '2023-02-03 15:04:14', 'root', '2023-02-03 15:04:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2335, '2023-02-04', '0147', '9234', '8476', 'root', '2023-02-04 15:00:10', 'root', '2023-02-04 15:01:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2336, '2023-02-05', '1249', '4712', '1329', 'root', '2023-02-05 16:08:39', 'root', '2023-02-05 16:09:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2337, '2023-02-06', '9878', '0944', '2910', 'root', '2023-02-06 14:52:28', 'root', '2023-02-06 14:57:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2338, '2023-02-07', '7351', '9909', '7342', 'root', '2023-02-07 14:53:47', 'root', '2023-02-07 14:58:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2339, '2023-02-08', '5924', '1900', '2742', 'root', '2023-02-08 14:57:23', 'root', '2023-02-08 14:59:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2340, '2023-02-09', '4212', '3050', '4398', 'root', '2023-02-09 14:50:59', 'root', '2023-02-09 14:58:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2341, '2023-02-10', '5616', '8230', '0865', 'root', '2023-02-10 15:00:02', 'root', '2023-02-10 15:00:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2342, '2023-02-11', '7919', '8539', '1373', 'root', '2023-02-11 15:42:20', 'root', '2023-02-11 15:43:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2391, '2023-04-01', '1069', '5873', '2930', 'root', '2023-04-01 14:57:40', 'root', '2023-04-01 14:59:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2364, '2023-03-05', '1294', '3133', '8200', 'root', '2023-03-05 15:02:29', 'root', '2023-03-05 15:03:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2343, '2023-02-12', '3680', '9068', '8020', 'root', '2023-02-12 15:28:49', 'root', '2023-02-12 15:29:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2380, '2023-03-21', '6552', '2502', '5786', 'root', '2023-03-21 15:00:34', 'root', '2023-03-21 15:04:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2344, '2023-02-13', '0304', '4404', '3347', 'root', '2023-02-13 14:59:13', 'root', '2023-02-13 15:00:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2365, '2023-03-06', '1463', '9464', '6401', 'root', '2023-03-06 15:05:32', 'root', '2023-03-06 15:07:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2345, '2023-02-14', '9129', '9167', '3050', 'root', '2023-02-14 14:56:33', 'root', '2023-02-14 14:58:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2346, '2023-02-15', '8476', '3384', '8484', 'root', '2023-02-15 15:00:58', 'root', '2023-02-15 15:01:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2366, '2023-03-07', '1496', '7218', '4676', 'root', '2023-03-07 14:52:28', 'root', '2023-03-07 14:59:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2347, '2023-02-16', '1930', '0270', '6699', 'root', '2023-02-16 15:02:27', 'root', '2023-02-16 15:03:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23100, '2023-04-10', '0070', '7094', '1807', 'admintoto', '2023-04-10 14:09:08', 'admintoto', '2023-04-10 15:01:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2348, '2023-02-17', '2023', '8033', '3697', 'root', '2023-02-17 14:58:14', 'root', '2023-02-17 14:58:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2381, '2023-03-22', '3419', '9935', '5044', 'root', '2023-03-22 18:12:25', 'root', '2023-03-22 18:12:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2367, '2023-03-08', '5950', '0153', '5736', 'root', '2023-03-08 14:55:31', 'root', '2023-03-08 14:59:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2349, '2023-02-18', '4842', '2591', '9583', 'root', '2023-02-18 16:04:25', 'root', '2023-02-18 16:05:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2350, '2023-02-19', '1788', '4099', '5906', 'root', '2023-02-19 18:42:33', 'root', '2023-02-19 18:43:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2392, '2023-04-02', '0357', '6578', '5554', 'root', '2023-04-02 15:14:41', 'root', '2023-04-02 15:15:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2368, '2023-03-09', '2516', '2985', '6867', 'root', '2023-03-09 15:33:37', 'root', '2023-03-09 15:34:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2351, '2023-02-20', '1405', '8236', '0717', 'root', '2023-02-20 14:58:53', 'root', '2023-02-20 15:02:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2352, '2023-02-21', '0597', '6569', '5765', 'root', '2023-02-21 15:15:11', 'root', '2023-02-21 15:16:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2382, '2023-03-23', '0082', '3665', '3542', 'root', '2023-03-23 15:01:17', 'root', '2023-03-23 15:01:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2369, '2023-03-10', '4136', '7024', '3479', 'root', '2023-03-10 15:48:45', 'root', '2023-03-10 15:48:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2353, '2023-02-22', '0555', '5021', '2050', 'root', '2023-02-22 15:00:36', 'root', '2023-02-22 15:01:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2354, '2023-02-23', '2304', '9861', '4836', 'root', '2023-02-23 14:59:46', 'root', '2023-02-23 15:00:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2370, '2023-03-11', '6714', '8134', '7910', 'root', '2023-03-11 15:08:49', 'root', '2023-03-11 15:09:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2355, '2023-02-24', '7398', '9952', '7179', 'root', '2023-02-24 15:04:53', 'root', '2023-02-24 15:05:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23115, '2023-04-25', '1562', '8331', '0366', 'admintoto', '2023-04-25 14:37:13', 'admintoto', '2023-04-25 14:58:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2356, '2023-02-25', '0480', '9792', '9140', 'root', '2023-02-25 14:58:02', 'root', '2023-02-25 14:58:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2383, '2023-03-24', '4846', '4975', '6135', 'root', '2023-03-24 14:56:52', 'root', '2023-03-24 14:58:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2371, '2023-03-12', '3191', '6777', '2269', 'root', '2023-03-12 14:56:58', 'root', '2023-03-12 14:59:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2357, '2023-02-26', '2716', '5253', '8854', 'root', '2023-02-26 14:55:43', 'root', '2023-02-26 15:00:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2358, '2023-02-27', '4421', '9759', '3755', 'root', '2023-02-27 14:56:11', 'root', '2023-02-27 14:59:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2393, '2023-04-03', '4240', '2060', '6896', 'root', '2023-04-03 14:59:29', 'root', '2023-04-03 15:01:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2372, '2023-03-13', '9967', '7442', '5514', 'root', '2023-03-13 14:58:45', 'root', '2023-03-13 15:00:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2359, '2023-02-28', '4404', '5834', '3181', 'root', '2023-02-28 15:11:32', 'root', '2023-02-28 15:12:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2360, '2023-03-01', '5764', '0899', '9319', 'root', '2023-03-01 14:53:09', 'root', '2023-03-01 15:00:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23106, '2023-04-16', '6297', '3758', '0411', 'admintoto', '2023-04-16 15:01:11', 'admintoto', '2023-04-16 15:02:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2373, '2023-03-14', '1457', '8645', '0555', 'root', '2023-03-14 15:00:23', 'root', '2023-03-14 15:02:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2361, '2023-03-02', '5698', '8269', '0491', 'root', '2023-03-02 14:50:53', 'root', '2023-03-02 14:58:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2384, '2023-03-25', '9378', '3598', '9863', 'root', '2023-03-25 15:00:00', 'root', '2023-03-25 15:02:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2362, '2023-03-03', '4754', '0486', '3550', 'root', '2023-03-03 14:57:16', 'root', '2023-03-03 14:58:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2374, '2023-03-15', '2423', '3661', '7811', 'root', '2023-03-15 15:00:08', 'root', '2023-03-15 15:01:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2363, '2023-03-04', '7863', '2225', '0220', 'root', '2023-03-04 14:58:26', 'root', '2023-03-04 14:59:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23101, '2023-04-11', '9084', '4532', '1310', 'admintoto', '2023-04-11 14:53:52', 'admintoto', '2023-04-11 15:01:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2394, '2023-04-04', '6163', '0818', '9089', 'root', '2023-04-04 15:04:43', 'root', '2023-04-04 15:05:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2375, '2023-03-16', '0065', '0654', '8710', 'root', '2023-03-16 14:52:00', 'root', '2023-03-16 14:58:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2385, '2023-03-26', '9054', '8076', '8571', 'root', '2023-03-26 15:08:33', 'root', '2023-03-26 15:10:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2376, '2023-03-17', '2373', '4774', '8556', 'root', '2023-03-17 14:56:48', 'root', '2023-03-17 14:59:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2377, '2023-03-18', '4285', '6946', '4962', 'root', '2023-03-18 15:36:23', 'root', '2023-03-18 15:37:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2386, '2023-03-27', '0279', '3964', '0060', 'root', '2023-03-27 14:55:50', 'root', '2023-03-27 14:59:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2378, '2023-03-19', '1648', '2455', '6311', 'root', '2023-03-19 15:41:30', 'root', '2023-03-19 15:41:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2395, '2023-04-05', '0675', '2579', '3394', 'root', '2023-04-05 14:54:24', 'root', '2023-04-05 14:59:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2379, '2023-03-20', '4671', '7152', '4075', 'root', '2023-03-20 15:09:01', 'root', '2023-03-20 15:09:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2387, '2023-03-28', '8980', '5159', '9923', 'root', '2023-03-28 15:33:23', 'root', '2023-03-28 15:33:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23110, '2023-04-20', '6630', '6015', '9038', 'admintoto', '2023-04-20 14:59:05', 'admintoto', '2023-04-20 15:01:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2388, '2023-03-29', '7375', '7752', '6348', 'root', '2023-03-29 14:53:55', 'root', '2023-03-29 14:59:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23102, '2023-04-12', '3981', '6527', '0113', 'admintoto', '2023-04-12 14:50:41', 'admintoto', '2023-04-12 15:01:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2396, '2023-04-06', '6920', '8125', '3895', 'root', '2023-04-06 14:54:03', 'root', '2023-04-06 14:58:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2389, '2023-03-30', '5769', '9851', '9838', 'root', '2023-03-30 14:54:12', 'root', '2023-03-30 14:59:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2390, '2023-03-31', '5296', '9317', '4146', 'root', '2023-03-31 14:59:31', 'root', '2023-03-31 15:01:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23107, '2023-04-17', '2387', '5077', '8470', 'admintoto', '2023-04-17 14:56:25', 'admintoto', '2023-04-17 14:59:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23103, '2023-04-13', '5903', '7738', '5176', 'admintoto', '2023-04-13 14:59:45', 'admintoto', '2023-04-13 15:01:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2397, '2023-04-07', '5877', '4243', '8831', 'root', '2023-04-07 15:02:20', 'root', '2023-04-07 15:06:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2398, '2023-04-08', '0517', '7524', '4535', 'root', '2023-04-08 14:55:32', 'root', '2023-04-08 14:58:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23113, '2023-04-23', '2871', '0909', '3624', 'admintoto', '2023-04-23 14:55:27', 'admintoto', '2023-04-23 15:01:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23104, '2023-04-14', '2417', '7162', '8850', 'admintoto', '2023-04-14 15:01:17', 'admintoto', '2023-04-14 15:03:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2399, '2023-04-09', '9192', '1040', '2708', 'root', '2023-04-09 15:01:15', 'root', '2023-04-09 15:03:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23108, '2023-04-18', '9618', '7363', '0849', 'admintoto', '2023-04-18 14:18:05', 'admintoto', '2023-04-18 14:58:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23105, '2023-04-15', '3181', '2823', '1920', 'root', '2023-04-15 20:59:50', 'root', '2023-04-15 21:00:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23111, '2023-04-21', '1675', '9016', '0863', 'admintoto', '2023-04-21 14:46:14', 'admintoto', '2023-04-21 14:58:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23109, '2023-04-19', '2458', '7227', '5011', 'admintoto', '2023-04-19 14:52:46', 'admintoto', '2023-04-19 15:00:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23118, '2023-04-28', '4173', '8473', '2041', 'admintoto', '2023-04-28 14:53:05', 'admintoto', '2023-04-28 14:59:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23112, '2023-04-22', '1974', '0029', '4923', 'admintoto', '2023-04-22 14:57:27', 'admintoto', '2023-04-22 15:04:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23114, '2023-04-24', '6928', '6560', '8682', 'root', '2023-04-24 15:02:15', 'root', '2023-04-24 15:03:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23117, '2023-04-27', '9246', '0682', '3566', 'admintoto', '2023-04-27 14:42:08', 'admintoto', '2023-04-27 14:58:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23116, '2023-04-26', '8708', '8527', '3766', 'admintoto', '2023-04-26 14:59:46', 'admintoto', '2023-04-26 15:02:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23119, '2023-04-29', '9926', '2342', '7443', 'admintoto', '2023-04-29 15:02:34', 'admintoto', '2023-04-29 15:02:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23120, '2023-04-30', '6375', '6872', '1200', 'admintoto', '2023-04-30 14:55:28', 'admintoto', '2023-04-30 15:00:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23121, '2023-05-01', '7323', '1406', '0363', 'admintoto', '2023-05-01 14:58:51', 'admintoto', '2023-05-01 14:59:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23122, '2023-05-02', '5102', '3735', '9047', 'admintoto', '2023-05-02 15:00:01', 'admintoto', '2023-05-02 15:00:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23123, '2023-05-03', '2464', '0002', '9449', 'admintoto', '2023-05-03 14:41:59', 'admintoto', '2023-05-03 14:58:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23124, '2023-05-04', '9124', '2866', '0481', 'admintoto', '2023-05-04 14:58:34', 'admintoto', '2023-05-04 15:00:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23125, '2023-05-05', '8364', '6783', '0706', 'admintoto', '2023-05-05 14:55:46', 'admintoto', '2023-05-05 14:58:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23126, '2023-05-06', '9227', '5064', '7808', 'admintoto', '2023-05-06 14:49:43', 'admintoto', '2023-05-06 15:00:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23127, '2023-05-07', '3676', '1899', '7859', 'root', '2023-05-07 15:18:19', 'root', '2023-05-07 15:19:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23128, '2023-05-08', '3619', '4630', '6463', 'admintoto', '2023-05-09 14:51:26', 'admintoto', '2023-05-09 14:51:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23129, '2023-05-09', '2471', '9077', '8646', 'admintoto', '2023-05-09 14:52:05', 'admintoto', '2023-05-09 14:58:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23160, '2023-06-09', '4430', '3300', '0282', 'admintoto', '2023-06-09 14:44:01', 'admintoto', '2023-06-09 14:59:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23147, '2023-05-27', '2473', '3684', '8394', 'admintoto', '2023-05-27 14:54:28', 'admintoto', '2023-05-27 14:59:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23130, '2023-05-10', '6528', '7984', '9519', 'admintoto', '2023-05-10 14:54:56', 'admintoto', '2023-05-10 14:58:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23131, '2023-05-11', '8024', '2230', '6142', 'admintoto', '2023-05-11 14:48:28', 'admintoto', '2023-05-11 14:57:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23182, '2023-07-01', '2907', '9480', '6853', 'admintoto', '2023-07-01 14:41:06', 'admintoto', '2023-07-01 14:57:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23148, '2023-05-28', '9943', '8835', '3395', 'admintoto', '2023-05-28 14:51:54', 'admintoto', '2023-05-28 15:01:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23132, '2023-05-12', '6169', '8444', '1079', 'admintoto', '2023-05-12 14:51:01', 'admintoto', '2023-05-12 14:57:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23133, '2023-05-13', '7109', '3210', '6832', 'admintoto', '2023-05-13 14:54:53', 'admintoto', '2023-05-13 15:00:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23161, '2023-06-10', '5563', '8252', '6171', 'admintoto', '2023-06-10 14:45:36', 'admintoto', '2023-06-10 14:58:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23149, '2023-05-29', '8816', '5820', '1791', 'admintoto', '2023-05-29 14:50:07', 'admintoto', '2023-05-29 14:58:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23134, '2023-05-14', '9723', '8276', '4144', 'admintoto', '2023-05-14 14:56:34', 'admintoto', '2023-05-14 14:58:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23170, '2023-06-19', '3596', '9242', '6204', 'admintoto', '2023-06-19 15:01:33', 'admintoto', '2023-06-19 15:01:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23135, '2023-05-15', '2725', '4957', '1503', 'admintoto', '2023-05-15 14:49:45', 'admintoto', '2023-05-15 15:02:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23150, '2023-05-30', '7681', '5687', '4227', 'admintoto', '2023-05-30 14:58:38', 'admintoto', '2023-05-30 14:59:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23136, '2023-05-16', '0679', '1659', '5392', 'admintoto', '2023-05-16 15:00:54', 'admintoto', '2023-05-16 15:01:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23162, '2023-06-11', '4834', '5735', '8217', 'admintoto', '2023-06-11 14:26:38', 'admintoto', '2023-06-11 14:57:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23137, '2023-05-17', '1910', '2068', '9318', 'admintoto', '2023-05-17 14:52:30', 'admintoto', '2023-05-17 16:44:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23151, '2023-05-31', '7452', '3079', '0759', 'admintoto', '2023-05-31 14:46:09', 'admintoto', '2023-05-31 14:59:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23138, '2023-05-18', '9836', '7404', '1394', 'admintoto', '2023-05-18 14:52:30', 'admintoto', '2023-05-18 15:49:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23177, '2023-06-26', '8236', '1968', '6196', 'admintoto', '2023-06-26 14:31:04', 'admintoto', '2023-06-26 14:59:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23139, '2023-05-19', '9637', '7377', '2423', 'admintoto', '2023-05-19 14:40:12', 'admintoto', '2023-05-19 14:57:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23152, '2023-06-01', '9519', '5845', '1737', 'admintoto', '2023-06-01 14:49:57', 'admintoto', '2023-06-01 14:58:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23140, '2023-05-20', '6735', '0295', '3175', 'admintoto', '2023-05-20 15:00:39', 'admintoto', '2023-05-20 15:00:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23163, '2023-06-12', '8945', '5772', '6582', 'admintoto', '2023-06-12 14:54:48', 'admintoto', '2023-06-12 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23141, '2023-05-21', '7409', '8342', '0272', 'admintoto', '2023-05-21 14:58:57', 'admintoto', '2023-05-21 14:59:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23153, '2023-06-02', '2408', '1359', '6773', 'admintoto', '2023-06-02 14:51:24', 'admintoto', '2023-06-02 14:52:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23142, '2023-05-22', '8639', '1706', '2478', 'admintoto', '2023-05-22 14:59:44', 'admintoto', '2023-05-23 14:46:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23171, '2023-06-20', '6729', '5856', '8036', 'admintoto', '2023-06-20 14:34:56', 'admintoto', '2023-06-20 14:59:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23143, '2023-05-23', '2975', '9003', '4232', 'admintoto', '2023-05-23 14:46:37', 'admintoto', '2023-05-23 14:58:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23154, '2023-06-03', '2127', '3865', '4650', 'admintoto', '2023-06-03 15:00:35', 'admintoto', '2023-06-03 15:00:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23144, '2023-05-24', '8947', '7174', '0137', 'admintoto', '2023-05-24 14:59:00', 'admintoto', '2023-05-24 15:00:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23145, '2023-05-25', '0616', '4282', '8880', 'admintoto', '2023-05-25 14:46:26', 'admintoto', '2023-05-25 15:00:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23155, '2023-06-04', '6901', '8458', '2230', 'admintoto', '2023-06-04 14:42:58', 'admintoto', '2023-06-04 14:58:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23146, '2023-05-26', '4781', '0771', '2812', 'admintoto', '2023-05-26 14:47:39', 'admintoto', '2023-05-26 15:00:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23164, '2023-06-13', '5476', '9511', '8261', 'admintoto', '2023-06-13 14:56:14', 'admintoto', '2023-06-13 15:02:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23156, '2023-06-05', '1285', '2631', '7802', 'admintoto', '2023-06-05 14:45:01', 'admintoto', '2023-06-05 14:58:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23172, '2023-06-21', '0676', '9746', '8058', 'admintoto', '2023-06-21 14:54:24', 'admintoto', '2023-06-21 14:58:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23157, '2023-06-06', '6017', '7149', '0751', 'admintoto', '2023-06-06 15:00:46', 'admintoto', '2023-06-06 15:01:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23165, '2023-06-14', '2612', '8588', '9370', 'admintoto', '2023-06-14 14:45:24', 'admintoto', '2023-06-14 14:57:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23158, '2023-06-07', '7089', '5669', '8044', 'admintoto', '2023-06-07 15:03:30', 'admintoto', '2023-06-07 15:03:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23178, '2023-06-27', '1005', '8117', '3068', 'admintoto', '2023-06-27 14:38:51', 'admintoto', '2023-06-27 14:57:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23159, '2023-06-08', '8129', '5718', '4522', 'admintoto', '2023-06-08 14:58:09', 'admintoto', '2023-06-08 14:59:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23173, '2023-06-22', '3230', '8937', '9763', 'admintoto', '2023-06-22 14:53:13', 'admintoto', '2023-06-22 14:57:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23166, '2023-06-15', '3737', '0549', '8003', 'admintoto', '2023-06-15 14:54:41', 'admintoto', '2023-06-15 14:59:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23183, '2023-07-02', '1859', '5022', '2193', 'admintoto', '2023-07-02 15:02:27', 'admintoto', '2023-07-02 15:02:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23167, '2023-06-16', '7338', '2233', '8100', 'admintoto', '2023-06-16 14:27:19', 'admintoto', '2023-06-16 15:01:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23179, '2023-06-28', '5465', '3248', '8488', 'admintoto', '2023-06-28 15:01:03', 'admintoto', '2023-06-28 15:01:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23168, '2023-06-17', '8856', '7170', '1687', 'admintoto', '2023-06-17 14:41:36', 'admintoto', '2023-06-17 14:58:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23174, '2023-06-23', '7214', '4080', '5840', 'admintoto', '2023-06-23 14:55:41', 'admintoto', '2023-06-23 14:58:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23169, '2023-06-18', '5236', '9412', '3814', 'admintoto', '2023-06-18 15:00:54', 'admintoto', '2023-06-18 15:01:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23192, '2023-07-11', '3073', '0562', '7592', 'admintoto', '2023-07-11 14:46:40', 'admintoto', '2023-07-11 15:00:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23187, '2023-07-06', '6872', '5427', '4064', 'admintoto', '2023-07-06 14:35:35', 'admintoto', '2023-07-06 14:57:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23175, '2023-06-24', '3168', '4145', '3154', 'admintoto', '2023-06-24 14:20:44', 'admintoto', '2023-06-24 14:58:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23180, '2023-06-29', '6603', '0483', '4039', 'admintoto', '2023-06-29 14:42:50', 'admintoto', '2023-06-29 14:58:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23176, '2023-06-25', '0132', '9940', '1451', 'admintoto', '2023-06-25 14:56:35', 'admintoto', '2023-06-25 14:58:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23184, '2023-07-03', '1248', '6935', '8289', 'admintoto', '2023-07-03 14:27:02', 'admintoto', '2023-07-03 14:57:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23181, '2023-06-30', '3379', '5730', '0615', 'admintoto', '2023-06-30 14:05:39', 'admintoto', '2023-06-30 14:57:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23190, '2023-07-09', '6004', '7935', '1153', 'admintoto', '2023-07-09 15:00:41', 'admintoto', '2023-07-09 15:00:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23185, '2023-07-04', '1361', '8695', '6608', 'admintoto', '2023-07-04 14:52:05', 'admintoto', '2023-07-04 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23188, '2023-07-07', '9801', '1061', '3336', 'admintoto', '2023-07-07 14:54:00', 'admintoto', '2023-07-07 14:56:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23186, '2023-07-05', '2516', '5204', '7341', 'admintoto', '2023-07-05 14:37:31', 'admintoto', '2023-07-05 14:58:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23189, '2023-07-08', '5136', '4924', '3061', 'admintoto', '2023-07-08 14:38:09', 'admintoto', '2023-07-08 14:57:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23191, '2023-07-10', '1624', '9974', '4404', 'admintoto', '2023-07-10 14:43:06', 'admintoto', '2023-07-10 14:58:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23196, '2023-07-15', '3226', '7918', '6882', 'admintoto', '2023-07-15 15:01:54', 'admintoto', '2023-07-15 15:04:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23194, '2023-07-13', '2081', '6819', '9480', 'admintoto', '2023-07-13 14:44:33', 'admintoto', '2023-07-13 14:57:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23193, '2023-07-12', '0526', '9981', '3181', 'admintoto', '2023-07-12 14:34:12', 'admintoto', '2023-07-12 14:58:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23195, '2023-07-14', '9523', '1837', '0768', 'admintoto', '2023-07-14 14:53:40', 'admintoto', '2023-07-14 14:58:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23197, '2023-07-16', '9715', '0663', '6891', 'admintoto', '2023-07-16 15:07:35', 'admintoto', '2023-07-16 15:08:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23198, '2023-07-17', '0282', '3504', '8017', 'admintoto', '2023-07-17 14:18:37', 'admintoto', '2023-07-17 14:56:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23199, '2023-07-18', '5336', '2666', '4781', 'admintoto', '2023-07-18 13:55:08', 'admintoto', '2023-07-18 14:58:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23200, '2023-07-19', '2086', '1985', '5995', 'admintoto', '2023-07-19 14:57:02', 'admintoto', '2023-07-19 15:02:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23201, '2023-07-20', '8139', '6861', '5412', 'admintoto', '2023-07-20 14:32:08', 'admintoto', '2023-07-20 14:58:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23202, '2023-07-21', '4013', '0616', '9951', 'admintoto', '2023-07-21 14:44:11', 'admintoto', '2023-07-21 15:01:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23203, '2023-07-22', '6568', '1329', '7163', 'admintoto', '2023-07-22 14:51:42', 'admintoto', '2023-07-22 14:58:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23204, '2023-07-23', '1945', '9439', '4846', 'admintoto', '2023-07-23 15:03:43', 'admintoto', '2023-07-23 15:04:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23205, '2023-07-24', '1492', '7746', '8209', 'admintoto', '2023-07-24 14:49:44', 'admintoto', '2023-07-24 14:58:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23223, '2023-08-11', '2879', '2160', '1118', 'admintoto', '2023-08-11 10:27:25', 'admintoto', '2023-08-11 14:59:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23206, '2023-07-25', '7270', '5602', '8066', 'admintoto', '2023-07-25 14:38:07', 'admintoto', '2023-07-25 14:57:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23254, '2023-09-11', '8861', '5116', '0154', 'admintoto', '2023-09-11 13:20:47', 'admintoto', '2023-09-11 14:57:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23207, '2023-07-26', '6918', '8012', '3911', 'admintoto', '2023-07-26 14:14:46', 'admintoto', '2023-07-26 14:57:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23224, '2023-08-12', '1724', '7875', '9643', 'admintoto', '2023-08-12 15:04:21', 'admintoto', '2023-08-12 15:05:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23208, '2023-07-27', '5472', '8900', '2629', 'admintoto', '2023-07-27 14:59:20', 'admintoto', '2023-07-27 14:59:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23237, '2023-08-25', '1108', '5803', '1843', 'admintoto', '2023-08-25 14:54:05', 'admintoto', '2023-08-25 14:59:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23209, '2023-07-28', '9043', '3347', '6647', 'admintoto', '2023-07-28 14:42:55', 'admintoto', '2023-07-28 14:58:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23225, '2023-08-13', '8085', '6844', '5419', 'admintoto', '2023-08-13 15:00:26', 'admintoto', '2023-08-13 15:00:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23210, '2023-07-29', '7132', '8856', '9162', 'admintoto', '2023-07-29 14:12:46', 'admintoto', '2023-07-29 14:55:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23247, '2023-09-04', '8830', '2665', '9532', 'admintoto', '2023-09-04 13:15:01', 'admintoto', '2023-09-04 14:59:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23211, '2023-07-30', '0709', '7464', '2454', 'admintoto', '2023-07-30 15:01:44', 'admintoto', '2023-07-30 15:02:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23238, '2023-08-26', '6057', '7773', '1148', 'admintoto', '2023-08-26 14:55:46', 'admintoto', '2023-08-26 15:01:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23226, '2023-08-14', '5612', '3326', '7662', 'admintoto', '2023-08-14 14:59:00', 'admintoto', '2023-08-14 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23212, '2023-07-31', '1576', '4583', '6118', 'admintoto', '2023-07-31 13:20:01', 'admintoto', '2023-07-31 14:58:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23213, '2023-08-01', '4223', '3426', '7658', 'admintoto', '2023-08-01 14:47:01', 'admintoto', '2023-08-01 14:59:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23227, '2023-08-15', '8854', '2660', '7112', 'admintoto', '2023-08-15 14:37:57', 'admintoto', '2023-08-15 14:56:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23214, '2023-08-02', '9126', '1396', '0004', 'admintoto', '2023-08-02 14:21:24', 'admintoto', '2023-08-02 14:56:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23215, '2023-08-03', '5829', '9834', '6742', 'admintoto', '2023-08-03 14:28:41', 'admintoto', '2023-08-03 14:57:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23228, '2023-08-16', '3079', '9608', '0973', 'admintoto', '2023-08-16 14:54:21', 'admintoto', '2023-08-16 14:58:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23216, '2023-08-04', '1774', '2773', '3095', 'admintoto', '2023-08-04 12:58:17', 'admintoto', '2023-08-04 14:57:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23239, '2023-08-27', '6039', '1344', '7124', 'admintoto', '2023-08-27 15:03:36', 'admintoto', '2023-08-27 15:04:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23217, '2023-08-05', '1335', '2902', '3913', 'admintoto', '2023-08-05 14:52:43', 'admintoto', '2023-08-05 14:58:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23229, '2023-08-17', '9451', '6804', '8525', 'admintoto', '2023-08-17 14:55:58', 'admintoto', '2023-08-17 14:57:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23218, '2023-08-06', '5910', '2611', '8463', 'admintoto', '2023-08-06 14:53:51', 'admintoto', '2023-08-06 14:56:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23248, '2023-09-05', '8033', '4867', '1509', 'admintoto', '2023-09-05 14:48:22', 'admintoto', '2023-09-05 14:57:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23219, '2023-08-07', '1157', '4101', '8423', 'admintoto', '2023-08-07 15:00:29', 'admintoto', '2023-08-07 15:00:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23230, '2023-08-18', '4892', '2630', '7080', 'admintoto', '2023-08-18 14:59:58', 'admintoto', '2023-08-18 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23240, '2023-08-28', '1749', '9161', '3820', 'admintoto', '2023-08-28 14:17:25', 'admintoto', '2023-08-28 15:01:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23220, '2023-08-08', '8621', '2647', '6635', 'admintoto', '2023-08-08 15:01:59', 'admintoto', '2023-08-08 15:02:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23231, '2023-08-19', '7907', '4260', '5900', 'admintoto', '2023-08-19 14:49:43', 'admintoto', '2023-08-19 15:00:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23221, '2023-08-09', '1235', '9383', '3998', 'admintoto', '2023-08-09 13:11:58', 'admintoto', '2023-08-09 14:58:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23255, '2023-09-12', '4869', '3729', '6746', 'admintoto', '2023-09-12 20:49:34', 'admintoto', '2023-09-12 20:58:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23222, '2023-08-10', '5831', '3795', '6258', 'admintoto', '2023-08-10 14:18:22', 'admintoto', '2023-08-10 14:57:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23241, '2023-08-29', '2730', '3534', '0110', 'admintoto', '2023-08-29 14:55:45', 'admintoto', '2023-08-29 14:57:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23232, '2023-08-20', '0898', '4450', '7892', 'admintoto', '2023-08-20 15:31:33', 'admintoto', '2023-08-20 15:32:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23249, '2023-09-06', '0344', '2649', '8461', 'admintoto', '2023-09-06 14:49:21', 'admintoto', '2023-09-06 14:57:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23233, '2023-08-21', '3221', '1605', '9551', 'admintoto', '2023-08-21 14:55:36', 'admintoto', '2023-08-21 14:58:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23242, '2023-08-30', '9632', '5357', '3741', 'admintoto', '2023-08-30 14:45:03', 'admintoto', '2023-08-30 14:57:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23234, '2023-08-22', '5536', '1431', '3374', 'admintoto', '2023-08-22 13:24:44', 'admintoto', '2023-08-22 15:00:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23260, '2023-09-18', '3499', '9892', '1701', 'admintoto', '2023-09-18 14:51:22', 'admintoto', '2023-09-18 14:59:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23235, '2023-08-23', '9137', '7461', '4980', 'admintoto', '2023-08-23 13:19:25', 'admintoto', '2023-08-23 15:04:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23243, '2023-08-31', '7090', '9270', '1714', 'admintoto', '2023-08-31 14:42:21', 'admintoto', '2023-08-31 14:59:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23236, '2023-08-24', '8076', '9157', '7824', 'admintoto', '2023-08-24 14:52:49', 'admintoto', '2023-08-24 14:59:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23250, '2023-09-07', '6669', '5328', '7321', 'admintoto', '2023-09-07 14:30:45', 'admintoto', '2023-09-07 15:00:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23244, '2023-09-01', '1130', '9289', '0503', 'admintoto', '2023-09-01 14:43:22', 'admintoto', '2023-09-01 14:58:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23256, '2023-09-13', '4677', '9361', '8102', 'admintoto', '2023-09-13 14:49:28', 'admintoto', '2023-09-13 14:59:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23245, '2023-09-02', '9733', '6991', '3587', 'admintoto', '2023-09-02 14:04:23', 'admintoto', '2023-09-02 14:57:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23251, '2023-09-08', '6246', '3117', '5816', 'admintoto', '2023-09-08 15:00:51', 'admintoto', '2023-09-08 15:01:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23246, '2023-09-03', '4316', '1682', '2851', 'admintoto', '2023-09-03 13:16:08', 'admintoto', '2023-09-03 15:01:31');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23264, '2023-09-22', '0160', '1041', '4396', 'admintoto', '2023-09-22 14:51:19', 'admintoto', '2023-09-22 14:59:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23252, '2023-09-09', '7872', '3723', '2091', 'admintoto', '2023-09-09 14:49:11', 'admintoto', '2023-09-09 14:49:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23257, '2023-09-14', '7943', '0148', '6701', 'admintoto', '2023-09-14 14:52:15', 'admintoto', '2023-09-14 15:00:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23253, '2023-09-10', '0849', '3749', '7293', 'admintoto', '2023-09-10 14:56:52', 'admintoto', '2023-09-10 14:57:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23261, '2023-09-19', '1185', '1468', '0596', 'admintoto', '2023-09-19 13:53:18', 'admintoto', '2023-09-19 14:56:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23267, '2023-09-25', '3992', '6961', '1817', 'admintoto', '2023-09-25 14:51:57', 'admintoto', '2023-09-25 15:00:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23258, '2023-09-15', '3356', '5395', '1663', 'admintoto', '2023-09-15 14:49:28', 'admintoto', '2023-09-15 14:56:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23262, '2023-09-20', '7939', '8017', '9052', 'admintoto', '2023-09-20 14:47:49', 'admintoto', '2023-09-20 14:57:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23259, '2023-09-16', '1182', '2999', '6531', 'admintoto', '2023-09-16 15:00:50', 'admintoto', '2023-09-16 15:01:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23265, '2023-09-23', '3088', '5436', '1965', 'admintoto', '2023-09-23 14:58:15', 'admintoto', '2023-09-23 14:58:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23263, '2023-09-21', '7209', '1545', '4081', 'admintoto', '2023-09-21 14:38:37', 'admintoto', '2023-09-21 14:59:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23269, '2023-09-27', '4672', '1430', '0982', 'admintoto', '2023-09-27 14:57:14', 'admintoto', '2023-09-27 14:57:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23266, '2023-09-24', '9805', '5869', '8196', 'admintoto', '2023-09-24 15:01:58', 'admintoto', '2023-09-24 15:02:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23268, '2023-09-26', '7656', '6534', '3596', 'admintoto', '2023-09-26 13:50:15', 'admintoto', '2023-09-26 15:01:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23273, '2023-10-01', '3701', '4461', '0607', 'admintoto', '2023-10-01 11:57:35', 'admintoto', '2023-10-01 14:59:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23270, '2023-09-28', '5165', '0245', '3558', 'admintoto', '2023-09-28 14:55:27', 'admintoto', '2023-09-28 14:56:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23271, '2023-09-29', '9585', '1944', '6167', 'admintoto', '2023-09-29 15:00:42', 'admintoto', '2023-09-29 15:00:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23272, '2023-09-30', '7378', '1357', '6018', 'admintoto', '2023-09-30 21:03:26', 'admintoto', '2023-09-30 21:03:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23274, '2023-10-02', '8662', '1558', '4688', 'admintoto', '2023-10-02 13:38:45', 'admintoto', '2023-10-02 14:59:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23275, '2023-10-03', '6032', '7310', '5809', 'admintoto', '2023-10-03 14:34:37', 'admintoto', '2023-10-03 14:59:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23276, '2023-10-04', '7106', '9602', '0476', 'admintoto', '2023-10-04 13:27:33', 'admintoto', '2023-10-04 15:01:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23277, '2023-10-05', '0615', '4470', '1374', 'admintoto', '2023-10-05 14:33:33', 'admintoto', '2023-10-05 15:00:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23278, '2023-10-06', '9323', '0955', '4874', 'admintoto', '2023-10-06 14:55:00', 'admintoto', '2023-10-06 14:59:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23279, '2023-10-07', '4749', '5672', '6106', 'admintoto', '2023-10-07 15:01:12', 'admintoto', '2023-10-07 15:01:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23280, '2023-10-08', '3287', '8719', '0247', 'admintoto', '2023-10-08 14:53:46', 'admintoto', '2023-10-08 14:57:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23281, '2023-10-09', '7563', '5420', '3591', 'admintoto', '2023-10-09 14:59:40', 'admintoto', '2023-10-09 15:00:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23282, '2023-10-10', '2578', '0167', '9545', 'admintoto', '2023-10-10 14:45:28', 'admintoto', '2023-10-10 14:59:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23323, '2023-11-20', '3384', '8166', '4948', 'admintoto', '2023-11-20 13:20:24', 'admintoto', '2023-11-20 14:58:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23283, '2023-10-11', '7676', '4117', '9318', 'admintoto', '2023-10-11 14:31:23', 'admintoto', '2023-10-11 14:59:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23300, '2023-10-28', '5646', '6488', '1866', 'admintoto', '2023-10-28 14:58:33', 'admintoto', '2023-10-28 14:59:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23284, '2023-10-12', '7289', '3295', '6177', 'admintoto', '2023-10-12 14:55:30', 'admintoto', '2023-10-12 14:58:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23314, '2023-11-11', '1846', '0480', '3907', 'admintoto', '2023-11-11 14:21:29', 'admintoto', '2023-11-11 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23285, '2023-10-13', '0714', '1538', '4644', 'admintoto', '2023-10-13 10:10:59', 'admintoto', '2023-10-13 14:58:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23301, '2023-10-29', '2661', '5777', '3539', 'admintoto', '2023-10-29 14:57:16', 'admintoto', '2023-10-29 15:00:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23286, '2023-10-14', '2183', '9734', '1119', 'admintoto', '2023-10-14 14:58:14', 'admintoto', '2023-10-14 14:58:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23287, '2023-10-15', '0250', '1616', '6483', 'admintoto', '2023-10-15 15:06:22', 'admintoto', '2023-10-15 15:07:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23302, '2023-10-30', '5513', '4864', '8253', 'admintoto', '2023-10-30 14:51:54', 'admintoto', '2023-10-30 14:58:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23288, '2023-10-16', '1062', '6439', '2289', 'admintoto', '2023-10-16 15:00:44', 'admintoto', '2023-10-16 15:00:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23331, '2023-11-28', '8245', '3873', '6270', 'admintoto', '2023-11-28 13:32:05', 'admintoto', '2023-11-28 15:06:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23315, '2023-11-12', '6304', '9086', '5558', 'admintoto', '2023-11-12 13:55:54', 'admintoto', '2023-11-12 15:03:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23289, '2023-10-17', '2125', '0197', '6602', 'admintoto', '2023-10-17 14:42:10', 'admintoto', '2023-10-17 14:58:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23303, '2023-10-31', '9194', '5495', '0651', 'admintoto', '2023-10-31 14:51:14', 'admintoto', '2023-10-31 14:57:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23290, '2023-10-18', '4825', '1355', '2183', 'admintoto', '2023-10-18 14:58:39', 'admintoto', '2023-10-18 14:59:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23324, '2023-11-21', '6786', '8383', '7949', 'admintoto', '2023-11-21 14:14:26', 'admintoto', '2023-11-21 14:37:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23291, '2023-10-19', '0492', '9625', '6175', 'admintoto', '2023-10-19 14:55:35', 'admintoto', '2023-10-19 14:57:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23304, '2023-11-01', '4473', '7283', '2188', 'admintoto', '2023-11-01 14:50:40', 'admintoto', '2023-11-01 15:02:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23292, '2023-10-20', '1336', '3845', '7218', 'admintoto', '2023-10-20 10:06:04', 'admintoto', '2023-10-20 10:06:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23316, '2023-11-13', '2176', '0945', '1432', 'admintoto', '2023-11-13 14:15:23', 'admintoto', '2023-11-13 14:42:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23305, '2023-11-02', '4321', '6756', '2443', 'admintoto', '2023-11-02 14:57:21', 'admintoto', '2023-11-02 14:58:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23293, '2023-10-21', '7192', '1387', '5349', 'admintoto', '2023-10-21 13:16:37', 'admintoto', '2023-10-21 15:01:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23306, '2023-11-03', '2583', '1289', '0682', 'admintoto', '2023-11-03 14:58:46', 'admintoto', '2023-11-03 14:59:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23294, '2023-10-22', '5843', '6805', '4752', 'admintoto', '2023-10-22 14:59:24', 'admintoto', '2023-10-22 14:59:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23317, '2023-11-14', '8477', '3673', '4499', 'admintoto', '2023-11-14 14:20:46', 'admintoto', '2023-11-14 14:59:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23295, '2023-10-23', '4280', '1538', '3166', 'admintoto', '2023-10-23 14:54:51', 'admintoto', '2023-10-23 14:58:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23307, '2023-11-04', '3976', '1417', '2502', 'admintoto', '2023-11-04 15:02:51', 'admintoto', '2023-11-04 15:03:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23296, '2023-10-24', '4776', '5570', '7730', 'admintoto', '2023-10-24 14:48:45', 'admintoto', '2023-10-24 14:59:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23325, '2023-11-22', '1903', '2545', '4723', 'admintoto', '2023-11-22 10:56:39', 'admintoto', '2023-11-22 15:05:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23297, '2023-10-25', '8628', '4776', '3742', 'admintoto', '2023-10-25 15:00:09', 'admintoto', '2023-10-25 15:01:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23308, '2023-11-05', '2865', '9113', '0574', 'admintoto', '2023-11-05 14:53:46', 'admintoto', '2023-11-05 15:13:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23298, '2023-10-26', '4387', '1215', '7203', 'admintoto', '2023-10-26 12:56:50', 'admintoto', '2023-10-26 15:01:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23318, '2023-11-15', '5219', '4644', '0021', 'admintoto', '2023-11-15 14:41:49', 'admintoto', '2023-11-15 14:57:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23299, '2023-10-27', '6318', '2429', '9201', 'admintoto', '2023-10-27 14:43:18', 'admintoto', '2023-10-27 15:00:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23309, '2023-11-06', '7963', '1870', '0724', 'admintoto', '2023-11-06 13:50:41', 'admintoto', '2023-11-06 15:22:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23346, '2023-12-13', '2181', '4016', '2514', 'admintoto', '2023-12-13 13:52:08', 'admintoto', '2023-12-13 14:58:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23310, '2023-11-07', '7210', '4573', '6839', 'admintoto', '2023-11-07 14:56:13', 'admintoto', '2023-11-07 14:57:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23332, '2023-11-29', '3739', '7209', '4715', 'admintoto', '2023-11-29 14:59:43', 'admintoto', '2023-11-29 15:00:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23319, '2023-11-16', '6213', '7151', '7458', 'admintoto', '2023-11-16 14:31:41', 'admintoto', '2023-11-16 14:31:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23311, '2023-11-08', '0812', '6331', '2788', 'admintoto', '2023-11-08 14:31:57', 'admintoto', '2023-11-08 15:00:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23326, '2023-11-23', '9920', '7800', '9044', 'admintoto', '2023-11-23 13:42:17', 'admintoto', '2023-11-23 15:00:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23312, '2023-11-09', '9563', '4541', '8567', 'admintoto', '2023-11-09 13:15:08', 'admintoto', '2023-11-09 15:05:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23313, '2023-11-10', '7169', '8859', '2886', 'admintoto', '2023-11-10 14:58:42', 'admintoto', '2023-11-10 14:58:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23320, '2023-11-17', '4829', '3892', '6529', 'admintoto', '2023-11-17 13:43:37', 'admintoto', '2023-11-17 15:00:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23337, '2023-12-04', '8000', '4891', '6045', 'admintoto', '2023-12-04 14:50:49', 'admintoto', '2023-12-04 14:51:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23327, '2023-11-24', '1575', '5741', '6616', 'admintoto', '2023-11-24 14:52:58', 'admintoto', '2023-11-24 14:53:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23321, '2023-11-18', '7780', '8441', '1773', 'admintoto', '2023-11-18 10:27:23', 'admintoto', '2023-11-18 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23333, '2023-11-30', '5400', '0990', '4361', 'admintoto', '2023-11-30 14:10:14', 'admintoto', '2023-11-30 14:55:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23322, '2023-11-19', '5215', '4468', '6028', 'admintoto', '2023-11-19 15:45:30', 'admintoto', '2023-11-19 15:45:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23328, '2023-11-25', '6050', '7513', '0392', 'admintoto', '2023-11-25 14:32:13', 'admintoto', '2023-11-25 15:00:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23341, '2023-12-08', '2857', '5896', '8341', 'admintoto', '2023-12-08 14:08:18', 'admintoto', '2023-12-08 15:15:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23329, '2023-11-26', '1365', '0760', '5123', 'admintoto', '2023-11-26 14:40:43', 'admintoto', '2023-11-26 14:40:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23334, '2023-12-01', '8356', '6353', '1605', 'admintoto', '2023-12-01 14:44:03', 'admintoto', '2023-12-01 15:00:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23330, '2023-11-27', '0440', '6712', '9862', 'admintoto', '2023-11-27 14:56:16', 'admintoto', '2023-11-27 14:56:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23338, '2023-12-05', '1360', '6582', '7321', 'admintoto', '2023-12-05 14:18:09', 'admintoto', '2023-12-05 14:58:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23344, '2023-12-11', '6166', '8202', '0283', 'admintoto', '2023-12-11 14:55:13', 'admintoto', '2023-12-11 14:55:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23335, '2023-12-02', '2980', '8303', '4814', 'admintoto', '2023-12-02 15:01:14', 'admintoto', '2023-12-02 15:01:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23339, '2023-12-06', '7520', '4687', '1306', 'admintoto', '2023-12-06 14:55:28', 'admintoto', '2023-12-06 14:55:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23336, '2023-12-03', '6909', '2892', '5368', 'admintoto', '2023-12-03 14:51:12', 'admintoto', '2023-12-03 14:51:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23342, '2023-12-09', '0109', '7731', '4720', 'admintoto', '2023-12-09 13:53:04', 'admintoto', '2023-12-09 15:32:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23340, '2023-12-07', '6512', '1420', '6028', 'admintoto', '2023-12-07 15:03:19', 'admintoto', '2023-12-07 15:03:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23343, '2023-12-10', '7988', '2602', '6266', 'admintoto', '2023-12-10 14:49:49', 'admintoto', '2023-12-10 14:50:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23345, '2023-12-12', '5232', '6615', '8381', 'admintoto', '2023-12-12 14:48:04', 'admintoto', '2023-12-12 14:51:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23350, '2023-12-17', '0666', '6271', '0986', 'admintoto', '2023-12-17 14:50:49', 'admintoto', '2023-12-17 14:50:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23348, '2023-12-15', '4532', '6156', '8355', 'admintoto', '2023-12-15 15:05:32', 'admintoto', '2023-12-15 15:05:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23347, '2023-12-14', '7484', '1809', '6974', 'admintoto', '2023-12-14 12:24:35', 'admintoto', '2023-12-14 14:59:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23349, '2023-12-16', '3804', '0028', '4409', 'admintoto', '2023-12-16 15:20:15', 'admintoto', '2023-12-16 15:22:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23351, '2023-12-18', '8340', '2912', '6897', 'admintoto', '2023-12-18 15:00:16', 'admintoto', '2023-12-18 15:00:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23352, '2023-12-19', '6979', '9617', '9326', 'admintoto', '2023-12-19 14:44:02', 'admintoto', '2023-12-19 14:54:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23353, '2023-12-20', '5671', '2637', '3212', 'admintoto', '2023-12-20 14:06:46', 'admintoto', '2023-12-20 15:00:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23354, '2023-12-21', '1101', '5171', '9493', 'admintoto', '2023-12-21 12:22:09', 'admintoto', '2023-12-21 15:12:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23355, '2023-12-22', '8083', '3438', '6860', 'admintoto', '2023-12-22 15:00:46', 'admintoto', '2023-12-22 15:00:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23356, '2023-12-23', '7565', '4986', '8706', 'admintoto', '2023-12-23 15:01:25', 'admintoto', '2023-12-23 15:01:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23357, '2023-12-24', '1996', '0918', '2940', 'admintoto', '2023-12-24 14:32:28', 'admintoto', '2023-12-24 14:33:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23358, '2023-12-25', '0545', '8788', '5418', 'admintoto', '2023-12-25 15:01:01', 'admintoto', '2023-12-25 15:01:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2413, '2024-01-13', '5446', '7925', '9581', 'admintoto', '2024-01-13 15:34:56', 'admintoto', '2024-01-13 15:35:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23359, '2023-12-26', '7440', '0130', '3319', 'admintoto', '2023-12-26 14:42:04', 'admintoto', '2023-12-26 15:12:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2444, '2024-02-13', '5925', '4393', '3228', 'admintoto', '2024-02-13 13:00:30', 'admintoto', '2024-02-13 14:55:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23360, '2023-12-27', '4763', '3255', '5269', 'admintoto', '2023-12-27 15:05:46', 'admintoto', '2023-12-27 15:05:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2427, '2024-01-27', '3495', '4001', '0054', 'admintoto', '2024-01-27 15:01:10', 'admintoto', '2024-01-27 15:01:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2414, '2024-01-14', '0708', '4002', '3672', 'admintoto', '2024-01-14 14:31:40', 'admintoto', '2024-01-14 15:00:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23361, '2023-12-28', '2709', '7992', '3795', 'admintoto', '2023-12-28 14:33:06', 'admintoto', '2023-12-28 14:55:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23362, '2023-12-29', '8863', '2653', '6500', 'admintoto', '2023-12-29 13:53:05', 'admintoto', '2023-12-29 14:52:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2415, '2024-01-15', '6386', '5448', '7132', 'admintoto', '2024-01-15 13:56:27', 'admintoto', '2024-01-15 13:56:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23363, '2023-12-30', '4969', '7654', '2620', 'admintoto', '2023-12-30 15:23:22', 'admintoto', '2023-12-30 15:23:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (23364, '2023-12-31', '3904', '5889', '6160', 'admintoto', '2023-12-31 15:01:26', 'admintoto', '2023-12-31 15:01:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2428, '2024-01-28', '1479', '2213', '4320', 'admintoto', '2024-01-28 14:26:14', 'admintoto', '2024-01-28 15:04:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2416, '2024-01-16', '2345', '5195', '8165', 'admintoto', '2024-01-16 14:12:17', 'admintoto', '2024-01-16 14:53:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (241, '2024-01-01', '5694', '3529', '9707', 'admintoto', '2024-01-01 15:01:50', 'admintoto', '2024-01-01 15:02:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (242, '2024-01-02', '8838', '4313', '2630', 'admintoto', '2024-01-02 14:50:51', 'admintoto', '2024-01-02 14:50:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2417, '2024-01-17', '4057', '3900', '7443', 'admintoto', '2024-01-17 11:01:57', 'admintoto', '2024-01-17 14:59:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (243, '2024-01-03', '0017', '2737', '1588', 'admintoto', '2024-01-03 14:09:10', 'admintoto', '2024-01-03 14:56:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (244, '2024-01-04', '5563', '6525', '0412', 'admintoto', '2024-01-04 14:19:09', 'admintoto', '2024-01-04 15:00:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2429, '2024-01-29', '7730', '4861', '2348', 'admintoto', '2024-01-29 14:08:07', 'admintoto', '2024-01-29 15:00:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2418, '2024-01-18', '8702', '2188', '0805', 'admintoto', '2024-01-18 14:28:41', 'admintoto', '2024-01-18 15:04:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (245, '2024-01-05', '9822', '3238', '1014', 'admintoto', '2024-01-05 13:54:57', 'admintoto', '2024-01-05 15:34:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (246, '2024-01-06', '0707', '2937', '3111', 'admintoto', '2024-01-06 13:04:55', 'admintoto', '2024-01-06 13:05:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2438, '2024-02-07', '4893', '6901', '8176', 'admintoto', '2024-02-07 14:33:19', 'admintoto', '2024-02-07 14:59:35');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2419, '2024-01-19', '3692', '5826', '8167', 'admintoto', '2024-01-19 14:16:33', 'admintoto', '2024-01-19 14:55:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (247, '2024-01-07', '5985', '7759', '8399', 'admintoto', '2024-01-07 14:46:57', 'admintoto', '2024-01-07 14:47:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2437, '2024-02-06', '3886', '6025', '3245', 'admintoto', '2024-02-06 14:55:23', 'admintoto', '2024-02-08 21:07:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (248, '2024-01-08', '4173', '6725', '3517', 'admintoto', '2024-01-08 13:59:23', 'admintoto', '2024-01-08 14:59:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2430, '2024-01-30', '4409', '0979', '7403', 'admintoto', '2024-01-30 14:05:25', 'admintoto', '2024-01-30 14:59:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2420, '2024-01-20', '5497', '6824', '1689', 'admintoto', '2024-01-20 14:56:42', 'admintoto', '2024-01-20 14:56:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (249, '2024-01-09', '0173', '4326', '8591', 'admintoto', '2024-01-09 14:04:36', 'admintoto', '2024-01-09 16:07:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2410, '2024-01-10', '1734', '4705', '3545', 'admintoto', '2024-01-10 14:09:01', 'admintoto', '2024-01-10 15:00:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2421, '2024-01-21', '4705', '5935', '6110', 'admintoto', '2024-01-21 15:00:31', 'admintoto', '2024-01-21 15:00:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2411, '2024-01-11', '5972', '9461', '3531', 'admintoto', '2024-01-11 13:52:48', 'admintoto', '2024-01-11 14:58:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2445, '2024-02-14', '6425', '5977', '4086', 'admintoto', '2024-02-14 13:51:48', 'admintoto', '2024-02-14 15:01:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2412, '2024-01-12', '7121', '2429', '0999', 'admintoto', '2024-01-12 13:53:34', 'admintoto', '2024-01-12 14:53:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2422, '2024-01-22', '0189', '8509', '1777', 'admintoto', '2024-01-22 13:55:52', 'admintoto', '2024-01-22 14:56:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2431, '2024-01-31', '6723', '5620', '0465', 'admintoto', '2024-01-31 14:33:02', 'admintoto', '2024-01-31 15:00:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2439, '2024-02-08', '1734', '3662', '4983', 'admintoto', '2024-02-08 21:07:48', 'admintoto', '2024-02-08 21:07:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2423, '2024-01-23', '9955', '0172', '5272', 'admintoto', '2024-01-23 14:24:08', 'admintoto', '2024-01-23 15:00:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2432, '2024-02-01', '3939', '7848', '9399', 'admintoto', '2024-02-01 13:03:54', 'admintoto', '2024-02-01 15:00:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2424, '2024-01-24', '7963', '3582', '6545', 'admintoto', '2024-01-24 14:30:47', 'admintoto', '2024-01-24 15:03:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2450, '2024-02-19', '6558', '9732', '2934', 'admintoto', '2024-02-19 13:35:09', 'admintoto', '2024-02-19 14:52:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2425, '2024-01-25', '3512', '9542', '7867', 'admintoto', '2024-01-25 14:50:39', 'admintoto', '2024-01-25 14:50:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2433, '2024-02-02', '9905', '0135', '4964', 'admintoto', '2024-02-02 14:24:00', 'admintoto', '2024-02-02 14:55:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2426, '2024-01-26', '1775', '4455', '9893', 'admintoto', '2024-01-26 13:00:25', 'admintoto', '2024-01-26 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2440, '2024-02-09', '6279', '0381', '9677', 'admintoto', '2024-02-09 13:52:08', 'admintoto', '2024-02-09 15:06:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2446, '2024-02-15', '7289', '5291', '3466', 'admintoto', '2024-02-15 14:11:56', 'admintoto', '2024-02-15 15:00:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2434, '2024-02-03', '7642', '1028', '2393', 'admintoto', '2024-02-03 14:40:40', 'admintoto', '2024-02-03 15:00:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2441, '2024-02-10', '1464', '2296', '7912', 'admintoto', '2024-02-10 15:08:20', 'admintoto', '2024-02-10 15:08:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2435, '2024-02-04', '1023', '5477', '9663', 'admintoto', '2024-02-04 14:51:47', 'admintoto', '2024-02-04 14:51:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2459, '2024-02-28', '7672', '8701', '0581', 'admintoto', '2024-02-28 14:16:37', 'admintoto', '2024-02-28 15:06:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2436, '2024-02-05', '5420', '3988', '7130', 'admintoto', '2024-02-05 13:49:53', 'admintoto', '2024-02-05 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2454, '2024-02-23', '4390', '6193', '2123', 'admintoto', '2024-02-23 14:39:01', 'admintoto', '2024-02-23 15:00:06');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2442, '2024-02-11', '1041', '9194', '2981', 'admintoto', '2024-02-11 14:54:51', 'admintoto', '2024-02-11 14:55:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2447, '2024-02-16', '4739', '3434', '9165', 'admintoto', '2024-02-16 14:31:10', 'admintoto', '2024-02-16 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2443, '2024-02-12', '8776', '2672', '4171', 'admintoto', '2024-02-12 13:21:36', 'admintoto', '2024-02-12 14:59:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2451, '2024-02-20', '9623', '3856', '5669', 'admintoto', '2024-02-20 14:54:22', 'admintoto', '2024-02-20 14:54:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2448, '2024-02-17', '2730', '9908', '3873', 'admintoto', '2024-02-17 14:11:25', 'admintoto', '2024-02-17 15:05:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2457, '2024-02-26', '9346', '5550', '1465', 'admintoto', '2024-02-26 14:05:17', 'admintoto', '2024-02-26 14:56:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2449, '2024-02-18', '7514', '5459', '4134', 'admintoto', '2024-02-18 14:53:17', 'admintoto', '2024-02-18 14:53:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2452, '2024-02-21', '0602', '4914', '1020', 'admintoto', '2024-02-21 14:47:31', 'admintoto', '2024-02-21 15:00:20');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2455, '2024-02-24', '1371', '7725', '2381', 'admintoto', '2024-02-24 15:18:59', 'admintoto', '2024-02-24 15:19:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2453, '2024-02-22', '7357', '0603', '9719', 'admintoto', '2024-02-22 13:50:50', 'admintoto', '2024-02-22 15:00:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2456, '2024-02-25', '4975', '8040', '5096', 'admintoto', '2024-02-25 15:02:51', 'admintoto', '2024-02-25 15:02:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2458, '2024-02-27', '8678', '3403', '4488', 'admintoto', '2024-02-27 14:38:30', 'admintoto', '2024-02-27 14:54:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2463, '2024-03-03', '0181', '7801', '3208', 'admintoto', '2024-03-03 15:00:32', 'admintoto', '2024-03-03 15:00:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2461, '2024-03-01', '3081', '2040', '1093', 'admintoto', '2024-03-01 14:55:44', 'admintoto', '2024-03-01 14:56:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2460, '2024-02-29', '6188', '9272', '2491', 'admintoto', '2024-02-29 14:26:28', 'admintoto', '2024-02-29 14:55:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2462, '2024-03-02', '4197', '0713', '6789', 'admintoto', '2024-03-02 15:00:09', 'admintoto', '2024-03-02 15:00:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2464, '2024-03-04', '5687', '1883', '7089', 'admintoto', '2024-03-04 12:59:50', 'admintoto', '2024-03-04 15:12:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2465, '2024-03-05', '7948', '5474', '4488', 'admintoto', '2024-03-05 14:22:38', 'admintoto', '2024-03-05 14:57:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2466, '2024-03-06', '4625', '8903', '1375', 'admintoto', '2024-03-06 14:16:20', 'admintoto', '2024-03-06 14:59:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2467, '2024-03-07', '3043', '9831', '0904', 'admintoto', '2024-03-07 15:03:38', 'admintoto', '2024-03-07 15:03:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2468, '2024-03-08', '2445', '9446', '5129', 'admintoto', '2024-03-08 13:47:27', 'admintoto', '2024-03-09 13:51:59');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2469, '2024-03-09', '1561', '7675', '0674', 'admintoto', '2024-03-09 13:52:03', 'admintoto', '2024-03-09 14:59:44');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2471, '2024-03-11', '6163', '1283', '8161', 'admintoto', '2024-03-11 14:05:24', 'admintoto', '2024-03-11 15:10:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2470, '2024-03-10', '7516', '2650', '1435', 'admintoto', '2024-03-10 15:00:22', 'admintoto', '2024-03-10 15:00:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2472, '2024-03-12', '6342', '7164', '3139', 'admintoto', '2024-03-12 14:59:02', 'admintoto', '2024-03-12 14:59:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2491, '2024-03-30', '7095', '0312', '5565', 'admintoto', '2024-03-30 15:45:40', 'admintoto', '2024-03-30 15:45:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2473, '2024-03-13', '5630', '2870', '0869', 'admintoto', '2024-03-13 13:52:35', 'admintoto', '2024-03-13 14:59:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24114, '2024-04-22', '1965', '9836', '0654', 'admintoto', '2024-04-22 14:54:45', 'admintoto', '2024-04-22 14:54:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2474, '2024-03-14', '2143', '3121', '4285', 'admintoto', '2024-03-14 15:10:39', 'admintoto', '2024-03-14 15:10:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24104, '2024-04-12', '6744', '3319', '0589', 'admintoto', '2024-04-12 14:24:05', 'admintoto', '2024-04-12 14:24:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2492, '2024-03-31', '4377', '9445', '2954', 'admintoto', '2024-03-31 20:47:20', 'admintoto', '2024-03-31 20:47:30');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2475, '2024-03-15', '8352', '6728', '3124', 'admintoto', '2024-03-15 13:55:17', 'admintoto', '2024-03-15 15:00:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2476, '2024-03-16', '7570', '6050', '9767', 'admintoto', '2024-03-16 15:01:01', 'admintoto', '2024-03-16 15:01:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2493, '2024-04-01', '8710', '3931', '2848', 'admintoto', '2024-04-01 14:09:48', 'admintoto', '2024-04-01 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2477, '2024-03-17', '9433', '6857', '3408', 'admintoto', '2024-03-17 14:57:29', 'admintoto', '2024-03-17 14:57:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2479, '2024-03-18', '    ', '    ', '    ', 'admintoto', '2024-03-18 14:03:33', '', '2024-03-18 07:03:33.367479');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2478, '2024-03-18', '5800', '4491', '8186', 'admintoto', '2024-03-18 14:03:33', 'admintoto', '2024-03-18 14:52:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24105, '2024-04-13', '3748', '2449', '9781', 'admintoto', '2024-04-13 14:15:54', 'admintoto', '2024-04-13 14:53:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2494, '2024-04-02', '1453', '2528', '8422', 'admintoto', '2024-04-02 15:00:17', 'admintoto', '2024-04-02 15:00:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2480, '2024-03-19', '4672', '2528', '0451', 'admintoto', '2024-03-19 14:45:33', 'admintoto', '2024-03-19 14:55:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2481, '2024-03-20', '6855', '4459', '2999', 'admintoto', '2024-03-20 14:17:16', 'admintoto', '2024-03-20 14:55:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24127, '2024-05-05', '4682', '2277', '0974', 'admintoto', '2024-05-05 15:01:11', 'admintoto', '2024-05-05 16:22:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2495, '2024-04-03', '4354', '7199', '3722', 'admintoto', '2024-04-03 14:34:53', 'admintoto', '2024-04-03 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2482, '2024-03-21', '3385', '4481', '5029', 'admintoto', '2024-03-21 14:43:23', 'admintoto', '2024-03-21 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24115, '2024-04-23', '9724', '1476', '5802', 'admintoto', '2024-04-23 14:01:32', 'admintoto', '2024-04-23 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24106, '2024-04-14', '2138', '7467', '3915', 'admintoto', '2024-04-14 13:42:20', 'admintoto', '2024-04-14 15:00:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2483, '2024-03-22', '8818', '2565', '4406', 'admintoto', '2024-03-22 14:58:59', 'admintoto', '2024-03-22 14:59:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2496, '2024-04-04', '6309', '5732', '4579', 'admintoto', '2024-04-04 14:35:13', 'admintoto', '2024-04-04 15:01:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2484, '2024-03-23', '7661', '6912', '1060', 'admintoto', '2024-03-23 14:33:12', 'admintoto', '2024-03-23 14:33:21');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2485, '2024-03-24', '5296', '2771', '4747', 'admintoto', '2024-03-24 14:44:49', 'admintoto', '2024-03-24 14:45:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2497, '2024-04-05', '4595', '1668', '3460', 'admintoto', '2024-04-05 14:21:06', 'admintoto', '2024-04-05 14:57:46');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2486, '2024-03-25', '1055', '3799', '8158', 'admintoto', '2024-03-25 12:56:11', 'admintoto', '2024-03-25 15:00:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24122, '2024-04-30', '8365', '2356', '7978', 'admintoto', '2024-04-30 15:20:54', 'admintoto', '2024-04-30 15:21:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24107, '2024-04-15', '1014', '9875', '3374', 'admintoto', '2024-04-15 14:21:35', 'admintoto', '2024-04-15 17:00:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2498, '2024-04-06', '3566', '2438', '5223', 'admintoto', '2024-04-06 15:00:19', 'admintoto', '2024-04-06 15:00:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2487, '2024-03-26', '9923', '8573', '3725', 'admintoto', '2024-03-26 14:47:08', 'admintoto', '2024-03-26 15:54:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2488, '2024-03-27', '4181', '6136', '8096', 'admintoto', '2024-03-27 13:12:43', 'admintoto', '2024-03-27 15:00:12');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2499, '2024-04-07', '9653', '8564', '3157', 'admintoto', '2024-04-07 14:25:08', 'admintoto', '2024-04-07 14:48:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2489, '2024-03-28', '3006', '9822', '8202', 'admintoto', '2024-03-28 14:24:52', 'admintoto', '2024-03-28 14:59:23');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24116, '2024-04-24', '2509', '6101', '1958', 'admintoto', '2024-04-24 14:34:06', 'admintoto', '2024-04-24 15:00:37');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (2490, '2024-03-29', '9403', '1417', '8914', 'admintoto', '2024-03-29 15:00:59', 'admintoto', '2024-03-29 15:01:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24108, '2024-04-16', '8739', '6575', '5152', 'admintoto', '2024-04-16 14:49:06', 'admintoto', '2024-04-16 15:02:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24100, '2024-04-08', '8053', '4001', '3443', 'admintoto', '2024-04-08 15:00:07', 'admintoto', '2024-04-08 15:00:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24109, '2024-04-17', '6425', '2801', '7041', 'admintoto', '2024-04-17 14:59:34', 'admintoto', '2024-04-17 15:00:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24101, '2024-04-09', '8678', '7919', '5360', 'admintoto', '2024-04-09 13:22:46', 'admintoto', '2024-04-09 15:08:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24136, '2024-05-14', '9363', '5261', '5973', 'admintoto', '2024-05-14 14:04:27', 'admintoto', '2024-05-14 15:00:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24117, '2024-04-25', '6968', '6548', '7271', 'admintoto', '2024-04-25 13:18:22', 'admintoto', '2024-04-25 15:00:09');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24102, '2024-04-10', '7636', '2920', '3837', 'admintoto', '2024-04-10 15:00:58', 'admintoto', '2024-04-10 15:01:04');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24110, '2024-04-18', '1736', '9742', '7994', 'admintoto', '2024-04-18 13:51:39', 'admintoto', '2024-04-18 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24103, '2024-04-11', '4511', '9181', '1761', 'admintoto', '2024-04-11 15:01:07', 'admintoto', '2024-04-11 15:01:39');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24123, '2024-05-01', '7832', '5075', '8484', 'admintoto', '2024-05-01 15:00:56', 'admintoto', '2024-05-01 15:01:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24111, '2024-04-19', '5339', '1431', '4192', 'admintoto', '2024-04-19 15:00:23', 'admintoto', '2024-04-19 15:00:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24118, '2024-04-26', '6733', '5395', '6396', 'admintoto', '2024-04-26 14:43:43', 'admintoto', '2024-04-26 15:00:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24112, '2024-04-20', '2379', '4555', '9680', 'admintoto', '2024-04-20 14:01:11', 'admintoto', '2024-04-20 14:55:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24131, '2024-05-09', '9497', '2166', '0551', 'admintoto', '2024-05-09 14:44:05', 'admintoto', '2024-05-09 14:44:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24113, '2024-04-21', '8247', '9035', '7380', 'admintoto', '2024-04-21 15:01:08', 'admintoto', '2024-04-21 15:01:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24128, '2024-05-06', '7089', '5089', '1987', 'admintoto', '2024-05-06 14:57:26', 'admintoto', '2024-05-06 14:57:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24124, '2024-05-02', '0297', '6293', '2643', 'admintoto', '2024-05-02 14:55:33', 'admintoto', '2024-05-02 14:55:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24119, '2024-04-27', '3259', '0824', '9140', 'admintoto', '2024-04-27 21:02:52', 'admintoto', '2024-04-27 21:02:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24120, '2024-04-28', '4048', '2612', '1624', 'admintoto', '2024-04-28 15:31:36', 'admintoto', '2024-04-28 15:31:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24125, '2024-05-03', '1554', '5922', '4406', 'admintoto', '2024-05-03 15:10:47', 'admintoto', '2024-05-03 15:10:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24121, '2024-04-29', '7139', '2159', '8231', 'admintoto', '2024-04-29 15:00:36', 'admintoto', '2024-04-29 15:00:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24134, '2024-05-12', '4550', '1038', '6880', 'admintoto', '2024-05-12 15:34:44', 'admintoto', '2024-05-12 15:34:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24126, '2024-05-04', '3875', '0993', '7585', 'admintoto', '2024-05-04 13:58:14', 'admintoto', '2024-05-04 15:01:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24129, '2024-05-07', '2801', '7901', '1961', 'admintoto', '2024-05-07 14:45:12', 'admintoto', '2024-05-07 14:54:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24132, '2024-05-10', '2253', '9554', '8902', 'admintoto', '2024-05-10 15:11:27', 'admintoto', '2024-05-10 15:11:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24130, '2024-05-08', '3086', '1667', '8830', 'admintoto', '2024-05-08 14:58:12', 'admintoto', '2024-05-08 14:58:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24140, '2024-05-18', '2553', '6178', '7518', 'admintoto', '2024-05-18 14:32:53', 'admintoto', '2024-05-18 15:00:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24133, '2024-05-11', '9086', '3807', '8292', 'admintoto', '2024-05-11 15:11:21', 'admintoto', '2024-05-11 15:11:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24135, '2024-05-13', '7361', '9261', '1404', 'admintoto', '2024-05-13 15:02:53', 'admintoto', '2024-05-13 15:02:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24139, '2024-05-17', '8875', '9618', '6448', 'admintoto', '2024-05-17 14:42:37', 'admintoto', '2024-05-17 15:06:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24138, '2024-05-16', '0136', '7040', '4072', 'admintoto', '2024-05-16 15:02:41', 'admintoto', '2024-05-16 15:02:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24137, '2024-05-15', '9443', '7569', '5833', 'admintoto', '2024-05-15 15:26:45', 'admintoto', '2024-05-15 15:26:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24141, '2024-05-19', '5937', '9873', '0927', 'admintoto', '2024-05-19 15:02:10', 'admintoto', '2024-05-19 15:02:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24142, '2024-05-20', '3072', '0109', '7917', 'admintoto', '2024-05-20 15:00:28', 'admintoto', '2024-05-20 15:00:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24143, '2024-05-21', '9405', '7504', '5975', 'admintoto', '2024-05-21 15:08:18', 'admintoto', '2024-05-21 15:08:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24144, '2024-05-22', '5160', '7479', '2587', 'admintoto', '2024-05-22 15:12:24', 'admintoto', '2024-05-22 15:12:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24145, '2024-05-23', '4789', '9879', '7985', 'admintoto', '2024-05-23 15:02:26', 'admintoto', '2024-05-23 15:02:40');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24146, '2024-05-24', '4298', '8555', '8503', 'admintoto', '2024-05-24 15:27:55', 'admintoto', '2024-05-24 15:28:02');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24147, '2024-05-25', '8000', '0673', '5316', 'admintoto', '2024-05-25 15:05:59', 'admintoto', '2024-05-25 15:06:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24148, '2024-05-26', '5777', '2617', '9701', 'admintoto', '2024-05-26 15:48:36', 'admintoto', '2024-05-26 15:48:42');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24149, '2024-05-27', '9109', '8469', '3856', 'admintoto', '2024-05-27 15:01:26', 'admintoto', '2024-05-27 15:01:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24181, '2024-07-01', '3303', '8631', '9509', 'admintoto', '2024-07-01 14:58:40', 'admintoto', '2024-07-01 14:58:49');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24150, '2024-05-28', '3578', '5522', '8809', 'admintoto', '2024-05-28 16:37:33', 'admintoto', '2024-05-28 16:37:55');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24168, '2024-06-18', '9307', '6587', '6238', 'admintoto', '2024-06-18 15:10:39', 'admintoto', '2024-06-18 15:12:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24151, '2024-05-29', '6962', '4148', '0114', 'admintoto', '2024-05-29 14:54:03', 'admintoto', '2024-05-29 14:54:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24191, '2024-07-11', '2838', '1525', '0919', 'admintoto', '2024-07-11 15:20:56', 'admintoto', '2024-07-11 16:10:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24152, '2024-05-30', '4557', '0037', '6095', 'admintoto', '2024-05-30 15:03:19', 'admintoto', '2024-05-30 15:03:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24169, '2024-06-19', '1280', '9682', '4594', 'admintoto', '2024-06-19 14:30:22', 'admintoto', '2024-06-19 15:00:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24153, '2024-06-03', '1444', '2405', '3280', 'admintoto', '2024-06-03 15:09:47', 'admintoto', '2024-06-03 15:09:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24182, '2024-07-02', '9258', '1238', '7417', 'admintoto', '2024-07-02 15:01:05', 'admintoto', '2024-07-02 15:01:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24154, '2024-06-04', '3755', '2071', '1766', 'admintoto', '2024-06-04 15:01:01', 'admintoto', '2024-06-04 15:01:10');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24170, '2024-06-20', '6879', '5563', '0954', 'admintoto', '2024-06-20 15:29:10', 'admintoto', '2024-06-20 15:29:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24155, '2024-06-05', '4001', '0318', '9526', 'admintoto', '2024-06-05 15:05:08', 'admintoto', '2024-06-05 15:05:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24156, '2024-06-06', '8555', '7870', '7445', 'admintoto', '2024-06-06 14:33:39', 'admintoto', '2024-06-06 15:00:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24171, '2024-06-21', '3132', '4781', '0079', 'admintoto', '2024-06-21 14:36:57', 'admintoto', '2024-06-21 15:00:11');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24157, '2024-06-07', '5044', '3868', '6611', 'admintoto', '2024-06-07 15:00:17', 'admintoto', '2024-06-07 15:00:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24214, '2024-08-03', '5045', '6906', '9933', 'admintoto', '2024-08-03 15:07:14', 'admintoto', '2024-08-03 15:07:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24183, '2024-07-03', '2923', '6389', '4865', 'admintoto', '2024-07-03 15:01:03', 'admintoto', '2024-07-03 15:01:13');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24158, '2024-06-08', '6940', '1477', '9434', 'admintoto', '2024-06-08 15:39:09', 'admintoto', '2024-06-08 15:39:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24172, '2024-06-22', '1688', '9848', '5458', 'admintoto', '2024-06-22 15:13:37', 'admintoto', '2024-06-22 15:13:45');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24159, '2024-06-09', '3472', '6246', '0086', 'admintoto', '2024-06-09 14:21:17', 'admintoto', '2024-06-09 15:13:14');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24192, '2024-07-12', '8214', '0105', '1196', 'admintoto', '2024-07-12 14:57:07', 'admintoto', '2024-07-12 14:57:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24160, '2024-06-10', '2274', '7929', '8897', 'admintoto', '2024-06-10 15:35:46', 'admintoto', '2024-06-10 15:35:58');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24173, '2024-06-23', '5080', '3825', '2677', 'admintoto', '2024-06-23 15:06:09', 'admintoto', '2024-06-23 15:06:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24161, '2024-06-11', '0585', '3545', '1280', 'admintoto', '2024-06-11 15:00:37', 'admintoto', '2024-06-11 15:00:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24184, '2024-07-04', '5327', '9274', '8120', 'admintoto', '2024-07-04 15:00:20', 'admintoto', '2024-07-04 15:00:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24162, '2024-06-12', '8186', '3655', '6243', 'admintoto', '2024-06-12 15:04:18', 'admintoto', '2024-06-12 15:04:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24174, '2024-06-24', '9338', '2159', '4220', 'admintoto', '2024-06-24 14:57:35', 'admintoto', '2024-06-24 14:57:57');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24163, '2024-06-13', '5452', '3271', '0758', 'admintoto', '2024-06-13 15:19:13', 'admintoto', '2024-06-13 15:19:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24199, '2024-07-19', '0531', '2860', '6710', 'admintoto', '2024-07-19 14:35:17', 'admintoto', '2024-07-19 14:35:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24164, '2024-06-14', '1517', '5686', '7794', 'admintoto', '2024-06-14 15:00:26', 'admintoto', '2024-06-14 15:00:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24175, '2024-06-25', '8983', '5565', '9994', 'admintoto', '2024-06-25 15:32:14', 'admintoto', '2024-06-25 15:32:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24165, '2024-06-15', '2211', '4549', '9123', 'admintoto', '2024-06-15 15:01:02', 'admintoto', '2024-06-15 15:01:27');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24185, '2024-07-05', '1591', '4210', '2688', 'admintoto', '2024-07-05 15:00:22', 'admintoto', '2024-07-05 15:00:32');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24166, '2024-06-16', '6604', '4279', '2643', 'admintoto', '2024-06-16 15:00:30', 'admintoto', '2024-06-16 15:00:38');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24176, '2024-06-26', '2446', '9725', '8280', 'admintoto', '2024-06-26 14:31:47', 'admintoto', '2024-06-26 14:48:43');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24167, '2024-06-17', '1166', '7540', '5911', 'admintoto', '2024-06-17 15:22:09', 'admintoto', '2024-06-17 15:22:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24193, '2024-07-13', '6613', '4939', '8539', 'admintoto', '2024-07-13 14:55:51', 'admintoto', '2024-07-13 14:56:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24177, '2024-06-27', '1115', '4699', '9674', 'admintoto', '2024-06-27 15:14:22', 'admintoto', '2024-06-27 15:14:33');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24186, '2024-07-06', '8876', '2591', '3714', 'admintoto', '2024-07-06 15:00:14', 'admintoto', '2024-07-06 15:00:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24178, '2024-06-28', '3927', '7063', '9991', 'admintoto', '2024-06-28 15:31:23', 'admintoto', '2024-06-28 15:31:50');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24204, '2024-07-24', '3944', '0416', '8376', 'admintoto', '2024-07-24 13:39:51', 'admintoto', '2024-07-24 16:35:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24179, '2024-06-29', '2220', '0755', '4950', 'admintoto', '2024-06-29 15:00:42', 'admintoto', '2024-06-29 15:00:56');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24187, '2024-07-07', '3452', '1370', '7482', 'admintoto', '2024-07-07 15:04:11', 'admintoto', '2024-07-07 15:04:19');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24180, '2024-06-30', '6568', '0623', '3271', 'admintoto', '2024-06-30 14:57:58', 'admintoto', '2024-06-30 14:58:07');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24194, '2024-07-14', '2907', '8527', '5668', 'admintoto', '2024-07-14 14:48:47', 'admintoto', '2024-07-14 15:07:48');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24200, '2024-07-20', '5128', '6313', '9059', 'admintoto', '2024-07-20 14:01:23', 'admintoto', '2024-07-20 14:56:22');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24188, '2024-07-08', '1432', '2911', '3934', 'admintoto', '2024-07-08 14:04:43', 'admintoto', '2024-07-08 14:04:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24195, '2024-07-15', '8214', '0001', '7200', 'admintoto', '2024-07-15 11:28:01', 'admintoto', '2024-07-15 15:00:15');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24189, '2024-07-09', '5649', '6291', '1118', 'admintoto', '2024-07-09 21:34:47', 'admintoto', '2024-07-09 21:34:52');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24208, '2024-07-28', '8058', '3995', '5671', 'admintoto', '2024-07-28 15:29:09', 'admintoto', '2024-07-28 15:29:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24190, '2024-07-10', '6829', '5880', '8750', 'admintoto', '2024-07-10 15:00:20', 'admintoto', '2024-07-10 15:00:29');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24201, '2024-07-21', '5966', '7498', '8009', 'admintoto', '2024-07-21 15:55:10', 'admintoto', '2024-07-21 15:55:17');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24196, '2024-07-16', '1512', '0280', '3661', 'admintoto', '2024-07-16 14:42:45', 'admintoto', '2024-07-16 14:42:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24197, '2024-07-17', '9462', '6364', '0096', 'admintoto', '2024-07-17 15:05:25', 'admintoto', '2024-07-17 15:05:34');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24205, '2024-07-25', '7081', '9145', '4061', 'admintoto', '2024-07-25 15:31:38', 'admintoto', '2024-07-25 15:31:47');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24198, '2024-07-18', '5534', '8660', '6681', 'admintoto', '2024-07-18 15:02:25', 'admintoto', '2024-07-18 15:02:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24202, '2024-07-22', '4922', '2290', '9219', 'admintoto', '2024-07-22 15:13:07', 'admintoto', '2024-07-22 15:13:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24212, '2024-08-02', '6809', '8432', '2466', 'admintoto', '2024-08-02 15:12:38', 'admintoto', '2024-08-02 15:13:08');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24203, '2024-07-23', '3664', '5965', '1997', 'admintoto', '2024-07-23 15:14:46', 'admintoto', '2024-07-23 15:14:51');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24206, '2024-07-26', '5668', '2258', '4037', 'admintoto', '2024-07-26 15:11:30', 'admintoto', '2024-07-26 15:31:54');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24209, '2024-07-29', '3380', '5364', '9649', 'admintoto', '2024-07-29 14:56:10', 'admintoto', '2024-07-29 14:56:18');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24207, '2024-07-27', '1352', '6802', '9525', 'admintoto', '2024-07-27 14:44:33', 'admintoto', '2024-07-27 14:44:41');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24211, '2024-07-31', '6015', '8551', '0168', 'admintoto', '2024-07-31 15:00:07', 'admintoto', '2024-07-31 15:00:24');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24210, '2024-07-30', '2422', '8232', '3965', 'admintoto', '2024-07-30 15:13:43', 'admintoto', '2024-07-30 15:13:53');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24213, '2024-08-01', '1573', '5503', '1449', 'admintoto', '2024-08-02 15:12:45', 'admintoto', '2024-08-02 15:13:01');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24217, '2024-08-06', '4113', '7925', '1924', 'admintoto', '2024-08-06 14:54:28', 'admintoto', '2024-08-06 14:55:25');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24215, '2024-08-04', '2550', '7945', '6428', 'admintoto', '2024-08-04 14:57:54', 'admintoto', '2024-08-04 14:58:00');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24216, '2024-08-05', '0813', '4819', '2257', 'admintoto', '2024-08-05 15:46:58', 'admintoto', '2024-08-05 15:47:05');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24218, '2024-08-07', '2703', '1914', '4681', 'admintoto', '2024-08-07 15:01:10', 'admintoto', '2024-08-07 15:01:36');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24219, '2024-08-08', '1333', '7071', '6034', 'admintoto', '2024-08-08 15:23:53', 'admintoto', '2024-08-08 15:24:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24220, '2024-08-09', '9734', '2779', '3172', 'admintoto', '2024-08-09 14:53:06', 'admintoto', '2024-08-09 14:53:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24221, '2024-08-10', '8998', '7367', '4398', 'admintoto', '2024-08-10 15:34:21', 'admintoto', '2024-08-10 15:34:26');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24222, '2024-08-11', '2222', '5703', '1489', 'admintoto', '2024-08-11 15:26:54', 'admintoto', '2024-08-11 15:27:03');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24223, '2024-08-12', '7798', '0276', '8409', 'admintoto', '2024-08-12 15:02:20', 'admintoto', '2024-08-12 15:02:28');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24224, '2024-08-13', '4974', '5397', '6082', 'admintoto', '2024-08-13 15:07:58', 'admintoto', '2024-08-13 15:08:16');
INSERT INTO public.tbl_trx_sdsb4d_day VALUES (24225, '2024-08-14', '4669', '6371', '7488', 'admintoto', '2024-08-14 15:01:12', 'admintoto', '2024-08-14 15:01:18');


--
-- TOC entry 3695 (class 0 OID 16522)
-- Dependencies: 209
-- Data for Name: tbl_trx_sdsb4d_night; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211, '2020-01-01', '3145', '1370', '9083', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (212, '2020-01-02', '6392', '7701', '7873', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (213, '2020-01-03', '6909', '5163', '9199', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (214, '2020-01-04', '0397', '3546', '4712', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (215, '2020-01-05', '7708', '4302', '1118', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (216, '2020-01-06', '8304', '5923', '1675', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (217, '2020-01-07', '4578', '1841', '6271', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (218, '2020-01-08', '7250', '8946', '3098', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (219, '2020-01-09', '2104', '0602', '4922', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2110, '2020-01-10', '4835', '9998', '0238', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2111, '2020-01-11', '3201', '3256', '8674', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2112, '2020-01-12', '1973', '9427', '4662', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2113, '2020-01-13', '8687', '8310', '2475', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2114, '2020-01-14', '2445', '5872', '0617', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2115, '2020-01-15', '2982', '0567', '6752', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2116, '2020-01-16', '2040', '6161', '6672', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2117, '2020-01-17', '5857', '9661', '5794', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2118, '2020-01-18', '7026', '7066', '2444', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2119, '2020-01-19', '9037', '7981', '8490', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2120, '2020-01-20', '4756', '6369', '1981', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2121, '2020-01-21', '7533', '5685', '5800', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2122, '2020-01-22', '3407', '3640', '6159', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2123, '2020-01-23', '0363', '1810', '3423', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2124, '2020-01-24', '0476', '2939', '3128', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2125, '2020-01-25', '7318', '1800', '8144', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2126, '2020-01-26', '1833', '7907', '3018', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2127, '2020-01-27', '5904', '7188', '2590', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2128, '2020-01-28', '7517', '3018', '3004', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2129, '2020-01-29', '4695', '2374', '0957', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2130, '2020-01-30', '3351', '2928', '4951', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2131, '2020-01-31', '0085', '9653', '8567', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2132, '2020-02-01', '7551', '5312', '7101', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2133, '2020-02-02', '4664', '8810', '2075', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2134, '2020-02-03', '6915', '2255', '6873', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2135, '2020-02-04', '7534', '3809', '1279', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2136, '2020-02-05', '0304', '9666', '8020', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2137, '2020-02-06', '8981', '3034', '0562', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2138, '2020-02-07', '4077', '4801', '3034', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2139, '2020-02-08', '1026', '0710', '1217', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2140, '2020-02-09', '5540', '5217', '6237', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2141, '2020-02-10', '5219', '0756', '7429', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2142, '2020-02-11', '5500', '4324', '6874', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2143, '2020-02-12', '9952', '4194', '3069', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2144, '2020-02-13', '2068', '8090', '4998', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2145, '2020-02-14', '9091', '5712', '7143', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2146, '2020-02-15', '5165', '9004', '9200', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2147, '2020-02-16', '5169', '4465', '6667', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2148, '2020-02-17', '5319', '8503', '0780', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2149, '2020-02-18', '3308', '6368', '7633', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2150, '2020-02-19', '2268', '8522', '6064', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2151, '2020-02-20', '1243', '7513', '4618', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2152, '2020-02-21', '6614', '6189', '0032', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2153, '2020-02-22', '6293', '8433', '7855', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2154, '2020-02-23', '9551', '9570', '2024', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2155, '2020-02-24', '5962', '3458', '7114', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2156, '2020-02-25', '1147', '0342', '7134', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2157, '2020-02-26', '3169', '8035', '9869', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2158, '2020-02-27', '3558', '8421', '2740', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2159, '2020-02-28', '7158', '6594', '3976', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2160, '2020-02-29', '2412', '5094', '4135', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2161, '2020-03-01', '6480', '8270', '1444', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2162, '2020-03-02', '1782', '4869', '9263', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2163, '2020-03-03', '1293', '4769', '3539', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2164, '2020-03-04', '9440', '6497', '1257', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2165, '2020-03-05', '3947', '1386', '3296', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2166, '2020-03-06', '6066', '6987', '8484', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2167, '2020-03-07', '7360', '8091', '5365', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2168, '2020-03-08', '8434', '5005', '9453', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2169, '2020-03-09', '7647', '1990', '8123', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2170, '2020-03-10', '0560', '7358', '6891', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2171, '2020-03-11', '5516', '2185', '3910', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2172, '2020-03-12', '4951', '1393', '6816', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2173, '2020-03-13', '0903', '5508', '7856', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2174, '2020-03-14', '6043', '7059', '6828', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2175, '2020-03-15', '4665', '4533', '4960', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2176, '2020-03-16', '3199', '7051', '2875', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2177, '2020-03-17', '4839', '9715', '4186', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2178, '2020-03-18', '3392', '7033', '5264', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2179, '2020-03-19', '0308', '4433', '9803', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2180, '2020-03-20', '9852', '7129', '6491', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2181, '2020-03-21', '2963', '0037', '2555', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2182, '2020-03-22', '8184', '3662', '4697', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2183, '2020-03-23', '6767', '7779', '2146', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2184, '2020-03-24', '0075', '7263', '2324', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2185, '2020-03-25', '6907', '8008', '8949', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2186, '2020-03-26', '8866', '6061', '2619', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2187, '2020-03-27', '3179', '6504', '5645', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2188, '2020-03-28', '8835', '7397', '1660', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2189, '2020-03-29', '3384', '8460', '2351', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2190, '2020-03-30', '8639', '7693', '1403', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2191, '2020-03-31', '2044', '6576', '4930', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2192, '2020-04-01', '1343', '7790', '2683', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2193, '2020-04-02', '6020', '2642', '1699', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2194, '2020-04-03', '1463', '6911', '0152', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2195, '2020-04-04', '0092', '4854', '3007', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2196, '2020-04-05', '3428', '0413', '7068', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2197, '2020-04-06', '5189', '5483', '7608', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2198, '2020-04-07', '7873', '5581', '0780', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2199, '2020-04-08', '3718', '3724', '5112', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21100, '2020-04-09', '0831', '1700', '0630', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21101, '2020-04-10', '5558', '3488', '1002', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21102, '2020-04-11', '3957', '5506', '4072', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21103, '2020-04-12', '2255', '9982', '5190', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21104, '2020-04-13', '1810', '5394', '0397', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21105, '2020-04-14', '0649', '0271', '1638', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21106, '2020-04-15', '0205', '0752', '3437', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21107, '2020-04-16', '6703', '6035', '7695', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21108, '2020-04-17', '7037', '4074', '5481', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21109, '2020-04-18', '9024', '9474', '7100', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21110, '2020-04-19', '4980', '3239', '5449', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21111, '2020-04-20', '4736', '5103', '4863', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21112, '2020-04-21', '4178', '7999', '3127', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21113, '2020-04-22', '3548', '1819', '8087', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21114, '2020-04-23', '7515', '3733', '8312', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21115, '2020-04-24', '0081', '2239', '5234', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21116, '2020-04-25', '7966', '8259', '2335', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21117, '2020-04-26', '0631', '1915', '0870', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21118, '2020-04-27', '2541', '6065', '0357', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21119, '2020-04-28', '7946', '9741', '0320', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21120, '2020-04-29', '0786', '4676', '4972', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21121, '2020-04-30', '3578', '1054', '7139', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21122, '2020-05-01', '9536', '0573', '0992', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21123, '2020-05-02', '4641', '7978', '2970', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21124, '2020-05-03', '9106', '0145', '1511', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21125, '2020-05-04', '7350', '0612', '5318', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21126, '2020-05-05', '5988', '9500', '9798', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21127, '2020-05-06', '9367', '4373', '2276', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21128, '2020-05-07', '9024', '7440', '4968', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21129, '2020-05-08', '3532', '0461', '9929', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21130, '2020-05-09', '8638', '6432', '8241', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21131, '2020-05-10', '5299', '4621', '3959', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21132, '2020-05-11', '6978', '9273', '3906', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21133, '2020-05-12', '4739', '7014', '1295', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21134, '2020-05-13', '7334', '0387', '3015', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21135, '2020-05-14', '2438', '5410', '8823', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21136, '2020-05-15', '7503', '8739', '9124', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21137, '2020-05-16', '5199', '5197', '0790', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21138, '2020-05-17', '5175', '6501', '2596', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21139, '2020-05-18', '7153', '7626', '8844', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21140, '2020-05-19', '6199', '2757', '5221', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21141, '2020-05-20', '4934', '4215', '0978', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21142, '2020-05-21', '0629', '4472', '3950', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21143, '2020-05-22', '0106', '1236', '1397', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21144, '2020-05-23', '3559', '0853', '6778', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21145, '2020-05-24', '5012', '1964', '1427', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21146, '2020-05-25', '4120', '2860', '5434', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21147, '2020-05-26', '8437', '3147', '3692', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21148, '2020-05-27', '5034', '0262', '0326', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21149, '2020-05-28', '9160', '5995', '8152', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21150, '2020-05-29', '9736', '7582', '6801', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21151, '2020-05-30', '1897', '1803', '7361', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21152, '2020-05-31', '5768', '2160', '2500', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21153, '2020-06-01', '7511', '8786', '4908', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21154, '2020-06-02', '2851', '8492', '1850', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21155, '2020-06-03', '2272', '4721', '4413', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21156, '2020-06-04', '3285', '7195', '5434', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21157, '2020-06-05', '6899', '9112', '4486', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21158, '2020-06-06', '6781', '3580', '5656', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21159, '2020-06-07', '3185', '7833', '6270', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21160, '2020-06-08', '2931', '1268', '2701', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21161, '2020-06-09', '0748', '0471', '8263', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21162, '2020-06-10', '0226', '1719', '6226', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21163, '2020-06-11', '9895', '4033', '6713', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21164, '2020-06-12', '5357', '8907', '7905', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21165, '2020-06-13', '3517', '1463', '1648', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21166, '2020-06-14', '1739', '8338', '4969', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21167, '2020-06-15', '9168', '4687', '9837', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21168, '2020-06-16', '9974', '8675', '8969', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21169, '2020-06-17', '8597', '4587', '5276', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21170, '2020-06-18', '7076', '1434', '2640', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21171, '2020-06-19', '2915', '1361', '7304', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21172, '2020-06-20', '9018', '3782', '8275', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21173, '2020-06-21', '7616', '8882', '2448', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21174, '2020-06-22', '9711', '7045', '7981', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21175, '2020-06-23', '1573', '6664', '7350', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21176, '2020-06-24', '1441', '9043', '3490', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21177, '2020-06-25', '5614', '0589', '2260', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21178, '2020-06-26', '2670', '8767', '1871', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21179, '2020-06-27', '9454', '8955', '0294', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21180, '2020-06-28', '2075', '4611', '0974', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21181, '2020-06-29', '7635', '4125', '3971', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21182, '2020-06-30', '5302', '3150', '8963', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21183, '2020-07-01', '7767', '9276', '4969', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21184, '2020-07-02', '5331', '5800', '3187', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21185, '2020-07-03', '7070', '8048', '9602', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21186, '2020-07-04', '8645', '3433', '1350', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21187, '2020-07-05', '5943', '7812', '9552', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21188, '2020-07-06', '6732', '4435', '9378', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21189, '2020-07-07', '9746', '9162', '8081', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21190, '2020-07-08', '6757', '3254', '7253', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21191, '2020-07-09', '4202', '0945', '2500', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21192, '2020-07-10', '5143', '4454', '3806', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21193, '2020-07-11', '2602', '0097', '6438', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21194, '2020-07-12', '7938', '3676', '9042', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21195, '2020-07-13', '3071', '1294', '5871', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21196, '2020-07-14', '5374', '0507', '4102', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21197, '2020-07-15', '8488', '5775', '2397', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21198, '2020-07-16', '7339', '5115', '8351', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21199, '2020-07-17', '2259', '0396', '9157', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21200, '2020-07-18', '8373', '2783', '8481', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21201, '2020-07-19', '7751', '1292', '1858', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21202, '2020-07-20', '6043', '8839', '4862', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21203, '2020-07-21', '7871', '0686', '7033', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21204, '2020-07-22', '6606', '9323', '1700', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21205, '2020-07-23', '3995', '5947', '7554', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21206, '2020-07-24', '0535', '2971', '0248', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21207, '2020-07-25', '1450', '4880', '7665', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21208, '2020-07-26', '9098', '1022', '7487', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21209, '2020-07-27', '3216', '2701', '9965', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21210, '2020-07-28', '0613', '4902', '3936', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21211, '2020-07-29', '5829', '6660', '8671', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21212, '2020-07-30', '5892', '5705', '4983', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21213, '2020-07-31', '9455', '7607', '4904', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21214, '2020-08-01', '2060', '5985', '6561', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21215, '2020-08-02', '8768', '2254', '8122', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21216, '2020-08-03', '1352', '9190', '1925', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21217, '2020-08-04', '7778', '2112', '8494', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21218, '2020-08-05', '9753', '9590', '9789', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21219, '2020-08-06', '1858', '3930', '1195', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21220, '2020-08-07', '5692', '1186', '7882', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21221, '2020-08-08', '4825', '5913', '7224', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21222, '2020-08-09', '5201', '0430', '9664', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21223, '2020-08-10', '8207', '3546', '6252', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21224, '2020-08-11', '5913', '2128', '5220', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21225, '2020-08-12', '7420', '3187', '2343', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21226, '2020-08-13', '1933', '4207', '8480', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21227, '2020-08-14', '1603', '7355', '0674', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21228, '2020-08-15', '1609', '1988', '6833', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21229, '2020-08-16', '6805', '2830', '3354', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21230, '2020-08-17', '4154', '6603', '1639', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21231, '2020-08-18', '7694', '2144', '0357', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21232, '2020-08-19', '4172', '2589', '3932', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21233, '2020-08-20', '6992', '1249', '5721', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21234, '2020-08-21', '4989', '9473', '5358', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21235, '2020-08-22', '5982', '2035', '4849', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21236, '2020-08-23', '3579', '6096', '3566', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21237, '2020-08-24', '5015', '9770', '1430', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21238, '2020-08-25', '9876', '8308', '3543', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21239, '2020-08-26', '2607', '5418', '5887', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21240, '2020-08-27', '3685', '5142', '6071', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21241, '2020-08-28', '1912', '8402', '5232', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21242, '2020-08-29', '0094', '9068', '5280', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21243, '2020-08-30', '9509', '1520', '0926', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21244, '2020-08-31', '9304', '6606', '9135', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21245, '2020-09-01', '8709', '8467', '4236', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21246, '2020-09-02', '2675', '2945', '2093', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21247, '2020-09-03', '0439', '9165', '6286', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21248, '2020-09-04', '4810', '5217', '3205', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21249, '2020-09-05', '6777', '7683', '9468', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21250, '2020-09-06', '2386', '5147', '3080', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21251, '2020-09-07', '8356', '6366', '0998', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21252, '2020-09-08', '0040', '5395', '0655', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21253, '2020-09-09', '2033', '6712', '3299', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21254, '2020-09-10', '3665', '1856', '5706', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21255, '2020-09-11', '8264', '8175', '1623', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21256, '2020-09-12', '4912', '8581', '7157', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21257, '2020-09-13', '9760', '3778', '0415', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21258, '2020-09-14', '6584', '2256', '8381', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21259, '2020-09-15', '3573', '6428', '0250', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21260, '2020-09-16', '5585', '2309', '9236', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21261, '2020-09-17', '1587', '8193', '4484', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21262, '2020-09-18', '1856', '8490', '4953', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21263, '2020-09-19', '7858', '2392', '2567', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21264, '2020-09-20', '1180', '0892', '3512', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21265, '2020-09-21', '0338', '2703', '4174', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21266, '2020-09-22', '8913', '5953', '0137', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21267, '2020-09-23', '2625', '1982', '7733', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21268, '2020-09-24', '5650', '2209', '1826', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21269, '2020-09-25', '9465', '7059', '0213', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21270, '2020-09-26', '0826', '1478', '7102', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21271, '2020-09-27', '8956', '1783', '6928', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21272, '2020-09-28', '0073', '1142', '9848', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21273, '2020-09-29', '3677', '9487', '7976', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21274, '2020-09-30', '4450', '4191', '7370', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21275, '2020-10-01', '3840', '7914', '7018', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21276, '2020-10-02', '3037', '9888', '0818', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21277, '2020-10-03', '0640', '4215', '1448', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21278, '2020-10-04', '7349', '8632', '3966', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21279, '2020-10-05', '0244', '2038', '2292', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21280, '2020-10-06', '3443', '3506', '7109', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21281, '2020-10-07', '4021', '6454', '2112', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21282, '2020-10-08', '8992', '1662', '3574', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21283, '2020-10-09', '4607', '7367', '1432', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21284, '2020-10-10', '2279', '1199', '1847', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21285, '2020-10-11', '2221', '6518', '8336', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21286, '2020-10-12', '0736', '1173', '3274', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21287, '2020-10-13', '6454', '2132', '7869', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21288, '2020-10-14', '1579', '2794', '9478', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21289, '2020-10-15', '5514', '4564', '8903', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21290, '2020-10-16', '1373', '5594', '9421', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21291, '2020-10-17', '4756', '6182', '8891', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21292, '2020-10-18', '6975', '8140', '3357', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21293, '2020-10-19', '8507', '3331', '4280', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21294, '2020-10-20', '4798', '1570', '4189', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21295, '2020-10-21', '5444', '2472', '5077', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21296, '2020-10-22', '9542', '8492', '7976', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21297, '2020-10-23', '7289', '5655', '0688', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21298, '2020-10-24', '4924', '3595', '0640', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21299, '2020-10-25', '5304', '5732', '6101', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21300, '2020-10-26', '0180', '2768', '9601', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21301, '2020-10-27', '0918', '3422', '8191', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21302, '2020-10-28', '7148', '0940', '1547', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21303, '2020-10-29', '4565', '3412', '7589', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21304, '2020-10-30', '3746', '4404', '0752', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21305, '2020-10-31', '7835', '4363', '2249', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21306, '2020-11-01', '5311', '9301', '5791', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21307, '2020-11-02', '4547', '2278', '5779', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21308, '2020-11-03', '9349', '0722', '5190', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21309, '2020-11-04', '0299', '5221', '0663', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21310, '2020-11-05', '8852', '9735', '4911', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21311, '2020-11-06', '8530', '3343', '7396', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21312, '2020-11-07', '2263', '8963', '0354', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21313, '2020-11-08', '1724', '1459', '0208', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21314, '2020-11-09', '0594', '4215', '0503', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21315, '2020-11-10', '4624', '4776', '0860', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21316, '2020-11-11', '2354', '4796', '9271', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21317, '2020-11-12', '9108', '4962', '3462', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21318, '2020-11-13', '3536', '7515', '7934', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21319, '2020-11-14', '5222', '4658', '3590', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21320, '2020-11-15', '4230', '2426', '3778', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21321, '2020-11-16', '4606', '9407', '4320', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21322, '2020-11-17', '5321', '8395', '8448', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21323, '2020-11-18', '2098', '8041', '0779', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21324, '2020-11-19', '3444', '0678', '7621', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21325, '2020-11-20', '8877', '2478', '5098', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21326, '2020-11-21', '6100', '0335', '9483', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21327, '2020-11-22', '1101', '9528', '9915', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21328, '2020-11-23', '5580', '8825', '8867', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21329, '2020-11-24', '3899', '8569', '1235', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21330, '2020-11-25', '2621', '7199', '5284', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21331, '2020-11-26', '8288', '0757', '5919', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21332, '2020-11-27', '2428', '9301', '3231', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21333, '2020-11-28', '0615', '6958', '5644', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21334, '2020-11-29', '3340', '9186', '6548', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21335, '2020-11-30', '4534', '4273', '5680', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21336, '2020-12-01', '2938', '3306', '7121', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21337, '2020-12-02', '2123', '1142', '6673', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21338, '2020-12-03', '0047', '3929', '6642', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21339, '2020-12-04', '8709', '6820', '6953', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21340, '2020-12-05', '1508', '2203', '5532', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21341, '2020-12-06', '3167', '0999', '5799', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21342, '2020-12-07', '1766', '7169', '9571', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21343, '2020-12-08', '2686', '6471', '8320', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21344, '2020-12-09', '3557', '5751', '2462', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21345, '2020-12-10', '4365', '2691', '6498', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21346, '2020-12-11', '1678', '5814', '2488', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21347, '2020-12-12', '5394', '2186', '0676', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21348, '2020-12-13', '0332', '9498', '3229', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21349, '2020-12-14', '5158', '1552', '2156', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21350, '2020-12-15', '1623', '7898', '8245', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21351, '2020-12-16', '2768', '1375', '6445', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21352, '2020-12-17', '1642', '3555', '0933', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21353, '2020-12-18', '4491', '7218', '4266', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21354, '2020-12-19', '0443', '0402', '6922', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21355, '2020-12-20', '2553', '2581', '3031', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21356, '2020-12-21', '8177', '2999', '5403', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21357, '2020-12-22', '1183', '8011', '1879', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21358, '2020-12-23', '5617', '2113', '5980', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21359, '2020-12-24', '7250', '2443', '7356', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21360, '2020-12-25', '7836', '4904', '6204', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21361, '2020-12-26', '9883', '2334', '2163', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21362, '2020-12-27', '7211', '5780', '7231', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21363, '2020-12-28', '2421', '2256', '8889', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21364, '2020-12-29', '1795', '8408', '0911', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21365, '2020-12-30', '6631', '7653', '0635', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21366, '2020-12-31', '5627', '7977', '0067', 'root', '2021-10-28 02:01:02', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21367, '2021-01-01', '0779', '6630', '1983', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21368, '2021-01-02', '9629', '9093', '1569', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21369, '2021-01-03', '3062', '7563', '0756', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21370, '2021-01-04', '0633', '8094', '5245', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21371, '2021-01-05', '3128', '1554', '7367', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21372, '2021-01-06', '3999', '9765', '5933', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21373, '2021-01-07', '5744', '9203', '4190', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21374, '2021-01-08', '2088', '1921', '8741', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21375, '2021-01-09', '4438', '4839', '9912', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21376, '2021-01-10', '6010', '2234', '2520', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21377, '2021-01-11', '3785', '3340', '0819', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21378, '2021-01-12', '0439', '5510', '5470', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21379, '2021-01-13', '6254', '1682', '1716', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21380, '2021-01-14', '3839', '6793', '3432', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21381, '2021-01-15', '2139', '4223', '1005', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21382, '2021-01-16', '6501', '0966', '3595', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21383, '2021-01-17', '1409', '4996', '8505', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21384, '2021-01-18', '3246', '3742', '7495', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21385, '2021-01-19', '2617', '7352', '9290', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21386, '2021-01-20', '9295', '2868', '0346', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21387, '2021-01-21', '0625', '4700', '4458', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21388, '2021-01-22', '3142', '7969', '1711', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21389, '2021-01-23', '5697', '1146', '2643', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21390, '2021-01-24', '6233', '6402', '1239', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21391, '2021-01-25', '7224', '4324', '6369', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21392, '2021-01-26', '9360', '2237', '2573', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21393, '2021-01-27', '0340', '7976', '7559', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21394, '2021-01-28', '6106', '9902', '5472', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21395, '2021-01-29', '9482', '6310', '9999', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21396, '2021-01-30', '3369', '1030', '8958', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21397, '2021-01-31', '7427', '9936', '6746', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21398, '2021-02-01', '6598', '9138', '8238', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21399, '2021-02-02', '7645', '3384', '9974', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21400, '2021-02-03', '1535', '9646', '3040', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21401, '2021-02-04', '4967', '8845', '3055', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21402, '2021-02-05', '9334', '9016', '3177', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21403, '2021-02-06', '4774', '5447', '4564', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21404, '2021-02-07', '4951', '4399', '2995', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21405, '2021-02-08', '2738', '7314', '6624', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21406, '2021-02-09', '7598', '1297', '5461', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21407, '2021-02-10', '0210', '5462', '3177', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21408, '2021-02-11', '6762', '7969', '7864', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21409, '2021-02-12', '4438', '8801', '8356', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21410, '2021-02-13', '7152', '4183', '1619', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21411, '2021-02-14', '7497', '3622', '7921', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21412, '2021-02-15', '4254', '2025', '0738', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21413, '2021-02-16', '9846', '2027', '1111', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21414, '2021-02-17', '6929', '5389', '2740', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21415, '2021-02-18', '5445', '1625', '6067', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21416, '2021-02-19', '6632', '7695', '6238', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21417, '2021-02-20', '1962', '9030', '4803', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21418, '2021-02-21', '9765', '1785', '3051', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21419, '2021-02-22', '3710', '8162', '4430', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21420, '2021-02-23', '5565', '9162', '2059', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21421, '2021-02-24', '5771', '4944', '2466', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21422, '2021-02-25', '7815', '6215', '7134', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21423, '2021-02-26', '4616', '8599', '6228', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21424, '2021-02-27', '1651', '6243', '0897', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21425, '2021-02-28', '1731', '9394', '4520', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21426, '2021-03-01', '5391', '6192', '8028', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21427, '2021-03-02', '9482', '0550', '5853', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21428, '2021-03-03', '2051', '5640', '3845', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21429, '2021-03-04', '1031', '3002', '4771', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21430, '2021-03-05', '8220', '7327', '8613', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21431, '2021-03-06', '0482', '0764', '2259', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21432, '2021-03-07', '2040', '3427', '7880', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21433, '2021-03-08', '0694', '8537', '1313', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21434, '2021-03-09', '2364', '2044', '3623', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21435, '2021-03-10', '2791', '8666', '5029', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21436, '2021-03-11', '0497', '3177', '0544', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21437, '2021-03-12', '2977', '5971', '9721', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21438, '2021-03-13', '0907', '5637', '4111', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21439, '2021-03-14', '3880', '3493', '9530', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21440, '2021-03-15', '7203', '4439', '8650', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21441, '2021-03-16', '0392', '2756', '3247', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21442, '2021-03-17', '7908', '2112', '6997', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21443, '2021-03-18', '8453', '3133', '7348', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21444, '2021-03-19', '2427', '5109', '5303', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21445, '2021-03-20', '4665', '9527', '9619', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21446, '2021-03-21', '3826', '2239', '3938', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21447, '2021-03-22', '5774', '9616', '1279', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21448, '2021-03-23', '3337', '9887', '1184', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21449, '2021-03-24', '6035', '4429', '8225', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21450, '2021-03-25', '6469', '9113', '8778', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21451, '2021-03-26', '9970', '1362', '2379', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21452, '2021-03-27', '0898', '8930', '4845', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21453, '2021-03-28', '8016', '2779', '1602', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21454, '2021-03-29', '6265', '8019', '3263', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21455, '2021-03-30', '7663', '3745', '3979', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21456, '2021-03-31', '1210', '3445', '4803', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21457, '2021-04-01', '0883', '8412', '5696', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21458, '2021-04-02', '7653', '6614', '9770', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21459, '2021-04-03', '1544', '9579', '7611', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21460, '2021-04-04', '9052', '2604', '8659', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21461, '2021-04-05', '0621', '9985', '8959', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21462, '2021-04-06', '5761', '5052', '0167', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21463, '2021-04-07', '2665', '7877', '3172', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21464, '2021-04-08', '7253', '4091', '2723', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21465, '2021-04-09', '1019', '5362', '7222', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21466, '2021-04-10', '6695', '6728', '6154', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21467, '2021-04-11', '0671', '8826', '3614', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21468, '2021-04-12', '3134', '4718', '8790', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21469, '2021-04-13', '1141', '0623', '0495', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21470, '2021-04-14', '9857', '2144', '9693', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21471, '2021-04-15', '3897', '1640', '4043', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21472, '2021-04-16', '6189', '2100', '3318', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21473, '2021-04-17', '0408', '3461', '4301', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21474, '2021-04-18', '1097', '1632', '5386', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21475, '2021-04-19', '1267', '8557', '7766', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21476, '2021-04-20', '6076', '8665', '9539', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21477, '2021-04-21', '6667', '0188', '6070', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21478, '2021-04-22', '4435', '0111', '9811', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21479, '2021-04-23', '2649', '6773', '6258', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21480, '2021-04-24', '8754', '0461', '6863', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21481, '2021-04-25', '3158', '0658', '4060', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21482, '2021-04-26', '8178', '9125', '6860', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21483, '2021-04-27', '9683', '4919', '3707', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21484, '2021-04-28', '5330', '0409', '9339', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21485, '2021-04-29', '7625', '5878', '5346', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21486, '2021-04-30', '5635', '5507', '3799', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21487, '2021-05-01', '9835', '8782', '3897', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21488, '2021-05-02', '0731', '9814', '5883', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21489, '2021-05-03', '2624', '2486', '4722', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21490, '2021-05-04', '6253', '6880', '3167', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21491, '2021-05-05', '1659', '1926', '8030', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21492, '2021-05-06', '0735', '7475', '8537', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21493, '2021-05-07', '3238', '5169', '5066', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21494, '2021-05-08', '0386', '3611', '6538', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21495, '2021-05-09', '1338', '8124', '1108', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21496, '2021-05-10', '9450', '4939', '7614', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21497, '2021-05-11', '6972', '5316', '7541', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21498, '2021-05-12', '2755', '6847', '2964', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21499, '2021-05-13', '1575', '4901', '6524', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21500, '2021-05-14', '7341', '0377', '7364', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21501, '2021-05-15', '7506', '4831', '2332', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21502, '2021-05-16', '6123', '5424', '8310', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21503, '2021-05-17', '4338', '1466', '4014', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21504, '2021-05-18', '3747', '7910', '9736', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21505, '2021-05-19', '3779', '6344', '1412', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21506, '2021-05-20', '9682', '5160', '3211', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21507, '2021-05-21', '9487', '7939', '2131', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21508, '2021-05-22', '3724', '4516', '3064', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21509, '2021-05-23', '1057', '0285', '8149', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21510, '2021-05-24', '7487', '3712', '7109', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21511, '2021-05-25', '3357', '4170', '2343', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21512, '2021-05-26', '7940', '1376', '1641', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21513, '2021-05-27', '3491', '2788', '6603', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21514, '2021-05-28', '5732', '4230', '7677', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21515, '2021-05-29', '6092', '5726', '0557', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21516, '2021-05-30', '0142', '1421', '0356', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21517, '2021-05-31', '4600', '6107', '4458', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21518, '2021-06-01', '3018', '8962', '0172', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21519, '2021-06-02', '0298', '5763', '2949', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21520, '2021-06-03', '9234', '9545', '1441', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21521, '2021-06-04', '2235', '0122', '5975', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21522, '2021-06-05', '9662', '7353', '1999', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21523, '2021-06-06', '9990', '2417', '5545', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21524, '2021-06-07', '1930', '0744', '0528', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21525, '2021-06-08', '5747', '5408', '0538', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21526, '2021-06-09', '5246', '4475', '2398', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21527, '2021-06-10', '0844', '1535', '4904', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21528, '2021-06-11', '8910', '4308', '1348', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21529, '2021-06-12', '3423', '7417', '2709', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21530, '2021-06-13', '0208', '5816', '7574', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21531, '2021-06-14', '9908', '8371', '2054', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21532, '2021-06-15', '5995', '0223', '3914', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21533, '2021-06-16', '6974', '3678', '2044', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21534, '2021-06-17', '5437', '6622', '9661', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21535, '2021-06-18', '7647', '7745', '9313', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21536, '2021-06-19', '0869', '1415', '6606', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21537, '2021-06-20', '8200', '2423', '1752', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21538, '2021-06-21', '8706', '4376', '1292', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21539, '2021-06-22', '6248', '7024', '5765', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21540, '2021-06-23', '9966', '1320', '6596', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21541, '2021-06-24', '0702', '0658', '8853', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21542, '2021-06-25', '9960', '1171', '7184', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21543, '2021-06-26', '2894', '8052', '3734', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21544, '2021-06-27', '9320', '0919', '5350', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21545, '2021-06-28', '8251', '6413', '5537', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21546, '2021-06-29', '6244', '2622', '7144', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21547, '2021-06-30', '0039', '3150', '9877', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21548, '2021-07-01', '9512', '7702', '8990', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21549, '2021-07-02', '7946', '2806', '8536', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21550, '2021-07-03', '1074', '0417', '3801', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21551, '2021-07-04', '8814', '9495', '6231', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21552, '2021-07-05', '1246', '1716', '4566', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21553, '2021-07-06', '1583', '5453', '1883', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21554, '2021-07-07', '3038', '3355', '5229', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21555, '2021-07-08', '0236', '8052', '1648', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21556, '2021-07-09', '8273', '9247', '1861', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21557, '2021-07-10', '7683', '1108', '3020', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21558, '2021-07-11', '3294', '3458', '0127', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21559, '2021-07-12', '6875', '0139', '6542', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21560, '2021-07-13', '0665', '0791', '5318', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21561, '2021-07-14', '2487', '0099', '4956', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21562, '2021-07-15', '2375', '6058', '4152', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21563, '2021-07-16', '5301', '4975', '6833', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21564, '2021-07-17', '2735', '8497', '1394', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21565, '2021-07-18', '1849', '3453', '6899', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21566, '2021-07-19', '7851', '8633', '8611', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21567, '2021-07-20', '5170', '6213', '6547', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21568, '2021-07-21', '9787', '6712', '6481', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21569, '2021-07-22', '0235', '6189', '8780', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21570, '2021-07-23', '1402', '5966', '1086', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21571, '2021-07-24', '2835', '4043', '5397', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21572, '2021-07-25', '3267', '5156', '1502', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21573, '2021-07-26', '8817', '0751', '5478', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21574, '2021-07-27', '7487', '8253', '0056', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21575, '2021-07-28', '0813', '4738', '9059', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21576, '2021-07-29', '4598', '2165', '7687', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21577, '2021-07-30', '1019', '9655', '9721', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21578, '2021-07-31', '4782', '1999', '0334', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21579, '2021-08-01', '1870', '1970', '7311', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21580, '2021-08-02', '4029', '1420', '3482', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21581, '2021-08-03', '6254', '3133', '2405', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21582, '2021-08-04', '9980', '1925', '1806', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21583, '2021-08-05', '8248', '0429', '8128', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21584, '2021-08-06', '7521', '1387', '6897', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21585, '2021-08-07', '5565', '2758', '3454', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21586, '2021-08-08', '5046', '0451', '9030', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21587, '2021-08-09', '1832', '8668', '6248', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21588, '2021-08-10', '4241', '7416', '2675', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21589, '2021-08-11', '3033', '1018', '2936', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21590, '2021-08-12', '2339', '4142', '7752', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21591, '2021-08-13', '3873', '0749', '5999', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21592, '2021-08-14', '6601', '2969', '5782', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21593, '2021-08-15', '2708', '2946', '4151', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21594, '2021-08-16', '8457', '5579', '3940', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21595, '2021-08-17', '7648', '9812', '6746', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21596, '2021-08-18', '9963', '3370', '1551', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21597, '2021-08-19', '5209', '6368', '7438', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21598, '2021-08-20', '6749', '9652', '5558', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21599, '2021-08-21', '9925', '5394', '4381', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21600, '2021-08-22', '8276', '5026', '2171', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21601, '2021-08-23', '2732', '1729', '3627', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21602, '2021-08-24', '7845', '7540', '4483', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21603, '2021-08-25', '2324', '2416', '2622', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21604, '2021-08-26', '3514', '0786', '0906', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21605, '2021-08-27', '3841', '9811', '9724', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21606, '2021-08-28', '3696', '6429', '0847', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21607, '2021-08-29', '2614', '0256', '1646', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21608, '2021-08-30', '1999', '7438', '8534', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21609, '2021-08-31', '0721', '7369', '8373', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21610, '2021-09-01', '1915', '8536', '0657', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21611, '2021-09-02', '6829', '7054', '6841', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21612, '2021-09-03', '1040', '2468', '1449', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21613, '2021-09-04', '8756', '1086', '0323', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21614, '2021-09-05', '2651', '9932', '2494', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21615, '2021-09-06', '1873', '5890', '8460', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21616, '2021-09-07', '9296', '1949', '7551', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21617, '2021-09-08', '6420', '7491', '4080', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21618, '2021-09-09', '0224', '6290', '0231', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21619, '2021-09-10', '0548', '2802', '4573', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21620, '2021-09-11', '7287', '7267', '5064', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21621, '2021-09-12', '0686', '9486', '6004', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21622, '2021-09-13', '5688', '6327', '1522', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21623, '2021-09-14', '5754', '9461', '8291', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21624, '2021-09-15', '7499', '7598', '7037', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21625, '2021-09-16', '7090', '1905', '4262', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21626, '2021-09-17', '4624', '1536', '5073', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21627, '2021-09-18', '1997', '7991', '7613', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21628, '2021-09-19', '3372', '2983', '6468', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21629, '2021-09-20', '8229', '6107', '9830', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21630, '2021-09-21', '4156', '3201', '1917', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21631, '2021-09-22', '0791', '7807', '9307', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21632, '2021-09-23', '1604', '5430', '6493', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21633, '2021-09-24', '2826', '4284', '6700', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21634, '2021-09-25', '7352', '1952', '7430', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21635, '2021-09-26', '2745', '1769', '4172', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21636, '2021-09-27', '6518', '2208', '8283', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21637, '2021-09-28', '5779', '1478', '8670', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21638, '2021-09-29', '9777', '3273', '5640', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21639, '2021-09-30', '3128', '4748', '6875', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21640, '2021-10-01', '1238', '8894', '9939', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21641, '2021-10-02', '6906', '7458', '7302', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21642, '2021-10-03', '4774', '4527', '4297', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21643, '2021-10-04', '1819', '3550', '2948', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21644, '2021-10-05', '7757', '1100', '1102', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21645, '2021-10-06', '7358', '0376', '3782', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21646, '2021-10-07', '0883', '9609', '6408', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21647, '2021-10-08', '1739', '6255', '2549', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21648, '2021-10-09', '8233', '2394', '2281', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21649, '2021-10-10', '4626', '6359', '5780', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21650, '2021-10-11', '5908', '8284', '4647', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21651, '2021-10-12', '3249', '8989', '3715', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21652, '2021-10-13', '5221', '4804', '9898', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21653, '2021-10-14', '3381', '0969', '2771', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21654, '2021-10-15', '6146', '3481', '2003', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21655, '2021-10-16', '4557', '4763', '9811', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21656, '2021-10-17', '7802', '3000', '0560', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21657, '2021-10-18', '6911', '4399', '3134', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21658, '2021-10-19', '9067', '8789', '6550', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21659, '2021-10-20', '9532', '7198', '5299', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21660, '2021-10-21', '9968', '3163', '9577', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21661, '2021-10-22', '3307', '2270', '4633', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21662, '2021-10-23', '6279', '8144', '0436', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21663, '2021-10-24', '5109', '2663', '2703', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21664, '2021-10-25', '6483', '8924', '5949', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21665, '2021-10-26', '4969', '7771', '4192', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21666, '2021-10-27', '9411', '3260', '8319', 'root', '2021-10-28 02:03:30', '', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21668, '2021-10-28', '1044', '4864', '9929', 'root', '2021-10-28 02:12:23', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21669, '2021-10-29', '5778', '9042', '0004', 'root', '2021-10-29 21:18:01', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21670, '2021-10-30', '9301', '9474', '8755', 'root', '2021-10-30 15:35:14', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21671, '2021-10-31', '8062', '4001', '9727', 'root', '2021-10-31 15:04:06', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21672, '2021-11-01', '7132', '9022', '6936', 'root', '2021-11-01 14:55:21', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21673, '2021-11-02', '4633', '9160', '6908', 'root', '2021-11-02 17:26:07', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21674, '2021-11-03', '7926', '5032', '8070', 'root', '2021-11-03 14:01:07', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21675, '2021-11-04', '5957', '5196', '6991', 'root', '2021-11-04 14:12:26', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21676, '2021-11-05', '9684', '4310', '8563', 'root', '2021-11-05 13:54:30', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21677, '2021-11-06', '0989', '4208', '1904', 'root', '2021-11-06 16:26:22', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21678, '2021-11-07', '1927', '9001', '9128', 'root', '2021-11-07 15:09:15', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21679, '2021-11-08', '6370', '2479', '4483', 'root', '2021-11-08 15:36:27', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21680, '2021-11-09', '2998', '4067', '5479', 'root', '2021-11-09 14:45:55', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21681, '2021-11-11', '1690', '8918', '6089', 'root', '2021-11-11 15:22:18', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21682, '2021-11-12', '4237', '6213', '9951', 'root', '2021-11-12 19:23:42', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21683, '2021-11-13', '3287', '8731', '0074', 'root', '2021-11-13 14:25:08', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21684, '2021-11-14', '3913', '4237', '6241', 'root', '2021-11-14 15:42:36', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21685, '2021-11-15', '9718', '1136', '8556', 'root', '2021-11-15 15:24:09', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21686, '2021-11-16', '7838', '5144', '6920', 'root', '2021-11-16 14:27:49', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21687, '2021-11-17', '2782', '7993', '6110', 'root', '2021-11-17 17:34:39', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21688, '2021-11-18', '7412', '1540', '6543', 'root', '2021-11-19 02:46:06', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21689, '2021-11-19', '1296', '2225', '9565', 'root', '2021-11-19 15:28:36', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21690, '2021-11-20', '8355', '9298', '8698', 'root', '2021-11-20 16:41:59', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21691, '2021-11-21', '1128', '0298', '0811', 'root', '2021-11-21 15:39:01', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21692, '2021-11-22', '9064', '4140', '6425', 'root', '2021-11-22 13:31:32', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21693, '2021-11-23', '1839', '2291', '1500', 'root', '2021-11-23 15:38:01', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21694, '2021-11-24', '0980', '3452', '6979', 'root', '2021-11-24 15:59:52', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21695, '2021-11-25', '5179', '7711', '7788', 'root', '2021-11-25 15:21:26', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21696, '2021-11-26', '7391', '5848', '6826', 'root', '2021-11-26 15:22:42', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21697, '2021-11-27', '3701', '3328', '7299', 'root', '2021-11-27 15:42:45', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21698, '2021-11-28', '2431', '4041', '3100', 'root', '2021-11-28 16:44:35', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21699, '2021-11-29', '5461', '7087', '0685', 'root', '2021-11-29 13:56:39', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21700, '2021-11-30', '7943', '1446', '5524', 'root', '2021-11-30 14:00:06', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21701, '2021-12-01', '5449', '5536', '3532', 'root', '2021-12-01 13:58:40', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21702, '2021-12-02', '9024', '3479', '6982', 'root', '2021-12-02 16:59:06', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21703, '2021-12-03', '3039', '7828', '5710', 'root', '2021-12-03 14:59:21', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21704, '2021-12-04', '7853', '0127', '5979', 'root', '2021-12-04 13:57:29', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21705, '2021-12-05', '7359', '5044', '8621', 'root', '2021-12-05 14:46:34', 'root', '2021-12-06 10:19:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21706, '2021-12-06', '8778', '6133', '0961', 'root', '2021-12-06 15:04:40', 'root', '2021-12-06 15:04:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21707, '2021-12-07', '2685', '2065', '1317', 'root', '2021-12-07 16:00:36', 'root', '2021-12-07 16:00:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21708, '2021-12-08', '6941', '1911', '6691', 'root', '2021-12-08 16:44:04', 'root', '2021-12-08 16:44:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (21709, '2021-12-09', '5129', '2603', '0236', 'root', '2021-12-09 13:29:52', 'root', '2021-12-09 13:29:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211301, '2021-12-24', '7370', '8193', '8438', 'root', '2021-12-24 22:19:49', 'root', '2021-12-24 22:20:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211287, '2021-12-10', '3467', '3680', '9304', 'root', '2021-12-10 21:42:20', 'root', '2021-12-10 21:42:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (224, '2022-01-04', '6369', '8373', '8320', 'root', '2022-01-04 23:27:11', 'root', '2022-01-04 23:27:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211288, '2021-12-11', '3557', '6783', '0430', 'root', '2021-12-12 12:02:53', 'root', '2021-12-12 12:03:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211302, '2021-12-25', '8096', '7858', '3465', 'root', '2021-12-26 12:12:00', 'root', '2021-12-26 12:12:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211289, '2021-12-12', '4478', '1267', '5814', 'root', '2021-12-13 01:44:05', 'root', '2021-12-13 01:44:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2225, '2022-01-25', '1789', '2171', '0768', 'root', '2022-01-26 14:04:15', 'root', '2022-01-26 14:04:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211290, '2021-12-13', '6369', '1088', '7651', 'root', '2021-12-13 22:13:19', 'root', '2021-12-13 22:13:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211303, '2021-12-26', '0699', '0730', '8476', 'root', '2021-12-26 20:58:01', 'root', '2021-12-26 20:58:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211291, '2021-12-14', '9537', '2194', '4959', 'root', '2021-12-14 23:07:53', 'root', '2021-12-14 23:08:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2212, '2022-01-12', '1246', '9931', '7752', 'root', '2022-01-12 20:55:57', 'root', '2022-01-12 20:56:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (225, '2022-01-05', '4610', '0717', '8527', 'root', '2022-01-06 08:56:34', 'root', '2022-01-06 08:56:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211292, '2021-12-15', '1860', '7141', '4461', 'root', '2021-12-15 20:43:49', 'root', '2021-12-15 20:44:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211304, '2021-12-27', '8814', '4741', '7578', 'root', '2021-12-28 00:32:05', 'root', '2021-12-28 00:32:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211293, '2021-12-16', '6129', '9943', '0164', 'root', '2021-12-16 22:50:06', 'root', '2021-12-16 22:50:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211294, '2021-12-17', '0695', '2843', '9257', 'root', '2021-12-17 21:01:20', 'root', '2021-12-17 21:01:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211305, '2021-12-28', '8030', '1833', '9775', 'root', '2021-12-28 22:51:47', 'root', '2021-12-28 22:52:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211295, '2021-12-18', '6229', '0127', '2837', 'root', '2021-12-19 00:02:47', 'root', '2021-12-19 00:03:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2222, '2022-01-22', '4498', '2878', '9750', 'root', '2022-01-22 21:44:10', 'root', '2022-01-22 21:44:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (226, '2022-01-06', '1557', '3780', '8799', 'root', '2022-01-07 00:20:11', 'root', '2022-01-07 00:20:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211296, '2021-12-19', '6344', '0206', '2381', 'root', '2021-12-20 03:32:02', 'root', '2021-12-20 03:32:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211306, '2021-12-29', '9442', '8165', '0501', 'root', '2021-12-29 20:59:15', 'root', '2021-12-29 20:59:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211297, '2021-12-20', '5047', '2792', '2631', 'root', '2021-12-20 23:36:37', 'root', '2021-12-20 23:36:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2218, '2022-01-18', '5663', '9742', '8953', 'root', '2022-01-19 13:51:26', 'root', '2022-01-19 13:51:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211298, '2021-12-21', '1238', '4045', '0529', 'root', '2021-12-22 00:40:19', 'root', '2021-12-22 00:40:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211307, '2021-12-30', '0590', '7376', '8671', 'root', '2021-12-30 21:07:49', 'root', '2021-12-30 21:08:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211299, '2021-12-22', '0440', '1447', '7403', 'root', '2021-12-22 22:41:55', 'root', '2021-12-22 22:42:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2213, '2022-01-13', '4793', '9407', '1731', 'root', '2022-01-13 18:59:54', 'root', '2022-01-13 21:33:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (227, '2022-01-07', '5995', '0112', '7947', 'root', '2022-01-07 20:47:23', 'root', '2022-01-07 20:47:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211300, '2021-12-23', '5550', '4523', '1647', 'root', '2021-12-24 02:04:16', 'root', '2021-12-24 02:04:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (211308, '2021-12-31', '3979', '7188', '6645', 'root', '2021-12-31 22:06:44', 'root', '2021-12-31 22:06:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (221, '2022-01-01', '1428', '8769', '2678', 'root', '2022-01-02 01:08:59', 'root', '2022-01-02 01:09:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (228, '2022-01-08', '4154', '4179', '4654', 'root', '2022-01-08 22:33:43', 'root', '2022-01-09 21:42:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (222, '2022-01-02', '6386', '4268', '5815', 'root', '2022-01-03 00:11:49', 'root', '2022-01-03 00:11:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2214, '2022-01-14', '0771', '1367', '7884', 'root', '2022-01-14 20:41:42', 'root', '2022-01-14 20:41:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (223, '2022-01-03', '0172', '2324', '5738', 'root', '2022-01-03 22:39:39', 'root', '2022-01-03 22:39:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (229, '2022-01-09', '9718', '7192', '7250', 'root', '2022-01-09 21:43:07', 'root', '2022-01-09 21:43:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2219, '2022-01-19', '1758', '3762', '0739', 'root', '2022-01-19 21:55:18', 'root', '2022-01-19 21:55:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2215, '2022-01-15', '8362', '4713', '8583', 'root', '2022-01-15 22:05:10', 'root', '2022-01-15 22:05:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2210, '2022-01-10', '8376', '7742', '6035', 'root', '2022-01-11 00:28:43', 'root', '2022-01-11 00:29:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2211, '2022-01-11', '8998', '8401', '4326', 'root', '2022-01-12 07:18:44', 'root', '2022-01-12 07:19:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2216, '2022-01-16', '5676', '9944', '7331', 'root', '2022-01-16 23:06:20', 'root', '2022-01-16 23:06:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2223, '2022-01-23', '4019', '1535', '6188', 'root', '2022-01-23 23:34:30', 'root', '2022-01-23 23:34:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2220, '2022-01-20', '2985', '8174', '4858', 'root', '2022-01-20 20:43:27', 'root', '2022-01-20 20:43:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2217, '2022-01-17', '0134', '6869', '8895', 'root', '2022-01-17 22:39:14', 'root', '2022-01-17 22:39:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2221, '2022-01-21', '4618', '6939', '2477', 'root', '2022-01-21 22:47:03', 'root', '2022-01-21 22:47:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2226, '2022-01-26', '7851', '7071', '7148', 'root', '2022-01-27 22:20:57', 'root', '2022-01-27 22:22:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2224, '2022-01-24', '4262', '1168', '4777', 'root', '2022-01-25 11:45:36', 'root', '2022-01-25 11:45:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2228, '2022-01-28', '7935', '5954', '7721', 'root', '2022-01-29 12:34:38', 'root', '2022-01-29 12:34:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22331, '2022-01-31', '3402', '1995', '0160', 'root', '2022-02-03 14:15:54', 'root', '2022-02-03 14:16:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2227, '2022-01-27', '4720', '2533', '0445', 'root', '2022-01-27 22:21:48', 'root', '2022-01-27 22:22:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2230, '2022-01-30', '7282', '0769', '3098', 'root', '2022-01-31 14:08:15', 'root', '2022-01-31 14:08:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2229, '2022-01-29', '8976', '4900', '0289', 'root', '2022-01-29 12:35:00', 'root', '2022-01-29 12:35:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2231, '2022-02-02', '3402', '2810', '3388', 'root', '2022-02-02 14:47:28', '', '2022-02-02 07:47:28.420067');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22332, '2022-02-01', '8704', '1217', '9527', 'root', '2022-02-03 14:16:38', 'root', '2022-02-03 14:16:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22333, '2022-02-03', '1314', '0146', '1258', 'root', '2022-02-04 04:06:09', 'root', '2022-02-04 04:06:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22334, '2022-02-04', '7701', '9327', '8430', 'root', '2022-02-08 02:33:23', 'root', '2022-02-08 02:52:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22335, '2022-02-05', '8633', '6445', '7204', 'root', '2022-02-08 02:54:19', 'root', '2022-02-08 02:54:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22336, '2022-02-06', '4211', '1466', '8121', 'root', '2022-02-08 02:54:41', 'root', '2022-02-08 03:08:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22337, '2022-02-07', '1565', '4238', '8762', 'root', '2022-02-08 03:08:53', 'root', '2022-02-08 03:09:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22338, '2022-02-08', '2097', '0006', '7371', 'root', '2022-02-09 06:39:14', 'root', '2022-02-09 06:39:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22339, '2022-02-09', '3746', '4811', '3948', 'root', '2022-02-10 02:49:16', 'root', '2022-02-10 02:49:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22340, '2022-02-17', '5524', '3107', '0641', 'root', '2022-02-17 11:03:19', 'root', '2022-02-21 03:27:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22341, '2022-02-18', '6804', '7988', '0478', 'root', '2022-02-21 03:27:20', 'root', '2022-02-21 04:09:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22363, '2022-03-05', '0506', '1347', '5342', 'root', '2022-03-08 09:20:57', 'root', '2022-03-08 09:22:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22342, '2022-02-10', '5605', '3480', '6012', 'root', '2022-02-21 04:09:18', 'root', '2022-02-21 04:09:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22417, '2022-04-28', '1597', '2097', '1848', 'root', '2022-04-29 03:55:52', 'root', '2022-04-29 03:56:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22343, '2022-02-11', '0856', '1948', '0274', 'root', '2022-02-21 04:09:50', 'root', '2022-02-21 04:10:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22406, '2022-04-17', '4786', '4890', '8795', 'root', '2022-04-17 23:12:35', 'root', '2022-04-17 23:12:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22364, '2022-03-06', '5515', '2748', '6379', 'root', '2022-03-08 09:23:25', 'root', '2022-03-08 09:25:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22344, '2022-02-12', '4592', '6015', '9507', 'root', '2022-02-21 04:10:09', 'root', '2022-02-21 04:10:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22379, '2022-03-21', '2472', '4364', '1070', 'root', '2022-03-22 04:13:44', 'root', '2022-03-22 04:14:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22345, '2022-02-13', '9082', '5515', '3637', 'root', '2022-02-21 04:31:47', 'root', '2022-02-21 04:31:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22365, '2022-03-07', '7658', '7187', '3527', 'root', '2022-03-08 09:25:58', 'root', '2022-03-08 09:26:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22346, '2022-02-14', '3734', '1420', '3203', 'root', '2022-02-21 04:32:13', 'root', '2022-02-21 04:32:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22391, '2022-04-02', '2585', '3444', '9865', 'root', '2022-04-03 17:40:45', 'root', '2022-04-03 17:40:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22347, '2022-02-15', '3000', '2914', '3355', 'root', '2022-02-21 04:32:35', 'root', '2022-02-21 04:32:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22366, '2022-03-08', '6030', '8397', '0413', 'root', '2022-03-14 15:47:58', 'root', '2022-03-14 15:48:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22348, '2022-02-16', '5671', '4278', '5639', 'root', '2022-02-21 04:32:56', 'root', '2022-02-21 04:33:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22380, '2022-03-22', '1717', '0838', '7673', 'root', '2022-03-23 05:44:44', 'root', '2022-03-23 05:45:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22349, '2022-02-19', '4978', '6578', '5821', 'root', '2022-02-21 12:53:34', 'root', '2022-02-21 12:53:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22367, '2022-03-09', '4018', '4157', '3005', 'root', '2022-03-14 15:48:18', 'root', '2022-03-14 15:48:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22350, '2022-02-20', '3430', '2622', '3033', 'root', '2022-02-21 12:54:00', 'root', '2022-02-21 12:54:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22400, '2022-04-11', '7959', '0711', '9735', 'root', '2022-04-11 21:33:13', 'root', '2022-04-11 21:33:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22351, '2022-02-21', '1420', '0557', '1676', 'root', '2022-02-22 03:34:39', 'root', '2022-02-22 03:35:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22368, '2022-03-10', '2407', '0917', '2980', 'root', '2022-03-14 16:08:37', 'root', '2022-03-14 16:08:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22352, '2022-02-22', '4052', '7835', '2502', 'root', '2022-02-23 17:38:10', 'root', '2022-02-23 17:38:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22381, '2022-03-23', '5156', '7520', '6481', 'root', '2022-03-23 22:44:47', 'root', '2022-03-23 22:45:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22353, '2022-02-23', '0143', '9013', '7156', 'root', '2022-02-24 03:32:07', 'root', '2022-02-24 03:32:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22392, '2022-04-03', '8157', '0615', '8199', 'root', '2022-04-04 14:47:56', 'root', '2022-04-04 14:48:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22369, '2022-03-11', '3444', '5618', '7557', 'root', '2022-03-14 16:08:56', 'root', '2022-03-14 16:09:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22354, '2022-02-24', '5926', '6540', '6109', 'root', '2022-02-24 22:45:50', 'root', '2022-02-24 22:46:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22355, '2022-02-25', '4327', '7119', '2069', 'root', '2022-02-28 14:36:51', 'root', '2022-02-28 14:37:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22382, '2022-03-24', '3276', '6615', '4324', 'root', '2022-03-25 02:19:18', 'root', '2022-03-25 02:19:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22370, '2022-03-12', '1480', '0489', '4357', 'root', '2022-03-14 16:09:33', 'root', '2022-03-14 16:09:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22356, '2022-02-26', '9090', '7417', '5952', 'root', '2022-02-28 14:37:09', 'root', '2022-02-28 14:37:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22357, '2022-02-27', '2720', '3944', '5703', 'root', '2022-02-28 14:50:07', 'root', '2022-02-28 14:50:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22371, '2022-03-13', '8921', '8013', '6430', 'root', '2022-03-14 16:47:15', 'root', '2022-03-14 16:47:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22358, '2022-02-28', '1696', '6505', '0585', 'root', '2022-03-02 14:38:30', 'root', '2022-03-02 14:38:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22411, '2022-04-22', '8428', '5495', '9093', 'root', '2022-04-22 23:55:35', 'root', '2022-04-22 23:55:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22383, '2022-03-25', '2244', '8222', '9827', 'root', '2022-03-26 01:26:12', 'root', '2022-03-26 03:37:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22359, '2022-03-01', '8552', '3214', '4421', 'root', '2022-03-02 14:38:55', 'root', '2022-03-02 15:28:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22372, '2022-03-14', '3891', '2808', '8872', 'root', '2022-03-15 16:44:52', 'root', '2022-03-15 16:45:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22360, '2022-03-02', '1867', '3089', '4462', 'root', '2022-03-02 15:28:58', 'root', '2022-03-02 15:29:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22393, '2022-04-04', '0207', '2735', '1860', 'root', '2022-04-05 16:18:15', 'root', '2022-04-05 16:18:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22361, '2022-03-03', '3039', '3732', '9242', 'root', '2022-03-08 09:19:26', 'root', '2022-03-08 09:19:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22373, '2022-03-15', '3045', '5171', '3318', 'root', '2022-03-17 03:23:08', 'root', '2022-03-17 03:23:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22362, '2022-03-04', '0556', '1968', '0888', 'root', '2022-03-08 09:19:49', 'root', '2022-03-08 09:20:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22384, '2022-03-26', '3580', '7684', '3197', 'root', '2022-03-26 22:39:23', 'root', '2022-03-26 22:39:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22401, '2022-04-12', '1664', '0980', '3727', 'root', '2022-04-12 23:00:27', 'root', '2022-04-12 23:00:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22374, '2022-03-16', '3210', '9113', '4729', 'root', '2022-03-17 03:23:28', 'root', '2022-03-17 03:47:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22385, '2022-03-27', '5352', '8152', '3173', 'root', '2022-03-28 00:09:08', 'root', '2022-03-28 00:09:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22375, '2022-03-17', '5819', '6643', '7199', 'root', '2022-03-18 01:42:39', 'root', '2022-03-18 01:42:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22394, '2022-04-05', '0096', '5753', '0993', 'root', '2022-04-06 22:27:27', 'root', '2022-04-06 22:27:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22376, '2022-03-18', '0280', '2587', '6078', 'root', '2022-03-18 23:06:20', 'root', '2022-03-18 23:06:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22386, '2022-03-28', '3225', '7895', '7455', 'root', '2022-03-29 03:05:31', 'root', '2022-03-29 03:05:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22377, '2022-03-19', '0339', '7629', '4197', 'root', '2022-03-19 23:52:46', 'root', '2022-03-19 23:52:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22407, '2022-04-18', '1356', '3802', '8869', 'root', '2022-04-18 20:54:16', 'root', '2022-04-18 20:54:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22378, '2022-03-20', '0733', '6211', '4670', 'root', '2022-03-21 12:47:05', 'root', '2022-03-21 12:47:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22387, '2022-03-29', '9165', '4884', '7303', 'root', '2022-03-30 05:23:40', 'root', '2022-03-30 05:23:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22395, '2022-04-06', '8741', '3874', '9699', 'root', '2022-04-06 22:27:58', 'root', '2022-04-06 22:28:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22388, '2022-03-30', '5669', '1751', '0051', 'root', '2022-03-31 00:46:28', 'root', '2022-03-31 00:46:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22402, '2022-04-13', '7462', '6035', '8621', 'root', '2022-04-15 04:26:23', 'root', '2022-04-15 04:26:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22389, '2022-03-31', '6496', '6675', '9222', 'root', '2022-04-01 15:23:07', 'root', '2022-04-01 15:23:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22396, '2022-04-07', '3855', '0216', '5078', 'root', '2022-04-07 21:57:39', 'root', '2022-04-07 21:57:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22390, '2022-04-01', '3327', '9290', '1183', 'root', '2022-04-02 04:38:37', 'root', '2022-04-02 04:38:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22397, '2022-04-08', '3130', '9032', '0361', 'root', '2022-04-09 01:56:16', 'root', '2022-04-09 01:56:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22415, '2022-04-26', '9657', '6042', '1622', 'root', '2022-04-27 01:04:28', 'root', '2022-04-27 01:05:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22403, '2022-04-14', '5302', '5560', '6373', 'root', '2022-04-15 04:26:52', 'root', '2022-04-15 04:27:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22398, '2022-04-09', '9375', '8483', '6567', 'root', '2022-04-10 02:16:43', 'root', '2022-04-10 02:16:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22408, '2022-04-19', '9349', '7550', '1272', 'root', '2022-04-19 22:00:09', 'root', '2022-04-19 22:00:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22399, '2022-04-10', '2227', '0025', '1525', 'root', '2022-04-11 01:51:35', 'root', '2022-04-11 01:51:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22404, '2022-04-15', '5639', '6995', '5060', 'root', '2022-04-16 03:04:12', 'root', '2022-04-16 03:04:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22412, '2022-04-23', '4814', '9516', '0109', 'root', '2022-04-24 01:22:15', 'root', '2022-04-24 01:22:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22405, '2022-04-16', '0033', '8231', '7929', 'root', '2022-04-17 23:11:57', 'root', '2022-04-17 23:12:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22409, '2022-04-20', '9855', '2047', '9107', 'root', '2022-04-21 04:51:11', 'root', '2022-04-21 04:51:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22419, '2022-04-30', '4130', '2693', '7248', 'root', '2022-05-01 03:23:50', 'root', '2022-05-01 03:24:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22413, '2022-04-24', '0356', '9442', '4465', 'root', '2022-04-25 13:57:07', 'root', '2022-04-25 13:57:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22410, '2022-04-21', '8347', '3475', '5327', 'root', '2022-04-22 00:24:55', 'root', '2022-04-22 00:25:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22416, '2022-04-27', '2721', '8796', '1092', 'root', '2022-04-28 03:04:29', 'root', '2022-04-28 03:04:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22414, '2022-04-25', '9606', '3526', '0052', 'root', '2022-04-25 14:38:23', 'root', '2022-04-25 14:38:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22418, '2022-04-29', '1078', '7842', '4836', 'root', '2022-04-30 02:56:37', 'root', '2022-04-30 02:56:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22423, '2022-05-04', '1747', '8291', '8963', 'root', '2022-05-04 21:13:45', 'root', '2022-05-04 21:13:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22421, '2022-05-02', '4680', '2137', '3064', 'root', '2022-05-03 01:12:06', 'root', '2022-05-03 01:12:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22420, '2022-05-01', '7867', '3327', '3128', 'root', '2022-05-01 21:43:59', 'root', '2022-05-01 21:44:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22422, '2022-05-03', '2507', '6626', '6221', 'root', '2022-05-03 22:09:19', 'root', '2022-05-03 22:09:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22424, '2022-05-05', '8512', '8556', '7068', 'root', '2022-05-06 00:40:51', 'root', '2022-05-06 00:41:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22425, '2022-05-06', '5093', '3654', '5904', 'root', '2022-05-06 21:35:10', 'root', '2022-05-06 21:35:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22426, '2022-05-07', '1343', '6969', '2209', 'root', '2022-05-07 23:24:23', 'root', '2022-05-07 23:24:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22427, '2022-05-08', '1454', '4464', '6278', 'root', '2022-05-09 00:06:10', 'root', '2022-05-09 00:06:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22428, '2022-05-09', '4369', '2529', '9406', 'root', '2022-05-09 22:43:07', 'root', '2022-05-09 22:43:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22429, '2022-05-10', '0523', '6548', '3611', 'root', '2022-05-10 23:21:21', 'root', '2022-05-10 23:21:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22430, '2022-05-11', '9540', '6318', '7274', 'root', '2022-05-12 13:41:41', 'root', '2022-05-12 13:41:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22431, '2022-05-12', '3651', '4616', '5338', 'root', '2022-05-13 05:54:53', 'root', '2022-05-13 05:55:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22432, '2022-05-13', '9652', '4640', '2583', 'root', '2022-05-13 21:05:33', 'root', '2022-05-13 21:05:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22433, '2022-05-14', '2664', '6529', '0156', 'root', '2022-05-15 02:04:49', 'root', '2022-05-15 02:05:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22455, '2022-06-05', '3146', '8272', '7847', 'root', '2022-06-06 23:54:01', 'root', '2022-06-06 23:54:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22434, '2022-05-15', '0101', '0448', '8771', 'root', '2022-05-16 00:36:14', 'root', '2022-05-16 00:36:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22471, '2022-06-21', '0782', '8848', '0250', 'root', '2022-06-21 18:10:46', 'root', '2022-06-21 18:11:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22435, '2022-05-16', '6761', '4802', '4328', 'root', '2022-05-16 22:27:58', 'root', '2022-05-16 22:28:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22456, '2022-06-06', '7363', '5046', '2340', 'root', '2022-06-06 23:56:05', 'root', '2022-06-06 23:56:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22436, '2022-05-17', '5079', '8767', '3788', 'root', '2022-05-18 00:30:08', 'root', '2022-05-18 00:30:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22437, '2022-05-18', '9215', '1212', '2167', 'root', '2022-05-19 12:30:12', 'root', '2022-05-19 12:30:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22483, '2022-07-03', '2116', '7062', '3805', 'root', '2022-07-03 20:50:47', 'root', '2022-07-03 20:52:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22457, '2022-06-07', '9751', '0711', '2418', 'root', '2022-06-08 04:34:47', 'root', '2022-06-08 04:35:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22438, '2022-05-19', '3600', '6154', '6263', 'root', '2022-05-19 20:45:38', 'root', '2022-05-19 20:45:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22472, '2022-06-22', '2114', '1036', '8967', 'root', '2022-06-23 00:40:53', 'root', '2022-06-23 00:41:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22439, '2022-05-20', '0063', '1443', '3792', 'root', '2022-05-20 23:47:32', 'root', '2022-05-20 23:47:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22458, '2022-06-08', '5701', '7931', '1644', 'root', '2022-06-09 14:27:32', 'root', '2022-06-09 14:27:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22440, '2022-05-21', '5906', '6594', '6368', 'root', '2022-05-22 06:34:00', 'root', '2022-05-22 06:34:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22441, '2022-05-22', '7786', '0254', '1720', 'root', '2022-05-23 04:57:00', 'root', '2022-05-23 04:57:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22459, '2022-06-09', '7053', '1676', '6318', 'root', '2022-06-10 06:41:28', 'root', '2022-06-10 06:41:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22442, '2022-05-23', '6409', '9306', '4446', 'root', '2022-05-24 14:38:25', 'root', '2022-05-24 14:38:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22473, '2022-06-23', '4777', '4628', '8376', 'root', '2022-06-23 21:34:46', 'root', '2022-06-23 21:34:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22443, '2022-05-24', '7412', '5290', '2108', 'root', '2022-05-25 04:59:47', 'root', '2022-05-25 05:00:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22460, '2022-06-10', '2393', '3507', '3159', 'root', '2022-06-12 00:18:23', 'root', '2022-06-12 00:18:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22444, '2022-05-25', '4404', '0744', '5858', 'root', '2022-05-26 12:07:20', 'root', '2022-05-26 12:07:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22492, '2022-07-12', '3674', '6756', '3324', 'root', '2022-07-12 21:25:50', 'root', '2022-07-12 21:26:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22445, '2022-05-26', '3377', '6474', '0361', 'root', '2022-05-26 23:28:29', 'root', '2022-05-26 23:28:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22484, '2022-07-04', '7251', '6397', '1389', 'root', '2022-07-04 21:14:25', 'root', '2022-07-04 21:14:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22461, '2022-06-11', '1516', '7604', '3722', 'root', '2022-06-12 00:18:50', 'root', '2022-06-12 00:19:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22446, '2022-05-27', '8739', '3242', '3642', 'root', '2022-05-30 15:27:23', 'root', '2022-05-30 15:27:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22474, '2022-06-24', '9869', '7864', '5838', 'root', '2022-06-24 21:35:00', 'root', '2022-06-24 21:35:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22447, '2022-05-28', '9924', '6024', '5518', 'root', '2022-05-30 15:29:16', 'root', '2022-05-30 15:29:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22462, '2022-06-12', '4744', '4059', '5873', 'root', '2022-06-13 05:31:04', 'root', '2022-06-13 05:31:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22448, '2022-05-29', '2204', '7447', '7872', 'root', '2022-05-30 15:29:50', 'root', '2022-05-30 15:30:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22449, '2022-05-30', '9162', '8235', '3982', 'root', '2022-05-30 15:30:22', 'root', '2022-05-30 15:30:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22463, '2022-06-13', '3873', '9069', '8577', 'root', '2022-06-14 09:09:57', 'root', '2022-06-14 09:10:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22450, '2022-05-31', '6604', '8610', '3879', 'root', '2022-06-02 07:02:03', 'root', '2022-06-02 07:02:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22475, '2022-06-25', '7919', '8710', '6041', 'root', '2022-06-26 16:58:25', 'root', '2022-06-26 16:59:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22451, '2022-06-01', '5596', '7904', '4794', 'root', '2022-06-02 07:02:38', 'root', '2022-06-02 07:02:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22464, '2022-06-14', '9623', '1672', '0927', 'root', '2022-06-14 15:42:44', 'root', '2022-06-14 15:42:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22452, '2022-06-02', '6249', '5455', '9732', 'root', '2022-06-02 21:42:51', 'root', '2022-06-02 21:43:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22498, '2022-07-18', '9318', '5122', '6085', 'root', '2022-07-19 13:28:25', 'root', '2022-07-19 13:28:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22453, '2022-06-03', '9890', '0441', '3456', 'root', '2022-06-06 23:48:22', 'root', '2022-06-06 23:49:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22485, '2022-07-05', '9349', '5624', '9661', 'root', '2022-07-05 21:07:25', 'root', '2022-07-05 21:07:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22465, '2022-06-15', '7425', '9649', '8165', 'root', '2022-06-15 21:11:58', 'root', '2022-06-15 21:12:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22454, '2022-06-04', '0890', '9356', '6912', 'root', '2022-06-06 23:53:12', 'root', '2022-06-06 23:53:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22476, '2022-06-26', '1537', '0429', '6694', 'root', '2022-06-27 14:27:13', 'root', '2022-06-27 14:27:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22466, '2022-06-16', '2397', '0417', '8505', 'root', '2022-06-17 02:27:24', 'root', '2022-06-17 02:27:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22467, '2022-06-17', '9222', '0623', '8759', 'root', '2022-06-18 00:20:18', 'root', '2022-06-18 00:20:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22477, '2022-06-27', '4913', '0916', '1903', 'root', '2022-06-28 03:29:57', 'root', '2022-06-28 03:30:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22468, '2022-06-18', '2719', '1988', '7713', 'root', '2022-06-19 00:50:21', 'root', '2022-06-19 00:50:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22493, '2022-07-13', '4813', '2742', '3396', 'root', '2022-07-13 15:21:53', 'root', '2022-07-13 22:27:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22486, '2022-07-06', '6123', '0170', '8430', 'root', '2022-07-07 01:22:58', 'root', '2022-07-07 01:23:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22469, '2022-06-19', '7890', '3098', '1890', 'root', '2022-06-20 17:38:06', 'root', '2022-06-20 17:38:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22478, '2022-06-28', '4505', '5807', '1730', 'root', '2022-06-29 00:16:12', 'root', '2022-06-29 00:16:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22470, '2022-06-20', '7466', '8376', '2318', 'root', '2022-06-20 17:38:38', 'root', '2022-06-20 17:38:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22479, '2022-06-29', '7051', '5717', '4041', 'root', '2022-06-29 21:03:35', 'root', '2022-06-29 21:03:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22506, '2022-07-26', '4239', '9767', '0556', 'root', '2022-07-26 21:21:30', 'root', '2022-07-26 21:21:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22487, '2022-07-07', '2373', '4209', '4372', 'root', '2022-07-08 06:30:37', 'root', '2022-07-08 06:30:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22480, '2022-06-30', '3752', '2923', '0344', 'root', '2022-07-01 01:40:32', 'root', '2022-07-01 01:40:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22503, '2022-07-23', '6400', '8903', '9519', 'root', '2022-07-23 21:39:15', 'root', '2022-07-23 21:39:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22481, '2022-07-01', '0364', '6772', '0608', 'root', '2022-07-02 02:48:22', 'root', '2022-07-02 02:48:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22494, '2022-07-14', '5683', '5684', '4879', 'root', '2022-07-14 20:59:37', 'root', '2022-07-14 21:00:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22488, '2022-07-08', '1538', '8071', '6900', 'root', '2022-07-08 22:29:07', 'root', '2022-07-08 22:29:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22482, '2022-07-02', '9048', '6101', '5805', 'root', '2022-07-02 21:49:47', 'root', '2022-07-02 21:50:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22499, '2022-07-19', '4030', '0652', '6502', 'root', '2022-07-19 22:01:24', 'root', '2022-07-19 22:01:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22489, '2022-07-09', '9719', '3228', '8126', 'root', '2022-07-10 15:44:33', 'root', '2022-07-10 15:44:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22495, '2022-07-15', '9730', '9179', '6611', 'root', '2022-07-15 21:02:26', 'root', '2022-07-15 21:02:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22490, '2022-07-10', '1625', '0661', '6114', 'root', '2022-07-10 20:59:26', 'root', '2022-07-10 20:59:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22491, '2022-07-11', '2186', '9375', '6213', 'root', '2022-07-12 00:06:47', 'root', '2022-07-12 00:07:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22496, '2022-07-16', '9894', '1119', '4837', 'root', '2022-07-17 15:18:43', 'root', '2022-07-17 15:18:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22500, '2022-07-20', '1023', '2244', '1493', 'root', '2022-07-20 21:08:59', 'root', '2022-07-20 21:09:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22497, '2022-07-17', '4746', '1731', '9616', 'root', '2022-07-17 20:40:44', 'root', '2022-07-17 20:40:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22514, '2022-08-03', '0492', '3042', '5479', 'root', '2022-08-03 20:59:28', 'root', '2022-08-03 21:00:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22504, '2022-07-24', '1219', '8397', '5091', 'root', '2022-07-24 21:08:19', 'root', '2022-07-24 21:08:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22501, '2022-07-21', '1802', '9174', '0864', 'root', '2022-07-21 21:33:54', 'root', '2022-07-21 21:34:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22507, '2022-07-27', '0610', '0829', '5060', 'root', '2022-07-28 00:27:53', 'root', '2022-07-28 00:28:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22502, '2022-07-22', '7748', '1212', '4607', 'root', '2022-07-22 20:51:10', 'root', '2022-07-22 20:51:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22505, '2022-07-25', '5117', '2709', '9401', 'root', '2022-07-26 05:27:06', 'root', '2022-07-26 05:27:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22509, '2022-07-29', '8017', '0601', '1662', 'root', '2022-07-29 22:46:22', 'root', '2022-07-29 22:46:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22512, '2022-08-01', '8079', '9749', '3146', 'root', '2022-08-01 20:48:11', 'root', '2022-08-01 20:50:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22508, '2022-07-28', '4257', '2382', '4005', 'root', '2022-07-29 00:37:18', 'root', '2022-07-29 00:37:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22511, '2022-07-31', '5557', '7867', '8896', 'root', '2022-07-31 21:01:53', 'root', '2022-07-31 21:02:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22510, '2022-07-30', '7563', '0066', '4711', 'root', '2022-07-30 21:21:05', 'root', '2022-07-30 21:21:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22513, '2022-08-02', '1540', '1336', '7082', 'root', '2022-08-02 20:56:11', 'root', '2022-08-02 21:01:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22515, '2022-08-04', '2437', '9310', '8135', 'root', '2022-08-04 21:18:10', 'root', '2022-08-04 21:18:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22516, '2022-08-05', '5993', '7888', '5042', 'root', '2022-08-05 21:26:17', 'root', '2022-08-05 21:26:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22517, '2022-08-06', '3918', '8714', '9822', 'root', '2022-08-06 20:59:59', 'root', '2022-08-06 21:00:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22518, '2022-08-07', '1526', '5966', '4879', 'root', '2022-08-07 21:15:56', 'root', '2022-08-07 23:05:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22519, '2022-08-08', '8232', '2236', '0631', 'root', '2022-08-08 20:59:47', 'root', '2022-08-08 21:00:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22520, '2022-08-09', '5951', '8023', '5179', 'root', '2022-08-09 21:06:58', 'root', '2022-08-09 21:07:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22521, '2022-08-10', '0608', '9349', '0876', 'root', '2022-08-10 20:53:08', 'root', '2022-08-10 20:58:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22522, '2022-08-11', '2806', '6334', '0231', 'root', '2022-08-11 21:12:40', 'root', '2022-08-11 21:12:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22523, '2022-08-12', '1712', '7518', '3415', 'root', '2022-08-12 21:14:18', 'root', '2022-08-12 21:14:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22524, '2022-08-13', '7974', '5997', '0796', 'root', '2022-08-13 20:58:17', 'root', '2022-08-13 20:59:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22525, '2022-08-14', '5750', '0921', '0937', 'root', '2022-08-14 21:03:40', 'root', '2022-08-14 21:04:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22546, '2022-09-04', '9284', '7424', '2945', 'root', '2022-09-04 21:21:22', 'root', '2022-09-04 21:21:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22526, '2022-08-15', '5237', '2704', '3631', 'root', '2022-08-15 21:02:58', 'root', '2022-08-15 21:05:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22562, '2022-09-20', '8966', '6608', '6343', 'root', '2022-09-20 21:07:08', 'root', '2022-09-20 21:07:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22527, '2022-08-16', '5628', '9703', '5887', 'root', '2022-08-17 14:01:00', 'root', '2022-08-17 14:01:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22547, '2022-09-05', '5145', '2922', '5261', 'root', '2022-09-05 22:58:40', 'root', '2022-09-05 22:59:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22528, '2022-08-17', '7373', '5637', '0313', 'root', '2022-08-17 14:55:36', 'root', '2022-08-17 20:59:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22597, '2022-10-25', '3275', '7654', '1881', 'root', '2022-10-25 22:19:52', 'root', '2022-10-25 22:20:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22574, '2022-10-02', '1909', '6539', '0991', 'root', '2022-10-02 20:54:40', 'root', '2022-10-02 20:57:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22529, '2022-08-18', '2212', '4025', '9299', 'root', '2022-08-18 20:56:45', 'root', '2022-08-18 20:57:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22548, '2022-09-06', '1820', '4615', '1799', 'root', '2022-09-06 21:07:37', 'root', '2022-09-06 21:09:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22530, '2022-08-19', '9650', '4104', '5100', 'root', '2022-08-19 21:02:15', 'root', '2022-08-19 21:02:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22563, '2022-09-21', '2250', '9905', '0569', 'root', '2022-09-21 21:19:17', 'root', '2022-09-21 21:20:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22531, '2022-08-20', '8126', '0986', '2671', 'root', '2022-08-20 20:56:02', 'root', '2022-08-20 20:58:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22549, '2022-09-07', '7994', '6391', '6115', 'root', '2022-09-07 21:05:23', 'root', '2022-09-07 21:05:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22532, '2022-08-21', '0813', '2542', '4959', 'root', '2022-08-21 20:56:08', 'root', '2022-08-21 20:58:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22589, '2022-10-17', '9396', '4163', '9741', 'root', '2022-10-17 21:13:45', 'root', '2022-10-17 21:14:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22533, '2022-08-22', '0240', '2962', '7728', 'root', '2022-08-22 21:00:28', 'root', '2022-08-22 21:01:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22550, '2022-09-08', '8683', '8288', '7189', 'root', '2022-09-08 22:44:21', 'root', '2022-09-08 22:44:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22534, '2022-08-23', '5337', '0181', '6430', 'root', '2022-08-23 20:55:15', 'root', '2022-08-23 20:59:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22564, '2022-09-22', '0322', '3896', '8906', 'root', '2022-09-22 21:34:15', 'root', '2022-09-22 21:34:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22535, '2022-08-24', '0764', '5776', '8059', 'root', '2022-08-24 20:58:14', 'root', '2022-08-24 21:00:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22551, '2022-09-09', '9793', '1501', '4530', 'root', '2022-09-09 21:18:46', 'root', '2022-09-09 21:18:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22536, '2022-08-25', '5077', '4872', '5249', 'root', '2022-08-25 21:56:09', 'root', '2022-08-25 21:56:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22583, '2022-10-11', '2207', '8102', '5551', 'root', '2022-10-11 21:01:12', 'root', '2022-10-11 21:01:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22575, '2022-10-03', '5703', '4233', '7024', 'root', '2022-10-04 00:27:10', 'root', '2022-10-04 00:38:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22537, '2022-08-26', '2551', '9220', '1379', 'root', '2022-08-26 21:22:14', 'root', '2022-08-26 21:22:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22552, '2022-09-10', '1914', '9626', '7210', 'root', '2022-09-10 21:02:08', 'root', '2022-09-10 21:03:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22538, '2022-08-27', '3615', '0015', '1165', 'root', '2022-08-27 20:53:24', 'root', '2022-08-27 20:58:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22565, '2022-09-23', '3084', '9502', '9993', 'root', '2022-09-23 20:57:07', 'root', '2022-09-23 20:58:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22539, '2022-08-28', '3670', '3372', '5190', 'root', '2022-08-28 21:21:57', 'root', '2022-08-28 21:22:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22553, '2022-09-11', '7474', '9751', '1536', 'root', '2022-09-11 20:55:19', 'root', '2022-09-11 20:58:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22540, '2022-08-29', '3390', '8125', '4130', 'root', '2022-08-29 20:59:49', 'root', '2022-08-29 21:00:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22541, '2022-08-30', '2077', '3690', '9816', 'root', '2022-08-30 20:51:53', 'root', '2022-08-30 20:54:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22554, '2022-09-12', '5199', '1068', '1025', 'root', '2022-09-12 22:15:31', 'root', '2022-09-12 22:15:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22542, '2022-08-31', '6915', '7717', '0305', 'root', '2022-08-31 21:08:08', 'root', '2022-08-31 21:08:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22566, '2022-09-24', '1563', '5107', '6383', 'root', '2022-09-24 21:01:42', 'root', '2022-09-24 21:02:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22543, '2022-09-01', '1084', '0734', '0098', 'root', '2022-09-01 21:06:28', 'root', '2022-09-01 21:07:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22555, '2022-09-13', '0572', '6508', '1175', 'root', '2022-09-13 21:39:03', 'root', '2022-09-13 21:40:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22544, '2022-09-02', '1121', '2949', '2908', 'root', '2022-09-02 21:01:49', 'root', '2022-09-02 21:02:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22576, '2022-10-04', '1237', '9045', '1722', 'root', '2022-10-04 21:43:18', 'root', '2022-10-04 21:43:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22556, '2022-09-14', '3792', '6579', '6734', 'root', '2022-09-14 21:42:11', 'root', '2022-09-14 21:42:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22545, '2022-09-03', '6001', '8304', '8705', 'root', '2022-09-03 21:04:12', 'root', '2022-09-03 21:04:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22567, '2022-09-25', '7812', '5411', '0393', 'root', '2022-09-25 21:00:00', 'root', '2022-09-25 21:00:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22557, '2022-09-15', '9899', '3730', '8469', 'root', '2022-09-15 21:27:01', 'root', '2022-09-15 21:28:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22558, '2022-09-16', '1848', '6779', '1428', 'root', '2022-09-16 21:08:50', 'root', '2022-09-16 21:10:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22568, '2022-09-26', '6485', '9887', '1941', 'root', '2022-09-26 21:04:48', 'root', '2022-09-26 21:08:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22559, '2022-09-17', '1849', '3688', '8247', 'root', '2022-09-17 21:23:52', 'root', '2022-09-17 21:24:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22584, '2022-10-12', '3706', '6327', '6666', 'root', '2022-10-12 21:34:26', 'root', '2022-10-12 21:34:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22577, '2022-10-05', '6564', '6263', '8113', 'root', '2022-10-06 07:48:31', 'root', '2022-10-06 07:48:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22560, '2022-09-18', '0075', '9596', '6917', 'root', '2022-09-18 21:08:20', 'root', '2022-09-18 21:09:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22569, '2022-09-27', '9543', '3134', '3266', 'root', '2022-09-27 21:01:22', 'root', '2022-09-27 21:02:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22561, '2022-09-19', '4147', '7653', '3994', 'root', '2022-09-19 21:08:40', 'root', '2022-09-19 21:09:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22570, '2022-09-28', '5144', '0224', '6950', 'root', '2022-09-28 21:02:20', 'root', '2022-09-28 21:03:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22594, '2022-10-22', '1935', '6641', '1797', 'root', '2022-10-22 21:02:18', 'root', '2022-10-22 21:03:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22578, '2022-10-06', '8325', '7888', '9734', 'root', '2022-10-06 21:10:32', 'root', '2022-10-06 21:10:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22571, '2022-09-29', '9566', '7975', '2653', 'root', '2022-09-29 21:01:57', 'root', '2022-09-29 21:02:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22590, '2022-10-18', '9215', '5306', '6746', 'root', '2022-10-18 21:59:18', 'root', '2022-10-18 21:59:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22572, '2022-09-30', '3765', '9087', '2041', 'root', '2022-09-30 23:09:33', 'root', '2022-09-30 23:10:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22585, '2022-10-13', '4304', '6715', '0306', 'root', '2022-10-13 21:03:10', 'root', '2022-10-13 21:03:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22579, '2022-10-07', '7607', '8560', '8883', 'root', '2022-10-07 23:12:49', 'root', '2022-10-07 23:14:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22573, '2022-10-01', '0120', '1633', '8349', 'root', '2022-10-01 21:14:39', 'root', '2022-10-01 21:15:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22580, '2022-10-08', '1071', '9572', '6223', 'root', '2022-10-08 22:16:53', 'root', '2022-10-08 22:17:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22586, '2022-10-14', '0892', '9259', '8676', 'root', '2022-10-14 21:27:57', 'root', '2022-10-14 21:28:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22581, '2022-10-09', '9823', '6254', '7076', 'root', '2022-10-09 22:25:38', 'root', '2022-10-09 22:26:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22582, '2022-10-10', '9138', '2765', '6546', 'root', '2022-10-10 21:34:56', 'root', '2022-10-10 21:35:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22591, '2022-10-19', '7956', '9387', '7004', 'root', '2022-10-19 22:02:46', 'root', '2022-10-19 22:03:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22587, '2022-10-15', '1957', '9352', '3224', 'root', '2022-10-16 18:00:46', 'root', '2022-10-16 18:01:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22605, '2022-11-02', '8319', '4120', '9189', 'root', '2022-11-02 21:02:22', 'root', '2022-11-02 21:02:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22588, '2022-10-16', '2000', '7608', '1147', 'root', '2022-10-16 22:34:22', 'root', '2022-10-16 22:34:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22595, '2022-10-23', '8278', '7551', '9271', 'root', '2022-10-23 21:19:36', 'root', '2022-10-23 21:20:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22592, '2022-10-20', '8666', '2750', '2691', 'root', '2022-10-20 21:03:21', 'root', '2022-10-20 21:04:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22598, '2022-10-26', '5758', '1123', '2652', 'root', '2022-10-26 21:11:23', 'root', '2022-10-26 21:12:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22593, '2022-10-21', '2330', '3773', '2239', 'root', '2022-10-21 20:57:34', 'root', '2022-10-21 20:58:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22596, '2022-10-24', '6155', '6150', '0927', 'root', '2022-10-24 21:04:28', 'root', '2022-10-24 21:05:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22600, '2022-10-28', '7134', '1504', '6163', 'root', '2022-10-28 20:58:47', 'root', '2022-10-28 21:00:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22603, '2022-10-31', '2913', '2461', '3051', 'root', '2022-10-31 21:01:31', 'root', '2022-10-31 21:02:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22599, '2022-10-27', '6925', '7975', '6017', 'root', '2022-10-27 20:58:13', 'root', '2022-10-27 21:00:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22602, '2022-10-30', '3950', '5915', '6542', 'root', '2022-10-30 21:11:22', 'root', '2022-10-30 21:11:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22601, '2022-10-29', '5559', '7169', '2118', 'root', '2022-10-29 20:57:57', 'root', '2022-10-29 20:59:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22604, '2022-11-01', '6051', '6065', '1238', 'root', '2022-11-01 21:18:47', 'root', '2022-11-01 21:19:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22606, '2022-11-03', '3514', '5322', '6355', 'root', '2022-11-03 20:59:39', 'root', '2022-11-03 20:59:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22607, '2022-11-04', '4562', '9078', '2483', 'root', '2022-11-04 21:04:12', 'root', '2022-11-04 21:04:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22608, '2022-11-05', '4927', '7959', '4933', 'root', '2022-11-05 20:55:15', 'root', '2022-11-05 21:00:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22609, '2022-11-06', '0522', '4821', '0402', 'root', '2022-11-06 22:37:59', 'root', '2022-11-06 22:38:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22610, '2022-11-07', '0063', '8323', '4067', 'root', '2022-11-07 20:53:12', 'root', '2022-11-07 21:00:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22611, '2022-11-08', '0838', '5353', '2343', 'root', '2022-11-08 20:59:34', 'root', '2022-11-08 21:00:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22612, '2022-11-09', '7419', '7443', '5590', 'root', '2022-11-09 21:14:19', 'root', '2022-11-09 21:14:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22613, '2022-11-10', '8888', '4560', '7234', 'root', '2022-11-10 21:03:21', 'root', '2022-11-10 21:03:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22614, '2022-11-11', '8228', '2227', '7219', 'root', '2022-11-11 20:55:46', 'root', '2022-11-11 21:02:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22615, '2022-11-12', '3325', '3479', '8636', 'root', '2022-11-12 20:59:48', 'root', '2022-11-12 21:00:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22616, '2022-11-13', '2797', '7771', '5021', 'root', '2022-11-13 20:57:01', 'root', '2022-11-13 20:59:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22637, '2022-12-04', '2823', '4696', '9912', 'root', '2022-12-04 21:00:14', 'root', '2022-12-04 21:00:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22617, '2022-11-14', '6863', '6956', '2789', 'root', '2022-11-14 20:59:46', 'root', '2022-11-14 21:00:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22653, '2022-12-20', '0864', '3403', '7099', 'root', '2022-12-20 20:57:21', 'root', '2022-12-20 20:59:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22618, '2022-11-15', '1650', '4182', '3649', 'root', '2022-11-15 21:02:59', 'root', '2022-11-15 21:03:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22638, '2022-12-05', '2969', '8683', '2378', 'root', '2022-12-05 21:05:59', 'root', '2022-12-05 21:06:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22619, '2022-11-16', '5954', '2595', '6161', 'root', '2022-11-16 20:56:08', 'root', '2022-11-16 21:03:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2324, '2023-01-24', '5623', '3391', '2503', 'root', '2023-01-24 21:00:25', 'root', '2023-01-24 21:01:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (231, '2023-01-01', '8145', '7279', '2412', 'root', '2023-01-01 21:07:18', 'root', '2023-01-01 21:07:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22620, '2022-11-17', '7207', '7936', '7524', 'root', '2022-11-17 21:13:14', 'root', '2022-11-17 21:13:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22639, '2022-12-06', '8875', '9989', '3990', 'root', '2022-12-06 21:54:09', 'root', '2022-12-06 21:54:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22621, '2022-11-18', '4969', '6983', '8746', 'root', '2022-11-18 21:00:05', 'root', '2022-11-18 21:00:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22654, '2022-12-21', '5514', '6729', '7947', 'root', '2022-12-21 21:18:10', 'root', '2022-12-21 21:18:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22622, '2022-11-19', '3640', '6558', '9977', 'root', '2022-11-19 20:56:20', 'root', '2022-11-19 20:59:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22640, '2022-12-07', '5022', '5104', '3180', 'root', '2022-12-07 20:58:37', 'root', '2022-12-07 21:05:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22623, '2022-11-20', '0026', '4334', '1852', 'root', '2022-11-20 21:05:57', 'root', '2022-11-20 21:07:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2316, '2023-01-16', '5679', '0933', '8538', 'root', '2023-01-16 21:17:58', 'root', '2023-01-16 21:18:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22624, '2022-11-21', '2268', '5079', '0582', 'root', '2022-11-21 21:29:51', 'root', '2022-11-21 21:30:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22641, '2022-12-08', '6700', '8684', '6590', 'root', '2022-12-08 20:55:56', 'root', '2022-12-08 20:58:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22625, '2022-11-22', '8173', '0760', '1182', 'root', '2022-11-22 21:10:17', 'root', '2022-11-22 21:10:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22655, '2022-12-22', '7454', '2988', '0005', 'root', '2022-12-22 21:07:57', 'root', '2022-12-22 21:08:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22626, '2022-11-23', '7299', '3009', '5825', 'root', '2022-11-23 21:08:06', 'root', '2022-11-23 21:08:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22642, '2022-12-09', '3460', '0928', '4060', 'root', '2022-12-09 21:51:15', 'root', '2022-12-09 21:51:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22627, '2022-11-24', '1955', '3816', '5310', 'root', '2022-11-24 21:00:17', 'root', '2022-11-24 21:01:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2310, '2023-01-10', '4320', '1379', '8997', 'root', '2023-01-10 20:59:33', 'root', '2023-01-10 21:00:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (232, '2023-01-02', '6048', '1819', '4807', 'root', '2023-01-02 20:54:18', 'root', '2023-01-02 20:58:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22628, '2022-11-25', '6853', '9581', '2407', 'root', '2022-11-25 21:00:19', 'root', '2022-11-25 21:01:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22643, '2022-12-10', '3477', '7742', '6751', 'root', '2022-12-10 20:55:59', 'root', '2022-12-10 20:59:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22629, '2022-11-26', '7519', '0237', '8081', 'root', '2022-11-26 21:08:13', 'root', '2022-11-26 21:08:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22656, '2022-12-23', '9986', '8800', '9830', 'root', '2022-12-23 21:22:38', 'root', '2022-12-23 21:23:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22630, '2022-11-27', '8480', '1158', '9567', 'root', '2022-11-27 20:59:49', 'root', '2022-11-27 20:59:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22644, '2022-12-11', '6925', '5656', '3998', 'root', '2022-12-11 22:11:06', 'root', '2022-12-11 22:11:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22631, '2022-11-28', '9021', '7083', '9797', 'root', '2022-11-28 23:01:08', 'root', '2022-11-28 23:01:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22632, '2022-11-29', '0857', '7402', '8414', 'root', '2022-11-29 20:55:42', 'root', '2022-11-29 20:58:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22645, '2022-12-12', '2199', '6232', '5245', 'root', '2022-12-12 21:24:33', 'root', '2022-12-12 21:24:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22633, '2022-11-30', '4284', '2808', '5839', 'root', '2022-11-30 20:58:50', 'root', '2022-11-30 21:00:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22657, '2022-12-24', '1491', '8087', '1357', 'root', '2022-12-24 21:15:38', 'root', '2022-12-24 21:17:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22634, '2022-12-01', '3360', '5552', '5014', 'root', '2022-12-01 22:01:31', 'root', '2022-12-01 22:02:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22646, '2022-12-13', '3910', '8782', '5622', 'root', '2022-12-13 21:45:35', 'root', '2022-12-13 21:46:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22635, '2022-12-02', '1172', '3411', '0282', 'root', '2022-12-02 20:56:22', 'root', '2022-12-02 20:58:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (233, '2023-01-03', '9190', '9312', '9696', 'root', '2023-01-03 20:59:50', 'root', '2023-01-03 21:00:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22636, '2022-12-03', '0387', '6740', '6368', 'root', '2022-12-03 20:57:17', 'root', '2022-12-03 20:58:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22647, '2022-12-14', '9813', '0721', '6095', 'root', '2022-12-14 20:53:04', 'root', '2022-12-14 20:57:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22658, '2022-12-25', '0248', '4286', '8560', 'root', '2022-12-25 21:03:10', 'root', '2022-12-25 21:03:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22648, '2022-12-15', '6338', '4418', '2127', 'root', '2022-12-15 20:54:23', 'root', '2022-12-15 20:58:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22649, '2022-12-16', '5455', '1010', '2118', 'root', '2022-12-16 21:11:00', 'root', '2022-12-16 21:13:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22659, '2022-12-26', '4786', '1523', '0596', 'root', '2022-12-26 20:56:59', 'root', '2022-12-26 20:59:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22650, '2022-12-17', '0445', '4705', '0512', 'root', '2022-12-17 21:42:51', 'root', '2022-12-17 21:44:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2311, '2023-01-11', '4786', '6545', '7045', 'root', '2023-01-11 20:56:42', 'root', '2023-01-11 20:57:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (234, '2023-01-04', '2551', '2941', '4359', 'root', '2023-01-04 21:19:29', 'root', '2023-01-04 21:19:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22651, '2022-12-18', '9057', '1521', '3688', 'root', '2022-12-18 20:54:10', 'root', '2022-12-18 20:58:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22660, '2022-12-27', '8942', '2085', '0553', 'root', '2022-12-27 21:39:39', 'root', '2022-12-27 21:40:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22652, '2022-12-19', '8115', '2520', '8405', 'root', '2022-12-19 21:36:37', 'root', '2022-12-19 21:38:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22661, '2022-12-28', '8856', '0904', '7206', 'root', '2022-12-28 21:16:38', 'root', '2022-12-28 21:17:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2321, '2023-01-21', '3382', '5433', '3784', 'root', '2023-01-21 20:50:56', 'root', '2023-01-21 21:01:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (235, '2023-01-05', '3707', '5538', '5433', 'root', '2023-01-05 20:55:05', 'root', '2023-01-05 20:58:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22662, '2022-12-29', '3678', '0124', '4573', 'root', '2022-12-29 21:54:55', 'root', '2022-12-29 21:55:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2317, '2023-01-17', '0868', '9739', '4993', 'root', '2023-01-17 21:10:19', 'root', '2023-01-17 21:12:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22663, '2022-12-30', '1891', '7988', '5011', 'root', '2022-12-30 20:54:29', 'root', '2022-12-30 20:58:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2312, '2023-01-12', '2202', '5789', '6540', 'root', '2023-01-12 20:57:26', 'root', '2023-01-12 21:00:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (236, '2023-01-06', '7764', '5926', '4597', 'root', '2023-01-06 20:59:38', 'root', '2023-01-06 21:00:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (22664, '2022-12-31', '1872', '3509', '6623', 'root', '2022-12-31 21:23:10', 'root', '2022-12-31 21:23:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (237, '2023-01-07', '2023', '9394', '0055', 'root', '2023-01-07 21:10:12', 'root', '2023-01-07 21:10:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2313, '2023-01-13', '7642', '3154', '9934', 'root', '2023-01-13 20:57:50', 'root', '2023-01-13 20:58:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (238, '2023-01-08', '5195', '1443', '8828', 'root', '2023-01-08 22:02:44', 'root', '2023-01-08 22:03:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (239, '2023-01-09', '1969', '6720', '1713', 'root', '2023-01-09 21:55:09', 'root', '2023-01-09 21:57:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2318, '2023-01-18', '1671', '9010', '2801', 'root', '2023-01-18 21:02:09', 'root', '2023-01-18 21:04:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2314, '2023-01-14', '4543', '7981', '7845', 'root', '2023-01-14 20:57:49', 'root', '2023-01-14 21:00:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2332, '2023-02-01', '0508', '8642', '3939', 'root', '2023-02-01 21:20:45', 'root', '2023-02-01 21:21:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2315, '2023-01-15', '8698', '4670', '5296', 'root', '2023-01-15 20:55:36', 'root', '2023-01-15 20:58:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2322, '2023-01-22', '3111', '6617', '7989', 'root', '2023-01-22 22:10:06', 'root', '2023-01-22 22:10:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2319, '2023-01-19', '7635', '8210', '8887', 'root', '2023-01-19 21:11:37', 'root', '2023-01-19 21:12:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2325, '2023-01-25', '6293', '1979', '8434', 'root', '2023-01-25 21:13:30', 'root', '2023-01-25 21:14:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2320, '2023-01-20', '6416', '3328', '8450', 'root', '2023-01-20 21:04:32', 'root', '2023-01-20 21:04:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2323, '2023-01-23', '1881', '6728', '4760', 'root', '2023-01-23 21:26:44', 'root', '2023-01-23 21:27:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2327, '2023-01-27', '2830', '9080', '7750', 'root', '2023-01-27 20:54:47', 'root', '2023-01-27 20:58:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2330, '2023-01-30', '6267', '9036', '5883', 'root', '2023-01-30 22:13:23', 'root', '2023-01-30 22:16:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2326, '2023-01-26', '4305', '6426', '5020', 'root', '2023-01-26 21:24:16', 'root', '2023-01-26 21:24:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2329, '2023-01-29', '7127', '5431', '6163', 'root', '2023-01-29 20:51:46', 'root', '2023-01-29 20:57:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2328, '2023-01-28', '1814', '2924', '0907', 'root', '2023-01-28 21:00:30', 'root', '2023-01-28 21:01:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2331, '2023-01-31', '2062', '4844', '3248', 'root', '2023-01-31 20:57:00', 'root', '2023-01-31 20:58:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2333, '2023-02-02', '1254', '6813', '2601', 'root', '2023-02-02 21:23:11', 'root', '2023-02-02 21:23:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2334, '2023-02-03', '8989', '1445', '6069', 'root', '2023-02-04 02:09:41', 'root', '2023-02-04 02:11:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2335, '2023-02-04', '3362', '1183', '7525', 'root', '2023-02-04 20:52:28', 'root', '2023-02-04 21:01:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2336, '2023-02-05', '5592', '2779', '6515', 'root', '2023-02-05 20:54:24', 'root', '2023-02-05 20:57:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2337, '2023-02-06', '1074', '6828', '3003', 'root', '2023-02-06 20:54:48', 'root', '2023-02-06 20:58:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2338, '2023-02-07', '4145', '0549', '1818', 'root', '2023-02-07 21:46:08', 'root', '2023-02-07 21:47:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2339, '2023-02-08', '3795', '7276', '3395', 'root', '2023-02-08 21:04:45', 'root', '2023-02-08 21:05:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2340, '2023-02-09', '7279', '0625', '6156', 'root', '2023-02-09 21:15:40', 'root', '2023-02-09 21:16:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2341, '2023-02-10', '4723', '2340', '4182', 'root', '2023-02-10 21:05:53', 'root', '2023-02-10 21:07:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2363, '2023-03-04', '2126', '4898', '8961', 'root', '2023-03-04 21:05:45', 'root', '2023-03-04 21:07:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2342, '2023-02-11', '2858', '4013', '5387', 'root', '2023-02-11 21:02:01', 'root', '2023-02-11 21:02:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2379, '2023-03-20', '3453', '1191', '1630', 'root', '2023-03-20 21:01:34', 'root', '2023-03-20 21:02:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2343, '2023-02-12', '7336', '4068', '6725', 'root', '2023-02-12 20:55:53', 'root', '2023-02-12 20:59:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2364, '2023-03-05', '9549', '1798', '3678', 'root', '2023-03-05 20:54:48', 'root', '2023-03-05 20:57:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2344, '2023-02-13', '6463', '4663', '1723', 'root', '2023-02-13 21:09:47', 'root', '2023-02-13 21:10:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2391, '2023-04-01', '2196', '0176', '2656', 'root', '2023-04-01 21:05:14', 'root', '2023-04-01 21:08:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2345, '2023-02-14', '5551', '7331', '3356', 'root', '2023-02-14 21:01:20', 'root', '2023-02-14 21:01:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2365, '2023-03-06', '7379', '2033', '4597', 'root', '2023-03-06 21:03:16', 'root', '2023-03-06 21:03:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2346, '2023-02-15', '6392', '8430', '3604', 'root', '2023-02-15 21:41:13', 'root', '2023-02-15 21:41:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2380, '2023-03-21', '8328', '8487', '9529', 'root', '2023-03-22 01:01:53', 'root', '2023-03-22 01:02:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2366, '2023-03-07', '2083', '8052', '5381', 'root', '2023-03-07 20:54:21', 'root', '2023-03-07 20:58:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2347, '2023-02-16', '7747', '5842', '0244', 'root', '2023-02-16 21:05:45', 'root', '2023-02-16 21:06:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2348, '2023-02-17', '0898', '2807', '1438', 'root', '2023-02-17 21:00:35', 'root', '2023-02-17 21:01:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23108, '2023-04-18', '4869', '2134', '6253', 'admintoto', '2023-04-18 20:49:23', 'admintoto', '2023-04-18 20:59:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2367, '2023-03-08', '6209', '7912', '1274', 'root', '2023-03-08 20:58:08', 'root', '2023-03-08 20:58:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2349, '2023-02-18', '3314', '5468', '5936', 'root', '2023-02-18 21:07:08', 'root', '2023-02-18 21:07:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2350, '2023-02-19', '9702', '0984', '7125', 'root', '2023-02-19 21:21:13', 'root', '2023-02-19 21:21:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2381, '2023-03-22', '1338', '7512', '7341', 'root', '2023-03-22 21:37:10', 'root', '2023-03-22 21:37:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2368, '2023-03-09', '8643', '1574', '7104', 'root', '2023-03-09 20:55:55', 'root', '2023-03-09 21:16:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2351, '2023-02-20', '9056', '0931', '4305', 'root', '2023-02-20 20:54:45', 'root', '2023-02-20 20:59:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2352, '2023-02-21', '5376', '9086', '4591', 'root', '2023-02-21 22:02:20', 'root', '2023-02-21 22:03:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2392, '2023-04-02', '6834', '4085', '1425', 'root', '2023-04-02 20:56:17', 'root', '2023-04-02 21:00:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2353, '2023-02-22', '5157', '1313', '8275', 'root', '2023-02-22 21:04:39', 'root', '2023-02-22 21:05:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2369, '2023-03-10', '8791', '2342', '3578', 'root', '2023-03-10 20:58:22', 'root', '2023-03-10 21:00:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2354, '2023-02-23', '1663', '7477', '3328', 'root', '2023-02-23 20:57:24', 'root', '2023-02-23 20:58:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2382, '2023-03-23', '1325', '5799', '5881', 'root', '2023-03-23 20:59:57', 'root', '2023-03-23 21:02:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2355, '2023-02-24', '8838', '7531', '6497', 'root', '2023-02-24 20:55:01', 'root', '2023-02-24 20:59:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2370, '2023-03-11', '0288', '4827', '6145', 'root', '2023-03-11 20:54:37', 'root', '2023-03-11 21:00:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2356, '2023-02-25', '6358', '7623', '6442', 'root', '2023-02-25 20:53:35', 'root', '2023-02-25 20:59:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23100, '2023-04-10', '0796', '5279', '4343', 'admintoto', '2023-04-10 21:01:54', 'admintoto', '2023-04-10 21:07:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2357, '2023-02-26', '7434', '5028', '9768', 'root', '2023-02-26 20:53:09', 'root', '2023-02-26 20:58:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2371, '2023-03-12', '3042', '9616', '6269', 'root', '2023-03-12 20:55:04', 'root', '2023-03-12 21:00:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2358, '2023-02-27', '1826', '9371', '2118', 'root', '2023-02-27 22:46:56', 'root', '2023-02-27 22:47:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2383, '2023-03-24', '1630', '4838', '9661', 'root', '2023-03-24 20:58:16', 'root', '2023-03-24 21:00:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2359, '2023-02-28', '3657', '3662', '2881', 'root', '2023-02-28 21:27:40', 'root', '2023-02-28 21:28:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2372, '2023-03-13', '1217', '5485', '1692', 'root', '2023-03-13 20:55:10', 'root', '2023-03-13 20:59:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2360, '2023-03-01', '6784', '2936', '3914', 'root', '2023-03-01 21:26:53', 'root', '2023-03-01 21:27:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2393, '2023-04-03', '5224', '9055', '0319', 'root', '2023-04-03 20:52:43', 'root', '2023-04-03 20:58:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2361, '2023-03-02', '7150', '6320', '4115', 'root', '2023-03-02 20:52:20', 'root', '2023-03-02 20:58:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2373, '2023-03-14', '5814', '0704', '3132', 'root', '2023-03-14 20:57:01', 'root', '2023-03-14 21:00:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2362, '2023-03-03', '9828', '5431', '4974', 'root', '2023-03-03 20:52:32', 'root', '2023-03-03 20:58:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2384, '2023-03-25', '5764', '2132', '6687', 'root', '2023-03-25 20:55:46', 'root', '2023-03-25 20:58:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23114, '2023-04-24', '3215', '4510', '0126', 'admintoto', '2023-04-24 20:07:13', 'admintoto', '2023-04-24 21:02:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2374, '2023-03-15', '9691', '6175', '1496', 'root', '2023-03-15 21:12:38', 'root', '2023-03-15 21:14:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2385, '2023-03-26', '0365', '4102', '6368', 'root', '2023-03-26 20:53:58', 'root', '2023-03-26 20:58:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2375, '2023-03-16', '9594', '4880', '8820', 'root', '2023-03-16 21:14:08', 'root', '2023-03-16 21:14:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2394, '2023-04-04', '4484', '4261', '0786', 'root', '2023-04-04 15:04:27', 'root', '2023-04-04 20:59:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2376, '2023-03-17', '8458', '4309', '0460', 'root', '2023-03-17 21:33:55', 'root', '2023-03-17 21:34:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2386, '2023-03-27', '8412', '1148', '8673', 'root', '2023-03-27 21:03:14', 'root', '2023-03-27 21:03:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2377, '2023-03-18', '2928', '3172', '1125', 'root', '2023-03-18 21:27:48', 'root', '2023-03-18 21:28:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23101, '2023-04-11', '8384', '0456', '5719', 'admintoto', '2023-04-11 20:53:42', 'admintoto', '2023-04-11 21:01:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2378, '2023-03-19', '1020', '6987', '4013', 'root', '2023-03-19 21:33:56', 'root', '2023-03-19 21:34:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23105, '2023-04-15', '8083', '8605', '3467', 'admintoto', '2023-04-15 14:38:13', 'admintoto', '2023-04-15 21:04:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2387, '2023-03-28', '3391', '1605', '1647', 'root', '2023-03-28 20:55:17', 'root', '2023-03-28 20:58:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2395, '2023-04-05', '1387', '6902', '3143', 'root', '2023-04-05 20:54:49', 'root', '2023-04-05 20:58:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2388, '2023-03-29', '5490', '3444', '3196', 'root', '2023-03-29 20:59:55', 'root', '2023-03-29 21:00:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23102, '2023-04-12', '9852', '2170', '0514', 'admintoto', '2023-04-12 20:51:39', 'admintoto', '2023-04-12 21:05:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2389, '2023-03-30', '0550', '5760', '0231', 'root', '2023-03-30 21:00:33', 'root', '2023-03-30 21:01:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2396, '2023-04-06', '5819', '5527', '6976', 'root', '2023-04-06 20:58:20', 'root', '2023-04-06 20:59:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2390, '2023-03-31', '7273', '5246', '6511', 'root', '2023-03-31 21:16:28', 'root', '2023-03-31 21:17:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23109, '2023-04-19', '6806', '2391', '0679', 'admintoto', '2023-04-19 20:39:52', 'admintoto', '2023-04-19 21:00:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2397, '2023-04-07', '4134', '6339', '0268', 'root', '2023-04-07 21:01:10', 'root', '2023-04-07 21:04:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23103, '2023-04-13', '7540', '3435', '6184', 'admintoto', '2023-04-13 20:58:30', 'admintoto', '2023-04-13 21:04:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2398, '2023-04-08', '1647', '2179', '9357', 'root', '2023-04-08 21:02:31', 'root', '2023-04-08 21:04:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23112, '2023-04-22', '5190', '6763', '3753', 'admintoto', '2023-04-22 20:58:48', 'admintoto', '2023-04-22 21:03:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23106, '2023-04-16', '2938', '4092', '4881', 'admintoto', '2023-04-16 20:31:44', 'admintoto', '2023-04-16 21:02:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2399, '2023-04-09', '7332', '1296', '3411', 'root', '2023-04-09 20:55:22', 'root', '2023-04-09 20:59:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23104, '2023-04-14', '4625', '1039', '2074', 'admintoto', '2023-04-14 20:52:13', 'root', '2023-04-14 21:43:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23110, '2023-04-20', '7035', '7868', '0359', 'admintoto', '2023-04-20 20:50:48', 'admintoto', '2023-04-20 21:02:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23107, '2023-04-17', '1580', '0195', '3077', 'admintoto', '2023-04-17 20:52:39', 'admintoto', '2023-04-17 20:59:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23116, '2023-04-26', '4074', '4897', '1770', 'admintoto', '2023-04-26 21:01:23', 'admintoto', '2023-04-26 21:01:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23113, '2023-04-23', '0182', '5129', '3212', 'admintoto', '2023-04-23 20:41:59', 'admintoto', '2023-04-23 20:58:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23111, '2023-04-21', '5415', '5628', '3841', 'admintoto', '2023-04-21 20:52:57', 'admintoto', '2023-04-21 21:02:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23115, '2023-04-25', '5466', '0921', '6680', 'admintoto', '2023-04-25 21:01:35', 'admintoto', '2023-04-25 21:02:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23119, '2023-04-29', '0285', '8068', '6348', 'admintoto', '2023-04-29 20:54:33', 'admintoto', '2023-04-29 20:59:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23117, '2023-04-27', '9507', '9666', '8688', 'admintoto', '2023-04-27 20:50:30', 'admintoto', '2023-04-27 21:02:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23118, '2023-04-28', '4197', '2974', '5892', 'admintoto', '2023-04-28 20:51:35', 'admintoto', '2023-04-28 20:58:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23120, '2023-04-30', '8176', '6527', '5472', 'admintoto', '2023-04-30 20:56:21', 'admintoto', '2023-04-30 20:59:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23121, '2023-05-01', '9367', '3037', '4285', 'admintoto', '2023-05-01 21:01:54', 'admintoto', '2023-05-01 21:04:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23122, '2023-05-02', '8469', '8826', '9632', 'admintoto', '2023-05-02 20:59:34', 'admintoto', '2023-05-02 20:59:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23123, '2023-05-03', '5201', '4130', '9872', 'admintoto', '2023-05-03 21:03:45', 'admintoto', '2023-05-03 21:06:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23124, '2023-05-04', '0568', '3944', '2952', 'admintoto', '2023-05-04 21:08:08', 'admintoto', '2023-05-04 21:08:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23125, '2023-05-05', '9112', '9606', '7293', 'admintoto', '2023-05-05 20:58:42', 'admintoto', '2023-05-05 20:59:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23126, '2023-05-06', '3037', '4651', '7316', 'admintoto', '2023-05-06 20:20:20', 'admintoto', '2023-05-06 21:10:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23127, '2023-05-07', '1263', '7049', '0209', 'admintoto', '2023-05-07 20:59:43', 'admintoto', '2023-05-07 21:00:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23169, '2023-06-18', '4936', '1669', '6551', 'admintoto', '2023-06-18 20:51:51', 'admintoto', '2023-06-18 20:56:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23146, '2023-05-26', '3797', '1935', '1016', 'admintoto', '2023-05-26 20:59:49', 'admintoto', '2023-05-26 21:00:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23128, '2023-05-08', '4302', '5693', '3854', 'admintoto', '2023-05-08 21:04:35', 'admintoto', '2023-05-08 21:04:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23159, '2023-06-08', '3986', '8462', '1618', 'admintoto', '2023-06-08 20:59:10', 'admintoto', '2023-06-08 22:11:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23129, '2023-05-09', '6810', '4870', '3807', 'admintoto', '2023-05-09 20:47:27', 'admintoto', '2023-05-09 20:57:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23147, '2023-05-27', '5005', '3386', '9361', 'admintoto', '2023-05-27 21:02:26', 'admintoto', '2023-05-27 21:02:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23130, '2023-05-10', '8412', '9596', '8210', 'admintoto', '2023-05-10 20:56:05', 'admintoto', '2023-05-10 20:58:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23131, '2023-05-11', '4374', '3821', '5799', 'admintoto', '2023-05-11 20:49:05', 'admintoto', '2023-05-11 20:59:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23148, '2023-05-28', '8304', '5159', '1095', 'admintoto', '2023-05-28 20:57:29', 'admintoto', '2023-05-28 20:59:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23132, '2023-05-12', '6840', '2971', '1609', 'admintoto', '2023-05-12 20:59:25', 'admintoto', '2023-05-12 20:59:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23160, '2023-06-09', '3053', '4568', '5228', 'admintoto', '2023-06-09 20:43:08', 'admintoto', '2023-06-09 20:59:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23133, '2023-05-13', '9051', '8726', '4147', 'admintoto', '2023-05-13 20:44:44', 'admintoto', '2023-05-13 20:58:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23149, '2023-05-29', '0216', '0018', '4440', 'admintoto', '2023-05-29 20:53:58', 'admintoto', '2023-05-29 20:58:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23134, '2023-05-14', '3371', '0179', '5933', 'admintoto', '2023-05-14 20:11:16', 'admintoto', '2023-05-14 21:00:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23182, '2023-07-01', '7562', '1757', '6344', 'admintoto', '2023-07-01 20:13:10', 'admintoto', '2023-07-01 20:57:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23135, '2023-05-15', '9171', '5746', '6728', 'admintoto', '2023-05-15 15:04:46', 'admintoto', '2023-05-15 20:58:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23170, '2023-06-19', '8612', '6716', '9195', 'admintoto', '2023-06-19 20:53:36', 'admintoto', '2023-06-19 20:55:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23150, '2023-05-30', '1374', '8316', '2084', 'admintoto', '2023-05-30 12:58:44', 'admintoto', '2023-05-30 20:59:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23136, '2023-05-16', '2624', '4434', '8571', 'admintoto', '2023-05-16 21:03:54', 'admintoto', '2023-05-16 21:04:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23161, '2023-06-10', '8579', '6557', '9448', 'admintoto', '2023-06-10 21:03:11', 'admintoto', '2023-06-10 21:03:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23137, '2023-05-17', '1095', '0053', '8267', 'admintoto', '2023-05-17 21:01:14', 'admintoto', '2023-05-17 21:01:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23151, '2023-05-31', '9202', '3691', '4536', 'admintoto', '2023-05-31 20:49:51', 'admintoto', '2023-05-31 20:59:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23138, '2023-05-18', '3142', '5623', '4280', 'admintoto', '2023-05-18 20:50:44', 'admintoto', '2023-05-18 20:57:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23139, '2023-05-19', '4269', '2979', '1624', 'admintoto', '2023-05-19 20:51:55', 'admintoto', '2023-05-19 21:00:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23162, '2023-06-11', '4772', '1605', '6855', 'admintoto', '2023-06-11 21:02:54', 'admintoto', '2023-06-11 21:03:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23140, '2023-05-20', '5337', '9318', '0416', 'admintoto', '2023-05-20 19:57:50', 'admintoto', '2023-05-20 21:00:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23152, '2023-06-01', '8072', '5656', '9621', 'admintoto', '2023-06-01 20:57:06', 'admintoto', '2023-06-01 20:57:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23141, '2023-05-21', '9838', '9391', '9726', 'admintoto', '2023-05-21 21:02:52', 'admintoto', '2023-05-21 21:03:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23142, '2023-05-22', '1496', '6427', '9509', 'admintoto', '2023-05-22 20:59:14', 'admintoto', '2023-05-22 20:59:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23177, '2023-06-26', '3681', '1941', '6941', 'admintoto', '2023-06-26 20:51:30', 'admintoto', '2023-06-26 20:57:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23153, '2023-06-02', '9310', '7162', '4886', 'admintoto', '2023-06-02 20:50:58', 'admintoto', '2023-06-02 20:59:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23143, '2023-05-23', '7453', '5830', '7648', 'admintoto', '2023-05-23 14:48:13', 'admintoto', '2023-05-23 21:04:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23144, '2023-05-24', '6932', '7910', '5587', 'admintoto', '2023-05-24 20:52:31', 'admintoto', '2023-05-24 20:56:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23163, '2023-06-12', '6053', '6042', '0769', 'admintoto', '2023-06-12 20:51:19', 'admintoto', '2023-06-12 20:57:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23154, '2023-06-03', '9827', '6931', '0220', 'admintoto', '2023-06-03 20:22:33', 'admintoto', '2023-06-03 20:58:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23145, '2023-05-25', '6351', '7570', '1715', 'admintoto', '2023-05-25 20:57:59', 'admintoto', '2023-05-25 20:58:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23171, '2023-06-20', '6735', '0017', '7210', 'admintoto', '2023-06-20 20:10:19', 'admintoto', '2023-06-20 20:59:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23155, '2023-06-04', '7621', '9612', '2038', 'admintoto', '2023-06-04 20:19:48', 'admintoto', '2023-06-04 21:00:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23164, '2023-06-13', '1840', '0599', '8689', 'admintoto', '2023-06-13 20:55:31', 'admintoto', '2023-06-13 21:58:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23156, '2023-06-05', '2269', '5617', '8698', 'admintoto', '2023-06-05 21:00:38', 'admintoto', '2023-06-05 21:01:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23157, '2023-06-06', '2902', '7277', '5950', 'admintoto', '2023-06-06 20:53:02', 'admintoto', '2023-06-06 20:57:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23165, '2023-06-14', '7167', '8477', '6187', 'admintoto', '2023-06-14 21:01:45', 'admintoto', '2023-06-14 21:02:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23158, '2023-06-07', '8254', '1978', '3791', 'admintoto', '2023-06-07 20:57:35', 'admintoto', '2023-06-07 20:59:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23172, '2023-06-21', '6732', '8039', '2174', 'admintoto', '2023-06-21 20:49:05', 'admintoto', '2023-06-21 21:00:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23178, '2023-06-27', '2870', '6540', '8752', 'admintoto', '2023-06-27 20:43:07', 'admintoto', '2023-06-27 21:00:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23166, '2023-06-15', '2937', '6273', '3534', 'admintoto', '2023-06-15 20:52:27', 'admintoto', '2023-06-15 20:57:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23173, '2023-06-22', '2089', '7420', '4238', 'admintoto', '2023-06-22 20:26:48', 'admintoto', '2023-06-22 20:58:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23167, '2023-06-16', '5127', '6503', '4641', 'admintoto', '2023-06-16 21:00:24', 'admintoto', '2023-06-16 21:00:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23183, '2023-07-02', '1325', '4565', '8546', 'admintoto', '2023-07-02 20:45:39', 'admintoto', '2023-07-02 20:56:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23168, '2023-06-17', '6148', '5550', '2794', 'admintoto', '2023-06-17 20:55:30', 'admintoto', '2023-06-17 20:57:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23179, '2023-06-28', '2419', '6887', '7019', 'admintoto', '2023-06-28 20:25:10', 'admintoto', '2023-06-28 21:01:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23174, '2023-06-23', '8010', '1985', '7973', 'admintoto', '2023-06-23 20:59:23', 'admintoto', '2023-06-23 20:59:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23192, '2023-07-11', '3416', '5103', '9823', 'admintoto', '2023-07-11 20:37:07', 'admintoto', '2023-07-11 20:57:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23187, '2023-07-06', '1450', '3475', '0727', 'admintoto', '2023-07-06 21:02:31', 'admintoto', '2023-07-06 21:03:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23175, '2023-06-24', '2085', '4379', '4678', 'admintoto', '2023-06-24 20:49:03', 'admintoto', '2023-06-24 20:57:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23180, '2023-06-29', '4450', '3984', '8642', 'admintoto', '2023-06-29 20:49:56', 'admintoto', '2023-06-29 20:59:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23176, '2023-06-25', '3415', '0432', '6941', 'admintoto', '2023-06-25 20:49:22', 'admintoto', '2023-06-25 20:57:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23184, '2023-07-03', '2502', '4228', '6297', 'admintoto', '2023-07-03 20:58:38', 'admintoto', '2023-07-03 20:59:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23181, '2023-06-30', '0683', '7979', '8380', 'admintoto', '2023-06-30 20:30:01', 'admintoto', '2023-06-30 20:57:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23190, '2023-07-09', '1035', '0819', '8143', 'admintoto', '2023-07-09 21:00:17', 'admintoto', '2023-07-09 21:00:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23185, '2023-07-04', '1697', '2853', '7432', 'admintoto', '2023-07-04 21:00:34', 'admintoto', '2023-07-04 21:03:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23188, '2023-07-07', '9727', '6026', '5838', 'admintoto', '2023-07-07 20:46:08', 'admintoto', '2023-07-07 20:59:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23186, '2023-07-05', '5048', '7029', '6281', 'admintoto', '2023-07-05 21:12:36', 'admintoto', '2023-07-05 21:12:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23189, '2023-07-08', '0132', '6471', '4129', 'admintoto', '2023-07-08 20:51:50', 'admintoto', '2023-07-08 20:58:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23191, '2023-07-10', '7879', '2524', '0307', 'admintoto', '2023-07-10 20:48:27', 'admintoto', '2023-07-10 21:00:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23196, '2023-07-15', '9517', '6208', '0357', 'admintoto', '2023-07-15 20:43:42', 'admintoto', '2023-07-15 20:56:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23194, '2023-07-13', '4676', '0798', '2389', 'admintoto', '2023-07-13 21:02:53', 'admintoto', '2023-07-13 21:03:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23193, '2023-07-12', '6981', '0452', '1353', 'admintoto', '2023-07-12 20:51:57', 'admintoto', '2023-07-12 20:58:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23195, '2023-07-14', '2779', '4171', '6401', 'admintoto', '2023-07-14 20:48:06', 'admintoto', '2023-07-14 20:56:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23197, '2023-07-16', '7714', '4109', '1593', 'admintoto', '2023-07-16 21:11:38', 'admintoto', '2023-07-16 21:11:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23198, '2023-07-17', '4207', '2241', '6088', 'admintoto', '2023-07-17 21:04:21', 'admintoto', '2023-07-17 21:04:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23199, '2023-07-18', '2646', '1850', '4946', 'admintoto', '2023-07-18 20:55:23', 'admintoto', '2023-07-18 21:57:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23200, '2023-07-19', '0708', '2570', '5034', 'admintoto', '2023-07-19 20:36:49', 'admintoto', '2023-07-19 20:57:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23201, '2023-07-20', '1314', '2861', '9149', 'admintoto', '2023-07-20 20:31:58', 'admintoto', '2023-07-20 20:56:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23202, '2023-07-21', '9223', '2160', '5046', 'admintoto', '2023-07-21 20:49:47', 'admintoto', '2023-07-21 20:58:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23203, '2023-07-22', '0752', '3338', '2359', 'admintoto', '2023-07-22 20:57:16', 'admintoto', '2023-07-22 20:57:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23204, '2023-07-23', '3291', '5020', '4677', 'admintoto', '2023-07-23 20:22:58', 'admintoto', '2023-07-24 20:32:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23205, '2023-07-24', '7278', '3183', '6895', 'admintoto', '2023-07-24 20:32:33', 'admintoto', '2023-07-24 20:59:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23237, '2023-08-25', '5863', '0753', '4333', 'admintoto', '2023-08-25 20:54:16', 'admintoto', '2023-08-25 20:56:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23206, '2023-07-25', '5696', '0238', '8729', 'admintoto', '2023-07-25 20:37:21', 'admintoto', '2023-07-25 20:56:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23224, '2023-08-12', '9040', '0929', '3659', 'admintoto', '2023-08-12 20:52:54', 'admintoto', '2023-08-12 20:57:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23207, '2023-07-26', '0119', '4882', '6196', 'admintoto', '2023-07-26 20:27:16', 'admintoto', '2023-07-26 21:00:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23263, '2023-09-20', '4294', '1749', '0117', 'admintoto', '2023-09-20 20:50:39', 'admintoto', '2023-09-20 20:57:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23247, '2023-09-04', '6266', '3819', '4191', 'admintoto', '2023-09-04 20:51:16', 'admintoto', '2023-09-04 20:57:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23208, '2023-07-27', '6865', '4706', '8285', 'admintoto', '2023-07-27 14:07:36', 'admintoto', '2023-07-27 20:59:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23225, '2023-08-13', '2157', '8222', '0307', 'admintoto', '2023-08-13 20:47:16', 'admintoto', '2023-08-13 20:57:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23209, '2023-07-28', '1453', '4996', '5165', 'admintoto', '2023-07-28 20:52:07', 'admintoto', '2023-07-28 20:57:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23238, '2023-08-26', '0519', '6404', '9670', 'admintoto', '2023-08-26 21:01:38', 'admintoto', '2023-08-26 21:01:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23210, '2023-07-29', '8895', '6317', '0769', 'admintoto', '2023-07-29 20:42:29', 'admintoto', '2023-07-29 20:56:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23226, '2023-08-14', '4354', '9414', '5004', 'admintoto', '2023-08-14 20:13:58', 'admintoto', '2023-08-14 20:56:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23211, '2023-07-30', '8670', '9581', '2398', 'admintoto', '2023-07-30 21:03:07', 'admintoto', '2023-07-30 21:04:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23259, '2023-09-16', '2182', '0691', '9285', 'admintoto', '2023-09-16 20:47:58', 'admintoto', '2023-09-16 20:58:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23212, '2023-07-31', '5362', '6661', '1308', 'admintoto', '2023-07-31 20:50:38', 'admintoto', '2023-07-31 20:57:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23227, '2023-08-15', '9417', '4617', '0172', 'admintoto', '2023-08-15 20:59:55', 'admintoto', '2023-08-15 21:00:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23213, '2023-08-01', '0225', '5360', '6859', 'admintoto', '2023-08-01 21:02:02', 'admintoto', '2023-08-01 21:02:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23239, '2023-08-27', '2410', '8616', '5824', 'admintoto', '2023-08-27 21:03:07', 'admintoto', '2023-08-27 21:03:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23214, '2023-08-02', '8145', '7013', '9923', 'admintoto', '2023-08-02 21:01:08', 'admintoto', '2023-08-02 21:02:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23228, '2023-08-16', '5213', '8784', '6867', 'admintoto', '2023-08-16 20:40:04', 'admintoto', '2023-08-16 21:00:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23215, '2023-08-03', '5289', '8056', '3656', 'admintoto', '2023-08-03 20:50:07', 'admintoto', '2023-08-03 21:00:15');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23254, '2023-09-11', '8433', '3202', '7140', 'admintoto', '2023-09-11 21:02:45', 'admintoto', '2023-09-11 21:03:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23248, '2023-09-05', '7207', '8877', '0100', 'admintoto', '2023-09-05 19:02:38', 'admintoto', '2023-09-05 21:04:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23216, '2023-08-04', '8312', '6928', '5030', 'admintoto', '2023-08-04 21:13:08', 'admintoto', '2023-08-04 21:13:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23229, '2023-08-17', '9032', '1512', '8125', 'admintoto', '2023-08-17 21:08:03', 'admintoto', '2023-08-17 21:09:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23217, '2023-08-05', '3017', '4560', '8526', 'admintoto', '2023-08-05 20:58:21', 'admintoto', '2023-08-05 20:58:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23240, '2023-08-28', '4076', '0272', '6594', 'admintoto', '2023-08-28 20:56:29', 'admintoto', '2023-08-28 20:56:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23218, '2023-08-06', '2237', '4058', '9961', 'admintoto', '2023-08-06 20:58:41', 'admintoto', '2023-08-06 20:59:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23230, '2023-08-18', '1549', '0411', '0009', 'admintoto', '2023-08-18 21:02:59', 'admintoto', '2023-08-18 21:03:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23219, '2023-08-07', '1858', '6530', '8159', 'admintoto', '2023-08-07 20:57:52', 'admintoto', '2023-08-07 20:58:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23220, '2023-08-08', '8429', '0240', '5872', 'admintoto', '2023-08-08 20:35:31', 'admintoto', '2023-08-08 21:02:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23231, '2023-08-19', '3721', '0274', '4336', 'admintoto', '2023-08-19 21:05:13', 'admintoto', '2023-08-19 21:05:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23221, '2023-08-09', '6654', '5375', '9380', 'admintoto', '2023-08-09 21:01:57', 'admintoto', '2023-08-09 21:02:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23241, '2023-08-29', '1522', '0329', '8557', 'admintoto', '2023-08-29 20:52:41', 'admintoto', '2023-08-29 20:56:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23222, '2023-08-10', '4331', '2406', '5844', 'admintoto', '2023-08-10 20:38:47', 'admintoto', '2023-08-10 23:04:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23232, '2023-08-20', '5786', '1907', '8116', 'admintoto', '2023-08-20 20:57:31', 'admintoto', '2023-08-20 21:03:02');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23223, '2023-08-11', '7447', '1794', '4720', 'admintoto', '2023-08-11 21:00:11', 'admintoto', '2023-08-11 21:01:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23249, '2023-09-06', '6258', '3450', '7627', 'admintoto', '2023-09-06 20:48:34', 'admintoto', '2023-09-06 20:57:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23233, '2023-08-21', '9652', '4763', '5363', 'admintoto', '2023-08-21 20:59:53', 'admintoto', '2023-08-21 21:00:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23242, '2023-08-30', '5539', '6385', '4920', 'admintoto', '2023-08-30 21:03:45', 'admintoto', '2023-08-30 21:09:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23234, '2023-08-22', '8758', '2582', '0263', 'admintoto', '2023-08-22 21:07:44', 'admintoto', '2023-08-22 21:08:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23235, '2023-08-23', '0631', '3100', '4865', 'admintoto', '2023-08-23 20:59:57', 'admintoto', '2023-08-23 21:00:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23266, '2023-09-23', '2376', '6831', '7742', 'admintoto', '2023-09-23 20:56:00', 'admintoto', '2023-09-23 21:00:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23243, '2023-08-31', '7877', '9850', '1223', 'admintoto', '2023-08-31 20:58:05', 'admintoto', '2023-08-31 21:00:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23236, '2023-08-24', '7309', '3675', '1520', 'admintoto', '2023-08-24 20:55:47', 'admintoto', '2023-08-24 20:56:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23250, '2023-09-07', '9292', '5822', '4869', 'admintoto', '2023-09-07 20:44:45', 'admintoto', '2023-09-07 20:56:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23255, '2023-09-12', '1019', '1342', '6458', 'admintoto', '2023-09-12 14:53:42', 'admintoto', '2023-09-12 14:59:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23244, '2023-09-01', '8899', '3861', '9193', 'admintoto', '2023-09-01 20:58:38', 'admintoto', '2023-09-01 20:59:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23251, '2023-09-08', '5744', '9730', '0617', 'admintoto', '2023-09-08 20:47:39', 'admintoto', '2023-09-08 20:57:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23245, '2023-09-02', '6446', '1204', '0968', 'admintoto', '2023-09-02 20:30:52', 'admintoto', '2023-09-02 20:59:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23260, '2023-09-17', '8775', '5968', '7980', 'admintoto', '2023-09-17 20:55:12', 'admintoto', '2023-09-17 20:57:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23246, '2023-09-03', '2366', '0312', '3384', 'admintoto', '2023-09-03 20:57:08', 'admintoto', '2023-09-03 20:57:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23256, '2023-09-13', '1499', '4222', '1882', 'admintoto', '2023-09-13 20:38:16', 'admintoto', '2023-09-13 20:57:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23252, '2023-09-09', '2139', '9927', '8367', 'admintoto', '2023-09-09 20:54:23', 'admintoto', '2023-09-09 20:56:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23253, '2023-09-10', '4662', '7748', '2140', 'admintoto', '2023-09-10 20:52:04', 'admintoto', '2023-09-10 20:57:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23257, '2023-09-14', '3662', '0440', '8428', 'admintoto', '2023-09-14 20:52:44', 'admintoto', '2023-09-14 21:00:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23261, '2023-09-18', '1295', '2578', '3954', 'admintoto', '2023-09-18 19:05:34', 'admintoto', '2023-09-18 20:54:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23264, '2023-09-21', '3880', '2619', '8699', 'admintoto', '2023-09-21 20:59:48', 'admintoto', '2023-09-21 21:00:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23258, '2023-09-15', '9077', '7973', '2925', 'admintoto', '2023-09-15 21:01:11', 'admintoto', '2023-09-15 21:01:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23262, '2023-09-19', '3177', '0032', '4920', 'admintoto', '2023-09-19 20:50:12', 'admintoto', '2023-09-19 20:55:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23267, '2023-09-24', '9475', '1528', '3140', 'admintoto', '2023-09-24 20:54:20', 'admintoto', '2023-09-24 20:58:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23265, '2023-09-22', '4904', '9230', '2196', 'admintoto', '2023-09-22 20:59:32', 'admintoto', '2023-09-22 20:59:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23269, '2023-09-26', '1138', '8262', '7733', 'admintoto', '2023-09-26 20:43:17', 'admintoto', '2023-09-26 20:58:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23268, '2023-09-25', '7697', '9582', '8462', 'admintoto', '2023-09-25 20:58:20', 'admintoto', '2023-09-25 20:59:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23271, '2023-09-28', '7009', '1842', '4191', 'admintoto', '2023-09-28 21:02:34', 'admintoto', '2023-09-28 21:02:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23270, '2023-09-27', '3752', '7664', '8888', 'admintoto', '2023-09-27 21:04:41', 'admintoto', '2023-09-27 21:04:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23272, '2023-09-29', '5667', '6332', '5751', 'admintoto', '2023-09-29 20:56:19', 'admintoto', '2023-09-29 21:00:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23274, '2023-10-01', '1276', '5970', '2727', 'admintoto', '2023-10-01 17:35:40', 'admintoto', '2023-10-01 21:02:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23273, '2023-09-30', '2393', '5993', '9141', 'admintoto', '2023-09-30 14:57:04', 'admintoto', '2023-09-30 14:57:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23275, '2023-10-02', '2762', '6331', '1143', 'admintoto', '2023-10-02 20:46:30', 'admintoto', '2023-10-02 21:00:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23276, '2023-10-03', '0056', '8417', '2877', 'admintoto', '2023-10-03 20:40:38', 'admintoto', '2023-10-03 21:00:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23277, '2023-10-04', '0249', '9508', '7698', 'admintoto', '2023-10-04 20:35:58', 'admintoto', '2023-10-04 21:00:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23278, '2023-10-05', '9971', '6841', '3248', 'admintoto', '2023-10-05 21:02:26', 'admintoto', '2023-10-05 21:02:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23279, '2023-10-06', '4123', '1366', '8151', 'admintoto', '2023-10-06 20:58:35', 'admintoto', '2023-10-06 20:58:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23280, '2023-10-07', '2789', '6709', '4972', 'admintoto', '2023-10-07 21:07:26', 'admintoto', '2023-10-07 21:07:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23281, '2023-10-08', '2952', '6487', '8205', 'admintoto', '2023-10-08 20:53:04', 'admintoto', '2023-10-08 20:59:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23300, '2023-10-27', '3554', '0575', '8407', 'admintoto', '2023-10-27 20:51:09', 'admintoto', '2023-10-27 21:00:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23282, '2023-10-09', '9575', '6463', '0944', 'admintoto', '2023-10-09 20:43:32', 'admintoto', '2023-10-09 20:58:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23283, '2023-10-10', '4961', '8775', '7747', 'admintoto', '2023-10-10 20:59:06', 'admintoto', '2023-10-10 20:59:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23331, '2023-11-27', '7748', '9694', '0508', 'admintoto', '2023-11-27 20:14:24', 'admintoto', '2023-11-27 20:49:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23301, '2023-10-28', '6057', '7470', '4459', 'admintoto', '2023-10-28 20:36:01', 'admintoto', '2023-10-28 21:00:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23284, '2023-10-11', '2255', '5643', '4255', 'admintoto', '2023-10-11 15:38:17', 'admintoto', '2023-10-11 20:57:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23314, '2023-11-10', '9873', '3589', '2974', 'admintoto', '2023-11-10 20:59:27', 'admintoto', '2023-11-10 20:59:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23285, '2023-10-12', '1785', '5811', '9634', 'admintoto', '2023-10-12 21:00:39', 'admintoto', '2023-10-12 21:01:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23286, '2023-10-13', '6996', '8966', '4258', 'admintoto', '2023-10-13 20:42:03', 'admintoto', '2023-10-13 20:58:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23302, '2023-10-29', '4393', '7413', '3914', 'admintoto', '2023-10-29 20:54:06', 'admintoto', '2023-10-29 20:54:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23287, '2023-10-14', '3739', '5454', '6878', 'admintoto', '2023-10-14 20:41:28', 'admintoto', '2023-10-14 20:55:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23324, '2023-11-20', '3805', '9295', '1080', 'admintoto', '2023-11-20 20:12:50', 'admintoto', '2023-11-20 20:54:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23315, '2023-11-11', '0054', '6769', '3337', 'admintoto', '2023-11-11 20:49:56', 'admintoto', '2023-11-11 20:51:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23288, '2023-10-15', '5175', '5010', '0965', 'admintoto', '2023-10-15 20:59:52', 'admintoto', '2023-10-15 21:00:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23303, '2023-10-30', '8340', '4561', '6870', 'admintoto', '2023-10-30 20:38:30', 'admintoto', '2023-10-30 20:57:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23289, '2023-10-16', '3466', '8841', '4011', 'admintoto', '2023-10-16 20:45:47', 'admintoto', '2023-10-16 20:59:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23304, '2023-10-31', '4137', '2637', '9489', 'admintoto', '2023-10-31 20:48:00', 'admintoto', '2023-10-31 20:52:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23290, '2023-10-17', '4070', '8488', '0227', 'admintoto', '2023-10-17 20:53:36', 'admintoto', '2023-10-17 20:56:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23291, '2023-10-18', '4031', '9355', '7782', 'admintoto', '2023-10-18 20:58:06', 'admintoto', '2023-10-18 21:00:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23316, '2023-11-12', '7280', '9885', '4618', 'admintoto', '2023-11-12 21:00:39', 'admintoto', '2023-11-12 21:00:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23305, '2023-11-01', '1080', '5400', '2562', 'admintoto', '2023-11-01 20:50:28', 'admintoto', '2023-11-01 20:59:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23292, '2023-10-19', '0605', '1462', '4054', 'admintoto', '2023-10-19 20:56:17', 'admintoto', '2023-10-19 20:57:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23293, '2023-10-20', '0696', '3268', '8712', 'admintoto', '2023-10-20 13:41:35', 'admintoto', '2023-10-20 20:56:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23346, '2023-12-12', '3373', '4321', '5743', 'admintoto', '2023-12-12 20:05:47', 'admintoto', '2023-12-12 20:57:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23306, '2023-11-02', '7550', '1392', '2989', 'admintoto', '2023-11-02 21:01:16', 'admintoto', '2023-11-02 21:01:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23294, '2023-10-21', '3806', '1676', '5492', 'admintoto', '2023-10-21 20:50:24', 'admintoto', '2023-10-21 20:58:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23325, '2023-11-21', '6845', '3755', '8416', 'admintoto', '2023-11-21 21:29:11', 'admintoto', '2023-11-21 21:29:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23295, '2023-10-22', '7078', '3658', '9036', 'admintoto', '2023-10-22 20:59:54', 'admintoto', '2023-10-22 21:02:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23307, '2023-11-03', '4736', '5499', '2465', 'admintoto', '2023-11-03 21:04:20', 'admintoto', '2023-11-03 21:04:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23296, '2023-10-23', '9392', '0309', '3941', 'admintoto', '2023-10-23 20:41:45', 'admintoto', '2023-10-23 21:01:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23317, '2023-11-13', '5689', '4501', '7094', 'admintoto', '2023-11-13 20:51:57', 'admintoto', '2023-11-13 20:52:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23297, '2023-10-24', '0726', '3065', '4846', 'admintoto', '2023-10-24 21:01:44', 'admintoto', '2023-10-24 21:02:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23308, '2023-11-04', '7360', '9335', '0068', 'admintoto', '2023-11-04 21:05:07', 'admintoto', '2023-11-04 21:05:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23298, '2023-10-25', '3329', '2715', '5019', 'admintoto', '2023-10-25 20:46:27', 'admintoto', '2023-10-25 20:59:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23332, '2023-11-28', '4414', '3718', '7479', 'admintoto', '2023-11-28 20:14:37', 'admintoto', '2023-11-28 21:00:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23299, '2023-10-26', '8007', '4961', '9119', 'admintoto', '2023-10-26 20:57:02', 'admintoto', '2023-10-26 20:59:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23318, '2023-11-14', '9390', '2123', '5864', 'admintoto', '2023-11-14 20:51:15', 'admintoto', '2023-11-14 21:03:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23309, '2023-11-05', '4015', '8181', '2808', 'admintoto', '2023-11-05 21:02:47', 'admintoto', '2023-11-05 23:26:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23326, '2023-11-22', '1787', '9847', '6399', 'admintoto', '2023-11-22 20:57:14', 'admintoto', '2023-11-22 20:57:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23310, '2023-11-06', '3479', '7702', '2000', 'admintoto', '2023-11-06 20:59:13', 'admintoto', '2023-11-06 20:59:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23319, '2023-11-15', '1108', '6601', '3169', 'admintoto', '2023-11-15 20:28:58', 'admintoto', '2023-11-15 21:13:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23311, '2023-11-07', '2965', '5849', '4155', 'admintoto', '2023-11-07 21:02:43', 'admintoto', '2023-11-07 21:02:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23337, '2023-12-03', '8364', '5651', '9234', 'admintoto', '2023-12-03 21:00:36', 'admintoto', '2023-12-03 21:00:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23312, '2023-11-08', '9021', '1540', '0428', 'admintoto', '2023-11-08 21:02:53', 'admintoto', '2023-11-08 21:03:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23320, '2023-11-16', '8977', '9683', '0808', 'admintoto', '2023-11-16 21:20:28', 'admintoto', '2023-11-16 21:20:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23313, '2023-11-09', '2561', '9044', '1396', 'admintoto', '2023-11-09 20:47:38', 'admintoto', '2023-11-09 20:53:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23327, '2023-11-23', '4091', '7672', '0118', 'admintoto', '2023-11-23 20:49:23', 'admintoto', '2023-11-23 20:49:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23321, '2023-11-17', '3235', '4921', '3179', 'admintoto', '2023-11-17 21:29:01', 'admintoto', '2023-11-17 21:29:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23333, '2023-11-29', '3332', '7383', '4716', 'admintoto', '2023-11-29 21:32:32', 'admintoto', '2023-11-29 22:19:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23322, '2023-11-18', '5405', '9993', '5604', 'admintoto', '2023-11-18 20:59:20', 'admintoto', '2023-11-18 20:59:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23328, '2023-11-24', '0873', '3784', '0543', 'admintoto', '2023-11-24 20:47:05', 'admintoto', '2023-11-24 20:47:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23323, '2023-11-19', '2238', '1805', '0851', 'admintoto', '2023-11-19 21:00:25', 'admintoto', '2023-11-19 21:00:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23341, '2023-12-07', '7094', '6835', '4499', 'admintoto', '2023-12-07 21:00:17', 'admintoto', '2023-12-07 21:00:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23329, '2023-11-25', '5393', '8676', '4815', 'admintoto', '2023-11-25 20:55:29', 'admintoto', '2023-11-25 20:55:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23334, '2023-11-30', '5569', '3300', '6411', 'admintoto', '2023-11-30 20:46:26', 'admintoto', '2023-11-30 20:52:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23330, '2023-11-26', '8037', '9312', '1687', 'admintoto', '2023-11-26 21:00:40', 'admintoto', '2023-11-26 21:00:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23338, '2023-12-04', '3943', '9025', '7937', 'admintoto', '2023-12-04 21:01:37', 'admintoto', '2023-12-04 21:02:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23344, '2023-12-10', '3449', '4009', '1309', 'admintoto', '2023-12-10 20:30:15', 'admintoto', '2023-12-10 20:52:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23335, '2023-12-01', '0943', '8168', '1353', 'admintoto', '2023-12-01 21:20:48', 'admintoto', '2023-12-01 21:20:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23339, '2023-12-05', '0047', '4456', '2393', 'admintoto', '2023-12-05 21:01:31', 'admintoto', '2023-12-05 21:01:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23336, '2023-12-02', '6480', '1638', '3483', 'admintoto', '2023-12-02 20:46:12', 'admintoto', '2023-12-02 21:00:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23342, '2023-12-08', '6528', '2155', '9677', 'admintoto', '2023-12-08 20:55:37', 'admintoto', '2023-12-08 20:55:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23340, '2023-12-06', '2196', '1292', '4477', 'admintoto', '2023-12-06 20:49:40', 'admintoto', '2023-12-06 20:49:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23350, '2023-12-16', '0894', '5878', '1998', 'admintoto', '2023-12-16 21:19:52', 'admintoto', '2023-12-16 21:20:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23343, '2023-12-09', '7252', '5243', '6828', 'admintoto', '2023-12-09 21:01:57', 'admintoto', '2023-12-09 21:02:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23345, '2023-12-11', '4313', '9935', '3637', 'admintoto', '2023-12-11 20:13:28', 'admintoto', '2023-12-11 20:47:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23348, '2023-12-14', '1973', '5627', '2924', 'admintoto', '2023-12-14 12:24:43', 'admintoto', '2023-12-14 20:59:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23347, '2023-12-13', '6098', '8415', '1537', 'admintoto', '2023-12-13 20:55:35', 'admintoto', '2023-12-13 20:55:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23349, '2023-12-15', '3789', '5412', '7881', 'admintoto', '2023-12-15 21:07:13', 'admintoto', '2023-12-15 21:07:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23351, '2023-12-17', '8399', '0586', '6228', 'admintoto', '2023-12-17 21:37:16', 'admintoto', '2023-12-17 21:37:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23352, '2023-12-18', '1398', '7257', '9967', 'admintoto', '2023-12-18 20:55:27', 'admintoto', '2023-12-18 20:55:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23353, '2023-12-19', '4746', '5783', '3318', 'admintoto', '2023-12-19 20:55:57', 'admintoto', '2023-12-19 20:56:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23354, '2023-12-20', '3337', '0499', '0843', 'admintoto', '2023-12-20 21:31:20', 'admintoto', '2023-12-20 21:31:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23355, '2023-12-21', '7554', '9430', '2207', 'admintoto', '2023-12-21 21:00:59', 'admintoto', '2023-12-21 21:01:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23356, '2023-12-22', '9107', '5318', '4988', 'admintoto', '2023-12-22 21:00:45', 'admintoto', '2023-12-22 21:00:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23357, '2023-12-23', '3295', '0883', '9234', 'admintoto', '2023-12-23 20:22:09', 'admintoto', '2023-12-23 21:00:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23358, '2023-12-24', '5685', '0894', '7600', 'admintoto', '2023-12-24 21:22:10', 'admintoto', '2023-12-24 21:22:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23359, '2023-12-25', '6969', '7032', '9759', 'admintoto', '2023-12-25 21:38:35', 'admintoto', '2023-12-25 21:38:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2412, '2024-01-12', '1691', '6083', '2076', 'admintoto', '2024-01-12 20:47:29', 'admintoto', '2024-01-12 20:52:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2436, '2024-02-05', '8454', '5003', '7403', 'admintoto', '2024-02-05 20:47:06', 'admintoto', '2024-02-05 21:00:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2426, '2024-01-26', '8110', '9280', '5549', 'admintoto', '2024-01-26 21:01:29', 'admintoto', '2024-01-26 21:01:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23360, '2023-12-26', '9549', '3935', '1841', 'admintoto', '2023-12-26 20:32:26', 'admintoto', '2023-12-26 20:47:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2413, '2024-01-13', '9069', '7639', '8154', 'admintoto', '2024-01-13 21:31:36', 'admintoto', '2024-01-13 21:31:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23361, '2023-12-27', '1128', '6981', '8889', 'admintoto', '2023-12-27 20:02:16', 'admintoto', '2023-12-27 21:18:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23362, '2023-12-28', '8182', '2910', '1184', 'admintoto', '2023-12-28 20:56:01', 'admintoto', '2023-12-28 20:57:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2414, '2024-01-14', '3426', '2022', '0563', 'admintoto', '2024-01-14 21:31:40', 'admintoto', '2024-01-14 21:31:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23363, '2023-12-29', '5714', '3358', '8916', 'admintoto', '2023-12-29 20:49:36', 'admintoto', '2023-12-29 20:49:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2458, '2024-02-27', '4512', '9206', '8968', 'admintoto', '2024-02-27 20:51:19', 'admintoto', '2024-02-27 20:51:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2427, '2024-01-27', '4069', '3200', '9835', 'admintoto', '2024-01-27 20:02:36', 'admintoto', '2024-01-27 21:00:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23364, '2023-12-30', '7836', '2016', '0549', 'admintoto', '2023-12-30 21:27:40', 'admintoto', '2023-12-30 21:28:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2415, '2024-01-15', '1837', '0683', '7841', 'admintoto', '2024-01-15 20:55:46', 'admintoto', '2024-01-15 20:55:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (23365, '2023-12-31', '4226', '0417', '9960', 'admintoto', '2023-12-31 20:37:34', 'admintoto', '2023-12-31 20:48:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2449, '2024-02-18', '7205', '2110', '3057', 'admintoto', '2024-02-18 20:31:47', 'admintoto', '2024-02-18 20:31:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (241, '2024-01-01', '9612', '5627', '1610', 'admintoto', '2024-01-01 21:31:21', 'admintoto', '2024-01-01 21:31:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2416, '2024-01-16', '4051', '7705', '6371', 'admintoto', '2024-01-16 21:00:33', 'admintoto', '2024-01-16 21:00:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (242, '2024-01-02', '0360', '2093', '3818', 'admintoto', '2024-01-02 20:31:33', 'admintoto', '2024-01-02 21:00:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2437, '2024-02-06', '9477', '2112', '1410', 'admintoto', '2024-02-06 20:56:35', 'admintoto', '2024-02-06 20:56:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2428, '2024-01-28', '2506', '4919', '9723', 'admintoto', '2024-01-28 20:48:57', 'admintoto', '2024-01-28 20:58:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (243, '2024-01-03', '5909', '6502', '2970', 'admintoto', '2024-01-03 21:08:23', 'admintoto', '2024-01-03 21:08:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2417, '2024-01-17', '3555', '8629', '2416', 'admintoto', '2024-01-17 21:06:27', 'admintoto', '2024-01-17 21:06:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (244, '2024-01-04', '6674', '9165', '1730', 'admintoto', '2024-01-04 20:05:00', 'admintoto', '2024-01-04 20:55:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (245, '2024-01-05', '4640', '7005', '0176', 'admintoto', '2024-01-05 20:49:51', 'admintoto', '2024-01-05 20:51:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2418, '2024-01-18', '0221', '8906', '1617', 'admintoto', '2024-01-18 21:35:23', 'admintoto', '2024-01-18 21:35:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (246, '2024-01-06', '2335', '9279', '6031', 'admintoto', '2024-01-06 21:13:10', 'admintoto', '2024-01-06 21:13:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2444, '2024-02-13', '0130', '9603', '6972', 'admintoto', '2024-02-13 19:42:49', 'admintoto', '2024-02-13 21:01:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2429, '2024-01-29', '1994', '6638', '3471', 'admintoto', '2024-01-29 19:57:32', 'admintoto', '2024-01-29 21:00:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (247, '2024-01-07', '9282', '7311', '2193', 'admintoto', '2024-01-07 20:31:52', 'admintoto', '2024-01-07 21:15:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2419, '2024-01-19', '1222', '0693', '6269', 'admintoto', '2024-01-19 20:56:25', 'admintoto', '2024-01-19 20:56:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (248, '2024-01-08', '1719', '4884', '7399', 'admintoto', '2024-01-08 20:56:10', 'admintoto', '2024-01-08 20:56:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (249, '2024-01-09', '8347', '6733', '4363', 'admintoto', '2024-01-09 20:47:18', 'admintoto', '2024-01-09 20:52:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2420, '2024-01-20', '4260', '2110', '7085', 'admintoto', '2024-01-20 20:33:32', 'admintoto', '2024-01-20 20:46:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2410, '2024-01-10', '2359', '9183', '7421', 'admintoto', '2024-01-10 21:06:46', 'admintoto', '2024-01-10 21:06:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2438, '2024-02-07', '7690', '8943', '6135', 'admintoto', '2024-02-07 20:47:49', 'admintoto', '2024-02-07 20:56:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2430, '2024-01-30', '1769', '8755', '3345', 'admintoto', '2024-01-30 21:02:22', 'admintoto', '2024-01-30 21:02:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2411, '2024-01-11', '7228', '5402', '8363', 'admintoto', '2024-01-11 21:01:31', 'admintoto', '2024-01-11 21:01:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2421, '2024-01-21', '8175', '6975', '0708', 'admintoto', '2024-01-21 20:01:49', 'admintoto', '2024-01-21 21:00:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2422, '2024-01-22', '1184', '6630', '9636', 'admintoto', '2024-01-22 21:00:56', 'admintoto', '2024-01-22 21:01:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2431, '2024-01-31', '2050', '3814', '4977', 'admintoto', '2024-01-31 21:24:03', 'admintoto', '2024-01-31 21:24:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2423, '2024-01-23', '0807', '8144', '6392', 'admintoto', '2024-01-23 20:31:44', 'admintoto', '2024-01-23 21:02:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2453, '2024-02-22', '3255', '0038', '1641', 'admintoto', '2024-02-22 20:59:18', 'admintoto', '2024-02-22 20:59:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2424, '2024-01-24', '0265', '8440', '3147', 'admintoto', '2024-01-24 21:10:48', 'admintoto', '2024-01-24 21:10:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2439, '2024-02-08', '2391', '5221', '9263', 'admintoto', '2024-02-08 14:54:44', 'admintoto', '2024-02-08 14:54:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2432, '2024-02-01', '7890', '1111', '0935', 'admintoto', '2024-02-01 21:07:08', 'admintoto', '2024-02-01 21:07:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2425, '2024-01-25', '7974', '3559', '6031', 'admintoto', '2024-01-25 21:03:33', 'admintoto', '2024-01-25 21:03:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2445, '2024-02-14', '2698', '7840', '8094', 'admintoto', '2024-02-14 20:01:36', 'admintoto', '2024-02-14 20:55:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2433, '2024-02-02', '8961', '1487', '6645', 'admintoto', '2024-02-02 21:01:29', 'admintoto', '2024-02-02 21:01:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2440, '2024-02-09', '8607', '0276', '2042', 'admintoto', '2024-02-09 22:11:37', 'admintoto', '2024-02-09 22:11:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2434, '2024-02-03', '5807', '7099', '1415', 'admintoto', '2024-02-03 21:10:36', 'admintoto', '2024-02-03 21:10:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2435, '2024-02-04', '6288', '8665', '5187', 'admintoto', '2024-02-04 20:46:52', 'admintoto', '2024-02-04 21:00:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2450, '2024-02-19', '1999', '8263', '5914', 'admintoto', '2024-02-19 20:41:59', 'admintoto', '2024-02-19 21:00:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2446, '2024-02-15', '5828', '1403', '3248', 'admintoto', '2024-02-15 20:47:38', 'admintoto', '2024-02-15 20:47:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2441, '2024-02-10', '0292', '2259', '6356', 'admintoto', '2024-02-10 21:00:57', 'admintoto', '2024-02-10 21:02:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2442, '2024-02-11', '7611', '4515', '9997', 'admintoto', '2024-02-11 20:32:53', 'admintoto', '2024-02-11 20:51:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2456, '2024-02-25', '7036', '9697', '1207', 'admintoto', '2024-02-25 21:00:35', 'admintoto', '2024-02-25 21:00:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2447, '2024-02-16', '7568', '4287', '6104', 'admintoto', '2024-02-16 20:54:18', 'admintoto', '2024-02-16 20:54:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2443, '2024-02-12', '1441', '0488', '5674', 'admintoto', '2024-02-12 20:13:26', 'admintoto', '2024-02-12 20:56:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2451, '2024-02-20', '8588', '4445', '3687', 'admintoto', '2024-02-20 21:00:45', 'admintoto', '2024-02-20 21:01:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2448, '2024-02-17', '2818', '6318', '7300', 'admintoto', '2024-02-17 22:01:13', 'admintoto', '2024-02-17 22:01:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2454, '2024-02-23', '9227', '8839', '3986', 'admintoto', '2024-02-23 20:54:27', 'admintoto', '2024-02-23 20:54:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2452, '2024-02-21', '7245', '1619', '4895', 'admintoto', '2024-02-21 21:01:06', 'admintoto', '2024-02-21 21:01:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2462, '2024-03-02', '2135', '1264', '7381', 'admintoto', '2024-03-02 21:01:10', 'admintoto', '2024-03-02 21:01:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2457, '2024-02-26', '5215', '9858', '3779', 'admintoto', '2024-02-26 20:49:54', 'admintoto', '2024-02-26 20:50:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2455, '2024-02-24', '8018', '1830', '4396', 'admintoto', '2024-02-24 20:47:16', 'admintoto', '2024-02-24 21:00:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2460, '2024-02-29', '4881', '9784', '5528', 'admintoto', '2024-02-29 21:06:20', 'admintoto', '2024-02-29 21:06:33');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2459, '2024-02-28', '3495', '5665', '1755', 'admintoto', '2024-02-28 20:51:12', 'admintoto', '2024-02-28 20:51:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2461, '2024-03-01', '0198', '9659', '5618', 'admintoto', '2024-03-01 20:38:31', 'admintoto', '2024-03-01 20:46:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2463, '2024-03-03', '5685', '7298', '1759', 'admintoto', '2024-03-03 21:03:57', 'admintoto', '2024-03-03 21:04:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2464, '2024-03-04', '7570', '0880', '2331', 'admintoto', '2024-03-04 20:49:22', 'admintoto', '2024-03-04 20:52:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2465, '2024-03-05', '0220', '1851', '5335', 'admintoto', '2024-03-05 21:00:27', 'admintoto', '2024-03-05 21:00:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2466, '2024-03-06', '7349', '1097', '2342', 'admintoto', '2024-03-06 20:49:51', 'admintoto', '2024-03-06 20:49:56');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2467, '2024-03-07', '1415', '7206', '2664', 'admintoto', '2024-03-07 20:51:51', 'admintoto', '2024-03-07 20:52:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2468, '2024-03-08', '2453', '0539', '8455', 'admintoto', '2024-03-08 20:01:10', 'admintoto', '2024-03-08 21:03:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2469, '2024-03-09', '5216', '8540', '9539', 'admintoto', '2024-03-09 21:00:55', 'admintoto', '2024-03-09 21:01:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2470, '2024-03-10', '1913', '4821', '7483', 'admintoto', '2024-03-10 20:47:28', 'admintoto', '2024-03-10 20:54:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2471, '2024-03-11', '8887', '9422', '0299', 'admintoto', '2024-03-11 20:47:01', 'admintoto', '2024-03-11 21:00:42');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24103, '2024-04-12', '9356', '5527', '2042', 'admintoto', '2024-04-12 21:08:05', 'admintoto', '2024-04-12 21:08:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2472, '2024-03-12', '2639', '7598', '1037', 'admintoto', '2024-03-12 21:57:00', 'admintoto', '2024-03-12 21:57:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2490, '2024-03-30', '7669', '4737', '8896', 'admintoto', '2024-03-30 14:45:22', 'admintoto', '2024-03-30 20:51:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2473, '2024-03-13', '0776', '8261', '1546', 'admintoto', '2024-03-13 21:00:55', 'admintoto', '2024-03-13 21:01:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24113, '2024-04-22', '2374', '7302', '9022', 'admintoto', '2024-04-22 21:01:28', 'admintoto', '2024-04-22 21:01:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2474, '2024-03-14', '9729', '7845', '6770', 'admintoto', '2024-03-14 20:53:02', 'admintoto', '2024-03-14 20:54:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2491, '2024-03-31', '9721', '6656', '5850', 'admintoto', '2024-03-31 15:01:15', 'admintoto', '2024-03-31 15:01:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2475, '2024-03-15', '5041', '1348', '3640', 'admintoto', '2024-03-15 20:47:15', 'admintoto', '2024-03-15 21:00:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24104, '2024-04-13', '6539', '0607', '4499', 'admintoto', '2024-04-13 21:07:57', 'admintoto', '2024-04-13 21:08:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2476, '2024-03-16', '4766', '6481', '0695', 'admintoto', '2024-03-16 20:49:34', 'admintoto', '2024-03-16 20:50:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2492, '2024-04-01', '3856', '5223', '8558', 'admintoto', '2024-04-01 21:03:01', 'admintoto', '2024-04-01 21:03:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2477, '2024-03-17', '7292', '2437', '3426', 'admintoto', '2024-03-17 22:12:42', 'admintoto', '2024-03-17 22:12:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24126, '2024-05-05', '6180', '9301', '7810', 'admintoto', '2024-05-05 21:11:28', 'admintoto', '2024-05-05 21:11:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2478, '2024-03-18', '9236', '4478', '0550', 'admintoto', '2024-03-18 20:47:16', 'admintoto', '2024-03-18 22:01:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2493, '2024-04-02', '2603', '3102', '9923', 'admintoto', '2024-04-02 21:01:09', 'admintoto', '2024-04-02 21:01:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2479, '2024-03-19', '8334', '5392', '0058', 'admintoto', '2024-03-19 20:22:24', 'admintoto', '2024-03-19 20:50:16');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24105, '2024-04-14', '2310', '9741', '8843', 'admintoto', '2024-04-14 21:32:38', 'admintoto', '2024-04-14 21:32:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2480, '2024-03-20', '6109', '4875', '1857', 'admintoto', '2024-03-20 19:55:25', 'admintoto', '2024-03-20 20:56:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2494, '2024-04-03', '7462', '2525', '8366', 'admintoto', '2024-04-03 20:53:03', 'admintoto', '2024-04-03 20:53:09');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2481, '2024-03-21', '4194', '7738', '0263', 'admintoto', '2024-03-21 20:55:24', 'admintoto', '2024-03-21 20:55:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24114, '2024-04-23', '2590', '7723', '9899', 'admintoto', '2024-04-23 20:55:47', 'admintoto', '2024-04-23 20:55:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2482, '2024-03-22', '5129', '2051', '7932', 'admintoto', '2024-03-22 20:49:38', 'admintoto', '2024-03-22 20:49:46');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2495, '2024-04-04', '0042', '8680', '1004', 'admintoto', '2024-04-04 20:59:25', 'admintoto', '2024-04-04 20:59:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2483, '2024-03-23', '2013', '7815', '9940', 'admintoto', '2024-03-23 21:01:32', 'admintoto', '2024-03-23 21:01:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24106, '2024-04-15', '7779', '0313', '6879', 'admintoto', '2024-04-15 20:54:34', 'admintoto', '2024-04-15 20:54:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2484, '2024-03-24', '0425', '1482', '5840', 'admintoto', '2024-03-24 20:55:30', 'admintoto', '2024-03-24 20:55:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2496, '2024-04-05', '1704', '0309', '6735', 'admintoto', '2024-04-05 20:58:29', 'admintoto', '2024-04-05 20:58:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2485, '2024-03-25', '8166', '7143', '2031', 'admintoto', '2024-03-25 20:13:30', 'admintoto', '2024-03-25 21:09:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24121, '2024-04-30', '8009', '3044', '5765', 'admintoto', '2024-04-30 21:03:48', 'admintoto', '2024-04-30 21:03:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2486, '2024-03-26', '7842', '3336', '2190', 'admintoto', '2024-03-26 20:39:55', 'admintoto', '2024-03-26 20:57:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2497, '2024-04-06', '3871', '4017', '8055', 'admintoto', '2024-04-06 20:16:20', 'admintoto', '2024-04-06 21:14:49');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2487, '2024-03-27', '1229', '0629', '8433', 'admintoto', '2024-03-27 21:00:20', 'admintoto', '2024-03-27 21:00:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24107, '2024-04-16', '7377', '8786', '0387', 'admintoto', '2024-04-16 20:42:14', 'admintoto', '2024-04-16 20:42:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2488, '2024-03-28', '2812', '7500', '6222', 'admintoto', '2024-03-28 18:17:53', 'admintoto', '2024-03-28 21:31:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2498, '2024-04-07', '4172', '8917', '6035', 'admintoto', '2024-04-07 20:51:24', 'admintoto', '2024-04-07 20:51:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2489, '2024-03-29', '4805', '8725', '0848', 'admintoto', '2024-03-29 20:36:50', 'admintoto', '2024-03-29 22:13:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24115, '2024-04-24', '9270', '1909', '2428', 'admintoto', '2024-04-24 21:02:25', 'admintoto', '2024-04-24 21:02:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (2499, '2024-04-08', '3777', '0516', '1766', 'admintoto', '2024-04-08 20:44:19', 'admintoto', '2024-04-08 20:47:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24108, '2024-04-17', '1216', '3258', '7371', 'admintoto', '2024-04-17 20:54:55', 'admintoto', '2024-04-17 20:55:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24100, '2024-04-09', '9345', '4043', '0072', 'admintoto', '2024-04-09 20:36:08', 'admintoto', '2024-04-09 20:48:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24130, '2024-05-09', '9815', '6258', '4133', 'admintoto', '2024-05-09 21:03:21', 'admintoto', '2024-05-09 21:03:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24101, '2024-04-10', '1639', '0250', '7757', 'admintoto', '2024-04-10 20:39:56', 'admintoto', '2024-04-10 21:00:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24109, '2024-04-18', '3009', '1217', '6078', 'admintoto', '2024-04-18 21:08:59', 'admintoto', '2024-04-18 21:09:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24102, '2024-04-11', '0611', '5650', '3364', 'admintoto', '2024-04-11 20:36:37', 'admintoto', '2024-04-11 21:09:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24116, '2024-04-25', '6391', '7890', '4803', 'admintoto', '2024-04-25 20:55:52', 'admintoto', '2024-04-25 20:56:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24122, '2024-05-01', '6577', '6936', '3866', 'admintoto', '2024-05-01 20:59:37', 'admintoto', '2024-05-01 20:59:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24110, '2024-04-19', '7422', '3258', '1415', 'admintoto', '2024-04-19 20:52:21', 'admintoto', '2024-04-19 20:52:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24117, '2024-04-26', '3277', '1248', '0008', 'admintoto', '2024-04-26 21:25:14', 'admintoto', '2024-04-26 21:25:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24111, '2024-04-20', '5692', '3059', '2589', 'admintoto', '2024-04-20 20:47:02', 'admintoto', '2024-04-20 21:01:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24112, '2024-04-21', '0152', '4374', '7101', 'admintoto', '2024-04-21 20:49:54', 'admintoto', '2024-04-21 20:50:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24127, '2024-05-06', '2845', '7466', '1179', 'admintoto', '2024-05-06 21:00:40', 'admintoto', '2024-05-06 21:00:48');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24123, '2024-05-02', '2718', '1173', '7465', 'admintoto', '2024-05-02 21:31:29', 'admintoto', '2024-05-02 21:31:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24118, '2024-04-27', '2903', '4664', '5401', 'admintoto', '2024-04-27 15:33:02', 'admintoto', '2024-04-27 15:33:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24119, '2024-04-28', '3503', '2610', '4594', 'admintoto', '2024-04-28 21:10:27', 'admintoto', '2024-04-28 21:10:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24135, '2024-05-14', '9751', '6943', '8298', 'admintoto', '2024-05-14 21:02:01', 'admintoto', '2024-05-14 21:02:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24124, '2024-05-03', '1473', '6536', '8145', 'admintoto', '2024-05-03 21:41:18', 'admintoto', '2024-05-03 21:41:26');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24120, '2024-04-29', '1789', '7782', '4362', 'admintoto', '2024-04-29 21:02:57', 'admintoto', '2024-04-29 21:03:08');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24133, '2024-05-12', '7942', '1267', '5157', 'admintoto', '2024-05-12 21:13:16', 'admintoto', '2024-05-12 21:13:24');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24128, '2024-05-07', '0346', '9185', '3475', 'admintoto', '2024-05-07 21:01:32', 'admintoto', '2024-05-07 21:01:41');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24125, '2024-05-04', '1287', '4451', '3731', 'admintoto', '2024-05-04 19:14:26', 'admintoto', '2024-05-04 20:52:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24131, '2024-05-10', '9206', '6380', '0473', 'admintoto', '2024-05-10 22:18:22', 'admintoto', '2024-05-10 22:18:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24129, '2024-05-08', '4617', '5926', '1579', 'admintoto', '2024-05-08 21:05:19', 'admintoto', '2024-05-08 21:05:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24134, '2024-05-13', '4000', '2958', '3617', 'admintoto', '2024-05-13 21:22:58', 'admintoto', '2024-05-13 21:23:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24132, '2024-05-11', '8114', '6086', '0696', 'admintoto', '2024-05-11 21:00:53', 'admintoto', '2024-05-11 21:01:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24139, '2024-05-18', '9886', '6862', '8251', 'admintoto', '2024-05-18 21:12:46', 'admintoto', '2024-05-18 21:12:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24137, '2024-05-16', '8978', '1498', '9634', 'admintoto', '2024-05-16 20:35:49', 'admintoto', '2024-05-16 21:00:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24136, '2024-05-15', '2746', '4798', '0926', 'admintoto', '2024-05-15 21:34:37', 'admintoto', '2024-05-15 21:34:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24138, '2024-05-17', '2495', '8115', '1394', 'admintoto', '2024-05-17 20:56:58', 'admintoto', '2024-05-17 20:57:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24140, '2024-05-19', '1491', '3037', '7089', 'admintoto', '2024-05-19 21:02:16', 'admintoto', '2024-05-19 21:02:27');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24141, '2024-05-20', '3767', '5438', '9759', 'admintoto', '2024-05-20 17:18:39', 'admintoto', '2024-05-20 21:08:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24142, '2024-05-21', '9025', '3873', '8531', 'admintoto', '2024-05-21 20:58:29', 'admintoto', '2024-05-21 20:58:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24143, '2024-05-22', '2070', '0009', '6654', 'admintoto', '2024-05-22 22:17:15', 'admintoto', '2024-05-22 22:19:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24144, '2024-05-23', '4091', '1779', '9924', 'admintoto', '2024-05-23 21:21:21', 'admintoto', '2024-05-23 21:21:32');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24145, '2024-05-24', '7870', '1498', '5596', 'admintoto', '2024-05-24 22:02:25', 'admintoto', '2024-05-24 22:02:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24146, '2024-05-25', '1829', '2855', '9931', 'admintoto', '2024-05-25 21:46:14', 'admintoto', '2024-05-25 21:46:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24147, '2024-05-26', '4763', '1630', '5029', 'admintoto', '2024-05-26 21:36:46', 'admintoto', '2024-05-26 21:37:05');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24148, '2024-05-27', '0623', '8028', '7253', 'admintoto', '2024-05-27 21:00:40', 'admintoto', '2024-05-27 21:00:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24180, '2024-06-28', '8109', '2178', '5211', 'admintoto', '2024-06-28 21:04:46', 'admintoto', '2024-06-28 21:04:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24149, '2024-05-28', '6971', '3391', '1385', 'admintoto', '2024-05-28 21:07:46', 'admintoto', '2024-05-28 21:07:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24167, '2024-06-15', '9509', '2377', '6013', 'admintoto', '2024-06-15 21:31:46', 'admintoto', '2024-06-15 21:31:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24150, '2024-05-29', '4162', '2901', '3255', 'admintoto', '2024-05-29 21:04:05', 'admintoto', '2024-05-29 21:04:18');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24197, '2024-07-16', '0591', '6294', '2374', 'admintoto', '2024-07-16 21:20:25', 'admintoto', '2024-07-16 21:20:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24151, '2024-05-30', '3843', '0816', '8118', 'admintoto', '2024-05-30 21:02:34', 'admintoto', '2024-05-30 21:02:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24168, '2024-06-16', '3825', '6964', '2388', 'admintoto', '2024-06-16 21:01:25', 'admintoto', '2024-06-16 21:01:34');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24152, '2024-05-31', '9046', '7517', '0871', 'admintoto', '2024-05-31 21:00:29', 'admintoto', '2024-05-31 21:00:39');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24181, '2024-06-29', '6793', '3531', '4111', 'admintoto', '2024-06-29 21:00:16', 'admintoto', '2024-06-29 21:00:23');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24153, '2024-06-01', '5457', '7617', '0010', 'admintoto', '2024-06-01 22:00:19', 'admintoto', '2024-06-01 22:00:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24169, '2024-06-17', '6764', '3096', '0106', 'admintoto', '2024-06-17 20:12:50', 'admintoto', '2024-06-17 20:58:51');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24154, '2024-06-02', '9502', '8094', '7308', 'admintoto', '2024-06-02 21:26:07', 'admintoto', '2024-06-02 21:26:12');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24190, '2024-07-09', '0804', '2987', '6776', 'admintoto', '2024-07-09 15:01:07', 'admintoto', '2024-07-09 15:01:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24155, '2024-06-03', '1993', '6037', '7216', 'admintoto', '2024-06-03 20:51:27', 'admintoto', '2024-06-03 20:51:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24170, '2024-06-18', '5742', '1400', '3278', 'admintoto', '2024-06-18 20:57:53', 'admintoto', '2024-06-18 20:57:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24156, '2024-06-04', '4649', '5618', '9811', 'admintoto', '2024-06-04 21:06:19', 'admintoto', '2024-06-04 21:06:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24182, '2024-06-30', '8934', '5367', '3547', 'admintoto', '2024-06-30 20:54:11', 'admintoto', '2024-06-30 20:54:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24157, '2024-06-05', '9888', '2826', '6942', 'admintoto', '2024-06-05 21:16:41', 'admintoto', '2024-06-05 21:16:50');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24171, '2024-06-19', '5528', '6339', '0613', 'admintoto', '2024-06-19 21:07:48', 'admintoto', '2024-06-19 21:07:55');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24158, '2024-06-06', '3896', '2382', '9877', 'admintoto', '2024-06-06 21:00:35', 'admintoto', '2024-06-06 21:00:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24212, '2024-08-01', '1573', '2886', '8232', 'admintoto', '2024-08-01 15:02:45', 'admintoto', '2024-08-01 15:02:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24159, '2024-06-07', '2058', '0883', '7239', 'admintoto', '2024-06-07 21:30:37', 'admintoto', '2024-06-07 21:31:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24172, '2024-06-20', '7309', '8141', '3970', 'admintoto', '2024-06-20 20:50:32', 'admintoto', '2024-06-20 20:50:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24160, '2024-06-08', '8014', '3740', '6554', 'admintoto', '2024-06-08 21:03:47', 'admintoto', '2024-06-08 21:03:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24183, '2024-07-01', '4183', '9392', '6107', 'admintoto', '2024-07-01 21:00:28', 'admintoto', '2024-07-01 21:00:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24161, '2024-06-09', '1464', '6162', '3852', 'admintoto', '2024-06-09 21:01:31', 'admintoto', '2024-06-09 21:01:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24173, '2024-06-21', '2603', '6168', '7467', 'admintoto', '2024-06-21 21:21:03', 'admintoto', '2024-06-21 21:21:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24162, '2024-06-10', '6612', '9059', '7205', 'admintoto', '2024-06-10 21:02:21', 'admintoto', '2024-06-10 21:02:29');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24191, '2024-07-10', '3628', '0055', '2538', 'admintoto', '2024-07-10 21:02:34', 'admintoto', '2024-07-10 21:02:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24163, '2024-06-11', '1616', '5285', '0103', 'admintoto', '2024-06-11 21:10:22', 'admintoto', '2024-06-11 21:10:37');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24174, '2024-06-22', '3380', '8021', '5453', 'admintoto', '2024-06-22 21:04:19', 'admintoto', '2024-06-22 21:04:25');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24164, '2024-06-12', '7638', '9311', '2687', 'admintoto', '2024-06-12 21:46:04', 'admintoto', '2024-06-12 21:46:11');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24184, '2024-07-03', '9080', '5537', '7988', 'admintoto', '2024-07-03 21:24:07', 'admintoto', '2024-07-03 21:24:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24165, '2024-06-13', '3559', '6478', '8925', 'admintoto', '2024-06-13 21:03:53', 'admintoto', '2024-06-13 21:04:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24175, '2024-06-23', '7463', '4687', '8442', 'admintoto', '2024-06-23 21:15:48', 'admintoto', '2024-06-23 21:16:00');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24166, '2024-06-14', '0829', '1474', '2041', 'admintoto', '2024-06-14 20:43:17', 'admintoto', '2024-06-14 20:43:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24198, '2024-07-17', '3049', '0769', '1113', 'admintoto', '2024-07-17 21:01:13', 'admintoto', '2024-07-17 21:01:19');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24176, '2024-06-24', '6125', '8985', '2885', 'admintoto', '2024-06-24 20:48:19', 'admintoto', '2024-06-24 20:48:30');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24185, '2024-07-04', '5650', '2595', '9677', 'admintoto', '2024-07-04 21:11:26', 'admintoto', '2024-07-04 21:11:36');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24177, '2024-06-25', '1324', '5039', '0722', 'admintoto', '2024-06-25 20:48:56', 'admintoto', '2024-06-25 20:49:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24192, '2024-07-11', '9940', '4924', '8594', 'admintoto', '2024-07-11 21:31:33', 'admintoto', '2024-07-11 21:31:44');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24178, '2024-06-26', '0379', '2116', '7268', 'admintoto', '2024-06-26 19:33:01', 'admintoto', '2024-06-26 20:50:22');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24186, '2024-07-05', '7387', '1652', '0463', 'admintoto', '2024-07-05 21:07:16', 'admintoto', '2024-07-05 21:07:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24179, '2024-06-27', '5920', '6590', '2252', 'admintoto', '2024-06-27 20:58:23', 'admintoto', '2024-06-27 20:58:31');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24203, '2024-07-22', '6203', '3535', '5682', 'admintoto', '2024-07-22 22:01:54', 'admintoto', '2024-07-22 22:02:04');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24193, '2024-07-12', '4126', '7566', '5989', 'admintoto', '2024-07-12 20:55:29', 'admintoto', '2024-07-12 20:55:35');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24187, '2024-07-06', '7399', '7944', '0003', 'admintoto', '2024-07-06 21:06:09', 'admintoto', '2024-07-06 21:06:17');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24199, '2024-07-18', '9257', '9672', '4783', 'admintoto', '2024-07-18 21:11:50', 'admintoto', '2024-07-18 21:12:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24188, '2024-07-07', '3912', '6417', '9345', 'admintoto', '2024-07-07 20:56:37', 'admintoto', '2024-07-07 20:56:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24194, '2024-07-13', '6391', '8919', '1375', 'admintoto', '2024-07-13 23:19:36', 'admintoto', '2024-07-13 23:19:45');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24189, '2024-07-08', '7908', '6202', '2809', 'admintoto', '2024-07-08 21:20:58', 'admintoto', '2024-07-08 21:21:07');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24207, '2024-07-26', '8169', '5095', '2839', 'admintoto', '2024-07-26 20:51:57', 'admintoto', '2024-07-26 20:52:06');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24200, '2024-07-19', '2738', '4126', '7062', 'admintoto', '2024-07-19 21:01:29', 'admintoto', '2024-07-19 21:01:38');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24195, '2024-07-14', '1119', '4777', '0951', 'admintoto', '2024-07-14 21:03:49', 'admintoto', '2024-07-14 21:03:59');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24204, '2024-07-23', '5805', '7295', '0546', 'admintoto', '2024-07-23 21:43:48', 'admintoto', '2024-07-23 21:44:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24196, '2024-07-15', '7746', '0941', '5961', 'admintoto', '2024-07-15 21:04:05', 'admintoto', '2024-07-15 21:04:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24210, '2024-07-29', '3096', '4413', '9444', 'admintoto', '2024-07-29 20:47:49', 'admintoto', '2024-07-29 20:47:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24201, '2024-07-20', '1141', '5996', '4536', 'admintoto', '2024-07-20 20:42:09', 'admintoto', '2024-07-20 21:04:01');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24205, '2024-07-24', '9425', '6915', '2922', 'admintoto', '2024-07-24 21:08:52', 'admintoto', '2024-07-24 21:09:03');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24202, '2024-07-21', '3451', '6486', '0120', 'admintoto', '2024-07-21 21:06:48', 'admintoto', '2024-07-21 21:07:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24208, '2024-07-27', '9045', '5867', '4942', 'admintoto', '2024-07-27 21:15:46', 'admintoto', '2024-07-27 21:15:52');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24206, '2024-07-25', '1230', '9220', '8231', 'admintoto', '2024-07-25 21:11:51', 'admintoto', '2024-07-25 21:11:58');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24209, '2024-07-28', '6284', '0357', '8803', 'admintoto', '2024-07-28 21:00:18', 'admintoto', '2024-07-28 21:00:28');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24211, '2024-07-31', '3507', '7055', '8774', 'admintoto', '2024-07-31 21:44:30', 'admintoto', '2024-07-31 21:44:40');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24216, '2024-08-05', '2703', '9701', '7217', 'admintoto', '2024-08-05 21:25:36', 'admintoto', '2024-08-05 21:25:43');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24214, '2024-08-03', '1859', '8607', '0337', 'admintoto', '2024-08-03 22:48:11', 'admintoto', '2024-08-03 22:48:20');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24213, '2024-08-02', '6027', '3335', '7579', 'admintoto', '2024-08-01 20:54:09', 'admintoto', '2024-08-01 20:55:21');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24215, '2024-08-04', '9014', '2583', '8901', 'admintoto', '2024-08-04 21:02:55', 'admintoto', '2024-08-04 21:03:10');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24217, '2024-08-06', '8945', '4623', '5969', 'admintoto', '2024-08-06 20:56:46', 'admintoto', '2024-08-06 20:56:54');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24218, '2024-08-07', '6164', '1319', '8485', 'admintoto', '2024-08-07 20:49:40', 'admintoto', '2024-08-07 20:49:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24219, '2024-08-08', '3156', '5384', '7247', 'admintoto', '2024-08-08 21:34:52', 'admintoto', '2024-08-08 21:34:57');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24220, '2024-08-09', '2738', '7193', '4977', 'admintoto', '2024-08-09 21:02:40', 'admintoto', '2024-08-09 21:02:47');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24221, '2024-08-10', '1503', '9223', '3719', 'admintoto', '2024-08-10 23:24:46', 'admintoto', '2024-08-10 23:24:53');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24222, '2024-08-11', '6069', '9856', '1476', 'admintoto', '2024-08-11 20:29:26', 'admintoto', '2024-08-11 22:14:13');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24223, '2024-08-12', '2829', '4202', '9989', 'admintoto', '2024-08-12 21:04:04', 'admintoto', '2024-08-12 21:04:14');
INSERT INTO public.tbl_trx_sdsb4d_night VALUES (24224, '2024-08-13', '9904', '3033', '5192', 'admintoto', '2024-08-13 21:02:01', 'admintoto', '2024-08-13 21:02:10');


--
-- TOC entry 3705 (class 0 OID 30158)
-- Dependencies: 219
-- Data for Name: tbl_trx_vietnam_night; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.tbl_trx_vietnam_night VALUES (23663, '2021-01-01', '9547', '9601', '3474', '0659', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:34.370268', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23664, '2021-01-02', '2321', '0817', '8161', '1173', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:34.49098', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23665, '2021-01-03', '6340', '5366', '6298', '0678', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:34.611812', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23666, '2021-01-04', '1382', '0819', '8566', '6431', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:34.731012', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23667, '2021-01-05', '1216', '3105', '9954', '3207', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:34.85009', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23668, '2021-01-06', '8025', '6904', '2211', '1928', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:34.985122', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23669, '2021-01-07', '5734', '9968', '9614', '6437', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:35.153258', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23670, '2021-01-08', '8313', '3924', '9758', '0814', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:35.320376', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23671, '2021-01-09', '4921', '0899', '7571', '7331', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:35.488142', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23672, '2021-01-10', '4859', '5738', '0733', '8141', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:35.655091', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23673, '2021-01-11', '8136', '0465', '4393', '5236', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:35.821135', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23674, '2021-01-12', '0194', '9904', '7084', '1437', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:35.987362', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23675, '2021-01-13', '7802', '9832', '1897', '8387', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:36.153804', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23676, '2021-01-14', '1696', '7489', '7222', '8643', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:36.31937', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23677, '2021-01-15', '2925', '4984', '8771', '8949', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:36.485912', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23678, '2021-01-16', '5793', '8113', '7676', '1696', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:36.651364', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23679, '2021-01-17', '4337', '9501', '1391', '2916', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:36.817937', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23680, '2021-01-18', '1548', '4917', '0790', '0599', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:36.984218', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23681, '2021-01-19', '2660', '3140', '1302', '8251', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:37.151204', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23682, '2021-01-20', '5989', '9318', '5032', '8153', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:37.317913', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23683, '2021-01-21', '8426', '9335', '3577', '2623', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:37.483903', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23684, '2021-01-22', '1893', '4428', '2755', '8959', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:37.65031', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23685, '2021-01-23', '6505', '7036', '7849', '6251', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:37.817099', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23686, '2021-01-24', '8786', '5873', '5403', '0635', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:37.983203', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23687, '2021-01-25', '0346', '2730', '3774', '8553', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:38.149181', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23688, '2021-01-26', '4134', '7280', '4876', '1273', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:38.31535', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23689, '2021-01-27', '6240', '7060', '0985', '0662', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:38.4822', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23690, '2021-01-28', '6973', '1183', '0912', '3827', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:38.650079', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23691, '2021-01-29', '9610', '8273', '9232', '9294', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:38.816317', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23692, '2021-01-30', '7415', '7275', '6935', '2563', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:38.978955', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23693, '2021-01-31', '9622', '9699', '4138', '3667', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:39.14447', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23694, '2021-02-01', '8620', '7799', '2687', '1133', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:39.309886', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23695, '2021-02-02', '4541', '4168', '1089', '1172', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:39.473561', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23696, '2021-02-03', '2791', '5821', '7503', '6143', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:39.63801', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23697, '2021-02-04', '1845', '5955', '5050', '2229', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:39.802708', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23698, '2021-02-05', '0215', '1591', '4952', '2288', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:39.944782', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23699, '2021-02-06', '9618', '6868', '3565', '3060', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.074644', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23700, '2021-02-07', '5834', '9887', '8552', '2494', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.205009', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23701, '2021-02-08', '0024', '7177', '8231', '7884', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.335334', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23702, '2021-02-09', '0172', '5674', '9960', '8522', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.465451', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23703, '2021-02-10', '0365', '4236', '9018', '2164', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.595516', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23704, '2021-02-11', '9039', '1655', '3722', '5527', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.746905', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23705, '2021-02-12', '2516', '6290', '9845', '0647', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:40.919608', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23706, '2021-02-13', '0703', '4910', '2641', '0252', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:41.113249', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23707, '2021-02-14', '3609', '8320', '0517', '5710', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:41.30567', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23708, '2021-02-15', '7358', '6895', '1573', '4908', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:41.491681', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23709, '2021-02-16', '8018', '4239', '7375', '0335', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:41.667948', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23710, '2021-02-17', '1573', '2015', '4033', '4023', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:41.862744', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23711, '2021-02-18', '4291', '3920', '5353', '5075', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:42.040231', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23712, '2021-02-19', '3814', '6816', '5210', '2869', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:42.231991', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23713, '2021-02-20', '4297', '7619', '3873', '1555', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:42.408982', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23714, '2021-02-21', '3080', '7147', '2765', '3146', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:42.602897', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23715, '2021-02-22', '9023', '3168', '3491', '2647', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:42.793348', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23716, '2021-02-23', '0772', '9656', '8144', '3163', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:42.969559', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23717, '2021-02-24', '1268', '6563', '3744', '9329', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:43.164239', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23718, '2021-02-25', '9174', '2399', '1644', '3725', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:43.341051', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23719, '2021-02-26', '7973', '9252', '4775', '5112', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:43.533605', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23720, '2021-02-27', '0865', '4644', '5830', '3514', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:43.70966', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23721, '2021-02-28', '2200', '9108', '9546', '0084', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:43.904735', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23722, '2021-03-01', '3366', '6922', '2680', '4183', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:44.096311', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23723, '2021-03-02', '1930', '5946', '5537', '0962', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:44.273822', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23724, '2021-03-03', '8102', '7000', '6400', '8873', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:44.467185', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23725, '2021-03-04', '5993', '6470', '0462', '3189', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:44.656404', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23726, '2021-03-05', '8193', '9923', '1536', '7824', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:44.848505', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23727, '2021-03-06', '4475', '6438', '6851', '4166', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:45.035456', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23728, '2021-03-07', '8313', '8082', '1613', '2753', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:45.225937', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23729, '2021-03-08', '5039', '9288', '4582', '0650', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:45.414932', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23730, '2021-03-09', '4849', '8736', '6373', '4557', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:45.604171', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23731, '2021-03-10', '7973', '1777', '9352', '8493', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:45.79489', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23732, '2021-03-11', '3645', '6545', '7430', '6629', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:45.984242', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23733, '2021-03-12', '9320', '9578', '2632', '2772', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:46.173726', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23734, '2021-03-13', '7399', '6082', '5888', '8660', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:46.363297', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23735, '2021-03-14', '9056', '9048', '2423', '6142', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:46.554479', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23736, '2021-03-15', '7653', '7830', '7927', '2305', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:46.744128', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23737, '2021-03-16', '7981', '7030', '1732', '1829', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:46.934524', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23738, '2021-03-17', '1969', '8953', '0161', '5550', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:47.123956', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23739, '2021-03-18', '9024', '8244', '4647', '9987', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:47.312788', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23740, '2021-03-19', '4007', '7364', '6591', '2727', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:47.503938', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23741, '2021-03-20', '5332', '7592', '3363', '7306', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:47.691005', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23742, '2021-03-21', '3292', '7849', '9019', '7416', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:47.882133', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23743, '2021-03-22', '6955', '7074', '6241', '4714', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:48.072281', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23744, '2021-03-23', '0702', '4307', '0996', '5349', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:48.261891', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23745, '2021-03-24', '7098', '6808', '3532', '5721', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:48.450349', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23746, '2021-03-25', '7292', '8568', '1336', '2815', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:48.641202', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23747, '2021-03-26', '3062', '1446', '5889', '9394', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:48.844915', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23748, '2021-03-27', '4432', '7604', '8236', '4034', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:49.036526', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23749, '2021-03-28', '6935', '2591', '1688', '8103', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:49.217999', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23750, '2021-03-29', '5215', '0316', '4688', '6874', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:49.399876', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23751, '2021-03-30', '7814', '5195', '7989', '1491', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:49.581223', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23753, '2021-04-01', '1972', '3157', '3539', '0262', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:49.943094', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23755, '2021-04-03', '7513', '6597', '7777', '1506', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:50.307062', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23757, '2021-04-05', '2938', '6545', '0608', '9858', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:50.67185', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23760, '2021-04-08', '9147', '0651', '2878', '8449', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:51.20727', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23767, '2021-04-15', '7013', '9594', '9167', '7931', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:52.520472', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23773, '2021-04-21', '5576', '5904', '1407', '1569', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.553814', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23774, '2021-04-22', '1452', '2803', '4622', '5116', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.677849', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23775, '2021-04-23', '8173', '7377', '1279', '2757', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.79765', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23776, '2021-04-24', '2003', '4028', '2418', '0194', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.925276', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23777, '2021-04-25', '4243', '3689', '3020', '2769', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:54.05577', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23797, '2021-05-15', '7934', '2987', '7264', '1560', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:58.207811', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23807, '2021-05-25', '3717', '7033', '6673', '4833', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:00.382335', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23813, '2021-05-31', '5419', '9679', '7051', '6132', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:01.703986', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23831, '2021-06-18', '6118', '8963', '5180', '1514', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:05.616374', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23837, '2021-06-24', '8120', '5655', '0636', '5865', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:06.920109', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23838, '2021-06-25', '3182', '6471', '4227', '2801', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:07.094167', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23847, '2021-07-04', '5174', '3586', '1390', '4114', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:09.117369', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23853, '2021-07-10', '6781', '8237', '5932', '9389', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:10.396951', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23855, '2021-07-12', '9799', '0710', '9671', '2123', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:10.805957', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23856, '2021-07-13', '3373', '8586', '3087', '2595', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:11.010195', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23859, '2021-07-16', '5867', '2780', '3218', '6566', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:11.642795', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23868, '2021-07-25', '0307', '5020', '6530', '0102', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:13.658894', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23870, '2021-07-27', '6679', '5022', '1405', '4620', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:14.113964', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23873, '2021-07-30', '5115', '7557', '1038', '3434', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:14.836078', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23878, '2021-08-04', '2068', '4484', '3454', '0213', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:15.845199', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23881, '2021-08-07', '6145', '9260', '1256', '6053', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:16.488062', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23894, '2021-08-20', '1672', '9678', '1311', '4685', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:19.232366', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23896, '2021-08-22', '4045', '2749', '1115', '4011', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:19.6442', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23906, '2021-09-01', '3551', '4980', '1071', '5067', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:21.667237', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23910, '2021-09-05', '0567', '1967', '2971', '5864', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:22.523344', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23913, '2021-09-08', '9480', '5454', '5829', '8621', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:23.137723', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23921, '2021-09-16', '1894', '4291', '0516', '4274', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:24.931156', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23924, '2021-09-19', '8941', '9121', '8884', '2334', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:25.549851', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23928, '2021-09-23', '6767', '8962', '4164', '8816', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:26.352066', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23936, '2021-10-01', '7606', '8558', '5603', '4868', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:27.966594', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23937, '2021-10-02', '3429', '0910', '3408', '1060', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:28.126661', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23941, '2021-10-06', '7335', '4683', '0577', '7190', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:28.924866', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24225, '2024-08-12', '7515', '5082', '9309', '9414', 'admintoto', '2024-08-12 10:50:39', 'admintoto', '2024-08-12 22:24:26', '4017', '8982', '4566');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24148, '2024-05-27', '7027', '2568', '3466', '7093', 'admintoto', '2024-05-27 14:08:25', 'admintoto', '2024-05-27 22:01:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24188, '2024-07-06', '9635', '6272', '0745', '4323', 'admintoto', '2024-07-06 13:05:38', 'root', '2024-07-27 22:24:27', '9415', '1688', '3591');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24158, '2024-06-06', '8319', '4567', '5656', '1250', 'admintoto', '2024-06-06 13:42:34', 'admintoto', '2024-06-06 22:01:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24189, '2024-07-07', '1818', '4143', '3236', '2293', 'admintoto', '2024-07-07 13:21:33', 'root', '2024-07-27 22:24:33', '4473', '0163', '3036');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24199, '2024-07-17', '6328', '2653', '0177', '3737', 'admintoto', '2024-07-17 13:11:18', 'root', '2024-07-27 22:25:31', '3879', '1557', '1124');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24168, '2024-06-16', '9113', '8384', '4227', '0639', 'admintoto', '2024-06-16 13:06:30', 'admintoto', '2024-06-16 22:11:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24209, '2024-07-27', '1398', '0771', '7666', '8588', 'admintoto', '2024-07-27 12:49:20', 'root', '2024-07-27 22:26:51', '9377', '4608', '9906');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24178, '2024-06-26', '9684', '0667', '6340', '4349', 'admintoto', '2024-06-26 13:35:01', 'admintoto', '2024-06-26 22:20:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24215, '2024-08-02', '7062', '2302', '6587', '5437', 'admintoto', '2024-08-01 22:56:14', 'admintoto', '2024-08-03 00:12:19', '5518', '0564', '1577');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23752, '2021-03-31', '2268', '7654', '6764', '9385', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:49.761969', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23754, '2021-04-02', '3578', '0955', '3669', '1844', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:50.125652', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23756, '2021-04-04', '8709', '1458', '2859', '3432', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:50.488357', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23759, '2021-04-07', '4827', '4110', '6552', '4868', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:51.022878', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23761, '2021-04-09', '9831', '9054', '6058', '3054', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:51.401079', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23762, '2021-04-10', '7459', '7275', '7706', '2124', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:51.588592', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23770, '2021-04-18', '1811', '3008', '4643', '3125', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.058123', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23778, '2021-04-26', '6073', '5495', '2667', '9852', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:54.194393', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23779, '2021-04-27', '1247', '0410', '9355', '9745', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:54.419287', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23781, '2021-04-29', '0665', '3413', '7367', '1993', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:54.803714', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23783, '2021-05-01', '3999', '5673', '4205', '1469', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:55.242973', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23787, '2021-05-05', '9154', '3074', '4884', '6987', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:56.074788', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23791, '2021-05-09', '2804', '8511', '4929', '5660', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:56.93336', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23796, '2021-05-14', '9076', '1378', '8174', '3859', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:57.984596', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23798, '2021-05-16', '9542', '1999', '7020', '5436', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:58.418056', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23800, '2021-05-18', '8547', '9132', '9275', '7510', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:58.799877', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23801, '2021-05-19', '3745', '7565', '1591', '6927', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:59.004891', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23805, '2021-05-23', '6202', '0543', '0573', '1645', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:59.95699', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23820, '2021-06-07', '5050', '4182', '4991', '3659', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:03.25498', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23822, '2021-06-09', '4268', '9348', '7014', '8845', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:03.712061', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23826, '2021-06-13', '4514', '9528', '0342', '9558', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:04.465884', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23832, '2021-06-19', '5447', '9859', '2320', '7238', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:05.818635', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23834, '2021-06-21', '6235', '9540', '5451', '0638', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:06.238808', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23841, '2021-06-28', '5739', '7666', '5138', '0693', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:07.733571', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23843, '2021-06-30', '6346', '0387', '6837', '5227', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:08.22707', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23844, '2021-07-01', '2927', '3079', '4119', '0888', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:08.390541', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23849, '2021-07-06', '4368', '5341', '4021', '8397', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:09.502587', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23850, '2021-07-07', '1491', '5663', '2393', '7656', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:09.697709', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23852, '2021-07-09', '4354', '2289', '5016', '7960', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:10.176301', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23854, '2021-07-11', '0581', '4979', '2492', '3276', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:10.589702', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23857, '2021-07-14', '1060', '4154', '4929', '0914', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:11.24818', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23863, '2021-07-20', '1645', '5310', '2551', '4388', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:12.556764', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23864, '2021-07-21', '7926', '4062', '7659', '2151', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:12.778016', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23867, '2021-07-24', '0197', '6997', '5309', '5312', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:13.495224', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23874, '2021-07-31', '6410', '2748', '2816', '6689', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:15.018068', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23875, '2021-08-01', '5522', '1063', '6603', '7234', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:15.213541', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23876, '2021-08-02', '3456', '2334', '1242', '8212', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:15.444159', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23883, '2021-08-09', '9454', '6259', '3262', '0303', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:16.855927', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23885, '2021-08-11', '3889', '0274', '2933', '9636', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:17.24565', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23888, '2021-08-14', '9639', '6215', '8456', '5901', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:17.929933', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23889, '2021-08-15', '0059', '5169', '8461', '0507', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:18.135963', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23892, '2021-08-18', '7776', '6907', '4611', '1974', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:18.82381', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23895, '2021-08-21', '5362', '3603', '9793', '5556', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:19.454787', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23897, '2021-08-23', '0464', '2583', '7935', '2840', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:19.851584', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23900, '2021-08-26', '3716', '6544', '6577', '1334', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:20.437612', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23901, '2021-08-27', '9769', '6562', '1813', '8752', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:20.654497', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23909, '2021-09-04', '4534', '7575', '5898', '9824', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:22.286261', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23912, '2021-09-07', '7233', '1603', '5856', '5122', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:22.931309', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23914, '2021-09-09', '3971', '8883', '1941', '1344', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:23.356577', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23919, '2021-09-14', '0542', '8790', '5212', '3076', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:24.494928', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23920, '2021-09-15', '3371', '0394', '5149', '1818', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:24.722144', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23929, '2021-09-24', '9557', '4933', '0176', '4575', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:26.530538', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23930, '2021-09-25', '2650', '2446', '1877', '6598', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:26.746874', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23931, '2021-09-26', '1063', '2625', '1190', '9969', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:26.935931', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23934, '2021-09-29', '8128', '4235', '5219', '1275', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:27.538731', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23939, '2021-10-04', '8135', '3058', '7035', '4823', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:28.518428', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23940, '2021-10-05', '2052', '6225', '3342', '6450', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:28.732613', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23944, '2021-10-09', '0535', '5262', '9212', '2402', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:29.576223', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24226, '2024-08-13', '8468', '5894', '9553', '1964', 'admintoto', '2024-08-12 22:25:44', 'admintoto', '2024-08-13 22:18:12', '5067', '6017', '7860');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24149, '2024-05-28', '3051', '3522', '4404', '0725', 'admintoto', '2024-05-28 16:44:43', 'admintoto', '2024-05-28 22:30:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24216, '2024-08-03', '2518', '2605', '3791', '1768', 'admintoto', '2024-08-03 00:12:23', 'admintoto', '2024-08-03 22:44:21', '3327', '9765', '4750');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24159, '2024-06-07', '2002', '9413', '3324', '6220', 'admintoto', '2024-06-07 12:20:42', 'admintoto', '2024-06-07 22:00:12', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24210, '2024-07-28', '4431', '0096', '8844', '6657', 'root', '2024-07-28 00:54:48', 'admintoto', '2024-07-28 22:11:22', '1102', '4590', '2324');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24169, '2024-06-17', '3262', '5251', '7508', '4335', 'admintoto', '2024-06-17 13:43:55', 'admintoto', '2024-06-17 23:08:50', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24179, '2024-06-27', '3489', '2177', '4029', '0005', 'admintoto', '2024-06-27 13:45:48', 'admintoto', '2024-06-27 22:00:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24190, '2024-07-08', '4491', '7919', '5921', '0498', 'admintoto', '2024-07-08 11:47:24', 'root', '2024-07-27 22:24:39', '5997', '5954', '6093');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24200, '2024-07-18', '5895', '4014', '3969', '2153', 'admintoto', '2024-07-18 13:27:07', 'root', '2024-07-27 22:25:37', '0558', '1195', '0151');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23758, '2021-04-06', '3863', '0007', '4245', '6402', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:50.850191', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23763, '2021-04-11', '4905', '3032', '2326', '9793', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:51.785644', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23764, '2021-04-12', '3366', '8087', '0157', '8851', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:51.967185', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23765, '2021-04-13', '3395', '5124', '1016', '9776', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:52.148093', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23766, '2021-04-14', '5406', '4649', '0897', '4190', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:52.330385', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23768, '2021-04-16', '0646', '1346', '9492', '6351', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:52.710776', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23769, '2021-04-17', '8470', '7675', '7183', '5978', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:52.891261', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23771, '2021-04-19', '7160', '7498', '8853', '7403', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.200321', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23772, '2021-04-20', '1465', '0434', '3417', '9293', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:53.401646', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23780, '2021-04-28', '3124', '3110', '0642', '3371', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:54.639854', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23782, '2021-04-30', '7700', '0515', '4948', '6534', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:55.023779', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23784, '2021-05-02', '8135', '4759', '2377', '4968', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:55.42267', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23785, '2021-05-03', '2470', '0581', '0493', '1777', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:55.669761', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23786, '2021-05-04', '3165', '0881', '4567', '2361', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:55.883864', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23788, '2021-05-06', '8637', '4089', '5785', '2605', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:56.257853', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23789, '2021-05-07', '2680', '1244', '5688', '2392', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:56.470843', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23790, '2021-05-08', '2970', '1631', '3780', '5219', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:56.6919', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23792, '2021-05-10', '6108', '6606', '2403', '8217', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:57.111356', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23793, '2021-05-11', '2955', '3316', '5547', '2458', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:57.341989', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23794, '2021-05-12', '4215', '4861', '1227', '4377', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:57.562976', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23795, '2021-05-13', '8993', '8455', '3635', '8761', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:57.763611', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23799, '2021-05-17', '0359', '0607', '2427', '0928', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:58.609697', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23802, '2021-05-20', '3916', '8237', '8122', '7776', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:59.197579', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23803, '2021-05-21', '7673', '0414', '2186', '9479', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:59.514071', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23804, '2021-05-22', '4738', '0456', '4244', '0638', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:47:59.744671', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23806, '2021-05-24', '9361', '6506', '9261', '4866', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:00.210758', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23808, '2021-05-26', '4367', '9842', '5743', '6643', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:00.580628', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23809, '2021-05-27', '6341', '9449', '9601', '8167', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:00.850016', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23810, '2021-05-28', '9942', '5452', '9227', '8842', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:01.053126', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23811, '2021-05-29', '7423', '9283', '9679', '1127', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:01.277496', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23812, '2021-05-30', '6984', '3080', '9951', '1693', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:01.511721', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23814, '2021-06-01', '7452', '7052', '5814', '9555', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:01.897855', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23815, '2021-06-02', '1698', '3886', '7042', '3658', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:02.145355', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23816, '2021-06-03', '4630', '4713', '3251', '9793', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:02.419701', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23817, '2021-06-04', '1927', '8802', '6123', '2753', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:02.628933', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23818, '2021-06-05', '8680', '6962', '4482', '7559', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:02.835291', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23819, '2021-06-06', '5593', '0917', '7415', '2955', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:03.046576', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23821, '2021-06-08', '4344', '0851', '0155', '9600', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:03.490885', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23823, '2021-06-10', '9468', '5687', '4722', '4080', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:03.919739', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23824, '2021-06-11', '7672', '0663', '0726', '0960', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:04.125679', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23825, '2021-06-12', '7211', '8805', '3657', '5910', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:04.297238', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23827, '2021-06-14', '7555', '3957', '4385', '8477', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:04.672271', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23828, '2021-06-15', '5842', '6007', '4075', '7934', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:04.959376', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23829, '2021-06-16', '4851', '9717', '9571', '4081', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:05.180065', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23830, '2021-06-17', '9520', '7808', '8345', '2617', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:05.399166', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23833, '2021-06-20', '0081', '2045', '3329', '7635', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:06.025805', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23835, '2021-06-22', '6839', '7221', '7255', '6329', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:06.457849', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23836, '2021-06-23', '0392', '0996', '7434', '0624', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:06.678674', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23839, '2021-06-26', '5683', '2065', '6022', '2412', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:07.321743', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23840, '2021-06-27', '9543', '6396', '8102', '8317', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:07.528764', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23842, '2021-06-29', '9467', '2573', '9778', '5427', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:07.954924', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23845, '2021-07-02', '0040', '6644', '1929', '7196', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:08.59575', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23846, '2021-07-03', '2025', '7245', '7909', '8494', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:08.846309', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23848, '2021-07-05', '1582', '8713', '2517', '3811', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:09.338969', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23851, '2021-07-08', '6254', '7473', '1242', '4817', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:09.904861', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23858, '2021-07-15', '0207', '3866', '0199', '9896', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:11.438118', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23860, '2021-07-17', '0709', '9783', '6845', '4382', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:11.821216', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23861, '2021-07-18', '4057', '0864', '2514', '2851', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:12.107499', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23862, '2021-07-19', '6209', '8723', '5187', '8437', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:12.339352', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23865, '2021-07-22', '9441', '8582', '0057', '4048', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:12.985178', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23866, '2021-07-23', '0690', '6117', '6007', '8939', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:13.251806', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23869, '2021-07-26', '2540', '5384', '2245', '8712', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:13.924108', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23871, '2021-07-28', '9637', '9938', '6051', '2285', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:14.404829', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23872, '2021-07-29', '2280', '2866', '9524', '0460', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:14.632873', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23877, '2021-08-03', '1376', '9646', '4432', '1710', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:15.637302', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23879, '2021-08-05', '7856', '0292', '3858', '8837', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:16.063369', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23880, '2021-08-06', '6292', '1181', '6088', '2310', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:16.268552', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23882, '2021-08-08', '9557', '3748', '5414', '1917', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:16.691439', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23884, '2021-08-10', '5530', '9424', '2601', '5731', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:17.050198', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23886, '2021-08-12', '6470', '9296', '2869', '7817', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:17.521', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23887, '2021-08-13', '9428', '4719', '9294', '5196', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:17.738266', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23890, '2021-08-16', '8295', '1056', '7826', '3557', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:18.370134', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23891, '2021-08-17', '8529', '9798', '6863', '8820', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:18.607112', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23893, '2021-08-19', '4521', '6299', '5450', '3692', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:19.015982', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23898, '2021-08-24', '9692', '5367', '9025', '9761', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:20.034576', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23899, '2021-08-25', '1148', '3573', '7833', '8322', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:20.24273', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23902, '2021-08-28', '0562', '1881', '9758', '0640', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:20.857882', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23903, '2021-08-29', '4421', '8682', '4243', '7097', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:21.022468', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23904, '2021-08-30', '8960', '9964', '7329', '1264', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:21.215353', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23905, '2021-08-31', '5860', '7286', '9846', '2841', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:21.422927', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23907, '2021-09-02', '5516', '6572', '7090', '1393', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:21.847927', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23908, '2021-09-03', '6688', '0726', '1381', '8240', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:22.042163', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23911, '2021-09-06', '4488', '0899', '7452', '3670', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:22.741215', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23915, '2021-09-10', '4928', '3246', '8817', '1965', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:23.592132', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23916, '2021-09-11', '4879', '1018', '2210', '2416', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:23.810186', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23917, '2021-09-12', '1964', '6093', '7471', '9692', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:24.0333', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23918, '2021-09-13', '6646', '7043', '4848', '1426', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:24.279779', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23922, '2021-09-17', '7422', '4568', '4659', '7891', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:25.147759', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23923, '2021-09-18', '7068', '8324', '5307', '4795', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:25.356504', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23927, '2021-09-22', '0725', '7475', '2050', '3347', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:26.172801', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23945, '2021-10-10', '2692', '9630', '3885', '3312', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:29.784586', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24150, '2024-05-29', '7430', '0497', '2230', '4289', 'admintoto', '2024-05-29 13:41:08', 'admintoto', '2024-05-29 22:11:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24160, '2024-06-08', '1853', '0985', '4981', '3043', 'admintoto', '2024-06-08 13:08:02', 'admintoto', '2024-06-08 22:01:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24170, '2024-06-18', '1931', '2824', '9511', '4456', 'admintoto', '2024-06-18 13:14:53', 'admintoto', '2024-06-18 22:41:32', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24180, '2024-06-28', '5273', '3345', '6673', '8806', 'admintoto', '2024-06-28 11:53:16', 'admintoto', '2024-06-28 22:12:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24191, '2024-07-09', '8290', '9105', '1149', '9416', 'admintoto', '2024-07-09 13:27:42', 'root', '2024-07-27 22:24:45', '9582', '6761', '6418');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24201, '2024-07-19', '3362', '5393', '0285', '8799', 'admintoto', '2024-07-19 12:57:44', 'root', '2024-07-27 22:25:42', '6589', '8577', '2653');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24211, '2024-07-29', '0127', '0254', '5408', '9596', 'root', '2024-07-29 01:58:02', 'admintoto', '2024-07-29 22:51:33', '8053', '4425', '6814');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24217, '2024-08-04', '2236', '8007', '7915', '7107', 'root', '2024-08-04 02:35:46', 'root', '2024-08-04 23:21:53', '5092', '1514', '6454');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24227, '2024-08-14', '4261', '5619', '', '', 'admintoto', '2024-08-14 00:40:11', 'admintoto', '2024-08-14 17:09:01', '3311', '1901', '1231');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23925, '2021-09-20', '1991', '9222', '8715', '4805', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:25.743927', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23926, '2021-09-21', '7329', '6802', '3159', '4387', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:25.963128', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23932, '2021-09-27', '2086', '5845', '4106', '0622', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:27.127872', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23933, '2021-09-28', '5391', '9705', '6733', '7657', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:27.332172', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23935, '2021-09-30', '0100', '9287', '5814', '6647', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:27.761728', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23938, '2021-10-03', '6425', '7009', '6078', '9442', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:28.32061', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23942, '2021-10-07', '7037', '9344', '9132', '6679', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:29.169354', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23943, '2021-10-08', '0208', '7054', '7612', '5021', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:29.349068', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23946, '2021-10-11', '4914', '7962', '5855', '9475', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:30.051314', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23947, '2021-10-12', '1892', '5151', '9414', '6071', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:30.277151', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23948, '2021-10-13', '7955', '2073', '4760', '6679', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:30.470934', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23949, '2021-10-14', '5291', '1314', '8314', '7155', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:30.671825', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23950, '2021-10-15', '3760', '3137', '1461', '5148', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:30.863425', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23951, '2021-10-16', '5475', '8812', '5567', '0134', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:31.075795', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23952, '2021-10-17', '8598', '5026', '3680', '0238', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:31.280937', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23953, '2021-10-18', '3461', '6957', '7029', '5260', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:31.489274', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23954, '2021-10-19', '6554', '0932', '2472', '2940', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:31.705467', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23955, '2021-10-20', '9055', '9445', '6134', '3189', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:31.932579', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23956, '2021-10-21', '1527', '7774', '2914', '7343', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:32.144314', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23957, '2021-10-22', '3636', '8917', '7317', '0034', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:32.349058', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23958, '2021-10-23', '4283', '1010', '1177', '7445', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:32.557724', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23959, '2021-10-24', '8893', '6457', '5252', '8649', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:32.768444', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23960, '2021-10-25', '1679', '1395', '4331', '9227', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:32.971141', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23961, '2021-10-26', '1851', '7883', '7818', '0724', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:33.16569', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23962, '2021-10-27', '1940', '1426', '3515', '4046', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:33.381622', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23963, '2021-10-28', '1193', '9849', '6954', '0257', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:33.57149', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23964, '2021-10-29', '3321', '4154', '1586', '0901', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:33.787767', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23965, '2021-10-30', '3219', '9074', '2791', '6608', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:33.983147', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23966, '2021-10-31', '8921', '0561', '2669', '4737', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:34.163876', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23967, '2021-11-01', '0482', '6255', '8832', '4693', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:34.379051', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23968, '2021-11-02', '8430', '1848', '2422', '2271', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:34.544893', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23969, '2021-11-03', '6648', '3645', '4813', '2540', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:34.759882', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23970, '2021-11-04', '8227', '8139', '6667', '5310', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:34.956703', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23971, '2021-11-05', '8213', '5012', '5898', '5158', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:35.160779', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23972, '2021-11-06', '3001', '5669', '4526', '9209', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:35.356465', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23973, '2021-11-07', '2762', '2450', '2789', '7457', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:35.574882', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23974, '2021-11-08', '3373', '0796', '5805', '4063', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:35.803231', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23975, '2021-11-09', '0301', '6101', '6268', '4917', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:35.978365', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23976, '2021-11-10', '6489', '5718', '3249', '4446', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:36.203771', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23977, '2021-11-11', '0356', '8120', '0062', '3612', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:36.453801', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23978, '2021-11-12', '0645', '1188', '1833', '4981', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:36.703089', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23979, '2021-11-13', '0912', '3854', '2722', '5608', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:36.906815', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23980, '2021-11-14', '2799', '6770', '9257', '0106', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:37.125883', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23981, '2021-11-15', '3828', '0258', '5106', '4330', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:37.351612', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23982, '2021-11-16', '0428', '7090', '2538', '7339', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:37.519351', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23983, '2021-11-17', '5694', '0826', '9199', '2678', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:37.728942', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23984, '2021-11-18', '1326', '6405', '0108', '2226', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:37.924759', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23985, '2021-11-19', '8777', '1477', '3454', '6446', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:38.12195', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23986, '2021-11-20', '9280', '5202', '2752', '9555', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:38.351629', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23987, '2021-11-21', '3213', '7102', '2680', '4188', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:38.559148', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23988, '2021-11-22', '6909', '0814', '1087', '5747', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:38.759103', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23989, '2021-11-23', '6242', '3749', '2482', '7358', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:38.976348', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23990, '2021-11-24', '0008', '0516', '9813', '7601', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:39.172948', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23991, '2021-11-25', '5040', '9507', '3334', '3013', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:39.370144', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23992, '2021-11-26', '1290', '4620', '7041', '4744', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:39.597257', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23993, '2021-11-27', '8115', '2395', '8777', '3199', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:39.80151', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23994, '2021-11-28', '8030', '0847', '5911', '3833', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:39.984216', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23995, '2021-11-29', '9394', '6842', '2436', '4529', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:40.200241', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23996, '2021-11-30', '8398', '3222', '2462', '6269', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:40.396108', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23997, '2021-12-01', '1360', '3343', '0598', '5631', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:40.620211', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23998, '2021-12-02', '3164', '5356', '2341', '7428', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:40.79995', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (23999, '2021-12-03', '1462', '0262', '6183', '9636', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:40.983297', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231000, '2021-12-04', '5742', '1809', '8197', '6304', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:41.2218', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231001, '2021-12-05', '4385', '8530', '0223', '9861', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:41.506212', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231002, '2021-12-06', '0869', '0006', '1388', '7921', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:41.697845', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231003, '2021-12-07', '8631', '0362', '5448', '7544', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:41.89477', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231004, '2021-12-08', '9242', '3352', '7784', '3144', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:42.090538', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231005, '2021-12-09', '9035', '9924', '9673', '1322', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:42.30995', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231006, '2021-12-10', '2153', '9058', '7377', '2438', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:42.610786', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231007, '2021-12-11', '0706', '0227', '4310', '9437', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:42.848424', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231008, '2021-12-12', '4151', '0382', '3360', '5424', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:43.068934', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231009, '2021-12-13', '8200', '5256', '5088', '2803', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:43.25276', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231010, '2021-12-14', '3276', '9183', '3972', '2658', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:43.451302', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231011, '2021-12-15', '0893', '9716', '7964', '0165', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:43.648124', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231012, '2021-12-16', '7357', '6070', '9809', '0023', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:43.858918', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231013, '2021-12-17', '2968', '5193', '9135', '2355', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:44.082645', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231014, '2021-12-18', '7567', '9733', '0917', '7086', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:44.279405', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231015, '2021-12-19', '0177', '4187', '4379', '4876', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:44.533015', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231016, '2021-12-20', '9419', '5374', '2202', '5167', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:44.789278', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231017, '2021-12-21', '1144', '9199', '8311', '3422', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:45.004936', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231018, '2021-12-22', '2916', '8604', '4487', '4285', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:45.21206', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231019, '2021-12-23', '4354', '5327', '2318', '9541', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:45.42014', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231020, '2021-12-24', '7861', '1313', '2081', '2608', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:45.633791', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231021, '2021-12-25', '8872', '4252', '5485', '5729', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:45.85438', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231022, '2021-12-26', '9475', '6556', '5589', '2703', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:46.101508', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231023, '2021-12-27', '4605', '2473', '8906', '7097', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:46.339677', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231024, '2021-12-28', '5654', '8340', '3959', '9257', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:46.54291', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231025, '2021-12-29', '2770', '5107', '3834', '0469', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:46.763285', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231026, '2021-12-30', '3865', '3075', '0628', '3287', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:46.986971', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231027, '2021-12-31', '3211', '1567', '9912', '0979', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:47.199332', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231028, '2022-01-01', '7128', '2733', '1757', '1462', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:47.448808', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231030, '2022-01-03', '2594', '7562', '9627', '1299', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:47.864748', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231044, '2022-01-17', '9710', '3766', '3739', '9637', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:50.838947', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231045, '2022-01-18', '3001', '5894', '5686', '7531', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:51.029293', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231047, '2022-01-20', '4285', '7921', '6473', '7731', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:51.4609', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231048, '2022-01-21', '8678', '2656', '1213', '2377', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:51.675756', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231051, '2022-01-24', '6702', '6450', '7005', '5203', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:52.299328', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231057, '2022-01-30', '4989', '3070', '9836', '7341', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:53.466819', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231058, '2022-01-31', '3948', '1948', '6083', '9458', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:53.664433', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231062, '2022-02-04', '8387', '3751', '3807', '0152', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:54.505072', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231071, '2022-02-13', '6414', '2927', '1599', '1379', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:56.359595', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231076, '2022-02-18', '8684', '7828', '2981', '7364', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:57.42111', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231084, '2022-02-26', '6974', '6786', '6894', '8497', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:59.150337', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231087, '2022-03-01', '1649', '6336', '5710', '5739', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:59.790851', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231088, '2022-03-02', '7810', '5485', '1348', '4587', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:59.990203', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231096, '2022-03-10', '0996', '5817', '2066', '4778', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:01.69325', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231118, '2022-04-01', '1848', '7544', '2901', '0427', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:06.280656', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231119, '2022-04-02', '8355', '9903', '3690', '8255', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:06.492801', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231120, '2022-04-03', '2113', '8004', '3648', '8477', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:06.725131', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231127, '2022-04-10', '2566', '1262', '9131', '5956', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:08.248049', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231131, '2022-04-14', '4473', '7327', '7606', '0021', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:09.192371', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231132, '2022-04-15', '2106', '9611', '7177', '2743', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:09.413254', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231135, '2022-04-18', '6143', '0446', '5092', '0329', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:10.012271', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231150, '2022-05-03', '6043', '9908', '9368', '8494', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:13.19762', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231152, '2022-05-05', '6318', '8083', '5782', '3084', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:13.606362', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231155, '2022-05-08', '7241', '6495', '5465', '4856', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:14.290272', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231156, '2022-05-09', '0946', '7241', '5216', '6584', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:14.497266', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231157, '2022-05-10', '4315', '6936', '2250', '2972', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:14.770753', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231165, '2022-05-18', '1763', '1880', '7519', '9856', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:16.394383', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231167, '2022-05-20', '3964', '0271', '5669', '8176', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:16.825313', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231172, '2022-05-25', '3854', '1098', '0199', '1869', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:17.862015', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231177, '2022-05-30', '2145', '9290', '3353', '6985', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:18.878091', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231180, '2022-06-02', '0742', '1593', '6695', '4425', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:19.504861', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231182, '2022-06-04', '0476', '1995', '1070', '9441', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:19.919753', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231186, '2022-06-08', '1757', '8207', '5354', '2396', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:20.690544', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231189, '2022-06-11', '6427', '0480', '9029', '7187', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:21.275646', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231194, '2022-06-16', '4156', '5891', '8534', '3839', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:22.294299', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231201, '2022-06-23', '0803', '6778', '3475', '4352', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:23.821704', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231202, '2022-06-24', '5364', '0798', '9241', '3815', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:24.014059', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231211, '2022-07-03', '6635', '8635', '5590', '7517', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:25.791959', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231220, '2022-07-12', '5812', '6353', '2197', '8503', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:27.774178', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231221, '2022-07-13', '1895', '4460', '3879', '7375', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:27.968554', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231225, '2022-07-17', '5795', '3285', '4587', '9807', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:28.934915', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231227, '2022-07-19', '0161', '9051', '6377', '2468', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:29.316202', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231228, '2022-07-20', '2663', '4909', '4228', '4059', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:29.545116', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231229, '2022-07-21', '5070', '8844', '2387', '5193', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:29.772698', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24192, '2024-07-10', '7906', '2290', '8447', '6378', 'admintoto', '2024-07-10 13:13:51', 'root', '2024-07-27 22:24:51', '0012', '2821', '8890');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24151, '2024-05-30', '1465', '8455', '9873', '4833', 'admintoto', '2024-05-30 14:31:43', 'admintoto', '2024-05-30 22:03:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24202, '2024-07-20', '9145', '5628', '3082', '8164', 'admintoto', '2024-07-20 13:14:17', 'root', '2024-07-27 22:25:48', '3933', '0571', '8883');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24161, '2024-06-09', '5077', '0661', '7185', '5164', 'admintoto', '2024-06-09 14:19:34', 'admintoto', '2024-06-09 22:16:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24171, '2024-06-19', '9205', '0171', '7972', '0650', 'admintoto', '2024-06-19 11:06:07', 'admintoto', '2024-06-19 22:07:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24181, '2024-06-29', '7939', '5184', '8856', '3234', 'admintoto', '2024-06-29 13:05:30', 'admintoto', '2024-06-29 23:02:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24212, '2024-07-30', '6177', '1231', '5379', '9213', 'admintoto', '2024-07-30 01:03:20', 'admintoto', '2024-07-30 22:03:38', '3429', '7570', '3646');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24218, '2024-08-05', '0268', '6455', '4905', '5603', 'root', '2024-08-05 01:34:18', 'admintoto', '2024-08-05 22:17:47', '1327', '9007', '7319');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231029, '2022-01-02', '4093', '3118', '0073', '7926', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:47.668785', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231032, '2022-01-05', '0989', '6366', '0933', '3657', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:48.292771', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231033, '2022-01-06', '7275', '7020', '2006', '4150', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:48.513893', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231036, '2022-01-09', '2338', '7231', '2123', '8815', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:49.150069', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231038, '2022-01-11', '2027', '2636', '1066', '4790', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:49.57753', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231039, '2022-01-12', '4472', '0634', '4885', '2811', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:49.765663', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231040, '2022-01-13', '7571', '5848', '3889', '7736', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:49.968804', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231041, '2022-01-14', '6042', '8738', '7824', '0339', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:50.180057', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231046, '2022-01-19', '1525', '9170', '5329', '4040', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:51.246111', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231050, '2022-01-23', '6589', '5238', '8272', '9072', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:52.107243', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231052, '2022-01-25', '2479', '8087', '5610', '7840', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:52.463114', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231054, '2022-01-27', '1026', '7056', '7595', '1083', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:52.820771', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231055, '2022-01-28', '7775', '2536', '5319', '9262', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:53.050932', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231056, '2022-01-29', '6107', '2516', '9885', '2607', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:53.244852', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231060, '2022-02-02', '1317', '5954', '1163', '6002', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:54.131374', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231068, '2022-02-10', '6342', '2536', '1964', '0963', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:55.739799', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231069, '2022-02-11', '0864', '9239', '9710', '8687', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:55.920007', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231079, '2022-02-21', '8214', '2610', '4851', '7864', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:58.039581', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231091, '2022-03-05', '0368', '4593', '3342', '6033', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:00.581948', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231093, '2022-03-07', '3537', '6492', '5762', '5521', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:01.016271', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231095, '2022-03-09', '6991', '4072', '6141', '5688', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:01.473079', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231099, '2022-03-13', '6540', '9725', '1139', '5334', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:02.347578', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231100, '2022-03-14', '5444', '6530', '9863', '0024', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:02.565203', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231101, '2022-03-15', '6185', '2614', '4624', '2014', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:02.769054', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231105, '2022-03-19', '2722', '7182', '7849', '2803', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:03.581599', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231112, '2022-03-26', '6864', '5098', '1812', '2010', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:04.980547', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231115, '2022-03-29', '9031', '6986', '5262', '1454', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:05.601869', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231121, '2022-04-04', '2162', '8033', '5573', '3738', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:06.95031', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231125, '2022-04-08', '7206', '0577', '5365', '8690', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:07.813261', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231129, '2022-04-12', '3057', '7655', '6715', '6847', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:08.753999', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231136, '2022-04-19', '5697', '4592', '0464', '6623', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:10.269651', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231140, '2022-04-23', '2637', '2358', '9023', '4504', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:11.037059', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231141, '2022-04-24', '6002', '4364', '5605', '6924', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:11.246856', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231142, '2022-04-25', '4669', '7636', '0181', '2932', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:11.427445', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231143, '2022-04-26', '9334', '3640', '1758', '9855', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:11.64514', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231146, '2022-04-29', '6329', '6526', '0375', '5349', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:12.296989', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231147, '2022-04-30', '4918', '9902', '1362', '0842', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:12.513566', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231149, '2022-05-02', '5384', '8617', '7882', '9554', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:12.975572', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231151, '2022-05-04', '7450', '6753', '9174', '5044', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:13.399284', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231159, '2022-05-12', '2080', '3180', '7344', '1690', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:15.208157', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231166, '2022-05-19', '4073', '1699', '1675', '7026', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:16.605827', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231168, '2022-05-21', '9170', '3203', '6876', '4375', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:16.990707', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231173, '2022-05-26', '0200', '0823', '1774', '8448', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:18.061762', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231190, '2022-06-12', '5571', '6221', '7809', '7831', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:21.467973', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231191, '2022-06-13', '7754', '3553', '6608', '5318', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:21.695274', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231192, '2022-06-14', '9286', '2310', '4597', '7575', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:21.871728', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231193, '2022-06-15', '2631', '3044', '7609', '6032', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:22.101415', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231196, '2022-06-18', '5008', '1381', '2321', '0278', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:22.701147', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231199, '2022-06-21', '5183', '6811', '2212', '2323', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:23.384387', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231200, '2022-06-22', '6705', '0406', '0900', '4114', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:23.60107', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231203, '2022-06-25', '5418', '4836', '2642', '5117', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:24.18034', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231207, '2022-06-29', '2009', '9527', '9444', '3954', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:24.991275', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231212, '2022-07-04', '8894', '7913', '4735', '2666', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:25.984934', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231213, '2022-07-05', '7404', '1362', '1158', '6054', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:26.176837', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231216, '2022-07-08', '6396', '5307', '5507', '0958', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:26.884282', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231219, '2022-07-11', '3446', '8434', '0542', '7278', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:27.55411', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24152, '2024-05-31', '1730', '5161', '0022', '1135', 'admintoto', '2024-05-31 10:29:02', 'admintoto', '2024-05-31 22:41:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24213, '2024-07-31', '5151', '2676', '6498', '8740', 'root', '2024-07-31 04:16:07', 'admintoto', '2024-07-31 23:00:26', '1671', '6561', '1024');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24162, '2024-06-10', '3049', '7161', '8912', '4365', 'admintoto', '2024-06-10 13:24:22', 'admintoto', '2024-06-10 22:10:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24172, '2024-06-20', '6665', '8316', '7677', '9425', 'admintoto', '2024-06-20 11:59:39', 'admintoto', '2024-06-20 22:35:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24193, '2024-07-11', '2967', '4199', '3537', '1334', 'admintoto', '2024-07-11 13:55:32', 'root', '2024-07-27 22:24:56', '3325', '8353', '3224');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24182, '2024-06-30', '8345', '9581', '5414', '3920', 'admintoto', '2024-06-30 12:39:12', 'admintoto', '2024-06-30 23:20:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24203, '2024-07-21', '2954', '1291', '8062', '0524', 'admintoto', '2024-07-21 12:35:51', 'root', '2024-07-27 22:26:04', '1694', '9032', '7870');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24219, '2024-08-06', '6934', '3614', '6436', '2316', 'admintoto', '2024-08-05 22:17:52', 'admintoto', '2024-08-06 22:00:33', '1692', '2212', '4514');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231031, '2022-01-04', '1854', '5675', '2263', '8976', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:48.081283', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231035, '2022-01-08', '5440', '0451', '2365', '3483', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:48.955906', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231042, '2022-01-15', '5309', '6682', '5928', '1806', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:50.389294', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231049, '2022-01-22', '4400', '8317', '9455', '6344', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:51.887552', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231053, '2022-01-26', '3774', '6025', '0406', '0611', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:52.654247', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231061, '2022-02-03', '5380', '5386', '5284', '9601', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:54.311448', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231064, '2022-02-06', '1312', '5687', '6319', '1073', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:54.897517', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231067, '2022-02-09', '8441', '7764', '4865', '3231', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:55.523325', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231072, '2022-02-14', '2186', '9721', '4913', '5653', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:56.608276', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231074, '2022-02-16', '4441', '1467', '3833', '4780', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:56.985201', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231080, '2022-02-22', '5262', '7179', '8146', '0964', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:58.252335', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231081, '2022-02-23', '1572', '7987', '1461', '3642', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:58.462018', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231082, '2022-02-24', '3857', '1342', '9923', '6548', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:58.659871', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231090, '2022-03-04', '0130', '3828', '1005', '1649', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:00.36194', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231092, '2022-03-06', '8293', '1267', '4615', '8881', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:00.797149', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231097, '2022-03-11', '9641', '7213', '2663', '6468', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:01.900205', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231102, '2022-03-16', '3947', '9724', '8989', '3948', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:02.957705', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231104, '2022-03-18', '3767', '2918', '5306', '8093', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:03.350992', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231107, '2022-03-21', '5504', '1084', '5591', '4218', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:03.980251', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231109, '2022-03-23', '2532', '0639', '9312', '8195', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:04.406366', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231113, '2022-03-27', '7450', '9993', '3178', '9046', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:05.177817', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231122, '2022-04-05', '8839', '1629', '8814', '6825', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:07.178275', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231124, '2022-04-07', '3473', '2269', '9031', '3833', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:07.593348', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231128, '2022-04-11', '8631', '4239', '9166', '4240', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:08.534254', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231133, '2022-04-16', '9297', '6220', '0933', '6859', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:09.606496', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231138, '2022-04-21', '2228', '1044', '8378', '3711', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:10.62627', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231139, '2022-04-22', '9786', '4578', '7122', '0562', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:10.858442', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231148, '2022-05-01', '9468', '4126', '7845', '5026', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:12.702778', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231153, '2022-05-06', '9105', '4927', '5023', '3250', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:13.842676', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231160, '2022-05-13', '8380', '8458', '3272', '6269', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:15.418756', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231161, '2022-05-14', '7593', '4896', '9352', '1314', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:15.58322', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231170, '2022-05-23', '6721', '9422', '2673', '3710', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:17.431673', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231174, '2022-05-27', '6305', '2801', '6867', '3522', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:18.272072', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231175, '2022-05-28', '1772', '2007', '7138', '2442', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:18.475271', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231176, '2022-05-29', '7888', '0273', '2522', '7462', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:18.6844', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231178, '2022-05-31', '1415', '2616', '4074', '8871', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:19.093865', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231187, '2022-06-09', '4737', '7848', '7810', '3444', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:20.886359', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231188, '2022-06-10', '9469', '9670', '5143', '6033', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:21.094103', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231198, '2022-06-20', '0150', '4461', '8342', '6848', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:23.165016', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231205, '2022-06-27', '6161', '3666', '0160', '5176', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:24.591322', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231206, '2022-06-28', '5378', '2996', '7865', '4433', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:24.797902', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231209, '2022-07-01', '0386', '6650', '4683', '8187', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:25.418621', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231210, '2022-07-02', '5897', '1732', '2760', '0577', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:25.597158', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231215, '2022-07-07', '1306', '8100', '1161', '6612', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:26.646173', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231223, '2022-07-15', '2689', '4836', '9764', '5046', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:28.46979', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231224, '2022-07-16', '2728', '3103', '7604', '9357', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:28.713469', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24183, '2024-07-01', '0877', '7605', '1549', '6614', 'admintoto', '2024-07-01 10:51:57', 'root', '2024-07-27 22:23:55', '5211', '3565', '3090');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24153, '2024-06-01', '6495', '1040', '4040', '8615', 'admintoto', '2024-06-01 14:41:48', 'admintoto', '2024-06-01 22:14:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24194, '2024-07-12', '8956', '0419', '2498', '7184', 'admintoto', '2024-07-12 13:02:20', 'root', '2024-07-27 22:25:02', '1743', '0169', '9536');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24163, '2024-06-11', '8556', '4205', '8214', '7760', 'admintoto', '2024-06-11 13:13:55', 'admintoto', '2024-06-11 22:43:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24204, '2024-07-22', '4243', '1414', '7582', '0407', 'admintoto', '2024-07-22 13:09:31', 'root', '2024-07-27 22:26:09', '4805', '7199', '4057');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24173, '2024-06-21', '7546', '9494', '0820', '3977', 'admintoto', '2024-06-21 13:30:36', 'admintoto', '2024-06-21 23:04:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24214, '2024-08-01', '5669', '1413', '5298', '5001', 'root', '2024-08-01 01:38:07', 'root', '2024-08-02 00:29:04', '4446', '0556', '5127');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24220, '2024-08-07', '9077', '5467', '2798', '6534', 'admintoto', '2024-08-07 00:12:13', 'admintoto', '2024-08-07 22:21:10', '3483', '4699', '3501');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231034, '2022-01-07', '5065', '6931', '4875', '3299', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:48.735463', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231037, '2022-01-10', '3277', '1502', '6880', '5350', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:49.366958', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231043, '2022-01-16', '3452', '6091', '2275', '3974', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:50.601621', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231059, '2022-02-01', '3598', '1818', '3168', '5869', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:53.896888', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231063, '2022-02-05', '6111', '3918', '6252', '1888', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:54.709004', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231065, '2022-02-07', '1645', '3649', '0540', '0730', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:55.089155', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231066, '2022-02-08', '9654', '9288', '7804', '2537', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:55.291185', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231070, '2022-02-12', '0144', '4992', '1987', '3144', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:56.140524', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231073, '2022-02-15', '5247', '3734', '3149', '9774', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:56.80569', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231075, '2022-02-17', '2602', '1017', '5126', '3361', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:57.217046', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231077, '2022-02-19', '3580', '9752', '8163', '6341', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:57.609952', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231078, '2022-02-20', '4117', '6596', '8853', '8809', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:57.812633', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231083, '2022-02-25', '6716', '0435', '6175', '9373', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:58.91657', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231085, '2022-02-27', '5152', '5121', '9620', '2398', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:59.367157', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231086, '2022-02-28', '1067', '9395', '3022', '0414', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:48:59.585064', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231089, '2022-03-03', '9423', '6606', '9335', '3650', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:00.193147', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231094, '2022-03-08', '0020', '6770', '3614', '9459', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:01.247179', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231098, '2022-03-12', '7644', '1838', '4427', '3637', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:02.129264', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231103, '2022-03-17', '0643', '0636', '1633', '8967', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:03.163143', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231106, '2022-03-20', '1771', '2172', '1907', '2217', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:03.797983', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231108, '2022-03-22', '7114', '2852', '0863', '4960', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:04.201971', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231110, '2022-03-24', '1821', '9387', '3515', '7344', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:04.574306', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231111, '2022-03-25', '4653', '1013', '0199', '1194', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:04.80384', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231114, '2022-03-28', '2474', '5555', '3436', '7157', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:05.397622', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231116, '2022-03-30', '8095', '8060', '8468', '6414', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:05.86875', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231117, '2022-03-31', '0261', '3744', '0560', '8796', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:06.075796', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231123, '2022-04-06', '2012', '9087', '1276', '1827', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:07.370387', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231126, '2022-04-09', '0084', '3038', '5881', '5136', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:08.015046', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231130, '2022-04-13', '9259', '1678', '1728', '3629', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:08.960675', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231134, '2022-04-17', '6717', '7229', '8590', '4643', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:09.794829', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231137, '2022-04-20', '4446', '1314', '5333', '7912', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:10.429192', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231144, '2022-04-27', '6238', '1440', '1789', '2815', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:11.84816', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231145, '2022-04-28', '7687', '4877', '6199', '1487', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:12.078095', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231154, '2022-05-07', '4660', '6998', '1723', '5269', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:14.099601', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231158, '2022-05-11', '4470', '9021', '1875', '1921', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:14.973077', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231162, '2022-05-15', '3262', '4098', '1590', '9121', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:15.750821', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231163, '2022-05-16', '3155', '4353', '3705', '6993', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:15.984792', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231164, '2022-05-17', '7177', '9060', '3010', '2654', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:16.187437', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231169, '2022-05-22', '9988', '7133', '1694', '1050', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:17.209383', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231171, '2022-05-24', '3784', '1208', '1024', '7569', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:17.640545', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231179, '2022-06-01', '4941', '6776', '2254', '3037', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:19.302627', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231181, '2022-06-03', '6063', '6348', '8379', '1864', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:19.698513', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231183, '2022-06-05', '6478', '0499', '5719', '1176', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:20.08381', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231184, '2022-06-06', '6007', '0724', '3371', '3870', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:20.291505', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231185, '2022-06-07', '9041', '5986', '2096', '2706', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:20.480929', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231195, '2022-06-17', '3935', '6451', '1329', '1764', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:22.484477', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231197, '2022-06-19', '5498', '5026', '0315', '1669', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:22.929931', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231204, '2022-06-26', '8304', '9142', '6331', '3806', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:24.371053', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231208, '2022-06-30', '1683', '6681', '0489', '1045', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:25.19166', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231214, '2022-07-06', '2548', '8928', '0904', '9402', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:26.39951', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231217, '2022-07-09', '3931', '1730', '2597', '6472', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:27.102416', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231218, '2022-07-10', '0662', '6169', '4765', '2508', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:27.335236', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231222, '2022-07-14', '5991', '0605', '7401', '6004', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:28.232105', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231226, '2022-07-18', '0603', '0026', '4830', '2921', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:29.141587', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231230, '2022-07-22', '1995', '7324', '0664', '0658', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:29.984044', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231231, '2022-07-23', '1112', '7069', '6454', '7637', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:30.17305', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231232, '2022-07-24', '1722', '7395', '3700', '3411', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:30.405273', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231233, '2022-07-25', '3748', '6916', '2535', '6754', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:30.625995', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231234, '2022-07-26', '6194', '1306', '4452', '0986', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:30.820359', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231235, '2022-07-27', '4747', '7151', '4866', '1420', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:31.041554', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231236, '2022-07-28', '6178', '1502', '8535', '7878', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:31.273401', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231237, '2022-07-29', '7624', '4392', '4631', '5355', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:31.467994', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231238, '2022-07-30', '9979', '3276', '0931', '2603', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:31.661392', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231239, '2022-07-31', '9683', '8762', '5063', '6166', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:31.908623', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231240, '2022-08-01', '7451', '0597', '1774', '1424', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:32.140502', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231241, '2022-08-02', '6646', '2833', '8932', '3098', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:32.372095', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231242, '2022-08-03', '2597', '1322', '3951', '0814', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:32.564795', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231243, '2022-08-04', '0905', '2332', '6892', '3086', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:32.794148', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231244, '2022-08-05', '3661', '9315', '2438', '6279', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:32.975055', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231245, '2022-08-06', '9940', '0075', '1778', '1747', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:33.199989', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231246, '2022-08-07', '1665', '9414', '6189', '6391', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:33.448432', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231247, '2022-08-08', '6785', '4858', '8217', '3926', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:33.667492', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231248, '2022-08-09', '8691', '8140', '8382', '7936', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:33.885403', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231249, '2022-08-10', '3887', '3348', '7245', '1890', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:34.075675', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231250, '2022-08-11', '2029', '4268', '8507', '3837', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:34.350089', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231251, '2022-08-12', '2001', '6342', '0033', '5385', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:34.571344', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231252, '2022-08-13', '7697', '0549', '0277', '6545', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:34.781266', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231253, '2022-08-14', '9906', '1859', '3905', '4815', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:34.958873', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231254, '2022-08-15', '0387', '4887', '5448', '3518', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:35.179009', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231255, '2022-08-16', '7264', '1264', '0127', '9969', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:35.481408', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231256, '2022-08-17', '2024', '9817', '7813', '2062', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:35.714768', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231257, '2022-08-18', '1690', '2050', '4154', '9381', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:35.945109', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231258, '2022-08-19', '6231', '2754', '3205', '1331', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:36.174351', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231259, '2022-08-20', '4295', '7696', '9800', '1483', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:36.383578', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231260, '2022-08-21', '7779', '6519', '6193', '9209', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:36.585403', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231261, '2022-08-22', '6415', '7881', '2321', '2606', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:36.777851', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231262, '2022-08-23', '7004', '0724', '0097', '2602', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:36.999128', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231263, '2022-08-24', '1936', '7447', '9767', '1621', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:37.217784', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231264, '2022-08-25', '6992', '2519', '6835', '7514', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:37.428221', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231265, '2022-08-26', '9320', '5181', '3082', '6280', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:37.632171', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231268, '2022-08-29', '5176', '1693', '1447', '0506', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:38.312693', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231270, '2022-08-31', '7135', '6795', '5971', '0198', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:38.764473', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231274, '2022-09-04', '9029', '7767', '7157', '8531', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:39.620988', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231276, '2022-09-06', '2326', '5213', '8942', '4196', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:40.109803', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231277, '2022-09-07', '6582', '9589', '0843', '8509', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:40.298964', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231283, '2022-09-13', '0037', '4537', '4222', '8601', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:41.541161', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231291, '2022-09-21', '5911', '5893', '6916', '2229', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:43.180223', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231293, '2022-09-23', '6071', '4194', '4308', '2845', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:43.64923', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231294, '2022-09-24', '4003', '7209', '8727', '6874', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:43.919167', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231297, '2022-09-27', '3677', '0166', '4096', '6834', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:44.535438', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231312, '2022-10-12', '0427', '5324', '7529', '7771', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:47.622021', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231315, '2022-10-15', '6451', '3835', '1184', '2502', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:48.249786', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231316, '2022-10-16', '6649', '6089', '2769', '0267', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:48.523327', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231317, '2022-10-17', '8822', '4296', '4216', '6260', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:48.743252', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231318, '2022-10-18', '5276', '0957', '6127', '1425', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:48.990416', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231325, '2022-10-25', '4444', '8326', '4666', '9401', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:50.465279', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231330, '2022-10-30', '1861', '9250', '1993', '9811', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:51.621076', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231349, '2022-11-18', '7106', '4404', '8601', '2145', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:55.828326', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231352, '2022-11-21', '8733', '5581', '9755', '5258', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:56.453915', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231355, '2022-11-24', '4099', '0045', '8952', '9122', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:57.070191', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231360, '2022-11-29', '1497', '9565', '3390', '4834', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:58.120085', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231361, '2022-11-30', '8377', '3066', '8379', '7235', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:58.313402', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231362, '2022-12-01', '0481', '4866', '5057', '8229', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:58.477956', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231364, '2022-12-03', '2310', '8367', '2066', '2463', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:58.940665', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231365, '2022-12-04', '2790', '5476', '6923', '3532', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:59.137151', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231373, '2022-12-12', '0179', '3529', '9979', '4568', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:00.990754', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231382, '2022-12-21', '9112', '4122', '5867', '7536', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:02.92676', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231387, '2022-12-26', '4244', '0764', '3918', '9187', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:03.99532', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231391, '2022-12-30', '4705', '9285', '1447', '5626', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:04.864223', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231392, '2022-12-31', '5368', '7417', '1718', '1442', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:05.055183', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231393, '2023-01-01', '5433', '2376', '7409', '1714', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:05.266199', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231394, '2023-01-02', '6371', '8373', '7456', '9187', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:05.513653', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231397, '2023-01-05', '1027', '1756', '0883', '2073', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:06.157447', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231401, '2023-01-09', '4954', '1925', '6092', '7391', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:06.880871', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231402, '2023-01-10', '1658', '1325', '9746', '3384', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:07.110755', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231403, '2023-01-11', '5217', '7358', '7240', '5364', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:07.338373', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231405, '2023-01-13', '2401', '9634', '4385', '7182', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:07.753227', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231415, '2023-01-23', '7361', '2670', '0621', '2814', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:09.925536', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231417, '2023-01-25', '6443', '5754', '2008', '5366', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:10.337596', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231421, '2023-01-29', '3840', '1770', '6539', '9113', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:11.161786', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231428, '2023-02-05', '4926', '9529', '8742', '1262', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:12.680181', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231429, '2023-02-06', '1219', '2641', '3172', '2885', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:12.901872', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231433, '2023-02-10', '8077', '3559', '5395', '7451', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:13.761869', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231435, '2023-02-12', '4778', '2453', '4703', '5549', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:14.165404', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231448, '2023-02-25', '6635', '4934', '7127', '0988', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:16.880798', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231449, '2023-02-26', '3491', '9045', '6731', '5909', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:17.128933', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231454, '2023-03-03', '9235', '0735', '7800', '0261', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:18.246824', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231458, '2023-03-07', '5498', '1890', '1912', '9860', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:19.119102', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231459, '2023-03-08', '0200', '8446', '9251', '2116', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:19.322736', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24154, '2024-06-02', '4714', '2854', '3920', '5010', 'admintoto', '2024-06-02 11:53:03', 'admintoto', '2024-06-02 22:06:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24164, '2024-06-12', '0283', '4313', '7385', '1603', 'admintoto', '2024-06-12 13:13:03', 'admintoto', '2024-06-12 22:59:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24184, '2024-07-02', '5019', '2240', '0740', '0263', 'admintoto', '2024-07-02 13:12:03', 'root', '2024-07-27 22:24:03', '9625', '1092', '7395');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24195, '2024-07-13', '0838', '3422', '3537', '5259', 'admintoto', '2024-07-13 13:19:47', 'root', '2024-07-27 22:25:08', '6405', '5777', '6857');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24174, '2024-06-22', '3945', '1468', '5605', '7171', 'admintoto', '2024-06-22 14:01:59', 'admintoto', '2024-06-22 22:18:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24205, '2024-07-23', '4362', '7289', '8329', '2547', 'admintoto', '2024-07-23 13:12:10', 'root', '2024-07-27 22:26:14', '5559', '7895', '8329');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24221, '2024-08-08', '7865', '8973', '1505', '6396', 'admintoto', '2024-08-08 00:03:02', 'admintoto', '2024-08-08 22:36:30', '9973', '1613', '3948');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231266, '2022-08-27', '6066', '3123', '3394', '4384', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:37.841271', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231273, '2022-09-03', '6878', '3351', '7822', '4064', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:39.405889', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231278, '2022-09-08', '1826', '8550', '2640', '1523', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:40.479096', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231279, '2022-09-09', '2937', '5410', '3428', '8201', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:40.741252', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231281, '2022-09-11', '6475', '7158', '2254', '0279', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:41.184306', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231288, '2022-09-18', '4137', '7240', '0858', '3870', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:42.580316', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231296, '2022-09-26', '5912', '0824', '2440', '9540', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:44.300837', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231303, '2022-10-03', '0475', '5075', '5540', '1397', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:45.67947', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231304, '2022-10-04', '2325', '3112', '2935', '7674', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:45.849773', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231309, '2022-10-09', '9829', '1599', '2836', '3382', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:46.977239', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231311, '2022-10-11', '2246', '3404', '0530', '5368', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:47.412284', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231321, '2022-10-21', '5067', '7242', '5471', '2960', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:49.653812', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231322, '2022-10-22', '2231', '1147', '9367', '4124', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:49.888498', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231323, '2022-10-23', '3611', '9118', '5856', '2084', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:50.084262', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231327, '2022-10-27', '3223', '7914', '6278', '3895', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:50.890174', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231329, '2022-10-29', '2811', '3929', '8448', '8417', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:51.406762', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231332, '2022-11-01', '1603', '5951', '1528', '2357', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:52.063265', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231333, '2022-11-02', '3120', '5595', '1006', '6135', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:52.306887', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231335, '2022-11-04', '0146', '6961', '0123', '5691', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:52.791109', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231337, '2022-11-06', '4271', '2328', '8558', '0243', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:53.226149', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231342, '2022-11-11', '6736', '0655', '2944', '5080', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:54.334206', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231346, '2022-11-15', '5548', '9182', '6999', '8048', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:55.155891', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231348, '2022-11-17', '1717', '8784', '1122', '1019', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:55.637938', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231356, '2022-11-25', '6905', '0881', '9867', '9627', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:57.268524', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231358, '2022-11-27', '4100', '2280', '8974', '0050', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:57.709767', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231366, '2022-12-05', '6627', '3126', '9692', '9341', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:59.35539', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231367, '2022-12-06', '5434', '7953', '8563', '6337', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:59.577259', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231372, '2022-12-11', '2393', '3963', '1944', '0998', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:00.769489', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231379, '2022-12-18', '5651', '2735', '5697', '3595', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:02.282156', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231384, '2022-12-23', '9689', '8439', '6780', '9545', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:03.330451', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231385, '2022-12-24', '3456', '4879', '7490', '7558', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:03.589341', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231388, '2022-12-27', '2481', '9644', '9189', '5393', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:04.180274', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231396, '2023-01-04', '9450', '0500', '1396', '9943', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:05.924072', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231399, '2023-01-07', '5993', '3317', '6937', '8437', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:06.535828', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231412, '2023-01-20', '8714', '4371', '7502', '8754', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:09.334971', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231416, '2023-01-24', '9912', '6260', '2440', '2287', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:10.143678', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231419, '2023-01-27', '4579', '0261', '8911', '6957', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:10.764884', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231432, '2023-02-09', '1268', '9437', '9874', '6885', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:13.526603', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231438, '2023-02-15', '4917', '4812', '8625', '4338', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:14.8002', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231446, '2023-02-23', '2130', '9428', '5440', '3459', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:16.412623', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231447, '2023-02-24', '3968', '3790', '8482', '5420', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:16.661273', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231450, '2023-02-27', '6264', '0894', '3964', '9769', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:17.401244', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231456, '2023-03-05', '7706', '4726', '8304', '0921', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:18.710716', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231461, '2023-03-10', '6046', '3633', '1034', '7602', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:19.720529', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231462, '2023-03-11', '1806', '4888', '4703', '1558', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:19.946418', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24185, '2024-07-03', '2515', '1986', '5531', '6334', 'admintoto', '2024-07-03 13:01:43', 'root', '2024-07-27 22:24:10', '9324', '7685', '5459');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24155, '2024-06-03', '5214', '3878', '7029', '1732', 'admintoto', '2024-06-03 09:00:49', 'admintoto', '2024-06-03 22:01:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24196, '2024-07-14', '1551', '6814', '2896', '3564', 'admintoto', '2024-07-14 13:08:02', 'root', '2024-07-27 22:25:13', '8606', '0963', '7968');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24206, '2024-07-24', '2679', '6391', '7724', '9546', 'admintoto', '2024-07-24 12:59:52', 'root', '2024-07-27 22:26:19', '0736', '7585', '4146');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24165, '2024-06-13', '4253', '6939', '1486', '5438', 'admintoto', '2024-06-13 11:12:36', 'admintoto', '2024-06-13 22:00:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24175, '2024-06-23', '9573', '6934', '5319', '4233', 'admintoto', '2024-06-23 13:20:09', 'admintoto', '2024-06-23 22:32:17', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24222, '2024-08-09', '0126', '5384', '0915', '5139', 'admintoto', '2024-08-08 23:22:18', 'admintoto', '2024-08-10 00:51:53', '3520', '6833', '2401');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231267, '2022-08-28', '1065', '1206', '7652', '8145', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:38.064474', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231269, '2022-08-30', '8423', '1353', '9161', '7876', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:38.559188', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231271, '2022-09-01', '7752', '3771', '8130', '3290', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:38.976137', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231282, '2022-09-12', '9715', '8179', '2001', '3826', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:41.348927', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231284, '2022-09-14', '6112', '7130', '4706', '2201', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:41.721935', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231285, '2022-09-15', '3223', '7687', '6197', '3806', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:41.953378', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231287, '2022-09-17', '1256', '8012', '0946', '0939', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:42.389385', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231290, '2022-09-20', '4216', '7876', '0549', '1508', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:43.010324', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231298, '2022-09-28', '4571', '1732', '5124', '6846', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:44.716807', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231299, '2022-09-29', '4446', '1883', '5814', '9023', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:44.89619', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231300, '2022-09-30', '3204', '8635', '8820', '3024', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:45.103001', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231301, '2022-10-01', '2180', '3583', '3400', '3513', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:45.325617', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231302, '2022-10-02', '5566', '5297', '9587', '5491', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:45.517185', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231307, '2022-10-07', '9187', '4432', '2699', '2671', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:46.489358', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231310, '2022-10-10', '0293', '5238', '5840', '2862', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:47.195144', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231313, '2022-10-13', '6282', '7607', '0628', '1026', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:47.844222', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231319, '2022-10-19', '6698', '4926', '4683', '4541', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:49.233861', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231324, '2022-10-24', '1231', '4858', '3780', '4094', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:50.287801', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231326, '2022-10-26', '9644', '7891', '1749', '5165', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:50.656897', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231328, '2022-10-28', '5247', '2165', '9197', '4316', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:51.176906', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231331, '2022-10-31', '2978', '6244', '5569', '6203', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:51.835995', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231334, '2022-11-03', '7335', '3548', '0427', '5830', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:52.551259', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231339, '2022-11-08', '7781', '9144', '7113', '5060', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:53.674578', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231340, '2022-11-09', '5556', '7854', '5914', '0058', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:53.900223', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231341, '2022-11-10', '0632', '0012', '9458', '3806', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:54.103383', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231343, '2022-11-12', '8398', '3293', '7973', '0257', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:54.555824', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231347, '2022-11-16', '3893', '1344', '3005', '6099', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:55.40393', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231350, '2022-11-19', '2839', '3835', '5700', '4626', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:56.023442', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231351, '2022-11-20', '7014', '4043', '5117', '9566', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:56.238169', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231354, '2022-11-23', '4971', '1622', '4275', '0350', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:56.8578', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231357, '2022-11-26', '6113', '7979', '6317', '5706', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:57.472755', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231369, '2022-12-08', '8894', '9377', '3288', '2901', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:00.056468', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231370, '2022-12-09', '3280', '8221', '2520', '3352', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:00.288503', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231371, '2022-12-10', '6907', '8655', '7405', '0932', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:00.493336', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231375, '2022-12-14', '4638', '9295', '5008', '4205', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:01.424716', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231376, '2022-12-15', '2386', '3260', '2149', '6549', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:01.635452', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231377, '2022-12-16', '4008', '5423', '0001', '0002', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:01.855481', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231378, '2022-12-17', '4121', '9186', '3630', '5299', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:02.071221', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231380, '2022-12-19', '1534', '7528', '5717', '0587', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:02.498546', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231386, '2022-12-25', '9305', '7795', '9300', '6309', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:03.775699', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231389, '2022-12-28', '6716', '6450', '8407', '3621', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:04.370229', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231390, '2022-12-29', '6848', '2758', '8967', '8280', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:04.646506', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231395, '2023-01-03', '5696', '7460', '2729', '7625', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:05.719681', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231400, '2023-01-08', '3017', '7390', '5646', '7472', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:06.702581', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231404, '2023-01-12', '7657', '3964', '8773', '3314', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:07.549881', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231408, '2023-01-16', '1223', '0936', '5919', '7557', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:08.460723', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231409, '2023-01-17', '3734', '9784', '6294', '1153', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:08.683991', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231410, '2023-01-18', '5566', '3176', '4950', '9372', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:08.89185', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231418, '2023-01-26', '5396', '6522', '7623', '5416', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:10.583253', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231424, '2023-02-01', '8536', '6001', '0983', '4900', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:11.827053', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231425, '2023-02-02', '8462', '3390', '6521', '7762', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:12.04609', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231431, '2023-02-08', '5850', '6542', '1720', '0067', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:13.315213', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231437, '2023-02-14', '8112', '9646', '3475', '8464', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:14.57914', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231441, '2023-02-18', '7831', '2834', '1267', '7302', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:15.379743', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231442, '2023-02-19', '0122', '2924', '6617', '9395', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:15.572792', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231445, '2023-02-22', '6567', '8778', '3706', '3921', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:16.203855', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231451, '2023-02-28', '7231', '3434', '5610', '5014', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:17.589088', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231460, '2023-03-09', '0071', '7555', '8532', '2600', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:19.511216', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24197, '2024-07-15', '4387', '9692', '7021', '1665', 'admintoto', '2024-07-15 11:27:52', 'root', '2024-07-27 22:25:19', '6237', '0617', '1813');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24156, '2024-06-04', '7896', '1253', '4540', '2136', 'admintoto', '2024-06-04 13:09:00', 'admintoto', '2024-06-04 22:08:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24207, '2024-07-25', '9086', '3986', '6182', '1152', 'admintoto', '2024-07-25 13:26:58', 'root', '2024-07-27 22:26:24', '6355', '7638', '8308');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24166, '2024-06-14', '5233', '0970', '7473', '6638', 'admintoto', '2024-06-14 13:01:39', 'admintoto', '2024-06-14 23:36:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24176, '2024-06-24', '0917', '9068', '6164', '4441', 'admintoto', '2024-06-24 13:24:55', 'admintoto', '2024-06-24 22:26:55', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24186, '2024-07-04', '8764', '1246', '9712', '0880', 'admintoto', '2024-07-04 13:00:37', 'root', '2024-07-27 22:24:16', '1509', '2269', '1533');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24223, '2024-08-10', '2370', '1341', '2005', '6969', 'admintoto', '2024-08-10 00:55:33', 'admintoto', '2024-08-10 23:25:16', '4689', '3926', '6267');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231272, '2022-09-02', '0193', '3584', '7410', '9165', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:39.194704', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231275, '2022-09-05', '2194', '1101', '0254', '9031', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:39.853227', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231280, '2022-09-10', '7991', '2723', '0953', '9135', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:40.960357', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231286, '2022-09-16', '2618', '7174', '6815', '9081', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:42.170593', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231289, '2022-09-19', '3455', '7934', '9823', '3714', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:42.788959', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231292, '2022-09-22', '5892', '3197', '2137', '1825', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:43.404239', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231295, '2022-09-25', '9690', '3890', '0342', '9943', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:44.087983', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231305, '2022-10-05', '5275', '4669', '2208', '8817', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:46.081064', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231306, '2022-10-06', '5289', '3171', '0826', '8002', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:46.299924', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231308, '2022-10-08', '0050', '2387', '6737', '7503', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:46.718191', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231314, '2022-10-14', '4875', '5720', '4623', '4415', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:48.055219', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231320, '2022-10-20', '0085', '2457', '6591', '4129', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:49.435819', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231336, '2022-11-05', '1896', '6944', '2486', '9072', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:53.031539', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231338, '2022-11-07', '7427', '6604', '9835', '4042', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:53.468966', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231344, '2022-11-13', '8413', '9031', '8752', '1269', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:54.775353', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231345, '2022-11-14', '7031', '6840', '2194', '1714', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:54.949787', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231353, '2022-11-22', '9586', '2367', '5551', '3789', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:56.64563', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231359, '2022-11-28', '1336', '1176', '9632', '4647', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:57.938402', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231363, '2022-12-02', '6904', '0997', '8946', '8509', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:58.723503', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231368, '2022-12-07', '6111', '7970', '3694', '3618', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:49:59.8219', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231374, '2022-12-13', '9072', '5609', '1259', '1320', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:01.222715', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231381, '2022-12-20', '6239', '7799', '4665', '9049', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:02.708369', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231383, '2022-12-22', '8012', '5950', '6782', '7506', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:03.118708', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231398, '2023-01-06', '0363', '0535', '1458', '7612', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:06.331372', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231406, '2023-01-14', '1686', '2940', '3333', '1690', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:07.957093', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231407, '2023-01-15', '4718', '2042', '0773', '1625', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:08.163475', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231411, '2023-01-19', '6414', '2597', '9106', '3067', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:09.113992', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231413, '2023-01-21', '8636', '7826', '4400', '6034', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:09.527123', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231414, '2023-01-22', '4816', '5666', '2864', '1550', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:09.727919', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231420, '2023-01-28', '3266', '6294', '8273', '4604', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:10.964054', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231422, '2023-01-30', '4272', '1591', '4349', '4893', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:11.363223', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231423, '2023-01-31', '9221', '8442', '1315', '1613', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:11.611497', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231426, '2023-02-03', '0284', '0505', '2735', '8414', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:12.267527', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231427, '2023-02-04', '5795', '6105', '7904', '1264', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:12.443856', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231430, '2023-02-07', '7994', '8132', '5546', '8766', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:13.137684', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231434, '2023-02-11', '2009', '9117', '4846', '4014', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:13.943266', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231436, '2023-02-13', '5056', '5320', '0462', '5768', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:14.329124', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231439, '2023-02-16', '2183', '5766', '4432', '0150', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:14.963495', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231440, '2023-02-17', '1145', '5723', '9359', '8634', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:15.157815', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231443, '2023-02-20', '4833', '6177', '6660', '8745', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:15.794149', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231444, '2023-02-21', '8204', '7430', '5327', '2733', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:16.026148', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231452, '2023-03-01', '3171', '0956', '4869', '5090', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:17.805551', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231453, '2023-03-02', '4915', '9715', '9121', '3710', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:18.082024', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231455, '2023-03-04', '1070', '0504', '2850', '0318', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:18.420967', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231457, '2023-03-06', '8545', '7673', '3398', '2756', 'root', '2023-03-31 18:47:34', '', '2023-03-31 11:50:18.914734', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231480, '2023-03-29', '8743', '2887', '3277', '3949', 'root', '2023-03-31 18:58:38', 'root', '2023-03-31 18:58:43', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231470, '2023-03-19', '1722', '7445', '7608', '6577', 'root', '2023-03-31 18:54:12', 'root', '2023-03-31 18:54:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231463, '2023-03-12', '2052', '5831', '1536', '7721', 'root', '2023-03-31 18:51:50', 'root', '2023-03-31 18:52:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231476, '2023-03-25', '7455', '8896', '6478', '5446', 'root', '2023-03-31 18:55:56', 'root', '2023-03-31 18:56:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231464, '2023-03-13', '9016', '2494', '9193', '6543', 'root', '2023-03-31 18:52:15', 'root', '2023-03-31 18:52:25', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231471, '2023-03-20', '2888', '1348', '2004', '6550', 'root', '2023-03-31 18:54:25', 'root', '2023-03-31 18:54:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231465, '2023-03-14', '1503', '2561', '3651', '9066', 'root', '2023-03-31 18:52:34', 'root', '2023-03-31 18:52:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231490, '2023-04-08', '3739', '3326', '2755', '4933', 'root', '2023-04-08 13:06:05', 'root', '2023-04-08 22:03:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231484, '2023-04-02', '0694', '4153', '1159', '0716', 'root', '2023-04-02 20:32:12', 'root', '2023-04-03 15:04:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231472, '2023-03-21', '8153', '4112', '0739', '4363', 'root', '2023-03-31 18:54:51', 'root', '2023-03-31 18:55:01', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231466, '2023-03-15', '9117', '5763', '3078', '6127', 'root', '2023-03-31 18:52:51', 'root', '2023-03-31 18:53:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231477, '2023-03-26', '8475', '4653', '5323', '4675', 'root', '2023-03-31 18:57:54', 'root', '2023-03-31 18:58:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231467, '2023-03-16', '3254', '5389', '7033', '8334', 'root', '2023-03-31 18:53:18', 'root', '2023-03-31 18:53:25', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231481, '2023-03-30', '0400', '1759', '0533', '7819', 'root', '2023-03-31 18:58:51', 'root', '2023-03-31 18:58:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231473, '2023-03-22', '4368', '3136', '1109', '6605', 'root', '2023-03-31 18:55:09', 'root', '2023-03-31 18:55:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231468, '2023-03-17', '5781', '6476', '7578', '7204', 'root', '2023-03-31 18:53:32', 'root', '2023-03-31 18:53:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231478, '2023-03-27', '7427', '3973', '8383', '4582', 'root', '2023-03-31 18:58:09', 'root', '2023-03-31 18:58:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231469, '2023-03-18', '0010', '7990', '0114', '5666', 'root', '2023-03-31 18:53:48', 'root', '2023-03-31 18:53:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231474, '2023-03-23', '2046', '3379', '9376', '8898', 'root', '2023-03-31 18:55:23', 'root', '2023-03-31 18:55:29', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231482, '2023-03-31', '7170', '0460', '4236', '8755', 'root', '2023-03-31 18:59:06', 'root', '2023-04-01 10:36:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231475, '2023-03-24', '9416', '2970', '4896', '6650', 'root', '2023-03-31 18:55:38', 'root', '2023-03-31 18:55:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231479, '2023-03-28', '4122', '3621', '9801', '3449', 'root', '2023-03-31 18:58:22', 'root', '2023-03-31 18:58:29', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231487, '2023-04-05', '4520', '3511', '1593', '2904', 'root', '2023-04-05 13:55:56', 'root', '2023-04-05 22:04:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231485, '2023-04-03', '0829', '6610', '4374', '6836', 'root', '2023-04-03 15:04:13', 'root', '2023-04-04 12:44:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231483, '2023-04-01', '5406', '3490', '0508', '1796', 'root', '2023-04-01 14:59:55', 'root', '2023-04-02 20:32:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231489, '2023-04-07', '7750', '2506', '2137', '6507', 'root', '2023-04-07 13:51:40', 'root', '2023-04-07 22:02:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231486, '2023-04-04', '2864', '9944', '7700', '3861', 'root', '2023-04-05 13:55:39', 'root', '2023-04-05 13:55:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231488, '2023-04-06', '2555', '6491', '4327', '1259', 'root', '2023-04-06 13:44:52', 'root', '2023-04-06 23:59:01', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231493, '2023-04-11', '7784', '4474', '4242', '7164', 'admintoto', '2023-04-11 10:22:59', 'admintoto', '2023-04-11 22:15:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231491, '2023-04-09', '1640', '9621', '3056', '5523', 'root', '2023-04-09 14:04:14', 'root', '2023-04-10 11:45:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231492, '2023-04-10', '6411', '2941', '8240', '3802', 'root', '2023-04-10 13:37:52', 'admintoto', '2023-04-10 22:11:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231494, '2023-04-12', '4292', '0310', '6210', '5572', 'admintoto', '2023-04-12 11:43:15', 'admintoto', '2023-04-13 00:21:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231495, '2023-04-13', '5920', '7122', '4676', '8013', 'admintoto', '2023-04-13 13:10:28', 'admintoto', '2023-04-13 22:31:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231496, '2023-04-14', '5745', '4567', '4579', '5027', 'admintoto', '2023-04-14 13:36:39', 'admintoto', '2023-04-14 22:12:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231497, '2023-04-15', '3016', '9391', '7071', '2923', 'admintoto', '2023-04-15 13:12:53', 'admintoto', '2023-04-15 23:09:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231498, '2023-04-16', '1216', '2287', '7851', '6653', 'admintoto', '2023-04-16 13:12:29', 'admintoto', '2023-04-16 22:03:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231499, '2023-04-17', '6281', '3459', '6085', '2372', 'admintoto', '2023-04-17 12:57:47', 'admintoto', '2023-04-17 22:19:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231500, '2023-04-18', '2193', '2537', '6459', '0633', 'admintoto', '2023-04-18 12:43:47', 'admintoto', '2023-04-18 22:31:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231501, '2023-04-19', '4289', '7587', '7819', '8470', 'admintoto', '2023-04-19 13:17:23', 'admintoto', '2023-04-19 21:55:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231502, '2023-04-20', '2954', '1027', '8235', '8262', 'admintoto', '2023-04-20 13:01:09', 'admintoto', '2023-04-20 22:30:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231517, '2023-05-05', '6559', '3657', '3699', '7881', 'admintoto', '2023-05-05 13:12:32', 'admintoto', '2023-05-05 23:08:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231503, '2023-04-21', '5688', '2747', '7630', '3276', 'admintoto', '2023-04-21 10:49:37', 'admintoto', '2023-04-21 22:02:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231559, '2023-06-16', '4504', '1700', '4641', '0640', 'admintoto', '2023-06-16 13:24:38', 'admintoto', '2023-06-16 23:02:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231529, '2023-05-17', '3501', '5582', '7085', '7619', 'admintoto', '2023-05-17 12:54:08', 'admintoto', '2023-05-17 22:05:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231518, '2023-05-06', '7715', '9544', '3357', '9667', 'admintoto', '2023-05-06 13:16:15', 'admintoto', '2023-05-06 22:09:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231505, '2023-04-22', '4417', '9313', '2867', '4337', 'admintoto', '2023-04-22 13:21:25', 'admintoto', '2023-04-22 22:07:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231504, '2023-04-23', '6402', '0146', '3681', '9674', 'admintoto', '2023-04-22 13:21:01', 'admintoto', '2023-04-23 23:08:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231538, '2023-05-26', '3639', '2885', '9153', '1665', 'admintoto', '2023-05-26 11:54:41', 'admintoto', '2023-05-26 22:11:52', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231519, '2023-05-07', '9354', '3484', '3892', '6311', 'admintoto', '2023-05-07 13:29:57', 'admintoto', '2023-05-07 22:40:51', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231506, '2023-04-24', '2977', '9678', '9574', '0600', 'admintoto', '2023-04-24 13:14:57', 'admintoto', '2023-04-24 22:57:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231530, '2023-05-18', '4548', '8014', '0169', '1969', 'admintoto', '2023-05-18 13:29:58', 'admintoto', '2023-05-18 22:10:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231507, '2023-04-25', '9103', '1722', '6370', '1831', 'admintoto', '2023-04-25 14:16:16', 'admintoto', '2023-04-25 22:32:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231520, '2023-05-08', '8144', '0014', '6014', '4592', 'admintoto', '2023-05-08 13:13:29', 'admintoto', '2023-05-08 22:03:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231550, '2023-06-07', '2678', '5117', '4092', '1438', 'admintoto', '2023-06-07 13:52:24', 'admintoto', '2023-06-07 22:35:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231508, '2023-04-26', '1603', '9386', '9938', '1509', 'admintoto', '2023-04-26 13:11:19', 'admintoto', '2023-04-26 22:05:57', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231545, '2023-06-02', '5260', '6789', '2973', '4894', 'admintoto', '2023-06-02 13:18:51', 'admintoto', '2023-06-02 21:56:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231521, '2023-05-09', '2327', '9023', '4273', '9652', 'admintoto', '2023-05-09 13:13:05', 'admintoto', '2023-05-09 22:19:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231509, '2023-04-27', '0814', '3275', '1237', '9674', 'admintoto', '2023-04-27 13:07:45', 'admintoto', '2023-04-27 22:02:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231531, '2023-05-19', '4649', '9409', '7985', '3584', 'admintoto', '2023-05-19 12:50:50', 'admintoto', '2023-05-19 21:57:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231510, '2023-04-28', '7657', '1343', '2733', '4025', 'admintoto', '2023-04-28 13:03:59', 'admintoto', '2023-04-28 22:35:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231539, '2023-05-27', '2532', '9772', '5509', '4379', 'admintoto', '2023-05-27 13:15:35', 'admintoto', '2023-05-27 22:00:12', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231522, '2023-05-10', '8739', '9698', '2126', '2126', 'admintoto', '2023-05-10 13:00:19', 'admintoto', '2023-05-10 22:11:25', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231511, '2023-04-29', '5594', '3265', '1153', '1923', 'admintoto', '2023-04-29 13:18:04', 'admintoto', '2023-04-29 22:00:43', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231532, '2023-05-20', '4680', '1359', '1657', '6687', 'admintoto', '2023-05-20 13:27:50', 'admintoto', '2023-05-20 22:02:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231512, '2023-04-30', '7473', '4646', '2543', '4583', 'admintoto', '2023-04-30 13:08:56', 'admintoto', '2023-04-30 22:36:43', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231523, '2023-05-11', '3335', '7515', '6201', '4517', 'admintoto', '2023-05-11 13:07:20', 'admintoto', '2023-05-11 23:02:57', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231513, '2023-05-01', '6628', '3178', '5142', '0265', 'admintoto', '2023-05-01 13:53:56', 'admintoto', '2023-05-01 22:11:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231554, '2023-06-11', '7059', '2536', '3849', '9818', 'admintoto', '2023-06-11 12:53:24', 'admintoto', '2023-06-11 22:41:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231524, '2023-05-12', '1974', '0476', '3090', '0897', 'admintoto', '2023-05-12 14:00:16', 'admintoto', '2023-05-12 22:33:23', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231514, '2023-05-02', '2299', '3207', '3241', '2062', 'admintoto', '2023-05-02 12:47:31', 'admintoto', '2023-05-02 21:56:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231540, '2023-05-28', '9465', '8377', '4530', '2200', 'admintoto', '2023-05-28 12:35:31', 'admintoto', '2023-05-28 22:22:42', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231533, '2023-05-21', '4720', '3264', '6737', '3194', 'admintoto', '2023-05-21 12:57:16', 'admintoto', '2023-05-21 21:59:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231525, '2023-05-13', '0328', '1672', '9645', '1139', 'admintoto', '2023-05-13 13:17:35', 'admintoto', '2023-05-13 22:18:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231516, '2023-05-04', '9082', '5199', '5701', '0969', 'admintoto', '2023-05-04 10:19:27', 'admintoto', '2023-05-04 23:31:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231515, '2023-05-03', '7224', '7836', '2831', '6918', 'admintoto', '2023-05-03 11:31:09', 'admintoto', '2023-05-04 23:33:00', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231546, '2023-06-03', '4116', '8017', '3773', '1673', 'admintoto', '2023-06-03 13:02:17', 'admintoto', '2023-06-03 22:27:30', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231534, '2023-05-22', '6050', '2116', '8754', '4596', 'admintoto', '2023-05-22 12:52:52', 'admintoto', '2023-05-22 22:02:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231526, '2023-05-14', '0384', '1844', '6413', '3919', 'admintoto', '2023-05-14 13:11:52', 'admintoto', '2023-05-14 21:57:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231557, '2023-06-14', '1669', '0888', '4468', '1111', 'admintoto', '2023-06-14 13:16:09', 'admintoto', '2023-06-15 00:59:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231541, '2023-05-29', '9874', '6481', '2140', '2577', 'admintoto', '2023-05-29 13:11:55', 'admintoto', '2023-05-29 22:10:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231527, '2023-05-15', '5792', '9672', '5752', '8970', 'admintoto', '2023-05-15 13:05:41', 'admintoto', '2023-05-15 22:09:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231535, '2023-05-23', '4800', '0868', '7721', '8523', 'admintoto', '2023-05-23 10:38:59', 'admintoto', '2023-05-23 22:12:00', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231528, '2023-05-16', '9538', '3670', '9186', '3174', 'admintoto', '2023-05-16 13:17:39', 'admintoto', '2023-05-16 21:58:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231551, '2023-06-08', '6580', '0573', '6114', '2419', 'admintoto', '2023-06-08 13:02:41', 'admintoto', '2023-06-08 22:12:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231547, '2023-06-04', '2795', '1749', '0267', '6265', 'admintoto', '2023-06-04 14:13:01', 'admintoto', '2023-06-04 22:15:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231536, '2023-05-24', '3549', '4085', '0977', '1409', 'admintoto', '2023-05-24 13:04:51', 'admintoto', '2023-05-24 22:14:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231542, '2023-05-30', '3864', '9291', '5809', '0552', 'admintoto', '2023-05-30 13:12:42', 'admintoto', '2023-05-30 21:57:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231537, '2023-05-25', '3993', '5358', '4428', '7301', 'admintoto', '2023-05-25 13:05:25', 'admintoto', '2023-05-25 21:55:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231543, '2023-05-31', '5226', '4303', '2719', '6980', 'admintoto', '2023-05-31 13:01:22', 'admintoto', '2023-05-31 22:16:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231555, '2023-06-12', '1804', '5076', '9411', '8908', 'admintoto', '2023-06-12 13:12:52', 'admintoto', '2023-06-12 22:36:01', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231548, '2023-06-05', '7487', '4974', '8836', '4751', 'admintoto', '2023-06-05 13:12:14', 'admintoto', '2023-06-05 22:21:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231544, '2023-06-01', '1694', '0325', '6369', '2392', 'admintoto', '2023-06-01 13:38:08', 'admintoto', '2023-06-01 22:38:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231552, '2023-06-09', '7338', '1532', '5105', '3657', 'admintoto', '2023-06-09 13:20:04', 'admintoto', '2023-06-09 22:35:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231549, '2023-06-06', '7659', '4638', '7159', '2276', 'admintoto', '2023-06-06 13:07:36', 'admintoto', '2023-06-06 22:08:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231561, '2023-06-18', '1749', '8971', '5231', '9056', 'admintoto', '2023-06-18 13:28:34', 'admintoto', '2023-06-18 22:07:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231558, '2023-06-15', '2412', '3278', '8081', '9849', 'admintoto', '2023-06-15 13:05:14', 'admintoto', '2023-06-15 22:20:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231553, '2023-06-10', '6875', '1684', '8281', '9599', 'admintoto', '2023-06-10 11:52:27', 'admintoto', '2023-06-10 22:07:52', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231556, '2023-06-13', '6844', '1555', '0329', '9157', 'admintoto', '2023-06-13 12:13:49', 'admintoto', '2023-06-13 22:00:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231560, '2023-06-17', '1169', '2869', '9557', '2121', 'admintoto', '2023-06-17 13:32:51', 'admintoto', '2023-06-17 21:57:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231565, '2023-06-22', '5590', '7430', '8019', '1014', 'admintoto', '2023-06-22 13:12:36', 'admintoto', '2023-06-22 21:56:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231563, '2023-06-20', '7760', '9956', '0894', '4413', 'admintoto', '2023-06-20 13:13:09', 'admintoto', '2023-06-20 23:04:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231562, '2023-06-19', '4779', '8809', '8971', '2862', 'admintoto', '2023-06-19 13:36:15', 'admintoto', '2023-06-19 22:15:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231564, '2023-06-21', '5063', '0512', '5587', '0830', 'admintoto', '2023-06-21 13:39:21', 'admintoto', '2023-06-21 22:12:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231566, '2023-06-23', '3778', '6410', '8565', '0860', 'admintoto', '2023-06-23 13:30:28', 'admintoto', '2023-06-23 23:09:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231567, '2023-06-24', '3555', '9565', '5351', '7539', 'admintoto', '2023-06-24 13:22:37', 'admintoto', '2023-06-24 21:56:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231568, '2023-06-25', '3486', '6820', '0781', '8789', 'admintoto', '2023-06-25 13:39:40', 'admintoto', '2023-06-25 22:05:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231569, '2023-06-26', '1896', '2019', '6340', '5300', 'admintoto', '2023-06-26 10:58:12', 'admintoto', '2023-06-26 22:13:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231570, '2023-06-27', '5765', '7817', '2131', '7117', 'admintoto', '2023-06-27 10:37:15', 'admintoto', '2023-06-27 22:13:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231571, '2023-06-28', '6825', '4512', '3493', '8810', 'admintoto', '2023-06-28 13:11:12', 'admintoto', '2023-06-28 22:58:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231572, '2023-06-29', '1013', '2636', '5085', '9070', 'admintoto', '2023-06-29 17:53:20', 'admintoto', '2023-06-29 22:09:44', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231573, '2023-06-30', '1322', '7531', '3655', '8962', 'admintoto', '2023-06-30 13:13:16', 'admintoto', '2023-06-30 22:57:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231622, '2023-08-18', '9066', '0931', '4561', '3970', 'admintoto', '2023-08-18 13:08:51', 'admintoto', '2023-08-21 21:06:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231574, '2023-07-01', '8886', '7476', '6882', '5198', 'admintoto', '2023-07-01 13:23:45', 'admintoto', '2023-07-01 22:34:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231589, '2023-07-16', '4679', '3997', '2508', '9740', 'admintoto', '2023-07-16 11:52:43', 'admintoto', '2023-07-16 22:03:17', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231609, '2023-08-05', '3164', '4215', '1574', '0323', 'admintoto', '2023-08-05 13:17:11', 'admintoto', '2023-08-05 23:16:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231575, '2023-07-02', '0129', '2503', '6245', '4814', 'admintoto', '2023-07-02 13:16:58', 'admintoto', '2023-07-02 22:11:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231601, '2023-07-28', '0754', '4486', '3335', '5558', 'admintoto', '2023-07-28 11:57:37', 'admintoto', '2023-07-28 22:48:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231590, '2023-07-17', '2977', '3326', '5584', '4181', 'admintoto', '2023-07-17 13:06:46', 'admintoto', '2023-07-17 22:24:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231576, '2023-07-03', '1116', '5822', '0895', '2213', 'admintoto', '2023-07-03 09:56:21', 'admintoto', '2023-07-03 22:01:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231623, '2023-08-19', '4613', '8672', '7638', '5731', 'admintoto', '2023-08-19 13:19:59', 'admintoto', '2023-08-21 21:08:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231577, '2023-07-04', '7606', '0819', '9082', '5954', 'admintoto', '2023-07-04 13:13:12', 'admintoto', '2023-07-04 22:10:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231621, '2023-08-17', '5672', '6721', '2711', '4841', 'admintoto', '2023-08-17 13:13:37', 'admintoto', '2023-08-17 22:46:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231591, '2023-07-18', '9376', '0098', '7539', '3400', 'admintoto', '2023-07-18 13:21:41', 'admintoto', '2023-07-18 21:58:05', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231578, '2023-07-05', '4443', '7764', '1086', '2599', 'admintoto', '2023-07-05 11:07:45', 'admintoto', '2023-07-05 22:58:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231616, '2023-08-12', '0827', '2191', '8486', '9495', 'admintoto', '2023-08-12 13:27:09', 'admintoto', '2023-08-12 23:23:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231602, '2023-07-29', '2139', '3429', '0300', '6733', 'admintoto', '2023-07-29 13:04:34', 'admintoto', '2023-07-29 23:21:50', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231579, '2023-07-06', '0559', '6943', '3318', '8522', 'admintoto', '2023-07-06 12:57:43', 'admintoto', '2023-07-06 22:13:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231592, '2023-07-19', '5660', '7219', '6830', '2660', 'admintoto', '2023-07-19 13:21:44', 'admintoto', '2023-07-19 22:23:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231580, '2023-07-07', '7097', '5639', '0886', '4500', 'admintoto', '2023-07-07 13:08:13', 'admintoto', '2023-07-07 22:27:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231610, '2023-08-06', '2192', '9268', '0089', '6360', 'admintoto', '2023-08-06 12:57:38', 'admintoto', '2023-08-06 22:03:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231593, '2023-07-20', '8336', '5276', '4118', '0366', 'admintoto', '2023-07-20 13:07:13', 'admintoto', '2023-07-20 23:03:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231581, '2023-07-08', '2890', '9631', '2246', '0619', 'admintoto', '2023-07-08 13:13:52', 'admintoto', '2023-07-08 21:55:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231603, '2023-07-30', '9845', '1707', '8726', '3388', 'admintoto', '2023-07-30 13:07:52', 'admintoto', '2023-07-30 23:12:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231582, '2023-07-09', '1427', '9223', '2083', '0018', 'admintoto', '2023-07-09 13:11:00', 'admintoto', '2023-07-09 21:56:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231594, '2023-07-21', '5353', '8082', '7935', '0753', 'admintoto', '2023-07-21 13:01:06', 'admintoto', '2023-07-21 23:02:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231583, '2023-07-10', '6762', '2030', '2406', '3717', 'admintoto', '2023-07-10 13:08:00', 'admintoto', '2023-07-10 22:08:30', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231625, '2023-08-21', '1031', '9243', '2141', '5731', 'admintoto', '2023-08-21 13:33:30', 'admintoto', '2023-08-21 23:04:42', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231604, '2023-07-31', '1390', '2921', '5066', '9424', 'admintoto', '2023-07-31 12:00:27', 'admintoto', '2023-07-31 22:23:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231584, '2023-07-11', '2695', '6900', '4375', '3645', 'admintoto', '2023-07-11 12:58:44', 'admintoto', '2023-07-11 22:09:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231611, '2023-08-07', '8151', '0730', '6857', '4948', 'admintoto', '2023-08-07 11:51:36', 'admintoto', '2023-08-07 23:01:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231585, '2023-07-12', '8531', '2511', '4969', '1150', 'admintoto', '2023-07-12 12:41:33', 'admintoto', '2023-07-12 22:45:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231596, '2023-07-23', '7084', '1073', '8822', '4091', 'admintoto', '2023-07-23 13:20:04', 'admintoto', '2023-07-23 22:58:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231586, '2023-07-13', '5474', '4433', '0841', '6106', 'admintoto', '2023-07-13 13:02:15', 'admintoto', '2023-07-13 22:12:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231617, '2023-08-13', '7986', '5557', '3726', '1593', 'admintoto', '2023-08-13 13:13:12', 'admintoto', '2023-08-13 23:05:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231605, '2023-08-01', '4834', '6715', '9369', '8736', 'admintoto', '2023-08-01 11:40:49', 'admintoto', '2023-08-02 00:17:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231587, '2023-07-14', '5515', '1122', '2604', '6772', 'admintoto', '2023-07-14 13:10:01', 'admintoto', '2023-07-14 22:12:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231597, '2023-07-24', '7681', '1180', '5364', '8488', 'admintoto', '2023-07-24 10:50:25', 'admintoto', '2023-07-24 22:29:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231588, '2023-07-15', '8803', '8405', '4467', '5284', 'admintoto', '2023-07-15 13:16:27', 'admintoto', '2023-07-15 22:39:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231612, '2023-08-08', '1891', '4108', '2802', '0329', 'admintoto', '2023-08-08 11:54:40', 'admintoto', '2023-08-08 22:15:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231595, '2023-07-22', '8556', '3602', '7794', '0847', 'admintoto', '2023-07-22 14:03:12', 'root', '2023-07-25 21:10:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231598, '2023-07-25', '6960', '0108', '8530', '5928', 'admintoto', '2023-07-25 13:11:56', 'admintoto', '2023-07-25 22:11:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231606, '2023-08-02', '8135', '5488', '9393', '8145', 'admintoto', '2023-08-02 11:13:58', 'admintoto', '2023-08-02 22:38:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231599, '2023-07-26', '3294', '7911', '8818', '9671', 'admintoto', '2023-07-26 12:56:23', 'admintoto', '2023-07-26 22:08:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231628, '2023-08-24', '2915', '6211', '5704', '0384', 'admintoto', '2023-08-24 10:43:49', 'admintoto', '2023-08-24 23:00:57', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231618, '2023-08-14', '1891', '8174', '6372', '2815', 'admintoto', '2023-08-14 11:32:31', 'admintoto', '2023-08-14 21:59:17', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231607, '2023-08-03', '5005', '8570', '2683', '6475', 'admintoto', '2023-08-03 13:11:04', 'admintoto', '2023-08-03 23:10:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231600, '2023-07-27', '5759', '3315', '9306', '0773', 'admintoto', '2023-07-27 09:52:13', 'admintoto', '2023-07-27 22:17:52', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231613, '2023-08-09', '5722', '2238', '4468', '3391', 'admintoto', '2023-08-09 13:03:08', 'admintoto', '2023-08-10 11:53:05', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231608, '2023-08-04', '6821', '9060', '0682', '0682', 'admintoto', '2023-08-04 10:41:05', 'admintoto', '2023-08-04 23:03:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231635, '2023-08-31', '7205', '3627', '6205', '1745', 'admintoto', '2023-08-31 13:27:59', 'admintoto', '2023-09-01 10:35:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231630, '2023-08-26', '5376', '1545', '3140', '8262', 'admintoto', '2023-08-26 12:57:48', 'admintoto', '2023-08-27 21:06:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231614, '2023-08-10', '9604', '7212', '1051', '2858', 'admintoto', '2023-08-10 13:03:36', 'admintoto', '2023-08-10 23:05:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231626, '2023-08-22', '4427', '0862', '6661', '7752', 'admintoto', '2023-08-22 11:28:35', 'admintoto', '2023-08-22 22:19:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231619, '2023-08-15', '0969', '1983', '7802', '0172', 'admintoto', '2023-08-15 10:32:13', 'admintoto', '2023-08-16 14:04:51', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231615, '2023-08-11', '6838', '3625', '1435', '0936', 'admintoto', '2023-08-11 10:27:12', 'admintoto', '2023-08-11 23:45:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231631, '2023-08-27', '9734', '8148', '3581', '0085', 'admintoto', '2023-08-27 13:16:53', 'admintoto', '2023-08-27 22:20:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231620, '2023-08-16', '3104', '7929', '1193', '2997', 'admintoto', '2023-08-16 12:14:03', 'admintoto', '2023-08-16 22:07:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231629, '2023-08-25', '3691', '8793', '6988', '7782', 'admintoto', '2023-08-25 12:56:30', 'admintoto', '2023-08-25 22:13:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231624, '2023-08-20', '8481', '9042', '1610', '3432', 'admintoto', '2023-08-20 11:53:49', 'admintoto', '2023-08-20 22:38:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231627, '2023-08-23', '5647', '6863', '9870', '2356', 'admintoto', '2023-08-23 11:52:46', 'admintoto', '2023-08-23 22:48:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231634, '2023-08-30', '4876', '9141', '3329', '7016', 'admintoto', '2023-08-30 13:19:34', 'admintoto', '2023-08-30 22:29:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231633, '2023-08-29', '6714', '2737', '0387', '4318', 'admintoto', '2023-08-29 12:17:33', 'admintoto', '2023-08-29 23:00:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231632, '2023-08-28', '2966', '1443', '7717', '4211', 'admintoto', '2023-08-28 12:50:38', 'admintoto', '2023-08-28 23:03:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231636, '2023-09-01', '6385', '9118', '5228', '4931', 'admintoto', '2023-09-01 13:11:22', 'admintoto', '2023-09-01 22:39:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231637, '2023-09-02', '0191', '2835', '8312', '1679', 'admintoto', '2023-09-02 13:20:22', 'admintoto', '2023-09-02 22:43:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231638, '2023-09-03', '7876', '4697', '8045', '2904', 'admintoto', '2023-09-03 13:13:25', 'admintoto', '2023-09-03 22:19:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231639, '2023-09-04', '2526', '1044', '9702', '3368', 'admintoto', '2023-09-04 11:53:32', 'admintoto', '2023-09-04 22:40:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231640, '2023-09-05', '7444', '6283', '1824', '0349', 'admintoto', '2023-09-05 13:19:28', 'admintoto', '2023-09-05 23:10:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231641, '2023-09-06', '2676', '0539', '1846', '8785', 'admintoto', '2023-09-06 13:12:47', 'admintoto', '2023-09-06 22:03:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231642, '2023-09-07', '4155', '2405', '1592', '3932', 'admintoto', '2023-09-07 13:02:57', 'admintoto', '2023-09-07 22:07:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231643, '2023-09-08', '8083', '3460', '1385', '0855', 'admintoto', '2023-09-08 11:51:12', 'admintoto', '2023-09-08 22:29:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231644, '2023-09-09', '8445', '9662', '1782', '5009', 'admintoto', '2023-09-09 13:20:58', 'admintoto', '2023-09-09 22:38:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231645, '2023-09-10', '7319', '4737', '3742', '9937', 'admintoto', '2023-09-10 13:02:08', 'admintoto', '2023-09-10 22:04:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231700, '2023-11-04', '6381', '8884', '2663', '6506', 'admintoto', '2023-11-04 13:19:43', 'admintoto', '2023-11-04 23:14:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231646, '2023-09-11', '0358', '3446', '4657', '8002', 'admintoto', '2023-09-11 10:27:21', 'admintoto', '2023-09-11 22:09:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231661, '2023-09-26', '9784', '5733', '6981', '2929', 'admintoto', '2023-09-26 12:52:37', 'admintoto', '2023-09-26 21:58:32', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231672, '2023-10-07', '3875', '7185', '6758', '1867', 'admintoto', '2023-10-07 12:22:21', 'admintoto', '2023-10-07 22:05:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231647, '2023-09-12', '5698', '4529', '2301', '6697', 'admintoto', '2023-09-12 12:45:12', 'admintoto', '2023-09-12 22:20:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231681, '2023-10-16', '8801', '1588', '4282', '6075', 'admintoto', '2023-10-16 13:51:05', 'admintoto', '2023-10-16 21:57:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231662, '2023-09-27', '1095', '9818', '6115', '4105', 'admintoto', '2023-09-27 11:51:24', 'admintoto', '2023-09-27 22:27:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231648, '2023-09-13', '3786', '8501', '6026', '1062', 'admintoto', '2023-09-13 13:11:54', 'admintoto', '2023-09-13 23:05:50', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231693, '2023-10-28', '8436', '1084', '9894', '2442', 'admintoto', '2023-10-28 12:51:42', 'admintoto', '2023-10-29 10:05:43', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231649, '2023-09-14', '2616', '1625', '3656', '7203', 'admintoto', '2023-09-14 11:20:53', 'admintoto', '2023-09-14 22:00:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231673, '2023-10-08', '1022', '7571', '2644', '5420', 'admintoto', '2023-10-08 13:11:49', 'admintoto', '2023-10-08 22:11:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231663, '2023-09-28', '7793', '3160', '8654', '1621', 'admintoto', '2023-09-28 10:27:25', 'admintoto', '2023-09-28 22:10:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231650, '2023-09-15', '1533', '5635', '9212', '8759', 'admintoto', '2023-09-15 13:19:53', 'admintoto', '2023-09-15 23:03:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231688, '2023-10-23', '3739', '2238', '0641', '5633', 'admintoto', '2023-10-23 10:54:41', 'admintoto', '2023-10-23 21:58:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231651, '2023-09-16', '0238', '4254', '3603', '3603', 'admintoto', '2023-09-16 13:18:40', 'admintoto', '2023-09-16 22:03:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231664, '2023-09-29', '8606', '3297', '5074', '4320', 'admintoto', '2023-09-29 13:07:51', 'admintoto', '2023-09-29 21:55:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231652, '2023-09-17', '4819', '8783', '7816', '1145', 'admintoto', '2023-09-17 13:06:25', 'admintoto', '2023-09-17 22:31:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231674, '2023-10-09', '9995', '8314', '4639', '0098', 'admintoto', '2023-10-09 13:07:54', 'admintoto', '2023-10-09 22:03:51', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231665, '2023-09-30', '0051', '3392', '1148', '5621', 'admintoto', '2023-09-30 13:12:40', 'admintoto', '2023-09-30 22:04:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231653, '2023-09-18', '7627', '0130', '9575', '4764', 'admintoto', '2023-09-18 13:16:20', 'admintoto', '2023-09-18 22:25:00', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231697, '2023-11-01', '2664', '1056', '0281', '4663', 'admintoto', '2023-11-01 13:00:42', 'admintoto', '2023-11-01 22:02:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231682, '2023-10-17', '0660', '6187', '2260', '5749', 'admintoto', '2023-10-17 12:16:13', 'admintoto', '2023-10-17 22:21:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231654, '2023-09-19', '2113', '1320', '5769', '0409', 'admintoto', '2023-09-19 13:08:08', 'admintoto', '2023-09-19 23:01:29', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231675, '2023-10-10', '1559', '4857', '6712', '5875', 'admintoto', '2023-10-10 13:11:29', 'admintoto', '2023-10-10 22:01:44', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231666, '2023-10-01', '3919', '4886', '8367', '9417', 'admintoto', '2023-10-01 11:57:23', 'admintoto', '2023-10-01 22:04:55', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231655, '2023-09-20', '1324', '3067', '4887', '6268', 'admintoto', '2023-09-20 13:20:14', 'admintoto', '2023-09-20 22:47:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231656, '2023-09-21', '2390', '9090', '1463', '6458', 'admintoto', '2023-09-21 13:11:46', 'admintoto', '2023-09-21 22:11:32', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231667, '2023-10-02', '1998', '7756', '5173', '4463', 'admintoto', '2023-10-02 13:05:53', 'admintoto', '2023-10-02 22:12:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231657, '2023-09-22', '3015', '2877', '8184', '1266', 'admintoto', '2023-09-22 11:28:08', 'admintoto', '2023-09-22 22:54:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231689, '2023-10-24', '1507', '7729', '8759', '6052', 'admintoto', '2023-10-24 13:12:23', 'admintoto', '2023-10-24 22:01:29', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231676, '2023-10-11', '0934', '5554', '4227', '3342', 'admintoto', '2023-10-11 13:00:27', 'admintoto', '2023-10-11 22:11:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231658, '2023-09-23', '6137', '0264', '7325', '5284', 'admintoto', '2023-09-23 13:31:41', 'admintoto', '2023-09-23 22:10:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231668, '2023-10-03', '7083', '8249', '2132', '5012', 'admintoto', '2023-10-03 10:21:51', 'admintoto', '2023-10-03 22:03:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231683, '2023-10-18', '2411', '8698', '1200', '6157', 'admintoto', '2023-10-18 13:13:00', 'admintoto', '2023-10-18 22:04:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231659, '2023-09-24', '2476', '4135', '8838', '3897', 'admintoto', '2023-09-24 13:11:41', 'admintoto', '2023-09-24 22:00:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231669, '2023-10-04', '5094', '2887', '7915', '3622', 'admintoto', '2023-10-04 13:03:37', 'admintoto', '2023-10-04 22:01:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231660, '2023-09-25', '8153', '9755', '2870', '1302', 'admintoto', '2023-09-25 13:00:13', 'admintoto', '2023-09-26 10:01:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231677, '2023-10-12', '5460', '3348', '4137', '2931', 'admintoto', '2023-10-12 12:22:13', 'admintoto', '2023-10-12 22:06:23', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231694, '2023-10-29', '9360', '2888', '4720', '3946', 'admintoto', '2023-10-29 13:01:26', 'admintoto', '2023-10-29 22:08:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231670, '2023-10-05', '0248', '4911', '6093', '9255', 'admintoto', '2023-10-05 10:28:15', 'admintoto', '2023-10-05 22:11:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231684, '2023-10-19', '5940', '9265', '3987', '2397', 'admintoto', '2023-10-19 13:11:19', 'admintoto', '2023-10-19 22:19:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231678, '2023-10-13', '7931', '8096', '1645', '2704', 'admintoto', '2023-10-13 10:10:08', 'admintoto', '2023-10-13 21:55:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231671, '2023-10-06', '1991', '5049', '7458', '3136', 'admintoto', '2023-10-06 10:01:04', 'admintoto', '2023-10-06 22:03:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231707, '2023-11-11', '6652', '2166', '1187', '5156', 'admintoto', '2023-11-11 14:15:31', 'admintoto', '2023-11-12 10:17:46', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231690, '2023-10-25', '2364', '3811', '9784', '0426', 'admintoto', '2023-10-25 13:11:24', 'admintoto', '2023-10-25 22:10:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231679, '2023-10-14', '2660', '0456', '7165', '4272', 'admintoto', '2023-10-14 12:28:39', 'admintoto', '2023-10-14 21:59:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231685, '2023-10-20', '6152', '9444', '0131', '7508', 'admintoto', '2023-10-20 12:39:39', 'admintoto', '2023-10-20 22:29:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231706, '2023-11-10', '0122', '6532', '3215', '1197', 'admintoto', '2023-11-10 12:52:37', 'admintoto', '2023-11-10 22:00:25', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231680, '2023-10-15', '3703', '7393', '4098', '5311', 'admintoto', '2023-10-15 12:26:21', 'admintoto', '2023-10-15 22:01:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231698, '2023-11-02', '9476', '0423', '7153', '8537', 'admintoto', '2023-11-02 13:01:16', 'admintoto', '2023-11-02 21:58:42', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231695, '2023-10-30', '1659', '0958', '4954', '8374', 'admintoto', '2023-10-30 12:37:21', 'admintoto', '2023-10-30 22:03:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231691, '2023-10-26', '7094', '0992', '5450', '9092', 'admintoto', '2023-10-26 12:56:17', 'admintoto', '2023-10-26 22:10:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231686, '2023-10-21', '9228', '5300', '3649', '2828', 'admintoto', '2023-10-21 13:11:52', 'admintoto', '2023-10-22 11:37:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231687, '2023-10-22', '5046', '4687', '6219', '7951', 'admintoto', '2023-10-22 11:36:46', 'admintoto', '2023-10-23 10:12:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231703, '2023-11-07', '4400', '4830', '2076', '0872', 'admintoto', '2023-11-07 13:33:05', 'admintoto', '2023-11-07 22:06:05', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231692, '2023-10-27', '2305', '4024', '8792', '1861', 'admintoto', '2023-10-27 11:50:11', 'admintoto', '2023-10-27 22:01:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231701, '2023-11-05', '3813', '7624', '5509', '4877', 'admintoto', '2023-11-05 13:33:14', 'admintoto', '2023-11-05 23:26:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231696, '2023-10-31', '0248', '7737', '9851', '6610', 'admintoto', '2023-10-31 11:47:36', 'admintoto', '2023-10-31 22:01:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231699, '2023-11-03', '8737', '5764', '6936', '1855', 'admintoto', '2023-11-03 12:00:11', 'admintoto', '2023-11-03 22:02:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231702, '2023-11-06', '0927', '8929', '5668', '5058', 'admintoto', '2023-11-06 12:46:13', 'admintoto', '2023-11-06 22:03:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231708, '2023-11-12', '5376', '3199', '4322', '9993', 'admintoto', '2023-11-12 13:02:41', 'admintoto', '2023-11-13 11:10:52', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231704, '2023-11-08', '6276', '1410', '3091', '7629', 'admintoto', '2023-11-08 13:01:11', 'admintoto', '2023-11-08 22:01:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231705, '2023-11-09', '3408', '3589', '9025', '9721', 'admintoto', '2023-11-09 13:09:56', 'admintoto', '2023-11-10 17:33:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231709, '2023-11-13', '3910', '8902', '7530', '5299', 'admintoto', '2023-11-13 11:11:00', 'admintoto', '2023-11-13 22:24:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231710, '2023-11-14', '8162', '4642', '7849', '6640', 'admintoto', '2023-11-14 13:05:57', 'admintoto', '2023-11-14 22:06:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231711, '2023-11-15', '2661', '0340', '9506', '6230', 'admintoto', '2023-11-15 13:11:19', 'admintoto', '2023-11-15 22:18:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231712, '2023-11-16', '7018', '8419', '1076', '4317', 'admintoto', '2023-11-16 13:11:36', 'admintoto', '2023-11-16 22:23:52', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231713, '2023-11-17', '9401', '2855', '0976', '7703', 'admintoto', '2023-11-17 12:25:48', 'admintoto', '2023-11-17 22:01:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231714, '2023-11-18', '4194', '2815', '9720', '5008', 'admintoto', '2023-11-18 10:27:15', 'admintoto', '2023-11-18 22:02:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231715, '2023-11-19', '2150', '4005', '1399', '0686', 'admintoto', '2023-11-19 11:50:41', 'admintoto', '2023-11-19 22:00:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231716, '2023-11-20', '7162', '5124', '8898', '3176', 'admintoto', '2023-11-20 11:11:32', 'admintoto', '2023-11-20 22:00:44', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231717, '2023-11-21', '8680', '6254', '1162', '2724', 'admintoto', '2023-11-21 10:30:57', 'admintoto', '2023-11-21 22:03:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231718, '2023-11-22', '3530', '2112', '8408', '7537', 'admintoto', '2023-11-22 10:56:48', 'admintoto', '2023-11-22 22:11:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231733, '2023-12-07', '3879', '8227', '7063', '4056', 'admintoto', '2023-12-07 12:52:18', 'admintoto', '2023-12-07 22:00:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231719, '2023-11-23', '9210', '1515', '8032', '9416', 'admintoto', '2023-11-23 12:58:28', 'admintoto', '2023-11-23 22:05:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2418, '2024-01-18', '2807', '6783', '7719', '1578', 'admintoto', '2024-01-18 12:52:11', 'admintoto', '2024-01-18 22:11:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231745, '2023-12-19', '9878', '8108', '1422', '5183', 'admintoto', '2023-12-19 11:33:01', 'admintoto', '2023-12-19 22:08:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231734, '2023-12-08', '2025', '7658', '6837', '5227', 'admintoto', '2023-12-08 12:47:43', 'admintoto', '2023-12-08 21:57:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231720, '2023-11-24', '5044', '8966', '6950', '2901', 'admintoto', '2023-11-24 10:52:40', 'admintoto', '2023-11-24 22:11:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231721, '2023-11-25', '8706', '3150', '7660', '9271', 'admintoto', '2023-11-25 12:58:35', 'admintoto', '2023-11-25 22:12:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231754, '2023-12-28', '5877', '8988', '7229', '6506', 'admintoto', '2023-12-28 13:06:00', 'admintoto', '2023-12-28 23:53:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231735, '2023-12-09', '9625', '9924', '2751', '3452', 'admintoto', '2023-12-09 12:46:14', 'admintoto', '2023-12-09 22:11:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231722, '2023-11-26', '6014', '1748', '5331', '2648', 'admintoto', '2023-11-26 13:48:45', 'admintoto', '2023-11-26 22:00:17', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231746, '2023-12-20', '3719', '1584', '9664', '6047', 'admintoto', '2023-12-20 11:52:46', 'admintoto', '2023-12-20 22:00:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231723, '2023-11-27', '0372', '6331', '7049', '1842', 'admintoto', '2023-11-27 12:30:50', 'admintoto', '2023-11-27 22:10:44', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231736, '2023-12-10', '0396', '0327', '3952', '6110', 'admintoto', '2023-12-10 12:59:12', 'admintoto', '2023-12-10 22:15:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (249, '2024-01-09', '7896', '2298', '6258', '1253', 'admintoto', '2024-01-09 13:17:15', 'admintoto', '2024-01-09 23:37:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231724, '2023-11-28', '1455', '9966', '5273', '9126', 'admintoto', '2023-11-28 11:52:55', 'admintoto', '2023-11-28 22:18:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (244, '2024-01-04', '1260', '3501', '7091', '4866', 'admintoto', '2024-01-04 13:00:48', 'admintoto', '2024-01-04 22:56:51', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231737, '2023-12-11', '3541', '5262', '4581', '7390', 'admintoto', '2023-12-11 11:52:14', 'admintoto', '2023-12-11 22:05:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231725, '2023-11-29', '1467', '8670', '0987', '9771', 'admintoto', '2023-11-29 11:50:25', 'admintoto', '2023-11-29 22:21:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231747, '2023-12-21', '0025', '5790', '9119', '4964', 'admintoto', '2023-12-21 12:22:02', 'admintoto', '2023-12-21 22:35:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231726, '2023-11-30', '7230', '2617', '0471', '5170', 'admintoto', '2023-11-30 13:00:22', 'admintoto', '2023-11-30 22:00:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231755, '2023-12-29', '9515', '0212', '3035', '1476', 'admintoto', '2023-12-29 13:00:28', 'admintoto', '2023-12-29 22:28:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231738, '2023-12-12', '6228', '3017', '8279', '5301', 'admintoto', '2023-12-12 13:09:30', 'admintoto', '2023-12-12 23:00:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231727, '2023-12-01', '8553', '7331', '5082', '4738', 'admintoto', '2023-12-01 12:26:41', 'admintoto', '2023-12-01 22:03:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231748, '2023-12-22', '1937', '7419', '4112', '8538', 'admintoto', '2023-12-22 11:51:26', 'admintoto', '2023-12-23 00:12:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231728, '2023-12-02', '0335', '2510', '8393', '6934', 'admintoto', '2023-12-02 12:50:35', 'admintoto', '2023-12-02 22:10:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231739, '2023-12-13', '0099', '4754', '9467', '3434', 'admintoto', '2023-12-13 13:00:18', 'admintoto', '2023-12-13 22:11:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231729, '2023-12-03', '5179', '3613', '4051', '9376', 'admintoto', '2023-12-03 13:14:01', 'admintoto', '2023-12-03 23:28:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2413, '2024-01-13', '5666', '0736', '7446', '4220', 'admintoto', '2024-01-13 13:11:30', 'admintoto', '2024-01-14 12:58:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231740, '2023-12-14', '2629', '8582', '2583', '3765', 'admintoto', '2023-12-14 12:24:22', 'admintoto', '2023-12-14 21:59:55', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231730, '2023-12-04', '1108', '7902', '4112', '0023', 'admintoto', '2023-12-04 12:09:17', 'admintoto', '2023-12-04 22:00:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231756, '2023-12-30', '1029', '3739', '7647', '8086', 'admintoto', '2023-12-30 12:23:16', 'admintoto', '2023-12-31 00:22:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231749, '2023-12-23', '5827', '9835', '1347', '6140', 'admintoto', '2023-12-23 12:48:15', 'admintoto', '2023-12-23 22:00:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231731, '2023-12-05', '2377', '0394', '6766', '9178', 'admintoto', '2023-12-05 13:03:14', 'admintoto', '2023-12-05 22:22:25', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231741, '2023-12-15', '3844', '2716', '4482', '5677', 'admintoto', '2023-12-15 12:41:14', 'admintoto', '2023-12-15 23:19:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231732, '2023-12-06', '6404', '9248', '0491', '4089', 'admintoto', '2023-12-06 13:12:08', 'admintoto', '2023-12-06 22:11:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (245, '2024-01-05', '2365', '7302', '5849', '6135', 'admintoto', '2024-01-05 11:53:26', 'admintoto', '2024-01-05 22:22:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231742, '2023-12-16', '6893', '0610', '3366', '2336', 'admintoto', '2023-12-16 13:02:52', 'admintoto', '2023-12-16 22:03:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2416, '2024-01-16', '7151', '1431', '8427', '2758', 'admintoto', '2024-01-16 10:07:59', 'admintoto', '2024-01-16 22:16:50', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231757, '2023-12-31', '2571', '0924', '5838', '6756', 'admintoto', '2023-12-31 13:11:33', 'admintoto', '2023-12-31 23:46:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231743, '2023-12-17', '2667', '5742', '3005', '7329', 'admintoto', '2023-12-17 13:58:06', 'admintoto', '2023-12-17 22:00:25', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231751, '2023-12-25', '6830', '3703', '0877', '5452', 'admintoto', '2023-12-25 13:05:32', 'admintoto', '2023-12-25 22:00:29', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231750, '2023-12-24', '0439', '1149', '8573', '2499', 'admintoto', '2023-12-24 14:31:26', 'admintoto', '2023-12-25 22:12:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231744, '2023-12-18', '5395', '9014', '4464', '3753', 'admintoto', '2023-12-18 13:12:59', 'admintoto', '2023-12-18 22:18:57', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2410, '2024-01-10', '1150', '9368', '3808', '5296', 'admintoto', '2024-01-10 12:50:44', 'admintoto', '2024-01-10 22:16:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (246, '2024-01-06', '1346', '7786', '4769', '5932', 'admintoto', '2024-01-06 13:06:57', 'admintoto', '2024-01-06 22:02:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231752, '2023-12-26', '4785', '2364', '1699', '3503', 'admintoto', '2023-12-26 12:23:11', 'admintoto', '2023-12-26 22:06:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (241, '2024-01-01', '9525', '1917', '1994', '3442', 'admintoto', '2024-01-01 11:54:22', 'admintoto', '2024-01-02 10:12:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (231753, '2023-12-27', '6400', '1991', '0888', '5600', 'admintoto', '2023-12-27 13:26:58', 'admintoto', '2023-12-27 22:01:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2421, '2024-01-21', '8151', '5607', '3382', '0150', 'admintoto', '2024-01-21 12:57:01', 'admintoto', '2024-01-21 21:56:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (242, '2024-01-02', '0978', '4694', '9551', '6080', 'admintoto', '2024-01-02 11:52:34', 'admintoto', '2024-01-03 00:14:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2414, '2024-01-14', '1913', '8304', '6597', '4589', 'admintoto', '2024-01-14 12:58:29', 'admintoto', '2024-01-14 22:00:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (247, '2024-01-07', '8258', '8978', '9898', '7884', 'admintoto', '2024-01-07 13:14:34', 'admintoto', '2024-01-07 23:00:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (243, '2024-01-03', '8439', '9502', '6179', '0326', 'admintoto', '2024-01-03 14:04:49', 'admintoto', '2024-01-03 22:00:51', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2411, '2024-01-11', '4536', '0172', '7262', '6263', 'admintoto', '2024-01-11 09:51:03', 'admintoto', '2024-01-11 22:12:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (248, '2024-01-08', '5305', '6913', '0237', '7303', 'admintoto', '2024-01-08 13:19:30', 'admintoto', '2024-01-09 05:43:35', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2420, '2024-01-20', '9807', '7295', '1325', '8112', 'admintoto', '2024-01-20 12:57:11', 'admintoto', '2024-01-20 22:11:57', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2417, '2024-01-17', '3332', '0098', '4910', '7978', 'admintoto', '2024-01-17 11:02:04', 'admintoto', '2024-01-17 22:11:49', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2412, '2024-01-12', '0689', '5288', '5740', '1604', 'admintoto', '2024-01-12 11:03:10', 'admintoto', '2024-01-12 22:00:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2415, '2024-01-15', '0543', '5329', '7988', '1658', 'admintoto', '2024-01-15 13:12:44', 'admintoto', '2024-01-16 00:06:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2419, '2024-01-19', '7797', '1275', '5734', '6683', 'admintoto', '2024-01-19 12:40:19', 'admintoto', '2024-01-19 22:01:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2424, '2024-01-24', '1495', '0754', '5617', '2769', 'admintoto', '2024-01-24 12:44:08', 'admintoto', '2024-01-24 21:59:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2422, '2024-01-22', '6827', '9796', '5802', '3853', 'admintoto', '2024-01-22 12:22:03', 'admintoto', '2024-01-22 22:02:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2423, '2024-01-23', '5096', '6121', '1391', '4749', 'admintoto', '2024-01-23 09:58:59', 'admintoto', '2024-01-23 22:00:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2425, '2024-01-25', '9212', '6342', '3610', '7583', 'admintoto', '2024-01-25 12:51:04', 'admintoto', '2024-01-25 23:08:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2426, '2024-01-26', '3858', '7872', '1180', '8716', 'admintoto', '2024-01-26 12:55:48', 'admintoto', '2024-01-26 22:06:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2427, '2024-01-27', '2020', '7617', '5108', '8525', 'admintoto', '2024-01-27 12:58:00', 'admintoto', '2024-01-27 22:00:05', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2428, '2024-01-28', '3202', '5259', '0803', '1103', 'admintoto', '2024-01-28 13:01:03', 'admintoto', '2024-01-28 22:11:30', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2429, '2024-01-29', '9859', '8825', '1087', '0224', 'admintoto', '2024-01-29 12:26:30', 'admintoto', '2024-01-29 22:00:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2430, '2024-01-30', '8500', '0251', '9103', '1324', 'admintoto', '2024-01-30 10:17:28', 'admintoto', '2024-01-31 10:27:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2431, '2024-01-31', '5645', '3405', '1062', '1324', 'admintoto', '2024-01-31 10:27:16', 'admintoto', '2024-01-31 21:57:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2432, '2024-02-01', '4433', '5506', '6052', '9449', 'admintoto', '2024-02-01 12:40:08', 'admintoto', '2024-02-01 22:03:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2484, '2024-03-24', '6918', '3017', '9235', '4690', 'admintoto', '2024-03-24 13:09:52', 'admintoto', '2024-03-24 22:00:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2433, '2024-02-02', '9404', '7125', '4404', '8324', 'admintoto', '2024-02-02 13:03:42', 'admintoto', '2024-02-02 22:02:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2448, '2024-02-17', '7988', '6400', '2027', '8242', 'admintoto', '2024-02-17 13:12:05', 'admintoto', '2024-02-17 22:00:44', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2480, '2024-03-20', '3017', '6566', '6322', '8982', 'admintoto', '2024-03-20 11:59:11', 'admintoto', '2024-03-20 22:11:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2434, '2024-02-03', '4010', '2429', '1477', '9007', 'admintoto', '2024-02-03 14:03:25', 'admintoto', '2024-02-03 22:00:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2468, '2024-03-08', '2666', '7811', '1727', '0597', 'admintoto', '2024-03-08 13:02:28', 'admintoto', '2024-03-08 22:08:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2460, '2024-02-29', '1537', '7508', '2620', '5862', 'admintoto', '2024-02-29 13:00:30', 'admintoto', '2024-02-29 22:12:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2435, '2024-02-04', '4848', '3631', '2308', '9542', 'admintoto', '2024-02-04 13:12:47', 'admintoto', '2024-02-04 22:16:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2449, '2024-02-18', '3391', '7192', '5351', '2944', 'admintoto', '2024-02-18 13:36:48', 'admintoto', '2024-02-19 17:29:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2436, '2024-02-05', '6183', '2842', '1295', '5374', 'admintoto', '2024-02-05 10:21:44', 'admintoto', '2024-02-05 22:11:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2450, '2024-02-19', '5653', '1742', '6894', '2867', 'admintoto', '2024-02-19 13:01:34', 'admintoto', '2024-02-19 22:48:43', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2437, '2024-02-06', '3711', '8942', '1511', '6474', 'admintoto', '2024-02-06 13:00:30', 'admintoto', '2024-02-06 23:42:50', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2475, '2024-03-15', '7223', '0012', '4593', '6017', 'admintoto', '2024-03-15 12:54:58', 'admintoto', '2024-03-15 22:09:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2461, '2024-03-01', '9207', '3562', '0256', '8674', 'admintoto', '2024-03-01 12:37:17', 'admintoto', '2024-03-01 22:00:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2438, '2024-02-07', '5988', '4770', '6439', '9659', 'admintoto', '2024-02-07 13:03:42', 'admintoto', '2024-02-07 22:14:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2451, '2024-02-20', '1621', '6337', '0779', '8869', 'admintoto', '2024-02-20 13:13:51', 'admintoto', '2024-02-20 22:11:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2439, '2024-02-08', '1155', '4944', '5533', '9865', 'admintoto', '2024-02-08 13:01:07', 'admintoto', '2024-02-08 22:27:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2469, '2024-03-09', '8440', '9131', '3308', '1135', 'admintoto', '2024-03-09 12:40:16', 'admintoto', '2024-03-09 22:11:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2452, '2024-02-21', '2257', '0826', '9778', '4483', 'admintoto', '2024-02-21 12:39:41', 'admintoto', '2024-02-21 21:57:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2440, '2024-02-09', '8972', '5617', '4377', '3249', 'admintoto', '2024-02-09 12:23:35', 'admintoto', '2024-02-09 22:11:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2462, '2024-03-02', '5506', '1870', '3872', '8141', 'admintoto', '2024-03-02 11:55:52', 'admintoto', '2024-03-02 22:00:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2441, '2024-02-10', '8275', '0907', '3117', '6298', 'admintoto', '2024-02-10 13:10:10', 'admintoto', '2024-02-10 22:03:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2453, '2024-02-22', '0619', '4050', '3339', '6762', 'admintoto', '2024-02-22 13:05:17', 'admintoto', '2024-02-22 22:06:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2442, '2024-02-11', '5460', '1770', '9959', '0384', 'admintoto', '2024-02-11 13:44:24', 'admintoto', '2024-02-11 22:01:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2496, '2024-04-05', '2983', '4142', '0412', '5916', 'admintoto', '2024-04-05 13:31:23', 'admintoto', '2024-04-05 22:00:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2463, '2024-03-03', '7252', '0717', '5786', '3215', 'admintoto', '2024-03-03 13:32:14', 'admintoto', '2024-03-03 22:00:23', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2443, '2024-02-12', '0827', '4441', '3026', '8460', 'admintoto', '2024-02-12 12:21:06', 'admintoto', '2024-02-12 21:55:05', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2454, '2024-02-23', '6312', '1767', '7285', '0999', 'admintoto', '2024-02-23 12:52:54', 'admintoto', '2024-02-23 22:00:43', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2444, '2024-02-13', '1843', '4254', '2029', '9283', 'admintoto', '2024-02-13 12:20:57', 'admintoto', '2024-02-13 22:21:00', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2476, '2024-03-16', '3029', '1951', '7563', '0572', 'admintoto', '2024-03-16 12:46:08', 'admintoto', '2024-03-16 22:01:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2470, '2024-03-10', '4969', '0764', '9806', '6841', 'admintoto', '2024-03-10 12:23:58', 'admintoto', '2024-03-10 22:01:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2455, '2024-02-24', '8084', '9371', '0655', '6920', 'admintoto', '2024-02-24 13:00:16', 'admintoto', '2024-02-24 21:56:56', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2445, '2024-02-14', '1107', '6253', '0134', '9673', 'admintoto', '2024-02-14 13:51:07', 'admintoto', '2024-02-14 22:21:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2446, '2024-02-15', '5414', '4900', '8863', '6963', 'admintoto', '2024-02-15 13:09:58', 'admintoto', '2024-02-15 22:22:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2481, '2024-03-21', '6557', '3783', '8302', '0050', 'admintoto', '2024-03-21 11:44:33', 'admintoto', '2024-03-21 22:03:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2456, '2024-02-25', '7652', '6533', '3869', '2966', 'admintoto', '2024-02-25 13:55:45', 'admintoto', '2024-02-25 22:21:21', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2447, '2024-02-16', '2219', '4965', '6367', '1691', 'admintoto', '2024-02-16 13:00:30', 'admintoto', '2024-02-16 23:02:36', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2464, '2024-03-04', '0415', '1821', '4037', '6749', 'admintoto', '2024-03-04 12:21:27', 'admintoto', '2024-03-04 21:59:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2471, '2024-03-11', '8318', '3659', '0457', '7641', 'admintoto', '2024-03-11 12:31:55', 'admintoto', '2024-03-11 22:32:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2457, '2024-02-26', '3278', '1147', '5018', '7263', 'admintoto', '2024-02-26 10:24:42', 'admintoto', '2024-02-26 22:00:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2490, '2024-03-30', '1016', '3552', '2451', '0240', 'admintoto', '2024-03-30 13:33:02', 'admintoto', '2024-03-30 22:41:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2465, '2024-03-05', '0951', '4326', '0248', '6987', 'admintoto', '2024-03-05 12:20:53', 'admintoto', '2024-03-05 21:59:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2458, '2024-02-27', '2629', '6179', '4251', '5299', 'admintoto', '2024-02-27 10:53:19', 'admintoto', '2024-02-27 22:01:34', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2477, '2024-03-17', '5193', '1510', '3378', '2807', 'admintoto', '2024-03-17 13:18:05', 'admintoto', '2024-03-17 22:11:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2459, '2024-02-28', '6634', '3950', '9379', '4093', 'admintoto', '2024-02-28 13:21:54', 'admintoto', '2024-02-28 21:56:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2472, '2024-03-12', '8786', '9524', '9860', '0175', 'admintoto', '2024-03-12 12:44:35', 'admintoto', '2024-03-12 23:18:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2466, '2024-03-06', '7434', '0084', '9030', '0200', 'admintoto', '2024-03-06 13:19:22', 'admintoto', '2024-03-06 22:02:54', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2485, '2024-03-25', '7117', '1579', '6492', '4266', 'admintoto', '2024-03-25 12:54:45', 'admintoto', '2024-03-25 22:11:31', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2467, '2024-03-07', '8529', '2866', '2237', '7671', 'admintoto', '2024-03-07 13:50:11', 'admintoto', '2024-03-07 22:08:51', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2482, '2024-03-22', '9788', '5110', '7850', '1738', 'admintoto', '2024-03-22 13:10:07', 'admintoto', '2024-03-22 23:02:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2478, '2024-03-18', '6232', '1744', '3966', '0735', 'admintoto', '2024-03-18 10:13:58', 'admintoto', '2024-03-18 22:01:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2473, '2024-03-13', '5290', '8403', '7698', '0904', 'admintoto', '2024-03-13 12:01:11', 'admintoto', '2024-03-13 23:00:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2474, '2024-03-14', '9026', '5683', '3715', '3943', 'admintoto', '2024-03-14 13:01:48', 'admintoto', '2024-03-14 21:55:19', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2488, '2024-03-28', '7195', '5314', '4893', '8933', 'admintoto', '2024-03-28 10:32:53', 'admintoto', '2024-03-28 22:52:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2479, '2024-03-19', '0020', '3964', '9642', '2934', 'admintoto', '2024-03-19 12:59:57', 'admintoto', '2024-03-19 21:59:55', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2486, '2024-03-26', '8988', '6724', '7142', '4969', 'admintoto', '2024-03-26 12:57:26', 'admintoto', '2024-03-26 22:08:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2483, '2024-03-23', '5777', '1270', '3698', '0993', 'admintoto', '2024-03-23 12:37:31', 'admintoto', '2024-03-23 22:22:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2493, '2024-04-02', '4223', '9633', '7747', '8425', 'admintoto', '2024-04-02 12:38:58', 'admintoto', '2024-04-02 21:55:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2492, '2024-04-01', '7855', '6900', '4961', '9267', 'admintoto', '2024-04-01 09:58:54', 'admintoto', '2024-04-01 22:01:04', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2489, '2024-03-29', '5541', '9242', '1820', '4162', 'admintoto', '2024-03-29 13:44:22', 'admintoto', '2024-03-29 22:14:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2487, '2024-03-27', '4594', '3267', '9314', '0182', 'admintoto', '2024-03-27 13:11:55', 'admintoto', '2024-03-27 22:25:41', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2491, '2024-03-31', '1124', '5072', '2692', '8298', 'admintoto', '2024-03-31 12:54:28', 'admintoto', '2024-03-31 22:00:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2494, '2024-04-03', '0495', '0049', '4449', '6951', 'admintoto', '2024-04-03 11:59:45', 'admintoto', '2024-04-03 22:11:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2497, '2024-04-06', '9107', '6404', '2230', '8095', 'admintoto', '2024-04-06 13:35:22', 'admintoto', '2024-04-06 21:59:15', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2498, '2024-04-07', '3211', '0543', '1592', '3665', 'admintoto', '2024-04-07 12:37:46', 'admintoto', '2024-04-07 22:14:47', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2499, '2024-04-08', '8779', '4376', '3121', '5860', 'admintoto', '2024-04-08 12:26:34', 'admintoto', '2024-04-08 23:04:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24100, '2024-04-09', '3761', '2525', '8937', '3985', 'admintoto', '2024-04-09 13:19:19', 'admintoto', '2024-04-10 02:18:26', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24101, '2024-04-10', '5330', '9121', '8867', '4647', 'admintoto', '2024-04-10 12:51:57', 'admintoto', '2024-04-10 22:43:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24102, '2024-04-11', '4003', '1071', '5357', '5747', 'admintoto', '2024-04-11 13:01:22', 'admintoto', '2024-04-11 22:02:09', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24103, '2024-04-12', '6867', '0688', '7990', '1402', 'admintoto', '2024-04-12 13:27:19', 'admintoto', '2024-04-12 22:09:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (2495, '2024-04-04', '8130', '0700', '8727', '4542', 'admintoto', '2024-04-04 12:53:57', 'admintoto', '2024-04-14 09:56:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24104, '2024-04-13', '0270', '3673', '2908', '4423', 'admintoto', '2024-04-13 10:39:28', 'admintoto', '2024-04-13 21:56:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24119, '2024-04-28', '9116', '0147', '1071', '5863', 'admintoto', '2024-04-28 13:21:12', 'admintoto', '2024-04-28 22:23:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24105, '2024-04-14', '0484', '0623', '4397', '2805', 'admintoto', '2024-04-14 13:26:40', 'admintoto', '2024-04-14 22:17:07', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24146, '2024-05-25', '1551', '1751', '9084', '4425', 'admintoto', '2024-05-25 13:19:45', 'admintoto', '2024-05-25 22:39:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24139, '2024-05-18', '5338', '4410', '7617', '9688', 'admintoto', '2024-05-18 13:22:08', 'admintoto', '2024-05-18 22:09:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24106, '2024-04-15', '2369', '5067', '9678', '3049', 'admintoto', '2024-04-15 13:17:54', 'admintoto', '2024-04-15 22:32:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24120, '2024-04-29', '5841', '9395', '6107', '1477', 'admintoto', '2024-04-29 13:33:43', 'admintoto', '2024-04-29 21:55:13', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24107, '2024-04-16', '0163', '5225', '9797', '1588', 'admintoto', '2024-04-16 12:57:16', 'admintoto', '2024-04-16 21:57:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24131, '2024-05-10', '7577', '8018', '2659', '5173', 'admintoto', '2024-05-10 08:45:42', 'admintoto', '2024-05-10 22:18:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24108, '2024-04-17', '6084', '5225', '8620', '3291', 'admintoto', '2024-04-17 10:28:04', 'admintoto', '2024-04-17 22:11:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24121, '2024-04-30', '8359', '3498', '2195', '6288', 'admintoto', '2024-04-30 14:10:57', 'admintoto', '2024-04-30 23:26:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24198, '2024-07-16', '0722', '6711', '2949', '1133', 'admintoto', '2024-07-16 11:54:35', 'root', '2024-07-27 22:25:25', '7670', '5806', '5053');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24109, '2024-04-18', '5359', '6040', '7679', '4101', 'admintoto', '2024-04-18 13:04:12', 'admintoto', '2024-04-18 21:57:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24132, '2024-05-11', '4578', '7999', '5834', '0117', 'admintoto', '2024-05-11 13:32:06', 'admintoto', '2024-05-11 22:44:40', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24122, '2024-05-01', '2736', '5567', '3416', '9342', 'admintoto', '2024-05-01 13:23:23', 'admintoto', '2024-05-01 23:02:45', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24140, '2024-05-19', '0506', '5898', '3135', '1567', 'admintoto', '2024-05-19 14:00:56', 'admintoto', '2024-05-19 22:32:39', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24111, '2024-04-20', '4446', '7080', '5141', '3904', 'admintoto', '2024-04-20 12:21:23', 'admintoto', '2024-04-20 22:00:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24123, '2024-05-02', '9923', '4886', '7454', '3191', 'admintoto', '2024-05-02 14:03:08', 'admintoto', '2024-05-02 23:03:14', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24112, '2024-04-21', '6000', '7157', '8149', '9002', 'admintoto', '2024-04-21 13:23:08', 'admintoto', '2024-04-21 22:27:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24208, '2024-07-26', '3065', '7918', '1892', '4197', 'admintoto', '2024-07-26 13:35:23', 'root', '2024-07-27 22:26:31', '7182', '6404', '4280');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24110, '2024-04-19', '9582', '7755', '0193', '9870', 'admintoto', '2024-04-19 13:10:47', 'admintoto', '2024-04-22 19:55:58', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24147, '2024-05-26', '9243', '8750', '5773', '6578', 'admintoto', '2024-05-26 10:24:53', 'admintoto', '2024-05-26 22:51:27', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24113, '2024-04-22', '6983', '7356', '0202', '3292', 'admintoto', '2024-04-22 12:07:09', 'admintoto', '2024-04-22 22:38:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24124, '2024-05-03', '0821', '6913', '8900', '4546', 'admintoto', '2024-05-03 13:50:59', 'admintoto', '2024-05-03 22:45:33', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24157, '2024-06-05', '1601', '8107', '4212', '7843', 'admintoto', '2024-06-05 13:17:38', 'admintoto', '2024-06-05 22:28:53', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24141, '2024-05-20', '2806', '9662', '0609', '3996', 'admintoto', '2024-05-20 12:56:14', 'admintoto', '2024-05-21 01:31:59', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24114, '2024-04-23', '1945', '8372', '6618', '3359', 'admintoto', '2024-04-23 12:56:01', 'admintoto', '2024-04-23 21:59:03', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24133, '2024-05-12', '9177', '6009', '0134', '6009', 'admintoto', '2024-05-12 14:00:02', 'admintoto', '2024-05-13 20:21:30', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24125, '2024-05-04', '6131', '7054', '8025', '4791', 'admintoto', '2024-05-04 12:11:07', 'admintoto', '2024-05-04 23:03:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24115, '2024-04-24', '4298', '0172', '7996', '6883', 'admintoto', '2024-04-24 11:33:17', 'admintoto', '2024-04-24 22:00:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24134, '2024-05-13', '7262', '1412', '0925', '5492', 'admintoto', '2024-05-13 13:07:57', 'admintoto', '2024-05-13 22:39:01', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24116, '2024-04-25', '3972', '1376', '5467', '9333', 'admintoto', '2024-04-25 13:17:22', 'admintoto', '2024-04-25 22:18:18', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24167, '2024-06-15', '2628', '9027', '5483', '6035', 'admintoto', '2024-06-15 14:15:35', 'admintoto', '2024-06-15 22:01:16', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24126, '2024-05-05', '5249', '4597', '6577', '7606', 'admintoto', '2024-05-05 13:37:42', 'admintoto', '2024-05-05 22:14:02', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24117, '2024-04-26', '2617', '6871', '3531', '0398', 'admintoto', '2024-04-26 11:50:22', 'admintoto', '2024-04-26 21:58:37', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24177, '2024-06-25', '2113', '3784', '4451', '8550', 'admintoto', '2024-06-25 11:11:47', 'admintoto', '2024-06-25 22:06:30', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24135, '2024-05-14', '0723', '2268', '9656', '7258', 'admintoto', '2024-05-14 14:01:18', 'admintoto', '2024-05-14 22:20:20', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24127, '2024-05-06', '6436', '9960', '1438', '9769', 'admintoto', '2024-05-06 14:15:55', 'admintoto', '2024-05-06 22:34:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24118, '2024-04-27', '7171', '3169', '6967', '4828', 'admintoto', '2024-04-27 12:27:56', 'admintoto', '2024-04-27 23:03:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24142, '2024-05-21', '9497', '6608', '7002', '2523', 'admintoto', '2024-05-21 13:05:17', 'admintoto', '2024-05-21 22:22:24', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24128, '2024-05-07', '9299', '2434', '6564', '1037', 'admintoto', '2024-05-07 13:22:44', 'admintoto', '2024-05-07 22:08:11', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24136, '2024-05-15', '2568', '0599', '5478', '1901', 'admintoto', '2024-05-15 13:39:22', 'admintoto', '2024-05-15 22:04:28', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24129, '2024-05-08', '1606', '6729', '1438', '7559', 'admintoto', '2024-05-08 14:00:39', 'admintoto', '2024-05-09 07:23:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24143, '2024-05-22', '0551', '8954', '8116', '7042', 'admintoto', '2024-05-22 13:32:18', 'admintoto', '2024-05-22 22:47:08', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24130, '2024-05-09', '7803', '4793', '9644', '5922', 'admintoto', '2024-05-09 13:39:32', 'admintoto', '2024-05-10 08:45:38', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24137, '2024-05-16', '4258', '2426', '5462', '6823', 'admintoto', '2024-05-16 12:42:04', 'admintoto', '2024-05-17 07:40:48', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24138, '2024-05-17', '4476', '0131', '8824', '2802', 'admintoto', '2024-05-17 13:11:54', 'admintoto', '2024-05-17 22:51:22', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24144, '2024-05-23', '8204', '5953', '3482', '2368', 'admintoto', '2024-05-23 13:05:44', 'admintoto', '2024-05-24 12:28:10', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24224, '2024-08-11', '7873', '0465', '1901', '7281', 'admintoto', '2024-08-10 23:26:10', 'admintoto', '2024-08-11 22:14:29', '6047', '1220', '8138');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24145, '2024-05-24', '1567', '7942', '9371', '6692', 'admintoto', '2024-05-24 12:27:53', 'admintoto', '2024-05-24 22:03:06', '', '', '');
INSERT INTO public.tbl_trx_vietnam_night VALUES (24187, '2024-07-05', '0219', '2386', '4175', '7831', 'admintoto', '2024-07-05 13:08:08', 'root', '2024-07-27 22:24:21', '5166', '9446', '2072');


--
-- TOC entry 3715 (class 0 OID 0)
-- Dependencies: 213
-- Name: tbl_counter_idcounter_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.tbl_counter_idcounter_seq', 14, true);


--
-- TOC entry 3716 (class 0 OID 0)
-- Dependencies: 211
-- Name: tbl_mst_version_idversion_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.tbl_mst_version_idversion_seq', 1, false);


--
-- TOC entry 3558 (class 2606 OID 16560)
-- Name: tbl_admin tbl_admin_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_admin
    ADD CONSTRAINT tbl_admin_pkey PRIMARY KEY (username);


--
-- TOC entry 3556 (class 2606 OID 16555)
-- Name: tbl_admingroup tbl_admingroup_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_admingroup
    ADD CONSTRAINT tbl_admingroup_pkey PRIMARY KEY (idadmin);


--
-- TOC entry 3554 (class 2606 OID 16547)
-- Name: tbl_counter tbl_counter_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_counter
    ADD CONSTRAINT tbl_counter_pkey PRIMARY KEY (idcounter);


--
-- TOC entry 3552 (class 2606 OID 16539)
-- Name: tbl_mst_version tbl_mst_version_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_mst_version
    ADD CONSTRAINT tbl_mst_version_pkey PRIMARY KEY (idversion);


--
-- TOC entry 3560 (class 2606 OID 30147)
-- Name: tbl_trx_japan_day tbl_trx_japan_day_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_trx_japan_day
    ADD CONSTRAINT tbl_trx_japan_day_pk PRIMARY KEY (idjapan_japanday);


--
-- TOC entry 3562 (class 2606 OID 30157)
-- Name: tbl_trx_japan_night tbl_trx_japan_night_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_trx_japan_night
    ADD CONSTRAINT tbl_trx_japan_night_pk PRIMARY KEY (idjapan_japannight);


--
-- TOC entry 3550 (class 2606 OID 16531)
-- Name: tbl_trx_sdsb4d_day tbl_trx_sdsb4d_day_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_trx_sdsb4d_day
    ADD CONSTRAINT tbl_trx_sdsb4d_day_pkey PRIMARY KEY (idsdsb4dday);


--
-- TOC entry 3548 (class 2606 OID 16526)
-- Name: tbl_trx_sdsb4d_night tbl_trx_sdsb4d_night_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_trx_sdsb4d_night
    ADD CONSTRAINT tbl_trx_sdsb4d_night_pkey PRIMARY KEY (id_sdsb4dnight);


--
-- TOC entry 3564 (class 2606 OID 30168)
-- Name: tbl_trx_vietnam_night tbl_trx_vietnam_night_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tbl_trx_vietnam_night
    ADD CONSTRAINT tbl_trx_vietnam_night_pk PRIMARY KEY (idvietnamnight);


-- Completed on 2024-08-14 20:27:23

--
-- PostgreSQL database dump complete
--

